Groma v. 14.0
Další

Groma v. 14.0

Jan Sehnal

Copyright © 1993, 2024 Jan Sehnal

Obsah

I. Uživatelská příručka
1. Úvod
Požadavky programu
Ochrana programu
2. Instalace programu
Instalace
Hardwarový klíč
Lokální hardwarový klíč
Síťový hardwarový klíč
Aktualizace hardwarového klíče
3. Spuštění aplikace
Spuštění aplikace
Parametry při spuštění
Konfigurační soubor
Informační kanál
Automatická aktualizace
4. Ovládání programu
Ovládání programu
Hlavní okno programu
Lišta nastavení
Stavový řádek
Datová okna
Práce s okny
Dialogová okna
Vstupní řádky se vzorci
Zvyšování / snižování čísla bodu
Výběr datových souborů
Nepřístupná tlačítka a jiné ovládací prvky
Nápověda
5. Datové soubory
Projekty
Souřadnicové soubory
Geometrie
Zeměpisné souřadnice
Soubory s měřenými daty
Protokoly
Textové soubory
Grafické soubory
Indexování souborů
Komprese souboru
Správa souborů
Otevření souboru
Otevření souboru pomocí dialogového okna
Otevření souboru pomocí parametru při spuštění
Otevření souboru pomocí Průzkumníka
Otevření seznamu pouze pro čtení
Import souboru
Založení nového souboru
6. Seznamy
Informace o bodech
Identifikátor bodu
Datum zaměření bodu
Datum vytvoření bodu
Datum poslední modifikace bodu
Kód bodu
Poznámka
Kód kvality
Typ bodu
Způsob pořízení
Další údaje v seznamech souřadnic
Další údaje v seznamech polárního měření
Další údaje v seznamech ortogonálního měření
Další údaje v seznamech nivelačního měření
Kurzor
Editování
Označování
Označování z klávesnice
Označování myší
Hromadné označování
Přidávání položek
Deaktivace záznamů
Vyhledávání položek
Volba zobrazených údajů
Krok zpět
Krok vpřed
Počet desetinných míst a zaokrouhlování
Nastavení počtu desetinných míst
Chyba z dvojího zaokrouhlení
Další numerické důsledky zaokrouhlení
Přetahování dat
Postup při přetahování jednotlivých položek
Postup při přetahování bloku položek
Kopírování dat
Přečíslování seznamu
Přečíslování podle seznamu přiřazení čísel bodů
Označování podle seznamu čísel bodů
Hromadné změny v seznamech
Změna kódů na grafické
7. Seznam souřadnic
Pohyb v seznamu souřadnic
Zamykání bodů
Zvýrazněné body
Pomocné body
Duplicitní čísla bodů v seznamu souřadnic
Průměrování souřadnic při ukládání bodu s existujícím číslem
Řazení seznamu souřadnic
Standardní řazení seznamu souřadnic
Řazení seznamu souřadnic podle zvoleného sloupce
Aktivní seznam souřadnic
Volba aktivního seznamu souřadnic
Vyhledávání v seznamu souřadnic
Grafické zobrazení bodů
Roztřídění seznamu podle mapových listů
Porovnání souřadnic
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Kontrola číslování bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Obnova smazaných položek
Připojení souboru
Dvojí souřadnice
Zeměpisné souřadnice
Export / Import seznamu souřadnic
Textové seznamy souřadnic
Soubory ve formátu MS Excel
Soubory ve formátu XML
Geografické formáty
Soubory ze záznamníků a měřicích přístrojů
Další formáty
Konfigurovatelný import seznamu souřadnic
Import seznamu souřadnic pomocí oddělovačů
Import seznamu souřadnic pomocí šířek sloupců
Import seznamu souřadnic kombinovaným způsobem
8. Seznam měření
Volba podrobnosti zobrazení
Zpracování zápisníku
Označení orientací
Spojení souborů měření
Obnova smazaných položek
Export / Import seznamu měření
Export / Import polárního měření
Export / Import nivelace
Měření - uživatelský formát
Soubory ve formátu MS Excel
Soubory ve formátu XML
9. Projekty
Založení projektu
Přidávání / ubírání souborů
Uložení projektu
Otevření projektu
10. Kódování bodů
Princip kódování
Kódovací tabulka
Připojení a odpojení kódovací tabulky
Editace kódovací tabulky
Vícenásobné kódy
Nenalezené kódy
Označování bodů podle kódů
Zadávání kódů pomocí popisů
Překódování při importu
11. Výpočty
Výpočetní dialogová okna
Zadávání údajů
Řazení řádků v seznamech
Aktualizace vstupních souřadnic
Ukládání výsledků
Uzavírání oken
Kontrolní kresba
Tolerance
Testování dle předpisů pro práci v katastru nemovitostí
Transformace souřadnic
Identické body
Transformační klíč
Shodnostní transformace
Podobnostní transformace
Afinní transformace - 6 stupňů volnosti
Uživatelská transformace
Orientace osnov vodorovných směrů
Ruční orientace osnov
Automatická orientace osnov
Váhy orientací
Řazení orientací v seznamu
12. Definice teodolitu
Definice teodolitu
13. Protokoly
Otevření protokolu
Uložení protokolu
Princip práce s protokoly
Lokální protokol
Výpis seznamu souřadnic do protokolu
Výpis seznamu měření do protokolu
Přečíslování protokolu
Kódování češtiny
Parametry protokolu
14. Hlášení a komentáře
15. Grafika
Princip ukládání grafiky
Otevření grafického okna
Ovládání grafického okna
Chytání na body
16. Grafické určování bodů
Princip grafického určování bodů
Postup při grafickém určování bodů
17. Tiskové výstupy
Náhled před tiskem
Tisk seznamů
Nastavení okrajů
Výběr hlaviček
Výběr položek
Volba rozsahu stránek a počtu kopií
Volba fontu
18. Manažer konfigurací
19. Spolupráce s CAD systémy
Spuštění s podporou CAD systému
Atributy pro přenos bodů
20. Propojení s databázemi
Podporované servery
Používané databázové tabulky
Tabulka projektů
Tabulka bodů
Nastavení připojení k databázi
Postup práce s databázemi bodů
Připojení k databázi
Inicializace databáze
Výběr / nastavení aktivního projektu
Import z databáze
21. Digitální technická mapa
Obecné informace
Postup práce
Příprava na práci s DTM
Registrace na portálu DMVS ČÚZK
Pořízení podkladových dat pro GAD DTM
Ověření homogenity GAD
Zpracování změny a tvorba GAD
Zaměření situace a výpočet souřadnic
Spuštění grafického modulu a založení projektu
Import JVF
Import bodů z databáze do seznamu souřadnic
Vložení nových vypočtených bodů do databáze
Odstranění bodů z databáze
Zakreslení změny
Vytvoření grafického znázornění (náčrtu)
Export JVF
Vytvoření archivu pro odeslání
Předběžná kontrola GAD
Odeslání zpracované GAD do DMVS
II. Referenční příručka
22. Práce s referenční příručkou
23. Hlavní menu
24. Menu Soubor
Nový
Otevři
Ulož
Ulož jako
Statistika
Protokolování
Označování vybraných záznamů
Import
Zavři všechny
Komprese souboru
Indexování souboru
Informace o souboru
Aktivní seznam souřadnic
Nastavení
Manažer konfigurací
Konfigurace:
Umístění
Název konfigurace
Vytvořit kopii
Vytvořit novou
Odstranit
CAD nastavení
Tisk
Nastavení tiskárny
Zobraz protokol z výpočtu
Ulož protokol z výpočtu
Zobraz hlášení a komentáře
Konec
25. Menu Souřadnice / Měření
Mazání položek
Edituj položku
Najdi položku
Překódování podle tabulky
Obnova smazaných položek
Do protokolu
26. Menu Souřadnice
Přidej položku do seznamu souřadnic
Editace bodu v seznamu souřadnic
Parametry zobrazení
Hromadné označování v seznamu souřadnic
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu souřadnic
Typ změny
Funkční vztahy
Vlastnosti bodu
Další možnosti úprav
Označování bodů
Přečíslování seznamu souřadnic
Volba vstupního a výstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zobrazit graficky
Roztřídění dle mapových listů
Porovnání souřadnic
Matematické vztahy
Způsob zadání požadované střední souřadnicové chyby
Další nastavení porovnání
Protokolování
Porovnání jednotlivých bodů
Kontrola číslování bodů
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Dávkové průměrování souřadnic
Průměrování souřadnic bodů s totožnými identifikátory
Průměrování souřadnic bodů s identifikátory s totožným základem
Průměrování souřadnic bodů s totožnými kódy
Průměrování souřadnic souvislých bloků bodů
Průměrování souřadnic označených bodů
Časový test GPS měření
Postup při dávkovém průměrování souřadnic
Zaokrouhlení souřadnic
Dvojí souřadnice
Uložit body do databáze
Uložit změny do databáze
Odstranit smazané body z databáze
Synchronizovat seznam s databází
27. Menu Měření
Přidej položku do seznamu měření
Přidávání do seznamu polárního měření
Přidávání do seznamu ortogonálního měření
Přidávání do seznamu nivelačního měření
Editace záznamu v seznamu měření
Editace záznamu v seznamu polárního měření
Editace záznamu v seznamu ortogonálního měření
Editace záznamu v seznamu nivelačního měření
Hromadné označování v seznamu měření
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu měření
Typ změny
Funkční vztahy
Dialogové okno pro hromadnou změnu v seznamu polárního měření
Dialogové okno pro hromadnou změnu v seznamu ortogonálního měření
Označování bodů
Přečíslování seznamu měření
Volba vstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zpracování zápisníku
Zpracování měření směrů v řadách a skupinách
Spojení opakovaných stanovisek
Označení orientací
Body použité jako stanoviska
Body nalezené v seznamech souřadnic
Body s kódem orientace
Body s číslem vyšším než
Body s předčíslím
Body s předčíslím vyšším než
Setřídění
Vykreslení měřické sítě v grafickém modulu
Přesná oprava délek o měřítko
Připoj soubor
Parametry zobrazení
28. Menu Výpočty
Polární metoda
Souřadnice stanoviska
Orientace osnov
Podrobné body
Ortogonální metoda
Polární metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Ortogonální metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Volné stanovisko
Metody výpočtu volného stanoviska
Volba využití orientací pro určení polohy a výšky
Přenesení zadání do modulu pro vyrovnání sítí MNČ
Výsledné hodnoty
Protínání z délek
Protínání z orientovaných směrů
Hromadné protínání z orientovaných směrů
Průsečík přímek
Výškový výpočet
Průsečík přímka - směr
Výškový výpočet
Průsečík přímka - kružnice
Vyrovnávací přímka
Vyrovnávací kružnice
Polygonový pořad
Počáteční a koncový bod
Měřená data
Výsledky
Vstupy / Výstupy
Výškový pořad
Transformace souřadnic
Typ transformace
Identické body
Automatické vyhledání identických bodů
Aktualizace souřadnic identických bodů
Záměna souřadnic identických bodů
Nastavení statistického testování identických bodů
Transformace bodů
Směrník a délka
Kontrolní oměrné
Soubor kontrolních oměrných
Konstrukční oměrné
Vyrovnání na přímku
Vyrovnání na kružnici
Výpočet výměr
Polární vytyčovací prvky
Výpočet jednotlivých bodů
Hromadný výpočet do souboru
Volba počítaných údajů
Ortogonální vytyčovací prvky
Výpočet trasy
Fasáda
Rozbití oblouku
Definice kruhového oblouku
Definice způsobu rozložení
Počáteční číslo bodu
Vypočtené body
Kubatury
Výpočet výšky stanoviska
Výpočet výšek
Napojení změny do KM-D v dosavadním bodu
Napojení změny do KM-D v novém bodu
Dávkový výpočet souboru MAPA2
Vzorový soubor s polární metodou
Vzorový soubor s ortogonální metodou
29. Menu Okno
Zavři
Mozaika horizontálně - vertikálně
Kaskáda
Srovnání ikon
Parametry zobrazení
30. Menu Editace
Krok zpět
Přenes
Zkopíruj
Vlož
Vymaž
31. Menu Databáze
Připojit k databázi
Nastavení projektu
Výběr katastrálního území
Vytvořit databázi a uživatele
Inicializace databáze
32. Menu Projekt
Přidej soubor
Odeber soubor
Otevři soubor
Nastavení
33. Dialogové okno Nastavení
Prostředí
Řazení:
Pořadí souřadnic:
Seznamy:
Vyhledávání bodů:
Nastavení internetu:
Další volby:
Zakládací soubory
Formát nově zakládaných datových souborů
Vzhled aplikace
Vstup/výstup
Počet desetinných míst:
Čísla bodů
Měřítkový koeficient pro převod délek do roviny zobrazení:
Délkové jednotky:
Úhlové jednotky:
Zeměpisné souřadnice:
Ukládání bodů do seznamů souřadnic
Přenos bodů do databáze
Výpočty
Dávkový výpočet:
Volné stanovisko
Nabízet jako orientace:
Různé:
Váhy směrů při orientaci osnov
Váhy převýšení
Tolerance
Redukce
Redukce:
Charakteristiky bodů
Přičítání redukce:
Záznamník
Záznamník:
Měřená data:
Souřadnice:
Volby:
Kódování souboru:
Teodolit
Název teodolitu:
Střední chyby:
Kolimační chyba:
Indexová chyba:
Kódování bodů
Kódovací tabulka:
Nastavení:
Tabulka typů:
Protokol
Volby:
Font na obrazovku / pro tisk
Vstupní / výstupní formát souřadnic
Vstupní / výstupní formát měření
DXF
Hlavička:
Zaměnit X a Y:
3D:
Redukovat:
Koeficient X/Y/Z:
Vrstvy:
Výška textu:
Font pro čísla bodů/ výšky / popisy:
Aktualizace číselníků
34. Menu Přehledka
Atributy zobrazení
Vrstvy
Vše
Zvětšit
Zmenšit
Výřez
Vybrat prvek
Smazat prvrek
Umístit linii
35. Menu DTM (Digitální technická mapa)
Importovat body
Uložit body
Uložit změny
Synchronizovat
Odstranit smazané body
Kontrola identických bodů
III. Přílohy
36. Parametry při spuštění
37. Instalace v síti
Instalace v síti
Konfigurační soubor
Standardní umístění konfiguračního souboru
Vynucené umístění konfiguračního souboru
Kontrola umístění konfiguračního souboru
Vzorový konfigurační soubor
38. Síťový konfigurační soubor
39. Typy datových souborů
40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK
Popis transformace ETRS89 - S-JTSK
Lokální transformace na blízké identické body
Globální transformace s odstraněním lokálních deformací pomocí korekcí
Použití transformace ETRS89 - S-JTSK
41. Struktura souboru pro nastavení databází
Prvek <profile>
Prvek <server>
Prvek <table>
Prvek <column>
42. Komunikace se systémem MicroStation
Konfigurace systému MicroStation
Konfigurační soubory MDL modulů
Spuštění systému Groma z MicroStation
Komunikace Groma - MicroStation
Přetahování bodů
Ukazování bodů ve výkresu
Spojování podle čísel bodů
Informace o bodech
Dynamické zobrazování čísel bodů
Výpis seznamu souřadnic
Vygenerování popisů
Kódování bodů
Konfigurace komunikačního modulu
Atributy zobrazení
Nastavení souřadnic
Další funkce modulů
Načtení seznamu souřadnic
Vytvoření bodu ve výkresu
Editace bodu
Vytvoření popisů
Export seznamu souřadnic
Přenos bodů do systému Groma
Vyhledávání bodů
Dynamické zobrazování čísel bodů
43. Formáty vstupních souborů s naměřenými údaji
44. Vstupní / výstupní textový formát
Princip uživatelského textového formátu
Alfanumerické znaky
Datové položky
Identifikátory
Volby hodnoty datových položek
Šířka formátovaných údajů
Počet desetinných míst
Další nastavení
Příklady výstupního formátu
Import pomocí pevného formátu
Import pomocí volného formátu
Kopírování do schránky pomocí uživatelského formátu
IV. Rozšiřující moduly
45. Rozšiřující moduly
46. Kontrolní kresba k výpočtům
Zobrazení celé kresby
Výřez
Zvětšení
Zmenšení
Smazání
Font
Tisk
Export do DXF
47. Zkreslení v Křovákově zobrazení
48. Trojúhelníková kalkulačka
49. Vyrovnávací rovina
Zadání roviny
Poloha roviny
Rovnice roviny
Výsledné hodnoty
50. Geometrické plány
Úvod
Ovládání programu
Editace tabulek
Přepínače
Filtry
Označování buněk
Kontextové menu
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Změna pořadí řádků
Změna atributů buněk
Zpracování geometrického plánu
Popisové pole
Logika zadávání dat
Údaje katastru nemovitostí
Dosavadní stav KN
Nový stav KN
Parcely a díly KN
Údaje dřívější pozemkové evidence
Stav dřívější pozemkové evidence
Díly parcel dřívější pozemkové evidence
Údaje pro BPEJ
Geometrický plán pro jednoho nabyvatele
Doplňující údaje a dodatečné úpravy
Vkládané texty
Dodatečné údaje
Dodatečné úpravy
Práce s databází
Načtení zadání z databáze
Doplnění nebo aktualizace dosavadního nebo nového stavu z databáze
Uložení aktualizovaného stavu do databáze
Výsledné tabulky
Přímé vyplňování tabulky Výkaz výměr
Nastavení modulu
Typ mapy
Kód kvality
Písmo
Volby
Výpočet výměr
Výkaz výměr
BPEJ
Žádost
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF
Import údajů z jiného geometrického plánu
Tipy a postupy
Načtení zadání z databáze
Uložení změn SPI do databáze
Vyrovnání dílů v ručně definované skupině (např. v GP pro jednoho nabyvatele)
Věcné břemeno
Parcely se zpřesněnou hranicí
Dodatečná úprava tabulek
Načtení informací z jiného souboru
Přednastavené informace
51. Nivelace
Úvod
Ovládání programu
Načtení vstupních dat
Editace tabulek
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Zpracování nivelace
Logika zadávání dat
Načtení dat ze souboru s nivelací
Rozdělení na jednotlivé pořady
Fixace výšek přestavových bodů
Testování mezních odchylek
Obrácení směru pořadu
Výsledná tabulka
Uložení vypočtených výšek
Nastavení modulu
Písmo
Počet desetinných míst
Vzorec pro výpočet mezní odchylky
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF
52. Výpočet trasy komunikace
Úvod
Ovládání programu
Definování trasy
Návrh oblouku
Výpočetní kontroly
Kontrola délky prvku
Kontrola poloměrů křivosti
Kontrola spojitosti
Výpočet bodů v ose komunikace
Výpočet bodů na normálách
Uložení vypočtených bodů trasy
Spuštění normály na osu
Výpočet vytyčovacích prvků
53. Vyrovnání sítě
Úvod
Ovládání programu
Varianty vyrovnání a připojení sítě
Helmertova transformace
Výběrová Helmertova transformace
Pevný bod a pevný směrník
Pevný bod a pevná souřadnice
Vázaná síť
Charakteristiky bodů
Charakteristiky pro polohové vyrovnání
Charakteristiky pro výškové vyrovnání
Změna charakteristiky bodů pro polohové nebo výškové vyrovnání
Parametry sítě
Vstupní data
Zapínání a vypínání položek
Vstupní body a jejich přibližné souřadnice
Seznam měřených směrů
Seznam měřených délek
Seznam měřených převýšení
Vyrovnání sítě
Uložení vyrovnaných souřadnic
Matematický model vyrovnání
Porovnání etap
Analýza sítě
Menu SOUBOR
Otevři
Ulož
Ulož jako
Konec
Menu SÍŤ
Parametry sítě
Nastavení protokolu
Smazat síť
Vypustit bod
Upravit střední chyby směrů
Upravit střední chyby délek
Upravit přibližné souřadnice podle vyrovnání
Upravit přibližné souřadnice ze seznamu souřadnic
Upravit střední chyby směrů
Upravit střední chyby délek
Zobrazit kontrolní kresbu
Porovnání etap
Vyrovnat síť
Analyzovat síť
V. Informace o databázových serverech podporovaných systémem Groma
54. Obecný postup při nastavení databází
55. Instalace a konfigurace databázových serverů
MySQL
1. Stažení instalačních souborů
2. Instalace serveru a ODBC driveru
3. Samostatná instalace ODBC driveru
4. Konfigurace pro vzdálený přístup
Oracle
1. Stažení
2. Instalace
56. Poinstalační konfigurace databáze
Spuštění postalační konfigurace databáze
Ovládání nástroje pro konfiguraci databáze
Vytvoření databáze
Vytvoření uživatele
57. Připojení systému Groma k databázi
58. Inicializace databáze
59. Založení projektu
60. Import dat z výměnného formátu nebo vzorových dat
VI. Změny v nových verzích
61. Změny mezi verzemi 9 a 10
62. Změny mezi verzemi 10 a 11
63. Změny mezi verzemi 11 a 12
Změny mezi verzemi 12 a 12.1
Změny mezi verzemi 12.1 a 12.2
Změny mezi verzemi 12.2 a 12.3
64. Změny mezi verzemi 12 a 13
65. Změny mezi verzemi 13 a 14
VII. Závěr
66. Závěr, kontakt
Seznam odkazů

Seznam tabulek

6.1. Klávesy pro označování v seznamu
7.1. Klávesy pro pohyb v seznamu
7.2. Symboly datových položek pro seznam souřadnic
7.3. Symboly datových položek pro seznam měření
8.1. Symboly datových položek pro seznam souřadnic
8.2. Symboly datových položek pro seznam měření
10.1. Speciální položky kódovací tabulky
11.1. Testy při výpočtech
21.1. Nové atributy bodů pro práci v DTM
23.1. Položky v menu
24.1. Informace o katastrálních územích nalezených v seznamu
24.2. Informace o předčíslích použitých v seznamu
24.3. Informace o kódech bodů použitých v seznamu
24.4. Informace o kódech kvality bodů použitých v seznamu
24.5. Informace o typech pořízení bodů použitých v seznamu
26.1. Příklady použití masky při označování
26.2. Společné proměnné pro hromadné změny
26.3. Proměnné pro hromadné změny v seznamu souřadnic
26.4. Volby pro roztřídění seznamu souřadnic dle mapových listů
26.5. Volby pro porovnání souřadnic
26.6. Volby pro vyhledání identických bodů
26.7. Volby pro odstranění identických bodů
27.1. Příklady použití masky při označování
27.2. Společné proměnné pro hromadné změny
27.3. Proměnné pro hromadné změny v seznamu měření
27.4. Možné postupy měření směrů v řadách a skupinách
27.5. Volby při zpracování měření v řadách a skupinách
28.1. Volby výpočtu polární metody
28.2. Volby výpočtu polární metody dávkou
28.3. Volby výpočtu ortogonální metody dávkou
28.4. Volby výpočtu vyrovnávací přímky
28.5. Volby výpočtu vyrovnávací kružnice
28.6. Volby výpočtu transformace souřadnic
28.7. Volby výpočtu kontrolních oměrných
28.8. Volby výpočtu souboru kontrolních oměrných
28.9. Volby výpočtu konstrukčních oměrných
28.10. Volby výpočtu výměr
36.1. Parametry při spuštění
38.1. Seznam proměnných souboru network.ini
39.1. Přípony souborů používaných v systému Groma
41.1. Atributy prvku <profile>
41.2. Struktura prvku <profile>
41.3. Atributy prvku <server>
41.4. Struktura prvku <server>
41.5. Atributy prvku <table>
41.6. Struktura prvku <table>
41.7. Atributy prvku <column>
41.8. Struktura prvku <column>
44.1. Symboly datových položek pro seznam souřadnic
44.2. Symboly datových položek pro seznam měření
44.3. Volby hodnoty datových položek
44.4. Volby zobrazení datových položek
44.5. Příklady výstupního formátu pro seznam souřadnic
44.6. Příklady výstupního formátu pro seznam měření
50.1. Proměnné pro použití ve vložených textech
51.1. Proměnné ve vzorci pro výpočet mezní odchylky
53.1. Připojení sítě - 2 pevné body
53.2. Připojení sítě - 3 pevné body
53.3. Připojení sítě - Volná síť
53.4. Připojení sítě - Helmert 2 body
53.5. Připojení sítě - Helmert 3 body
53.6. Připojení sítě - Pevné X na bodě 2
53.7. Připojení sítě - Pevné X na bodě 3
53.8. Připojení sítě - Pevné Y na bodě 3
53.9. Připojení sítě - Pevné Y na bodě 4
53.10. Připojení sítě - Pevný směrník
Další
Část I. Uživatelská příručka


Část I. Uživatelská příručka
Předcházející Další

Část I. Uživatelská příručka

Obsah

1. Úvod
Požadavky programu
Ochrana programu
2. Instalace programu
Instalace
Hardwarový klíč
Lokální hardwarový klíč
Síťový hardwarový klíč
Aktualizace hardwarového klíče
3. Spuštění aplikace
Spuštění aplikace
Parametry při spuštění
Konfigurační soubor
Informační kanál
Automatická aktualizace
4. Ovládání programu
Ovládání programu
Hlavní okno programu
Lišta nastavení
Stavový řádek
Datová okna
Práce s okny
Dialogová okna
Vstupní řádky se vzorci
Zvyšování / snižování čísla bodu
Výběr datových souborů
Nepřístupná tlačítka a jiné ovládací prvky
Nápověda
5. Datové soubory
Projekty
Souřadnicové soubory
Geometrie
Zeměpisné souřadnice
Soubory s měřenými daty
Protokoly
Textové soubory
Grafické soubory
Indexování souborů
Komprese souboru
Správa souborů
Otevření souboru
Otevření souboru pomocí dialogového okna
Otevření souboru pomocí parametru při spuštění
Otevření souboru pomocí Průzkumníka
Otevření seznamu pouze pro čtení
Import souboru
Založení nového souboru
6. Seznamy
Informace o bodech
Identifikátor bodu
Datum zaměření bodu
Datum vytvoření bodu
Datum poslední modifikace bodu
Kód bodu
Poznámka
Kód kvality
Typ bodu
Způsob pořízení
Další údaje v seznamech souřadnic
Další údaje v seznamech polárního měření
Další údaje v seznamech ortogonálního měření
Další údaje v seznamech nivelačního měření
Kurzor
Editování
Označování
Označování z klávesnice
Označování myší
Hromadné označování
Přidávání položek
Deaktivace záznamů
Vyhledávání položek
Volba zobrazených údajů
Krok zpět
Krok vpřed
Počet desetinných míst a zaokrouhlování
Nastavení počtu desetinných míst
Chyba z dvojího zaokrouhlení
Další numerické důsledky zaokrouhlení
Přetahování dat
Postup při přetahování jednotlivých položek
Postup při přetahování bloku položek
Kopírování dat
Přečíslování seznamu
Přečíslování podle seznamu přiřazení čísel bodů
Označování podle seznamu čísel bodů
Hromadné změny v seznamech
Změna kódů na grafické
7. Seznam souřadnic
Pohyb v seznamu souřadnic
Zamykání bodů
Zvýrazněné body
Pomocné body
Duplicitní čísla bodů v seznamu souřadnic
Průměrování souřadnic při ukládání bodu s existujícím číslem
Řazení seznamu souřadnic
Standardní řazení seznamu souřadnic
Řazení seznamu souřadnic podle zvoleného sloupce
Aktivní seznam souřadnic
Volba aktivního seznamu souřadnic
Vyhledávání v seznamu souřadnic
Grafické zobrazení bodů
Roztřídění seznamu podle mapových listů
Porovnání souřadnic
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Kontrola číslování bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Obnova smazaných položek
Připojení souboru
Dvojí souřadnice
Zeměpisné souřadnice
Export / Import seznamu souřadnic
Textové seznamy souřadnic
Soubory ve formátu MS Excel
Soubory ve formátu XML
Geografické formáty
Soubory ze záznamníků a měřicích přístrojů
Další formáty
Konfigurovatelný import seznamu souřadnic
Import seznamu souřadnic pomocí oddělovačů
Import seznamu souřadnic pomocí šířek sloupců
Import seznamu souřadnic kombinovaným způsobem
8. Seznam měření
Volba podrobnosti zobrazení
Zpracování zápisníku
Označení orientací
Spojení souborů měření
Obnova smazaných položek
Export / Import seznamu měření
Export / Import polárního měření
Export / Import nivelace
Měření - uživatelský formát
Soubory ve formátu MS Excel
Soubory ve formátu XML
9. Projekty
Založení projektu
Přidávání / ubírání souborů
Uložení projektu
Otevření projektu
10. Kódování bodů
Princip kódování
Kódovací tabulka
Připojení a odpojení kódovací tabulky
Editace kódovací tabulky
Vícenásobné kódy
Nenalezené kódy
Označování bodů podle kódů
Zadávání kódů pomocí popisů
Překódování při importu
11. Výpočty
Výpočetní dialogová okna
Zadávání údajů
Řazení řádků v seznamech
Aktualizace vstupních souřadnic
Ukládání výsledků
Uzavírání oken
Kontrolní kresba
Tolerance
Testování dle předpisů pro práci v katastru nemovitostí
Transformace souřadnic
Identické body
Transformační klíč
Shodnostní transformace
Podobnostní transformace
Afinní transformace - 6 stupňů volnosti
Uživatelská transformace
Orientace osnov vodorovných směrů
Ruční orientace osnov
Automatická orientace osnov
Váhy orientací
Řazení orientací v seznamu
12. Definice teodolitu
Definice teodolitu
13. Protokoly
Otevření protokolu
Uložení protokolu
Princip práce s protokoly
Lokální protokol
Výpis seznamu souřadnic do protokolu
Výpis seznamu měření do protokolu
Přečíslování protokolu
Kódování češtiny
Parametry protokolu
14. Hlášení a komentáře
15. Grafika
Princip ukládání grafiky
Otevření grafického okna
Ovládání grafického okna
Chytání na body
16. Grafické určování bodů
Princip grafického určování bodů
Postup při grafickém určování bodů
17. Tiskové výstupy
Náhled před tiskem
Tisk seznamů
Nastavení okrajů
Výběr hlaviček
Výběr položek
Volba rozsahu stránek a počtu kopií
Volba fontu
18. Manažer konfigurací
19. Spolupráce s CAD systémy
Spuštění s podporou CAD systému
Atributy pro přenos bodů
20. Propojení s databázemi
Podporované servery
Používané databázové tabulky
Tabulka projektů
Tabulka bodů
Nastavení připojení k databázi
Postup práce s databázemi bodů
Připojení k databázi
Inicializace databáze
Výběr / nastavení aktivního projektu
Import z databáze
21. Digitální technická mapa
Obecné informace
Postup práce
Příprava na práci s DTM
Registrace na portálu DMVS ČÚZK
Pořízení podkladových dat pro GAD DTM
Ověření homogenity GAD
Zpracování změny a tvorba GAD
Zaměření situace a výpočet souřadnic
Spuštění grafického modulu a založení projektu
Import JVF
Import bodů z databáze do seznamu souřadnic
Vložení nových vypočtených bodů do databáze
Odstranění bodů z databáze
Zakreslení změny
Vytvoření grafického znázornění (náčrtu)
Export JVF
Vytvoření archivu pro odeslání
Předběžná kontrola GAD
Odeslání zpracované GAD do DMVS
Předcházející |  | Další
Groma v. 14.0 | Domů | Kapitola 1. Úvod


Kapitola 1. Úvod
Předcházející Část I. Uživatelská příručka Další

Kapitola 1. Úvod

Obsah

Požadavky programu
Ochrana programu

Dostáváte do rukou aplikaci Groma určenou pro geodetické výpočty, vedení a zpracování seznamu souřadnic a seznamu měření v prostředí Microsoft Windows.

Požadavky programu

  • Počítač: Program Groma pracuje na jakémkoli počítači typu PC, na kterém běží Microsoft Windows 8 nebo novější.

  • Myš: K práci s programem je třeba myš, nejlépe třítlačítková.

Předcházející | Nahoru | Další
Část I. Uživatelská příručka | Domů | Ochrana programu


Ochrana programu
Předcházející Kapitola 1. Úvod Další

Ochrana programu

Program je chráněn proti neoprávněnému použití tzv. hardwarovým klíčem. Hardwarový klíč je zařízení, které se připojí na USB port počítače, a program během svého chodu jeho přítomnost testuje. Nenalezne-li klíč, spustí se automaticky v omezeném demonstračním režimu.

Hardwarový klíč lze použít v lokálním nebo síťovém provedení. Lokální klíč musí být připojen přímo na počítači, na němž je Groma spuštěna. Síťový klíč je připojen na tzv. licenčním serveru, ke kterému se jednotlivé instalace systému Groma připojují.

Důležité

V operačním systému je nutno instalovat driver pro hardwarový klíč. Při kompletní instalaci systému Groma jste dotázáni, zda si přejete driver nainstalovat. Při instalaci update se předpokládá, že máte driver již nainstalován.

Předcházející | Nahoru | Další
Kapitola 1. Úvod | Domů | Kapitola 2. Instalace programu


Kapitola 2. Instalace programu
Předcházející Část I. Uživatelská příručka Další

Kapitola 2. Instalace programu

Obsah

Instalace
Hardwarový klíč
Lokální hardwarový klíč
Síťový hardwarový klíč
Aktualizace hardwarového klíče

Instalace

Instalační disk obsahuje program s názvem groma14 a přesným číslem verze, který automaticky instaluje všechny potřebné soubory.

Instalační program můžete spustit např. z menu Start nebo pomocí Správce Programů příkazem Start → Spusť a zadáním jeho názvu, např.

D:\groma14-0-0-1.exe.

Po jeho spuštění jste dotázáni na jméno adresáře, do kterého chcete program Groma instalovat (implicitně C:\Groma14). Adresář pro program Groma nemusí existovat, instalační program jej sám vytvoří.

Instalujete-li novější update stejné verze, můžete jej instalovat do přímo přes předchozí instalaci, do stejného adresáře a bez odstraňování původní verze. Instalační program vás v takovém případě upozorní, že instalujete do existujícího adresáře, což můžete potvrdit a pokračovat dále.

Další postup instalace se liší podle typu hardwarového klíče. Obě varianty jsou popsány v následující kapitole.

Poznámka

Systém Groma využívá běhové prostředí .NET 5. Není-li toto prostředí na počítači nainstalováno, bude při prvním spuštění zobrazen dotaz, zda si přejete je doinstalovat. Po odsouhlasení bude spuštěn proces instalace knihoven. Je třeba zvolit variantu 32bitovou (X86).

Samozřejmě je také možno stáhnout instalaci knihoven .NET ručně a nainstalovat ji samostatně. Opět je ale třeba zvolit 32bitovou verzi.

Předcházející | Nahoru | Další
Ochrana programu | Domů | Hardwarový klíč


Hardwarový klíč
Předcházející Kapitola 2. Instalace programu Další

Hardwarový klíč

Aplikace je chráněna proti neoprávněnému použití hardwarovým klíčem. Klíč je v provedení USB a je dodáván podle typu licence ve dvou provedeních:

  • Lokální klíč: musí být připojen vždy na počítači, na němž je aplikace spouštěna. Obsahuje jednu licenci.

  • Síťový klíč: musí být připojen na serveru nebo některé stanici v síti. Obsahuje jednu nebo více licencí, o které si aplikace při spouštění žádá prostřednictvím sítě.

Poznámka

Instalaci driverů pro USB klíč je třeba provést před připojením klíče.

Lokální hardwarový klíč

Lokální klíč obsahuje jednu licenci systému Groma. Klíč musí být připojen vždy na počítači, na němž je aplikace spouštěna. Aplikaci je možno instalovat na více počítačů a klíč přenášet. Klíč musí být zapojen v USB portu při spouštění aplikace i později v průběhu práce.

Při instalaci software z instalačního CD je v posledním kroku instalace automaticky nabídnuta i instalace driveru. Při instalaci je třeba mít na stanici administrátorská práva, jinak instalace driveru neproběhne a zobrazí se chybové hlášení.

Chcete-li hardwarový klíč připojit na stanici, na níž nebyla Groma instalována, je třeba doinstalovat driver ručně z instalačního CD.

Postup při instalaci aplikace s lokálním klíčem

  1. Spusťte instalační program systému Groma z inztalačního CD nebo stažený z našich stránek. Pokračujte v instalaci dle zobrazených instrukcí.

  2. Nainstalujte driver pro hardwarový klíč. Při instalaci Gromy z instalačního CD je instalace driveru automaticky nabídnuta v posledním kroku instalace aplikace. Pokud jste Gromu instalovali ze samostatného instalačního souboru, staženého z našich stránek, je třeba driver nainstalovat ručně. Spusťte program Sentinel System Driver Installer a pokračujte v instalaci dle zobrazených instrukcí. Tento driver je v hlavním adresáři instalačního CD nebo je ke stažení na našich stránkách https://www.groma.cz.

  3. Po dokončení instalace driveru zapojte klíč do USB portu a počkejte na dokončení instalace zařízení.

Síťový hardwarový klíč

Při provozu programu Groma v prostředí počítačové sítě není třeba mít instalován hardwarový klíč na každém počítači, na němž má být program provozován. Místo toho je zřízen tzv. licenční server, tj. počítač, ke kterému je připojen síťový klíč, a který se stará o přidělování licencí ke spuštění aplikace v síti. Licenční server monitoruje, kolik instalací programu již bylo spuštěno, a po dosažení povoleného počtu licencí dovolí další spuštění programu pouze v omezeném demonstračním režimu. Licenční server je proti klasické ochraně hardwarovým klíčem výhodnější v tom, že program může spustit kdokoli z kterékoli stanice, bez nutnosti přenášet hardwarový klíč z počítače na počítač.

Při instalaci síťové verze software z instalačního CD je v posledním kroku instalace automaticky nabídnuta i instalace licenčního serveru. Při instalaci je třeba mít na stanici administrátorská práva, jinak instalace driveru neproběhne a zobrazí se chybové hlášení.

Na klientské stanici, kde bude aplikace spouštěna, nemusí být instalován ani driver ani licenční server.

Postup při instalaci aplikace se síťovým klíčem

  1. Instalujte systém Groma na jeden nebo více počítačů v síti. Provoz aplikace je možný dvěma způsoby:

    • Instalace aplikace na lokální počítače všech stanic, na kterých má být aplikace provozována.

      Spusťte instalační program systému Groma postupně na všech stanicích, kde bude aplikace spouštěna. Nainstalujte aplikaci dle zobrazených instrukcí. Instalaci licenčního serveru, která vám bude nabídnuta v posledním kroku instalace, na všech stanicích nespouštějte, tyto komponenty jsou potřeba pouze na stanici, kde bude připojen klíč.

    • Instalace aplikace do sdíleného adresáře serveru.

      Spusťte instalační program systému Groma na některé ze stanic sítě a nainstalujte aplikaci do sdíleného serverového adresáře, který bude k dispozici i z ostatních stanic.

      Instalujete-li na stanici/serveru, kde bude připojen síťový HW klíč, můžete po dokončení instalace nainstalovat Sentinel Protection Installer, jehož instalace vám bude nabídnuta v posledním kroku instalace aplikace. V takovém případě můžete vynechat následující krok.

  2. Spusťte program Sentinel Protection Installer a pokračujte v instalaci dle zobrazených instrukcí. Tento soubor je v hlavním adresáři instalačního CD nebo je ke stažení na našich stránkách https://www.groma.cz. Program automaticky nainstaluje všechny potřebné komponenty (driver pro klíč i licenční server) a dotáže se, zda má ve firewallu povolit výjimku pro komunikaci s licenčním serverem (pouze při použití interního firewallu MS Windows, u jiných typů firewallu je třeba výjimku nastavit ručně, viz krok 3).

  3. Po dokončení instalace driveru zapojte klíč do USB portu a počkejte na dokončení instalace zařízení.

  4. Zajistěte, aby byla možná síťová komunikace mezi stanicemi a licenčním serverem. Je-li na počítači, na němž běží licenční server, nainstalován jiný firewall, než standardní integrovaný v MS Windows, nebo odmítnete-li při instalaci licenčního serveru automatickou úpravu nastavení firewallu, bude třeba ručně povolit komunikaci s licenčním serverem. Komunikace probíhá na portu 6001/UDP. V integrovaném firewallu Windows lze tento port povolit v Ovládacích panelech v položce Brána firewall, karta Výjimky, tlačítko Přidat port, číslo portu 6001, protokol UDP.

  5. Po dokončení instalace můžete ručně upravit síťové nastavení systému. Síťová konfigurace (nastavení typu klíče a síťových protokolů) je uložena v souboru ?NETWORK.INI, který je uložen v hlavním adresáři systému Groma. Při dodání je konfigurace nastavena na standardní hodnoty, se kterými by program měl klíč nalézt. Spustí-li se program v demonstračním režimu, je pravděpodobně třeba konfiguraci upravit. Podrobný popis síťového konfiguračního souboru je uveden v přílohách.

Aktualizace hardwarového klíče

V klíči jsou uloženy informace o licenci k systému Groma. Nový klíč je dodán naprogramovaný, všechny změny v průběhu životního cyklu aplikace se do klíče ukládají pomocí aktualizačních kódů.

Aktualizační kódy jsou zašifrované řetězce obsahující informace, které je třeba v klíči změnit. Nejčastěji to bývá sériové číslo, číslo licencované verze aplikace a licence k rozšiřujícím modulům.

Aktualizační kód je vždy vázaný na konkrétní číslo klíče. Máte-li více klíčů a nejste si jisti, zda máte připojený správný klíč pro aktualizaci, můžete bez obav aktualizační kód zkusit použít. Pokud se sériové číslo v klíči a v kódu neshoduje, žádná změna neproběhne a na nesoulad čísel budete upozorněni chybovým hlášením.

Důležité

Každý aktualizační kód se použije pouze jednou. Informace z něj se uloží do permanentní paměti klíče, kde jsou zapsány nastálo a aktualizaci již není třeba opakovat.

Poznámka

Aktualizace, při nichž dochází ke změně sériového čísla, ani opakovat nejdou. V průběhu aktualizace je do klíče nahráno nové číslo, a protože je aktualizační kód vázán na sériové číslo, nelze již po této změně původní kód podruhé aplikovat.

Spustíte-li novější verzi aplikace, než jaká je licencována v klíči, bude okno pro aktualizaci klíče zobrazeno automaticky.

Okno zobrazuje informace o spuštěné verzi aplikace (sloupec Program) a informace uložené v klíči (sloupec Klíč). Pod informacemi je editační pole pro zadání aktualizačního kódu.

Okno pro aktualizaci hardwarového klíče

Aktualizační kód můžete do okna zkopírovat přímo z mailu nebo z jiného elektronického záznamu.

Stisknutím tlačítka Aktualizovat klíč spustíte vlastní proces aktualizace. Po dokončení bude zobrazeno informační okno se zprávou o úspěšné aktualizaci nebo s popisem chyby.

Poznámka

Tlačítko Aktualizovat klíč je přístupné pouze pokud je klíč připojen a detekován. Je-li tlačítko nepřístupné, pravděpodobně není klíč připojen, nebo není instalován potřebný driver.

Tentýž postup platí i v případě aktualizace síťového klíče. Síťový klíč lze aktualizovat z libovolné stanice, na níž je Groma spuštěna s licencí z klíče, který má být aktualizován.

Předcházející | Nahoru | Další
Kapitola 2. Instalace programu | Domů | Kapitola 3. Spuštění aplikace


Kapitola 3. Spuštění aplikace
Předcházející Část I. Uživatelská příručka Další

Kapitola 3. Spuštění aplikace

Obsah

Spuštění aplikace
Parametry při spuštění
Konfigurační soubor
Informační kanál
Automatická aktualizace

Spuštění aplikace

Aplikaci můžete spustit dvojitým kliknutím na jejího zástupce, z menu Start nebo pomocí Průzkumníka.

Dále lze aplikaci spustit automaticky z řídící aplikace (MicroStation). Nastavení pro použití se systémem MicroStation je podrobně popsáno v příloze.

Předcházející | Nahoru | Další
Hardwarový klíč | Domů | Parametry při spuštění


Parametry při spuštění
Předcházející Kapitola 3. Spuštění aplikace Další

Parametry při spuštění

Program Groma lze spustit s některými parametry na příkazové řádce. Parametry jsou uvedeny za znakem "/" nebo "-". Seznam parametrů je uveden v příloze.

Předcházející | Nahoru | Další
Kapitola 3. Spuštění aplikace | Domů | Konfigurační soubor


Konfigurační soubor
Předcházející Kapitola 3. Spuštění aplikace Další

Konfigurační soubor

Veškerá nastavení programu Groma, včetně vstupních/výstupních formátů, rozmístění otevřených oken na obrazovce apod. jsou ukládána do konfiguračního souboru, jehož standardní název je Groma.ini. Standardní umístění tohoto souboru se liší v závislosti na použité verzi MS Windows. Existuje-li v prostředí proměnná USERPROFILE, bude konfigurační soubor umístěn do adresáře, kam tato proměnná ukazuje. Není-li tato proměnná definována, bude konfigurační soubor umístěn v adresáři, kde jsou instalována MS Windows (obvykle C:\WINDOWS).

Název a umístění konfiguračního souboru lze změnit pomocí parametru při spuštění. Seznam použitelných parametrů je uveden v příloze.

Dále lze měnit název a umístění aktivního konfiguračního souboru pomocí nástroje Manažer konfigurací, který je přístupný z lišty nastavení.

Pokud při prvním spuštění systému Groma není v příslušném adresáři inicializační soubor nalezen, program na toto místo zkopíruje standardní předdefinovanou konfiguraci, která se nachází v adresáři systému Groma.

Konfigurační soubor je textový soubor, který lze teoreticky přímo editovat, ale tento postup příliš nedoporučujeme, protože všechny jeho položky jsou nastavitelné z prostředí programu Groma, a je-li tento soubor porušen, resp. obsahuje-li nepředpokládané nebo nepřípustné údaje, nelze zaručit korektní chování programu.

Poznámka

Vzhledem k tomu, že v programu lze nastavit poměrně velké množství různých parametrů (a v některých případech, jako třeba u vstupních/výstupních formátů, může být nastavení poměrně pracné), doporučujeme konfigurační soubor čas od času zálohovat.

Předcházející | Nahoru | Další
Parametry při spuštění | Domů | Informační kanál


Informační kanál
Předcházející Kapitola 3. Spuštění aplikace Další

Informační kanál

Program Groma si po spuštění automaticky načítá aktuální informace z informačního kanálu prostřednictvím internetu. Pokud nalezne nějakou zprávu, která ještě nebyla zobrazena, zobrazí ji. Je-li k dispozici více nepřečtených zpráv, ve spodní části okna budou zobrazeny šipky pro posouvání mezi zprávami. Zprávy, které si posunem šipek nezobrazíte, budou považovány za nepřečtené a budou opět zobrazeny při následujícím spuštění aplikace.

Informační kanál

Přejete-li si zobrazit všechny starší zprávy k příslušné verzi aplikace z informačního kanálu, můžete si je vyžádat příkazem Nápověda → Opakované zobrazení všech zpráv z informačního kanálu.

Stahování informací z informačního kanálu lze vypnout v nastavení systému v dialogovém okně Soubor → Nastavení → Prostředí

Předcházející | Nahoru | Další
Konfigurační soubor | Domů | Automatická aktualizace


Automatická aktualizace
Předcházející Kapitola 3. Spuštění aplikace Další

Automatická aktualizace

Po spuštění systém Groma kontroluje, zda není k dispozici nějaká aktualizace programu. Pokud ano, zobrazí informaci o nové verzi a nabídne její automatické stažení.

Automatická aktualizace probíhá v těchto krocích:

  1. Při nalezení dostupné nove verze je zobrazeno informační hlášení s dotazem, zda si přejete novou verzi stáhnout a nainstalovat. Doporučujeme všechny nové aktualizace instalovat.

    Automatická aktualizace nalezena

  2. Po potvrzení začne na pozadí běžet stahování aktualizace. Během stahování lze s aplikací normálně pracovat.

  3. Po úspěšném stažení aktualizace je zobrazena informace, že je aktualizace připravena k instalaci. Aktualizace bude nainstalována při příštím spuštění aplikace. Chcete-li ji nainstalovat okamžitě, ukončete aplikaci a znovu ji spusťte.

    Automatická aktualizace stažena

  4. Při příštím spuštění aplikace je zobrazena informace o tom, že je aktualizace stažena a připravena k instalaci.

    Automatická aktualizace připravena k instalaci

    Po stisknutí tlačítka Ano bude zahájena aktualizace aplikace.

    Po stisknutí tlačítka Ne bude aktualizace při tomto spuštění přeskočena (bude opět nabídnuta při příštím spuštění).

    Po stisknutí tlačítka Zrušit bude celá stažená aktualizace odstraněna.

    Při příštím spuštění bude opět nabídnuta ke stažení (pokud automatickou aktualizaci nevypnete v Soubor → Nastavení → Prostředí).

    Záloha původní instalace

    Před zahájením aktualizace je celá původní instalace zálohována. Záloha je uložena do pracovního adresáře, do něhož se stahuje aktualizace. Adresář je umístěn v uživatelském adresáři pro dočasné soubory (adresář, do něhož ukazuje systémová proměnná TEMP, obvykle C:\Users\<přihlašovací jméno>\Local Settings\Temp). V tomto adresáři je vytvořen podadresář Groma\update, do něhož se stahují všechny aktualizace (dále je obsah členěn podle čísla verze aplikace a čísla verze aktualizace. V adresáři konkrétní aktualizace je založen adresář backup, kam je záloha aktuální instalace uložena. Uložen je kompletní obraz instalačního adresáře, takže lze původní instalaci z této zálohy kdykoli obnovit (postačí prosté překopírování na původní místo s přepsáním existujících souborů).

  5. Po dokončení aktualizace bude zobrazena informace, že byla aktualizace nainstalována. Zároveň bude zobrazen dotaz, zda si přejete aktualizovanou aplikaci spustit.

    Automatická aktualizace nainstalována

    V případě neúspěšné aktualizace bude zobrazena tato informace:

    Automatická aktualizace neúspěšná

    V takovém případě lze dohledat postup aktualizace v uvedeném protokolu. Protokol můžete pro podrobnější analýzu zaslat na naši hotline.

    Instalaci příslušné verze můžete stáhnout z našich stránek z uvedeného odkazu a nainstalovat ji ručně. Lze ji instalovat přímo přes současnou instalaci, není třeba nic odinstalovávat.

Protokol o aktualizaci

Celý proces aktualizace je průběžně protokolován. Protokol je uložen v dočasném adresáři se staženou aktualizací (viz výše), v souboru s názvem update.log. Pokud se aktualizace z nějakého důvodu nezdaří, obvykle lze z protokolu zjistit příčinu. Pokud nebude příčina z protokolu jasná, pošlete nám, prosím, protokol mailem.

Automatické stahování aktualizací lze vypnout v nastavení systému v dialogovém okně Soubor → Nastavení → Prostředí.

Správce sítě

Pokud se jedná o sdílenou instalaci v síťovém prostředí, a chcete zakázat automatické aktualizace a ponechat aktualizaci systému v pravomoci správce, můžete centrálně automatickou aktualizaci zakázat v síťovém konfiguračním souboru network.ini.

Předcházející | Nahoru | Další
Informační kanál | Domů | Kapitola 4. Ovládání programu


Kapitola 4. Ovládání programu
Předcházející Část I. Uživatelská příručka Další

Kapitola 4. Ovládání programu

Obsah

Ovládání programu
Hlavní okno programu
Lišta nastavení
Stavový řádek
Datová okna
Práce s okny
Dialogová okna
Vstupní řádky se vzorci
Zvyšování / snižování čísla bodu
Výběr datových souborů
Nepřístupná tlačítka a jiné ovládací prvky
Nápověda

Ovládání programu

Program se ovládá stejně, jako většina aplikačních programů pro MS Windows. Uživateli, který je na toto prostředí zvyklý, by tedy ovládání nemělo činit žádné potíže.

Předcházející | Nahoru | Další
Automatická aktualizace | Domů | Hlavní okno programu


Hlavní okno programu
Předcházející Kapitola 4. Ovládání programu Další

Hlavní okno programu

Po prvním spuštění programu Groma je zobrazeno jeho hlavní okno. Ve vrchní části okna je zobrazeno roletové menu nebo pás s příkazy, které slouží k ovládání programu. Který z těchto dvou ovládacích prvků bude zobrazen můžete zvolit v nastavení aplikace (Soubor → Nastavení → Prostředí).

Nabídka funkcí a nástrojů reaguje na typ datového okna, které je právě aktivní, a přizpůsobuje mu nabízené příkazy. Po prvním spuštění programu není otevřeno žádné datové okno, menu tedy neobsahuje příkazy pro práci se seznamy.

Předcházející | Nahoru | Další
Kapitola 4. Ovládání programu | Domů | Lišta nastavení


Lišta nastavení
Předcházející Kapitola 4. Ovládání programu Další

Lišta nastavení

Pod nabídkou funkcí je lišta nastavení. Na této liště lze přímo měnit některá nastavení systému Groma. Navíc je z této lišty přístupný manažer konfigurací, pomocí něhož lze spravovat více souborů s konfiguracemi.

Lišta nastavení

Všechny rozbalovací seznamy na liště nastavení zobrazují několik naposledy použitých hodnot. Při volbě již dříve nastavené hodnoty tedy většinou není třeba zadávat údaj z klávesnice, ale stačí jej vyhledat v seznamu naposledy použitých hodnot.

Na liště nastavení jsou přístupné následující položky:

  • Konfigurace: Volba aktivního konfiguračního souboru

    Lišta nastavení - konfigurace

    Zde lze volit, se kterou sadou konfigurací si přejete pracovat. Program nabízí všechny konfigurace nalezené v adresáři pro konfigurace. Umístění konfigurací lze definovat pomocí nastavení v souboru network.ini, pomocí parametru při spuštění systému Groma nebo přímo v Manažeru konfigurací.

    Vedle seznamu s nabídkou konfiguračních souborů je tlačítko pro vyvolání manažeru konfigurací.

  • Předčíslí:

    Lišta nastavení - redukce

    Nabídka implicitního předčíslí, které je použito při zadání neúplného čísla bodu. Toto předčíslí lze nastavit též v dialogovém okně Redukce. Pokud bude zadáno číslo bodu bez předčíslí, bude k němu doplněno toto předčíslí. Bude-li v předčíslí zadáno pouze číslo ZPMZ, bude k němu (v závislosti na nastavení v Soubor → Nastavení → Redukce) z přednastaveného předčíslí doplněno číslo katastrálního území.

    V dialogovém okně Soubor → Nastavení → Vstup/Výstup lze nastavit zobrazování čísel bodů v seznamech tak, že u bodů, které mají předčíslí shodné nebo částečně shodné s přednastaveným bude zobrazováno redukované předčíslí nebo pouze vlastní číslo bodu. Lze zobrazit i historii naposledy použitých předčíslí. V seznamu je za předčíslím uveden i název příslušného katastrálního území.

    Vpravo od implicitního předčíslí je tlačítko pro výběr předčíslí podle katastrálního území.

    Po stisknutí tohoto tlačítka bude zobrazeno dialogové okno, pomocí něhož můžete zvolit katastrální území z číselníku:

    Výběr katastrálního území

    Katastrální území můžete zvolit jedním ze tří způsobů:

    • Z projektu: Pomocí tohoto seznamu můžete vybírat z katastrálních území, do nichž zasahují data naimportovaná do aktivního projektu. Pokud nejste připojeni k databázi, je tato možnost nepřístupná.

    • Vyhledáváním: Při zadávání počátečních písmen názvu katastrálního území do vstupního řádku bude níže uvedený seznam katastrálních území přefiltrován a bude obsahovat pouze ta území, jejichž název začíná zadaným textem.

    • Ze seznamu: Je-li řádek pro vyhledávání prázdný, je v okně zobrazen kompletní seznam všech katastrálních území. Ve stromu lze rozbalit jednotlivé skupiny sestavené podle prvního písmena názvu a vybírat v seznamu. Katastrální území lze zvolit poklepáním nebo označením a potvrzením tlačítkem OK.

    Zvolíte-li nějaké katastrální území ve stromovém seznamu, budou ve spodní části dialogového okna zobrazeny podrobnější informace.

    Pokud budete chtít zobrazit informace o příslušném katastrálním pracovišti, můžete je zobrazit pomocí tlačítka vpravo od řádku s názvem katastrálního pracoviště. Podrobnosti budou zobrazeny v novém dialogovém okně:

    Informace o katastrálních pracovištích

    Předčíslí můžete nastavit i přetažením libovolného záznamu s požadovaným předčíslím ze seznamu souřadnic nebo seznamu měření.

  • Kód kvality:

    Výběrový seznam kódů kvality. Zvolený kód kvality má vliv např. na mezní odchylky při výpočtech. Není-li zde nastaven platný kód kvality v rozmezí 1-8, implicitně se pro výpočet mezních odchylek předpokládá kód kvality 3

  • Měřítko: Nastavení měřítkového koeficientu

    Lišta nastavení - měřítko

    Okno s nabídkou naposledy použitých měřítkových koeficientů pro přepočet měřených délek do souřadnicové soustavy (redukce z kartografického zkreslení a z nadmořské výšky). Tímto koeficientem jsou přenásobeny všechny délky importované z totálních stanic. Měřítkový koeficient je tedy třeba nastavit ještě před importem souboru s měřením. Údaj o použitém měřítkovém koeficientu se zaznamená do protokolu o importu, a pro případnou pozdější kontrolu se zapíše i do hlavičky seznamu měření, odkud jej lze zobrazit příkazem Soubor → Informace o souboru.

    Měřítkový koeficient lze na základě přibližných souřadnic spočítat nástrojem Výpočet zkreslení v Křovákově zobrazení.

  • Najít bod: Vyhledávání bodů

    Lišta nastavení - vyhledávání bodů

    Vstupní okénko pro vyhledávání bodu v seznamu podle čísla. Píšete-li do něj číslo bodu, program průběžně během psaní vyhledává v seznamu bod zadaného čísla. Je-li v seznamu více bodů stejného čísla, bude následující bod nalezen po stisknutí klávesy šipka dolů a předchozí bod po stisknutí klávesy šipka nahoru.

  • Výšky: Přepínač výpočtu výšek bodů

    Lišta nastavení - nastavení

    Pokud tento přepínač vypnete, nebude probíhat výškový výpočet bodů. Přepínač se hodí např. pro práci v katastru nemovitostí, kde není žádoucí, aby protokoly obsahovaly informace o výškovém výpočtu.

  • Protokolovat vstupní body: Přepínač ukládání souřadnic vstupních bodů do protokolu

    Je-li tento přepínač zapnut, jsou při výpočtech protokolovány souřadnice všech vstupních bodů.

  • Aktivní souřadnice: Výběr aktivní sady souřadnic

    Lišta nastavení - aktivní souřadnice

    Při práci s více souřadnicemi zde můžete nastavit, která sada souřadnic má být aktivní. Můžete zvolit jednu z následujících možností:

    • Primární: budou použity hlavní souřadnice (tj. první sada souřadnic v seznamu).

    • Platné GPÚ: budou použity souřadnice definující platné geometrické a polohové určení bodu, tedy souřadnice s vyplněným kódem kvality.

    • První definované: budou použity první definované souřadnice. Pokud bod nemá vyplněny souřadnice v první sadě souřadnic, budou použity souřadnice z druhé sady souřadnic.

Předcházející | Nahoru | Další
Hlavní okno programu | Domů | Stavový řádek


Stavový řádek
Předcházející Kapitola 4. Ovládání programu Další

Stavový řádek

U spodního okraje hlavního okna je zobrazen stavový řádek.

Stavový řádek poskytuje některé informace o stavu systému a obsahu aktivního datového okna.

  • V levé části stavového řádku je oblast zobrazující počet uložených hlášení a systémových informací. Do seznamu informací aplikace během práce zapisuje různá důležitá hlášení a komentáře o stavu a chybách systému. Je-li číslo udávající počet hlášení zobrazeno tučně červeně, znamená to, že jsou v seznamu nepřečtená hlášení.

    Stavový řádek - systémová hlášení

    Seznam hlášení lze zobrazit poklepáním na tuto oblast stavového řádku.

  • Ve střední části je oblast zobrazující aktuálně nastavený aktivní seznam souřadnic.

    Stavový řádek - výběr aktivního seznamu souřadnic

    Poklepáním na tuto oblast lze otevřít dialogové okno pro volbu aktivního seznamu souřadnic.

  • Za aktivním seznamem souřadnic je zobrazen počet položek seznamu.

    Stavový řádek - počet položek v seznamu

  • Na konci stavového řádku je zobrazen počet označených položek seznamu.

    Stavový řádek - počet označených položek v seznamu

    Poklepáním na tuto oblast lze otevřít dialogové okno pro označování v seznamu (Měření → Označ nebo Souřadnice → Označ).

Předcházející | Nahoru | Další
Lišta nastavení | Domů | Datová okna


Datová okna
Předcházející Kapitola 4. Ovládání programu Další

Datová okna

Pod lištou výpočetních funkcí je volná pracovní plocha, do níž jsou umisťována datová okna.

Hlavní okno programu, zobrazené po jeho prvním spuštění, tvoří rámec pro další okna, která obsahují vlastní zpracovávaná data. Program Groma umožňuje práci se těmito typy datových oken:

  • souřadnicová okna,
  • okna s naměřenými daty,
  • grafická okna,
  • okno s protokolem o výpočtech,
  • okno s projektem,
  • textová okna.

Souřadnicová okna a okna s naměřenými daty jsou tzv. seznamy, tj. obsahují textové informace uspořádané do řádků a sloupců.

Najednou lze otevřít libovolné množství oken (jejich počet je omezen pouze kapacitou volné paměti). K jednomu datovému souboru lze otevřít více oken, všechny změny v datech se automaticky zobrazují ve všech otevřených oknech.

Předcházející | Nahoru | Další
Stavový řádek | Domů | Práce s okny


Práce s okny
Předcházející Kapitola 4. Ovládání programu Další

Práce s okny

S jednotlivými okny lze manipulovat tak, jak je obvyklé u ostatních aplikací pro MS Windows. Okna lze posouvat po obrazovce, zvětšovat a zmenšovat, minimalizovat na ikony a zvětšit na celou plochu hlavního okna programu. Tytéž operace lze provádět s hlavním oknem. Podrobnější informace o manipulaci s okny lze nalézt v uživatelské příručce k MS Windows.

Program si uchovává informace o otevřených oknech v konfiguračním souboru, takže jsou okna po ukončení práce s programem a jeho opětovném spuštění automaticky znovu otevřena.

K manipulaci s okny slouží příkazy v menu Okno.

Předcházející | Nahoru | Další
Datová okna | Domů | Dialogová okna


Dialogová okna
Předcházející Kapitola 4. Ovládání programu Další

Dialogová okna

Pro komunikaci s uživatelem jsou využívána dialogová okna. Podle způsobu obsluhy lze dialogová okna rozdělit na modální a nemodální.

  • Modální dialogová okna

    Modální okna jsou okna, která po zobrazení blokují vstup do všech ostatních částí programu, a uživatel může pokračovat v práci až po jejich uzavření. Tento typ oken se používá pro veškeré konfigurace programu, pro chybová hlášení, nebo je-li před další akcí požadován vstup od uživatele. Mezi jednotlivými položkami modálních oken se můžete pohybovat klávesami Tab a Shift-Tab, a v případě editačních okének i klávesami Šipka nahoru a Šipka dolů.

  • Nemodální dialogová okna

    Nemodální okna na rozdíl od oken modálních neblokují vstup do ostatních částí programu, mohou být tedy otevřena libovolně dlouho, a přitom můžete pracovat v jiné části programu. Tato okna jsou vždy zobrazena na vrchu a překrývají datová okna. Nemodální okna jsou použita pro všechny výpočetní úlohy, pro vstup souřadnic a na dalších místech programu. Mezi jednotlivými položkami se můžete pohybovat stejně, jako u oken modálních, a v případě editačních okének ještě navíc i klávesou Enter.

Vstupní řádky se vzorci

Všechny zadávané údaje se vyplňují do vstupních editačních okének. V okénkách lze používat standardní klávesové zkratky, tak, jak je zvykem v MS Windows (kopírování, vkládání, mazání). Navíc lze na většině míst přímo při zadávání hodnot používat matematické operace (sčítání, odčítání, násobení, dělení, závorky apod.)

Do vstupního řádku pro zadání délky lze tedy zadat např. 128.56+1.411 nebo (56.378+195.339)*0.999985

Zvyšování / snižování čísla bodu

Nacházíte-li se ve vstupním okénku pro zadání čísla bodu, lze hodnotu, která je v okénku uvedena, zvětšit, resp. zmenšit o jedničku pomocí klávesy + resp. - na numerické klávesnici.

Pokud je identifikátor zadaný ve vstupním okénku alfanumerický (obsahuje text nebo kombinaci textu a číslic), program v něm vyhledá poslední číslo nebo číslici (zkušenosti ukazují, že se identifikátor obvykle mění nejdříve na posledních místech.) a zvětší/zmenší ji. Např. identifikátor L05_P07_A bude po zvýšení o 1 nastaven na hodnotu L05_P08_A.

Je-li identifikátor pouze textový, program doplní číslo 1 na jeho konec.

Výběr datových souborů

Některá dialogová okna obsahují vstupní řádky pro výběr datových souborů pro další operace (např. označování, hromadné změny, přečíslování apod.). Při otevření takového dialogového okna je obvykle jako datový soubor zvolen ten soubor, který je právě aktivní (jedná-li se o soubor příslušného typu).

Ukázka nastavení vstupního souboru

Chcete-li datový soubor změnit, můžete zvolit jeden z následujících postupů:

  • Přetáhněte na plochu vstupního řádku libovolnou položku z datového souboru, který chcete zvolit.

  • Stiskněte tlačítko se třemi tečkami napravo od vstupního řádku s názvem souboru a program vám nabídne výběr ze všech otevřených souborů příslušného typu. V zobrazeném dialogovém okně lze také stisknutím tlačítka Nový založit nový nepojmenovaný soubor příslušného typu:

    Volba vstupního souboru

Nepřístupná tlačítka a jiné ovládací prvky

Ukázka nepřístupného tlačítka

Některá tlačítka a jiné ovládací prvky jsou v některých situacích nepřístupné. Aby bylo snadné zjistit z jakého důvodu, je na nich obvykle zobrazeno červené tlačítko s otazníkem.

Po kliknutí na toto tlačítko bude zobrazeno dialogové okno s vypsáním důvodů nepřístupnosti ovládacího prvku.

Předcházející | Nahoru | Další
Práce s okny | Domů | Nápověda


Nápověda
Předcházející Kapitola 4. Ovládání programu Další

Nápověda

V programu Groma je kdykoli k dispozici kontextová nápověda. Nápovědu lze vyvolat třemi způsoby:

  • Zvolením příkazu Nápověda → Obsah nápovědy z hlavního menu. Po vyvolání tohoto příkazu je zobrazen obsah nápovědy, pomocí něhož můžete postupným výběrem zvýrazněných odkazů získat požadovanou informaci.

  • Stisknutím klávesy F1. Po stisknutí této klávesy je podle situace zobrazena kontextová nápověda (nápověda o okamžité situaci v programu, o zvolené položce apod.), nebo obsah nápovědy.

  • Stisknutím tlačítka Nápověda v dialogovém okně. Po stisknutí tohoto tlačítka je vždy zobrazena kontextová nápověda, týkající se příslušného dialogového okna.

Mimo hlavní nápovědu se v dialogových oknech zobrazuje tzv. bublinová nápověda. Umístíte-li kurzor myši na některou položku dialogového okna a ponecháte-li kurzor chvíli bez hnutí, objeví se okénko s vysvětlujícími informacemi pro danou oblast. Pokud již systém Groma velmi dobře znáte a tuto nápovědu nepotřebujete, lze ji v Soubor → Nastavení → Prostředí vypnout.

Předcházející | Nahoru | Další
Dialogová okna | Domů | Kapitola 5. Datové soubory


Kapitola 5. Datové soubory
Předcházející Část I. Uživatelská příručka Další

Kapitola 5. Datové soubory

Obsah

Projekty
Souřadnicové soubory
Geometrie
Zeměpisné souřadnice
Soubory s měřenými daty
Protokoly
Textové soubory
Grafické soubory
Indexování souborů
Komprese souboru
Správa souborů
Otevření souboru
Otevření souboru pomocí dialogového okna
Otevření souboru pomocí parametru při spuštění
Otevření souboru pomocí Průzkumníka
Otevření seznamu pouze pro čtení
Import souboru
Založení nového souboru

Program Groma ukládá všechny datové soubory ve svém vnitřním formátu. Do verze 12 byl pro seznamy používán formát .crd a .mes. Od verze 13 byl zaveden nový formát .crds a .mess.

V obou případech se jedná o binární formáty, tedy formáty needitovatelné běžnými textovými editory. Starší formáty .crd a .mes byly použitelné pouze v aplikaci Groma, jednalo se o uzavřené binární formáty.

Naproti tomu formáty .crds a .mess jsou sice také binární, ale jsou ukládány v databázovém formátu SQLite. Lze je tedy otevřít a zpracovávat buď pomocí standardních nástrojů pro práci se soubory SQLite (kterých je k dispozici dostatek a většina z nich je bezplatná), nebo pomocí vlastních aplikací, což výrazně rozšiřuje možnosti využití systému Groma.

Nadále zůstala zachována kompatibilita se starými formáty, ve verzi 13 a novějších lze tedy pracovat s oběma formáty souborů. Pokud naopak potřebujete otevřít nové soubory v Gromě 12 a starší, je třeba soubory nejprve v nové verzi Gromy uložit do starého formátu.

Poznámka

Při uložení do starého formátu mohou být některé informace, které starý formát nepodporuje, ztraceny nebo oříznuty. Jedná se např. o kód bodu, který je ve starém formátu podporován pouze do délky 20 znaků, a datum zaměření bodu. V případě takového oříznutí nebo ztráty informace je po exportu zobrazeno varovné okno s informací o ztrátě údajů, a tato informace je také zaprotokolována.

Projekty

Projekty jsou soubory, definující jednotlivé zakázky. Po založení projektu je zobrazeno okno, do něhož lze přidávat soubory, které se vztahují k příslušné zakázce. Projekty obsahují také některé části konfigurace (připojenou kódovací tabulku apod.). Práce s projekty je podrobněji popsána zde.

Předcházející | Nahoru | Další
Nápověda | Domů | Souřadnicové soubory


Souřadnicové soubory
Předcházející Kapitola 5. Datové soubory Další

Souřadnicové soubory

Seznam souřadnic je tvořen dvěma soubory, které mají stejné jméno, ale liší se příponou. První, datový, obsahuje vlastní souřadnice (soubor s příponou .crd nebo .crds), a druhý, tzv. indexový, obsahuje informace o setřídění bodů (soubor s příponou .crx). Při porušení nebo ztrátě datového souboru jsou ztraceny souřadnice všech bodů, zatímco ztracený indexový soubor lze na základě datového souboru kdykoli obnovit. Z toho vyplývá, že je nutno pečlivě zálohovat datové soubory, zatímco zálohování indexových souborů je zbytečné.

Body v seznamech souřadnic mohou obsahovat více sad souřadnic, tzv. geometrií.

Předcházející | Nahoru | Další
Kapitola 5. Datové soubory | Domů | Geometrie


Geometrie
Předcházející Kapitola 5. Datové soubory Další

Geometrie

Každý bod v seznamu může mít jednu nebo dvě sady souřadnic, tzv. geometrie. Geometrie lze využívat k libovolným účelům. Při práci v katastru nemovitostí je lze např. využívat pro uložení oddělených souřadnic obrazu a souřadnic polohy.

Systém obsahuje nástroje na práci s více geometriemi bodu. Lze nastavit aktivní geometrii, tj. geometrii, z níž se přebírají souřadnice do výpočtů. Nezávisle na tom lze nastavit geometrii, do níž se ukládají nově spočítané polohy bodů.

Aktivní geometrii lze volit dvěma způsoby:

  • Nastavením pro konkrétní datový soubor ve stavovém řádku okna se seznamem souřadnic

  • Globálně na liště nastavení

Při volbě aktivní geometrie lze kromě konkrétních geometrií volit i následující možnosti:

Možnosti nastavení aktivní geometrie

  • Dle globálního nastavení: způsob volby aktivní geometrie bude převzat z globálního nastavení na liště nástrojů.

  • Platné GPÚ: pro každý bod bude použito platné geometrické a polohové určení, tj. geometrie, u níž je uveden kód kvality. Je-li kód kvality uveden u více geometrií, bude použita první z nich.

  • První definované: bude použita první definovaná geometrie, tj. první geometrie, která má definovány souřadnice X a Y.

Cílovou geometrii pro ukládání nově vypočtených souřadnic lze nastavit pomocí nabídky Ukládat do. V této nabídce lze (v případě seznamu s dvojími souřadnicemi) volit mezi oběma sadami geometrií. V případě standardního seznamu s jedněmi souřadnicemi je v nabídce pouze možnost XY.

Zeměpisné souřadnice

Geometrie může obsahovat pravoúhlé rovinné souřadnice nebo zeměpisné souřadnice. Jedním typem souřadnic je geometrie definována, druhý typ je automaticky dopočítáván pomoc. Pro každý bod jsou tedy k dispozici oba typy souřadnic, jeden je zadán a druhý vypočten. V seznamu souřadnic je vždy zadaný typ souřadnic zobrazen normálním písmem, dopočítaný typ souřadnic kurzívou. Na následujícím obrázku je ukázka souboru, kde jsou definovány rovinné souřadnice, a zeměpisné souřadnice jsou k nim dynamicky dopočítávány:

Geometrie v seznamu souřadnic

Předcházející | Nahoru | Další
Souřadnicové soubory | Domů | Soubory s měřenými daty


Soubory s měřenými daty
Předcházející Kapitola 5. Datové soubory Další

Soubory s měřenými daty

Způsob uložení seznamu měřených údajů je téměř stejný, jako u seznamu souřadnic. Seznam je opět tvořen dvěma soubory - datovým (.mes nebo .mesx) a indexovým (.mex). Manipulace s těmito soubory je stejná jako u seznamu souřadnic.

Soubory s měřenými daty mohou být těchto typů:

  • Polární měření (směry, délky, převýšení, výšky signálu)
  • Ortogonální měření (staničení, kolmice)
  • Nivelace (čtení zpět, čtení vpřed, čtení bočně, délka záměry)

Předcházející | Nahoru | Další
Geometrie | Domů | Protokoly


Protokoly
Předcházející Kapitola 5. Datové soubory Další

Protokoly

Při výpočtech si můžete otevřít soubor s protokolem. Jedná se o editační textové okno, do něhož program ukládá protokoly z výpočtů. Protokol může být otevřen nejvýše jeden. Podrobně je práce s protokoly popsána v samostatné kapitole.

Předcházející | Nahoru | Další
Soubory s měřenými daty | Domů | Textové soubory


Textové soubory
Předcházející Kapitola 5. Datové soubory Další

Textové soubory

Program Groma umožňuje práci s textovými soubory. Textové soubory lze otevřít v editačním okně stejným způsobem jako jiné soubory. Textových souborů může být otevřeno libovolné množství, ale na rozdíl od seznamů může být pro každý soubor otevřeno pouze jedno okno.

V některých situacích systém Groma otevírá textové soubory automaticky (např. po exportu do textového souboru je výsledný soubor automaticky zobrazen, při importu je v případě chyby načítaný soubor zobrazen a kurzor je umístěn na chybný řádek).

Chcete-li importovat textový soubor, který je právě otevřen, a byl-li tento soubor v editoru systému Groma změněn, budete upozorněni, že aktuální verze souboru je v editoru, a dotázáni, chcete-li jej před importem uložit.

Jestliže textový soubor, který je v systému Groma otevřen, změníte nějakou jinou aplikací, budete při návratu do systému Groma na změnu upozorněni, a budete dotázáni, zda chcete načíst z disku aktuální verzi souboru.

Předcházející | Nahoru | Další
Protokoly | Domů | Grafické soubory


Grafické soubory
Předcházející Kapitola 5. Datové soubory Další

Grafické soubory

Grafické soubory (soubory s příponou .pics) obsahují pouze předpis kresby, jsou tedy vždy spojeny s příslušnými souřadnicovými soubory téhož jména. Otevřete-li grafický soubor, je do paměti automaticky načten i příslušný seznam souřadnic (i když není zobrazen v okně). Výhodou tohoto způsobu tvorby grafiky je především to, že je pro výpočty i pro kresbu používán jeden seznam souřadnic, a veškeré změny v něm se automaticky promítají i do nakresleného plánu. I když už je situace k bodům vykreslena, lze u nich libovolně měnit souřadnice (a to jak u jednotlivých bodů, tak i souhrnně pro celý soubor např. transformací z místní do hlavní soustavy), a vykreslený plán tyto změny akceptuje aniž by bylo třeba do něj zasahovat. Navíc použití jednoho seznamu souřadnic přináší i úspory místa v paměti a na disku.

Předcházející | Nahoru | Další
Textové soubory | Domů | Indexování souborů


Indexování souborů
Předcházející Kapitola 5. Datové soubory Další

Indexování souborů

Aby mohl program se seznamy pracovat, musí být seznamy nejdříve indexovány. Při indexování je vytvořen k datovému souboru příslušný indexový soubor, v němž jsou body setříděny podle předčíslí a čísel. V datovém souboru body zůstávají uloženy nesetříděné, tak, jak byly postupně při výpočtech nebo importu přidávány.

Při práci se seznamem je indexový soubor umístěn v paměti počítače (z důvodu rychlejší manipulace se seznamem), zatímco datový soubor je stále umístěn na disku. Veškeré změny v datech jsou tedy okamžitě ukládány na disk.

Změny v datech jsou průběžně zaznamenávány na disk, zatímco změny v indexovém souboru se odehrávají v operační paměti, a aktuální indexový soubor se normálně ukládá až při zavření okna se seznamem souřadnic. Při násilném přerušení chodu programu tedy na disku zůstane aktuální datový soubor, ale původní indexový soubor. Program podle určitých kritérií testuje soulad datového a indexového souboru, takže sám rozpozná, že k sobě tyto soubory nepatří, a v takovém případě automaticky vytvoří nový indexový soubor.

Předcházející | Nahoru | Další
Grafické soubory | Domů | Komprese souboru


Komprese souboru
Předcházející Kapitola 5. Datové soubory Další

Komprese souboru

Při mazání v datovém souboru (souřadnicovém i s měřenými daty) jsou rušené položky pouze označeny jako smazané, ale v datovém souboru nadále zůstávají. Může se tedy stát, že po složitých operacích a přesunech bodů je seznam souřadnic prázdný, nebo obsahuje pouze několik bodů, a přesto na disku zabírá třeba několik desítek nebo stovek KB. V takovém případě je vhodné provést kompresi datového souboru. Při kompresi je původní datový soubor přejmenován na záložní (.~cr), a je vytvořen nový datový soubor (.crd), který již dříve smazané položky neobsahuje. Smazané položky lze z datového souboru, který ještě nebyl zkomprimován, obnovit pomocí nástroje Vymaž

Kompresi datového souboru je však vhodné provést i z jiných důvodů. Je-li například importován seznam souřadnic (např. z textového souboru), v němž nejsou body setříděny, může jeho indexování (zvlášť je-li rozsáhlý) trvat poměrně dlouho. Dojde-li během další práce k porušení indexového souboru, nebo je-li tento soubor smazán, je nutno celé indexování absolvovat znovu. Při kompresi souboru jsou však body zapisovány setříděné podle čísel, a v takovém případě další indexování zabere podstatně méně času. Po importu nesetříděného seznamu, případně po složitějším doplnění seznamu během výpočtů je tedy vhodné datový soubor komprimovat.

Předcházející | Nahoru | Další
Indexování souborů | Domů | Správa souborů


Správa souborů
Předcházející Kapitola 5. Datové soubory Další

Správa souborů

Pro pochopení způsobu práce se soubory otevřenými v oknech je třeba nejprve vysvětlit, jakým způsobem je program spravuje.

Při otevření libovolného datového souboru jsou údaje nutné pro další práci s ním (např. indexový soubor pro seznam souřadnic apod.) načteny do paměti počítače a příslušná reprezentace souboru je zobrazena v okně (seznam souřadnic, plán atd.). Při novém otevření téhož souboru je však zobrazeno pouze nové okno, a v paměti počítače je soubor fyzicky otevřen pouze jednou. Lze tedy nově otevřené okno chápat skutečně jako druhé "okno", kterým je prohlížen tentýž soubor.

Z toho vyplývá, že veškeré změny, prováděné na souboru v libovolném otevřeném okně, jsou fyzicky prováděny v jednom souboru. Program tuto skutečnost signalizuje tím, že jsou tato okna zobrazující jeden soubor průběžně očíslována. Je-li ve více oknech viditelná stejná část souboru, změny, které v něm provedete, jsou automaticky zobrazovány ve všech oknech.

Předcházející | Nahoru | Další
Komprese souboru | Domů | Otevření souboru


Otevření souboru
Předcházející Kapitola 5. Datové soubory Další

Otevření souboru

Chcete-li v programu pracovat s nějakým datovým souborem, musíte jej nejprve otevřít.

Soubor lze otevřít třemi způsoby:

  • pomocí dialogového okna,

  • pomocí parametru při spuštění programu Groma,

  • přetažením jeho názvu z Průzkumníka.

Otevření souboru pomocí dialogového okna

Nejběžnější způsob otevření souboru je pomocí dialogového okna pro otevírání souborů.

Zvolíte-li příkaz Soubor → Otevři, program Groma zobrazí dialogové okno pro výběr souboru.

Postup při otevírání souboru:

  1. Zvolte požadovaný typ souboru ze seznamu Soubory typu.

  2. Zvolte umístění souboru příslušný disk a adresář v okénku Umístění souboru.

  3. Existuje-li soubor, který chcete otevřít, objeví se jeho název v seznamu. Označte jej kurzorem pomocí myši nebo klávesnice. Chcete-li otevřít více souborů najednou, označte je v seznamu pomocí kláves Shift a Ctrl.

  4. Stiskněte tlačítko Otevřít. Jestliže soubor existuje, program Groma jej otevře a zobrazí v okně.

Otevření souboru pomocí parametru při spuštění

Napíšete-li při spouštění programu Groma za název programu název jednoho nebo více datových souborů, program se je po spuštění pokusí automaticky otevřít.

Otevření souboru pomocí Průzkumníka

Máte-li spuštěného Průzkumníka i program Groma, můžete otevřít datový soubor přetažením jeho názvu ze seznamu, zobrazeného v Průzkumníku, na plochu hlavního okna programu Groma. Při přetahování se mění podoba kurzoru myši podle oblasti, na níž je právě umístěn. Podrobnosti lze nalézt v uživatelské příručce k MS Windows. Otevřete-li tímto způsobem jiný typ souboru, než jsou soubory v interním formátu systému Groma, nemůže program automaticky rozpoznat typ souboru. V takovém případě bude zobrazeno okno pro otevření souboru, v němž můžete typ souboru zvolit ručně.

Otevření seznamu pouze pro čtení

Pracujete-li v prostředí počítačové sítě, může se stát, že budete chtít otevřít jeden soubor ze sdíleného disku (např. ze serveru) najednou na více počítačích. Tato situace je obvyklá např. při práci se společnými seznamy souřadnic, obsahujícími body bodového pole. Normálně je soubor otevřen pro čtení i zápis. V takovém případě může být otevřen pouze jednou, protože zapisování do jednoho souboru z více stanic by vedlo k jeho porušení. Program vás na tuto skutečnost upozorní a nedovolí vám otevřít soubor, který je již otevřen pro čtení i zápis.

Jestliže však při otevírání souboru příkazem Soubor → Otevři zaškrtnete volbu Pouze čtení, je seznam otevřen pouze pro čtení, a v tomto režimu jej může otevřít libovolné množství uživatelů. Jestliže se takto otevřený soubor pokusíte otevřít v normálním režimu, tj. čtení i zápis, program vás upozorní, že je soubor již otevřen, a nabídne vám možnost otevření pouze pro čtení.

V souboru otevřeném pouze pro čtení nemůžete provádět žádné změny, můžete pouze používat data v něm uložená. Položky souboru však můžete zkopírovat do jiného souboru, v němž už tato omezení neplatí.

Otevření souboru pouze pro čtení můžete používat i v případě, že se souborem pracujete sami, ale nechcete jej měnit. Tím snížíte riziko poškození cenných datových souborů.

Předcházející | Nahoru | Další
Správa souborů | Domů | Import souboru


Import souboru
Předcházející Kapitola 5. Datové soubory Další

Import souboru

Soubory, které nejsou v interním formátu systému Groma, nelze přímo otevřít, ale je třeba je nejprve importovat. Při importu zůstanou původní soubory beze změny, a jsou vytvořeny jejich kopie v interním formátu, se kterými je systém Groma schopen dále pracovat.

Protože importovatelných formátů je velké množství (zejména formátů s měřenými daty), je import rozdělen na kategorie podle typů dat na import seznamů souřadnic, polárního měření a nivelace. Všechny importy jsou k dispozici v nabídce Soubor → Import

Předcházející | Nahoru | Další
Otevření souboru | Domů | Založení nového souboru


Založení nového souboru
Předcházející Kapitola 5. Datové soubory Další

Založení nového souboru

Chcete-li založit nový soubor, zvolte příkaz Soubor → Nový. Zobrazí se dialogové okno, v němž můžete zvolit typ souboru, který chcete vytvořit. Po stisknutí tlačítka OK je soubor vytvořen a je zobrazeno jeho prázdné okno. Soubor je vytvořen jako dočasný v pracovním adresáři. Chcete-li jej uchovat, zvolte příkaz Soubor → Ulož jako a uložte jej pod jiným názvem. Jestliže se pokusíte neuložený dočasný soubor zavřít, program vás upozorní, že soubor ještě nebyl uložen, a dotáže se, zda jej chcete uložit. Neuložíte-li soubor, bude automaticky z disku smazán.

Založení nového souboru

Přepínačem nový typ souboru ve spodní části okna můžete zvolit, zda si přejete založit soubory ve starém formátu (.crd, .mes) nebo v novém (.crds, .mess).

Poznámka

Před touto volbou má přednost případné nastavení zakládacího souboru v Soubor → Nastavení → Prostředí. Pokud je nastaven zakládací soubor, je použit vždy při vytváření nového souboru jakýmkoli způsobem, tedy i při vytváření souboru pomocí tohoto okna.

Předcházející | Nahoru | Další
Import souboru | Domů | Kapitola 6. Seznamy


Kapitola 6. Seznamy
Předcházející Část I. Uživatelská příručka Další

Kapitola 6. Seznamy

Obsah

Informace o bodech
Identifikátor bodu
Datum zaměření bodu
Datum vytvoření bodu
Datum poslední modifikace bodu
Kód bodu
Poznámka
Kód kvality
Typ bodu
Způsob pořízení
Další údaje v seznamech souřadnic
Další údaje v seznamech polárního měření
Další údaje v seznamech ortogonálního měření
Další údaje v seznamech nivelačního měření
Kurzor
Editování
Označování
Označování z klávesnice
Označování myší
Hromadné označování
Přidávání položek
Deaktivace záznamů
Vyhledávání položek
Volba zobrazených údajů
Krok zpět
Krok vpřed
Počet desetinných míst a zaokrouhlování
Nastavení počtu desetinných míst
Chyba z dvojího zaokrouhlení
Další numerické důsledky zaokrouhlení
Přetahování dat
Postup při přetahování jednotlivých položek
Postup při přetahování bloku položek
Kopírování dat
Přečíslování seznamu
Přečíslování podle seznamu přiřazení čísel bodů
Označování podle seznamu čísel bodů
Hromadné změny v seznamech
Změna kódů na grafické

Termínem Seznamy se označují okna se seznamem souřadnic a okna se seznamem naměřených hodnot. Tyto dva typy oken mají mnoho společných vlastností.

Seznamy jsou tvořeny údaji zapsanými v řádcích. První dva jsou vždy předčíslí a číslo bodu, zbývající závisí na typu okna.

Informace o bodech

Každý bod v seznamu je označen identifikátorem, podle něhož je v seznamu vyhledáván, a obsahuje další popisné informace, z nichž některé jsou společné pro seznamy souřadnic i seznamy měření, a některé jsou specifické.

Identifikátor bodu

Body jsou v seznamech jednoznačně identifikovány číselným nebo alfanumerickým identifikátorem. Seznam měření může obsahovat libovolné množství bodů téhož identifikátoru. V seznamu souřadnic jsou umožněny duplicitní identifikátory pouze v případě, že si tuto možnost explicitně povolíte. Podrobnosti o duplicitních číslech bodů naleznete v kapitole Duplicitní čísla bodů v seznamu souřadnic.

Číselný identifikátor

Číselný identifikátor je tvořen dvěma částmi - předčíslím a vlastním číslem bodu. Předčíslí může mít maximální délku 11 číslic, vlastní číslo bodu má maximálně 4 číslice. Úplné číslo bodu tedy může být tvořeno maximálně 15 číslicemi. Při práci v katastru nemovitostí se předčíslí využívá tak, že prvních 6 číslic označuje katastrální území (FSÚ), a následujících 5 číslic označuje číslo záznamu podrobného měření změn (ZPMZ).

Při práci s úplnými čísly bodů máte možnost v dialogovém okně Soubor → Nastavení → Vstup/Výstup volit způsob zobrazování čísla bodu. Máte možnost nechat v seznamech zobrazovat číslo bodu spojené dohromady nebo s odděleným předčíslím a číslem, můžete nechat číslo rozdělit pomocí pomlček na logické skupiny (číslo katastrálního území, číslo ZPMZ, číslo bodu). Dále máte možnost nastavit zobrazování tak, že body, které mají stejné číslo katastrálního území, jaké je nastavené v redukcích, případně i číslo ZPMZ, budou zobrazeny se zkráceným číslem bodu, tedy s vynecháním části společné s přednastaveným předčíslím.

Alfanumerický identifikátor

Pokud zadaný identifikátor nesplňuje požadavky na číselný identifikátor (obsahuje písmena nebo jiné nečíselné znaky), bude chápán jako alfanumerický identifikátor.

Číselný identifikátor má přednost před alfanumerickým, takže každý identifikátor, který lze interpretovat jako 15místné číslo bodu, je implicitně chápán jako číselný.

Přejete-li si, aby byl bez ohledu na podobu akceptován jako alfanumerický, musí být uveden znakem ' (apostrof) nebo uzavřen v uvozovkách. Tyto znaky nebudou součástí identifikátoru, při vstupu budou vynechány.

Poznámka

Ve zvláštních případech (např. pokud si přejete ukládat číselné identifikátory jako alfanumerické, např. kvůli zachování počátečních nul), můžete systém přepnout do režimu, v němž budou všechny identifikátory vždy považovány za alfanumerické. Tuto možnost můžete zapnout v nastavení programu (Soubor → Nastavení → Vstup/Výstup).

Datum zaměření bodu

Tato položka obsahuje datum a čas, kdy byl bod zaměřen. Tento údaj je přebírán při importu měřených dat z formátů, které tuto informaci obsahují, nebo může být dodatečně zadán.

Poznámka

Tento údaj není podporován ve starých verzích datových souborů (.crd, .mes).

Datum vytvoření bodu

Tato položka obsahuje datum a čas, kdy byl bod v seznamu vytvořen.

Datum poslední modifikace bodu

Zde je uložena informace o datu a času poslední modifikace bodu - např. editací, hromadnou změnou apod. Z tohoto údaje lze určit, kdy byly naposledy údaje o bodu změněny.

Kód bodu

Kód bodu obsahuje textový popis bodu, který může být použit např. pro uložení popisné informace bodu, kódu pro automatické spojování, názvu grafické buňky apod. Kód bodu může obsahovat libovolné alfanumerické znaky. Pomocí kódovací tabulky (Soubor → Nastavení → Kódování) může být kód převeden na popis.

Poznámka

Poznámka může obsahovat libovolný textový popis nebo komentář. Zde můžete zadat libovolné další informace o bodu.

Kód kvality

Jednoznakový údaj, který lze použít pro označení kvality bodu (např. při práci v katastru nemovitostí se používají číselné kódy charakteristiky kvality bodu).

Typ bodu

Typ bodu je jednoznakový alfanumerický údaj obdobný kódu kvality, který lze použít libovolným způsobem pro další zpřesnění informací o bodech (tento údaj lze použít např. při výběrech v seznamech).

Způsob pořízení

Způsob pořízení je jednoznakový alfanumerický údaj, který lze použít libovolným způsobem pro další zpřesnění informací o bodech (tento údaj lze použít např. při výběrech v seznamech).

Další údaje v seznamech souřadnic

Souřadnice X, Y, Z

Souřadnice bodu ve zvolené souřadnicové soustavě. Vyplnění souřadnic u bodu je nepovinné. Bod může mít např. jenom souřadnici Z, bez určení polohy.

KATUZE_MER a ZPMZ_MER

Při práci v katastru nemovitostí lze v seznamech s dvojími souřadnicemi uložit číslo katastrálního území a číslo ZPMZ, které se vztahuje k dodatečnému určení souřadnic polohy podrobných bodů. Tyto údaje se využívají v případě, že jsou stávajícím podrobným bodům doplňovány souřadnice polohy. Pomocí těchto dvou údajů lze do ISKN uložit informaci o dodatečném měření, aniž by byla informace o původním zaměření bodu přepsána.

Sloupečky s těmito údaji lze v seznamech zobrazit nebo skrýt. Jsou-li údaje vyplněny, budou uloženy do databáze bodů a vyexportovány při exportu výměnného formátu.

Doplňující údaje 1-4

Další čtyři doplňující číselné údaje, které lze použít např. pro hloubku uložení inženýrských sítí, pro druhý pár souřadnic bodu atd. Tyto údaje lze libovolně pojmenovat a definovat, jak mají být zobrazeny (počet znaků, počet desetinných míst). Údaje lze použít při označování bodů a lze je měnit hromadnou změnou. Tyto údaje se využívají pro uložení druhé sady souřadnic př práci s dvojími souřadnicemi.

Druhá sada souřadnic

Doplňující číselné údaje č. 1 - 3 lze použít pro uložení druhé sady souřadnic. Toho lze využít při práci v katastru nemovitostí pro vedení souřadnic polohy bodu. Protože jsou druhé souřadnice uloženy na pozicích informací 1 - 3, nelze souběžně v jednom seznamu vést druhé souřadnice a informace 1 - 3.

V dialogovém okně Soubor → Nastavení → Prostředí lze zapnout volbu Zvýraznit body s odlišnými SOBR a SPOL. Po zapnutí této volby budou v seznamech souřadnic zobrazeny červeně všechny body, které mají odlišné souřadnice obrazu a souřadnice polohy.

Další údaje v seznamech polárního měření

Vodorovný úhel

Vodorovný úhel (měřený směr), převzatý obvykle při importu zápisníku. Úhel, stejně jako ostatní úhlové údaje systému Groma, je v souboru interně uložen v radiánech, a při všech výpisech je zobrazován podle nastavených úhlových jednotek (Soubor → Nastavení → Vstup/Výstup). V okamžiku zadávání úhlových údajů je tedy třeba mít nastaveny takové úhlové jednotky, v nichž je údaj zadáván. Po zadání lze kdykoli v konfiguraci systému Groma úhlové jednotky změnit, a na všech výpisech budou úhlové údaje zobrazovány v nově nastavené úhlové míře.

Délka

Vzdálenost mezi stanoviskem a měřeným bodem. Tato délka je v systému Groma při importu ze záznamníku automaticky redukována na vodorovnou. Redukci lze v konfiguraci vypnout, potom seznam měření obsahuje měřené šikmé délky, které ovšem nemohou přímo vstupovat do výpočtů, protože výpočty předpokládají redukované délky. V takovém případě je nutno před výpočtem délky jednotlivě nebo hromadně redukovat na vodorovné. Při pokusu o přetažení měřených údajů se šikmou délkou do výpočetního okna je zobrazeno varovné hlášení. Podmínkou automatické redukce je zadání zenitového úhlu nebo převýšení, bez něhož nelze přepočet na vodorovnou provést. Pro redukci délek na vodorovnou lze (kromě několika předdefinovaných) definovat vlastní vzorec.

Šikmé délky jsou v seznamu měření uvedeny kurzívou.

Obsahuje-li zápisník pouze vodorovné délky, je v okně seznamu měření uveden v záhlaví uveden název sloupce Vod. délka. Jsou-li v zápisníku uloženy šikmé délky nebo kombinace vodorovných a šikmých délek, je v záhlaví uveden název sloupce Délka.

Při importu ze záznamníku jsou délky navíc automaticky opraveny o měřítko (vliv nadmořské výšky a kartografického zkreslení).

Zenitový úhel

Zenitový úhel (úhel měřený od svislice). Tento údaj je využíván při výškových výpočtech a při detekci měření v II. poloze.

Převýšení

Některé stroje při registraci automaticky přepočítávají měřený zenitový úhel na převýšení, které registrují. V rámci nástroje Měření → Zpracování zápisníku lze registrované zenitové úhly přepočítat na převýšení dodatečně.

Ve výškových výpočtech lze zadat buď zenitový úhel, nebo převýšení. Jsou-li zadány oba údaje, přednost má převýšení.

Výška stroje/cíle

Tento údaj obsahuje u měřených bodů nastavenou výšku cíle. U stanovisek je v něm uložena výška horizontu stroje.

Další údaje v seznamech ortogonálního měření

Staničení

Staničení (vodorovná vzdálenost po měřické přímce od počátku přímky k patě kolmice na určovaný bod).

Kolmice

Vodorovná délka kolmice od její paty na měřické přímce k určovanému bodu.

Další údaje v seznamech nivelačního měření

Čtení vzad

Čtení na nivelační lati směrem vzad (záměra na předchozí bod nivelačního pořadu).

Čtení vpřed

Čtení na nivelační lati směrem vpřed (záměra na následující bod nivelačního pořadu).

Čtení bočně

Čtení na nivelační lati bočně (na zaměřovaný podrobný výškový bod).

Délka záměry

Vzdálenost od postavení nivelačního přístroje k lati. Slouží k výpočtu délky nivelačního pořadu a následně k výpočtu mezní odchylky. Údaj je nepovinný.

Předcházející | Nahoru | Další
Založení nového souboru | Domů | Kurzor


Kurzor
Předcházející Kapitola 6. Seznamy Další

Kurzor

Není-li seznam prázdný, je na jedné z jeho položek umístěn kurzor, tj. rámeček přes celou výšku řádku. Rámeček je použit proto, aby i na řádku s kurzorem bylo zřejmé, zda je bod pod kurzorem označen nebo ne. Kurzorem lze pohybovat pomocí kláves Šipka Nahoru, Šipka Dolů, PageUp, PageDown, Home a End. Kurzor označuje právě zvolenou položku (bod nebo měření), na kterou se automaticky vztahují některé operace (editování, mazání apod.). Na libovolnou položku lze kurzor přímo přemístit ukázáním myší.

Seznam souřadnic

V seznamu měření slouží kurzor i k tomu, aby bylo pomocí něj možno určit, kam má být vložen blok dat při kopírování a vkládání. Vkládané položky jsou vloženy před pozici kurzoru. Proto lze umístit kurzor i na volný řádek za poslední položku, aby bylo možno vložit údaje na konec souboru. V seznamu souřadnic jsou vkládané položky zatříděny podle nastaveného způsobu řazení, umístění kurzoru v okamžiku vkládání je tedy bezvýznamné.

Seznam měření
Předcházející | Nahoru | Další
Kapitola 6. Seznamy | Domů | Editování


Editování
Předcházející Kapitola 6. Seznamy Další

Editování

Položku, na které je kurzor, lze editovat stisknutím klávesy Enter nebo dvojitým kliknutím myší. Pro editování jednotlivých údajů je zobrazeno editační okno, jehož podoba závisí na typu seznamu (seznam souřadnic nebo seznam měření).

Předcházející | Nahoru | Další
Kurzor | Domů | Označování


Označování
Předcházející Kapitola 6. Seznamy Další

Označování

Libovolné položky seznamu lze označit pro použití některou další funkcí (uložení do souboru, přesun, mazání atd.).

Označování z klávesnice

Pro označování položek seznamu pomocí klávesnice můžete použít tyto klávesy:

Tabulka 6.1. Klávesy pro označování v seznamu

Klávesa | Akce
Mezera | Změní označenou položku na neoznačenou a naopak, posune kurzor na následující položku.
Shift+Šipka nahoru | Označuje položky a posouvá kurzor směrem nahoru.
Shift+Šipka dolů | Označuje položky a posouvá kurzor směrem dolů.
Shift+PageUp | Označí celou stránku položek směrem nahoru.
Shift+PageDown | Označí celou stránku položek směrem dolů.
Shift+Home | Označí všechny položky od kurzoru (včetně) k začátku souboru.
Shift+End | Označí všechny položky od kurzoru (včetně) ke konci souboru.
+ | Označí všechny položky.
- | Zruší označení všech položek.
* | Zamění všechny označené položky za neoznačené a naopak (inverze označení).

Označování myší

Položky v seznamech lze označovat dvěma způsoby:

  • Klasické označování pravým tlačítkem: Položky označujete tak, že na prvním řádku, který si přejete označit, stisknete pravé tlačítko myši, a potom kurzorem posouváte po seznamu. Program označuje nebo ruší označení položek, na které kurzor ukáže.

  • Označování levým tlačítkem a klávesou: tento způsob je běžně používán v prostředí MS Windows. Ukažte levým tlačítkem na první položku, kterou si přejete označit. Potom ukažte levým tlačítkem se současně stisknutou klávesou Shift na poslední položku bloku, který si přejete označit. Přejete-li si k označeným položkám přidávat jednotlivé další, ukazujte na ně levým tlačítkem myši se současně stisknutou klávesou Ctrl.

Při rušení označení myší nebo klávesnicí se postupuje stejně jako při označování. Zapnete-li v nastavení programu volbu Soubor → Nastavení → Prostředí: Označování položek v seznamech dle Windows, bude po kliknutí levým tlačítkem myši do seznamu označení zrušeno. Je-li tato volba vypnuta, zůstávají položky seznamu označené, dokud sami jejich označení některým z výše uvedených způsobů nezrušíte.

Hromadné označování

Položky v seznamech lze označovat i hromadně pomocí výběrového dialogového okna, vyvolaného příkazem Měření → Označ nebo Souřadnice → Označ .

Předcházející | Nahoru | Další
Editování | Domů | Přidávání položek


Přidávání položek
Předcházející Kapitola 6. Seznamy Další

Přidávání položek

Do seznamů lze přidávat položky pomocí klávesy Insert. Po jejím stisknutí je zobrazeno dialogové okno pro přidání položky do seznamu souřadnic nebo přidání položky do seznamu měření, do něhož můžete vyplnit požadované informace.

Předcházející | Nahoru | Další
Označování | Domů | Deaktivace záznamů


Deaktivace záznamů
Předcházející Kapitola 6. Seznamy Další

Deaktivace záznamů

Body v seznamech souřadnic i položky v seznamech měření je možno deaktivovat. Deaktivované položky nadále v seznamech zůstávají, systém je ale ignoruje. Deaktivované body v seznamu měření tedy při vyhledávání bodů nenalezne, deaktivované položky v seznamu měření při výpočtech ignoruje.

Deaktivované položky jsou v seznamech uvedeny šedou barvou a na začátku záznamu je zobrazen symbol deaktivace:

Deaktivované body

Položky lze deaktivovat a zpětně aktivovat dvojím způsobem:

  • Jednotlivé body

    Při editaci bodu nebo měření (např. stiskem klávesy Enter) lze jako jednu z vlastností záznamu zvolit, zda má být deaktivován.

  • Hromadně

    Označené položky seznamu lze deaktivovat nebo aktivovat pomocí hromadné změny (příkaz Souřadnice → Hromadná změna nebo Měření → Hromadná změna).

V nastavení vlastností pohledu (Seznam → Parametry zobrazení) lze zvolit, zda mají být deaktivované položky v seznamu zobrazeny.

Předcházející | Nahoru | Další
Přidávání položek | Domů | Vyhledávání položek


Vyhledávání položek
Předcházející Kapitola 6. Seznamy Další

Vyhledávání položek

Stisknete-li v seznamu kteroukoli číselnou klávesu, program aktivuje vstupní okno pro vyhledávání bodu, které je umístěno na liště nastavení.

Vyhledávání položek v seznamech

Při zadávání čísla program označí první bod zadaného čísla (bez ohledu na předčíslí), který v seznamu nalezne. Pokud bod daného čísla v seznamu není, označí bod s nejbližším vyšším číslem. Chcete-li nalézt další bod daného čísla, stiskněte klávesu Šipka Dolů. Chcete-li nalézt předchozí bod daného čísla, stiskněte klávesu Šipka Nahoru. Vyhledávání lze aktivovat i příkazem Souřadnice → Najdi položku nebo Měření → Najdi položku. Okno pro vyhledávání zrušíte stisknutím klávesy Esc.

Předcházející | Nahoru | Další
Deaktivace záznamů | Domů | Volba zobrazených údajů


Volba zobrazených údajů
Předcházející Kapitola 6. Seznamy Další

Volba zobrazených údajů

Pokud některé z údajů zobrazovaných v seznamech nepoužíváte (např. zenitový úhel, typ bodu, převýšení apod.), můžete pomocí příkazu Seznam → Parametry zobrazení příslušné sloupce vypnout. Zobrazení je nastaveno pouze pro příslušný seznam a je zapsáno do hlavičky souboru, takže zůstane zachováno i při příštím otevření. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech a ukládání seznamu souřadnic do protokolu.

Volba zobrazovaných sloupců v seznamu souřadnic

Tip

Přejete-li si některý z údajů vypnout na trvalo pro všechny soubory, doporučujeme vytvořit si zakládací soubory, v nichž budou příslušné údaje vypnuty. Nastavení je ze zakládacích souborů převzato pro každý nově vytvářený soubor.

Předcházející | Nahoru | Další
Vyhledávání položek | Domů | Krok zpět


Krok zpět
Předcházející Kapitola 6. Seznamy Další

Krok zpět

Operace provedené v seznamech (změny, přidávání, mazání položek) lze vrátit pomocí příkazu Editace → Krok zpět. Systém Groma si ukládá informace o změnách v seznamech do zvláštní vyrovnávací paměti. Tato paměť je samostatná pro každý otevřený seznam, lze tedy operace vracet nezávisle v každém seznamu zvlášť. Počet posledních uložených operací je omezen velikostí této vyrovnávací paměti.

Vrátíte-li nějakou operaci v seznamech zpět nedopatřením, nebo rozhodnete-li se, že chcete krok zpět zrušit, můžete data do změněné podoby obnovit příkazem Krok vpřed. Tento příkaz je ale nutno použít bezprostředně po příkazu Krok zpět. Proběhne-li mezitím jakákoli změna v souboru, nelze již funkci Krok vpřed použít.

Poznámka

Vyrovnávací paměť pro krok zpět je vyprázdněna po přeindexování souboru. Po přeindexování již tedy nelze vrátit změny dříve provedené.

Předcházející | Nahoru | Další
Volba zobrazených údajů | Domů | Krok vpřed


Krok vpřed
Předcházející Kapitola 6. Seznamy Další

Krok vpřed

Pokud operaci provedenou v seznamech (změny, přidávání, mazání položek) vrátíte zpět příkazem Editace → Krok zpět, a chcete ji opět obnovit, můžete ji znovu provést pomocí příkazu Krok vpřed.

Poznámka

Krok vpřed lze provést pouze bezprostředně po Kroku zpět. Po jakékoli další změně v seznau již Krok vpřed není k dispozici.

Předcházející | Nahoru | Další
Krok zpět | Domů | Počet desetinných míst a zaokrouhlování


Počet desetinných míst a zaokrouhlování
Předcházející Kapitola 6. Seznamy Další

Počet desetinných míst a zaokrouhlování

Nastavení počtu desetinných míst

V systému Groma lze nastavit pro různé typy údajů různý počet desetinných míst.

Základní nastavení počtu desetinných míst, společné pro celý systém, je v Soubor → Nastavení → Vstup/Výstup. Tímto nastavením se řídí všechny seznamy (pokud nemají explicitně nastaven jiný počet desetinných míst), dialogová okna, výstupy do protokolu, a další.

Dále je možno nastavit počet desetinných míst samostatně pro konkrétní seznam souřadnic. Toto nastavení se dělá příkazem Soubor → Informace o souboru. Pokud v tomto okně bude ponechán počet desetinných míst nenastavený (editační okénko zůstane prázdné), bude použita hodnota z globálního nastavení aplikace. Pokud zde bude počet desetinných míst nastaven, bude mít toto nastavení před globálním nastavením přednost.

Seznamy interně umožňují ukládat větší počet desetinných míst, než je zobrazený. Při změně počtu zobrazených desetinných míst tedy není přesnost údajů v seznamech ovlivněna. Toto pravidlo má ale dvě výjimky:

  1. Všechny číselné údaje, které do výpočtů vstupují přes výpočetní dialogová okna, jsou automaticky zaokrouhleny tím, že jsou přebírány hodnoty zobrazené v dialogových oknech na daný počet desetinných míst.

    Důležité

    Tato vlastnost by mohla způsobit malé rozdíly ve výsledcích dávkových a jednotlivých výpočtů. Rozpory by se mohly projevit například mezi polární metodou a polární metodou dávkou. Standardní polární metoda pro jednotlivé body přebírá vstupní hodnoty z dialogových oken, zatímco polární metoda dávkou je přebírá přímo ze seznamů souřadnic a měření. Pokud si přejete, aby obě metody dávaly vždy identické výsledky i na posledním desetinném místě, lze toho docílit zapnutím automatického zaokrouhlování hodnot vstupujících do výpočtů. Toto lze nastavit v dialogovém okně Soubor → Nastavení → Výpočty pomocí přepínače Zaokrouhlovat vstupní hodnoty, a výsledkem bude to, že veškeré vstupní hodnoty i do dávkových výpočtů budou nejprve zaokrouhleny na nastavený počet desetinných míst.

  2. Záznamy, které jsou vkládány do seznamů například kopírováním nebo přetahováním z jiných seznamů, mohou být při vkládání zaokrouhleny, pokud je zapnuto automatické zaokrouhlování souřadnic vkládaných do seznamů (Soubor → Nastavení → Vstup/Výstup, přepínač Zaokrouhlovat souřadnice dle nastaveného počtu desetinných míst.

Chyba z dvojího zaokrouhlení

Při reprezentaci výsledků numerických výpočtů (pomíjíme zde chyby vlastního numerického výpočtu a chyby z nepřesného zobrazení čísla v pohyblivé řádové čárce, které ovšem také mohou způsobit problémy, a hovoříme pouze o reprezentaci výsledné vypočtené hodnoty) z principu vždy dochází k chybě ze zaokrouhlení tím, že výslednou hodnotu zobrazujeme s omezenou přesností (omezeným počtem desetinných míst).

Pro zaokrouhlení numerických hodnot existují pravidla, která zaručují, že absolutní hodnota chyby ze zaokrouhlení nepřesáhne velikost 1/2 jednotky posledního zobrazovaného řádu. Při zaokrouhlení na setiny tedy absolutní hodnota chyby ze zaokrouhlení nepřesáhne hodnotu 0.005 (může však v krajním případě této hodnoty dosáhnout). Jinými slovy, chyba ze zaokrouhlení se v tomto případě pohybuje v intervalu <-0.005, 0.005>. Při zaokrouhlování nahoru, které se standardně využívá, se chyba ze zaokrouhlení pohybuje v intervalu (-0.005, 0.005>.

Při zaokrouhlování existuje ale další riziko, které na první pohled tak zjevné není, a tím je chyba z dvojího zaokrouhlení. Této chyby se v některých případech dopustíme tím, že zaokrouhlíme číselnou hodnotu dvakrát, nejprve na větší počet desetinných míst, a potom na menší.

Zaokrouhlíme-li např. hodnotu 1.496 nejprve na dvě desetinná místa, a potom na jednotky, dostaneme postupně hodnoty 1.50 a 2, přitom při přímém zaokrouhlení na jednotky bychom dostali hodnotu 1. Tím jsme se dopustili chyby ze zaokrouhlení velikosti 0.504, tedy mimo interval, do něhož by se chyba ze zaokrouhlení měla vejít. Je zřejmé, že zaokrouhlit hodnotu 1.496 na 2 je chyba, protože přesná hodnota je blíže hodnotě 1.

Při opakovaném zaokrouhlování je tedy vždy třeba zaokrouhlovat původní hodnotu, nikoli postupně zaokrouhlovat hodnotu již zaokrouhlenou.

Další numerické důsledky zaokrouhlení

Kromě výše uvedeného může mít zaokrouhlování i další důsledky, které mohou na první pohled vypadat jako chyby ve výpočtu, ale ve skutečnosti tomu tak není. Jedním z nich je například to, že promítneme-li bod na přímku (například v úloze Vyrovnání na přímku, a vypočteme-li vzdálenost vyrovnaného bodu od přímky, může se v některých konfiguracích stát, že vzdálenost vyjde nenulová (ale neměla by překročit velikost jedné jednotky posledního desetinného místa). Při zaokrouhlení na centimetry tedy může vzdálenost vyrovnaného bodu od přímky být 0.01m, a přesto je výpočet správně. Podrobnější vysvětlení naleznete v poznámkách u úlohy Vyrovnání na přímku

Předcházející | Nahoru | Další
Krok vpřed | Domů | Přetahování dat


Přetahování dat
Předcházející Kapitola 6. Seznamy Další

Přetahování dat

Data v seznamech lze pomocí myši přetahovat do různých datových oken. Přetahovat lze buď aktuální položku (tu, na níž je zobrazen kurzor), nebo celý blok označených položek.

Cílové oblasti v dialogových oknech jsou bloky s podbarveným pozadím, je tedy na první pohled patrné, do kterých oblastí lze data přetahovat. Některé oblasti akceptují pouze souřadnice, některé pouze měřená data, některé obojí. Při přetahování se navíc aktivní oblasti, kam lze data přetáhnout, vysvěcují, což zajišťuje přehlednou zpětnou vazbu.

Obdobným způsobem lze data přetahovat i z dialogových oken. Opět je třeba ukázat myší na zvýrazněnou oblast, odkud chcete data přetáhnout. Typickou oblastí je například blok s vypočteným bodem/body ve výpočetních oknech. Odtud lze bod přetáhnout do libovolného seznamu souřadnic nebo přímo do jiného výpočetního okna.

V následujícím okně jsou aktivní oblasti, do nichž lze přetáhnout souřadnice, tyto: Počáteční bod, Koncový bod, Vyrovnávaný bod.

Oblast, z níž lze naopak přetáhnout vypočtený bod, je oblast Výsledný bod.

Ukázkový dialog pro přetahování dat

Varování

Při zahájení přetahování z dialogového okna je třeba ukázat myší přímo na plochu pozadí aktivní oblasti, mimo další vnořené ovládací prvky. Například při ukázání do editačního okna se souřadnicemi bude namísto zahájení operace přetahování zahájeno označování textu v editačním okně. Obdobně při ukázání na seznam bodů bude namísto zahájení přetahování vysvícena příslušná položka seznamu.

Postup při přetahování jednotlivých položek

  1. Umístěte na požadovanou položku kurzor myši.

  2. Stiskněte levé tlačítko myši. Na zvolené položce se zobrazí řádkový kurzor.

  3. Držte stisknuté levé tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Při pohybu můžete sledovat, jak se kurzor myši mění podle toho, v kterém okně je právě umístěn.

    • Zavřená ruka: Tento tvar má kurzor na ploše okna, z něhož položku přetahujete.

    • Otevřená ruka: Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat (jiný seznam stejného typu, výpočetní dialogové okno atd.).

    • Kříž: Kříž se objeví, je-li kurzor myši umístěn na ploše hlavního okna programu.

    • Zákaz: Tuto podobu má kurzor, je-li umístěn na ploše okna, které není schopno přetahované údaje přijmout.

  4. Je-li kurzor umístěn na správném okně, uvolněte levé tlačítko myši. Data jsou přesunuta nebo zkopírována na příslušné místo.

Postup při přetahování bloku položek

  1. Označte požadované položky v seznamu.

  2. Umístěte kurzor myši kamkoli do okna, z něhož chcete data přetahovat.

  3. Stiskněte prostřední tlačítko myši. Pokud máte pouze dvoutlačítkovou myš, stiskněte levé tlačítko spolu s klávesou Shift.

  4. Držte stisknuté prostřední (levé) tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Další postup je shodný, jako při přetahování jedné položky. Liší se pouze některé podoby kurzoru:

    • Zavřené ruce: Tento tvar má kurzor na ploše okna, z něhož blok přetahujete.

    • Otevřené ruce: Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat (jiný seznam stejného typu, výpočetní dialogové okno atd.).

Kopírování dat

Přetahujete-li body z jednoho seznamu do druhého, jsou po přetažení v prvním seznamu vymazány. Chcete-li je zkopírovat, tj. ponechat i v původním seznamu, držte při uvolňování tlačítka myši stisknutu klávesu Ctrl.

Tento postup má vliv pouze na přetahování do seznamu. Na přetahování do výpočetních oken nemá klávesa Ctrl vliv, bod není ze seznamu vymazán nikdy.

Měření mezi datovými okny přetahovat nelze. Chcete-li přenést nebo zkopírovat měření z jednoho souboru do druhého, použijte kopírování přes schránku - funkce Editace → Přenes resp. Editace → Zkopíruj a Editace → Vlož .

Předcházející | Nahoru | Další
Počet desetinných míst a zaokrouhlování | Domů | Přečíslování seznamu


Přečíslování seznamu
Předcházející Kapitola 6. Seznamy Další

Přečíslování seznamu

Aplikace umožňuje přečíslování seznamů souřadnic i seznamů měření. Při přečíslování lze zvolit mnoho parametrů definujících jakým způsobem mají být čísla změněna.

K přečíslování seznamů slouží dialogová okna, jejichž podrobný popis je uveden v referenční příručce: Souřadnice → Přečíslování seznamu souřadnic nebo Měření → Přečíslování seznamu měření.

Přečíslování seznamu souřadnic

Dále je možno přečíslovat seznam podle dříve pořízeného seznamu přiřazení bodů. Tato funkce umožňuje například opakované přečíslování seznamů nebo zpětné přečíslování. Podrobně je popsána v kapitole o přečíslování podle seznamu.

Předcházející | Nahoru | Další
Přetahování dat | Domů | Přečíslování podle seznamu přiřazení čísel bodů


Přečíslování podle seznamu přiřazení čísel bodů
Předcházející Kapitola 6. Seznamy Další

Přečíslování podle seznamu přiřazení čísel bodů

Při přečíslování seznamu a v některých dalších úlohách je vytvářen seznam přiřazení nových čísel bodů starým. Tento seznam lze uložit do souboru pro další použití. Pomocí seznamu lze kdykoli později provést další přečíslování v jiném seznamu nebo v protokolu, při němž budou čísla bodů přiřazena stejně, jako při prvním přečíslování.

Seznam lze po jeho obrácení použít i ke zpětnému přečíslování na původní čísla bodů.

V dialogovém okně pro přečíslování bodů lze stisknutím tlačítka Seznam čísel zobrazit dialogové okno, v němž je zobrazen seznam přiřazení čísel bodů. V tomto okně lze seznam editovat, nebo jej uložit do souboru pro další použití.

Přečíslování podle seznamu přiřazení čísel bodů

Stisknete-li tlačítko Seznam čísel před přečíslováním, tedy dříve, než byl seznam přiřazení čísel vytvořen, aplikace se vás dotáže na jeho umístění na disku a načte jej ze souboru. Po načtení lze seznam souřadnic, měření nebo protokol přečíslovat podle načteného seznamu.

Stiskem tlačítka Zaměnit čísla lze prohodit původní a nová čísla bodů. Pomocí seznamu s prohozenými čísly lze provést obrácené přečíslování, tedy přečíslování do původního stavu.

Po stisku tlačítka Kontrola seznamu bude seznam přiřazení čísel zkontrolován. V protokolu bude zobrazeno varování v těchto případech:

  • Seznam obsahuje identická přiřazení, tedy opakované řádky se stejnými dvojicemi starého a nového čísla (tedy opakované duplicitní řádky). Vzhledem k tomu, že takováto přiřazení jsou identická, budou duplicity při kontrole automaticky odstraněny.

  • Seznam obsahuje více přiřazení téhož starého čísla různým novým číslům (např. 1=1001 a 1=2001). Takovéto přiřazení nelze provést, protože je nejednoznačné.

  • Seznam obsahuje přiřazení více starých čísel na stejné nové číslo (např. 1=1001 a 100=1001. Takovéto přiřazení provést lze, ale mohou při něm vzniknout duplicity v seznamu (pokud by seznam obsahoval body 1 i 100, po přečíslování by vznikly dva body s číslem 1001)

Předcházející | Nahoru | Další
Přečíslování seznamu | Domů | Označování podle seznamu čísel bodů


Označování podle seznamu čísel bodů
Předcházející Kapitola 6. Seznamy Další

Označování podle seznamu čísel bodů

V dialogových oknech pro hromadné označování v seznamu souřadnic (Souřadnice → Označ) nebo v seznamu měření (Měření → Označ) lze uložit seznam označených bodů. Seznam se ukládá v podobě textového seznamu, kde na každé řádce je jedno číslo bodu. Soubor nemá žádnou hlavičku. Je tedy snadno editovatelný, případně jej lze snadno vytvořit mimo systém Groma.

Standardní přípona souboru je .pntlist.

Seznam čísel bodů může tedy vypadat například takto:

625141042130400
625141042130401
625141042130402
625141042130403
625141042130404
625141042130405
625141042130406

Ukládáte-li seznam čísel bodů pod názvem souboru, který již existuje, aplikace vám dá na výběr, zda si přejete existující soubor přepsat nebo k němu nově ukládaný seznam čísel připojit:

Ukládání seznamu čísel bodů pod existujícím názvem

Uložený seznam čísel bodů lze opět použít pro označení v seznamech souřadnic i v seznamech měření. Lze tedy opakovaně označovat stejná čísla bodů v různých seznamech.

Předcházející | Nahoru | Další
Přečíslování podle seznamu přiřazení čísel bodů | Domů | Hromadné změny v seznamech


Hromadné změny v seznamech
Předcházející Kapitola 6. Seznamy Další

Hromadné změny v seznamech

Aplikace umožňuje hromadné změny v seznamech souřadnic i v seznamech měření. Hromadná změna se provádí pomocí příslušného dialogového okna, v němž lze nastavit množství různých parametrů změny:

Hromadná změna v seznamu souřadnic

Pomocí tohoto okna můžete nastavovat kód a další charakteristiky bodů, přičítat a odečítat konstanty od jednotlivých údajů, násobit nebo dělit jednotlivé údaje konstantou atd.

Podrobný popis funkce je uveden v referenční příručce: Souřadnice → Hromadné změny v seznamu souřadnic nebo Měření → Hromadné změny v seznamu měření.

Předcházející | Nahoru | Další
Označování podle seznamu čísel bodů | Domů | Změna kódů na grafické


Změna kódů na grafické
Předcházející Kapitola 6. Seznamy Další

Změna kódů na grafické

Po stisknutí tlačítka Kódy na graf. budou kódy upravovaných položek seznamu převedeny na grafické kódy, tj. kódy, které jsou využívány pro automatizované generování kódové kresby (grafické kódy jsou od normálního kódu odděleny znakem |).

Předcházející | Nahoru | Další
Hromadné změny v seznamech | Domů | Kapitola 7. Seznam souřadnic


Kapitola 7. Seznam souřadnic
Předcházející Část I. Uživatelská příručka Další

Kapitola 7. Seznam souřadnic

Obsah

Pohyb v seznamu souřadnic
Zamykání bodů
Zvýrazněné body
Pomocné body
Duplicitní čísla bodů v seznamu souřadnic
Průměrování souřadnic při ukládání bodu s existujícím číslem
Řazení seznamu souřadnic
Standardní řazení seznamu souřadnic
Řazení seznamu souřadnic podle zvoleného sloupce
Aktivní seznam souřadnic
Volba aktivního seznamu souřadnic
Vyhledávání v seznamu souřadnic
Grafické zobrazení bodů
Roztřídění seznamu podle mapových listů
Porovnání souřadnic
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Kontrola číslování bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Obnova smazaných položek
Připojení souboru
Dvojí souřadnice
Zeměpisné souřadnice
Export / Import seznamu souřadnic
Textové seznamy souřadnic
Soubory ve formátu MS Excel
Soubory ve formátu XML
Geografické formáty
Soubory ze záznamníků a měřicích přístrojů
Další formáty
Konfigurovatelný import seznamu souřadnic
Import seznamu souřadnic pomocí oddělovačů
Import seznamu souřadnic pomocí šířek sloupců
Import seznamu souřadnic kombinovaným způsobem
Seznam souřadnic

Nejdůležitější soubor při práci s programem Groma je obvykle seznam souřadnic. Seznam souřadnic obsahuje souřadnice bodů, které využívá většina funkcí programu, a mnoho funkcí do seznamu body ukládá.

Program umožňuje otevřít najednou libovolné množství seznamů souřadnic.

Pohyb v seznamu souřadnic

Soubor se souřadnicemi je zobrazen ve formě seznamu, z něhož je viditelná pouze ta část, se kterou právě pracujete. Na aktuálním řádku je umístěn kurzor. S kurzorem lze pohybovat pomocí klávesnice nebo myší.

Tabulka 7.1. Klávesy pro pohyb v seznamu

Klávesa | Akce
Šipka nahoru | Posun kurzoru o řádek nahoru
Šipka dolů | Posun kurzoru o řádek dolů
PageUp | Posun kurzoru o stránku nahoru
PageDown | Posun kurzoru o stránku dolů
Home | Posun kurzoru na začátek souboru
End | Posun kurzoru na konec souboru

Předcházející | Nahoru | Další
Změna kódů na grafické | Domů | Zamykání bodů


Zamykání bodů
Předcházející Kapitola 7. Seznam souřadnic Další

Zamykání bodů

Body v seznamech souřadnic lze zamknout proti přepsání nebo smazání. Zamčení bodu je signalizováno symbolem zámku v levé části seznamu souřadnic (před číslem bodu).

Pomocné body

Body lze zamykat dvojím způsobem:

  • Jednotlivé body

    Při editaci bodu (např. stiskem klávesy Enter) lze jako jednu z vlastností bodu zvolit, zda má být zamčen.

    Máte-li zapnutou volbu Soubor → Nastavení → Prostředí: Rychlé zamykání/odemykání bodů, můžete jednotlivé body zamykat a odemykat kliknutím myši u levého okraje seznamu (před číslem bodu).

  • Hromadně

    Celý seznam souřadnic nebo označené body lze zamknout nebo odemknout pomocí hromadné změny (příkaz Souřadnice → Hromadná změna).

Zamčené body nelze mazat ani přepisovat. Změnit je můžete pouze pomocí editace bodu (např. klávesou Enter) nebo po odemčení. Přidáváte-li do seznamu bod s číslem, které již v seznamu existuje, a je-li existující bod uzamčen, je zobrazeno standardní dialogové okno s informacemi o souřadnicových rozdílech, ale je v něm přístupná pouze možnost ponechat v seznamu původní bod beze změny.

Poznámka

Při importu bodů z databáze jsou dosavadní body, tedy body, které byly načteny z ISKN, označeny jako zamčené. Takovéto body nelze upravovat, s jedinou výjimkou, a tou je doplnění souřadnic polohy.

Předcházející | Nahoru | Další
Kapitola 7. Seznam souřadnic | Domů | Zvýrazněné body


Zvýrazněné body
Předcházející Kapitola 7. Seznam souřadnic Další

Zvýrazněné body

Body v seznamech souřadnic mohou být zvýrazněné.

Zvýrazněné body jsou v seznamech uvedeny tučně. V závislosti na nastavených volbách řazení seznamu v dialogovém okně Soubor → Nastavení → Prostředí mohou být uvedeny na začátku seznamu, před ostatními body:

Zvýrazněné body

Body lze označit jako zvýrazněné dvojím způsobem:

  • Jednotlivé body

    Při editaci bodu (např. stiskem klávesy Enter) lze jako jednu z vlastností záznamu zvolit, zda má mít atribut Zvýrazněný.

  • Hromadně

    Označeným položkám seznamu souřadnic lze měnit tento atribut pomocí hromadné změny (příkaz Souřadnice → Hromadná změna).

Předcházející | Nahoru | Další
Zamykání bodů | Domů | Pomocné body


Pomocné body
Předcházející Kapitola 7. Seznam souřadnic Další

Pomocné body

Body v seznamech souřadnic mohou být označeny jako pomocné.

Pomocné body jsou v seznamech uvedeny kurzívou:

Pomocné body

Body lze označit jako pomocné dvojím způsobem:

  • Jednotlivé body

    Při editaci bodu (např. stiskem klávesy Enter) lze jako jednu z vlastností záznamu zvolit, zda má mít atribut Pomocný.

  • Hromadně

    Označeným položkám seznamu souřadnic lze měnit tento atribut pomocí hromadné změny (příkaz Souřadnice → Hromadná změna).

Předcházející | Nahoru | Další
Zvýrazněné body | Domů | Duplicitní čísla bodů v seznamu souřadnic


Duplicitní čísla bodů v seznamu souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Duplicitní čísla bodů v seznamu souřadnic

V základním nastavení aplikace neumožňuje vkládat do seznamu souřadnic body s duplicitními čísly. Pokusíte-li se vložit do seznamu bod s číslem, které již v seznamu existuje, bude zobrazeno dialogové okno pro průměrování bodů, které vám umožní různé varianty uložení:

  • Ponechání starého bodu beze změny
  • Uložení nového bodu
  • Uložení průměru mezi starým a novým bodem
  • Uložení bodu pod jiným číslem
  • Uložení bodu do jiného souboru
  • a další operace s dvojími souřadnicemi a popisnými informacemi

V některých speciálních případech ale může být vhodné mít možnost ukládat body s duplicitními čísly do jednoho seznamu. Vhodné je to například v kombinaci s nástrojem Dávkové průměrování souřadnic. Tento nástroj vám umožní body téhož čísla hromadně zprůměrovat.

Ukládání bodů s duplicitními čísly můžete povolit dvěma způsoby:

  1. Centrálně pro všechny otevřené seznamy souřadnic v konfiguraci programu přepínačem Soubor → Nastavení → Prostředí: Povolit duplicitní body v seznamu souřadnic

  2. Pouze pro konkrétní jednotlivý soubor v jeho vlastnostech

Důležité

Povolíte-li dočasně duplicity v seznamech, nezapomeňte potom povolení opět zrušit. Pokud zůstanou omylem duplicity povolené, snadno se do seznamu dostanou nechtěné body, a bývá obtížné dát dodatečně seznam do pořádku.

Předcházející | Nahoru | Další
Pomocné body | Domů | Průměrování souřadnic při ukládání bodu s existujícím číslem


Průměrování souřadnic při ukládání bodu s existujícím číslem
Předcházející Kapitola 7. Seznam souřadnic Další

Průměrování souřadnic při ukládání bodu s existujícím číslem

Přidáváte-li do seznamu souřadnic bod s číslem, které již v seznamu existuje (a nejsou-li v nastavení programu povoleny duplicity), program zobrazí okno, v němž jsou vypsány informace o původním bodu, o novém bodu, souřadnicové rozdíly a další informace.

Program vám nabídne různé možnosti uložení:

Přidávání existujícího bodu do seznamu souřadnic

V případě seznamu souřadnic s dvojími souřadnicemi můžete způsob průměrování zvolit pro každou geometrii zvlášť.

Přidávání existujícího bodu do seznamu souřadnic s dvojími souřadnicemi

V této situaci máte následující možnosti:

  1. Uložit nové souřadnice nebo jednotlivé geometrie do geometrií stávajícího bodu

    V dialogovém okně je zobrazen seznam geometrií (sad souřadnic) původního a nového bodu. V tabulkách můžete zvolit, která geometrie se má kam uložit, a jakým způsobem (Neukládat / Nové / Průměr). Způsob uložení můžete nastavit odděleně pro polohu a výšku bodu, lze tedy výšku bodu uložit do jiné geometrie nebo jiným způsobem než polohu.

  2. Zvolit pro bod nové číslo

    Číslo můžete zadat do vstupního okénka pro předčíslí a číslo bodu. Uložení bodu bude zopakováno s novým číslem, takže existuje-li v seznamu i bod nově zadaného čísla, bude opět zobrazen dialog s dotazem na uložení bodu.

  3. Uložit bod do jiného seznamu

    Název nového cílového seznamu souřadnic můžete zvolit v oblasti Uložit bod do jiného souboru. Uložení bodu bude zopakováno v nově zadaném seznamu, takže existuje-li v něm bod zadaného čísla, bude opět zobrazen dialog s dotazem na uložení bodu.

Možnosti 2. a 3. lze kombinovat, takže lze nechat bod uložit do jiného souboru pod jiným číslem. V případě ukládání bodu do jiného seznamu souřadnic a/nebo pod jiným číslem ale nejsou k dispozici volby pro průměrování, protože v jiném seznamu nebo pro jiné číslo bodu bude již situace odlišná:

Uložení existujícího bodu do jiného seznamu souřadnic a/nebo pod jiným číslem

V případě ukládání bodu do jiného seznamu souřadnic a/nebo pod jiným číslem je celý proces průměrování spuštěn znovu se změněným zadáním. Pokud tedy opět dojde k duplicitě, je toto okno zobrazeno znovu pro nové zadání.

Informace o takto zpracovaném bodě se objeví v protokolu, včetně souřadnicových rozdílů a dalších údajů.

Předcházející | Nahoru | Další
Duplicitní čísla bodů v seznamu souřadnic | Domů | Řazení seznamu souřadnic


Řazení seznamu souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Řazení seznamu souřadnic

Seznam souřadnic je pro rychlejší manipulaci seřazen. Zatímco vlastní seznam souřadnic je fyzicky umístěn na disku (soubor .crd), údaje o řazení bodů (soubor .crx) jsou pro rychlejší manipulaci načteny do paměti počítače.

Standardní řazení seznamu souřadnic

Standardně je seznam souřadnic seřazen podle nastavení řazení v Soubor → Nastavení → Prostředí

Seznam souřadnic může být řazen třemi způsoby:

  • Netříděno

    V tomto případě body v seznamech souřadnic řazeny nejsou, v seznamu jsou uvedeny v takovém pořadí, v jakém byly do souboru přidávány. Toto pořadí se však poruší např. při kompresi souboru, pokud je v okamžiku komprese nastaven jiný způsob třídění (při kompresi souboru je vytvořen nový soubor, do něhož jsou všechny body zapsány v takovém pořadí, jak jsou v okamžiku komprese zobrazeny).

  • Podle předčíslí

    Body jsou v seznamu seřazeny primárně podle předčíslí a sekundárně podle čísla bodu. V souboru jsou tedy řazeny za sebe body se stejným předčíslím a různým číslem bodu. Toto je nejběžnější způsob třídění.

  • Podle čísla

    Body jsou seřazeny primárně podle čísla bodu a sekundárně podle předčíslí. V souboru jsou tedy řazeny za sebe body se stejným číslem a různým předčíslím.

Dále lze v možnostech řazení zaškrtnout volbu Zvýrazněné napřed, čímž zajistíte, že zvýrazněné položky seznamu souřadnic jsou uvedeny před běžnými položkami:

Zvýrazněné body

Řazení podle předčíslí a podle čísla se týká pouze bodů s číselným identifikátorem. U alfanumerického identifikátoru není předčíslí a číslo rozlišováno, tyto body jsou řazeny abecedně (tedy jako v telefonním seznamu).

Řazení seznamu souřadnic podle zvoleného sloupce

Kromě standardního řazení lze v seznamu souřadnic zvolit řazení podle zvoleného sloupce, a to vzestupně i sestupně.

Řazení podle sloupce nastavíte dvojím kliknutím na záhlaví příslušného sloupce. Po prvním dvojkliku se seznam seřadí vzestupně (což je v záhlaví signalizováno šipkou nahoru v příslušném sloupci), po druhém dvojkliku se seznam seřadí sestupně. Po třetím dvojkliku je řazení podle sloupce vypnuto.

V následující ukázce je seznam souřadnic řazen podle souřadnice Z vzestupně:

Řazení seznamu souřadnic podle sloupce
Předcházející | Nahoru | Další
Průměrování souřadnic při ukládání bodu s existujícím číslem | Domů | Aktivní seznam souřadnic


Aktivní seznam souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Aktivní seznam souřadnic

Je-li otevřeno více seznamů souřadnic, jeden z nich má obvykle tu výsadní vlastnost, že je zvolen jako aktivní. Název aktivního souboru je zobrazen ve stavové řádce. Po spuštění programu je nastaven jako aktivní ten seznam souřadnic, který je otevřen jako první.

To, který seznam souřadnic je aktivní, má vliv na mnoho dalších funkcí programu (např. vyhledávání a ukládání bodů).

V některých případech je výhodné nemít zvolen žádný z otevřených seznamů souřadnic jako aktivní (např. při pokusných výpočtech, jejichž výsledky nemají být ukládány).

Volba aktivního seznamu souřadnic

Volba aktivního seznamu souřadnic

Aktivní seznam souřadnic můžete zvolit třemi způsoby:

  • Příkazem Soubor → Aktivní seznam souřadnic vyvoláte dialogové okno se seznamem otevřených souborů, ze kterých si můžete zvolit aktivní seznam. Nechcete-li mít žádný seznam aktivní, vyberte položku [Žádný].

  • Dvakrát klikněte myší na stavový řádek. Zobrazí se stejné dialogové okno, jako při vyvolání pomocí menu.

  • Přetáhněte ze seznamu myší libovolnou položku do stavového řádku, stejně, jako se přetahují data do výpočetních oken.

Předcházející | Nahoru | Další
Řazení seznamu souřadnic | Domů | Vyhledávání v seznamu souřadnic


Vyhledávání v seznamu souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Vyhledávání v seznamu souřadnic

Kdykoli program potřebuje souřadnice některého bodu, snaží se je vyhledat v seznamu souřadnic. Toto vyhledávání probíhá vždy podle stejného algoritmu, bez ohledu na to, z jakého důvodu (kterou funkcí) je bod hledán. Postup vyhledávání závisí na nastavení některých parametrů prostředí.

Je-li v dialogu Soubor → Nastavení → Prostředí zapnuta volba Hledat ve všech otevřených souborech, program vždy prohledá všechny otevřené seznamy souřadnic. V opačném případě prohledá pouze aktivní seznam souřadnic.

Je-li v dialogu Soubor → Nastavení → Prostředí zapnuta volba Hledat podle předčíslí, program hledá takové body, u nichž souhlasí číslo i předčíslí. V opačném případě předčíslí ignoruje, a nalezne všechny body daného čísla, bez ohledu na jejich předčíslí.

Poznámka

Je-li nastaveno řazení podle předčíslí, a jsou-li vypnuta duplicitní čísla bodů, je postup vyhledávání podstatně rychlejší, než při hledání pouze podle čísel. Je to způsobeno tím, že seznam souřadnic nemůže obsahovat více bodů stejného předčíslí i čísla. Navíc je seznam setříděn primárně podle předčíslí a sekundárně podle čísla, pro vyhledávání bodu lze tedy použít velmi rychlý algoritmus, a po nalezení bodu není třeba seznam dále prohlížet. Naproti tomu bodů se stejným číslem a různým předčíslím může seznam obsahovat více (a v seznamu mohou být libovolně umístěny), při hledání pouze podle čísla je tedy třeba prohlédnout soubor vždy celý.

V případě, že program nalezne více bodů s rozdílnými souřadnicemi, splňujících kritéria, zobrazí dialogové okno se seznamem bodů (včetně názvů souborů, v nichž byly body nalezeny), a nechá vás vybrat příslušný bod. Zvolíte-li v tomto seznamu položku [Žádný], program se chová, jako by žádný bod nenalezl.

Předcházející | Nahoru | Další
Aktivní seznam souřadnic | Domů | Grafické zobrazení bodů


Grafické zobrazení bodů
Předcházející Kapitola 7. Seznam souřadnic Další

Grafické zobrazení bodů

Chcete-li seznam souřadnic zobrazit graficky, zvolte příkaz Souřadnice → Zobrazit graficky . Program otevře k příslušnému seznamu souřadnic předpis kresby (soubor .pics). Jestliže soubor s předpisem kresby neexistuje, program vytvoří prázdný soubor.

Předcházející | Nahoru | Další
Vyhledávání v seznamu souřadnic | Domů | Roztřídění seznamu podle mapových listů


Roztřídění seznamu podle mapových listů
Předcházející Kapitola 7. Seznam souřadnic Další

Roztřídění seznamu podle mapových listů

Roztřídění seznamů souřadnic podle mapových listů

Příkazem Souřadnice → Roztřiď dle mapových listů vyvoláte dialogové okno, které vám umožní roztřídit seznam souřadnic do souborů podle mapových listů.

Použití tohoto okna je podrobně popsáno v referenční příručce.

Předcházející | Nahoru | Další
Grafické zobrazení bodů | Domů | Porovnání souřadnic


Porovnání souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Porovnání souřadnic

Po vyvolání příkazu Souřadnice → Porovnání souřadnic je zobrazeno dialogové okno pro statistický test seznamů souřadnic. Program porovná dva seznamy souřadnic, vypočte souřadnicové rozdíly na jednotlivých bodech, odhady středních chyb a další údaje.

Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Roztřídění seznamu podle mapových listů | Domů | Kontrola duplicitních čísel


Kontrola duplicitních čísel
Předcházející Kapitola 7. Seznam souřadnic Další

Kontrola duplicitních čísel

Po vyvolání příkazu Souřadnice → Kontrola duplicitních čísel proběhne kontrola seznamu souřadnic, zda neobsahuje duplicitní čísla bodů. Výsledek kontroly je uložen do protokolu.

Předcházející | Nahoru | Další
Porovnání souřadnic | Domů | Vyhledání identických bodů


Vyhledání identických bodů
Předcházející Kapitola 7. Seznam souřadnic Další

Vyhledání identických bodů

Vyhledání identických bodů

Po vyvolání příkazu Souřadnice → Vyhledání identických bodů je zobrazeno dialogové okno, které slouží pro vyhledání bodů s různými čísly, ale s totožnými (nebo blízkými) souřadnicemi ve dvou seznamech souřadnic. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Kontrola duplicitních čísel | Domů | Odstranění identických bodů


Odstranění identických bodů
Předcházející Kapitola 7. Seznam souřadnic Další

Odstranění identických bodů

Odstranění identických bodů

Po vyvolání příkazu Souřadnice → Odstranění identických bodů je zobrazeno dialogové okno, které slouží pro vyhledání bodů s různými čísly, ale s totožnými (nebo blízkými) souřadnicemi. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Vyhledání identických bodů | Domů | Kontrola číslování bodů


Kontrola číslování bodů
Předcházející Kapitola 7. Seznam souřadnic Další

Kontrola číslování bodů

Pomocí této funkce lze zkontrolovat posloupnost čísel bodů v seznamu souřadnic. Program zkontroluje číslování a zobrazí protokol, v němž vypíše informace o mezerách v číslování.

Předcházející | Nahoru | Další
Odstranění identických bodů | Domů | Dávkové průměrování souřadnic


Dávkové průměrování souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Dávkové průměrování souřadnic

Dávkové průměrování souřadnic

Po vyvolání příkazu Souřadnice → Dávkové průměrování souřadnic je zobrazeno dialogové okno, které slouží pro automatické dávkové zprůměrování bodů stejného čísla. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Kontrola číslování bodů | Domů | Zaokrouhlení souřadnic


Zaokrouhlení souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Zaokrouhlení souřadnic

Zaokrouhlení souřadnic

Po vyvolání příkazu je zobrazeno dialogové okno Souřadnice → Zaokrouhlení souřadnic pro zaokrouhlení celého seznamu (nebo označených položek) na stanovený počet desetinných míst. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Dávkové průměrování souřadnic | Domů | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 7. Seznam souřadnic Další

Obnova smazaných položek

Po vyvolání příkazu Souřadnice → Obnova smazaných položek je zobrazeno dialogové okno, pomocí něhož lze do nového souboru obnovit všechny položky, které byly v daném seznamu smazány od poslední komprese souboru. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Zaokrouhlení souřadnic | Domů | Připojení souboru


Připojení souboru
Předcházející Kapitola 7. Seznam souřadnic Další

Připojení souboru

Po vyvolání příkazu Souřadnice → Připoj soubor je zobrazeno dialogové okno pro výběr souboru, pomocí něhož lze do existujícího seznamu souřadnic přidat body z jiného seznamu. Importovaný soubor může být ve formátu systému Groma, nebo v kterémkoli jiném formátu, z něhož Groma umí body importovat (textový soubor, soubor ve formátu XML apod.).

Předcházející | Nahoru | Další
Obnova smazaných položek | Domů | Dvojí souřadnice


Dvojí souřadnice
Předcházející Kapitola 7. Seznam souřadnic Další

Dvojí souřadnice

Systém Groma umožňuje udržovat v seznamech souřadnic pro každý bod dva páry souřadnic X a Y. Můžete tedy mít pro každý bod např. souřadnice v hlavní a místní soustavě, nebo obecně ve dvou různých soustavách.

Druhý pár souřadnic je v seznamu uložen pomocí uživatelských informací o bodě (INFO1 a INFO2). Způsob zobrazení (pojmenování, počet desetinných míst apod.) lze tedy nastavit v informacích o souboru příkazem Soubor → Informace o souboru.

Které souřadnice program využívá při výpočtech a do kterých souřadnic ukládá vypočtené hodnoty lze nastavit pomocí voleb uvedených v dolním okraji každého okna se seznamem souřadnic, nebo pomocí globálního nastavení společného pro všechny soubory, zobrazeného na liště nástrojů. Podrobně je práce se sadami souřadnic popsána v oddíle Geometrie.

Dvojí souřadnice se využívají při práci se seznamy souřadnic pro geometrické plány. Jako hlavní souřadnice lze v seznamu vést tzv. Souřadnice obrazu, jako doplňkové mohou být uloženy tzv. Souřadnice polohy. Takto jsou také body načteny při importu z databáze, získané z ISKN. Pokud databáze obsahuje i souřadnice polohy, jsou při importu načteny jako doplňkové souřadnice. V seznamu je lze libovolně upravovat, a příkazem Souřadnice → Uložit body do databáze, Souřadnice → Uložit změny do databáze nebo Souřadnice → Synchronizovat seznam s databází lze změny uložit zpět do databáze.

Nástroje pro práci s dvojími souřadnicemi

Systém obsahuje další funkce pro práci s dvojími souřadnicemi:

  • Příprava souboru pro dvojí souřadnice (nastavení názvů sloupců, nastavení počtu desetinných míst, a dalších nezbytných údajů).

  • Doplnění druhého páru souřadnic z doplňkového seznamu souřadnic hromadně podle čísel bodů.

  • Záměna hlavních a vedlejších souřadnic.

  • Export vedlejších souřadnic do nového souboru.

  • Odstranění hlavních souřadnic.

  • Odstranění všech nebo pouze nulových vedlejších souřadnic.

  • Zkopírování hlavních souřadnic do vedlejších.

  • Zkopírování vedlejších souřadnic do hlavních.

  • Odstranění kódu kvality hlavních nebo vedlejších souřadnic.

  • Roztřídění a seskupení souřadnic podle kódu kvality.

Popis jednotlivých funkcí je uveden v referenční příručce.

Předcházející | Nahoru | Další
Připojení souboru | Domů | Zeměpisné souřadnice


Zeměpisné souřadnice
Předcházející Kapitola 7. Seznam souřadnic Další

Zeměpisné souřadnice

V seznamu souřadnic lze vést buď pravoúhlé rovinné souřadnice, nebo zeměpisné souřadnice systému ETRS89. Jedním typem souřadnic je geometrie definována, druhý typ je automaticky dopočítáván. Pro každý bod jsou tedy k dispozici oba typy souřadnic, jeden je zadán a druhý vypočten. V seznamu souřadnic je vždy zadaný typ souřadnic zobrazen normálním písmem, dopočítaný typ souřadnic kurzívou. Na následujícím obrázku je ukázka souboru, kde jsou definovány rovinné souřadnice, a zeměpisné souřadnice jsou k nim dynamicky dopočítávány:

Zeměpisné souřadnice v seznamu souřadnic

V dialogovém okně Soubor → Nastavení → Vstup/Výstup lze nastavit, v jakých jednotkách a na kolik desetinných míst mají být zeměpisné souřadnice zobrazovány. Můžete si zvolit jednu z těchto možností:

  • Stupně minuty vteřiny: šedesátinné stupně, minuty a vteřiny včetně symbolů jednotek (50°06’26.8667”)

  • Stupně desetinné: šedesátinné stupně jako desetinné číslo (50.10741209°)

  • Stupně minuty vteřiny s mezerami: šedesátinné stupně, minuty a vteřiny oddělené mezerami (50 06 26.8667)

Pro přepočet mezi rovinnými a zeměpisnými souřadnicemi ETRS89 je použita globální transformace dle metodiky doporučené Českým úřadem zeměměřickým a katastrálním. Systém Groma prošel testováním na ČÚZK a je oficiálně schválen pro přepočty souřadnic podrobných bodů i bodů bodového pole. Implementovány jsou převodní tabulky z roku 2018, přepočet se smí používat od 1.1.2018. Certifikát o schválení transformace je ke stažení na webových stránkách systému Groma.

Při editaci souřadnic si můžete zvolit, které souřadnice mají být v seznamu uloženy jako definiční, pomocí tlačítka. Zapnete-li tlačítko u rovinných souřadnic X a Y, budou nastaveny jako definiční, zatímco zeměpisné souřadnice B, L, H budou v editačním okně znepřístupněny, nebude možno je měnit, a budou přepočítávány z rovinných souřadnic.

Předcházející | Nahoru | Další
Dvojí souřadnice | Domů | Export / Import seznamu souřadnic


Export / Import seznamu souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Export / Import seznamu souřadnic

Textové seznamy souřadnic

Program Groma umožňuje importovat i exportovat seznamy souřadnic v textovém tvaru. Pro export a import těchto souborů jsou k dispozici obecné volné formáty, formáty uživatelsky definovatelné a formáty speciální.

Protože složení řádků není u obecných formátů přesně definované, pokusí se aplikace při importu sama určit pořadí a typ jednotlivých údajů. Řídí se při tom těmito pravidly:

  • První údaj na řádku je vždy interpretován jako číslo bodu.

  • Za číslem bodu vždy následují dvě souřadnice (dle zvoleného pořadí).

  • Další údaje jsou již nepovinné, jejich typ je tedy určen podle konkrétní podoby. Program se při tom řídí těmito pravidly:

    1. Obsahuje-li údaj desetinnou tečku nebo čárku, a je-li mimo ni tvořen pouze číslicemi, bude interpretován jako souřadnice Z.

    2. Je-li údaj tvořen pouze jedním znakem, bude interpretován jako kód kvality.

    3. Ve všech ostatních případech je údaj interpretován jako kód bodu. V tomto případě je do kódu převzat celý zbytek vstupního řádku, což umožňuje používat kódy s mezerami.

U číselných údajů může být jako oddělovač desetinné části použita desetinná tečka i čárka.

K dispozici jsou následující filtry:

  • Souřadnice XYZ, YXZ (export i import): Obecný volný textový formát.

    Údaje jsou na řádku uspořádány v pořadí podle názvu formátu (viz poznámky výše). Odděleny jsou mezerami nebo tabulátory.

  • Souřadnice CSV XYZ, YXZ (export i import): Textový formát v podobě Comma-separated values.

    Údaje jsou na řádku uspořádány v pořadí podle názvu formátu (viz poznámky výše). Dle původní specifikace formátu se jako oddělovač používaly čárky. Protože ale čárka bývá často součást dat (v textech, ale zejména jako oddělovač desetinné části čísla), postupně mnoho implementací tohoto formátu začalo podporovat i středníky. Systém Groma při importu respektuje jako oddělovač čárku i středník, při exportu používá dle původní specifikace formátu čárku.

  • Souřadnice pro katastr (export): Textový formát v podobě akceptované katastrálními úřady.

    Řádek vždy obsahuje úplné číslo bodu, souřadnici Y, X, Z (na centimetry) a kód kvality. Nemá-li bod zadánu souřadnici Z, je nahrazena nulou.

    Ukázka:

625141042130400     747791.35     965566.35       0.00    3
625141042130401     747756.98     965566.40       0.00    3
625141042130402     747585.36     965567.38       0.00    3
625141042130403     747608.71     965567.39       0.00    3

  • Souřadnice - uživatelský formát (export i import): Textový formát s uživatelsky definovanou strukturou.

    Údaje jsou na řádku uspořádány v pořadí a formátu definovaném pomocí předpisu formátu. Předpisem formátu lze přesně nastavit šířku údajů, počet desetinných míst, zarovnání, oddělovače a další parametry.

    Například tento předpis formátu: "<NUM:10> <X:14:3> <Y:14:3> <Z:14:3> <CODE>" vytvoří soubor v této podobě:

         1    1040999.730     740995.698        105.626 Silnice
         2    1040997.472     740995.779        105.718 Silnice
         3    1041000.552     741009.905        104.205 Silnice

    Předpis uživatelského formátu můžete nastavit v dialogovém okně Soubor → Nastavení → Vstupní/výstupní formát souřadnic, podrobný popis formátu je uveden v Přílohách.

  • Souřadnice bez čísel -Y -X Z (import): Volný textový formát se souřadnicemi v matematické soustavě bez čísel bodů.

    Tento formát slouží k importu seznamu samotných souřadnic, bez čísel bodů. Aplikace předpokládá, že jsou souřadnice v pořadí YXZ, a to v matematické soustavě, tj. souřadnice Y a X mají záporné znaménko. Při importu aplikace body očísluje vzestupně od čísla 1 a souřadnicím Y a X zamění znaménka.

  • Dvojí souřadnice (import): Obecný volný textový formát se dvěma geometriemi.

    Každý řádek obsahuje číslo bodu, souřadnice YXZ hlavní, souřadnice YXZ vedlejší, a případně kód kvality a kód bodu.

  • Konfigurovatelný formát (import): Textový formát s uživatelsky definovanou strukturou.

    Pomocí tohoto filtru lze importovat téměř jakýkoli formát textového souboru (včetně CSV formátů). Podrobný popis je uveden v Uživatelské příručce.

Soubory ve formátu MS Excel

Seznamy souřadnic i měření lze exportovat ve formátu MS Excel. Před exportem je zobrazeno dialogové okno, v němž je možno zvolit soubor s exportní šablonou:

Výběr šablony pro export seznamu souřadnic ve formátu MS Excel

Exportní šablona je dokument ve formátu MS Excel, v němž jsou připraveny hlavičky a formátování. Soubor obsahuje jednu symbolickou datovou řádku, v níž jsou umístěny symboly datových položek, které jsou při exportu nahrazeny skutečnými daty. Šablona může obsahovat připravené vzorce, více listů atd. Musí být ve formátu OpenXML (.xlsx).

Tabulka 7.2. Symboly datových položek pro seznam souřadnic

Symbol | Popis
<p> | Předčíslí
<n> | Vlastní číslo
<num> | Úplné číslo (číslo i předčíslí)
<code> | Kód (popis) bodu
<note> | Poznámka u bodu
<x> | Souřadnice X
<y> | Souřadnice Y
<z> | Souřadnice Z
<prec> | Kód charakteristiky přesnosti
<type> | Typ bodu
<x2> | Vedlejší souřadnice X
<y2> | Vedlejší souřadnice Y
<z2> | Vedlejší souřadnice Z
<prec2> | Kód charakteristiky přesnosti vedlejších souřadnic
<info1> | Doplňující údaj číslo 1
<info2> | Doplňující údaj číslo 2
<info3> | Doplňující údaj číslo 3
<info4> | Doplňující údaj číslo 4
<b> | Souřadnice B v systému ETRS89
<l> | Souřadnice L v systému ETRS89
<h> | Souřadnice H v systému ETRS89

Tabulka 7.3. Symboly datových položek pro seznam měření

Symbol | Popis
<p> | Předčíslí
<n> | Vlastní číslo
<num> | Úplné číslo (číslo i předčíslí)
<code> | Kód (popis) bodu
<note> | Poznámka u bodu
<hz> | Vodorovný úhel
<vert> | Zenitový úhel
<dist> | Délka
<dh> | Převýšení
<signal> | Výška cíle (výška stroje)
<lvl-back> | Nivelační převýšení - záměra vzad
<lvl-fwd> | Nivelační převýšení - záměra vpřed
<lvl-side> | Nivelační převýšení - záměra bočně
<ortho-rad> | Ortogonální měření - staničení
<ortho-perp> | Ortogonální měření - kolmice

Ukázkové exportní šablony jsou uloženy v adresáři Format/Excel/crd a Format/Excel/mes. Tyto předdefinované šablony si můžete libovolně upravit.

Po exportu je otevřeno okno, v němž je exportovaný soubor zobrazen ke kontrole.

Soubory ve formátu XML

Seznamy souřadnic i měření lze exportovat a importovat ve formátu XML (eXtensible Markup Language). Jedná se o značkovací jazyk typu SGML, který umožňuje snadnou výměnu souborů, formální kontrolu správnosti jejich struktury a automatické konverze do jiných formátů (html, txt, rtf).

Soubory XML mají pevnou strukturu, definovanou pomocí deklarace typu dokumentu (Document Style Definition, DTD). Porovnáním souborů s touto definicí lze snadno ověřit jejich formální správnost. Definice struktury pro soubory používané v systému Groma jsou součástí instalace (jsou uloženy v adresáři dtd), nebo je lze stáhnout na https://www.groma.cz.

Společně se soubory DTD jsou součástí distribuce i předpisy pro převod XML souborů do HTML. Máte-li internetový prohlížeč podporující formát XML a transformace pomocí stylů XSL, můžete v něm seznamy ve formátu XML přímo zobrazit. Převod do HTML provede prohlížeč automaticky (obvykle zároveň s kontrolou struktury dokumentu vzhledem k definici) a zobrazí výsledné dokumenty ve formátu HTML.

Pro práci se soubory ve formátu XML je k dispozici velké množství různých nástrojů (editory, převodní programy, validátory apod.). Většina tohoto software je k dispozici bezplatně na internetu. Podrobný popis jazyka XML i s dalšími odkazy a online službami lze nalézt na https://www.w3.org.

Program Groma umožňuje ukládání souborů do formátu XML ve dvou variantách:

  • Atributy

    Informace o položkách jsou uvedeny v hlavičkách prvků pomocí atributů. Tento formát je poněkud přehlednější při prohlížení neformátovaných XML souborů a je také úspornější.

  • Těla prvků

    Informace o položkách jsou uvedeny v tělech prvků. Tento formát je hůře čitelný a objemnější, ale pro některé nástroje je snáze zpracovatelný.

Typ souboru je třeba určit při exportu seznamu. Při importu program sám detekuje, o jaký typ souboru se jedná a korektně jej načte.

Geografické formáty

Tyto formáty slouží k ukládání zeměpisných souřadnic. Soubory se zeměpisnými souřadnicemi mohou být dále využívány zejména v geografických informačních systémech.

K dispozici jsou tyto formáty:

  • Formát GPX (export): Výměnný geografický formát standardu GPS Exchange Format.

    Soubory jsou ve formátu XML a slouží zejména k nahrávání podkladů do mapových serverů (např. Google Maps nebo Mapy.cz

    Import bodů v tomto formátu do map lze využít například k pohodlnému vyhledávání bodů v terénu.

  • Formát KML (export): Výměnný geografický formát standardu Keyhole Markup Language.

    Soubory jsou ve formátu XML a slouží zejména k nahrávání podkladů do mapových serverů (např. Google Maps nebo Mapy.cz

    Import bodů v tomto formátu do map lze využít například k pohodlnému vyhledávání bodů v terénu.

  • Zeměpisné souřadnice (import): Textový formát obsahující zeměpisné souřadnice.

    Údaje jsou na řádku uspořádány v pořadí číslo bodu, B, L, H. Podle další specifikace formátu mohou být zeměpisné souřadnice v těchto formátech:

    • Desetinný formát: Číslo, kde celá část vyjadřuje celé šedesátinné stupně a desetinná část představuje minuty a vteřiny převedené na stupně (např. 15°30’ je zapsáno jako 15.5)
    • Stupně minuty vteřiny: Číslo, kde celá část vyjadřuje celé šedesátinné stupně, první dvě místa za desetinnou tečkou jsou minuty, další dvě místa jsou vteřiny a zbytek je zlomek vteřin (např. 15°33’49.1245” je zapsáno jako 15.33491245).
    • Stupně minuty vteřiny s mezerami: trojice čísel oddělených mezerou, kde první udává celé stupně, druhé udává celé minuty, a třetí udává vteřiny. Stupně a minuty jsou celá čísla, vteřiny mohou být s desetinnou tečkou (např. 15 33 49.1245).

Soubory ze záznamníků a měřicích přístrojů

Do systému Groma lze importovat souřadnice z formátů zařízení různých výrobců. Specifikace těchto formátů jsou k nalezení obvykle v dokumentaci výrobce.

Parametry výsledného vyexportovaného souboru lze nastavit v Nastavení → Vstup/Výstup → Export do záznamníků.

Importovat lze tyto formáty:

  • Soubory typu Geodimeter (.are) (export i import): Pomocí tohoto filtru lze importovat i exportovat soubory ve formátu Area pro přenos do strojů Geodimeter.

  • Soubory typu Leica (.gsi) (export i import): Pomocí tohoto filtru lze importovat i exportovat soubory ve formátu GSI. P5i exportu si můžete si zvolit mezi dvěma formáty - Leica/8 (starší formát s osmiznakovými záznamy) a Leica/16 (novější formát s šestnáctiznakovými záznamy umožňující pracovat s neredukovanými souřadnicemi). Je-li třeba při exportu vzhledem k délce záznamu některé údaje oříznout, program zobrazí varovné hlášení.

  • Soubory typu Nikon 400 (.400, .nik) (import): Pomocí tohoto filtru lze importovat soubory ve formátu Nikon 400.

  • Soubory typu Sokkia (.sdr) (export i import): Pomocí tohoto filtru lze importovat i exportovat soubory ve formátu SDR pro přenos do strojů Sokkia. Podporovány jsou varianty SDR20 a SDR33.

  • Soubory typu Topcon (.asc, .gts7) (export i import): Pomocí tohoto filtru lze vytvářet soubory pro přenos do strojů Topcon.

  • Soubory typu Trimble JobXML (.jxl) (import): Pomocí tohoto filtru lze importovat soubory ve formátu Trimble JobXML. Jedná se o nové verze souborů Job vyexportované do XML formátu.

Další formáty

Systém Groma dále umožňuje export a import těchto formátů software třetích stran:

  • Kokeš (.stx) (export i import): formátu textového seznamu souřadnic pro grafický systém KOKEŠ. Při exportu aplikace automaticky vytvoří i potřebnou hlavičku s pořadím souřadnic, přesností zobrazení, redukcemi atd.

    V programu KOKEŠ je omezen rozsah zobrazitelného území. Překročíte-li tento rozsah, aplikace vás na to upozorní varovným hlášením.

    Je-li v systému Groma nastaven počet desetinných míst 3 a více, bude v hlavičce výsledného souboru nastavena přesnost na milimetry, jinak je nastavena na centimetry.

  • Starý výměnný formát (.vkm) (export i import): Pomocí tohoto filtru lze importovat i exportovat soubory ve starém výměnném formátu katastrální mapy. Formát obsahuje kresbu i seznam souřadnic. Při importu lze zvolit, zda mají být importovány všechny body, nebo pouze body seznamu souřadnic, nebo pouze body kresby.

Předcházející | Nahoru | Další
Zeměpisné souřadnice | Domů | Konfigurovatelný import seznamu souřadnic


Konfigurovatelný import seznamu souřadnic
Předcházející Kapitola 7. Seznam souřadnic Další

Konfigurovatelný import seznamu souřadnic

Při tomto typu importu bude v průběhu importu zobrazeno dialogové okno, v němž je možno podrobně nastavit parametry importu. Lze definovat umístění jednotlivých údajů na řádku, oddělovače textů, šířky sloupců, a další parametry.

Okno zobrazuje náhled importovaného souboru (nebo jeho části), a náhled rozdělení souboru na importované údaje v závislosti na nastavených volbách. Při změně nastavení se okamžitě v náhledu zobrazuje aktuální rozdělení na položky.

Po odsouhlasení tlačítkem OK bude soubor importován dle nastavených parametrů.

V principu tento způsob importu umožňuje dva způsoby definice pozic načítaných údajů a jejich kombinaci:

  • Pomocí oddělovačů: můžete zadat oddělovací znaky, kterými jsou odděleny jednotlivé údaje. Lze zadat jak společné oddělovače pro celý řádek, tak i konkrétní oddělovače pro jednotlivé sloupce.

  • Pomocí šířek sloupců: můžete zadat šířky jednotlivých sloupců a mezer mezi nimi. Tento typ importu lze použít pouze pro soubory s pevnou šířkou sloupců.

  • Kombinace oddělovačů a šířek sloupců: oba výše uvedené způsoby lze kombinovat.

Import seznamu souřadnic pomocí oddělovačů

Při tomto typu importu můžete zadat oddělovací znaky, kterými jsou odděleny sloupce s údaji (tj. které oddělují jednotlivé údaje na řádku). Obvyklé oddělovače jsou mezera, tabulátor, středník, ale některé formáty mají i jiné oddělovače.

Oddělovače lze zadat společné pro celý soubor, a k nim ještě případně některé speciální pro jednotlivé sloupce.

Některé běžné oddělovače lze zadat pomocí zaškrtávacích přepínačů, další speciální oddělovače lze ručně zapsat do editačního okna.

Dále lze pomocí přepínače Sloučit oddělovače zvolit, zda má být mezi jednotlivými sloupci vždy právě jeden oddělovač, nebo se za oddělení sloupců považuje více oddělovačů za sebou. Například pro textové soubory se sloupci oddělenými mezerami se obvykle oddělovače slučují, protože jednotlivé sloupce obvykle bývají odděleny více mezerami. Oproti tomu u CSV souborů oddělovače sloučit nelze, protože jeden oddělovač znamená právě jeden sloupec, tedy např. sekvence ";;;" znamená ukončení jednoho sloupce a vynechání dalších dvou prázdných.

Nastavení importu pomocí společných oddělovačů může vypadat např. takto:

Import seznamu souřadnic pomocí společných oddělovačů

Jsou-li některé údaje odděleny speciálními oddělovači, lze je definovat u příslušných sloupců.

V následujícím případě jsou jednotlivé sloupce odděleny standardním oddělovačem Tabulátor, ale součástí sloupců se souřadnicemi je i text X=, Y=, Z=. Proto je třeba nejprve provést základní rozdělení podle tabulátoru, a potom ještě udělat speciální rozdělení souřadnicových sloupců pomocí znaku =, a sloupce s texty ignorovat.

Celé nastavení importu by potom vypadalo např. takto:

Import seznamu souřadnic pomocí společných a speciálních oddělovačů

Import seznamu souřadnic pomocí šířek sloupců

Je-li soubor v pevném formátu, tj. začínají-li jednotlivé hodnoty na každém řádku ve stejném sloupci, lze nastavit import pomocí šířek sloupců. V dialogovém okně lze zadat šířky sloupců a importovanými údaji a šířky vynechávaných sloupců.

Při importu výhradně podle šířek sloupců budou v náhledu souboru aktivní sloupce barevně zvýrazněny, což usnadňuje vizuální kontrolu a nastavení správných šířek.

Nastavení importu pomocí šířek sloupců může vypadat např. takto:

Import seznamu souřadnic pomocí šířek sloupců

Import seznamu souřadnic kombinovaným způsobem

Oba výše uvedené způsoby importu lze do jisté míry kombinovat. Lze například udělat základní rozdělení řádku pomocí oddělovačů, a dále tyto části oddělovat pomocí šířek sloupců.

Tato varianta má nějaká omezení, například nelze podbarvovat oblasti v náhledu podle šířek sloupců, protože jejich umístění na řádku je závislé na prvotním rozdělení oddělovači, sloupce tedy nejsou na pevných pozicích.

Tentýž soubor jako v předchozí ukázce je tedy možno načíst i s takovýmto nastavením:

Import seznamu souřadnic pomocí kombinace oddělovačů a šířek sloupců
Předcházející | Nahoru | Další
Export / Import seznamu souřadnic | Domů | Kapitola 8. Seznam měření


Kapitola 8. Seznam měření
Předcházející Část I. Uživatelská příručka Další

Kapitola 8. Seznam měření

Obsah

Volba podrobnosti zobrazení
Zpracování zápisníku
Označení orientací
Spojení souborů měření
Obnova smazaných položek
Export / Import seznamu měření
Export / Import polárního měření
Export / Import nivelace
Měření - uživatelský formát
Soubory ve formátu MS Excel
Soubory ve formátu XML

Volba podrobnosti zobrazení

V seznamech měření můžete volit podrobnost zobrazení. Program nabízí tyto možnosti:

  • Zobrazit všechny položky

    Zobrazení všech položek

  • Zobrazit pouze stanoviska a orientace

    Zobrazení stanovisek a orientací

  • Zobrazit pouze stanoviska

    Zobrazení pouze stanovisek

Podrobnost zobrazení můžete volit dvěma způsoby:

  • Volba pro celý soubor

    Volba zobrazení seznamu měření

    Pomocí dialogového okna Měření → Parametry zobrazení můžete zvolit, zda si přejete zobrazit všechny položky, stanoviska s orientacemi, nebo pouze stanoviska. Toto nastavení bude provedeno pro celý soubor.

  • Volba pro jednotlivá stanoviska

    Přejete-li si měnit podrobnost zobrazení pro jednotlivá stanoviska, můžete změnu provést kliknutím myší na symbol podrobnosti zobrazení v levém sloupci seznamu (před číslem stanoviska). Při opakovaném kliknutí je cyklicky měněna podrobnost zobrazení.

Předcházející | Nahoru | Další
Konfigurovatelný import seznamu souřadnic | Domů | Zpracování zápisníku


Zpracování zápisníku
Předcházející Kapitola 8. Seznam měření Další

Zpracování zápisníku

Program Groma umožňuje kompletní zpracování zápisníku měřených hodnot, včetně zpracování měření v obou polohách dalekohledu, obousměrně měřených délek apod.

Zpracování zápisníku lze provést pouze pro kontrolu do protokolu, nebo kompletně včetně uložení změn.

Po vyvolání příkazu Měření → Zpracování zápisníku se zobrazí dialogové okno, v němž můžete nastavit, které úpravy zápisníku požadujete.

V rámci zpracování zápisníku lze provést tyto úpravy:

  • Redukce šikmých délek na vodorovné

  • Zpracování měření v obou polohách

  • Redukce směrů na počáteční orientační směr

  • Oprava indexové chyby a refrakce

  • Výpočet převýšení ze zenitových úhlů

  • Redukce převýšení na spojnici stabilizačních značek

  • Zpracování opakovaných měření

  • Zpracování obousměrně měřených délek a převýšení

Postup zpracování zápisníku je podrobně popsán v referenční příručce.

Předcházející | Nahoru | Další
Kapitola 8. Seznam měření | Domů | Označení orientací


Označení orientací
Předcházející Kapitola 8. Seznam měření Další

Označení orientací

Systém Groma v některých úlohách využívá označení orientací. Orientace jsou v seznamech měření zobrazeny tučně, a mohou být umístěny na libovolném místě seznamu (nemusí být nutně na začátku stanoviska). Při importu z formátu záznamníku program orientace automaticky označí (umožňuje-li formát příslušného záznamníku orientace odlišit). Pro jednotlivé body lze atribut orientace měnit také pomocí editace nebo hromadné změny. Chcete-li změnit tento atribut pro větší množství bodů, můžete použít nástroj pro označení orientací:

Označení orientací
Předcházející | Nahoru | Další
Zpracování zápisníku | Domů | Spojení souborů měření


Spojení souborů měření
Předcházející Kapitola 8. Seznam měření Další

Spojení souborů měření

Pomocí příkazu Měření → Připoj soubor lze na konec otevřeného seznamu měření připojit jiný seznam měření. Stejného výsledku lze dosáhnout, otevřete-li druhý soubor, a zkopírujete-li jej celý do prvního pomocí schránky. V tomto případě jsou však nové body vloženy na pozici kurzoru, nikoli na konec souboru.

Předcházející | Nahoru | Další
Označení orientací | Domů | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 8. Seznam měření Další

Obnova smazaných položek

Po vyvolání příkazu Měření → Obnova smazaných položek je zobrazeno dialogové okno, pomocí něhož lze do nového souboru obnovit všechny položky, které byly v daném seznamu smazány od poslední komprese souboru. Podrobný popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Spojení souborů měření | Domů | Export / Import seznamu měření


Export / Import seznamu měření
Předcházející Kapitola 8. Seznam měření Další

Export / Import seznamu měření

Při importu seznamu měření z formátu záznamníku do interního formátu systému Groma dochází k některým automatickým úpravám a konverzím:

  • Oprava měřených délek o měřítko

    Při importu jsou měřené délky automaticky opravovány o měřítko, reprezentující matematické korekce (opravu z kartografického zkreslení a z nadmořské výšky).

    Měřítkový koeficient je tedy třeba nastavit ještě před importem souboru s měřením. Údaj o použitém měřítkovém koeficientu se zaznamená do protokolu o importu, a pro případnou pozdější kontrolu se zapíše i do hlavičky seznamu měření, odkud jej lze zobrazit příkazem Soubor → Informace o souboru.

    Měřítkový koeficient lze na základě přibližných souřadnic spočítat nástrojem Výpočet zkreslení v Křovákově zobrazení. Měřítko lze nastavit přímo z tohoto modulu, případně ručně na liště nastavení nebo v Soubor → Nastavení → Vstup/Výstup

    Při velmi přesných měřeních na rozsáhlém území ale může být vhodné neopravovat všechny délky jedním koeficientem, ale určit měřítkový koeficient pro každou délku zvlášť. Toho lze docílit tím, že před importem zápisníku nastavíte měřítko na hodnotu 1, a pro přesnou opravu použijete následně nástroj Přesná oprava délek o měřítko.

  • Redukce délek na vodorovnou

    Při importu jsou měřené šikmé délky automaticky redukovány na vodorovnou. Systém Groma očekává ve všech výpočetních úlohách vstup již redukovaných délek. Přejete-li si z nějakého důvodu importovat délky neredukované, můžete redukci délek vypnout v dialogovém okně Soubor → Nastavení → Záznamník. Délky lze případně potom redukovat na vodorovnou pomocí nástroje Zpracování zápisníku.

  • Zpracování polárních kolmic a doměrků

    Obsahuje-li měření polární kolmice a doměrky, jsou během importu zapracovány do měřených dat. Zpracování probíhá tak, že jsou podle hodnot doměrku a kolmice upraveny měřené hodnoty (směr, délka, případně i převýšení nebo zenitový úhel, pokud je doměrek i výškový). Do protokolu o importu je zaznamenána informace o zpracování offsetů, obsahující hodnoty offsetů, původní mřená data a jejich opravené hodnoty.

Export / Import polárního měření

Program Groma umožňuje importovat polární měření z mnoha současných i historických formátů různých měřicích zařízení. Lze importovat tyto formáty:

  • Geodimeter

    Textové formáty typu JOB, používané u starších typů přístrojů Geodimeter.

  • Leica

    Textové formáty typu GSI, používané u přístrojů Leica. Tyto formáty se dále dělí na Leica/8 (starší formát s osmiznakovými záznamy) a Leica/16 (novější formát s šestnáctiznakovými záznamy umožňující pracovat s neredukovanými souřadnicemi). Typ formátu je při importu detekován automaticky.

    Protože tento typ formátu nemá jednoznačně definován způsob ukládání některých informací (např. výška stroje a cíle), vyvinulo se v průběhu doby několik verzí tohoto formátu, lišících se zejména právě způsobem ukládání těchto informací. Při importu je třeba z nabídky zvolit správný typ formátu. Ukázkové soubory jsou součástí instalace systému Groma.

  • Nikon

    Textové formáty přístrojů Nikon, verze 300 a 400.

  • Sokkia

    Textové formáty přístrojů Sokkia, verze SDR20 a SDR33.

  • Pentax

    Textové formáty přístrojů Pentax, varianta RAW.

  • Topcon

    Textové a binární formáty přístrojů Topcon, verze GTS-7 a GTS-210.

  • MAPA2

    Textový formát MAPA2, původně určený pro dávkové zpracování geodetických úloh systémem MDAVKA.

    Systém Groma umožňuje soubory v tomto formátu importovat i exportovat, navíc umožňuje otevřít soubor MAPA2 v textové podobě a provést dávkový výpočet celého souboru. Při importu jsou ze souboru načteny pouze údaje týkající se polární metody, při přímém dávkovém výpočtu je možno zpracovat úloh více.

Export / Import nivelace

Program Groma umožňuje importovat nivelační měření z formátů různých měřicích zařízení. Lze importovat tyto formáty:

  • Leica GSI

    Textové formáty nivelačních přístrojů Leica ve formátu GSI.

  • Leica Sprinter

    Textové formáty nivelačních přístrojů Leica Sprinter.

  • Zeiss DiNi

    Textové formáty nivelačních přístrojů Zeiss DiNi.

Měření - uživatelský formát

Měření - uživatelský formát: Textový formát s uživatelsky definovanou strukturou.

Údaje jsou na řádku uspořádány v pořadí a formátu definovaném pomocí předpisu formátu. Předpisem formátu lze přesně nastavit šířku údajů, počet desetinných míst, zarovnání, oddělovače a další parametry.

Například tento předpis formátu: "<NUM:10> <HZ:10:4> <D:10:3> <DH:10:3> <SIG:8:3> <CODE>" vytvoří soubor v této podobě:

      5001     0.0000      0.000      0.000    1.565 PBBP
      5002   367.7856     58.024     -7.912    1.000 Orientace
      5003   288.0469     48.185    -11.596    1.000 PBBP
      5004   297.6115     17.411     -5.749    1.000 PBBP
         1   163.7960      4.310      0.061    1.300 Silnice
         2   133.4380      4.920      0.153    1.300 Silnice

Předpis uživatelského formátu můžete nastavit v dialogovém okně Soubor → Nastavení → Vstupní/výstupní formát měření, podrobný popis formátu je uveden v Přílohách.

Soubory ve formátu MS Excel

Seznamy souřadnic i měření lze exportovat ve formátu MS Excel. Před exportem je zobrazeno dialogové okno, v němž je možno zvolit soubor s exportní šablonou:

Výběr šablony pro export seznamu souřadnic ve formátu MS Excel

Exportní šablona je dokument ve formátu MS Excel, v němž jsou připraveny hlavičky a formátování. Soubor obsahuje jednu symbolickou datovou řádku, v níž jsou umístěny symboly datových položek, které jsou při exportu nahrazeny skutečnými daty. Šablona může obsahovat připravené vzorce, více listů atd. Musí být ve formátu OpenXML (.xlsx).

Tabulka 8.1. Symboly datových položek pro seznam souřadnic

Symbol | Popis
<p> | Předčíslí
<n> | Vlastní číslo
<num> | Úplné číslo (číslo i předčíslí)
<code> | Kód (popis) bodu
<note> | Poznámka u bodu
<x> | Souřadnice X
<y> | Souřadnice Y
<z> | Souřadnice Z
<prec> | Kód charakteristiky přesnosti
<type> | Typ bodu
<x2> | Vedlejší souřadnice X
<y2> | Vedlejší souřadnice Y
<z2> | Vedlejší souřadnice Z
<prec2> | Kód charakteristiky přesnosti vedlejších souřadnic
<info1> | Doplňující údaj číslo 1
<info2> | Doplňující údaj číslo 2
<info3> | Doplňující údaj číslo 3
<info4> | Doplňující údaj číslo 4
<b> | Souřadnice B v systému ETRS89
<l> | Souřadnice L v systému ETRS89
<h> | Souřadnice H v systému ETRS89

Tabulka 8.2. Symboly datových položek pro seznam měření

Symbol | Popis
<p> | Předčíslí
<n> | Vlastní číslo
<num> | Úplné číslo (číslo i předčíslí)
<code> | Kód (popis) bodu
<note> | Poznámka u bodu
<hz> | Vodorovný úhel
<vert> | Zenitový úhel
<dist> | Délka
<dh> | Převýšení
<signal> | Výška cíle (výška stroje)
<lvl-back> | Nivelační převýšení - záměra vzad
<lvl-fwd> | Nivelační převýšení - záměra vpřed
<lvl-side> | Nivelační převýšení - záměra bočně
<ortho-rad> | Ortogonální měření - staničení
<ortho-perp> | Ortogonální měření - kolmice

Ukázkové exportní šablony jsou uloženy v adresáři Format/Excel/crd a Format/Excel/mes. Tyto předdefinované šablony si můžete libovolně upravit.

Po exportu je otevřeno okno, v němž je exportovaný soubor zobrazen ke kontrole.

Soubory ve formátu XML

Seznamy měření lze exportovat a importovat ve formátu XML (eXtensible Markup Language). Jedná se o značkovací jazyk typu SGML, který umožňuje snadnou výměnu souborů, formální kontrolu správnosti jejich struktury a automatické konverze do jiných formátů (html, txt, rtf).

Soubory XML mají pevnou strukturu, definovanou pomocí deklarace typu dokumentu (Document Style Definition, DTD). Porovnáním souborů s touto definicí lze snadno ověřit jejich formální správnost. Definice struktury pro soubory používané v systému Groma jsou součástí instalace (jsou uloženy v adresáři dtd), nebo je lze stáhnout na https://www.groma.cz.

Společně se soubory DTD jsou součástí distribuce i předpisy pro převod XML souborů do HTML. Máte-li internetový prohlížeč podporující formát XML a transformace pomocí stylů XSL, můžete v něm seznamy ve formátu XML přímo zobrazit. Převod do HTML provede prohlížeč automaticky (obvykle zároveň s kontrolou struktury dokumentu vzhledem k definici) a zobrazí výsledné dokumenty ve formátu HTML.

Pro práci se soubory ve formátu XML je k dispozici velké množství různých nástrojů (editory, převodní programy, validátory apod.). Většina tohoto software je k dispozici bezplatně na internetu. Podrobný popis jazyka XML i s dalšími odkazy a online službami lze nalézt na https://www.w3.org.

Předcházející | Nahoru | Další
Obnova smazaných položek | Domů | Kapitola 9. Projekty


Kapitola 9. Projekty
Předcházející Část I. Uživatelská příručka Další

Kapitola 9. Projekty

Obsah

Založení projektu
Přidávání / ubírání souborů
Uložení projektu
Otevření projektu

Pracujete-li na rozsáhlejší zakázce, případně na zakázce, na níž pracujete opakovaně, je výhodné založit si pro ni projekt. Projekt je samostatné datové okno, v němž lze vytvořit seznam souborů, které se příslušné zakázky týkají. Do projektu lze uložit datové soubory (seznamy souřadnic, měření, protokoly, textové soubory) i soubory s uloženými výpočty (polygonové pořady, výměry, oměrné, transformace apod.).

Do projektu se kromě použitých souborů ukládají i některá nastavení programu (měřítkový koeficient, počet desetinných míst, zakládací soubory atd.).

Založení projektu

Nový projekt založíte příkazem Soubor → Nový a zvolením typu souboru Projekt. Po založení projektu se otevře prázdné okno, do něhož můžete přidávat soubory, které do zakázky patří.

Předcházející | Nahoru | Další
Export / Import seznamu měření | Domů | Přidávání / ubírání souborů


Přidávání / ubírání souborů
Předcházející Kapitola 9. Projekty Další

Přidávání / ubírání souborů

Soubory lze přidávat dvojím způsobem:

  • Příkazem Projekt → Přidej soubor

    Po zadání tohoto příkazu je zobrazeno dialogové okno se seznamem všech otevřených souborů (těch, které ještě nejsou v projektu zařazeny). Zde můžete vybrat soubor (případně soubory), které si přejete přidat do projektu. Tímto způsobem lze přidávat pouze datové soubory (seznamy souřadnic, seznamy měření, protokoly, grafiku, textové a rastrové soubory).

  • Přetažením myší

    Seznamy souřadnic nebo měření lze přidat do projektu pouhým přetažením myší. Tímto způsobem lze přidávat i uložené soubory s výpočty (polygonové pořady, výměry, oměrné, transformace apod.). Postup při přetahování souborů do okna s projektem je stejný, jako při ukládání výsledků do seznamů.

V okně s projektem je zobrazena stromová struktura, v níž jsou soubory uspořádány podle typů. Libovolný soubor lze otevřít dvojím kliknutím myší na jeho název v seznamu. Okno se souborem je otevřeno na takovém místě a s takovou velikostí, jakou mělo při předchozím uzavření.

Nachází-li se datový soubor přidávaný do projektu ve stejném adresáři, jako samotný projekt, je do projektu přidán pouze pomocí samotného názvu souboru bez plné cesty. Celý projekt i s datovými soubory potom může být přesunut do jiného adresáře nebo na jiný disk, a datové soubory se budou správně otevírat i nadále. Pokud se však přidávaný soubor nachází v jiném adresáři než projekt, bude přidán s plnou cestou, a bude-li později přesunut, nebude možno jej z projektu znovu otevřít.

Přejete-li si ubrat některý soubor z projektu, vyberte jeho název v seznamu souborů a vypusťte jej příkazem Projekt → Odeber soubor.

Předcházející | Nahoru | Další
Kapitola 9. Projekty | Domů | Uložení projektu


Uložení projektu
Předcházející Kapitola 9. Projekty Další

Uložení projektu

Nový projekt lze uložit příkazem Soubor → Ulož nebo Soubor → Ulož jako. Standardní přípona projektu je .prj.

Cesty k jednotlivým souborům se v projektu ukládají relativně k umístění vlastního souboru s projektem. Je-li tedy přesunut projekt i se souvisejícími soubory na jiné místo, a jsou-li při tom zachována relativní umístění souborů vzhledem k projektu, není třeba v projektu nic měnit a vše bude bez problémů pracovat i v novém umístění.

Důležité

Relativní cesty lze použít pouze v případě, že jsou datové soubory umístěny na stejném zařízení, jako soubor s projektem (např. vše na disku C:).

Předcházející | Nahoru | Další
Přidávání / ubírání souborů | Domů | Otevření projektu


Otevření projektu
Předcházející Kapitola 9. Projekty Další

Otevření projektu

  • Příkazem z menu

    Projekt lze otevřít stejně, jako kterýkoli datový soubor - příkazem Soubor → Otevři. V seznamu typů souborů zvolte typ Projekt.

  • Ze seznamu zavřených souborů

    Dříve zavřený projekt lze otevřít pomocí seznamu zavřených souborů v nabídce Soubor.

Při otevření projektu je obnovena celá pracovní plocha systému Groma, tj. jsou otevřena všechna okna, která byla otevřena při předchozím uzavírání projektu.

Do projektu se společně se seznamem souborů ukládá i část nastavení systému Groma, můžete tedy mít různá nastavení pro různé zakázky. Jedná se o tato nastavení:

  • Parametry vstupu / výstupu

    • Počet desetinných míst

    • Zaokrouhlování souřadnic

    • Způsob zobrazení čísel bodů

    • Měřítkový koeficient

  • Redukce

  • Nastavené uživatelské vstupní / výstupní formáty

  • Připojená kódovací tabulka

Do projektu se ukládá i seznam naposledy otevřených souborů, který je dostupný v nabídce Soubor.

Předcházející | Nahoru | Další
Uložení projektu | Domů | Kapitola 10. Kódování bodů


Kapitola 10. Kódování bodů
Předcházející Část I. Uživatelská příručka Další

Kapitola 10. Kódování bodů

Obsah

Princip kódování
Kódovací tabulka
Připojení a odpojení kódovací tabulky
Editace kódovací tabulky
Vícenásobné kódy
Nenalezené kódy
Označování bodů podle kódů
Zadávání kódů pomocí popisů
Překódování při importu

Program Groma umožňuje kódování bodů v seznamech souřadnic i v seznamech naměřených hodnot. Při měření se zařízeními, umožňujícími zaznamenávat kódy bodů, je možno body označovat kódy v průběhu měření v terénu, a využít takto získaných informací při zpracování programem Groma i dalšími navazujícími programy.

Princip kódování

Kód bodu může být tvořen libovolným alfanumerickým řetězcem do maximální délky dvacet znaků. Dvacet znaků plně postačuje pro jednoznačnou identifikaci bodů, a nezpůsobuje příliš výrazné zvýšení objemu souřadnicových souborů. Při všech výstupech program Groma převádí kódy na popisy (např. pro automatické umisťování značek) podle připojené kódovací tabulky.

Předcházející | Nahoru | Další
Otevření projektu | Domů | Kódovací tabulka


Kódovací tabulka
Předcházející Kapitola 10. Kódování bodů Další

Kódovací tabulka

Kódovací tabulka je jednoduchý textový soubor, v němž jsou jednotlivým kódům přiřazeny odpovídající popisy. Struktura kódovacího souboru je zřejmá z následujícího příkladu:

1=Budova
2=Plot
3=Strom
4=Sloup
5=Lampa
6=Stožár
7=Mezník
8=Vchod
9=Orientace
10=PBBP
11=Nivelační značka
12=Zeď nahoře
13=Zeď dole
14=Silnice

V tomto kódovacím souboru jsou použity pouze číselné kódy, obecně však mohou být kódy tvořeny libovolnými alfanumerickými znaky.

Kódovací tabulka může navíc obsahovat tyto speciální položky:

Tabulka 10.1. Speciální položky kódovací tabulky

Položka | Popis
@Title= | Název kódovací tabulky
@Default= | Tento popis je zobrazen u všech položek, jejichž kód nebyl v kódovací tabulce nalezen. Jestliže tato volba nebyla použita, program místo popisu zobrazí původní kód.
@Empty= | Tento popis je zobrazen u všech položek, které nemají žádný kód.
@Separator= | Jestliže označujete body při měření více kódy, můžete pomocí této položky nastavit, jakými znaky mají být na výpisu jednotlivé popisy odděleny. Nepoužijete-li tuto volbu, program popisy oddělí vždy jednou mezerou. (Znak, kterým jsou odděleny původní kódy, může být odlišný, a musíte jej nastavit v Soubor → Nastavení → Kódování: Oddělovač kódů

Kódovací tabulky jsou uloženy v textových souborech s implicitní příponou .cod. Můžete si vytvořit libovolné množství kódovacích tabulek pro různé účely. Program Groma používá tabulku, která je právě připojena. Není-li připojena žádná tabulka, program místo popisů zobrazuje původní kódy.

Předcházející | Nahoru | Další
Kapitola 10. Kódování bodů | Domů | Připojení a odpojení kódovací tabulky


Připojení a odpojení kódovací tabulky
Předcházející Kapitola 10. Kódování bodů Další

Připojení a odpojení kódovací tabulky

Chcete-li pracovat s konkrétní kódovací tabulkou, musíte ji nejprve připojit. Kódovací tabulka se připojuje pomocí tlačítka Připojit v dialogovém okně Soubor → Nastavení → Kódování. Po stisknutí tohoto tlačítka vám program nabídne k připojení všechny kódovací tabulky, nalezené v aktuálním adresáři. Po zvolení a připojení tabulky jsou okamžitě zobrazeny v otevřených seznamech souřadnic a naměřených hodnot příslušné popisy bodů namísto jejich kódů.

Chcete-li, aby program opět začal zobrazovat kódy, můžete připojenou kódovací tabulku odpojit pomocí tlačítka Odpojit.

Chcete-li dočasně vypnout překódování podle tabulky, ale nechcete kódovací tabulku odpojovat, můžete překódování vypnout tlačítkem na liště nástrojů.

Předcházející | Nahoru | Další
Kódovací tabulka | Domů | Editace kódovací tabulky


Editace kódovací tabulky
Předcházející Kapitola 10. Kódování bodů Další

Editace kódovací tabulky

Chcete-li editovat kódovací tabulku, můžete ji otevřít přímo v systému Groma jako textový soubor. Nejsnáze ji otevřete pomocí tlačítka Editovat v Soubor → Nastavení → Kódování. Změny provedené v kódovací tabulce se projeví okamžitě po jejím uložení na disk (příkaz Soubor → Ulož nebo Ctrl-S). Kódovací tabulka je běžný textový soubor, můžete ji tedy editovat i libovolným jiným textovým editorem.

Předcházející | Nahoru | Další
Připojení a odpojení kódovací tabulky | Domů | Vícenásobné kódy


Vícenásobné kódy
Předcházející Kapitola 10. Kódování bodů Další

Vícenásobné kódy

Systém umožňuje použití více kódů na jednom bodě. Kódy musí být odděleny tzv. oddělovačem kódů (jeden znak - obvykle mezera nebo čárka). Tento oddělovač se nastavuje v Soubor → Nastavení → Kódování: Oddělovač kódů. Potom jsou převáděny na popisy všechny dílčí kódy u bodu. Pokud není některý z dílčích kódů nalezen v kódovací tabulce, bude zobrazen bez převedení na popis. Na výpisu jsou jednotlivé popisy odděleny mezerou. Přejete-li si je oddělit jiným znakem nebo posloupností znaků, uveďte je v kódovací tabulce jako položku @Separator="xx", kde xx je posloupnost oddělovacích znaků.

Pokud by byl u bodu kód například "1 2", při použití výše uvedené ukázkové kódovací tabulky by byl u bodu zobrazen popis "Budova Plot". Pokud by kódovací tabulka neobsahovala položku "1=Budova", byl by zobrazen popis "1 Plot". Pokud by v tabulce byl navíc řádek

@Separator=", "

výsledný kód by vypadal takto: "1, Plot".

Předcházející | Nahoru | Další
Editace kódovací tabulky | Domů | Nenalezené kódy


Nenalezené kódy
Předcházející Kapitola 10. Kódování bodů Další

Nenalezené kódy

Pokud se v záznamu bodu objeví kód, který není uveden v kódovací tabulce, program jej nepřevádí a zobrazí jej tak, jak byl registrován. Pokud si nepřejete zobrazovat kódy, které nebyly nalezeny v kódovací tabulce, můžete do ní doplnit řádek

@Default=""

Tímto řádkem volíte, jaký popis má být uveden na místě kódů nenalezených v kódovací tabulce. Pokud mezi uvozovkami nebude nic uvedeno, bude nenalezený kód vynechán. Pokud do uvozovek napíšete libovolný text, bude tímto textem nenalezený kód nahrazen.

Předcházející | Nahoru | Další
Vícenásobné kódy | Domů | Označování bodů podle kódů


Označování bodů podle kódů
Předcházející Kapitola 10. Kódování bodů Další

Označování bodů podle kódů

Položky v seznamech souřadnic a naměřených hodnot lze označovat podle jejich kódů. Při označování je však třeba mít na paměti, že s kódy program pracuje jako s textovými, a to i v případě, že ke kódování používáte pouze číslice. Zvolíte-li tedy třeba označení všech položek s kódem od 5 do 59, nebudou označeny např. položky s kódem 8 (text začínající znakem "8" je větší, než text začínající znakem "5").

Předcházející | Nahoru | Další
Nenalezené kódy | Domů | Zadávání kódů pomocí popisů


Zadávání kódů pomocí popisů
Předcházející Kapitola 10. Kódování bodů Další

Zadávání kódů pomocí popisů

Pokud v některém dialogovém okně zadáváte kód bodu, bývá vedle editačního okénka pro kód zobrazeno tlačítko se třemi tečkami. Po stisknutí tohoto tlačítka program zobrazí kompletní seznam popisů z připojené kódovací tabulky, a vy můžete vybrat kód pomocí popisu.

Předcházející | Nahoru | Další
Označování bodů podle kódů | Domů | Překódování při importu


Překódování při importu
Předcházející Kapitola 10. Kódování bodů Další

Překódování při importu

Jestliže registrujete víceznakové popisy, program Groma umožňuje jejich převod na maximálně dvacetiznakové kódy, se kterými interně pracuje. Při všech výpisech (na obrazovku, do textových souborů atd.) automaticky převádí interní kódy zpět na poznámky.

Kódy, na něž mají být popisy převedeny, jsou definovány pomocí kódovací tabulky. Tutéž kódovací tabulku můžete použít i pro zpětný převod kódů na popisy, čímž je zaručeno zachování původních popisů, případně můžete pro výstup použít jinou tabulku.

Chcete-li popisy při importu převést na kódy, musíte připojit příslušnou kódovací tabulku, a v dialogovém okně Soubor → Nastavení → Prostředí zapnout v údajích o kódovací tabulce položku Překódovat při importu. Program potom všechny popisy převádí na kódy podle připojené tabulky, a jestliže některý popis v tabulce nenalezne, zobrazí chybové hlášení.

Předcházející | Nahoru | Další
Zadávání kódů pomocí popisů | Domů | Kapitola 11. Výpočty


Kapitola 11. Výpočty
Předcházející Část I. Uživatelská příručka Další

Kapitola 11. Výpočty

Obsah

Výpočetní dialogová okna
Zadávání údajů
Řazení řádků v seznamech
Aktualizace vstupních souřadnic
Ukládání výsledků
Uzavírání oken
Kontrolní kresba
Tolerance
Testování dle předpisů pro práci v katastru nemovitostí
Transformace souřadnic
Identické body
Transformační klíč
Shodnostní transformace
Podobnostní transformace
Afinní transformace - 6 stupňů volnosti
Uživatelská transformace
Orientace osnov vodorovných směrů
Ruční orientace osnov
Automatická orientace osnov
Váhy orientací
Řazení orientací v seznamu

Všechny výpočetní úlohy se ovládají pomocí dialogových oken, která jsou zobrazena po zvolení příslušné úlohy v menu nebo na liště nástrojů.

Většina souřadnicových výpočtů je kontrolována pomocí technologie zpětné kontroly. Zpětná kontrola pracuje tak, že po výpočtu výsledných souřadnic program vypočte zpět vstupní data a s určitou tolerancí je porovná se vstupními hodnotami. Rozpor mezi vstupními a zpětně spočítanými daty signalizuje závadu ve výpočtu. Tento postup by měl eliminovat většinu teoreticky možných chyb, včetně selhání hardware apod.

Výpočetní dialogová okna

Dialogová okna pro výpočty jsou nemodální, můžete si jich otevřít více najednou, a chcete-li pracovat s jinými částmi systému Groma, můžete je při tom nechat otevřená. Mezi jednotlivými editačními okénky v dialogovém okně se můžete pohybovat pomocí klávesy Tab, Shift-Tab, Šipka nahoru, Šipka dolů nebo Enter.

Jednotlivá dialogová okna pro výpočetní úlohy jsou popsána v referenční příručce.

Výpočetní okna se skládají z několika oblastí, obvykle uzavřených do rámečků. Vždy obsahují oblast pro vstupní údaje, oblast pro výsledky a oblast s tlačítky. Složitější okna mohou obsahovat i více oblastí (orientace osnov, seznam souřadnic apod.), případně záložky, pod nimiž jsou skryty další části oken. Ovládání všech výpočtů je až na několik výjimek shodné, bude proto popsán podrobně pouze výpočet polární metody, a u ostatních výpočtů budou popsány pouze odlišnosti od standardního postupu.

Tip

Stisknete-li klávesu + resp. - v okénku pro číslo bodu (je-li číslo bodu vyplněno), bude číslo zvětšeno resp. zmenšeno o jedničku. Toto platí pro všechna vstupní okénka pro zadání čísla bodu.

Zadávání údajů

Údaje lze do dialogových oken zadávat dvěma způsoby:

  • přímým zadáním z klávesnice,

  • přetažením z jiného okna.

Přímé zadávání údajů

Při přímém zadávání jsou údaje vyplňovány do vstupních řádků dialogového okna z klávesnice.

Jestliže opouštíte vstupní řádek s číslem bodu (klávesou Tab, Enter nebo libovolným jiným způsobem), pokusí se program v seznamu (seznamech) souřadnic najít bod zadaného čísla, a nalezne-li jej, automaticky doplní jeho souřadnice.

Přetahování údajů ze seznamů

Údaje lze do dialogových oken přetahovat z otevřených seznamů souřadnic a naměřených hodnot. Data se přetahují pomocí levého tlačítka myši. V seznamu zvolíte kurzorem myši příslušnou položku (souřadnice bodu nebo naměřené údaje), stisknete levé tlačítko myši, a její kurzor přesunete na místo, kam chcete zvolenou hodnotu vyplnit.

Při posouvání kurzoru si všimněte, jak se mění jeho tvar podle oblasti, po níž se právě pohybujete. Na ploše seznamu, odkud údaj pochází, je kurzor tvořen zavřenou rukou. Při pohybu přes plochu, která nemá s přetahovanými údaji žádnou souvislost, a která je nemůže akceptovat, je kurzor tvořen znakem "zákaz". Dostanete-li se nad libovolnou oblast, která je schopna údaje přijmout, kurzor se změní na otevřenou ruku. Po uvolnění levého tlačítka myši se údaje do této oblasti přemístí (konkrétní akce závisí na typu oblasti).

Takto lze přetahovat data ze seznamů do výpočetních oken, výsledky z výpočetních oken zpět do seznamů, nebo souřadnice ze seznamů do seznamů.

Automatická orientace osnovy vodorovných směrů

Výjimku v ovládání tvoří oblast výpočetních oken pro orientaci osnov vodorovných směrů. Přetáhnete-li do této oblasti stanovisko ze seznamu měřených hodnot (červený řádek s číslem stanoviska, uvedený v seznamu vždy na začátku nového stanoviska), program automaticky prohledá všechny měřené směry příslušného stanoviska, a do orientace přidá všechna měření, pro něž v seznamech nalezl souřadnice cíle. Z těchto nabídnutých orientací lze samozřejmě kteroukoliv vypustit pomocí tlačítka Odebrat.

Řazení řádků v seznamech

Některá dialogová okna obsahují seznamy, např. seznam orientací u polární metody, seznam identických bodů v transformaci souřadnic. Položky v seznamech jsou obvykle řazeny podle pořadí přidání do seznamu. Někdy je výhodné seřadit si seznamy podle jiného klíče. Většina seznamů například obsahuje nějakou formu odchylek (opravy orientací, opravy délek, souřadnicové opravy). Potom je někdy užitečná možnost seřadit si záznamy podle velikosti opravy.

Kliknutím na záhlaví sloupců lze nechat seznam seřadit podle příslušného sloupce. Po prvním kliknutí bude seznam seřazen vzestupně, po druhém sestupně.

Při řazení podle některých typů sloupců, kde znaménko není podstatné, jsou položky řazeny podle absolutní hodnoty. Jedná se zejména o sloupce s chybami a opravami.

Takto vypadá soubor kontrolních odchylek bez seřazení:

Soubor kontrolních oměrných neseřazený

Takto vypadá soubor kontrolních odchylek seřazený podle absolutní hodnoty odchylky v délce (sestupně):

Soubor kontrolních oměrných seřazený podle odchylky v délce sestupně

Aktualizace vstupních souřadnic

Většina výpočetních úloh, kde se zadává více vstupních souřadnic, nabízí možnost aktualizace zadaných souřadnic. Stisknete-li tlačítko Aktualizovat souřadnice, program se pokusí standardním vyhledávacím postupem dohledat souřadnice vstupních bodů. Nalezne-li je, porovná je se zadanými, a v případě rozdílů aktualizuje zadání výpočtu. Po aktualizaci je zobrazen protokol, v němž můžete ověřit, které hodnoty byly aktualizovány.

Varování

Po aktualizaci souřadnic je třeba spustit znovu výpočet dané úlohy s novými souřadnicemi.

Ukládání výsledků

Souřadnice vypočtených bodů lze uložit do seznamu souřadnic dvěma způsoby: přetažením pomocí myši nebo stisknutím tlačítka pro ukládání výsledků výpočtu.

Některá výpočetní okna, v nichž se vypočítává více bodů najednou (např. konstrukční oměrné, polygonové pořady) mají v seznamu vypočtených bodů na začátku každého řádku přepínač, jehož pomocí lze určit, které body mají být uloženy. Po výpočtu jsou všechny body zapnuty pro uložení, pokud si nepřejete některé z nich ukládat, stačí před uložením příslušný přepínač vypnout. V úloze Konstrukční oměrné jsou vidět přepínače pro ukládání souřadnic v tabulce vypočtených bodů:

Ukládání vypočtených bodů z úlohy Konstrukční oměrné

Pokud jsou v okně, ze kterého si přejete body uložit, tyto přepínače zobrazeny, je třeba je nastavit ještě před zahájením ukládání bodů.

Postup při ukládání vypočtených bodů přetažením myší

  1. Doplňte do výpočetního dialogového okna všechny chybějící údaje (číslo bodu, popř. předčíslí atd.).

  2. Přesuňte kurzor myši na plochu dialogového okna, do oblasti s výsledky (na šedou plochu pozadí, nikoli na plochu vstupního okénka nebo seznamu souřadnic).

  3. Stiskněte levé tlačítko myši.

  4. Držte stisknuté levé tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Při pohybu můžete sledovat, jak se kurzor myši mění podle toho, v kterém okně je právě umístěn.

  5. Je-li kurzor umístěn na správném okně, uvolněte levé tlačítko myši. Data budou zkopírována na příslušné místo.

Tímto způsobem je možno přesunovat údaje nejen do seznamů souřadnic, ale i do jiných výpočetních oken, do kontrolní kresby apod.

Postup při ukládání vypočtených bodů pomocí tlačítka pro uložení

  1. Doplňte do výpočetního dialogového okna všechny chybějící údaje (číslo bodu, popř. předčíslí atd.).

  2. Zkontrolujte, zda máte nastaven seznam souřadnic, do něhož chcete vypočtené body uložit, jako aktivní. Název aktivního seznamu souřadnic je uveden na stavovém řádku ve spodní části hlavního okna aplikace. Pokud si přejete uložit body do jiného seznamu, musíte jej nejprve nastavit jako aktivní.

  3. Stiskněte tlačítko pro uložení výsledků výpočtu:

    Tlačítko pro uložení výsledků výpočtu

Některé výpočetní úlohy automaticky vypočtené body ukládají do aktivního seznamu souřadnic. Nechcete-li je automaticky ukládat, nastavte aktivní seznam souřadnic na [Žádný]. Potom můžete vypočtené body ukládat ručně do libovolného seznamu souřadnic.

Uzavírání oken

Výpočetní okna lze uzavřít standardně křížkem v pravém horním rohu.

Některá výpočetní okna s komplikovanějším zadáváním umožňují uložit zadání do souboru (transformace, polygonové pořady atd.). Takováto okna, nebylo-li zadání uloženo nebo bylo-li zadání od předchozího uložení změněno, před uzavřením zobrazí dotaz, zda mají být skutečně uzavřena bez uložení:

Dotaz na zavření neuloženého výpočetního okna

V tomto dialogovém okně můžete potvrdit nebo zrušit zavření bez uložení.

Dále zde můžete zapnout přepínač, že si již nepřejete toto hlášení zobrazovat. Pokud byste zobrazování tohoto hlášení chtěli obnovit, můžete je opět zapnout v Soubor → Nastavení → Výpočty

Předcházející | Nahoru | Další
Překódování při importu | Domů | Kontrolní kresba


Kontrolní kresba
Předcházející Kapitola 11. Výpočty Další

Kontrolní kresba

Před zahájením výpočtů můžete pomocí příkazu Nástroje → Kontrolní kresba zobrazit dialogové okno, do něhož je okamžitě po dokončení kteréhokoli výpočtu zobrazena kontrolní kresba konfigurace daných a vypočtených hodnot. Vstupní body jsou zobrazeny černě, měřené hodnoty a vypočtené body červeně. Okno pro kontrolní kresbu je nemodální, může tedy být stále otevřeno. Jeho umístění a velikost lze libovolně měnit. Jednotlivé body v něm můžete zobrazit i přetažením myší ze seznamů souřadnic nebo z výpočetních oken. Kontrolní kresba je podrobněji popsána v části příručky zabývající se rozšiřujícími moduly.

Předcházející | Nahoru | Další
Kapitola 11. Výpočty | Domů | Tolerance


Tolerance
Předcházející Kapitola 11. Výpočty Další

Tolerance

Při některých výpočtech má program Groma možnost odhadovat přesnost výsledku, např. podle geometrických parametrů (konfigurace), podle oprav (při přeurčených výpočtech) atd.

Kontrolovat parametry pro každý výpočet by bylo velmi pracné a zdlouhavé. Program Groma proto umožňuje automatické porovnávání některých parametrů s předem nastavenými tolerancemi. Při překročení nastavené tolerance program zobrazí varovné hlášení, a umožní uživateli ve výpočtu pokračovat, nebo jej ukončit.

Uživatel má možnost definovat jednotlivé sady tolerancí. Podle požadované přesnosti potom pouze zvolí příslušnou sadu, se kterou od toho okamžiku program pracuje.

Tolerance se nastavují v dialogovém okně Soubor → Nastavení → Tolerance. V tomto dialogovém okně lze také zvolit aktivní sadu tolerancí.

Testování tolerancí lze vypnout zvolením sady jménem [Netestovat].

Předcházející | Nahoru | Další
Kontrolní kresba | Domů | Testování dle předpisů pro práci v katastru nemovitostí


Testování dle předpisů pro práci v katastru nemovitostí
Předcházející Kapitola 11. Výpočty Další

Testování dle předpisů pro práci v katastru nemovitostí

Kromě testování uživatelem definovaných tolerancí můžete ještě použít testování odchylek a parametrů dle předpisů pro práci v katastru nemovitostí. Toto testování se zapíná v dialogovém okně pro definování tolerancí. Jestliže toto testování zapnete, systém Groma v některých výpočtech porovnává dosažené odchylky s mezními odchylkami a skutečné geometrické parametry obrazců s limitními povolenými parametry.

Nastavení testování pro práci v katastru nemovitostí

Stisknutím tlačítka Předpisy můžete zobrazit seznam předpisů, jimiž se aktuální verze systému Groma řídí:

Seznam předpisů pro páci v katastru nemovitostí

Předpisy pro práci v katastru nemovitostí obsahují dva typy tolerancí:

  • Mezní odchylky: rozdíly opakovaných měřených hodnot, rozdíly měřených hodnot proti vypočteným atd.

  • Geometrické parametry: minimální úhly protnutí, mezní délky, mezní poměry sousedních stran v polygonových pořadech atd.

Testovány jsou tyto mezní odchylky a parametry:

Tabulka 11.1. Testy při výpočtech

Výpočetní úloha Typ testu
Polygonové pořady
  • úhlová odchylka
  • polohová odchylka
  • mezní délka pořadu
  • mezní délka strany
  • mezní poměr délek sousedních stran
  • mezní počet bodů
Protínání, průsečík přímek
  • minimální úhel protnutí
  • maximální vzdálenost od daného k určovanému bodu
Rajón s orientací na určovaném bodě (volné stanovisko s jednou měřenou délkou)
  • minimální úhel protnutí
Polární metoda
  • mezní odchylka v orientačním směru a v délce na orientaci
  • maximální délka záměry na určovaný bod
  • maximální délka polární kolmice a doměrku
Ortogonální metoda
  • mezní odchylka v délce měřické přímky
  • maximální prodloužení měřické přímky
  • maximální délka kolmice
Kontrolní oměrné
  • mezní rozdíl mezi délkou přímo měřenou a vypočtenou ze souřadnic

Jestliže daný výpočet vyhoví požadavkům předpisů pro práci v katastru nemovitostí, je do protokolu připojen závěr, že byly tyto požadavky dodrženy. Nevyhoví-li výpočet, je zobrazeno dialogové okno s překročeným parametrem a do protokolu je zapsán výsledek testování. Pokud je při výpočtu testováno a překročeno více parametrů, obsahuje informační okno všechny překročené parametry najednou, aby se minimalizovalo množství zobrazovaných oken:

Informace o překročení tolerance

U každé překročené tolerance je zobrazeno tlačítko s otazníkem, které umožňuje zobrazení příslušné pasáže z předpisů, kde je daná tolerance definována:

Informace o předpisu definujícím toleranci
Předcházející | Nahoru | Další
Tolerance | Domů | Transformace souřadnic


Transformace souřadnic
Předcházející Kapitola 11. Výpočty Další

Transformace souřadnic

Program Groma má zabudovánu jednu univerzální transformaci souřadnic, kterou používají všechny výpočetní úlohy, které transformaci vyžadují.

Transformace souřadnic

Identické body

V závislosti na typu transformace jsou potřeba minimálně dva nebo tři tzv. identické body.

Identické body jsou body, jejichž souřadnice jsou známy v obou soustavách, a mohou tedy být použity pro výpočet transformačního klíče. Použitá transformace je lineární, v obecném případě tedy obě soustavy ztotožní pouze v jednom bodě, a to v těžišti identických bodů. Pro všechny ostatní body, z nichž byl určen transformační klíč, platí, že jejich souřadnice transformované z jedné soustavy do druhé se obecně nerovnají souřadnicím daným v druhé soustavě (pouze splňují podmínku minimálního součtu čtverců oprav).

Transformační klíč

Transformační klíč lze i se seznamem identických bodů uložit do souboru a později opět načíst do programu. Většina výpočetních funkcí, které používají transformaci, umožňuje zobrazit výsledné transformační parametry.

Mezi transformační parametry paří:

  • Transformační klíč:

    • posun ve směru osy X,

    • posun ve směru osy Y,

    • rotace soustavy,

    • jeden nebo dva měřítkové koeficienty,

  • Identický bod:

    Souřadnice bodu, v němž jsou obě soustavy ztotožněny (tj. těžiště bodů, z nichž byl určen transformační klíč).

Transformační parametry jsou určeny na základě metody nejmenších čtverců za podmínky minimalizace součtu čtverců souřadnicových oprav na identických bodech.

Většina úloh, kde je použita transformace souřadnic, obsahuje tlačítko Klíč, po jehož stisknutí je zobrazeno okénko s transformačními parametry. Toto okénko obsahuje tlačítka Uložit klíč a Načíst klíč, která slouží k zapsání definovaného transformačního klíče do souboru a k jeho opětovnému načtení. Soubory s transformačním klíčem jsou mezi sebou kompatibilní, lze tedy např. v transformaci souřadnic načíst a použít klíč, který byl definován při ortogonální metodě (a naopak).

Shodnostní transformace

Shodnostní transformace je lineární transformace souřadnic, která zachovává rozměr (měřítkový koeficient je roven jedné). Transformace má tedy tři parametry (dvě translace a rotaci), pro určení transformačního klíče jsou třeba alespoň dva identické body. Tato transformace nemění měřítko a zachovává pravoúhlost.

Podobnostní transformace

Podobnostní transformace je lineární transformace souřadnic, která používá jeden měřítkový koeficient pro směr osy X i Y. Transformace má tedy čtyři parametry (dvě translace, rotaci a měřítkový koeficient), pro určení transformačního klíče jsou třeba alespoň dva identické body. Transformace mění měřítko, ale ve všech směrech stejně, zachovává tedy pravoúhlost.

Afinní transformace - 6 stupňů volnosti

U tohoto typu transformace nejsou určovány geometrické transformační parametry, ale přímo prvky transformační matice. Transformačních parametrů je tedy šest (dvě translace a čtyři prvky transformační matice). Prvky transformační matice v tomto případě již nejsou navzájem vázány geometrickými vazbami, nelze z nich tedy určit geometrické transformační parametry. Minimální počet identických bodů pro tento typ transformace je tři. Transformace mění měřítko v různých směrech různě, pravoúhlost tedy nezachovává.

Uživatelská transformace

Zvolíte-li tento typ transformace, není třeba zadávat identické body, zadávají se přímo transformační rovnice pro výpočet souřadnic bodů.

Práce s výpočetním oknem pro transformaci souřadnic je popsána v referenční příručce.

Předcházející | Nahoru | Další
Testování dle předpisů pro práci v katastru nemovitostí | Domů | Orientace osnov vodorovných směrů


Orientace osnov vodorovných směrů
Předcházející Kapitola 11. Výpočty Další

Orientace osnov vodorovných směrů

V některých úlohách (např. polární metoda, protínání ze směrů, volné stanovisko, polygonový pořad) je třeba provést orientaci osnovy vodorovných směrů. Postup orientace směrů je vždy shodný, bez ohledu na typ zpracovávané úlohy.

Orientace osnovy v polární metodě

Při orientaci osnov můžete postupovat dvěma způsoby. Buď můžete orientace vyplnit jednotlivě, nebo můžete nechat program zorientovat osnovu automaticky.

Ruční orientace osnov

Nejprve do oblasti pro zadání stanoviska zadejte pomocí čísla bodu nebo přetažením myší souřadnice stanoviska (tento bod se netýká volného stanoviska - v této úloze budou souřadnice stanoviska určovány).

Do oblasti pro orientaci osnov vyplňte nezbytné údaje příslušného orientačního směru (měřená délka není nutná, je použita pouze pro kontrolu), a stiskněte tlačítko Přidat. Orientace bude přidána do seznamu, program přepočítá celou orientaci osnovy směrů, a bude-li v seznamu více orientací než jedna, program zobrazí opravy na jednotlivých orientačních směrech. Tímto postupem vyplňte všechny orientace, které chcete použít.

Automatická orientace osnov

Chcete-li, aby program automaticky provedl orientaci osnovy, přetáhněte do oblasti pro orientaci osnov pouze číslo stanoviska (červený údaj) ze seznamu měřených hodnot. Program vybere ze všech směrů, které byly na stanovisku zaměřeny, ty, u nichž jsou známy souřadnice cíle, a automaticky je do seznamu orientací přidá. Před automatickou orientací osnovy směrů je tedy třeba mít otevřen seznam souřadnic, obsahující souřadnice stanoviska a orientačních bodů. Navíc musí být nastaven takový způsob vyhledávání bodů, aby byl program schopen příslušné body v seznamech nalézt (souřadnice musí být v aktivním seznamu souřadnic, nebo musí být povoleno hledání bodů ve všech otevřených seznamech).

Takto vytvořený seznam orientací můžete dále libovolně editovat (přidávat, ubírat nebo opravovat položky). Údaje se přidávají pomocí tlačítka Přidat, a ubírají tlačítkem Odebrat.

Chcete-li některý směr vyřadit z orientací, ale nechcete-li jej úplně odebrat (pro případ, že byste jej mohli chtít později opět použít), můžete jej pouze vypnout pomocí zaškrtávacího okénka před číslem bodu. Takto vypnutý směr v seznamu zůstane pro další použití, jsou u něj zobrazeny opravy, ale pro vlastní orientaci osnovy není použit (neobjeví se ani v protokolu).

Chcete-li některou položku opravit, ukažte na ni v seznamu orientací, aby se hodnoty zobrazily v editačních oknech, potom tyto hodnoty opravte, opravenou položku přidejte a původní, neopravenou položku uberte.

Váhy orientací

Při orientaci osnov lze do výpočtu zavést váhy jednotlivých směrů. Váhy se nastavují v konfiguraci programu (Soubor → Nastavení → Výpočty). Lze zvolit ze tří standardních nastavení:

  • 1

    Všechny měřené směry jsou z hlediska přesnosti rovnocenné, váhy všech měřených směrů jsou 1.

  • s/1000

    Pro jednotlivé směry jsou použity váhy určené ze vztahu

    p = s/1000

    kde s je délka na orientační bod.

  • Uživatelské nastavení

    Kromě těchto dvou předdefinovaných možností lze do vstupního řádku pro zadání váhy zapsat libovolný funkční vztah obsahující parametr s.

Poznámka

Při volbě předdefinovaných vah si všimněte, jak se ve vstupním okénku mění funkční vztah pro výpočet váhy.

Číselné hodnoty vah jednotlivých směrů naleznete v protokolu o orientaci osnovy směrů.

Řazení orientací v seznamu

Po zadání jsou v seznamu orientace řazeny podle pořadí přidávání. Kliknutím myší na záhlaví jednotlivých sloupců lze měnit řazení řádků.

Předcházející | Nahoru | Další
Transformace souřadnic | Domů | Kapitola 12. Definice teodolitu


Kapitola 12. Definice teodolitu
Předcházející Část I. Uživatelská příručka Další

Kapitola 12. Definice teodolitu

Obsah

Definice teodolitu

Definice teodolitu

Po vyvolání příkazu Soubor → Nastavení → Teodolit si můžete definovat libovolné množství teodolitů, které používáte při měření, i s jejich vlastnostmi a přístrojovými chybami.

Takto definované teodolity můžete použít při zpracování seznamu měření (viz kap. Zpracování zápisníku).

V dialogovém okně zadejte nejprve název teodolitu, a potom postupně všechny jeho vlastnosti (přístrojové chyby a tolerance). Jestliže přístrojové chyby neznáte, nastavte je nejprve jako nulové, a po několika prvních výpočtech je můžete upravit podle výsledků z protokolu.

Nastavené tolerance a přístrojové chyby program využívá při dávkovém zpracování zápisníku nástrojem Měření → Zpracování zápisníku.

Program je dodáván s předdefinovaným teodolitem s názvem "Neznámý teodolit", v jehož definici jsou nastaveny implicitní tolerance pro testování podezřelých a chybných měření.

Nastavení teodolitu je podrobně popsáno v referenční příručce.

Předcházející | Nahoru | Další
Orientace osnov vodorovných směrů | Domů | Kapitola 13. Protokoly


Kapitola 13. Protokoly
Předcházející Část I. Uživatelská příručka Další

Kapitola 13. Protokoly

Obsah

Otevření protokolu
Uložení protokolu
Princip práce s protokoly
Lokální protokol
Výpis seznamu souřadnic do protokolu
Výpis seznamu měření do protokolu
Přečíslování protokolu
Kódování češtiny
Parametry protokolu

Při výpočtech program kromě výsledných hodnot vytváří i textové protokoly o výpočtu, v nichž lze nalézt mnoho užitečných informací o průběhu výpočtu, dosažených odchylkách apod. Tyto protokoly mohou být uloženy do souboru nebo vytisknuty a předávány jako protokoly o výpočtech.

Otevření protokolu

Při otevírání protokolu se postupuje stejně, jako při otevírání jakéhokoli jiného datového souboru. Jediný rozdíl oproti ostatním typům souborů je, že protokol může být otevřen vždy nejvýše jeden.

Předcházející | Nahoru | Další
Kapitola 12. Definice teodolitu | Domů | Uložení protokolu


Uložení protokolu
Předcházející Kapitola 13. Protokoly Další

Uložení protokolu

Při vytvoření nového protokolu je protokol založen jako nepojmenovaný. Pokud jej chcete zachovat, je třeba jej uložit příkazem Soubor → Ulož jako pod nějakým názvem. Pokud již soubor daného jména existuje, systém se vás dotáže, zda si přejete původní protokol nahradit novým, nebo obsah nového protokolu připojit ke starému:

Ukládání protokolu pod existujícím názvem

Můžete si zvolit jednu z následujících možností:

  • Připojit: nový protokol bude připojen k původnímu obsahu souboru. Soubor bude znovu celý načten a v datovém okně bude zobrazen celý, včetně původní části.

  • Přepsat: původní obsah souboru bude přepsán a soubor bude obsahovat pouze nově uložený protokol.

Předcházející | Nahoru | Další
Kapitola 13. Protokoly | Domů | Princip práce s protokoly


Princip práce s protokoly
Předcházející Kapitola 13. Protokoly Další

Princip práce s protokoly

Program pracuje s protokoly o výpočtech ve dvou úrovních. Jedna úroveň je lokální protokol, který obsahuje jednotlivé výstup z posledních zpracovaných úloh, a druhá úroveň je hlavní protokol, kam se jednotlivé lokální protokoly ukládají.

V hlavním protokolu lze text upravovat nebo mazat a lze v něm vyhledávat zadaný text (čísla bodů apod.).

Tento postup ukládání protokolů byl zvolen proto, že je často výhodné mít k dispozici údaje o výpočtu, aniž by bylo třeba je vždy automaticky ukládat do výsledného protokolu. Jestliže se výsledky výpočtů ukládají do protokolu automaticky, obsahuje protokol obvykle množství nepotřebných nebo chybných údajů (z nepodařených nebo pokusných výpočtů apod.), které je třeba dodatečně mazat.

Předcházející | Nahoru | Další
Uložení protokolu | Domů | Lokální protokol


Lokální protokol
Předcházející Kapitola 13. Protokoly Další

Lokální protokol

Lokální protokol vzniká při každém jednotlivém výpočtu. Můžete si jej prohlédnout po stisknutí tlačítka Protokol v kterémkoli výpočetním dialogovém okně. Program otevře dialogové okno se seznamem posledních neuložených lokálních protokolů. Toto okno je nemodální, můžete je tedy ponechat otevřené a můžete měnit jeho umístění a velikost. Necháte-li je otevřené, jsou v něm při výpočtech automaticky zobrazovány všechny změny lokálního protokolu.

Lokální protokol

Okno obsahuje ve vrchní části seznam lokálních protokolů spolu s časem jejich poslední aktualizace. Každá úloha má svůj vlastní lokální protokol, takže je v okně zobrazen celá historie posledních výpočtů.

Ve spodní části okna je zobrazen protokol úlohy, která je zvolena v seznamu úloh.

Chcete-li zvolený protokol vymazat, stiskněte tlačítko Odstranit. Můžete také označit více protokolů pomocí zaškrtávacího políčka v seznamu protokolů a odstranit je hromadně.

Jestliže jste s obsahem protokolu spokojeni, uložte jej do hlavního protokolu tlačítkem Uložit. Opět můžete označit více protokolů pomocí zaškrtávacího políčka v seznamu protokolů a uložit je hromadně. Jestliže ještě nemáte otevřen hlavní protokol, program nejprve zobrazí dialogové okno pro jeho otevření. Jestliže nyní hlavní protokol neotevřete, program lokální protokol neuloží. Po uložení lokálního protokolu do hlavního protokolu je lokální protokol ze seznamu odstraněn. V seznamu tedy zůstávají pouze neuložené protokoly.

Stisknutím tlačítka Vložit na místo kurzoru lze vybraný protokol vložit do hlavního protokolu na místo kurzoru (standardně se protokol ukládá na konec hlavního protokolu).

Stisknutím tlačítka Vložit do schránky lze vybraný protokol vložit do schránky pro rychlé vložení do jiné aplikace, aniž by bylo třeba text v okně ručně označovat.

Předcházející | Nahoru | Další
Princip práce s protokoly | Domů | Výpis seznamu souřadnic do protokolu


Výpis seznamu souřadnic do protokolu
Předcházející Kapitola 13. Protokoly Další

Výpis seznamu souřadnic do protokolu

Chcete-li vypsat seznam souřadnic (nebo jeho část) do protokolu, můžete postupovat jedním z těchto způsobů:

  • Zvolte příkaz Souřadnice → Do protokolu. Není-li v seznamu žádná položka označena, do protokolu bude vypsán celý seznam souřadnic. Jsou-li v seznamu označeny některé položky, bude do protokolu vypsána pouze označená část. Do protokolu budou zapsány ty sloupce, které jsou zapnuty (viditelné) v seznamu souřadnic.

  • Přetáhněte myší bod resp. označené body na plochu dialogového okna s lokálním protokolem. Přetáhnete-li skupinu označených bodů, program na začátku seznamu souřadnic vytvoří hlavičku. Přetáhnete-li pouze jeden bod, program hlavičku nevytváří. Do protokolu budou zapsány ty sloupce, které jsou zapnuty (viditelné) v seznamu souřadnic.

  • Zkopírujte bod nebo označené body do schránky pomocí příkazu Editace → Zkopíruj a pomocí příkazu Editace → Vlož je vložte do okna s celkovým protokolem. Při tomto postupu je použit uživatelský předpis formátu z nastavení.

V obou případech bude seznam souřadnic vytvořen v lokálním protokolu, do hlavního protokolu jej uložte stejným způsobem, jako protokoly z výpočtů.

Předcházející | Nahoru | Další
Lokální protokol | Domů | Výpis seznamu měření do protokolu


Výpis seznamu měření do protokolu
Předcházející Kapitola 13. Protokoly Další

Výpis seznamu měření do protokolu

Chcete-li vypsat seznam měření (nebo jeho část) do protokolu, postupujte stejně, jako při výpisu seznamu souřadnic. Seznam měření bude do protokolu vypsán v předdefinovaném textovém tvaru: na začátku souboru budou uvedeny údaje z hlavičky souboru (název souboru, popis, měřítko atd.). Dále bude uveden seznam měření. Stanoviska jsou oddělena čarou, čísla stanovisek jsou označena hvězdičkou, orientace pomlčkou.

Stejně jako u výpisu seznamu souřadnic, seznam měření bude vytvořen v lokálním protokolu. Do hlavního protokolu jej uložte stejným způsobem, jako protokoly z výpočtů. Do protokolu budou zapsány ty sloupce, které jsou zapnuty (viditelné) v seznamu měření.

Předcházející | Nahoru | Další
Výpis seznamu souřadnic do protokolu | Domů | Přečíslování protokolu


Přečíslování protokolu
Předcházející Kapitola 13. Protokoly Další

Přečíslování protokolu

Pokud pracujete s úplnými čísly bodů, lze po přečíslování seznamu souřadnic nebo seznamu měření použít seznam přiřazení čísel bodů pro přečíslování protokolu. Dříve uložený seznam přiřazení čísel bodů lze načíst ze souboru a přečíslovat protokol podle něj tak, aby byl v souladu se seznamem souřadnic a seznamem měření. Podrobněji je přečíslování podle seznamu popsáno v kapitole Přečíslování podle seznamu přiřazení čísel bodů.

Předcházející | Nahoru | Další
Výpis seznamu měření do protokolu | Domů | Kódování češtiny


Kódování češtiny
Předcházející Kapitola 13. Protokoly Další

Kódování češtiny

Program v protokolech používá pro češtinu kódovou stránku 1250 Latin-2, specifickou pro MS Windows. Chcete-li zpracovávat protokoly jiným způsobem než programem Groma, může se stát, že budete potřebovat jiné kódování češtiny. Program proto umožňuje nastavit jinou kódovou stránku pro ukládání do souboru. Při čtení protokolu je kódování převedeno zpět do kódové stránky Windows 1250 Latin-2, v diskovém souboru je však text uložen ve zvoleném kódování. Program umožňuje nastavit tyto kódové stránky:

  • 437 DOS Standard IBM,

  • 850 DOS Kamenický (KEYBCS2),

  • 852 DOS Latin-2,

  • 1250 Windows Latin-2

Varování

Překódování do kódové stránky 437 je nevratné, protože jsou při zápisu všechny české znaky převedeny na ekvivalenty bez diakritických znamének. Po příštím otevření soubor s protokolem obsahuje pouze standardní ASCII znaky.

Předcházející | Nahoru | Další
Přečíslování protokolu | Domů | Parametry protokolu


Parametry protokolu
Předcházející Kapitola 13. Protokoly Další

Parametry protokolu

V dialogovém okně Soubor → Nastavení → Protokol můžete nastavit různé parametry, které ovlivňují práci s protokoly (ukládání souřadnic vstupních bodů, kódování češtiny při zápisu na disk, font pro tisk i pro obrazovku apod.). Bližší popis je uveden v referenční příručce.

Předcházející | Nahoru | Další
Kódování češtiny | Domů | Kapitola 14. Hlášení a komentáře


Kapitola 14. Hlášení a komentáře
Předcházející Část I. Uživatelská příručka Další

Kapitola 14. Hlášení a komentáře

Při běhu programu jsou ukládány rady a komentáře, vysvětlující chování programu. Pokusíte-li se např. nějakým nástrojem změnit zamčený bod v seznamu souřadnic, program vypíše komentář, že bod nemohl být změněn, protože je zamčený. Tyto komentáře se archivují a lze je nechat zobrazit.

Stane-li se tedy, že se program nezachová tak, jak byste očekávali, je dobré se nejprve podívat do okna s komentáři, zda v něm není uvedeno vysvětlení.

Komentáře jsou řazeny chronologicky tak, že nejnovější komentáře jsou uvedeny první.

Systémová hlášení a komentáře

V levém dolním rohu stavového řádku je zobrazen počet systémových hlášení. Je-li v seznamu nějaké nepřečtené hlášení, je počet hlášení zobrazen tučně a červeně:

Zobrazení počtu systémových hlášení

Předcházející | Nahoru | Další
Parametry protokolu | Domů | Kapitola 15. Grafika


Kapitola 15. Grafika
Předcházející Část I. Uživatelská příručka Další

Kapitola 15. Grafika

Obsah

Princip ukládání grafiky
Otevření grafického okna
Ovládání grafického okna
Chytání na body

Program Groma umožňuje práci s jednoduchou grafikou. Pro kreslení musíte otevřít zvláštní okno, v němž můžete provádět základní grafické operace nad seznamem souřadnic. Pro ukládání grafických elementů je k dispozici 64 vrstev. Tyto vrstvy lze v jednotlivých pohledech libovolně vypínat a zapínat.

Princip ukládání grafiky

Grafické soubory (.pics), do nichž je grafika ukládána, obsahují pouze samotný předpis kresby (informace o grafických elementech a čísla jejich koncových bodů). Takto vedené grafické soubory mají určité výhody i nevýhody.

  • Výhody:

    • grafické soubory používají standardní seznamy souřadnic, změny v souřadnicích bodů se okamžitě promítají i do grafiky (lze provést i transformaci souřadnic, po níž zůstane kresba neporušena, pouze se přizpůsobí novým souřadnicím),

    • vedení jediného seznamu souřadnic vede k výrazné úspoře místa na disku i v paměti (do grafického souboru jsou ukládány pouze spojnice bodů, grafický soubor se všemi body je tedy vlastně prázdný).

  • Nevýhody:

    • kresba je ztracena při změně čísel bodů,

    • grafické elementy lze umisťovat pouze na již existují body.

Předcházející | Nahoru | Další
Kapitola 14. Hlášení a komentáře | Domů | Otevření grafického okna


Otevření grafického okna
Předcházející Kapitola 15. Grafika Další

Otevření grafického okna

Chcete-li poprvé otevřít seznam souřadnic jako grafiku, zvolte v menu položku Souřadnice → Zobrazit graficky. Program se pokusí v příslušném adresáři nalézt grafický soubor ke zvolenému seznamu souřadnic (soubor .pics). Jestliže tento soubor neexistuje, program jej vytvoří.

Při příštím otevírání jej již lze zvolit v seznamu po nastavení typu souboru na "Přehledka".

Předcházející | Nahoru | Další
Kapitola 15. Grafika | Domů | Ovládání grafického okna


Ovládání grafického okna
Předcházející Kapitola 15. Grafika Další

Ovládání grafického okna

Po prvním otevření grafického okna jsou zobrazeny všechny body tak, aby co nejlépe vyplnily plochu okna. Pro manipulaci s pohledem slouží příkazy v menu Plán a tlačítka na liště nástrojů. S pohledem lze posouvat pomocí lišt v pravé a spodní části okna.

Zvětšovat a zmenšovat kresbu v grafickém okně lze pomocí kolečka myši. Kresba je zvětšována/zmenšována kolem bodu, na němž je umístěn kurzor.

Předcházející | Nahoru | Další
Otevření grafického okna | Domů | Chytání na body


Chytání na body
Předcházející Kapitola 15. Grafika Další

Chytání na body

Program vzhledem ke způsobu práce s grafikou umožňuje umisťovat grafické elementy pouze na již existující body. Na body se můžete "chytat" levým tlačítkem myši. Při chytání program hledá v určitém okolí kurzoru nejbližší bod, a nalezne-li jej, přesune kurzor přesně na něj.

Předcházející | Nahoru | Další
Ovládání grafického okna | Domů | Kapitola 16. Grafické určování bodů


Kapitola 16. Grafické určování bodů
Předcházející Část I. Uživatelská příručka Další

Kapitola 16. Grafické určování bodů

Obsah

Princip grafického určování bodů
Postup při grafickém určování bodů

Princip grafického určování bodů

Je-li v některém dialogovém okně vedle vstupního okénka pro souřadnice zobrazeno tlačítko se šipkou, znamená to, že tento bod může být ukázán myší v grafickém okně programu nebo v systému MicroStation (je-li Groma nakonfigurována a spuštěna jako aplikace systému MicroStation - viz Přílohy):

Okno s možností grafického odečtení souřadnic

Předcházející | Nahoru | Další
Chytání na body | Domů | Postup při grafickém určování bodů


Postup při grafickém určování bodů
Předcházející Kapitola 16. Grafické určování bodů Další

Postup při grafickém určování bodů

  • Stiskněte v dialogovém okně tlačítko se šipkou, které je zobrazeno u bodu, který chcete určit z grafiky. Tlačítko zůstane stisknuté a zobrazí se zvýrazněně. Jestliže bylo předtím zapnuto jiné tlačítko, bude automaticky vypnuto (v celém systému Groma může být zapnuto vždy nejvýše jedno toto tlačítko):

    Okno se zapnutým grafickým odečtením souřadnic

  • Ukažte příslušný bod v grafickém okně. Máte-li zvolen příkaz pro kreslení čáry, mazání elementů, změnu měřítka apod., zvolte nejprve příkaz Plán → Výběr elementů. Po ukázání bodu jsou jeho souřadnice přeneseny do dialogového okna. Je-li v tomto okně více tlačítek pro odečítání souřadnic, program automaticky zapne další tlačítko.

Předcházející | Nahoru | Další
Kapitola 16. Grafické určování bodů | Domů | Kapitola 17. Tiskové výstupy


Kapitola 17. Tiskové výstupy
Předcházející Část I. Uživatelská příručka Další

Kapitola 17. Tiskové výstupy

Obsah

Náhled před tiskem
Tisk seznamů
Nastavení okrajů
Výběr hlaviček
Výběr položek
Volba rozsahu stránek a počtu kopií
Volba fontu

Grafická i textová data lze z programu Groma obecně tisknout na jakékoli zařízení, k němuž je v MS Windows instalován příslušný driver.

Náhled před tiskem

Před vlastním tiskem dokumentů lze zobrazit tiskový náhled. Po stisknutí tlačítka Náhled program otevře okno, v němž je zobrazen náhled tisknutého dokumentu. Pomocí tlačítek na liště nástrojů lze obraz zvětšovat a zmenšovat a posouvat se mezi jednotlivými stranami dokumentu.

Předcházející | Nahoru | Další
Postup při grafickém určování bodů | Domů | Tisk seznamů


Tisk seznamů
Předcházející Kapitola 17. Tiskové výstupy Další

Tisk seznamů

Seznamy souřadnic a seznamy naměřených hodnot jsou textové údaje, jsou tedy tisknuty na zařízení, zvoleném jako Textový výstup (viz výše).

Seznamy se tisknou pomocí dialogového okna, vyvolaného příkazem Soubor → Tisk.

V dialogovém okně je zobrazen název souboru (před vyvoláním příkazu pro tisk musí být některé okno tohoto souboru zvoleno jako aktivní), aktuální nastavení okrajů a předpokládaný počet stránek.

Nastavení okrajů

Před tiskem můžete nastavit okraje papíru (v milimetrech).

Důležité

Při nastavení příliš velkých okrajů se výstup na papír nemusí vejít, a v takovém případě může mít neočekávaný vzhled (překryté texty apod.).

Výběr hlaviček

Můžete si zvolit, které položky z informace o souboru budou uvedeny v hlavičce dokumentu.

Výběr položek

Program umožňuje tisk celého seznamu, nebo pouze zvolených položek.

  • Chcete-li vytisknout celý seznam, zapněte volbu Všechny položky. Program vytiskne celý seznam.

  • Chcete-li vytisknout pouze některé položky, nejprve je v seznamu označte, a potom zapněte volbu Označené položky. Program vytiskne pouze označené položky.

Volba rozsahu stránek a počtu kopií

V dialogovém okně pro tisk je zobrazen celkový počet stran dokumentu, a rozsah tištěných stránek je přednastaven tak, aby byl vytištěn celý dokument. Číslo počáteční a koncové stránky pro tisk lze libovolně upravovat.

Můžete zde také nastavit požadovaný počet kopií.

Volba fontu

Pro tisk lze nastavit font, nezávislý na fontu, kterým jsou seznamy vypisovány na obrazovku. Font se nastavuje pomocí tlačítka Font. Zvolený font je použit při tisku seznamu souřadnic i seznamu naměřených hodnot.

Předcházející | Nahoru | Další
Kapitola 17. Tiskové výstupy | Domů | Kapitola 18. Manažer konfigurací


Kapitola 18. Manažer konfigurací
Předcházející Část I. Uživatelská příručka Další

Kapitola 18. Manažer konfigurací

Manažer konfigurací je nástroj, usnadňující práci s více konfiguračními soubory. Kdykoli při práci se systémem Groma lze přepnout aktivní konfiguraci, čímž se okamžitě změní nastavení všech parametrů programu.

Manažer konfigurací lze vyvolat pomocí tlačítka ..., které se nachází na liště nastavení za seznamem konfigurací, nebo volbou Soubor → Manažer konfigurací. Podrobněji je manažer popsán v referenční příručce.

Předcházející | Nahoru | Další
Tisk seznamů | Domů | Kapitola 19. Spolupráce s CAD systémy


Kapitola 19. Spolupráce s CAD systémy
Předcházející Část I. Uživatelská příručka Další

Kapitola 19. Spolupráce s CAD systémy

Obsah

Spuštění s podporou CAD systému
Atributy pro přenos bodů

Systém Groma je schopen pomocí OLE Automation spolupracovat s nezávislými CAD systémy. V současné době jsou podporovány systémy IntelliCAD a DesignCAD.

Je-li systém Groma spuštěn s podporou příslušného CAD systému, připojí se k němu jako podřízená aplikace a umožní přímý přenos bodů do výkresu pouhým přetažením myší.

Kromě výše uvedených systémů lze program Groma používat také ve spojení s grafickým systémem MicroStation. Systém MicroStation, na rozdíl od výše uvedených systémů, umožňuje obousměrnou komunikaci, tj. body lze přenášet jak z Gromy do výkresu, tak i zpět z výkresu do Gromy. Postup konfigurace a použití je podrobně popsán v přílohách.

Spuštění s podporou CAD systému

Přejete-li si spustit systém Groma tak, aby podporoval příslušný CAD systém, je třeba program Groma spustit s parametrem -parent=nazev na příkazové řádce.

Pro systém IntelliCAD je tedy třeba použít parametr -parent=IntelliCAD, pro systém DesignCAD parametr -parent=DesignCAD.

Předcházející | Nahoru | Další
Kapitola 18. Manažer konfigurací | Domů | Atributy pro přenos bodů


Atributy pro přenos bodů
Předcházející Kapitola 19. Spolupráce s CAD systémy Další

Atributy pro přenos bodů

Atributy, které budou použity pro přenos bodů do výkresu, lze nastavit v dialogovém okně Soubor → CAD nastavení. Podrobněji je toto nastavení popsáno v referenční příručce.

Předcházející | Nahoru | Další
Kapitola 19. Spolupráce s CAD systémy | Domů | Kapitola 20. Propojení s databázemi


Kapitola 20. Propojení s databázemi
Předcházející Část I. Uživatelská příručka Další

Kapitola 20. Propojení s databázemi

Obsah

Podporované servery
Používané databázové tabulky
Tabulka projektů
Tabulka bodů
Nastavení připojení k databázi
Postup práce s databázemi bodů
Připojení k databázi
Inicializace databáze
Výběr / nastavení aktivního projektu
Import z databáze

Systém Groma umožňuje propojení seznamu souřadnic s databází bodů vedenou pomocí samostatného databázového serveru. Při takovémto propojení lze body přenášet ze seznamu souřadnic do databáze, importovat z databáze do seznamu souřadnic a aktualizovat v databázi body, které z ní byly importovány.

Podporované servery

Systém Groma podporuje následující databázové servery:

  • Oracle 9, 9i, 10i

  • MySQL

Připojení k databázovým serverům probíhá prostřednictvím ODBC, je tedy třeba mít na stanici, odkud se k databázi připojujete, instalován příslušný ODBC driver. Tyto drivery nejsou dodávány společně s Gromou, ale lze je nalézt na webových stránkách výrobců příslušných databázových serverů.

Předcházející | Nahoru | Další
Atributy pro přenos bodů | Domů | Používané databázové tabulky


Používané databázové tabulky
Předcházející Kapitola 20. Propojení s databázemi Další

Používané databázové tabulky

Při práci s databázemi jsou využívány dvě základní tabulky: tabulka projektů, v níž se nastavují popisné informace o projektech, a tabulka bodů, do níž se ukládají vlastní body. Kromě toho lze použít ještě další tabulky (např. tabulka obsahující názvy souřadnicových systémů, typů zakázek, měřítek atd.)

Tabulka projektů

Tabulka projektů slouží k definici projektů (zakázek). Všechny body jsou ukládány do společné tabulky a obsahují identifikátor projektu, ke kterému patří. Každý bod tedy musí být vázán na konkrétní projekt, body bez příslušnosti k projektu nelze do databáze uložit. Před ukládáním bodů je tedy nutno zvolit projekt, k němuž ukládané body budou patřit, resp. založit nový projekt.

Minimální struktura tabulky projektů je následující:

  • Identifikátor

  • Název projektu

Identifikátor slouží k jednoznačné identifikaci položky v databázi. Vkládání hodnot identifikátoru musí být zajištěno databázovými prostředky, při vkládání záznamu do databáze systém Groma tento identifikátor nevyplňuje (s výjimkou automatické konfigurace databáze, určené pro práci s grafickým modulem). Je tedy třeba zkonfigurovat databázi tak, aby se hodnota identifikátoru vyplnila sama. Nejvhodnější postup je přidělit identifikátoru vlastnost AutoIncrement nebo použít triggery a sekvence, umožňuje-li to příslušná databáze. V tomto případě je třeba systém Groma informovat, že přidělování identifikátorů se děje na úrovni databáze. Tato informace je zaznamenána v definičním souboru pomocí atributu value="auto" v definici sloupečku identifikátoru.

Je-li databáze zkonfigurována pro potřeby grafického modulu automaticky z prostředí systému Groma, potom se o vkládání identifikátorů stará systém Groma pomocí interních sekvencí, takže na úrovni databáze není třeba toto řešit.

Strukturu tabulky lze rozšířit o další uživatelské informace, které jsou však nepovinné a systém Groma umožní jejich editaci, ale nebude je pro svou práci využívat. Podrobně je použití uživatelských informací popsáno v kapitole Nastavení připojení k databázi.

Tabulku projektů lze upravovat přímo z prostředí systému Groma. Po zadání příkazu Databáze → Nastavení projektu je zobrazeno dialogové okno, v němž lze provádět administraci projektů (přidávání, mazání, vybírání).

Tabulka bodů

Tabulka projektů slouží k ukládání bodů. Všechny body jsou ukládány do společné tabulky a jejich příslušnost ke konkrétnímu projektu je definována identifikátorem projektu v tabulce projektů. Body bez příslušnosti k projektu nelze do databáze uložit. Před ukládáním bodů je tedy nutno zvolit projekt, k němuž ukládané body budou patřit, resp. založit nový projekt.

Minimální struktura tabulky bodů je následující:

  • Identifikátor

  • Identifikátor projektu

  • Číslo bodu

  • Souřadnice X

  • Souřadnice Y

Pro identifikátor platí totéž, co pro identifikátor v tabulce bodů.

Dále může tabulka obsahovat tyto nepovinné údaje:

  • Souřadnice Z

  • Kód kvality

  • Datum vytvoření

  • Datum poslední modifikace

Strukturu tabulky lze rozšířit o další uživatelské informace, které jsou však nepovinné a systém Groma umožní jejich editaci, ale nebude je pro svou práci využívat. Podrobně je použití uživatelských informací popsáno v kapitole Nastavení připojení k databázi.

Tabulku projektů lze upravovat přímo z prostředí systému Groma. Po zadání příkazu Databáze → Nastavení projektu je zobrazeno dialogové okno, v němž lze provádět administraci projektů (přidávání, mazání, vybírání).

Předcházející | Nahoru | Další
Kapitola 20. Propojení s databázemi | Domů | Nastavení připojení k databázi


Nastavení připojení k databázi
Předcházející Kapitola 20. Propojení s databázemi Další

Nastavení připojení k databázi

V systému Groma si můžete přednastavit parametry připojení k různým databázím, a při připojování pouze vybírat ze seznamu přednastavených připojení. Jediný údaj, který nelze přednastavit a který je třeba vždy zadat ručně, je přihlašovací heslo.

Soubor, který obsahuje všechna nastavení, je uložen v podadresáři sql hlavního adresáře systému Groma a má název db.ini. Soubor je ve formátu XML (Extensible Markup Language). Podrobný popis jazyka XML je mimo rozsah této příručky. Veškeré informace o jazyce XML lze nalézt na stránkách mezinárodního konsorcia W3C, které se zabývá standardizací na internetu (http://www.w3.org/XML/). Pro potřeby systému Groma však podrobná znalost jazyka XML není nezbytná. Instalace obsahuje ukázkový soubor db.ini, který lze pouze upravovat.

Při upravování je třeba zachovat strukturu souboru. Zejména je třeba dodržet podmínku, že všechny elementy souboru musí být správně uzavřeny. To znamená, že ke každé otevírací značce ve formátu

<znacka>

musí být v dokumentu na odpovídajícím místě i uzavírací značka

</znacka>

Pokud prvek neobsahuje žádné další prvky, ale pouze atributy, lze jej uzavřít i zkráceným způsobem, tj. zapsáním znaku / přímo do otevírací značky prvku:

<znacka atribut1="data" atribut2="data"/>

Struktura definičního souboru je popsána v přílohách.

Předcházející | Nahoru | Další
Používané databázové tabulky | Domů | Postup práce s databázemi bodů


Postup práce s databázemi bodů
Předcházející Kapitola 20. Propojení s databázemi Další

Postup práce s databázemi bodů

Práce s databázemi se skládá z těchto základních kroků:

  • Připojení k databázi

  • Výběr nebo nastavení aktivního projektu

  • Práce s body a grafikou (export/import bodů, úpravy seznamu souřadnic)

  • Uložení změn do databáze (uložení změn, odstranění smazaných bodů)

  • Odpojení od databáze

Připojení k databázi

Před prací s body a grafikou v databázi je třeba se připojit prostřednictvím ODBC driverů k databázi. Veškeré parametry pro připojení se nastavují v konfiguračním souboru, při vlastním přihlašování se z klávesnice zadává pouze přihlašovací jméno a heslo. Po vyvolání příkazu Databáze → Připojení k databázi je zobrazeno dialogové okno, v němž je seznam všech dostupných připojení přednastavených v konfiguračním souboru. Pro přihlášení je třeba zvolit příslušné nastavení (databázový profil) a vyplnit přihlašovací jméno a heslo. Po potvrzení zadaných údajů se systém Groma pokusí připojit k databázi. Pokud připojení není úspěšné (chybné jméno nebo heslo, nesprávně nastavené parametry), příslušný ODBC driver zobrazí chybové hlášení. Pokud se připojení povede, žádné hlášení zobrazeno není.

Poznámka

Seznam předdefinovaných databázových profilů je filtrován tak, že jsou v nabídce zobrazeny ppouze ty profily, pro něž je v systému nainstalován příslušný ODBC driver. Pokud tedy v seznamu požadovaný databázový profil chybí, zkontrolujte v konfiguračním souboru db.ini název nastaveného ODBC driveru, a ověřte, zda je driver nainstalován.

Varování

I v případě 64bitových MS Windows musí být ODBC driver instalován v 32bitové verzi (ODBC driver musí mít stejnou architekturu, jako aplikace, která jej využívá). Zatímco systém Groma nevidí instalované 64bitové drivery, naopak v Ovládacích panelech systému Windows jsou zobrazeny pouze 64bitové verze driverů, a nejsou tam vidět instalované 32bitové verze. To, že je Vámi požadovaný driver v Ovládacích panelech zobrazen, tedy neznamená, že je nainstalována i jeho 32bitová verze, a že je k dispozici pro systém Groma.

Systém Groma může být připojen vždy pouze k jedné databázi. Pokud chcete pracovat s jinou databází, je třeba se nejprve odpojit od předchozí databáze.

Inicializace databáze

Před prací s databází kresby je třeba vytvořit strukturu databáze, tj. všechny nezbytné tabulky a vazby, aby mohla být kresba i projekty do databáze ukládány. K tomu slouží tato funkce.

Tuto inicializaci je třeba provést pouze v případě, že pracujete s grafickým modulem systému Groma. Používáte-li pouze tabulky bodů, můžete si je inicializovat dle potřeby ručně.

Výběr / nastavení aktivního projektu

Všechny prvky (body seznamu souřadnic i grafické prvky) se ukládají do společné tabulky. Jednotlivé zakázky nebo jiné skupiny dat jsou rozlišeny příslušností k určitému projektu. Před vlastní prací s databází je tedy třeba nejprve definovat projekt.

Dialogové okno pro definici projektu se zobrazí příkazem Databáze → Nastavení projektu. V horní části okna je seznam projektů, ve spodní části nastavení příslušného projektu.

Založení nového projektu

Nový prázdný projekt založíte stisknutím tlačítka Nový. Stisknutím tohoto tlačítka se v pravé části okna vymažou všechna nastavení předcházejícího projektu. Po jejich vyplnění nový projekt uložíte tlačítkem Uložit.

Chcete-li založit nový projekt na základě již existujícího projektu, můžete namísto tlačítka Nový stisknout tlačítko Kopie. Tím zůstanou v dialogovém okně vyplněna všechna nastavení z předchozího projektu (kromě ID). Po úpravě stiskněte tlačítko Uložit a nový projekt bude uložen.

Úprava existujícího projektu

Chcete-li změnit některá z nastavení projektu, vyberte projekt v seznamu, proveďte potřebné změny, a změněný projekt uložte tlačítkem Uložit.

Výběr projektu

Po zvolení projektu, se kterým chcete nadále pracovat, stiskněte tlačítko OK. Tím je projekt zvolen a všechny další operace se budou vztahovat pouze k tomuto projektu.

Odstranění projektu

Nepotřebné projekty lze odstranit pomocí tlačítka Odebrat. Předtím je třeba zajistit, aby v databázi nezůstaly žádné hodnoty, vztahující se k odstraňovanému projektu. Kontrolu této skutečnosti je vhodné zajistit nastavením na úrovni databáze (např. použitím cizích klíčů - foreign keys, viz dokumentace k příslušné databázi).

Varování

V jednom projektu nesmí současně pracovat více uživatelů, mohlo by dojít k poškození dat.

Podrobněji je nastavení projektu popsáno v referenční příručce.

Import z databáze

Tímto příkazem lze z databáze importovat do Gromy souřadnice všech nebo vybraných bodů, vztahujících se ke zvolenému projektu.

Po zadání příkazu je zobrazeno výběrové dialogové okno, do něhož lze zadat kritéria pro výběr bodů. Ponecháte-li okno prázdné, budou importovány všechny body ze zvoleného projektu.

Po naimportování jsou body zobrazeny v podobě standardního seznamu souřadnic. Propojení bodů s databází se pozná podle toho, že u levého okraje okna je u každého bodu připojeného k databázi zobrazen symbol databáze:

  • Bod propojen s databází a nezměněn

    Symbol je šedý v případě, že zobrazený bod odpovídá stavu v databázi a nebyl po importu z databáze v seznamu souřadnic změněn

  • Bod propojený s databází byl změněn

    Symbol je červený v případě, že v systému Groma byl bod modifikován, a není tedy již totožný se stavem v databázi.

Hlavní souřadnice se importují z tabulky souřadnic obrazu, což je základní tabulka s body v ISKN. Pokud má importovaný bod záznam i v tabulce souřadnic polohy, načte se tento záznam do vedlejších souřadnic bodu. S takovýmto souborem lze dále pracovat jako s běžným souborem s dvojími souřadnicemi. Při následném odstraňování takovéhoto bodu z databáze je odstraněn záznam z tabulky souřadnic obrazu i z tabulky souřadnic polohy. Při přidání nebo odstranění vedlejších souřadnic je přidán nebo odstraněn pouze záznam v tabulce souřadnic polohy.

Změny provedené v seznamu souřadnic se nepromítají automaticky do databáze. po úpravách seznamu souřadnic je třeba ručně zadat příkaz Souřadnice → Uložit změny do databáze pro uložení změn do databáze, případně i Souřadnice → Odstranit smazané body z databáze pro odstranění smazaných bodů z databáze.

Zavřete-li seznam souřadnic, zruší se tím napojení bodů na databázi. Body sice v seznamu zůstanou, ale po opětovném otevření seznamu již nebudou napojeny na databázi, takže nebude možno změny do databáze uložit. Spojení s databází se obnoví pouze novým importem z databáze. I v tomto případě lze ale změny promítnout do databáze, a to pomocí nástroje Souřadnice → Synchronizovat seznam s databází.

Předcházející | Nahoru | Další
Nastavení připojení k databázi | Domů | Kapitola 21. Digitální technická mapa


Kapitola 21. Digitální technická mapa
Předcházející Část I. Uživatelská příručka Další

Kapitola 21. Digitální technická mapa

Obsah

Obecné informace
Postup práce
Příprava na práci s DTM
Registrace na portálu DMVS ČÚZK
Pořízení podkladových dat pro GAD DTM
Ověření homogenity GAD
Zpracování změny a tvorba GAD
Zaměření situace a výpočet souřadnic
Spuštění grafického modulu a založení projektu
Import JVF
Import bodů z databáze do seznamu souřadnic
Vložení nových vypočtených bodů do databáze
Odstranění bodů z databáze
Zakreslení změny
Vytvoření grafického znázornění (náčrtu)
Export JVF
Vytvoření archivu pro odeslání
Předběžná kontrola GAD
Odeslání zpracované GAD do DMVS

Obecné informace

Od 1.7.2027 nastává stavebníkům dle nového stavebního zákona [StavZ] (část 6, § 232 odst. g) povinnost doložit ke kolaudačnímu řízení potvrzení, že byla kolaudovaná stavba zaměřena a vložena do Digitální technické mapy.

Stavebník v žádosti o vydání kolaudačního rozhodnutí doloží zápis změn do DTM pomocí identifikátoru záznamu, který dostane AZI při vložení GAD do DTM.

Podání je oprávněn učinit pouze Autorizovaný zeměměřický inženýr s oprávněním dle [ZemZ] (§ 16f odst. 1 písm. c)., a to prostřednictvím Portálu IS DMVS.

Postup práce

Postup práce je obdobný jako při vyhotovování geometrického plánu a skládá se z následujících kroků:

  1. Získání podkladových dat DTM v Jednotném výměnném formátu (dále jen JVF) z Portálu IS DMVS.

  2. Založení projektu pro zhotovení GAD ZPS.

  3. Import staženého JVF do grafického modulu.

  4. Výpočetní práce — výpočet nových bodů, ověření homogenity GAD.

  5. Uložení nových bodů do databáze.

  6. Vytvoření nového stavu dle nových bodů a provedení napojení změny v grafickém modulu.

  7. Provedení kontrol GAD.

  8. Vyhotovení náčrtu.

  9. Export změnové dávky do JVF.

  10. Doplnění dalších náležitostí podání dle [Metodika] (technická zpráva, seznam souřadnic, ...).

  11. Podání archivu GAD do IS DMVS prostřednictvím Portálu IS DMVS.

Předcházející | Nahoru | Další
Postup práce s databázemi bodů | Domů | Příprava na práci s DTM


Příprava na práci s DTM
Předcházející Kapitola 21. Digitální technická mapa Další

Příprava na práci s DTM

Registrace na portálu DMVS ČÚZK

Přebírání podkladů a odevzdávání GAD probíhá prostřednictvím Portálu DMVS, který spravuje ČÚZK. Každý AZI, který bude s DTM pracovat, se musí nejprve na portálu registrovat.

Všechny činnosti na portálu DMVS probíhají pod účtem konkrétní osoby, je tedy třeba zaregistrovat se na své jméno a své číslo oprávnění AZI.

Varování

Při registraci je třeba se přihlásit pomocí bankovní identity. Při přihlášení pomocí datové schránky nejsou na portál DMVS ze základních registrů předány všechny informace identifikující přihlašovanou osobu, a registrace tudíž neproběhne.

V budoucnu bude komunikace s DMVS probíhat do značné míry přímo z aplikace prostřednictvím webových služeb (obdobně jako pracují vyhotovitelé geometrických plánů se službami WSGP a WSDP). To bude ale předmětem až následného vývoje, v první fázi bude komunikace probíhat prostřednictvím webového portálu.

Podrobný postup registrace na portálu je uveden na stránkách ČÚZK.

Vlastní portál je přístupný zde.

Portál DMVS

Předcházející | Nahoru | Další
Kapitola 21. Digitální technická mapa | Domů | Pořízení podkladových dat pro GAD DTM


Pořízení podkladových dat pro GAD DTM
Předcházející Kapitola 21. Digitální technická mapa Další

Pořízení podkladových dat pro GAD DTM

Pomocí portálu DMVS si stáhněte podkladová data.

Stahování dat naleznete na portálu v nabídce Výdej dat. Z hlediska aktuálnosti a rozsahu dat je vhodnější žádat o ad hoc data, tedy data čerstvě vyexportovaná pro konkrétní vyžádanou oblast. Další možností je žádost o data v podobě předpřipravených datových sad. Tyto datové sady jsou ale generovány automaticky v určitých časových intervalech, nemusejí být tedy zcela aktuální. Navíc jsou vždy pro předem definovaná území (obce, katastrální území).

Při žádosti o výdej dat v definovaném území postupujte takto:

  1. Spusťte proces výdeje dat příkazem Výdej dat → Výdej dat v definovaném území → Požádat o data.

    Portál DMVS — žádost o výdej dat, krok 1

  2. Zvolte, že si přejete stáhnout veřejná data. Zkontrolujte název subjektu žadatele, tedy vaše jméno.

    Stiskněte tlačítko Pokračovat.

    Portál DMVS — žádost o výdej dat, krok 2

  3. Zadejte libovolný identifikátor žádosti. Jedná se o váš interní identifikátor, můžete uvést libovolný text.

    Zvolte která data si přejete stáhnout. V každém případě je třeba zaškrtnou ZPS, ostatní typy dat nutné nejsou.

    Datum platnosti ponechte přednastavené na aktuální datum.

    Zvolte formát, ve kterém si data přejete stáhnout. Pro zpracování v systému Groma jsou třeba data ve formátu JVF.

    Stiskněte tlačítko Pokračovat.

    Portál DMVS — žádost o výdej dat, krok 3

  4. V zobrazené přehledové mapě ČR zakreslete pomocí nástrojů v pravém panelu polygon vymezující oblast pro stažení dat. Maximální velikost oblasti je 100 ha.

    Stiskněte tlačítko Pokračovat.

    Portál DMVS — žádost o výdej dat, krok 4

  5. Zvolte si, zda si přejete zaslat informaci o připravených datech mailem. Pokud ano, vyplňte mailovou adresu, na kterou má být upozornění odesláno.

    Stiskněte tlačítko Pokračovat.

  6. Na závěr bude zobrazena rekapitulace žádosti a po jejím potvrzení bude žádost odeslána.

  7. V nabídce Výdej dat → Přehled žádostí bude uvedena podaná žádost o výdej dat. Pokud se u příslušné žádosti objeví informace Zpracováno, můžete se po rozkliknutí žádosti dostat na seznam odkazů pro stažení dat.

Předcházející | Nahoru | Další
Příprava na práci s DTM | Domů | Ověření homogenity GAD


Ověření homogenity GAD
Předcházející Kapitola 21. Digitální technická mapa Další

Ověření homogenity GAD

Před vložením nového měření do DTM je třeba provést ověření homogenity, tj. porovnání souřadnic a výšek vhodně zvolených identických bodů dle [ČSN 01 3410].

Informace o tom, zda je třeba provést ověření homogenity vždy, nebo pouze v některých případech, se prozatím různí. Dle dokumentu [Metodika] by se mělo ověření dělat vždy, když v lokalitě zaměření existuje stávající ZPS. Podrobnosti o ověření a o volbě identických bodů jsou uvedeny v bodě 4.3.5 dokumentu [Metodika]

Pro ověření homogenity byla do výpočetní části Gromy doplněna nová úloha. Spouští se příkazem DTM → Ověření homogenity. Do dialogového okna úlohy je třeba postupně zadat dvojice identických bodů. Do seznamu se body přidávají pomocí tlačítka Přidat. Chcete-li některý bod vynechat ze zpracování, můžete jej vypnout pomocí zaškrtávacího pole v seznamu bodů, nebo úplně ze seznamu vypustit tlačítkem Odebrat. Při porovnání je vytvořen protokol odpovídající ukázce v [Metodice].

Ukázka dialogového okna pro ověření homogenity:

Ověření homogenity GAD DTM

Předcházející | Nahoru | Další
Pořízení podkladových dat pro GAD DTM | Domů | Zpracování změny a tvorba GAD


Zpracování změny a tvorba GAD
Předcházející Kapitola 21. Digitální technická mapa Další

Zpracování změny a tvorba GAD

Zaměření situace a výpočet souřadnic

Situaci zaměříte a vypočtete standardním způsobem pomocí výpočetní části Gromy.

Zdroje informací a postupy

Zaměření a zpracování musí proběhnout v souladu s Metodikou pro geodetické zaměřování základní prostorové situace DTM kraje (dále jen [Metodika]).

Podrobněji je způsob zaměření a vykreslení některých prvků popsán ve Slovníku datového modelu DTM (dále jen [Slovník DTM]). Slovník je zatím nekompletní, u mnoha prvků podrobnosti zatím nejsou.

Konkrétní dotazy ohledně obsahu a zpracování DTM lze pokládat na Portálu pro řešení požadavků při pořizování dat pro DTM (dále jen [Požadavky DTM]). Na dotazy zde položené odpovídá Metodická pracovní skupina DTM. Před položením dotazu je vhodné projít archiv předchozích dotazů, zda již stejný nebo obdobný dotaz není zodpovězen.

Metodická pracovní skupina DTM spravuje i další systém, kde lze dohledat mnoho informací o pořizování, správě a poskytování dat digitální technické mapy krajů. Jedná se o stránky [DTMWiki]. Na těchto stránkách jsou podrobně popsány i požadavky na topologii prvků a topologické kontroly.

Podrobné body

Pro číslování bodů není stanoven žádný předpis, je tedy zcela na vás, jakým způsobem body očíslujete.

Body v DTM mají povinnou výšku.

Bodům pro DTM je třeba nastavit třídu přesnosti v poloze i výšce dle ČSN 01 3410 — Mapy velkých měřítek — Základní a účelové mapy (dále jen [ČSN 01 3410]).

Dále lze bodům nastavit cílovou úroveň umístění (level).

Třída přesnosti výšky a vrstva jsou nové atributy, které lze nastavit pouze v novém typu souboru (.crds). Ve starých souborech (.crd) s těmito informacemi pracovat nelze. Pro práci v DTM je tedy třeba využívat nový typ souboru. V systému Groma lze v Nastavení → Prostředí → Formát nově zakládaných datových souborů zvolit automatické zakládání souborů v novém formátu.

Tabulka 21.1. Nové atributy bodů pro práci v DTM

Údaj Popis
Třída přesnosti polohy

Obsahuje informaci o přesnosti souřadnic X a Y. Používají se třídy přesnosti 1 — 5 dle [ČSN 01 3410], případně 9 pro body, které nemají přesnost polohy definovánu.

Nemá-li bod třídu přesnosti v poloze nastavenu, bude použita standardní třída přesnosti 3.

V seznamu souřadnic ve výpočetní části systému Groma se tento údaj nastavuje editací bodu nebo hromadnou změnou do atributu Kód kvality.

V grafické části jej lze nastavit Editací bodu v PČB.

Třída přesnosti výšky

Obsahuje informaci o přesnosti souřadnice Z. Používají se třídy přesnosti 1 — 5 dle [ČSN 01 3410], případně 9 pro body, které nemají přesnost výšky definovánu.

Nemá-li bod třídu přesnosti ve výšce nastavenu, bude použita standardní třída přesnosti 3.

V seznamu souřadnic ve výpočetní části systému Groma se tento údaj nastavuje editací bodu nebo hromadnou změnou do atributu Kód kvality H.

V grafické části jej lze nastavit Editací bodu v PČB.

Úroveň umístění (level)

Obsahuje informaci o vrstvě, do níž má být bod umístěn.

Objekty na povrchu se umisťují do vrstvy 0, objekty nadzemní do vrstev 1 — 3, objekty pod povrchem do vrstev -1 — -3.

Tento údaj je při ukládání bodů do databáze nepovinný. V průběhu vytváření kresby lze vrstvu měnit.

V seznamu souřadnic ve výpočetní části systému Groma se tento údaj nastavuje editací bodu nebo hromadnou změnou do atributu Vrstva.

V grafické části tento atribut vygenerovat ke všem bodům hromadně dle kresby, která je na jednotlivé body napojena (preferovaná varianta). Alternativně lze provést změnu Editací bodu v PČB.

Po výpočtu je třeba vypočtené body uložit do databáze (viz dále), aby bylo možno s nimi pracovat v grafické části.

Spuštění grafického modulu a založení projektu

Grafický modul pro DTM spustíte příkazem DTM → DTM Grafika

Grafický modul pro DTM, na rozdíl od současné verze modulu pro geometrické plány, již neukládá data do databáze MySQL. Pro jeho provoz tedy není třeba databázový server MySQL instalovat. Veškerá data projektu se ukládají do jednoho souboru s příponou .grdtm. Tento soubor lze libovolně kopírovat a přenášet mezi počítači.

Po zobrazení úvodního okna grafického modulu založíte nový projekt pomocí tlačítka Vytvořit projekt.

Pokud již máte projekt založený, můžete jej otevřít výběrem v seznamu naposledy otevřených projektů, nebo pomocí tlačítka Vybrat projekt.

Import JVF

Pokud importujete pouze jeden soubor JVF (např. pouze ZPS), import spustíte příkazem Projekt → Import → JVF podklady — zjednodušená funkcionalita. Pokud si přejete importovat více souborů najednou (např. ZPS, DI i TI), import spustíte příkazem Projekt → Import → JVF podklady — plná funkcionalita. Tento způsob umožňuje vybrat najednou více souborů pro import.

Po importu podkladů můžete pomocí funkce Zobrazit vše zobrazit celou oblast importované kresby.

Import bodů z databáze do seznamu souřadnic

V některých případech je třeba importovat body ze stávající DTM do seznamu souřadnic v Gromě pro další zpracování, například pro Ověření homogenity GAD (viz výše).

Body lze importovat pomocí příkazu DTM → Importovat body.

Poznámka

Číslo bodu je v DTM nepovinný údaj a velké množství stávajících bodů v podkladových datech DTM je neočíslováno. Protože systém Groma neumožňuje pracovat s body bez čísel, budou takové body automaticky při importu očíslovány. Počáteční číslo bodu lze zadat v dialogovém okně pro nastavení importních filtrů, které je zobrazeno před importem bodů.

Před importem je zobrazeno dialogové okno, v němž lze zadat filtry pro import bodů a počáteční číslo pro očíslování bodů DTM bez čísel.

Protože v DTM nejsou stanovena žádná pravidla pro číslování bodů, bude se stávat, že importovaný seznam bude obsahovat duplicitní čísla bodů. Při importu do standardního seznamu souřadnic se zakázanými duplicitními čísly by se během importu zobrazovalo dialogové okno s hlášením o duplicitních bodech. Z toho důvodu probíhá import z DTM takto:

  1. Je založen seznam souřadnic s povolenými duplicitními čísly bodů.

  2. Do založeného souboru jsou importovány všechny body z DTM. Body bez čísel jsou průběžně očíslovány počínaje počátečním číslem bodu zadaným v dialogovém okně s importními filtry. Body s duplicitními čísly jsou všechny uloženy.

  3. Po dokončení importu je spuštěna kontrola na duplicitní čísla bodů a výsledek kontroly je zobrazen v protokolu.

  4. Obsahuje-li seznam duplicitní čísla bodů, zůstane v něm ukládání duplicit povoleno. Pokud seznam žádné duplicity neobsahuje, je povolení duplicit pro soubor nastaveno zpět na systémové nastavení Gromy (což je obvykle zákaz duplicit).

Vložení nových vypočtených bodů do databáze

Body vypočtené ve výpočetní části Gromy je třeba uložit do databáze, aby bylo možno s nimi pracovat v kresbě.

Pro body DTM je povinný údaj Třída přesnosti polohy a Třída přesnosti výšky. Pokud tyto údaje nenastavíte bodům v seznamu souřadnic před uložením do databáze, budou při ukládání nastaveny na standardní hodnotu 3.

Body lze uložit do databáze přetažením myší na plochu grafického okna, nebo pomocí příkazu DTM → Uložit body. Před uložením je třeba požadované body v seznamu souřadnic označit.

Odstranění bodů z databáze

Jednotlivě lze mazat body přímo z grafického prostředí.

Hromadně lze body odstranit tímto postupem:

  1. Importujte body z databáze do systému Groma příkazem DTM → Importovat body.

  2. Ve vzniklém seznamu odstraňte body, které chcete odstranit z databáze.

  3. Po odstranění bodů ze seznamu souřadnic smazané body odstraňte z databáze příkazem DTM → Odstranit smazané body.

    V lokálním protokolu Gromy bude vytvořen protokol o mazání bodů, v němž bude případně uvedeno které body nebylo možno odstranit a z jakého důvodu.

Zakreslení změny

Změnovou dávku GAD vytvoříte tak, že budete postupně upravovat stávající situaci zobrazenou v pohledu GAD tak, abyste dosáhli požadovaného nového stavu. Můžete mazat původní prvky a vytvářet nové. Na pozadí těchto změn se automaticky generuje změnová dávka.

Při kreslení nových linií je třeba dodržovat typy a hierarchii prvků tak, jak je definována ve Vyhlášce č. 140/2024 Sb. O digitální technické mapě kraje (dále jen [DtmZ]).

Podrobné informace o způsobu kreslení a modifikace prvků jsou uvedeny v [DTMWiki].

Všechny typy prvků, které se v GAD DTM využívají, jsou v nabídce legendy v levém horním rohu grafického okna. Po rozbalení nabídky se zobrazí okno s kartami dle kategorií prvků (Linie, Texty, Značky a Plochy). Navíc okno obsahuje kartu rychlého přístupu, do níž lze přidat nejčastěji využívané prvky:

Nabídka legendy

Poznámka

DTM nepodporuje kruhové oblouky ani křivky. Oblouky musí být rozloženy na liniový řetězec. Pro výpočet bodů na kruhovém oblouku lze použít nástroj z výpočetní části Gromy Výpočty → Rozložení oblouku.

Vytvoření grafického znázornění (náčrtu)

Grafické znázornění vytvoříte tak, že z pohledu GAD spustíte funkci Náčrt → Generování náčrtu.

Náčrt bude vytvořen v pohledu Náčrt, do něhož se můžete přepnout kliknutím na kartu pohledu nad pohledovým oknem.

Výsledný náčrt můžete vytisknout na papír i do PDF pro odevzdání příkazem Projekt → Manažer tisku.

Export JVF

Výsledný soubor se změnovou dávkou ve formátu JVF vytvoříte příkazem Projekt → Export → JVF GAD.

Vytvoření archivu pro odeslání

Archiv pro odeslání do IS DMVS je komprimovaný soubor ve formátu ZIP obsahující tyto náležitosti:

Příloha | Popis | Formát
Popisové pole | Rozpiska s údaji o GAD. Může být součástí měřického náčrtu. Ukázková verze rozpisky ve formátu XLSX je uložena v instalaci Gromy v adresáři Support/Dmvs. | .pdf
Měřický náčrt | Měřický náčrt je grafická reprezentace změny vygenerovaná v grafickém modulu, viz výše. | .pdf
Technická zpráva | Ukázka technické zprávy je uvedena v dokumentu [Metodika]. Součástí technické zprávy je protokol o ověření homogenity GAD DTM. | .pdf
Seznam souřadnic | Prostý textový soubor se seznamem souřadnic nových bodů. Ukázka seznamu souřadnic je uvedena v dokumentu [Metodika]. | .txt
Soubor změnových údajů v JVF DTM | Soubor se změnovou dávkou vyexportovaný z grafického modulu, viz výše. | .jvf.xml

Konvence pojmenování souborů je popsána v dokumentu [Metodika].

Archiv GAD musí být opatřen kvalifikovaným elektronickým podpisem, stejně jako ostatní výsledky zeměměřických činností, v souladu s pokyny Ověřování výsledků zeměměřických činností v elektronické podobě ([Ověřování]). K ověření lze použít např. aplikaci KDirSign. Odkaz na stažení aplikace a návod je uveden v popisu na výše uvedeném odkazu.

Maximální velikost archivu je 100 MB. Pokud by celková dokumentace přesáhla tuto velikost, je třeba ji rozdělit do více archivů a odeslat v rámci podání všechny soubory.

Předcházející | Nahoru | Další
Ověření homogenity GAD | Domů | Předběžná kontrola GAD


Předběžná kontrola GAD
Předcházející Kapitola 21. Digitální technická mapa Další

Předběžná kontrola GAD

Před finálním odesláním dat do IS DMVS je možno pomocí Portálu IS DMVS nechat provést předběžnou kontrolu GAD.

Při předběžné kontrole postupujte takto:

  1. V Portálu IS DMVS volbou GAD DTM → Kontrolní zaslání geodetické aktualizační dokumentace DTM → Vytvořit podání otevřete stránku, z níž je možno odeslat připravenou aktualizační dokumentaci ke kontrole.

  2. Na zobrazené stránce vyplňte následující údaje:

    • Vaše ID změny (libovolný identifikátor změny nebo zakázky)

    • Kraj, do něhož padá změna nebo její největší část

    • Nepovinný popis

    Stiskněte tlačítko Pokračovat.

  3. Na další obrazovce můžete vložit soubor se změnou. Jedná se o ZIP archiv obsahující všechny náležitosti dle [Metodika].

    Stiskněte tlačítko Pokračovat.

Výsledkem kontroly, ať už předběžné nebo při skutečném podání, by měl být chybový protokol ve formátu XML. Postupně bude doplněna funkcionalita na zpracování protokolu přímo v aplikaci, aby bylo vyhledávání chyb snadnější.

Předcházející | Nahoru | Další
Zpracování změny a tvorba GAD | Domů | Odeslání zpracované GAD do DMVS


Odeslání zpracované GAD do DMVS
Předcházející Kapitola 21. Digitální technická mapa Další

Odeslání zpracované GAD do DMVS

Finální odeslání GAD DTM probíhá opět pomocí portálu IS DMVS.

Postupujte takto:

  1. V portálu DMVS volbou GAD DTM → Požadavek na změnu geodetické aktualizační dokumentace DTM → Vytvořit podání otevřete stránku, z níž je možno odeslat připravenou aktualizační dokumentaci do IS DMVS.

  2. Na zobrazené stránce vyplňte následující údaje:

    • Vaše ID změny (libovolný identifikátor změny nebo zakázky)

    • Kraj, do něhož padá změna nebo její největší část

    • Nepovinný popis

    Stiskněte tlačítko Pokračovat.

  3. Na další obrazovce můžete vložit soubor se změnou. Jedná se o ZIP archiv obsahující všechny náležitosti dle Metodiky.

    Stiskněte tlačítko Pokračovat.

  4. Stav podání můžete kontrolovat na stránce GAD DTM → Přehled podání, případně na stránce GAD DTM → Zjištění stavu zpracování geodetické aktualizační dokumentace DTM (po zadání identifikátoru konkrétního podání).

Předcházející | Nahoru | Další
Předběžná kontrola GAD | Domů | Část II. Referenční příručka


Část II. Referenční příručka
Předcházející Další

Část II. Referenční příručka

Obsah

22. Práce s referenční příručkou
23. Hlavní menu
24. Menu Soubor
Nový
Otevři
Ulož
Ulož jako
Statistika
Protokolování
Označování vybraných záznamů
Import
Zavři všechny
Komprese souboru
Indexování souboru
Informace o souboru
Aktivní seznam souřadnic
Nastavení
Manažer konfigurací
Konfigurace:
Umístění
Název konfigurace
Vytvořit kopii
Vytvořit novou
Odstranit
CAD nastavení
Tisk
Nastavení tiskárny
Zobraz protokol z výpočtu
Ulož protokol z výpočtu
Zobraz hlášení a komentáře
Konec
25. Menu Souřadnice / Měření
Mazání položek
Edituj položku
Najdi položku
Překódování podle tabulky
Obnova smazaných položek
Do protokolu
26. Menu Souřadnice
Přidej položku do seznamu souřadnic
Editace bodu v seznamu souřadnic
Parametry zobrazení
Hromadné označování v seznamu souřadnic
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu souřadnic
Typ změny
Funkční vztahy
Vlastnosti bodu
Další možnosti úprav
Označování bodů
Přečíslování seznamu souřadnic
Volba vstupního a výstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zobrazit graficky
Roztřídění dle mapových listů
Porovnání souřadnic
Matematické vztahy
Způsob zadání požadované střední souřadnicové chyby
Další nastavení porovnání
Protokolování
Porovnání jednotlivých bodů
Kontrola číslování bodů
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Dávkové průměrování souřadnic
Průměrování souřadnic bodů s totožnými identifikátory
Průměrování souřadnic bodů s identifikátory s totožným základem
Průměrování souřadnic bodů s totožnými kódy
Průměrování souřadnic souvislých bloků bodů
Průměrování souřadnic označených bodů
Časový test GPS měření
Postup při dávkovém průměrování souřadnic
Zaokrouhlení souřadnic
Dvojí souřadnice
Uložit body do databáze
Uložit změny do databáze
Odstranit smazané body z databáze
Synchronizovat seznam s databází
27. Menu Měření
Přidej položku do seznamu měření
Přidávání do seznamu polárního měření
Přidávání do seznamu ortogonálního měření
Přidávání do seznamu nivelačního měření
Editace záznamu v seznamu měření
Editace záznamu v seznamu polárního měření
Editace záznamu v seznamu ortogonálního měření
Editace záznamu v seznamu nivelačního měření
Hromadné označování v seznamu měření
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu měření
Typ změny
Funkční vztahy
Dialogové okno pro hromadnou změnu v seznamu polárního měření
Dialogové okno pro hromadnou změnu v seznamu ortogonálního měření
Označování bodů
Přečíslování seznamu měření
Volba vstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zpracování zápisníku
Zpracování měření směrů v řadách a skupinách
Spojení opakovaných stanovisek
Označení orientací
Body použité jako stanoviska
Body nalezené v seznamech souřadnic
Body s kódem orientace
Body s číslem vyšším než
Body s předčíslím
Body s předčíslím vyšším než
Setřídění
Vykreslení měřické sítě v grafickém modulu
Přesná oprava délek o měřítko
Připoj soubor
Parametry zobrazení
28. Menu Výpočty
Polární metoda
Souřadnice stanoviska
Orientace osnov
Podrobné body
Ortogonální metoda
Polární metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Ortogonální metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Volné stanovisko
Metody výpočtu volného stanoviska
Volba využití orientací pro určení polohy a výšky
Přenesení zadání do modulu pro vyrovnání sítí MNČ
Výsledné hodnoty
Protínání z délek
Protínání z orientovaných směrů
Hromadné protínání z orientovaných směrů
Průsečík přímek
Výškový výpočet
Průsečík přímka - směr
Výškový výpočet
Průsečík přímka - kružnice
Vyrovnávací přímka
Vyrovnávací kružnice
Polygonový pořad
Počáteční a koncový bod
Měřená data
Výsledky
Vstupy / Výstupy
Výškový pořad
Transformace souřadnic
Typ transformace
Identické body
Automatické vyhledání identických bodů
Aktualizace souřadnic identických bodů
Záměna souřadnic identických bodů
Nastavení statistického testování identických bodů
Transformace bodů
Směrník a délka
Kontrolní oměrné
Soubor kontrolních oměrných
Konstrukční oměrné
Vyrovnání na přímku
Vyrovnání na kružnici
Výpočet výměr
Polární vytyčovací prvky
Výpočet jednotlivých bodů
Hromadný výpočet do souboru
Volba počítaných údajů
Ortogonální vytyčovací prvky
Výpočet trasy
Fasáda
Rozbití oblouku
Definice kruhového oblouku
Definice způsobu rozložení
Počáteční číslo bodu
Vypočtené body
Kubatury
Výpočet výšky stanoviska
Výpočet výšek
Napojení změny do KM-D v dosavadním bodu
Napojení změny do KM-D v novém bodu
Dávkový výpočet souboru MAPA2
Vzorový soubor s polární metodou
Vzorový soubor s ortogonální metodou
29. Menu Okno
Zavři
Mozaika horizontálně - vertikálně
Kaskáda
Srovnání ikon
Parametry zobrazení
30. Menu Editace
Krok zpět
Přenes
Zkopíruj
Vlož
Vymaž
31. Menu Databáze
Připojit k databázi
Nastavení projektu
Výběr katastrálního území
Vytvořit databázi a uživatele
Inicializace databáze
32. Menu Projekt
Přidej soubor
Odeber soubor
Otevři soubor
Nastavení
33. Dialogové okno Nastavení
Prostředí
Řazení:
Pořadí souřadnic:
Seznamy:
Vyhledávání bodů:
Nastavení internetu:
Další volby:
Zakládací soubory
Formát nově zakládaných datových souborů
Vzhled aplikace
Vstup/výstup
Počet desetinných míst:
Čísla bodů
Měřítkový koeficient pro převod délek do roviny zobrazení:
Délkové jednotky:
Úhlové jednotky:
Zeměpisné souřadnice:
Ukládání bodů do seznamů souřadnic
Přenos bodů do databáze
Výpočty
Dávkový výpočet:
Volné stanovisko
Nabízet jako orientace:
Různé:
Váhy směrů při orientaci osnov
Váhy převýšení
Tolerance
Redukce
Redukce:
Charakteristiky bodů
Přičítání redukce:
Záznamník
Záznamník:
Měřená data:
Souřadnice:
Volby:
Kódování souboru:
Teodolit
Název teodolitu:
Střední chyby:
Kolimační chyba:
Indexová chyba:
Kódování bodů
Kódovací tabulka:
Nastavení:
Tabulka typů:
Protokol
Volby:
Font na obrazovku / pro tisk
Vstupní / výstupní formát souřadnic
Vstupní / výstupní formát měření
DXF
Hlavička:
Zaměnit X a Y:
3D:
Redukovat:
Koeficient X/Y/Z:
Vrstvy:
Výška textu:
Font pro čísla bodů/ výšky / popisy:
Aktualizace číselníků
34. Menu Přehledka
Atributy zobrazení
Vrstvy
Vše
Zvětšit
Zmenšit
Výřez
Vybrat prvek
Smazat prvrek
Umístit linii
35. Menu DTM (Digitální technická mapa)
Importovat body
Uložit body
Uložit změny
Synchronizovat
Odstranit smazané body
Kontrola identických bodů
Předcházející |  | Další
Odeslání zpracované GAD do DMVS | Domů | Kapitola 22. Práce s referenční příručkou


Kapitola 22. Práce s referenční příručkou
Předcházející Část II. Referenční příručka Další

Kapitola 22. Práce s referenční příručkou

Referenční příručka obsahuje seznam všech dostupných příkazů z menu programu Groma. U všech příkazů je stručně popsána jejich funkce, včetně ukázek dialogových oken.

Předcházející | Nahoru | Další
Část II. Referenční příručka | Domů | Kapitola 23. Hlavní menu


Kapitola 23. Hlavní menu
Předcházející Část II. Referenční příručka Další

Kapitola 23. Hlavní menu

V horní části hlavního okna programu je zobrazeno hlavní menu. Zobrazené položky tohoto menu závisí na typu aktivního datového okna. Před otevřením prvního okna menu obsahuje pouze položky Soubor, Výpočty, Nástroje a Nápověda, v nichž je nabídka nutná pro konfiguraci programu a otevření datového souboru.

Po otevření prvního souboru je zobrazeno plné menu. Menu vždy obsahuje položky základního menu. Ostatní položky menu jsou závislé na typu aktivního okna a průběžně se mění.

Tabulka 23.1. Položky v menu

Typ aktivního okna | Položka hlavního menu
Seznam souřadnic | Editace, Měření, Okno
Seznam naměřených hodnot | Editace, Souřadnice, Okno
Grafika | Plán, Okno
Rastrová data | Bitová mapa, Okno
Protokol | Editace, Okno
Text | Editace, Okno
Projekt | Projekt, Okno

Předcházející | Nahoru | Další
Kapitola 22. Práce s referenční příručkou | Domů | Kapitola 24. Menu Soubor


Kapitola 24. Menu Soubor
Předcházející Část II. Referenční příručka Další

Kapitola 24. Menu Soubor

Obsah

Nový
Otevři
Ulož
Ulož jako
Statistika
Protokolování
Označování vybraných záznamů
Import
Zavři všechny
Komprese souboru
Indexování souboru
Informace o souboru
Aktivní seznam souřadnic
Nastavení
Manažer konfigurací
Konfigurace:
Umístění
Název konfigurace
Vytvořit kopii
Vytvořit novou
Odstranit
CAD nastavení
Tisk
Nastavení tiskárny
Zobraz protokol z výpočtu
Ulož protokol z výpočtu
Zobraz hlášení a komentáře
Konec

Příkazy menu Soubor slouží k manipulaci se soubory, tisku a ukončení programu.

Nový

Pomocí tohoto příkazu můžete založit nový soubor. Po vyvolání příkazu je zobrazeno dialogové okno, v němž si můžete zvolit typ souboru, který chcete založit (seznam souřadnic, seznam měření, protokol, textový soubor nebo projekt). Po potvrzení volby je zobrazeno prázdné datové okno příslušného typu. Okno je označeno názvem Nepojmenovaný a pořadovým číslem dočasného souboru. Chcete-li soubor zachovat, uložte jej příkazem Soubor → Ulož jako, jinak bude po zavření automaticky zrušen (program vás při zavírání souboru na tuto skutečnost upozorní).

Založení nového souboru

Přepínačem ve spodní části okna můžete zvolit, zda si přejete založit soubory ve starém formátu (.crd, .mes) nebo v novém (.crds, .mess).

Poznámka

Před touto volbou má přednost případné nastavení zakládacího souboru v Soubor → Nastavení → Prostředí. Pokud je nastaven zakládací soubor, je použit vždy při vytváření nového souboru jakýmkoli způsobem, tedy i při vytváření souboru pomocí tohoto okna.

Předcházející | Nahoru | Další
Kapitola 23. Hlavní menu | Domů | Otevři


Otevři
Předcházející Kapitola 24. Menu Soubor Další

Otevři

Tento příkaz slouží k otevření nového souboru, nebo k otevření nového okna souboru, který je již otevřen. Po jeho vyvolání se objeví dialogové okno pro volbu souboru.

Před volbou jména souboru musíte nejprve nastavit typ souboru (v levé spodní části okna). Soubory ve vnitřním formátu programu Groma (.crd, .mes, .pic, .bmp, .prj) jsou přímo otevřeny, ostatní soubory program nejprve importuje do vnitřního formátu, a teprve potom vzniklý soubor otevře. Z toho vyplývá, že veškeré změny v souboru provedené se ukládají do souboru ve vnitřním formátu, zatímco původní soubor zůstává beze změny. V seznamu můžete v případě souborů ve vnitřním formátu systému Groma označit více souborů pomocí kláves Shift a Ctrl.

Importujete-li seznam měření nebo seznam souřadnic z formátu zápisníku, musíte nejprve nastavit v dialogovém okně Soubor → Nastavení → Záznamník typ záznamníku a formátu, se kterým pracujete. Seznam typů souborů v dialogovém okně pro otevření souboru obsahuje položky pro import měření, které se mění podle právě nastaveného typu záznamníku.

Pomocí tohoto společného dialogového okna můžete otevírat také uložené výpočty (polygonové pořady, výměry, kontrolní oměrné, transformační klíč), i soubory z rozšiřujících modulů (vyrovnání sítě, trasa komunikace, geometrické plány).

Předcházející | Nahoru | Další
Kapitola 24. Menu Soubor | Domů | Ulož


Ulož
Předcházející Kapitola 24. Menu Soubor Další

Ulož

Příkaz slouží k uložení textového souboru, protokolu nebo projektu na disk. Pro ostatní typy souborů není tento příkaz aktivní, protože se tyto soubory zapisují na disk automaticky po každé změně.

Předcházející | Nahoru | Další
Otevři | Domů | Ulož jako


Ulož jako
Předcházející Kapitola 24. Menu Soubor Další

Ulož jako

Příkaz slouží k uložení souboru pod jiným jménem, případně v jiném formátu. Lze použít pouze u seznamů, tj. souřadnicového souboru a souboru s naměřenými daty, protokolů a textových souborů.

Chcete-li do souboru zapsat pouze vybrané údaje, zvolte položku Uložit body: Označené. Program potom do výsledného souboru zapíše pouze ty položky, které jsou v aktuálním souboru označeny.

Předcházející | Nahoru | Další
Ulož | Domů | Statistika


Statistika
Předcházející Kapitola 24. Menu Soubor Další

Statistika

Dialogové okno slouží k zobrazení statistiky o položkách seznamu.

Statistické informace o souboru

V okně jsou po zadání a zpracování souboru zobrazeny tyto informace:

Tabulka 24.1. Informace o katastrálních územích nalezených v seznamu

Sloupec | Informace
Počet | Počet položek seznamu z uvedeného katastrálního území
Číslo | Šestimístné číslo katastrálního území podle číselníku ISKN
Název | Název katastrálního území podle číselníku ISKN

Tabulka 24.2. Informace o předčíslích použitých v seznamu

Sloupec | Informace
Počet | Počet položek seznamu s uvedeným předčíslím
Předčíslí | Jedenáctimístné předčíslí bodu
Číslo k.ú. | Šestimístné číslo katastrálního území podle číselníku ISKN (prvních 6 číslic z předčíslí)
Číslo ZPMZ | Pětimístné číslo Záznamu podrobného měření změn (posledních 5 číslic z předčíslí)
Minimální číslo bodu | Nejnižší použité číslo bodu daného předčíslí (v daném ZPMZ)
Maximální číslo bodu | Nejvyšší použité číslo bodu daného předčíslí (v daném ZPMZ)

Tabulka 24.3. Informace o kódech bodů použitých v seznamu

Sloupec | Informace
Počet | Počet položek seznamu obsahujících uvedený kód. Složené kódy jsou rozděleny podle nastaveného oddělovače a do statistiky jsou započítány všechny dílčí kódy samostatně.
Kód | Kód bodu (v případě použití kódovací tabulky převedený na popis)

Tabulka 24.4. Informace o kódech kvality bodů použitých v seznamu

Sloupec | Informace
Počet | Počet položek seznamu s uvedeným kódem kvality bodu
Kód kvality | Kód kvality

Tabulka 24.5. Informace o typech pořízení bodů použitých v seznamu

Sloupec | Informace
Počet | Počet položek seznamu s uvedeným typem pořízení bodu
Typ pořízení | Typ pořízení

Protokolování

Po zpracování statistiky je tabulka s informacemi zapsána do protokolu.

Označování vybraných záznamů

Všechny záznamy ve všech tabulkách mají jako první sloupec zaškrtávací pole. Pokud některé záznamy zaškrtnete, pomocí tlačítka Označit vybrané můžete nechat příslušné položky v seznamu označit. Před označením vybraných položek bude stávající označení zrušeno, budou tedy označeny pouze zvolené položky, nikoli ty, které byly označeny již předtím.

Předcházející | Nahoru | Další
Ulož jako | Domů | Import


Import
Předcházející Kapitola 24. Menu Soubor Další

Import

Tento příkaz slouží k importu souborů, které nejsou ve vnitřním formátu systému Groma. Po jeho vyvolání se objeví dialogové okno pro volbu souboru.

Při importu bude vytvořena kopie importovaného souboru ve vnitřním formátu systému Groma a zároveň bude otevřena. Nadále bude aplikace pracovat s touto kopií, původní importovaný soubor zůstává beze změny.

Importovaný soubor lze příkazem Přidat do aktivního souboru přímo připojit k souboru otevřenému v systému Groma. Importované položky budou zařazeny do stávajícího souboru podle nastaveného způsobu řazení (seznam souřadnic), nebo přidány na konec souboru (seznam měření). V dialogovém okně pro výběr importovaného souboru lze označit více souborů stejného formátu a importovat je najednou.

Předcházející | Nahoru | Další
Statistika | Domů | Zavři všechny


Zavři všechny
Předcházející Kapitola 24. Menu Soubor Další

Zavři všechny

Tímto příkazem lze zavřít najednou všechny otevřené soubory (a všechna otevřená okna).

Předcházející | Nahoru | Další
Import | Domů | Komprese souboru


Komprese souboru
Předcházející Kapitola 24. Menu Soubor Další

Komprese souboru

Program provede kompresi datového souboru. Při kompresi jsou ze souboru vypuštěny všechny smazané položky a ostatní položky jsou uloženy setříděné, což může výrazně zrychlit případné příští indexování. Původní soubor je uložen jako záložní (souřadnicový s příponou .~cr, soubor s měřenými daty s příponou .~me).

Předcházející | Nahoru | Další
Zavři všechny | Domů | Indexování souboru


Indexování souboru
Předcházející Kapitola 24. Menu Soubor Další

Indexování souboru

Program vytvoří k datovému souboru nový indexový soubor. Za normálních okolností není třeba indexový soubor tímto způsobem tvořit, program se o jeho aktualizaci stará sám. Tento příkaz použijte pouze máte-li důvod se domnívat, že informace, které vidíte na obrazovce, nesouhlasí se skutečnými údaji v datovém souboru.

Předcházející | Nahoru | Další
Komprese souboru | Domů | Informace o souboru


Informace o souboru
Předcházející Kapitola 24. Menu Soubor Další

Informace o souboru

Tento příkaz vyvolá dialogové okno, které obsahuje informace o aktuálním souboru (počet položek, datum vytvoření atd.). Zde můžete definovat až 32znakový popis souboru, který je zobrazován v dialogovém okně při otevírání souboru.

Informace o souboru

Editační okna pro nastavení počtu desetinných míst slouží k nastavení počtu desetinných míst pro tento konkrétní soubor a mají přednost před globálním nastavením aplikace. Podrobnosti jsou uvedeny v kapitole Počet desetinných míst a zaokrouhlování.

Přepínač Povolit duplicitní body slouží k povolení nebo zakázání duplicitních bodů pro tento konkrétní soubor a mají přednost před globálním nastavením aplikace. Podrobnosti jsou uvedeny v kapitole Duplicitní čísla bodů v seznamu souřadnic.

Informace můžete nastavit pro seznamy souřadnic a seznamy naměřených hodnot.

Předcházející | Nahoru | Další
Indexování souboru | Domů | Aktivní seznam souřadnic


Aktivní seznam souřadnic
Předcházející Kapitola 24. Menu Soubor Další

Aktivní seznam souřadnic

Volba aktivního seznamu souřadnic

Při práci s více seznamy souřadnic najednou je vhodné mít jeden z nich označen jako aktivní. Není-li nastavena volba hledání bodů ve všech otevřených souborech (Soubor → Nastavení → Prostředí), jsou body vyhledávány pouze v aktivním seznamu souřadnic. Některé výpočetní úlohy (např. polární metoda) do aktivního seznamu souřadnic automaticky ukládají všechny vypočtené body.

Tip

Informace o zvoleném aktivním seznamu souřadnic jsou zobrzeny na stavovém řádku hlavního okna aplikace.

Předcházející | Nahoru | Další
Informace o souboru | Domů | Nastavení


Nastavení
Předcházející Kapitola 24. Menu Soubor Další

Nastavení

Po tomto příkazu je zobrazeno dialogové okno se záložkami, pomocí něhož lze konfigurovat systém Groma. Jednotlivé položky tohoto nastavení jsou popsány dále (dialogové okno Nastavení).

Předcházející | Nahoru | Další
Aktivní seznam souřadnic | Domů | Manažer konfigurací


Manažer konfigurací
Předcházející Kapitola 24. Menu Soubor Další

Manažer konfigurací

Po tomto příkazu je zobrazeno dialogové okno pro manipulaci s konfiguracemi. Pomocí něho lze vytvářet a mazat soubory s konfiguracemi a vybírat aktivní konfiguraci.

Manažer konfigurací

Konfigurace:

V rámečku je uveden seznam všech dostupných konfigurací. Program nabízí všechny konfigurace, které nalezne v adresáři pro konfigurační soubory. Umístění konfiguračních souborů lze ovlivnit pomocí parametrů při spuštění nebo prostřednictvím souboru network.ini.

Umístění

Zde je zobrazena cesta, v níž systém Groma hledá konfigurační soubory. Tento parametr nelze měnit přímo, ale pouze pomocí parametrů při spuštění nebo souboru network.ini.

Název konfigurace

Zde lze každý konfigurační soubor pojmenovat. Nebyl-li pojmenován, je v seznamech konfigurací identifikován pomocí názvu souboru. Přejete-li si jej pojmenovat, zadejte zde jméno a stiskněte tlačítko Uložit.

Vytvořit kopii

Po stisknutí tohoto tlačítka bude vytvořena kopie konfigurace, která je vybrána v seznamu konfigurací.

Vytvořit novou

Po stisknutí tohoto tlačítka bude vytvořena kopie základní konfigurace, která je uložena v souboru groma.ini v instalačním adresáři systému Groma.

Odstranit

Po stisknutí tohoto tlačítka bude odstraněn vybraný konfigurační soubor.

Předcházející | Nahoru | Další
Nastavení | Domů | CAD nastavení


CAD nastavení
Předcházející Kapitola 24. Menu Soubor Další

CAD nastavení

Po tomto příkazu je zobrazeno dialogové okno, které slouží pro nastavení atributů zobrazení bodů při propojení s některým CAD systémem (DesignCAD, IntelliCAD).

Okno obsahuje seznam konfigurací, z něhož lze volit pouhým ukázáním na příslušnou položku. Chcete-li do seznamu přidat další konfiguraci, vyplňte v dialogovém okně všechny atributy pro jednotlivé složky bodu (bod, předčíslí, číslo, výška, kód). Zaškrtněte ty položky, které mají být do výkresu při přenesení bodu zaznamenány. U číselných údajů můžete nastavit také počet znaků, počet desetinných míst a další volby. Po zadání názvu konfigurace stisknutí tlačítka Přidat bude konfigurace přidána do seznamu.

Předcházející | Nahoru | Další
Manažer konfigurací | Domů | Tisk


Tisk
Předcházející Kapitola 24. Menu Soubor Další

Tisk

Umožňuje vytisknout seznam souřadnic nebo vykreslit obrázek na plotteru. Před zahájením tisku musíte nejprve zvolit příslušné výstupní zařízení.

Po vyvolání tohoto příkazu se objeví dialogové okno, jehož podoba se liší v závislosti na typu okna, které chcete vytisknout.

Předcházející | Nahoru | Další
CAD nastavení | Domů | Nastavení tiskárny


Nastavení tiskárny
Předcházející Kapitola 24. Menu Soubor Další

Nastavení tiskárny

Před tiskem (kreslením) musíte nejprve nastavit výstupní zařízení. V programu se nastavuje zvlášť zařízení pro textový výstup, na němž budou tisknuty seznamy (obvykle tiskárna), a zařízení pro grafický výstup, na němž bude vykreslována grafika (obvykle plotter).

Tento příkaz zobrazí dialogové okno pro výběr obou zařízení, z něhož je možno nastavit i jejich konfiguraci (pokud to příslušné drivery umožňují).

Předcházející | Nahoru | Další
Tisk | Domů | Zobraz protokol z výpočtu


Zobraz protokol z výpočtu
Předcházející Kapitola 24. Menu Soubor Další

Zobraz protokol z výpočtu

Zobrazení lokálního protokolu

Tento příkaz zobrazí dialogové okno s lokálním protokolem z posledního výpočtu. Příkaz je ekvivalentní stisknutí tlačítka Protokol v kterémkoli výpočetním okně.

Dialogové okno s lokálním protokolem je nemodální, může být tedy stále otevřené. Je-li během výpočtu otevřené, změny v lokálním protokolu se v něm zobrazují okamžitě.

Chcete-li lokální protokol uložit do celkového protokolu, stiskněte tlačítko Uložit.

Předcházející | Nahoru | Další
Nastavení tiskárny | Domů | Ulož protokol z výpočtu


Ulož protokol z výpočtu
Předcházející Kapitola 24. Menu Soubor Další

Ulož protokol z výpočtu

Pomocí tohoto příkazu můžete uložit lokálním protokol aniž byste museli otevírat dialogové okno lokálního protokolu. Tento způsob ukládání je poněkud rychlejší, a s výhodou jej můžete použít i v případě, že je lokální protokol větší, než lze zobrazit ve standardním editačním okně (omezení Windows 95 - v takovém případě nemůže být dialogové okno s lokálním protokolem zobrazeno).

Předcházející | Nahoru | Další
Zobraz protokol z výpočtu | Domů | Zobraz hlášení a komentáře


Zobraz hlášení a komentáře
Předcházející Kapitola 24. Menu Soubor Další

Zobraz hlášení a komentáře

Tento příkaz zobrazí dialogové okno se seznamem komentářů a chybových hlášení, která byla vygenerována v průběhu práce s programem.

Tip

Dialogové okno lze zobrazit i poklepáním na oblast systémových informací v levém spodním rohu hlavního okna, na stavovém řádku hlavního okna aplikace.

Systémová hlášení a komentáře

V horní části okna jsou tučně zobrazena nová hlášení, která byla zaznamenána od posledního zobrazení tohoto okna. Ve spodní části jsou zobrazena starší hlášení, která již byla zobrazena dříve. Po potvrzení obsahu okna tlačítkem OK jsou nová hlášení přesunuta do archivu, takže po příštím otevření okna budou zobrazena ve spodní části. Po uzavření okna bez potvrzení tlačítkem OK budou nová hlášení ponechána mezi novými.

Dialogové okno s komentáři je nemodální, může být tedy stále otevřené. Je-li během výpočtu otevřené, nové komentáře se v něm zobrazují okamžitě.

Předcházející | Nahoru | Další
Ulož protokol z výpočtu | Domů | Konec


Konec
Předcházející Kapitola 24. Menu Soubor Další

Konec

Tento příkaz ukončí práci s programem Groma. Před ukončením jsou zapsány všechny indexové soubory, a do inicializačního souboru jsou uloženy informace o otevřených oknech, takže jsou při příštím spuštění programu všechna okna opět automaticky otevřena a umístěna na obrazovce tak, jak byla umístěna při ukončení programu.

Předcházející | Nahoru | Další
Zobraz hlášení a komentáře | Domů | Kapitola 25. Menu Souřadnice / Měření


Kapitola 25. Menu Souřadnice / Měření
Předcházející Část II. Referenční příručka Další

Kapitola 25. Menu Souřadnice / Měření

Obsah

Mazání položek
Edituj položku
Najdi položku
Překódování podle tabulky
Obnova smazaných položek
Do protokolu

Mazání položek

Položky v seznamech lze mazat pomocí klávesy Del, volbou Editace → Vymaž nebo Editace → Přenes

Jsou-li v seznamu některé položky označeny, program smaže je (po dotazu Smazat všechny označené položky?).

Není-li žádná položka označena, program smaže položku, na níž je umístěn kurzor (po dotazu Smazat zvolenou položku?).

Byly-li položky smazány příkazem Editace → Přenes, program je přenesl do schránky, z níž mohou být příkazem Editace → Vlož vloženy do libovolného jiného datového okna nebo jako text do jiné aplikace (MS Excel, textové editory apod.). Vkládané souřadnice jsou zařazeny podle čísel, měřená data jsou vložena před aktuální pozici kurzoru.

Předcházející | Nahoru | Další
Konec | Domů | Edituj položku


Edituj položku
Předcházející Kapitola 25. Menu Souřadnice / Měření Další

Edituj položku

Po vyvolání tohoto příkazu se zobrazí dialogové okno pro editaci položky, na níž je zobrazen kurzor. Editaci lze vyvolat i dvojitým kliknutím myší na libovolnou položku seznamu.

Dialogové okno je jiné pro editaci v seznamu souřadnic a v seznamu měření.

Předcházející | Nahoru | Další
Kapitola 25. Menu Souřadnice / Měření | Domů | Najdi položku


Najdi položku
Předcházející Kapitola 25. Menu Souřadnice / Měření Další

Najdi položku

Po vyvolání tohoto příkazu je kurzor přesunut do editačního okna pro vyhledávání bodu. Píšete-li v něm číslo bodu, resp. editujete-li jej, program automaticky umisťuje kurzor na první nalezený bod daného čísla. Chcete-li nalézt další bod daného čísla, stiskněte klávesu Šipka Dolů. Chcete-li nalézt předchozí bod daného čísla, stiskněte klávesu Šipka Nahoru.

Předcházející | Nahoru | Další
Edituj položku | Domů | Překódování podle tabulky


Překódování podle tabulky
Předcházející Kapitola 25. Menu Souřadnice / Měření Další

Překódování podle tabulky

Pomocí tohoto příkazu můžete do datového souboru na místo kódů přenést popisy podle nastavené kódovací tabulky (popisy, které jsou zobrazeny na obrazovce).

Varování

Při ukládání do starých typů souborů (.crd, .mes) budou popisy oříznuty na maximální délku 20 znaků.

Předcházející | Nahoru | Další
Najdi položku | Domů | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 25. Menu Souřadnice / Měření Další

Obnova smazaných položek

Při mazání program v datovém souboru jednotlivé položky označí jako smazané, ale fyzicky data v souboru zůstávají. Odstraněny jsou až při kompresi souboru. Pokud tedy některé položky smažete, a později je potřebujete opět obnovit, a nemůžete použít funkci Krok zpět (soubor byl mezitím uzavřen, indexován apod.), můžete použít tuto funkci. Položky jsou obnoveny vždy do nového souboru, který je automaticky vytvořen (při obnově obvykle vzniknou nekonzistentní data - duplicitní body, měřené body bez hlavičky stanoviska apod.). Z tohoto souboru můžete potřebné údaje zkopírovat do kteréhokoli souboru.

Předcházející | Nahoru | Další
Překódování podle tabulky | Domů | Do protokolu


Do protokolu
Předcházející Kapitola 25. Menu Souřadnice / Měření Další

Do protokolu

Tímto příkazem vypíšete seznam souřadnic nebo měření do protokolu. Jsou-li v seznamu označeny některé položky, jsou do protokolu uloženy pouze ony, jinak je vypsán celý seznam. Souřadnice lze do protokolu zapsat i pomocí schránky (do hlavního okna s protokolem) nebo přetažením myší (do dialogového okna s lokálním protokolem).

Do protokolu jsou zapisovány ty sloupce s údaji, které jsou zapnuty v datovém okně.

Předcházející | Nahoru | Další
Obnova smazaných položek | Domů | Kapitola 26. Menu Souřadnice


Kapitola 26. Menu Souřadnice
Předcházející Část II. Referenční příručka Další

Kapitola 26. Menu Souřadnice

Obsah

Přidej položku do seznamu souřadnic
Editace bodu v seznamu souřadnic
Parametry zobrazení
Hromadné označování v seznamu souřadnic
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu souřadnic
Typ změny
Funkční vztahy
Vlastnosti bodu
Další možnosti úprav
Označování bodů
Přečíslování seznamu souřadnic
Volba vstupního a výstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zobrazit graficky
Roztřídění dle mapových listů
Porovnání souřadnic
Matematické vztahy
Způsob zadání požadované střední souřadnicové chyby
Další nastavení porovnání
Protokolování
Porovnání jednotlivých bodů
Kontrola číslování bodů
Kontrola duplicitních čísel
Vyhledání identických bodů
Odstranění identických bodů
Dávkové průměrování souřadnic
Průměrování souřadnic bodů s totožnými identifikátory
Průměrování souřadnic bodů s identifikátory s totožným základem
Průměrování souřadnic bodů s totožnými kódy
Průměrování souřadnic souvislých bloků bodů
Průměrování souřadnic označených bodů
Časový test GPS měření
Postup při dávkovém průměrování souřadnic
Zaokrouhlení souřadnic
Dvojí souřadnice
Uložit body do databáze
Uložit změny do databáze
Odstranit smazané body z databáze
Synchronizovat seznam s databází

Nabídka obsahuje nástroje pro práci se seznamem souřadnic.

Přidej položku do seznamu souřadnic

Tímto příkazem lze přidávat položky do seznamů souřadnic. Po jeho vyvolání program zobrazí příslušné editační okno, v němž můžete definovat potřebné hodnoty.

Přidávání bodu do seznamu souřadnic

Dialogové okno je nemodální, mezi jednotlivými položkami se tedy můžete pohybovat i klávesou Enter.

Abyste nemuseli potvrzovat údaje, které nezadáváte, popř. které se nemění, můžete některé položky vypnout pomocí zaškrtávacího okénka vpravo od příslušné položky. Vypnutá okna budou při zadávání automaticky vynechávána. Vypnete-li číslo bodu, bude automaticky zvyšováno o jedničku, nebudete je však muset neustále potvrzovat. Vypnete-li nastavený kód, bude bez potvrzování přiřazen všem dalším bodům až do příští změny.

U bodu lze zadat tyto skupiny údajů:

  • Popisné informace k bodu: zde lze zadat číslo bodu, kód, popis, poznámku, charakteristiku kvality, datum zaměření a další popisné informace.

  • Primární geometrii (polohu): zde lze zadat primární (hlavní) polohu bodu.

  • Atributy bodu: zde lze nastavit vlastnosti bodu:

    • Zamčený bod

    • Zvýrazněný bod

    • Pomocný bod

    • Deaktivovaný bod

  • Sekundární geometrii (druhé souřadnice): zde lze editovat sekundární (vedlejší) polohu bodu. Vedlejší souřadnice se používají např. při práci v katastru nemovitostí pro ukládání souřadnic polohy. Pro práci s vedlejšími souřadnicemi slouží nástroj Souřadnice → Dvojí souřadnice.

  • Uživatelské informace: zde lze zadat další max. čtyři číselné údaje, které mohou být u bodu zaznamenány.

Po zadání posledního potřebného údaje je bod automaticky přidán do seznamu, ve všech oknech příslušného seznamu je na něj umístěn kurzor a číslo bodu je zvýšeno o jedničku. Předčíslí nemusíte potvrzovat, chcete-li je změnit, dostanete se na něj pomocí myši nebo klávesy Shift-Tab.

Bod je zařazen do seznamu podle nastaveného způsobu řazení bodů.

Přidáváte-li do seznamu souřadnic bod s číslem, které již v seznamu existuje (a nejsou-li v nastavení programu povoleny duplicity), program zobrazí okno s nabídkou možností uložení již existujícího bodu.

Předcházející | Nahoru | Další
Do protokolu | Domů | Editace bodu v seznamu souřadnic


Editace bodu v seznamu souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Editace bodu v seznamu souřadnic

Dialogové okno slouží k editaci jednotlivých bodů v seznamu souřadnic.

Editace bodu v seznamu souřadnic

U bodů lze editovat tyto skupiny údajů:

  • Popisné informace k bodu: zde lze editovat číslo bodu, kód, popis, poznámku, charakteristiku kvality, datum zaměření a další popisné informace.

  • Primární geometrii (polohu): zde lze editovat primární (hlavní) polohu bodu. Poloha může být zadána v pravoúhlých rovinných souřadnicích XYZ nebo v zeměpisných souřadnicích BLH. Jedna z těchto geometrií je pevně definovaná, druhá je dynamicky dopočítávána pomocí transformace ETRS89 - S-JTSK. Pomocí přepínače u obou typů geometrie volíte, která geometrie je pevná a která dopočítávaná. V seznamech souřadnic je pevná geometrie zobrazována normálním písmem a dopočítávaná kurzívou.

  • Atributy bodu: zde lze nastavovat nebo rušit vlastnosti bodu:

    • Zamčený

    • Zvýrazněný

    • Pomocný

    • Deaktivovaný

  • Sekundární geometrii (druhé souřadnice): zde lze editovat sekundární (vedlejší) polohu bodu. Vedlejší souřadnice se používají např. při práci v katastru nemovitostí pro ukládání souřadnic polohy. Pro práci s vedlejšími souřadnicemi slouží nástroj Souřadnice → Dvojí souřadnice.

  • Uživatelské informace: zde lze editovat další max. čtyři číselné údaje, které mohou být u bodu zaznamenány.

V oddílu Redukce lze otevřít okno Soubor → Nastavení → Redukce, které slouží k nastavení redukcí souřadnic a předčíslí bodu.

Předcházející | Nahoru | Další
Kapitola 26. Menu Souřadnice | Domů | Parametry zobrazení


Parametry zobrazení
Předcházející Kapitola 26. Menu Souřadnice Další

Parametry zobrazení

Parametry zobrazení seznamu sou5adnic

Pokud některé z údajů, zobrazovaných v seznamech, nepoužíváte (např. typ bodu, výška apod.), můžete pomocí tohoto příkazu příslušné sloupce vypnout. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (tj. nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech a při ukládání seznamů do protokolu.

Předcházející | Nahoru | Další
Editace bodu v seznamu souřadnic | Domů | Hromadné označování v seznamu souřadnic


Hromadné označování v seznamu souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Hromadné označování v seznamu souřadnic

Dialogové okno slouží k označování položek v seznamu podle zadaných kritérií.

Označování položek v seznamu souřadnic

Způsoby označování

Dialogové okno umožňuje čtyři způsoby označování:

  1. Označování podle hodnot

    V okně můžete zadat dolní a/nebo horní meze pro údaje uložené v seznamu.

    Zadáte-li u některé z položek pouze maximální hodnotu, program označí všechny položky, u nichž není tato maximální hodnota překročena. Obdobně, zadáte-li pouze minimální hodnotu, program označí v seznamu všechny položky, u nich není příslušná hodnota menší, než zadaná mez.

    Zadáváte-li kritéria pro předčíslí, číslo nebo kód, můžete navíc kromě spodní a horní meze zadat masku. V masce lze vypsat znaky, které si přejete testovat, a ostatní znaky, na nichž vám nezáleží, můžete nahradit znakem '?'. Všechny zbývající znaky můžete nahradit znakem '*'.

    Tabulka 26.1. Příklady použití masky při označování

    Údaj | Maska | Označí
    Předčíslí | 700215????? | Všechny body s kódem katastrálního území 700215, bez ohledu na ZPMZ
    Předčíslí | 700215* | Všechny body s kódem katastrálního území 700215, bez ohledu na ZPMZ
    Číslo | VRT* | Všechny body s alfanumerickým názvem začínajícím textem 'VRT'
    Číslo | VRT2? | Všechny body s alfanumerickým názvem začínajícím textem 'VRT2', tedy např. body VRT20 - VRT29
    Kód | HR* | Všechny body s kódem začínajícím textem 'HR', tedy např. 'HRN', 'HRD'

    Můžete zvolit i režim označování:

    • Nové označení: Program označí pouze položky, vyhovující kritériím. U položek dříve označených označení zruší.

    • Přidat k označeným: Program všechny položky, které vyhovují kritériím, přidá k položkám dříve označeným.

    • Ubrat od označených: Program všechny položky, které vyhovují kritériím, odebere od položek dříve označených.

    Dále můžete zvolit, zda má program označit položky, u nichž je splněna alespoň jedna z uvedených podmínek, nebo pouze položky, u nichž jsou splněny podmínky všechny. Vlastní označení spustíte stisknutím tlačítka Označ.

  2. Označování pomocí referenčního souboru

    Po zadání referenčního souboru (seznamu souřadnic nebo seznamu měření) v rámečku Referenční soubor můžete označovat položky v daném seznamu v závislosti na označení v referenčním souboru:

    • Označit body existující v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru.

    • Označit body neexistující v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla neexistují v referenčním souboru.

    • Označit body označené v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru, a které jsou v referenčním souboru označeny.

  3. Označování pomocí předdefinovaných možností

    • Označit zamčené Tímto tlačítkem označíte všechny zamčené položky v seznamu. Přejete-li si označit naopak odemčené položky, označte tímto způsobem zamčené položky a stisknutím klávesy * na numerické klávesnici zaměňte označené za neoznačené.

    • Označit alfanumerické Tímto tlačítkem označíte v seznamu všechny položky s alfanumerickým identifikátorem.

    • Označit zvýrazněné Tímto tlačítkem označíte v seznamu všechny zvýrazněné položky (položky uvedené v seznamu tučně).

    • Označit pomocné Tímto tlačítkem označíte v seznamu všechny pomocné body (body s atributem Pomocný, uvedené v seznamu kurzívou).

    • Označit deaktivované Tímto tlačítkem označíte v seznamu všechny deaktivované body (body s atributem Deaktivovaný, uvedené v seznamu šedě).

    • Označit všechny Tímto tlačítkem označíte všechny položky v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy + na numerické klávesnici.

    • Zrušit označení Tímto tlačítkem zrušíte označení všech položek v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy - na numerické klávesnici.

    • Zaměnit označení Tímto tlačítkem změníte označené položky za neoznačené a naopak. Téhož výsledku lze dosáhnout stisknutím klávesy * na numerické klávesnici.

    • Smazat nastavení Tímto tlačítkem vymažete veškerá nastavení zadaná do dialogového okna pro označování.

  4. Označování pomocí seznamu čísel bodů

    Pomocí tlačítka Uložit seznam označených bodů lze zapsat seznam čísel aktuálně označených bodů do souboru. Pomocí tlačítka Načíst seznam označených bodů lze podle uloženého seznamu opět body označit.

    Označování načtením seznamu čísel bodů respektuje nastavení režimu označení, tedy podle nastavení body ze seznamu přidává k již označeným, odebírá od již označených, nebo provede nové označení.

    Tentýž seznam čísel lze použít v okně Souřadnice → Označ i Měření → Označ

    Další podrobnosti o seznamu čísel bodů jsou uvedeny v Uživatelské příručce.

Režimy označování podle kódů

Kód bodu je alfanumerický údaj, v němž může být uložen jak číselný, tak textový kód. Pro zpracování v systému Groma jsou obě varianty rovnocenné, jediné místo, kde se zpracování textových a číselných kódů liší, je právě označování v seznamech podle kódů.

  • Alfanumerický režim

    Při alfanumerickém způsobu práce s kódy jsou všechny kódy považovány za textové, bez ohledu na to, zda obsahují textové údaje, nebo pouze čísla. Z toho vyplývá, že při zadání mezí jsou kódy porovnávány textově, tj. kód "roh" je považován za větší, než kód "hrana", ale zároveň kód "8" je považován za větší, než kód "20".

  • Numerický režim

    Při numerickém způsobu práce s kódy jsou kódy považovány za číselné, takže jsou porovnávány jako čísla. Kód "8" je tedy považován za menší, než kód "20". Všechny alfanumerické kódy, tj. kódy, které se při zpracování nepodaří převést na číslo, jsou v tomto režimu ignorovány.

To, zda bude při označování bodů použit alfanumerický nebo numerický režim, se řídí kódy zadanými v dialogovém okně pro označování. Jestliže jsou zadané kódy čistě číselné, proběhne označování v numerickém režimu. Pokud je alespoň jeden ze zadaných kódů alfanumerický (obsahuje-li alespoň jeden nečíselný znak), proběhne označování v alfanumerickém režimu.

Předcházející | Nahoru | Další
Parametry zobrazení | Domů | Hromadné změny v seznamu souřadnic


Hromadné změny v seznamu souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Hromadné změny v seznamu souřadnic

V seznamech souřadnic lze provádět hromadné změny. Pomocí tohoto dialogového okna lze nastavit které údaje a jakým způsobem mají být změněny.

Hromadná změna v seznamu souřadnic

Dialogové okno obsahuje rámeček pro každý údaj, který lze pomocí hromadné změny upravovat. Každý rámeček obsahuje zaškrtávací okénko Změnit, kterým volíte, které údaje budete hromadnou změnou měnit. Pokud toto okénko zapnete, program vám zpřístupní nastavení změny pro příslušný údaj. Do editačního okénka můžete zapsat číselnou konstantu nebo funkční vztah, jehož výsledkem je číselná hodnota.

Typ změny

Pod editačním okénkem můžete zvolit, jak má program při hromadné změně s výsledkem výrazu naložit. V závislost na typu údaje program nabízí všechny nebo některé z následujících možností:

  • Nastavit

    Údaj bude nastaven na zadanou hodnotu nebo výsledek zadaného výrazu, bez ohledu na původní hodnotu údaje.

  • Vynásobit

    Původní údaj bude zadanou hodnotou nebo výsledkem zadaného výrazu vynásoben. Přejete-li si původní údaj místo násobení dělit, zadejte zde převrácenou hodnotu koeficientu.

  • Přičíst

    K původnímu údaji bude zadaná hodnota nebo výsledek zadaného výrazu přičten. Přejete-li si zadanou hodnotu odečíst, zadejte ji zde s opačným znaménkem.

  • Odstranit

    Původní údaj bude ze záznamu odstraněn. Takto můžete např. odstranit výšky cíle apod. Údaj můžete ze záznamu odstranit i tak, že zvolíte volbu Nastavit a editační okénko s příslušným údajem ponecháte prázdné.

Funkční vztahy

Do editačních okének lze kromě číselných hodnot zapisovat i funkční vztahy, v nichž lze použít běžné matematické operace, konstanty a předdefinované proměnné. Předdefinované proměnné jsou uvedeny v následujících tabulkách:

Tabulka 26.2. Společné proměnné pro hromadné změny

Název proměnné | Obsah proměnné
P | Předčíslí bodu
N | Číslo bodu
NUMBER | Úplné číslo bodu
CODE | Kód/popis bodu
NOTE | Poznámka bodu
FSU | Číslo katastrálního území (z předčíslí)
ZPMZ | Číslo ZPMZ (z předčíslí)
XRED, YRED, ZRED | Redukce souřadnic dle nastavení
SCALE | Nastavený měřítkový koeficient
PI | Konstanta pi (3.14159265358979)
RO | Radian v g (63.66197723675813)

Tabulka 26.3. Proměnné pro hromadné změny v seznamu souřadnic

Název proměnné | Obsah proměnné
TYPE | Typ bodu
PREC | Kód kvality
ORIGIN | Původ bodu
PREC2 | Kód kvality vedlejších souřadnic
FSU_MER | Číslo katastrálního území MER
ZPMZ_MER | Číslo ZPMZ MER
X, Y, Z | Souřadnice X, Y, Z
X2, Y2, Z2 | Vedlejší souřadnice X, Y, Z
INFO1, INFO2, INFO3, INFO4 | Uživatelské informace 1-4

Přejete-li si tedy například přičíst k souřadnici X konstantu 100 m, můžete postupovat dvěma způsoby:

  • Do editačního okénka zadejte konstantu 100 a zvolte akci Přičíst.

  • Do editačního okénka zadejte funkční vztah X+100 a zvolte akci Nastavit.

Výsledek obou těchto postupů bude shodný.

V tomto případě je samozřejmě jednodušší první způsob, ale z příkladu je zřejmé, že druhý způsob nabízí mnohem více možností:

  • Lze jím zapsat libovolně složitou matematickou operaci.

    Ve výrazu se může objevit prakticky libovolné množství matematických operací.

  • Ve výrazu lze použít i ostatní proměnné.

    Můžete tedy zapsat např. vztah (X+Y)/2, který vypočte aritmetický průměr z obou souřadnic.

  • Lze zaměnit jednotlivé údaje.

    Tímto způsobem můžete mezi sebou údaje zaměňovat. Například lze zaměnit jednotlivé uživatelské údaje. Pokud do editačního okénka pro Info 1 zapíšete INFO2 a do editačního okénka pro Info 2 zapíšete INFO1, budou tyto dva údaje navzájem zaměněny. Obdobně můžete zaměňovat např. uživatelské informace za souřadnice, můžete tedy mít pro každý bod v jednom souboru více párů souřadnic.

Vlastnosti bodu

  • Zamčený

    Tímto třístavovým přepínačem se pracuje se zámkem bodu. Vyberete-li možnost Ano, budou všechny upravované body zamčeny. Při volbě Ne budou všechny upravované body odemčeny. Při volbě Neměnit zůstane zámek upravovaných bodů beze změny.

  • Zvýrazněný

    Tímto třístavovým přepínačem se pracuje s atributem zvýraznění bodu. Vyberete-li možnost Ano, budou všechny upravované body označeny jako zvýrazněné. Takovéto body budou v seznamu souřadnic zobrazeny tučně, a v závislosti na nastavených volbách řazení seznamu v dialogovém okně Soubor → Nastavení → Prostředí mohou být uvedeny na začátku seznamu, před ostatními body. Při volbě Ne bude upravovaným bodům atribut zvýraznění odebrán. Při volbě Neměnit zůstane tento atribut upravovaných bodů beze změny.

  • Pomocný

    Tímto třístavovým přepínačem se pracuje s atributem pomocný bod. Vyberete-li možnost Ano, budou všechny upravované body označeny jako pomocné. Při volbě Ne bude upravovaným bodům atribut pomocný odebrán. Při volbě Neměnit zůstane tento atribut upravovaných bodů beze změny.

  • Deaktivovaný

    Tímto třístavovým přepínačem se pracuje s atributem deaktivace bodu. Vyberete-li možnost Ano, budou všechny upravované body označeny jako deaktivované. Deaktivované položky nadále v seznamech zůstávají, systém je ale ignoruje. Při volbě Ne bude upravovaným bodům atribut deaktivace odebrán. Při volbě Neměnit zůstane tento atribut upravovaných bodů beze změny.

Další možnosti úprav

  • Nahrazení části kódu

    Ve skupině ovládacích prvků pro změnu kódu bodu lze zapnout vyhledání a nahrazení textu v kódu. Funkce pracuje obdobně jako nahrazování textu v textovém editoru - zadává se původní text, který má být vyhledán, a nový text, kterým má být původní text nahrazen.

    Poznámka

    S kódem bodu se v případě nahrazování pracuje jako s jedním souvislým textem. Složený kód tedy není před zpracováním rozdělen na jednotlivé kódy pomocí oddělovače kódů. Je to z toho důvodu, aby se tato funkce dala použít např. i pro sjednocení nebo změnu oddělovačů kódů.

  • Záměna X a Y

    Pomocí tlačítka Zaměnit X a Y lze u celého souboru nebo u označených bodů vzájemně zaměnit souřadnice X a Y. Tato možnost je vhodná např. načtete-li do systému Groma textový seznam souřadnic, a potom zjistíte, že v něm byly přehozeny souřadnice X a Y.

  • Změna kvadrantu

    Pomocí tlačítka Změna kvadrantu lze u celého souboru nebo u označených bodů zaměnit znaménko u souřadnic X a Y, např. pro export souřadnic do grafických systémů pracujících s matematicky orientovanou soustavou souřadnic.

Označování bodů

Po stisknutí tlačítka Označit bude zobrazeno dialogové okno pro označení položek v seznamu. Jsou-li v seznamu některé položky označeny, můžete si zvolit, zda má být změna provedena v celém souboru, nebo pouze u označených položek.

Předcházející | Nahoru | Další
Hromadné označování v seznamu souřadnic | Domů | Přečíslování seznamu souřadnic


Přečíslování seznamu souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Přečíslování seznamu souřadnic

Nemodální dialogové okno, pomocí něhož můžete přečíslovat seznam souřadnic. Zadáte vstupní soubor, výstupní soubor (doporučujeme přečíslovávat do nového souboru), a další parametry přečíslování.

Po přečíslování bude zobrazen protokol o přečíslování a naplněn seznam přiřazení čísel bodů.

Přečíslování seznamu souřadnic

Volba vstupního a výstupního souboru

Název vstupního souboru zadejte v rámečku Soubor. V případě přečíslování seznamu souřadnic můžete zadat i název výstupního souboru, takže původní soubor zůstane beze změny. To je výhodné zejména v případě, že se původní a nová číselná řada překrývají, takže by během přečíslování mohlo dojít ke konfliktům obou řad.

Doplnění předčíslí

Program umožňuje u bodů s neúplným předčíslím doplnit číslo na úplné. Pokud má předčíslí u některého bodu méně číslic než přednastavené předčíslí, bude zleva doplněno o potřebný počet číslic z předčíslí.

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko Doplnit úplná čísla bodů.

Oříznutí předčíslí

Program umožňuje u bodů s úplným předčíslím oříznout z předčíslí číslice totožné s přednastaveným předčíslím (tj. opak předchozí funkce Doplnění předčíslí).

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko Doplnit úplná čísla bodů.

Změna předčíslí

Při změně předčíslí můžete postupovat dvěma způsoby:

Nastavení konstantního předčíslí

Chcete-li při změně nastavit u všech bodů stejné předčíslí, stačí hodnotu předčíslí vyplnit do vstupního okénka. Po přečíslování dostanou všechny body zadané předčíslí.

Chcete-li předčíslí u bodů odstranit, ponechte vstupní řádek prázdný, nebo do něj zadejte hodnotu 0.

Nastavení předčíslí pomocí masky

Přejete-li si změnit některé části původního předčíslí, můžete použít změnu předčíslí pomocí masky. Maska umožňuje změnit pouze některé číslice v předčíslí. Masku lze zadat dvěma způsoby:

  • Maska s otazníky

    Zadáte-li masku ve tvaru ???xx??? (případně lze použít i ekvivalentní zápis ###xx###), budou číslice na pozicích, na nichž jsou v masce otazníky (nebo mřížky), zachovány, zatímco ostatní číslice budou nahrazeny znaky zadanými v masce.

    Původní předčíslí 12345678 by tedy po zadání masky ???9???? bylo změněno na 12395678. Znaky na pozicích otazníků by zůstaly zachovány, čtvrtá číslice předčíslí by byla nahrazena číslicí 9.

  • Maska s pozicemi

    Předchozí způsob vyhovuje v případě, že se zaměňují jednotlivé číslice, ale není třeba měnit jejich pořadí. Pokud potřebujete např. první tři číslice přesunout na konec předčíslí, předchozím způsobem toho nedocílíte. Masku však můžete zadat i tím způsobem, že na místo otazníků napíšete pozice znaků v předčíslí uzavřené v lomené závorce. (např. <8><7><6>9<4><3><2><1>).

    Vzhledem k tomu, že všechna předčíslí nemusí mít stejný počet znaků, jsou pozice číslovány nikoli zleva, ale zprava. Uvedenou maskou tedy dosáhnete stejné změny, jako v předchozím případě (výsledné předčíslí bude opět 12395678).

    Přejete-li si použít indexy počítané zleva, můžete psát číslice v lomených závorkách se znaménkem minus. Zápis <1> znamená tedy první znak zprava, zápis <-1> znamená první znak zleva. Stejného výsledku, jako v předchozím případě, lze tedy dosáhnout i pomocí masky <-1><-2><-3>9<-5><-6><-7><-8>.

    Při přečíslování pomocí masky máte navíc možnost číslice původního předčíslí libovolně přehazovat. Zadáte-li například masku <3><2><1>??<8><7><6>, budou první tři číslice zaměněny za poslední tři číslice, zatímco čtvrtá a pátá číslice zůstane beze změny. Původní předčíslí 12345678 by tedy po zadání této masky bylo změněno na 67845123.

Změna čísla

Přejete-li si změnit čísla bodů, zapněte zaškrtávacím okénkem změnu čísla a zadejte počáteční číslo bodu.

Pokud si přejete, aby krok v čísle bodu při přečíslování seznamu souřadnic byl jiný než 1, můžete jej zadat do vstupního okénka Krok. Pokud jako počáteční číslo bodu zadáte nejvyšší požadované číslo, a krok zadáte -1, bude seznam souřadnic přečíslován sestupně od zadaného čísla bodu (čímž dojde zároveň k obrácení pořadí bodů v seznamu).

V případě seznamu souřadnic lze přečíslování provést z jednoho do druhého souboru (ve starém souboru zůstanou body beze změny, nově přečíslované body budou přidány do nového souboru), nebo v rámci jednoho souboru (bodům budou čísla změněna).

Kromě standardního způsobu změny čísla lze použít i změnu čísla pomocí masky, stejně jako u předčíslí.

Přečíslování podle seznamu

Tuto možnost můžete použít v případě, že si přejete přečíslovat více seznamů stejným způsobem, tj. stejným starým číslům bodů přiřadit stejná nová čísla. Takto můžete přečíslovat seznam souřadnic, seznam měření i čísla bodů v protokolu tak, že bude zachována integrita číslování, tj. že bod stejného starého čísla dostane vždy stejné nové číslo.

Podrobněji je přečíslování podle seznamu přiřazení popsáno v kapitole Přečíslování podle seznamu přiřazení čísel bodů.

Volby

  • Přečíslovat alfanumerické

    Při zapnutí této volby budou přečíslovány i body s alfanumerickými identifikátory.

    • Zachovat znakovou část

      Obsahuje-li alfanumerický identifikátor znakovou a číselnou část (např. SACHTA27, bude znaková část, tedy SACHTA, zachována, a číselná část, tedy 27, bude přečíslována. Je-li tato volba vypnuta, celý alfanumerický identifikátor bude nahrazen novým číslem.

  • Uložit původní číslo

    Při zapnutí této volby bude původní číslo bodu uloženo do kódu nebo poznámky bodu.

    • Do kódu

      Původní číslo bodu bude uloženo do kódu bodu a umístěno dle dalších nastavení.

    • Do poznámky

      Původní číslo bodu bude uloženo do poznámky bodu a umístěno dle dalších nastavení.

    • Před text

      Je-li u bodu již nějaký kód/poznámka nastaven, bude staré číslo bodu zapsáno před něj.

    • Za text

      Je-li u bodu již nějaký kód/poznámka nastaven, bude staré číslo bodu zapsáno za něj.

    • Namísto textu

      Je-li u bodu již nějaký kód/poznámka nastaven, bude nahrazen starým číslem bodu.

    • Uvozovací znak

      Ukládané původní číslo bodu bude uvozeno zadaným znakem nebo řetězcem znaků.

  • Uložit původní číslo do uživatelské informace

    Při zapnutí této volby bude původní číslo bodu uloženo do uživatelské informace 1 - 4, kterou si zvolíte níže.

Přečíslování

Přečíslování seznamu spustíte tlačítkem Přečíslovat. Můžete si zvolit, zda má být přečíslován celý seznam, nebo pouze označené položky. Při přečíslování seznamu měření vám program navíc nabízí následující volby:

  • Přečíslovat stanoviska

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla stanovisek. Je-li tato volba vypnutá, čísla stanovisek zůstanou beze změny.

  • Přečíslovat orientace

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla orientací. Je-li tato volba vypnutá, čísla orientací zůstanou beze změny.

  • Přečíslovat alfanumerické

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla bodů s alfanumerickými identifikátory.

  • Zachovat duplicity

    V seznamech měření se mohou některá čísla bodů opakovat (např. v případě opakovaného zaměření). Při normálním přečíslování by obě zaměření dostala odlišná nová čísla, podle pozice, na které se měření v seznamu nachází. Pokud však tuto volbu zaškrtnete, po přečíslování budou mít všechna tato měření opět shodné číslo bodu (takové, které dostane první zaměření daného bodu).

Poznámka

Je-li při přečíslování seznamu souřadnic použita v předčíslí nebo v čísle bodu maska, doporučujeme provést přečíslování do nového prázdného seznamu souřadnic. Pokud máte zvoleno přečíslování do původního souboru, bude zobrazeno varovné hlášení s dotazem, zda má program v přečíslování pokračovat.

Po přečíslování je zobrazen protokol, obsahující tabulku starých a nových čísel bodů.

Předcházející | Nahoru | Další
Hromadné změny v seznamu souřadnic | Domů | Zobrazit graficky


Zobrazit graficky
Předcházející Kapitola 26. Menu Souřadnice Další

Zobrazit graficky

Po vyvolání tohoto příkazu se otevře okno s grafickou reprezentací příslušného souřadnicového souboru. Jestliže grafický soubor .pics již existuje, je automaticky otevřen. Neexistuje-li, program jej automaticky vytvoří..

Předcházející | Nahoru | Další
Přečíslování seznamu souřadnic | Domů | Roztřídění dle mapových listů


Roztřídění dle mapových listů
Předcházející Kapitola 26. Menu Souřadnice Další

Roztřídění dle mapových listů

Tímto příkazem otevřete dialogové okno, které slouží k roztřídění aktivního seznamu souřadnic do souborů podle mapových listů.

Roztřídění dle mapových listů

Tabulka 26.4. Volby pro roztřídění seznamu souřadnic dle mapových listů

Měřítko | Zvolte měřítko mapových listů, na které si přejete seznam souřadnic roztřídit.
Dlouhé názvy souborů | Zapnete-li tuto volbu, budou do výsledných názvů souborů použity nezkrácené názvy katastrálních území. Při vypnuté volbě budou použity zkrácené názvy, názvy souborů budou dlouhé max. 8 znaků.
Otevřít soubory | Je-li zapnut tento přepínač, po roztřídění na jednotlivé seznamy budou vytvořené seznamy automaticky otevřeny.
Přepsat existující soubory | Je-li tato volba zapnuta, budou původní seznamy přepsány bez upozornění. Tato volba je vhodná při opakovaném roztřídění, aby se zamezilo zobrazování dotazu na přepsání existujících souborů..

Po stisknutí tlačítka Použít je aktualizován seznam použitých mapových listů, po stisknutí tlačítka Roztřídit jsou soubory se souřadnicemi zapsány na disk.

Předcházející | Nahoru | Další
Zobrazit graficky | Domů | Porovnání souřadnic


Porovnání souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Porovnání souřadnic

Tato funkce slouží ke statistickému porovnání dvou seznamů souřadnic nebo k přímému porovnání dvojice bodů.

Porovnání seynamů souřadnic

Matematické vztahy

Nejprve jsou vypočteny souřadnicové rozdíly

dx = xk - xm, dy = yk - ym,

kde xm, ym jsou souřadnice testovaného bodu a xk, yk jsou souřadnice referenčního bodu.

Z těchto rozdílů je vypočtena polohová odchylka

dPol = (dx2 + dy2)1/2

a směrník polohové odchylky.

Obdobně jsou porovnány i výšky bodů. Lze porovnávat i body, které mají pouze výšku a polohu nemají definovánu.

Dále je vypočtena empirická střední souřadnicová chyba z dvojice měření dle vztahu

sxy = 1/2 (dx2 + dy2)1/2

Poznámka pro práci v katastru nemovitostí

Takto má být empirická střední souřadnicová chyba počítána pro dvojici měření stejné váhy. Dle katastrální vyhlášky má takto být testováno dvojí nové zaměření stejných bodů (postup dle bodu 13.7b KatV). Při porovnání nového zaměření již existujících bodů s jejich stávajícími souřadnicemi uloženými v ISKN se ale dle výkladu ČÚZK má postupovat tak, jako kdyby byly souřadnice již v ISKN zapsané bezchybné, takže souřadnicový rozdíl nemá charakter rozdílu mezi dvojím měřením, ale skutečné souřadnicové chyby. Potom se postupuje podle bodu 13.8 KatV, s tím, že za skutečnou souřadnicovou chybu se považuje rozdíl původních a nově určených souřadnic. Testovaná hodnota sxy je tedy jejich kvadratický průměr, je tedy 21/2 krát větší, než hodnota vypočtená podle výše uvedeného vztahu. Tohoto lze při testování docílit zapnutím přepínače Porovnání s přesnějšími nebo existujícími body.

Pro celý zpracovávaný soubor jsou spočteny střední chyby souřadnic

sx = [suma(dx2/N)]1/2, sy = [suma(dy2/N)]1/2, kde N je počet testovaných bodů.

V závěrečné statistice je mimo jiné údaje zapsáno, kolik procent bodů mělo sxy menší, než je požadovaná mxy, (má být alespoň 40 %) u kolika procent bodů byla sxy v intervalu (mxy, 2mxy> a u kolika procent bodů byla 2mxy překročena.

Způsob zadání požadované střední souřadnicové chyby

Požadovanou střední souřadnicovou chybu, na kterou mají být souřadnice testovány, lze zadat třemi způsoby:

  • Přímé zadání požadované střední souřadnicové chyby

    Zapněte přepínač Pro požadovanou střední chybu a zadejte přímo požadovanou střední chybu. Nastavení bude použito pro všechny testované body.

  • Zadání požadovanéko kódu kvality

    Zapněte přepínač Pro požadovaný kód kvality a zvolte z nabídky požadovaný kód kvality. Požadovaná střední chyba bude určena podle zvoleného kódu kvality. Nastavení bude použito pro všechny testované body.

  • Podle kódu kvality jednotlivých bodů

    Přepínač Dle kódu kvality jednotlivých bodů umožňuje testovat v jednom souboru body různé kvality. Požadovaná střední chyba bude stanovena pro každý bod podle jeho kódu kvality. Nemá-li bod kód kvality definován, bude použit kód kvality přednastavený na liště nastavení.

  • Koeficient konfidence

    Koeficient konfidence (spolehlivosti) je parametr, který úzce souvisí s intervalem spolehlivosti. Interval spolehlivosti je interval, do něhož s určitou předem stanovenou pravděpodobností padnou hodnoty měřené náhodné veličiny. Čím širší zvolíme interval spolehlivosti, tím větší je pravděpodobnost, že do něj padnou hodnoty sledovaného souboru měření. Zároveň se tím ale zvyšuje pravděpodobnost, že do něj padnou i hodnoty, které do souboru nepatří (tzv. chyba druhého druhu). Je tedy třeba zvolit šířku intervalu spolehlivosti tak, aby obě rizika byla na přijatelných hodnotách. Předpokládáme, že náhodné veličiny v geodézii mají normální rozdělení, vyjádřené Gaussovou křivkou. Toto rozdělení je symetrické, volba intervalu spolehlivosti tedy de facto znamená symetrické odříznutí hodnot od určité meze vlevo i vpravo křivky. Tato mez se obvykle volí tak, aby bylo odstraněno přibližně 5 % resp. 1 % extrémních hodnot na obou stranách křivky, tj. aby v souboru zůstalo přibližně 95% resp. 99 % pozorování. Těmto šířkám intervalů přibližně odpovídají koeficienty konfidence 2.0 (Alfa = 95.4 %) resp. 2.5 (Alfa = 98.8 %). Nejběžnější je použití hodnoty 2.0.

  • Porovnání s přesnějšími nebo existujícími body

    Je-li tento přepínač vypnut, předpokládá se porovnání dvou souborů stejné přesnosti (např. dvojí nezávislé zaměření bodů). Zapnete-li přepínač, předpokládá se, že referenční soubor má vyšší přesnost (měla by být vyšší alespoň o jeden řád). Rozdíly mezi referenčními a testovanými hodnotami potom nemají charakter rozdílů dvojice měření, ale charakter skutečných chyb (referenční hodnoty se z hlediska porovnání považují za správné). Toto nastavení má vliv na vypočtené střední chyby.

    Poznámka pro práci v katastru nemovitostí

    Na základě požadavku ČÚZK má být tento přepínač zapnut i při porovnání nového zaměření již existujících bodů s jejich stávajícími souřadnicemi uloženými v ISKN, viz poznámka výše u výpočetních vztahů.

Další nastavení porovnání

Tabulka 26.5. Volby pro porovnání souřadnic

Ignorovat předčíslí | Při vyhledávání dvojic bodů pro porovnání bude ignorováno předčíslí a páry budou vyhledávány pouze podle čísla. S tímto nastavením lze porovnávat body se stejným číslem a různým předčíslím v rámci jednoho seznamu.
Protokolovat pouze rozdílné | Do protokolu budou zapisovány pouze body, které se v některé souřadnici liší. Tato volba je výhodná při hledání rozdílů v rozsáhlých souborech, protože v protokolu nebude množství záznamů pro body, v nichž nebyly nalezeny žádné rozdíly.
Označit body s překročenou mezní odchylkou | Při porovnání budou v seznamu označeny body, u nichž byla při porovnání souřadnic překročena mezní odchylka.
Označit body s odlišnými souřadnicemi | Při porovnání budou v seznamu označeny body, které se liší alespoň v jedné souřadnici.
Označit body s odlišným kódem kvality | Při porovnání budou v seznamu označeny body, u nichž je v porovnávané dvojici odlišný kód kvality.
Označit nezpracované body | Při porovnání budou v seznamu označeny body, které nebyly zpracovány (obvykle proto, že k nim nebyl nalezen druhý záznam do páru pro testování).
Porovnat dvojí souřadnice testovaného souboru | Při zapnutí této volby nebudou porovnávány body testovacího a referenčního souboru, namísto toho budou porovnány hlavní a vedlejší souřadnice v testovaném souboru. Referenční soubor tedy nemusí být zadán, protože vůbec nebude použit.

Protokolování

V rámečku Protokolovat si můžete přesně zvolit, které údaje mají být vypisovány do protokolu.

Porovnání jednotlivých bodů

Dialogové okno umožňuje i přímé ruční porovnání jednotlivých bodů. Tento režim je přístupný po přepnutí na kartu Porovnání jednotlivých bodů:

Porovnání souřadnic jednotlivých bodů

Do vstupních rámečků Dosavadní bod a Nový bod můžete přetáhnout porovnávané body ze seznamů souřadnic. Narozdíl od hromadného porovnání zde nemusí mít porovnávané body shodné číslo bodu.

Po přetažení obou bodů budou jejich souřadnice automaticky porovnány. Budou vypočteny a zobrazeny souřadnicové rozdíly a střední chyby.

Vypočtená empirická střední souřadnicová chyba Sxy bude porovnána s mezní střední souřadnicovou chybou Uxy, vypočtenou z požadované střední souřadnicové chyby Mxy podle vztahu

Uxy = Koeficient konfidence * Sxy

Po porovnání souřadnic je v rámečku se středními chybami zobrazen zelený nebo červený symbol informující o tom, zda porovnávané souřadnice vyhověly výše uvedeným požadavkům na střední souřadnicovou chybu.

Po změně nastavení dialogového okna zle znovu body porovnat stisknutím tlačítka Porovnat.

Protokol o porovnání lze zobrazit stisknutím tlačítka Protokol.

Předcházející | Nahoru | Další
Roztřídění dle mapových listů | Domů | Kontrola číslování bodů


Kontrola číslování bodů
Předcházející Kapitola 26. Menu Souřadnice Další

Kontrola číslování bodů

Po zadání tohoto příkazu bude zkontrolována posloupnost číslování bodů seznamu.

Kontrola číslování bodů

Pomocí přepínačů si můžete zvolit, jaké informace mají být zaprotokolovány:

  • Souvislé bloky čísel: budou zaprotokolovány nepřerušené číselné řady, tj. bloky bez vynechaných čísel bodů.

  • Mezery v číslování: budou zaprotokolovány mezery mezi číselnými řadami, tj. úseky vynechaných čísel bodů.

Předcházející | Nahoru | Další
Porovnání souřadnic | Domů | Kontrola duplicitních čísel


Kontrola duplicitních čísel
Předcházející Kapitola 26. Menu Souřadnice Další

Kontrola duplicitních čísel

Po zadání tohoto příkazu bude zkontrolován aktuální seznam souřadnic, zda neobsahuje duplicitní čísla bodů. Výsledek testu s případným seznamem duplicit je zapsán do protokolu. Tento test je automaticky proveden i při indexování souboru.

Duplicitní čísla bodů se mohou do seznamu dostat při povolených duplicitních číslech bodů. Při tomto nastavení program duplicity nekontroluje, takže nastavení lze použít např. pro import seznamů s duplicitními čísly bodů nebo pro zpracování seznamů s opakovaně zaměřenými body pomocí nástroje Dávkové průměrování souřadnic. Po vypnutí volby pro ukládání duplicitních bodů jsou nejprve všechny otevřené seznamy souřadnic zkontrolovány, zda neobsahují duplicity, a volba je vypnuta pouze v případě, že je u všech souborů kontrola úspěšná.

Úloha nemá dialogové okno, příkaz se okamžitě provede a zobrazí se protokol s výsledky kontroly.

Předcházející | Nahoru | Další
Kontrola číslování bodů | Domů | Vyhledání identických bodů


Vyhledání identických bodů
Předcházející Kapitola 26. Menu Souřadnice Další

Vyhledání identických bodů

Tento příkaz zobrazí dialogové okno, které slouží k vyhledání bodů, které mají různá čísla, ale totožné nebo blízké souřadnice.

Vyhledání identických bodů

V okně se zadají názvy dvou testovaných souborů a tolerance (mezní rozdíl v souřadnici), která určuje, kdy mají být body považovány za totožné.

Tabulka 26.6. Volby pro vyhledání identických bodů

Podrobný protokol | Při zapnutí tohoto přepínače budou do protokolu vypsány kromě souřadnic bodů i souřadnicové rozdíly mezi dvojicemi identických bodů.
Označit zpracované | Při zapnutí této volby budou po dokončení vyhledávání v seznamu označeny všechny body, které byly během zpracování nalezeny jako identické.
Ignorovat výšku | Při zapnutí této volby bude test na totožnost bodů prováděn pouze podle souřadnic X a Y, souřadnice Z bude ignorována.
Tolerance v souřadnici | Zde můžete nastavit maximální rozdíl v souřadnici, do něhož budou body považovány za identické. Testuje se každá souřadnice samostatně.

Pokud aplikace nalezne identické body, zároveň doplní záznam o jejich číslech do tabulky přiřazení čísel bodů. Tuto tabulku můžete zobrazit tlačítkem Zobrazit přiřazení čísel, také ji můžete uložit pro další použití, např. při přečíslování bodů.

Předcházející | Nahoru | Další
Kontrola duplicitních čísel | Domů | Odstranění identických bodů


Odstranění identických bodů
Předcházející Kapitola 26. Menu Souřadnice Další

Odstranění identických bodů

Tento příkaz zobrazí dialogové okno, které slouží k vyhledání, případně odstranění bodů, které mají různá čísla, ale totožné nebo blízké souřadnice.

Odstranění identických bodů

V okně se zadá název testovaného souboru a tolerance (mezní rozdíl v souřadnici), která určuje, kdy mají být body považovány za totožné.

Tabulka 26.7. Volby pro odstranění identických bodů

Pouze do protokolu | Při zapnutí tohoto přepínače budou informace o nalezení identických bodů pouze vypsány do protokolu, ale žádné body nebudou ze seznamu odstraněny.
Podrobný protokol | Při zapnutí tohoto přepínače budou do protokolu vypsány kromě souřadnic bodů i souřadnicové rozdíly mezi dvojicemi identických bodů.
Ignorovat výšku | Při zapnutí této volby bude test na totožnost bodů prováděn pouze podle souřadnic X a Y, souřadnice Z bude ignorována.
Tolerance v souřadnici | Zde můžete nastavit maximální rozdíl v souřadnici, do něhož budou body považovány za identické. Testuje se každá souřadnice samostatně.

Dále můžete zvolit, který ze dvojice nalezených identických bodů má být v seznamu ponechán. Při zpracování seznamu aplikace v závislosti na nastavení jeden z identických bodů ze seznamu odstraní. Můžete zvolit, zda má v seznamu zůstat bod s nižším číslem nebo s nižším předčíslím.

Předcházející | Nahoru | Další
Vyhledání identických bodů | Domů | Dávkové průměrování souřadnic


Dávkové průměrování souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Dávkové průměrování souřadnic

Dialogové okno umožňuje dávkové zprůměrování souřadnic bodů stejného čísla nebo čísla se stejným základem.

Úloha umožňuje práci ve dvou režimech" průměrování bodů, které mají zcela totožné číslo bodu, nebo průměrování bodů, které mají identifikátor se společným začátkem a různými konci (např. čísla 4000, 4000.1, 4000.2).

Průměrování souřadnic bodů s totožnými identifikátory

Tento způsob zpracování zapnete přepínačem Shodná čísla bodů.

Abyste mohli mít v seznamu souřadnic více bodů téhož čísla, je nutno nejprve povolit ukládání bodů s duplicitními čísly do seznamů souřadnic.

Ukázkový seznam souřadnic pro dávkové průměrování souřadnic bodů s totožnými identifikátory
Dávkové průměrování souřadnic bodů s totožnými identifikátory

Průměrování souřadnic bodů s identifikátory s totožným základem

Tento způsob zpracování zapnete přepínačem Čísla s různým postfixem.

V tomto režimu úloha vyhledá v seznamu souřadnic všechny identifikátory, které mají stejný základ, ale různou koncovku (postfix), např. čísla 4000, 4000.1, 4000.2. Takovéto skupiny bodů často vznikají například při opakovaném zaměření téhož bodu metodou GPS. Firemní software při ukládání měření obvykle k původnímu číslu doplňuje koncovku s pořadovým číslem měření.

Z principu se v tomto případě tedy vždy jedná o body s alfanumerickými identifikátory, protože oddělovač postfixu nemůže být součástí číselného identifikátoru.

Ukázkový seznam souřadnic pro dávkové průměrování souřadnic bodů s identifikátory s totožným základem
Dávkové průměrování souřadnic bodů s identifikátory s totožným základem

Průměrování souřadnic bodů s totožnými kódy

Tento způsob zpracování zapnete přepínačem Shodné kódy.

V tomto režimu úloha vyhledá v seznamu souřadnic všechny skupiny bodů se shodným kódem. Takovéto skupiny bodů často vznikají například při opakovaném zaměření téhož bodu metodou GPS. Firemní software při ukládání měření bodům přiděluje různá čísla, ale požadované výsledné číslo bodu lze uložit do kódu bodu.

Ukázkový seznam souřadnic pro dávkové průměrování souřadnic bodů totožným kódem
Dávkové průměrování souřadnic bodů totožným kódem

Průměrování souřadnic souvislých bloků bodů

Tento způsob zpracování zapnete přepínačem Souvislé bloky čísel.

V tomto režimu úloha vyhledá v seznamu souřadnic všechny souvislé bloky čísel, tj. čísel po sobě jsoucích, bez mezer v číslování.

Při nalezení mezery v číslování (vynechané jedno nebo více čísel bodů) bude zahájen nový blok průměrování.

Poznámka

Zvolíte-li možnost zpracování pouze označených bodů, budou neoznačené body pouze vynechány, aniž by na nich byl zahájen nový blok bodů. Např. pokud v bloku čísel 1001, 1002, 1003, 1004, 1005 budou označeny všechny položky kromě čísla 1003, budou body sestaveny do jednoho bloku s vynecháním bodu č. 1003, namísto toho, aby na bodě č. 1004 byl zahájen nový blok bodů.

Dávkové průměrování souřadnic bodů pro souvislé bloky čísel bodů
Ukázkový seznam souřadnic pro dávkové průměrování souřadnic bodů pro souvislé bloky čísel bodů

Průměrování souřadnic označených bodů

Tento způsob zpracování zapnete přepínačem Všechny označené dohromady.

V tomto režimu úloha zprůměruje dohromady všechny body, které jsou ve vstupním seznamu souřadnic označeny, bez ohledu na jejich číslo bodu.

Ve vstupních okénkách Číslo zprůměrovaného bodu můžete zadat nové číslo, pod kterým má být nový zprůměrovaný bod uložen.

Poznámka

Nezadáte-li nové číslo bodu, bude použito první číslo ze seznamu nalezených bodů.

Dávkové průměrování souřadnic označených bodů
Ukázkový seznam souřadnic pro dávkové průměrování souřadnic označených bodů

Časový test GPS měření

Při zpracovávání bodů opakovaně zaměřených metodou GPS lze dále zapnout volbu Testovat čas zaměření. Při použití této volby bude otestován interval mezi opakovanými zaměřeními bodu a do protokolu bude zapsán výsledek časového testu. Protože se z důvodu rozdílné konfigurace družic liší časový test pro systém GPS-NAVSTAR a GLONASS, je třeba zvolit, pro jaký systém má být test proveden. V případě, že je GPS aparatura nastavena pro použití dat z obou systémů, je třeba zapnout obě volby.

Důležité

Aby bylo možno tuto funkci využít, je třeba mít u bodů v seznamech souřadnic vyplněnu položku Čas zaměření. Tato položka je k dispozici pouze v nových typech souborů (.crds, .mess).

Postup při dávkovém průměrování souřadnic

  1. Zvolte vstupní a výstupní seznam souřadnic obdobně jako v jiných úlohách.

  2. Vyplňte mezní opravy souřadnic X/Y a Z. Bude-li u některého průměrovaného bodu tento limit překročen, nebude bod zprůměrován.

  3. Zvolte, zda si přejete pracovat s celým souborem, nebo pouze s označenými položkami, případně označte množinu bodů, s nimiž chcete pracovat.

  4. Zvolte metodu vyhledávání duplicit, tedy Shodná čísla bodů nebo Čísla s různým postfixem.

    Při volbě různého postfixu lze volitelně zadat znak oddělující postfix, obvykle to bývá tečka.

  5. Při zpracovávání bodů opakovaně zaměřených metodou GPS můžete zapnout volbu Testovat čas zaměření, viz výše.

  6. Stiskněte tlačítko Vyhledat duplicitní body.

  7. Zkontrolujte si seznam nalezených duplicitních bodů. Ověřte, zda jsou v pořádku maximální opravy v souřadnicích, ve výšce a v poloze pro všechny nalezené body. Ukážete-li na některý bod ze seznamu, pod seznamem vám program ukáže seznam všech nalezených duplicit, včetně souřadnic a jejich oprav.

  8. V případě potřeby vypněte v seznamech nechtěné body nebo duplicity.

    Vypnete-li bod v horním seznamu, bude z průměrování úplně vynechán a nebude vůbec průměrován. Tuto možnost použijte, pokud je v seznamu bodů nějaký bod, pro který si vůbec nepřejete počítat zprůměrovanou polohu.

    Vypnete-li některý záznam ve spodním seznamu (seznam nalezených duplicit pro zvolený bod), bude průměrování zvoleného bodu provedeno, ale vypnutá duplicita bude vynechána. Tuto možnost použijte, pokud zvolený bod průměrovat chcete, ale mezi jeho nalezenými duplicitami je položka, kterou chcete z průměrování vynechat, například z důvodu velkých odchylek.

  9. Je-li seznam nalezených bodů v pořádku, stiskněte tlačítko Uložit zprůměrované body. Program uloží všechny zprůměrované body do výstupního seznamu souřadnic.

Předcházející | Nahoru | Další
Odstranění identických bodů | Domů | Zaokrouhlení souřadnic


Zaokrouhlení souřadnic
Předcházející Kapitola 26. Menu Souřadnice Další

Zaokrouhlení souřadnic

Tento příkaz slouží k dávkovému zaokrouhlení souřadnic ve zvoleném seznamu.

Zaokrouhlení souřadnic

V dialogovém okně můžete zvolit, které souřadnice si přejete zaokrouhlit, a na kolik desetinných míst.

Zaokrouhlit můžete celý seznam nebo pouze označené položky.

Předcházející | Nahoru | Další
Dávkové průměrování souřadnic | Domů | Dvojí souřadnice


Dvojí souřadnice
Předcházející Kapitola 26. Menu Souřadnice Další

Dvojí souřadnice

Toto dialogové okno slouží k práci s dvojími souřadnicemi v seznamech.

Nástroj pro práci s dvojími souřadnicemi

V oblasti Soubory je třeba zadat základní souřadnicový soubor a pro některé funkce také doplňkový soubor. Soubory se vybírají přetažením myší do příslušného okénka nebo po stisknutí tlačítka ....

  • Připravit soubor pro dvojí souřadnice

    Po stisknutí tohoto tlačítka je základní soubor připraven pro práci s dvojími souřadnicemi. Jsou v něm nastaveny hlavičky a počty desetinných míst druhých souřadnic.

  • Import vedlejších souřadnic z doplňkového souboru

    Tato funkce slouží pro doplnění druhého páru souřadnic z doplňkového souboru. Po spuštění této funkce se program pokusí ke všem bodům základního souboru vyhledat souřadnice v doplňkovém souboru. Nalezne-li je, doplní je do základního souboru jako druhé.

  • Zaměnit hlavní a vedlejší souřadnice

    Po stisknutí tohoto tlačítka program zamění v základním seznamu souřadnic hlavní a vedlejší souřadnice. Chcete-li ve výpočtech místo hlavních souřadnic používat vedlejší, je třeba souřadnice nejprve tímto příkazem zaměnit.

  • Exportovat vedlejší souřadnice do nového souboru

    Po stisknutí tohoto tlačítka program založí nový nepojmenovaný seznam souřadnic a zkopíruje do něj všechny vedlejší souřadnice ze základního seznamu. V nově vytvořeném seznamu jsou souřadnice uloženy jako hlavní.

  • Odstranit hlavní souřadnice

    Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní všechny hlavní souřadnice.

  • Odstranit vedlejší souřadnice

    Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní všechny vedlejší souřadnice.

  • Odstranit nulové vedlejší souřadnice

    Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní vedlejší souřadnice tam, kde jsou obě vedlejší souřadnice nulové.

  • Odstranit souřadnice pomocných bodů

    Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní souřadnice bodů, které mají atribut Pomocný.

  • Roztřídit souřadnice podle kódu kvality

    Při práci se souřadnicemi lze oboje souřadnice ukládat do hlavních souřadnic, a až na závěr je tímto příkazem roztřídit mezi souřadnice obrazu a souřadnice polohy podle kódu kvality. Souřadnice s kódem kvality 3 nebo neurčeným kódem kvality zůstanou v souřadnicích obrazu, souřadnice s kódem kvality 4 - 8 budou přesunuty do souřadnic polohy.

  • Seskupit platné GPÚ do hlavních souřadnic

    Příkaz provede úpravu opačnou k předchozí - z obou sad souřadnic vybere platné geometrické a polohové určení bodu, tedy souřadnice, u nichž je uveden kód kvality, a uloží je do hlavních souřadnic.

  • Označit body s odlišnými souřadnicemi

    Pomocí tohoto příkazu můžete nechat v seznamu souřadnic označit body, u nichž se liší souřadnice obrazu a souřadnice polohy. Výhodně lze tohoto nástroje využít v kombinaci s možností nechat v seznamech souřadnic zobrazovat pouze označené položky. Po takto zpracovaném seznamu souřadnic v něm budou zobrazeny pouze body s odlišnými SOBR a SPOL.

Předcházející | Nahoru | Další
Zaokrouhlení souřadnic | Domů | Uložit body do databáze


Uložit body do databáze
Předcházející Kapitola 26. Menu Souřadnice Další

Uložit body do databáze

Pomocí tohoto příkazu můžete uložit body ze seznamu souřadnic do databáze. Jsou-li v seznamu souřadnic body, které nemají napojení na databázi (není u nich zobrazen symbol databáze), lze je tímto příkazem uložit do databáze.

Standardně jsou v nastavení systému Groma zapnuty kontroly na duplicitní čísla bodů a identické souřadnice. Program při ukládání do databáze kontroluje, zda v ní již není uložen bod stejného čísla nebo o totožných souřadnicích. Nalezne-li takový bod, nový bod do databáze neuloží a zaznamená tuto skutečnost v protokolu. V některých speciálních případech je třeba takovéto body přesto do databáze uložit, z toho důvodu lze jednu nebo obě kontroly vypnout v Soubor → Nastavení → Prostředí.

Jsou-li v seznamu souřadnic některé body označené, budou do databáze uloženy pouze ony. Pokud žádné body označené nejsou, uloží se do databáze celý seznam souřadnic.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Předcházející | Nahoru | Další
Dvojí souřadnice | Domů | Uložit změny do databáze


Uložit změny do databáze
Předcházející Kapitola 26. Menu Souřadnice Další

Uložit změny do databáze

Tento příkaz slouží k ložení změn v seznamu souřadnic do databáze. Příkaz lze použít pouze v případě, že seznam souřadnic vznikl importem z databáze.

Jsou-li v seznamu souřadnic některé body označené, budou do databáze uloženy pouze ony. Pokud žádné body označené nejsou, uloží se do databáze celý seznam souřadnic.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Předcházející | Nahoru | Další
Uložit body do databáze | Domů | Odstranit smazané body z databáze


Odstranit smazané body z databáze
Předcházející Kapitola 26. Menu Souřadnice Další

Odstranit smazané body z databáze

Smažete-li některé body ze seznamu souřadnic, vzniklého importem z databáze, nejsou ještě tyto body automaticky z databáze odstraněny. Ke smazání v databázi dojde až po zadání tohoto příkazu.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Předcházející | Nahoru | Další
Uložit změny do databáze | Domů | Synchronizovat seznam s databází


Synchronizovat seznam s databází
Předcházející Kapitola 26. Menu Souřadnice Další

Synchronizovat seznam s databází

Přejete-li si synchronizovat s databází seznam souřadnic, který je otevřen samostatně, nikoli importem z databáze, takže není s databází propojen, lze na to použít tento nástroj. Synchronizace může probíhat ve dvou režimech:

  • Podle čísel bodů

    Při tomto způsobu budou body vyhledávány podle čísel a v rámci synchronizace jim budou aktualizovány ostatní údaje, včetně souřadnic.

  • Podle souřadnic

    Při tomto způsobu budou body vyhledávány podle souřadnic a v rámci synchronizace jim budou aktualizovány ostatní údaje, včetně čísel bodů. V tomto režimu můžete nastavit toleranci, s jakou mají být souřadnice testovány.

Dále si zvolíte, zda si přejete stav v seznamu souřadnic promítnout do databáze (tlačítko Synchronizovat CRD --> DB) nebo stav databáze do seznamu souřadnic (tlačítko Synchronizovat DB --> CRD).

Pro kontrolu můžete synchronizaci nejprve zkusit se zapnutou volbou Pouze do protokolu. Program žádné změny neprovede, pouze je vypíše do protokolu.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Předcházející | Nahoru | Další
Odstranit smazané body z databáze | Domů | Kapitola 27. Menu Měření


Kapitola 27. Menu Měření
Předcházející Část II. Referenční příručka Další

Kapitola 27. Menu Měření

Obsah

Přidej položku do seznamu měření
Přidávání do seznamu polárního měření
Přidávání do seznamu ortogonálního měření
Přidávání do seznamu nivelačního měření
Editace záznamu v seznamu měření
Editace záznamu v seznamu polárního měření
Editace záznamu v seznamu ortogonálního měření
Editace záznamu v seznamu nivelačního měření
Hromadné označování v seznamu měření
Způsoby označování
Režimy označování podle kódů
Hromadné změny v seznamu měření
Typ změny
Funkční vztahy
Dialogové okno pro hromadnou změnu v seznamu polárního měření
Dialogové okno pro hromadnou změnu v seznamu ortogonálního měření
Označování bodů
Přečíslování seznamu měření
Volba vstupního souboru
Doplnění předčíslí
Oříznutí předčíslí
Změna předčíslí
Změna čísla
Přečíslování podle seznamu
Volby
Přečíslování
Zpracování zápisníku
Zpracování měření směrů v řadách a skupinách
Spojení opakovaných stanovisek
Označení orientací
Body použité jako stanoviska
Body nalezené v seznamech souřadnic
Body s kódem orientace
Body s číslem vyšším než
Body s předčíslím
Body s předčíslím vyšším než
Setřídění
Vykreslení měřické sítě v grafickém modulu
Přesná oprava délek o měřítko
Připoj soubor
Parametry zobrazení

Nabídka obsahuje nástroje pro práci se zápisníkem.

Přidej položku do seznamu měření

Tímto příkazem lze přidávat položky do seznamů naměřených hodnot. Po jeho vyvolání program zobrazí příslušné editační okno, v němž můžete definovat potřebné hodnoty.

Dialogové okno je nemodální, mezi jednotlivými položkami se tedy můžete pohybovat i klávesou Enter. Abyste nemuseli potvrzovat údaje, které nezadáváte, popř. které se nemění, můžete některé položky vypnout pomocí zaškrtávacího okénka vpravo od příslušné položky. Vypnutá okna budou při zadávání automaticky vynechávána. Vypnete-li číslo bodu, bude automaticky zvyšováno o jedničku, nebudete je však muset neustále potvrzovat. Vypnete-li nastavený kód, bude bez potvrzování přiřazen všem dalším bodům až do příští změny.

Po zadání posledního potřebného údaje je bod automaticky přidán do seznamu, ve všech oknech příslušného seznamu je na něj umístěn kurzor a číslo bodu je zvýšeno o jedničku. Předčíslí nemusíte potvrzovat, chcete-li je změnit, dostanete se na něj pomocí myši nebo klávesy Shift-Tab.

Položka je přidána na místo kurzoru. Seznamy měření umožňují umístit kurzor i za poslední položku, aby bylo možno přidávat nové záznamy na konec souboru.

Přidávání do seznamu polárního měření

Přidávání bodu do seznamu polárního měření

Po zadání hodnot zvolte typ bodu:

  • Stanovisko: nové stanovisko polárního měření. Na stanovisku je z číselných údajů použita pouze výška stanoviska, ostatní údaje jsou ignorovány.
  • Orientace: měření na orientační bod. Toto měření bude použito při orientaci osnovy směrů v polární metodě, případně při importu měření do modulu Vyrovnání sítí MNČ.
  • Určovaný bod: měřený podrobný bod.

Dále zvolte, zda se jedná o šikmou délku, kterou chcete redukovat, a zda má být délka vynásobena měřítkovým koeficientem.

Dále je možno nastavit pro záznam informaci o tom, zda již v měření byly opraveny přístrojové chyby a chyba z refrakce. Zaškrtnete-li, že již chyby byly opraveny, nebudou nadále opravovány v hromadném zpracování zápisníku.

Přidávání do seznamu ortogonálního měření

Přidávání bodu do seznamu ortogonálního měření

Po zadání hodnot zvolte typ bodu:

  • Nová přímka: první identický bod nové měřické přímky
  • Identický bod: další identické body nové měřické přímky
  • Určovaný bod: měřené podrobné body

Přidávání do seznamu nivelačního měření

Přidávání bodu do seznamu nivelačního měření

Po zadání hodnot můžete zaškrtnout volbu Nová přímka, která znamená, že se jedná o první bod nového nivelačního pořadu. Při importu měření do modulu Nivelace budou takto jednotlivé pořady odděleny a zpracovány samostatně.

Předcházející | Nahoru | Další
Synchronizovat seznam s databází | Domů | Editace záznamu v seznamu měření


Editace záznamu v seznamu měření
Předcházející Kapitola 27. Menu Měření Další

Editace záznamu v seznamu měření

Dialogové okno slouží k editaci jednotlivých záznamů v seznamu měření.

Dialogové okno se liší podle typu seznamu měření.

Editace záznamu v seznamu polárního měření

Editace záznamu v seznamu polárního měření

U záznamů lze editovat tyto skupiny údajů:

  • Popisné informace k bodu: zde lze editovat číslo bodu, kód, popis, poznámku, charakteristiku kvality, datum zaměření a další popisné informace.

  • Měřené hodnoty: zde lze editovat měřené hodnoty dle typu seznamu (směr, zenitový úhel, délka, převýšení, výška signálu).

  • Typ bodu: zde lze nastavovat o jaký typ bodu se jedná:

    • Stanovisko: Číslo nového stanoviska. Stanoviska jsou od sebe v seznamu měření oddělena čarou a čísla stanovisek jsou uvedena červeně.

    • Orientace: Orientace jsou v seznamech měření uvedeny tučně. Dle dalšího nastavení jsou využívány nástrojem Orientace osnov vodorovných směrů, v modulu Vyrovnání sítí MNČ a na jiných místech aplikace.

    • Měřený bod: Běžný zaměřený podrobný bod.

  • Vlastnosti délky:

    • Vodorovná délka: Uvedená délka je již redukována na vodorovnou.

      Důležité

      Systém Groma očekává ve všech výpočtech vodorovnou délku. Pokud se pokusíte do některého výpočetního okna přetáhnout ze zápisníku neredukovanou délku, budete na to upozorněni zobrazeným hlášením.

    • Délka opravena o měřítko: Uvedená délka je již opravena o redukci z kartografického zkreslení a o opravu z nadmořské výšky

      Důležité

      Systém Groma očekává ve všech výpočtech délku opravenou o matematické redukce.

  • Opravené chyby:

    Zde můžete nastavit které přístrojové chyby a chyby měření již byly opraveny.

    • Kolimační: Tento atribut určuje, zda již byla na příslušných záznamech opravena kolimační chyba.

      Tato chyba je označena jako opravená při zpracování měření v obou polohách (nástrojem Měření → Zpracování zápisníku nebo Měření → Zpracování měření v řadách a skupinách), což je postup, jehož zpracování vliv kolimační chyby odstraní.

    • Indexová: Tento atribut určuje, zda již byla na příslušných záznamech opravena indexová chyba.

      Tato chyba je označena jako opravená při zpracování měření v obou polohách (nástrojem Měření → Zpracování zápisníku nebo Měření → Zpracování měření v řadách a skupinách), což je postup, jehož zpracování vliv indexové chyby odstraní.

    • Refrakce: Tento atribut určuje, zda již byla na příslušných záznamech opravena chyba z refrakce.

      Tuto chybu lze opravit (a zároveň nastavit tento atribut) volbou Opravit refrakci v nástroji Měření → Zpracování zápisníku.

  • Vlastnosti bodu:

    • Deaktivovaný

Editace záznamu v seznamu ortogonálního měření

Editace záznamu v seznamu ortogonálního měření

U záznamů lze editovat tyto skupiny údajů:

  • Popisné informace k bodu: zde lze editovat číslo bodu, kód, popis, poznámku, charakteristiku kvality, datum zaměření a další popisné informace.

  • Měřené hodnoty: zde lze editovat měřené hodnoty (staničení, kolmice).

  • Typ bodu: zde lze nastavovat o jaký typ bodu se jedná:

    • Nová přímka: první identický bod nové měřické přímky
    • Identický bod: další identické body nové měřické přímky
    • Určovaný bod: měřené podrobné body

Editace záznamu v seznamu nivelačního měření

Editace záznamu v seznamu nivelačního měření

U záznamů lze editovat tyto skupiny údajů:

  • Popisné informace k bodu: zde lze editovat číslo bodu, kód, popis, poznámku, charakteristiku kvality, datum zaměření a další popisné informace.

  • Měřené hodnoty: zde lze editovat měřené hodnoty (čtení na lati vzad, vpřed, bočně, délka záměry).

  • Typ bodu: zde lze nastavovat o jaký typ bodu se jedná:

    • Nový pořad: Tímto označíte první bod nového nivelačního pořadu. Při importu měření do modulu Nivelace budou takto jednotlivé pořady odděleny a zpracovány samostatně.

Předcházející | Nahoru | Další
Kapitola 27. Menu Měření | Domů | Hromadné označování v seznamu měření


Hromadné označování v seznamu měření
Předcházející Kapitola 27. Menu Měření Další

Hromadné označování v seznamu měření

Dialogové okno slouží k označování položek v seznamu podle zadaných kritérií.

V tomto dialogovém okně můžete zadat meze pro označení (minimální hodnoty, maximální hodnoty).

Označování položek v seznamu souřadnic

Způsoby označování

Dialogové okno umožňuje čtyři způsoby označování:

  1. Označování podle hodnot

    V okně můžete zadat dolní a/nebo horní meze pro údaje uložené v seznamu.

    Zadáte-li u některé z položek pouze maximální hodnotu, program označí všechny položky, u nichž není tato maximální hodnota překročena. Obdobně, zadáte-li pouze minimální hodnotu, program označí v seznamu všechny položky, u nich není příslušná hodnota menší, než zadaná mez.

    Zadáváte-li kritéria pro předčíslí, číslo nebo kód, můžete navíc kromě spodní a horní meze zadat masku. V masce lze vypsat znaky, které si přejete testovat, a ostatní znaky, na nichž vám nezáleží, můžete nahradit znakem '?'. Všechny zbývající znaky můžete nahradit znakem '*'.

    Tabulka 27.1. Příklady použití masky při označování

    Údaj | Maska | Označí
    Předčíslí | 700215????? | Všechny body s kódem katastrálního území 700215, bez ohledu na ZPMZ
    Předčíslí | 700215* | Všechny body s kódem katastrálního území 700215, bez ohledu na ZPMZ
    Číslo | VRT* | Všechny body s alfanumerickým názvem začínajícím textem 'VRT'
    Číslo | VRT2? | Všechny body s alfanumerickým názvem začínajícím textem 'VRT2', tedy např. body VRT20 - VRT29
    Kód | HR* | Všechny body s kódem začínajícím textem 'HR', tedy např. 'HRN', 'HRD'

    Můžete zvolit i režim označování:

    • Nové označení: Program označí pouze položky, vyhovující kritériím. U položek dříve označených označení zruší.

    • Přidat k označeným: Program všechny položky, které vyhovují kritériím, přidá k položkám dříve označeným.

    • Ubrat od označených: Program všechny položky, které vyhovují kritériím, odebere od položek dříve označených.

    Dále můžete zvolit, zda má program označit položky, u nichž je splněna alespoň jedna z uvedených podmínek, nebo pouze položky, u nichž jsou splněny podmínky všechny. Vlastní označení spustíte stisknutím tlačítka Označ.

  2. Označování pomocí referenčního souboru

    Po zadání referenčního souboru (seznamu souřadnic nebo seznamu měření) v rámečku Referenční soubor můžete označovat položky v daném seznamu v závislosti na označení v referenčním souboru:

    • Označit body existující v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru.

    • Označit body neexistující v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla neexistují v referenčním souboru.

    • Označit body označené v referenčním souboru Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru, a které jsou v referenčním souboru označeny.

  3. Označování pomocí předdefinovaných možností

    • Označit všechny Tímto tlačítkem označíte všechny položky v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy + na numerické klávesnici.

    • Zrušit označení Tímto tlačítkem zrušíte označení všech položek v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy - na numerické klávesnici.

    • Zaměnit označení Tímto tlačítkem změníte označené položky za neoznačené a naopak. Téhož výsledku lze dosáhnout stisknutím klávesy * na numerické klávesnici.

    • Smazat nastavení Tímto tlačítkem vymažete veškerá nastavení zadaná do dialogového okna pro označování.

    • Označit stanoviska Tímto tlačítkem označíte všechna stanoviska v seznamu měření.

    • Označit orientace Tímto tlačítkem označíte všechny orientace v seznamu měření.

    • Označit deaktivované Tímto tlačítkem označíte v seznamu všechny deaktivované body (body s atributem Deaktivovaný, uvedené v seznamu šedě).

  4. Označování pomocí seznamu čísel bodů

    Pomocí tlačítka Uložit seznam označených bodů lze zapsat seznam čísel aktuálně označených bodů do souboru. Pomocí tlačítka Načíst seznam označených bodů lze podle uloženého seznamu opět body označit.

    Označování načtením seznamu čísel bodů respektuje nastavení režimu označení, tedy podle nastavení body ze seznamu přidává k již označeným, odebírá od již označených, nebo provede nové označení.

    Tentýž seznam čísel lze použít v okně Souřadnice → Označ i Měření → Označ

    Další podrobnosti o seznamu čísel bodů jsou uvedeny v Uživatelské příručce.

Režimy označování podle kódů

Kód bodu je alfanumerický údaj, v němž může být uložen jak číselný, tak textový kód. Pro zpracování v systému Groma jsou obě varianty rovnocenné, jediné místo, kde se zpracování textových a číselných kódů liší, je právě označování v seznamech podle kódů.

  • Alfanumerický režim

    Při alfanumerickém způsobu práce s kódy jsou všechny kódy považovány za textové, bez ohledu na to, zda obsahují textové údaje, nebo pouze čísla. Z toho vyplývá, že při zadání mezí jsou kódy porovnávány textově, tj. kód "roh" je považován za větší, než kód "hrana", ale zároveň kód "8" je považován za větší, než kód "20".

  • Numerický režim

    Při numerickém způsobu práce s kódy jsou kódy považovány za číselné, takže jsou porovnávány jako čísla. Kód "8" je tedy považován za menší, než kód "20". Všechny alfanumerické kódy, tj. kódy, které se při zpracování nepodaří převést na číslo, jsou v tomto režimu ignorovány.

To, zda bude při označování bodů použit alfanumerický nebo numerický režim, se řídí kódy zadanými v dialogovém okně pro označování. Jestliže jsou zadané kódy čistě číselné, proběhne označování v numerickém režimu. Pokud je alespoň jeden ze zadaných kódů alfanumerický (obsahuje-li alespoň jeden nečíselný znak), proběhne označování v alfanumerickém režimu.

Předcházející | Nahoru | Další
Editace záznamu v seznamu měření | Domů | Hromadné změny v seznamu měření


Hromadné změny v seznamu měření
Předcházející Kapitola 27. Menu Měření Další

Hromadné změny v seznamu měření

V seznamech měření lze provádět hromadné změny. Pomocí tohoto dialogového okna lze nastavit které údaje a jakým způsobem mají být změněny.

Dialogové okno obsahuje rámeček pro každý údaj, který lze pomocí hromadné změny upravovat. Každý rámeček obsahuje zaškrtávací okénko Změnit, kterým volíte, které údaje budete hromadnou změnou měnit. Pokud toto okénko zapnete, program vám zpřístupní nastavení změny pro příslušný údaj. Do editačního okénka můžete zapsat číselnou konstantu nebo funkční vztah, jehož výsledkem je číselná hodnota.

Typ změny

Pod editačním okénkem můžete zvolit, jak má program při hromadné změně s výsledkem výrazu naložit. V závislost na typu údaje program nabízí všechny nebo některé z následujících možností:

  • Nastavit

    Údaj bude nastaven na zadanou hodnotu nebo výsledek zadaného výrazu, bez ohledu na původní hodnotu údaje.

  • Vynásobit

    Původní údaj bude zadanou hodnotou nebo výsledkem zadaného výrazu vynásoben. Přejete-li si původní údaj místo násobení dělit, zadejte zde převrácenou hodnotu koeficientu.

  • Přičíst

    K původnímu údaji bude zadaná hodnota nebo výsledek zadaného výrazu přičten. Přejete-li si zadanou hodnotu odečíst, zadejte ji zde s opačným znaménkem.

  • Odstranit

    Původní údaj bude ze záznamu odstraněn. Takto můžete např. odstranit výšky cíle apod. Údaj můžete ze záznamu odstranit i tak, že zvolíte volbu Nastavit a editační okénko s příslušným údajem ponecháte prázdné.

Funkční vztahy

Do editačních okének lze kromě číselných hodnot zapisovat i funkční vztahy, v nichž lze použít běžné matematické operace, konstanty a předdefinované proměnné. Předdefinované proměnné jsou uvedeny v následujících tabulkách:

Tabulka 27.2. Společné proměnné pro hromadné změny

Název proměnné | Obsah proměnné
P | Předčíslí bodu
N | Číslo bodu
NUMBER | Úplné číslo bodu
CODE | Kód/popis bodu
NOTE | Poznámka bodu
FSU | Číslo katastrálního území (z předčíslí)
ZPMZ | Číslo ZPMZ (z předčíslí)
XRED, YRED, ZRED | Redukce souřadnic dle nastavení
SCALE | Nastavený měřítkový koeficient
PI | Konstanta pi (3.14159265358979)
RO | Radian v g (63.66197723675813)

Tabulka 27.3. Proměnné pro hromadné změny v seznamu měření

Název proměnné | Obsah proměnné
HZ | Vodorovný směr
V | Zenitový úhel
DIST | Vodorovná délka
DH | Převýšení
SIGNAL | Výška stroje/cíle
ORTHO_RAD | Ortogonální měření - staničení
ORTHO_PERP | Ortogonální měření - kolmice
LVL_BACK | Nivelace - čtení vzad
LVL_FWD | Nivelace - čtení vpřed
LVL_SIDE | Nivelace - čtení bočně

Přejete-li si tedy například přičíst k délce konstantu 0.035 m, můžete postupovat dvěma způsoby:

  • Do editačního okénka zadejte konstantu 0.035 a zvolte akci Přičíst.

  • Do editačního okénka zadejte funkční vztah DIST+0.035 a zvolte akci Nastavit.

Výsledek obou těchto postupů bude shodný.

V tomto případě je samozřejmě jednodušší první způsob, ale z příkladu je zřejmé, že druhý způsob nabízí mnohem více možností.

Dialogové okno pro hromadnou změnu v seznamu polárního měření

Dialogové okno pro hromadnou změnu v seznamu polárního měření

Typ bodu

Zde můžete volit, na jaký typ mají být označené záznamy změněny:

  • Neměnit: typ záznamu zůstane beze změny.

  • Orientace: typ záznamu bude změněn na orientaci.

    V polárním zápisníku mají tento atribut měřené orientační směry na volném nebo pevném stanovisku, případně záměry na další body měřické sítě, např. pro načtení do modulu Vyrovnání sítí MNČ.

  • Měřený bod: typ záznamu bude změněn na měřený bod.

Vlastnosti bodu

  • Deaktivovaný

    Tímto třístavovým přepínačem se pracuje s atributem deaktivace bodu. Vyberete-li možnost Ano, budou všechny upravované body označeny jako deaktivované. Deaktivované položky nadále v seznamech zůstávají, systém je ale ignoruje. Při volbě Ne bude upravovaným bodům atribut deaktivace odebrán. Při volbě Neměnit zůstane tento atribut upravovaných bodů beze změny.

Vlastnosti délek

Zde můžete nastavit atributy délek v zápisníku.

  • Redukována na vodorovnou: Tento atribut určuje, zda již byla délka (při importu nebo dodatečně) redukována na vodorovnou.

    Důležité

    Systém Groma očekává ve všech výpočtech vodorovnou délku. Pokud se pokusíte do některého výpočetního okna přetáhnout ze zápisníku neredukovanou délku, budete na to upozorněni zobrazeným hlášením.

  • Opravena o měřítko: Tento atribut určuje, zda již byla délka (při importu nebo dodatečně) opravena o redukci z kartografického zkreslení a o opravu z nadmořské výšky.

    Důležité

    Systém Groma očekává ve všech výpočtech délku opravenou o matematické redukce.

Opravené chyby

Zde můžete nastavit které přístrojové chyby a chyby měření již byly opraveny.

  • Kolimační: Tento atribut určuje, zda již byla na příslušných záznamech opravena kolimační chyba.

    Tato chyba je označena jako opravená při zpracování měření v obou polohách (nástrojem Měření → Zpracování zápisníku nebo Měření → Zpracování měření v řadách a skupinách), což je postup, jehož zpracování vliv kolimační chyby odstraní.

  • Indexová: Tento atribut určuje, zda již byla na příslušných záznamech opravena indexová chyba.

    Tato chyba je označena jako opravená při zpracování měření v obou polohách (nástrojem Měření → Zpracování zápisníku nebo Měření → Zpracování měření v řadách a skupinách), což je postup, jehož zpracování vliv indexové chyby odstraní.

  • Refrakce: Tento atribut určuje, zda již byla na příslušných záznamech opravena chyba z refrakce.

    Tuto chybu lze opravit (a zároveň nastavit tento atribut) volbou Opravit refrakci v nástroji Měření → Zpracování zápisníku.

Dialogové okno pro hromadnou změnu v seznamu ortogonálního měření

Dialogové okno pro hromadnou změnu v seznamu ortogonálního měření

Typ bodu

Zde můžete volit, na jaký typ mají být označené záznamy změněny:

  • Neměnit: typ záznamu zůstane beze změny

  • Identický bod: typ záznamu bude změněn na identický bod měřické přímky. V ortogonálním zápisníku je tímto atributem označen druhý (a případně každý další) identický bod, na který má být připojena měřická přímka. První bod měřické přímky je kvůli oddělení přímek označen atributem Stanovisko.

  • Určovaný bod: typ záznamu bude změněn na měřený bod.

Označování bodů

Po stisknutí tlačítka Označit bude zobrazeno dialogové okno pro označení položek v seznamu. Jsou-li v seznamu některé položky označeny, můžete si zvolit, zda má být změna provedena v celém souboru, nebo pouze u označených položek.

Předcházející | Nahoru | Další
Hromadné označování v seznamu měření | Domů | Přečíslování seznamu měření


Přečíslování seznamu měření
Předcházející Kapitola 27. Menu Měření Další

Přečíslování seznamu měření

Nemodální dialogové okno, pomocí něhož můžete přečíslovat seznam měření. Zadáte soubor, který si přejete přečíslovat, a další parametry přečíslování.

Po přečíslování bude zobrazen protokol o přečíslování a naplněn seznam přiřazení čísel bodů.

Přečíslování seznamu měření

Volba vstupního souboru

Název vstupního souboru zadejte v rámečku Soubor.

Doplnění předčíslí

Program umožňuje u bodů s neúplným předčíslím doplnit číslo na úplné. Pokud má předčíslí u některého bodu méně číslic než přednastavené předčíslí, bude zleva doplněno o potřebný počet číslic z předčíslí.

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko Doplnit úplná čísla bodů.

Oříznutí předčíslí

Program umožňuje u bodů s úplným předčíslím oříznout z předčíslí číslice totožné s přednastaveným předčíslím (tj. opak předchozí funkce Doplnění předčíslí).

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko Doplnit úplná čísla bodů.

Změna předčíslí

Při změně předčíslí můžete postupovat dvěma způsoby:

Nastavení konstantního předčíslí

Chcete-li při změně nastavit u všech bodů stejné předčíslí, stačí hodnotu předčíslí vyplnit do vstupního okénka. Po přečíslování dostanou všechny body zadané předčíslí.

Chcete-li předčíslí u bodů odstranit, ponechte vstupní řádek prázdný, nebo do něj zadejte hodnotu 0.

Nastavení předčíslí pomocí masky

Přejete-li si změnit některé části původního předčíslí, můžete použít změnu předčíslí pomocí masky. Maska umožňuje změnit pouze některé číslice v předčíslí. Masku lze zadat dvěma způsoby:

  • Maska s otazníky

    Zadáte-li masku ve tvaru ???xx??? (případně lze použít i ekvivalentní zápis ###xx###), budou číslice na pozicích, na nichž jsou v masce otazníky (nebo mřížky), zachovány, zatímco ostatní číslice budou nahrazeny znaky zadanými v masce.

    Původní předčíslí 12345678 by tedy po zadání masky ???9???? bylo změněno na 12395678. Znaky na pozicích otazníků by zůstaly zachovány, čtvrtá číslice předčíslí by byla nahrazena číslicí 9.

  • Maska s pozicemi

    Předchozí způsob vyhovuje v případě, že se zaměňují jednotlivé číslice, ale není třeba měnit jejich pořadí. Pokud potřebujete např. první tři číslice přesunout na konec předčíslí, předchozím způsobem toho nedocílíte. Masku však můžete zadat i tím způsobem, že na místo otazníků napíšete pozice znaků v předčíslí uzavřené v lomené závorce. (např. <8><7><6>9<4><3><2><1>).

    Vzhledem k tomu, že všechna předčíslí nemusí mít stejný počet znaků, jsou pozice číslovány nikoli zleva, ale zprava. Uvedenou maskou tedy dosáhnete stejné změny, jako v předchozím případě (výsledné předčíslí bude opět 12395678).

    Přejete-li si použít indexy počítané zleva, můžete psát číslice v lomených závorkách se znaménkem minus. Zápis <1> znamená tedy první znak zprava, zápis <-1> znamená první znak zleva. Stejného výsledku, jako v předchozím případě, lze tedy dosáhnout i pomocí masky <-1><-2><-3>9<-5><-6><-7><-8>.

    Při přečíslování pomocí masky máte navíc možnost číslice původního předčíslí libovolně přehazovat. Zadáte-li například masku <3><2><1>??<8><7><6>, budou první tři číslice zaměněny za poslední tři číslice, zatímco čtvrtá a pátá číslice zůstane beze změny. Původní předčíslí 12345678 by tedy po zadání této masky bylo změněno na 67845123.

Změna čísla

Přejete-li si změnit čísla bodů, zapněte zaškrtávacím okénkem změnu čísla a zadejte počáteční číslo bodu.

Kromě standardního způsobu změny čísla lze použít i změnu čísla pomocí masky, stejně jako u předčíslí.

Přečíslování podle seznamu

Tuto možnost můžete použít v případě, že si přejete přečíslovat více seznamů stejným způsobem, tj. stejným starým číslům bodů přiřadit stejná nová čísla. Takto můžete přečíslovat seznam souřadnic, seznam měření i čísla bodů v protokolu tak, že bude zachována integrita číslování, tj. že bod stejného starého čísla dostane vždy stejné nové číslo.

Podrobněji je přečíslování podle seznamu přiřazení popsáno v kapitole Přečíslování podle seznamu.

Volby

  • Přečíslovat stanoviska

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla stanovisek. Je-li tato volba vypnutá, čísla stanovisek zůstanou beze změny.

  • Přečíslovat orientace

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla orientací. Je-li tato volba vypnutá, čísla orientací zůstanou beze změny.

  • Přečíslovat alfanumerické

    Při zapnutí této volby budou přečíslovány i body s alfanumerickými identifikátory.

    • Zachovat znakovou část

      Obsahuje-li alfanumerický identifikátor znakovou a číselnou část (např. SACHTA27, bude znaková část, tedy SACHTA, zachována, a číselná část, tedy 27, bude přečíslována. Je-li tato volba vypnuta, celý alfanumerický identifikátor bude nahrazen novým číslem.

  • Zachovat duplicity

    V seznamech měření se mohou některá čísla bodů opakovat (např. v případě opakovaného zaměření). Při normálním přečíslování by obě zaměření dostala odlišná nová čísla, podle pozice, na které se měření v seznamu nachází. Pokud však tuto volbu zaškrtnete, po přečíslování budou mít všechna tato měření opět shodné číslo bodu (takové, které dostane první zaměření daného bodu).

Přečíslování

Přečíslování seznamu spustíte tlačítkem Přečíslovat. Můžete si zvolit, zda má být přečíslován celý seznam, nebo pouze označené položky.

Po přečíslování je zobrazen protokol, obsahující tabulku starých a nových čísel bodů.

Předcházející | Nahoru | Další
Hromadné změny v seznamu měření | Domů | Zpracování zápisníku


Zpracování zápisníku
Předcházející Kapitola 27. Menu Měření Další

Zpracování zápisníku

Program Groma umožňuje kompletní zpracování zápisníku měřených hodnot, včetně zpracování měření v obou polohách dalekohledu, obousměrně měřených délek apod.

Zpracování zápisníku

Před výpočtem zápisníku musíte nejprve definovat teodolit pomocí příkazu Soubor → Nastavení → Teodolit. Při definování teodolitu nastavíte tolerance pro rozdíl měření v I. a II. poloze dalekohledu, rozdíl dvakrát měřené délky apod. Podle nastavených tolerancí jsou potom jednotlivá měření v protokolu označována jako podezřel, resp. chybná.

Program je dodáván s předdefinovaným teodolitem s názvem "Neznámý teodolit", v jehož definici jsou nastaveny implicitní tolerance pro testování podezřelých a chybných měření.

Nastavení teodolitu

Informace o všech změnách v seznamu měření jsou uloženy v protokolu. V některých případech může být vhodné zapsat změny pouze do protokolu, ale seznam měření ponechat v původním stavu. V takovém případě zaškrtněte volbu Pouze do protokolu, a program ponechá seznam beze změny.

Dále si můžete zvolit, zda chcete opravit celý soubor měření, nebo pouze označené položky.

Vlastní zpracování zápisníku spustíte stisknutím tlačítka Opravit. Program provede postupně všechny úpravy, které jste si zvolili.

Při výpočtu zápisníku se program řídí těmito pravidly:

  • Je-li testovaná hodnota (rozdíl obousměrně měřených délek, rozdíl směrů měřených v I. a II. poloze) menší, než hodnota nastavená u zvoleného teodolitu jako Podezřelá, program daný výpočet provede.

  • Leží-li testovaná hodnota v intervalu daném hodnotou nastavenou jako Podezřelá a hodnotou nastavenou jako Chybná, program daný výpočet provede, ale v protokolu jej označí znakem "?" jako podezřelý.

  • Překročí-li testovaná hodnota hodnotou nastavenou jako Chybná, program daný výpočet neprovede, v zápisníku ponechá původní měření a údaje o neprovedeném výpočtu uloží do protokolu označené znakem "x" jako chybné.

V rámci zpracování zápisníku lze provést tyto úpravy:

  • Převod šikmých délek na vodorovné

    Pokud jste načetli zápisník bez redukce délek na vodorovné, tedy se šikmými délkami, je třeba před dalšími výpočty délky redukovat na vodorovné. Redukci lze provést buď u jednotlivých bodů v dialogovém okně pro editaci, nebo hromadně ve zpracování zápisníku.

  • Zpracování měření v obou polohách

    Program na každém stanovisku vyhledá dvojici směrů na jeden bod měřených v obou polohách dalekohledu. Nalezne-li takovou dvojici, vypočte kolimační chybu (rozdíl měření v obou polohách dělený dvěma), odečte od takto určené chyby kolimační chybu nastavenou v definici teodolitu a výsledný rozdíl porovná s tolerancemi nastavenými v definici teodolitu.

    Stejným způsobem zpracuje i zenitové úhly (byly-li měřeny) a délky.

    Jestliže všechny zjištěné rozdíly vyhoví tolerancím nastaveným v definici teodolitu, opraví program měření v I. poloze tak, aby obsahovalo průměrné hodnoty z obou měření.

    Jestliže byl alespoň jeden z vypočtených rozdílů větší než hodnota nastavená v definici teodolitu jako podezřelá, program označí v protokolu celé měření jako podezřelé.

    Po zpracování seznamu měření je do protokolu uložen i odhad skutečných velikostí přístrojových chyb.

  • Redukce směrů

    Při redukci směrů program upraví všechny směry na stanovisku tak, aby byl směr na první orientaci (první položka v seznamu měření) nulový, tj. od všech směrů odečte směr měřený na první orientaci.

  • Oprava indexové chyby

    Jestliže váš stroj neopravuje automaticky indexovou chybu, a jestliže znáte její velikost, nastavte ji v definici teodolitu, a použijte tuto volbu k opravě měřených zenitových úhlů.

  • Oprava refrakce

    Tato volba vám umožňuje opravit měřené zenitové úhly nebo převýšení o vliv refrakce a zakřivení povrchu Země. Před vlastním výpočtem zvolte pomocí tlačítka Nastavení velikost refrakčního koeficientu a které opravy chcete zavést.

    Nastavení refrakčního koeficientu a dalších voleb je k dispozici v dalším dialogovém okně, které se zobrazí stisknutím tlačítka Nastavení refrakce:

    Nastavení refrakčního koeficientu

    V tomto okně si můžete dále zvolit, zda má být provedena oprava refrakce, a případně také oprava ze zakřivení. Obvykle se provádějí obě opravy společně.

  • Výpočet převýšení

    Po zaškrtnutí této volby program u všech měření, která obsahují délku a zenitový úhel, vypočte převýšení a uloží jej do seznamu měření.

  • Redukce převýšení na spojnici stabilizačních značek

    U měření, u nichž je definováno převýšení (nebo zenitový úhel), výška stroje a výška cíle program vypočte převýšení přímo mezi body, tj. převýšení opravené o výšku stroje a cíle. Výšku stroje a cíle potom nastaví na nulovou hodnotu, aby nemohlo dojít k následným chybám ve výškovém výpočtu. Tuto redukci je nutné provést před načtením dat do výškového vyrovnání.

  • Zpracování opakovaných měření

    Program na každém stanovisku vyhledává skupiny měření na stejný cíl ve stejné poloze dalekohledu. Z nalezených měření vypočte výsledné průměrné měření. Pokud opravy jednotlivých měření vyhoví nastaveným tolerancím, příslušná měření ze seznamu vypustí a opraví první měření tak, aby obsahovalo průměrné hodnoty.

  • Zpracování obousměrně měřených délek a převýšení

    Program postupně vyhledává v celém seznamu měření pro každou měřenou délku příslušnou délku měřenou protisměrně. Nalezne-li ji, vypočte průměrnou hodnotu, a pokud její opravy nepřekročí nastavené tolerance, uloží ji k oběma měření. Obdobně postupuje i u převýšení.

    Jestliže byl alespoň jeden z vypočtených rozdílů větší než hodnota nastavená v definici teodolitu jako podezřelá, program označí v protokolu celé měření jako podezřelé.

Předcházející | Nahoru | Další
Přečíslování seznamu měření | Domů | Zpracování měření směrů v řadách a skupinách


Zpracování měření směrů v řadách a skupinách
Předcházející Kapitola 27. Menu Měření Další

Zpracování měření směrů v řadách a skupinách

Nástroj slouží ke zpracování osnov vodorovných směrů měřených v řadách a skupinách.

Takto se označuje způsob měření směrů, používaný při pracích s vysokými nároky na přesnost, např. měření ve velmi přesných geodetických sítích nebo v železniční geodézii.

Při klasickém způsobu měření se postupuje takto:

  • Postupně se zaměří řada cílů v první poloze dalekohledu. Jako první cíl by se měl zvolit dostatečně vzdálený a dobře viditelný cíl, obvykle se volí ten směr z osnovy, na který lze zacílit s nejmenší úhlovou chybou.
  • Po zaměření jedné řady (skupiny cílů) je možno (ale není to nutné) řadu uzavřít opětovným zaměřením na první orientaci.
  • Poté se tatáž řada zaměří v druhé poloze dalekohledu (lépe v obráceném pořadí od posledního směru zpět k prvnímu), opět s případným uzávěrem na první směr. Tím je dokončena jedna skupina.
  • Dále se stejným způsobem zaměří druhá a případné další skupiny. Navazující skupiny lze pro urychlení zahájit i v II. poloze dalekohledu.

Tento způsob měření při dodržení určitých zásad a při pečlivém cílení poskytuje po zpracování zápisníku nejpřesnější měřené vodorovné směry.

Kromě tohoto standardního a osvědčeného způsobu lze postupovat i mírně zjednodušenými způsoby, které někdy neodstraní tak dokonale přístrojové chyby, ale pro většinu prací mají dostatečnou přesnost a postup měření mohou urychlit, zejména při asistovaném měření s využitím přístrojů se servomotory.

Zpracovat lze tyto posloupnosti měření:

Tabulka 27.4. Možné postupy měření směrů v řadách a skupinách

Klasický postup Zrychlený postup Zrychlený střídavý postup
  • Bod 1: I. poloha
  • Bod 2: I. poloha
  • Bod 3: I. poloha
  • (volitelně kontrola) Bod 1: I. poloha
  • (volitelně kontrola) Bod 1: II. poloha
  • Bod 3: II. poloha
  • Bod 2: II. poloha
  • Bod 1: II. poloha
  • Bod 1: I. poloha
  • Bod 1: II. poloha
  • Bod 2: I. poloha
  • Bod 2: II. poloha
  • Bod 3: I. poloha
  • Bod 3: II. poloha
  • (volitelně kontrola) Bod 1: I. poloha
  • (volitelně kontrola) Bod 1: II. poloha
  • Bod 1: I. poloha
  • Bod 1: II. poloha
  • Bod 2: II. poloha
  • Bod 2: I. poloha
  • Bod 3: I. poloha
  • Bod 3: II. poloha
  • (volitelně kontrola) Bod 1: II. poloha
  • (volitelně kontrola) Bod 1: I. poloha

Zpracování se provádí načtením seznamu měření do dialogového okna, výpočtem a uložením výsledných vyrovnaných měření:

Zpracování měření v řadách a skupinách

Postup zpracování je následující:

  • Zvolte vstupní a výstupní soubor.

  • Nastavte další volby pro zpracování zápisníku.

  • Načtěte a zpracujte měřená data pomocí tlačítka Načíst.

  • Zkontrolujte podrobný protokol o zpracování, obsahující dosažené odchylky a případné informace o překročení tolerancí.

  • Zkontrolujte výslednou tabulku, zda je zpracování v pořádku a neobsahuje žádné chyby.

  • Uložte vyrovnaná měření pomocí tlačítka Uložit.

  • Případně můžete pomocí tlačítka Exportovat tabulku vyexportovat tabulku s vyrovnáním do formátu .xlsx.

Tabulka 27.5. Volby při zpracování měření v řadách a skupinách

Redukovat směry na nulu Vyrovnané směry budou redukovány tak, aby na první orientaci byl směr nulový.

Ve vstupním souboru není třeba v rámci jedné osnovy směrů od sebe oddělovat jednotlivé skupiny hlavičkou stanoviska. Novou hlavičkou stanoviska se oddělí až následující osnova.

Ukázkový soubor zpracovaný ve výše uvedené tabulce vypadá takto:

Ukázka seznamu měření pro zpracování měření v řadách a skupinách

Předcházející | Nahoru | Další
Zpracování zápisníku | Domů | Spojení opakovaných stanovisek


Spojení opakovaných stanovisek
Předcházející Kapitola 27. Menu Měření Další

Spojení opakovaných stanovisek

Nástroj slouží ke spojení opakovaných měření na jednom stanovisku. Měření lze spojit pouze v případě, že obsahují alespoň jeden společný směr, přes který mohou být obě osnovy směrů spojeny.

Spojení opakovaných stanovisek

Nejprve program setřídí celý soubor podle stanovisek. Potom jej prochází a vyhledává opakovaná stanoviska. Jestliže takováto stanoviska nalezne, zobrazí seznam společných vodorovných směrů s opravami. Z tohoto seznamu můžete jednotlivé směry vypouštět pomocí tlačítka Odebrat. Po stisknutí tlačítka OK program vypočte posun obou osnov, osnovy spojí a všechny směry měřené na druhém bodě o posun opraví.

Důležité

Je-li v obou měřeních uvedena výška stroje, lze osnovy spojit pouze v případě, že jsou obě výšky stroje totožné. Jsou-li rozdílné, můžete pro jejich ztotožnění použít volbu Redukovat převýšení na spojnici stabilizačních značek v nástroji Měření → Zpracování zápisníku.

Předcházející | Nahoru | Další
Zpracování měření směrů v řadách a skupinách | Domů | Označení orientací


Označení orientací
Předcházející Kapitola 27. Menu Měření Další

Označení orientací

Označení orientací

Systém Groma v některých úlohách využívá označení orientací. Orientace jsou v seznamech měření zobrazeny tučně, a mohou být umístěny na libovolném místě seznamu (nemusí být nutně na začátku stanoviska). Při importu z formátu záznamníku program orientace automaticky označí (umožňuje-li formát příslušného záznamníku orientace odlišit). Pro jednotlivé body lze atribut orientace měnit také pomocí editace nebo hromadné změny. Chcete-li změnit tento atribut pro větší množství bodů, můžete použít toto dialogové okno.

V okně zvolíte, podle kterých kritérií mají být orientace označeny, a zda mají být body, vyhovující zadaným kritériím, přidány ke stávajícím orientacím, či zda má být provedeno celé nové označení (v takovém případě je nejprve atribut Orientace u všech bodů zrušen).

Body použité jako stanoviska

Při této volbě budou jako orientace označena všechna měření na body, které byly zároveň použity jako stanoviska.

Body nalezené v seznamech souřadnic

Při této volbě budou jako orientace označena měření na body, které jsou v daném okamžiku uložené v seznamu / seznamech souřadnic (s ohledem na nastavený režim vyhledávání bodů).

Body s kódem orientace

Jako orientace budou označena ta měření, u nichž je v kódu obsažen nastavený kód orientace (může být i součástí delšího kódu, v takovém případě však musí být správně nastaven oddělovač kódů v nastavení kódování).

Body s číslem vyšším než

Zde lze nastavit číselnou hranici, od níž jsou body považovány za orientace. Tato hranice obvykle bývá 2000, 4000 nebo 5000.

Body s předčíslím

Zde lze nastavit konkrétní předčíslí, jímž jsou označena měření na orientace.

Body s předčíslím vyšším než

Zde lze nastavit číselnou hranici předčíslí, od níž jsou body považovány za orientace.

Předcházející | Nahoru | Další
Spojení opakovaných stanovisek | Domů | Setřídění


Setřídění
Předcházející Kapitola 27. Menu Měření Další

Setřídění

Setřídění seznamu měření

Pomocí tohoto příkazu můžete setřídit seznam měření. Program setřídí vstupní soubor do výstupního souboru. Vstupní soubor zůstane beze změny, data budou přidána na konec výstupního souboru.

  • Setřídit stanoviska

    Program setřídí soubor vzestupně podle stanovisek.

  • Setřídit podle čísel

    Program setřídí měřené body na stanoviskách podle jejich čísel.

  • Orientace na začátek

    Program zařadí orientace na začátek stanovisek před podrobné body, bez ohledu na jejich čísla.

Předcházející | Nahoru | Další
Označení orientací | Domů | Vykreslení měřické sítě v grafickém modulu


Vykreslení měřické sítě v grafickém modulu
Předcházející Kapitola 27. Menu Měření Další

Vykreslení měřické sítě v grafickém modulu

Vykreslení měřické sítě v grafickém modulu

Pomocí tohoto příkazu můžete nechat vykreslit měřickou síť ze seznamu měření do grafického modulu. Pro vykreslení sítě postupujte takto:

  1. V seznamu měření označte stanoviska, orientace, případně podrobné body, mezi nimiž chcete vykreslit síť

  2. Otevřete příslušný seznam souřadnic a zajistěte, aby bylo možno nalézt potřebné souřadnice (např. nastavte seznam souřadnic jako aktivní).

  3. V grafickém modulu se přepněte do pohledu Náčrt.

  4. Spusťte funkci Měření - Vykreslení měřické sítě.

  5. V dialogovém okně zkontrolujte, případně upravte nastavení parametrů a příkaz potvrďte tlačítkem OK.

V dialogovém okně můžete nastavit následující parametry:

  • Záměry oříznout na délku: zvolte délku, jakou mají mít oříznuté počáteční a koncové segmenty záměr. Tuto délku bude mít část záměry u stanoviska i u koncového bodu. Délka se zadává v milimetrech na výstupu, bude přepočtena dle nastaveného měřítka.

  • Minimální délka mezery: Minimální délka segmentu vyříznutého ze středu záměry. Pokud by vyřezávaná délka vyšla menší než tato hodnota, bude záměra ponechána celá.

  • Maximální délka záměry bez oříznutí: Maximální délka záměry, která bude dotažena až ke koncovému bodu. U větších délek bude záměra zobrazena symbolicky zkrácená se šipkou.

  • Odstranit předchozí měřickou síť: Před vykreslením měřické sítě bude předchozí měřická síť odstraněna.

Předcházející | Nahoru | Další
Setřídění | Domů | Přesná oprava délek o měřítko


Přesná oprava délek o měřítko
Předcházející Kapitola 27. Menu Měření Další

Přesná oprava délek o měřítko

Standardní oprava délek o měřítko probíhá během importu souboru s měřením. Všechny měřené délky jsou násobeny jedním měřítkovým koeficientem, který by měl být vypočten přibližně pro střed zaměřené oblasti.

Při velmi přesných měřeních na rozsáhlém území ale může být vhodné neopravovat všechny délky jedním koeficientem, ale určit měřítkový koeficient pro každou délku zvlášť. K tomu slouží tento nástroj.

Přesná oprava délek o měřítko

Při zpracování zápisníku je určen měřítkový koeficient zvlášť pro každou délku. Vypočten je k těžišti redukované délky, tedy k průměru souřadnic koncových bodů.

Důležité

Pro opravu tímto nástrojem je třeba importovat měření bez standardní redukce délek. Tu můžete vypnout tak, že před importem měření nastavíte měřítko na hodnotu 1 (na liště nastavení nebo v Soubor → Nastavení → Vstup/Výstup).

Důležité

Při zpracování je třeba, aby aplikace dokázala (vzhledem k nastavenému režimu vyhledávání bodů) nalézt souřadnice všech koncových bodů. Souřadnice stačí velmi přibližné, např. na desítky metrů.

Předcházející | Nahoru | Další
Vykreslení měřické sítě v grafickém modulu | Domů | Připoj soubor


Připoj soubor
Předcházející Kapitola 27. Menu Měření Další

Připoj soubor

Pomocí tohoto příkazu můžete k otevřenému seznamu měření připojit další seznam měření.

Soubor měření bude připojen na konec původního souboru.

Předcházející | Nahoru | Další
Přesná oprava délek o měřítko | Domů | Parametry zobrazení


Parametry zobrazení
Předcházející Kapitola 27. Menu Měření Další

Parametry zobrazení

Parametry zobrazení seznamu měření

Pokud některé z údajů, zobrazovaných v seznamech, nepoužíváte (např. zenitový úhel, výška signálu apod.), můžete pomocí tohoto příkazu příslušné sloupce vypnout. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (tj. nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech.

V tomto okně můžete navíc zvolit podrobnost zobrazení seznamů měření:

  • Vše

    Budou zobrazena všechna měření v celém souboru.

  • Stanoviska + orientace

    Budou zobrazeny pouze hlavičky stanovisek a měření označená jako orientace.

  • Stanoviska

    Budou zobrazeny pouze hlavičky stanovisek.

Tímto způsobem se mění typ zobrazení pro celý soubor. Pro jednotlivá stanoviska lze zobrazení měnit kliknutím myší na ikonu zobrazenou v levé části seznamu na řádku s hlavičkou stanoviska.

Předcházející | Nahoru | Další
Připoj soubor | Domů | Kapitola 28. Menu Výpočty


Kapitola 28. Menu Výpočty
Předcházející Část II. Referenční příručka Další

Kapitola 28. Menu Výpočty

Obsah

Polární metoda
Souřadnice stanoviska
Orientace osnov
Podrobné body
Ortogonální metoda
Polární metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Ortogonální metoda dávkou
Příprava pro výpočet
Soubory
Okamžitý stav výpočtu
Celkový stav výpočtu
Volné stanovisko
Metody výpočtu volného stanoviska
Volba využití orientací pro určení polohy a výšky
Přenesení zadání do modulu pro vyrovnání sítí MNČ
Výsledné hodnoty
Protínání z délek
Protínání z orientovaných směrů
Hromadné protínání z orientovaných směrů
Průsečík přímek
Výškový výpočet
Průsečík přímka - směr
Výškový výpočet
Průsečík přímka - kružnice
Vyrovnávací přímka
Vyrovnávací kružnice
Polygonový pořad
Počáteční a koncový bod
Měřená data
Výsledky
Vstupy / Výstupy
Výškový pořad
Transformace souřadnic
Typ transformace
Identické body
Automatické vyhledání identických bodů
Aktualizace souřadnic identických bodů
Záměna souřadnic identických bodů
Nastavení statistického testování identických bodů
Transformace bodů
Směrník a délka
Kontrolní oměrné
Soubor kontrolních oměrných
Konstrukční oměrné
Vyrovnání na přímku
Vyrovnání na kružnici
Výpočet výměr
Polární vytyčovací prvky
Výpočet jednotlivých bodů
Hromadný výpočet do souboru
Volba počítaných údajů
Ortogonální vytyčovací prvky
Výpočet trasy
Fasáda
Rozbití oblouku
Definice kruhového oblouku
Definice způsobu rozložení
Počáteční číslo bodu
Vypočtené body
Kubatury
Výpočet výšky stanoviska
Výpočet výšek
Napojení změny do KM-D v dosavadním bodu
Napojení změny do KM-D v novém bodu
Dávkový výpočet souboru MAPA2
Vzorový soubor s polární metodou
Vzorový soubor s ortogonální metodou

Tato nabídka obsahuje všechny výpočetní úlohy, které jsou v systému Groma k dispozici, s výjimkou komplexních úloh, které jsou ve formě rozšiřujících modulů (Vyrovnání sítí MNČ, Výpočet trasy komunikace, Geometrické plány atd.)

Každá výpočetní úloha má své nemodální dialogové okno. Různých výpočetních úloh i různých výpočetních oken od jedné úlohy můžete mít otevřeno libovolné množství současně.

Polární metoda

Dialog slouží k ručnímu nebo poloautomatickému výpočtu souřadnic bodů zaměřených polární metodou, tedy pomocí směrů a délek.

Polární metoda

Před výpočtem zaměřených bodů nejdříve musíte zadat souřadnice stanoviska a zorientovat osnovu vodorovných směrů.

Souřadnice stanoviska

Souřadnice stanovisek lze vyplnit ručně (popř. vyplnit pouze číslo bodu a souřadnice nechat doplnit automaticky), nebo přetáhnout ze seznamu souřadnic.

Orientace osnov

Postup při orientaci osnovy směrů je uveden v samostatné kapitole.

Podrobné body

Polární metoda

Máte-li zorientovánu osnovu vodorovných směrů, můžete se pomocí záložky Určovaný bod přepnou do druhé části dialogového okna a začít počítat zaměřené body. Údaje můžete do editačních oken vyplňovat ručně, nebo přetahovat ze seznamu. Je-li zvolen aktivní seznam souřadnic, jsou do něj vypočtené body automaticky ukládány. Nechcete-li je ukládat, musíte před výpočtem zrušit aktivní seznam (příkaz Soubor → Aktivní seznam souřadnic, položka [Žádný]). Nemáte-li nastaven aktivní seznam souřadnic (nebo chcete-li uložit bod i do jiného seznamu, popř. použít v jiném výpočetním okně jako vstupní údaj), můžete jej přetáhnout pomocí myši stejně, jako se přetahují body ze seznamů souřadnic.

Tabulka 28.1. Volby výpočtu polární metody

Výpočet ze směrníků | Je-li zapnut tento přepínač, program předpokládá, že vstupní směry nejsou měřené vodorovné směry, ale přímo jižníky záměr na počítané body. Při této variantě tedy není třeba dělat orientaci osnovy, postačí zadat souřadnice stanoviska a směrníky na počítané body.
Výpočet pro bodové pole | V této variantě výpočtu jsou souřadnice určovaného bodu spočítány zvlášť s využitím každého orientačního směru. Vypočtené souřadnice jsou zprůměrovány, uložena je výsledná hodnota a rozdíly jsou zaprotokolovány. Jsou-li na stanovisku zadány např. tři orientační směry, budou souřadnice počítaného bodu vypočteny třikrát, zprůměrovány a zaprotokolovány.

Chcete-li vypočítat souřadnice více bodů najednou, můžete si tyto body označit v seznamu měření, a přetáhnout celý označený blok najednou.

Poznámka

Při tomto způsobu výpočtu nesmí označený blok zasáhnout do dalšího stanoviska, protože tato úloha neumí automaticky provést novou orientaci osnov. V případě, že chcete počítat více stanovisek najednou, použijte Polární metodu dávkou.

Přetahujete-li data myší, budou souřadnice vypočteny okamžitě po přetažení. Zadáváte-li údaje z klávesnice, musíte stisknout tlačítko Výpočet (lze stisknout odkudkoli klávesou Alt-V).

Předcházející | Nahoru | Další
Parametry zobrazení | Domů | Ortogonální metoda


Ortogonální metoda
Předcházející Kapitola 28. Menu Výpočty Další

Ortogonální metoda

Dialog slouží k ručnímu výpočtu souřadnic bodů zaměřených ortogonální metodou, tedy pomocí staničení a kolmic.

Ortogonální metoda

Před výpočtem podrobných bodů zaměřených ortogonální metodou musíte nejprve určit transformační klíč postupem obdobným orientaci osnov vodorovných směrů při polární metodě. Do vstupních řádků v části Identické body musíte pro každý bod, který chcete použít pro určení transformačního klíče, zadat souřadnice v hlavní soustavě i v místní soustavě (kolmice a staničení), a pomocí tlačítka Přidat jej přidat do seznamu identických bodů.

Při přetažení prvního identického bodu program nastaví kolmici a staničení na hodnotu 0.00. Při přetažení druhého identického bodu program jako staničení nabídne vzdálenost od prvního identického bodu a jako kolmici hodnotu 0.00.

Důležité

Pokud nabízené staničení neupravíte, je výpočet považován za výpočet bez kontroly, což je poznamenáno také v protokolu. Pokud bylo shodou okolností měřené staničení přesně shodné s nabízeným, je i přesto nutno hodnotu zaeditovat (libovolnou úpravou, stačí například na začátek nebo konec doplnit mezeru, kterou ani není třeba následně odmazávat), aby systém věděl, že bylo staničení ručně zadáno nebo upraveno, a nepovažoval délku přímky za nezkontrolovanou.

Jsou-li v seznamu alespoň dva identické body, program automaticky vypočte transformační klíč a souřadnicové opravy na všech bodech. Zároveň zobrazí opravu délky mezi prvními dvěma identickými body (rozdíl délky určené ze souřadnic a z kolmic a staničení). Maximální počet identických bodů není omezen.

Transformační klíč si můžete zkontrolovat po stisknutí tlačítka Klíč. Z dialogového okna, které program zobrazí (je shodné pro všechny typy transformace) vás bude pravděpodobně zajímat pouze část Měřítkové koeficienty (v tomto případě je použita podobnostní transformace, oba měřítkové koeficienty tedy budou shodné). Toto okno obsahuje tlačítka Načíst klíč a Uložit klíč, pomocí nichž můžete zadaný transformační klíč uložit do souboru pro další použití, nebo ze souboru načíst dříve definovaný klíč.

Ve výpočetním dialogovém okně je automaticky zobrazena oprava délky měřické přímky. Jestliže jsou zadány více než dva identické body, nebo jedná-li se o volnou měřickou přímku, je za opravu délky měřické přímky považován rozdíl vzdáleností mezi prvními dvěma identickými body.

Po určení transformačního klíče můžete obvyklým způsobem počítat jednotlivé body. Máte-li zvolen některý seznam souřadnic jako aktivní, program do něj automaticky ukládá vypočtené body. Nechcete-li je ukládat, musíte před výpočtem zrušit aktivní seznam (příkaz Soubor → Aktivní seznam souřadnic, položka [Žádný]). Nemáte-li nastaven aktivní seznam souřadnic (nebo chcete-li uložit bod i do jiného seznamu, popř. použít v jiném výpočetním okně jako vstupní údaj), můžete jej přetáhnout pomocí myši stejně, jako se přetahují body ze seznamů souřadnic.

Tlačítkem Nová přímka smažete obsah celého dialogového okna a můžete počítat další přímku.

Předcházející | Nahoru | Další
Kapitola 28. Menu Výpočty | Domů | Polární metoda dávkou


Polární metoda dávkou
Předcházející Kapitola 28. Menu Výpočty Další

Polární metoda dávkou

Tato úloha zpracovává dávkově celý seznam naměřených hodnot nebo jeho část. Umí vypočítat souřadnice bodů polární metodou, metodou volného stanoviska a protínáním ze směrů. Pokud si přejete při dávkovém výpočtu použít pouze některé z těchto metod, v konfiguraci programu (Soubor → Nastavení → Výpočty) lze jednotlivé metody vypnout. Vhodné to může být např. v případě, že se v seznamu měření objeví nejprve měření ze zatím neurčeného stanoviska, a teprve dále zaměření tohoto stanoviska rajónem. Pokud jsou zapnuty všechny výpočetní úlohy, program se pokusí souřadnice neznámého stanoviska určit jako volné stanovisko. Pokud úlohu Volné stanovisko pro dávkové výpočty vypnete, při prvním průchodu program toto stanovisko přeskočí (nebudou ještě určeny jeho souřadnice), později je určí rajónem, a při dalším průchodu dopočte body z něj zaměřené.

Nelze-li některé body vypočítat (např. pokud není možno určit souřadnice stanoviska apod.), bude v protokolu uvedena informace o tom, proč nemohl být výpočet proveden.

Polární metoda dávkou

Příprava pro výpočet

Před zahájením výpočtu musíte provést některá přípravná nastavení:

  • Otevřete soubor se seznamem měření.

  • Otevřete seznam souřadnic, v němž jsou body nutné pro výpočet (body bodového pole apod.).

  • Zajistěte, aby program Groma při výpočtu mohl souřadnice z tohoto souboru nalézt. Toho můžete dosáhnout dvěma způsoby:

    • V dialogovém okně Soubor → Nastavení → Prostředí zapněte volbu Hledat ve všech otevřených souborech, nebo
    • nastavte tento seznam souřadnic jako aktivní (Soubor → Aktivní seznam souřadnic).

  • V dialogovém okně Soubor → Nastavení → Výpočty zvolte způsob vyhledávání orientací (všechny body o známých souřadnicích nebo pouze body s atributem Orientace. V tomtéž dialogovém okně nebo přímo ve výpočetním okně pro polární metodu dávkou zvolte pomocí položky Editovat orientace, zda chcete, aby program před výpočtem každého stanoviska zobrazil seznam orientací a umožnil vám jeho editaci.

  • Zvolte vstupní a výstupní soubor pro výpočet (viz níže).

Tabulka 28.2. Volby výpočtu polární metody dávkou

Použít pouze označené hodnoty | Je-li zapnut tento přepínač, budou při zpracování použity pouze položky označené v zápisníku. Týká se to orientací i určovaných bodů.
Po výpočtu označit nepoužité hodnoty | Po zpracování dávkového výpočtu budou položky, které při výpočtu nebyly využity, označeny. Ponecháte-li tuto volbu vypnutou, nebude označení položek měněno (zůstanou označené ty položky, které byly označeny při zahájení výpočtu).
Editovat orientace | Je-li zapnut tento přepínač, program na začátku každého stanoviska zobrazí ke kontrole dialogové okno s orientací osnovy na stanovisku. V okně jsou zobrazeny opravy na jednotlivé orientace, orientace lze jednotlivě vypínat a zapínat.
Počítat volná stanoviska v dávce | Tímto přepínačem můžete zvolit, zda si přejete, aby byla při dávkovém výpočtu počítána i volná stanovizka. Pokud raději počítáte volná stanoviska samostatně ručně, tento přepínač vypněte.

Soubory

V této části dialogového okna musíte zvolit, ze kterého otevřeného souboru mají být čtena naměřená data, a do kterého souboru mají být ukládány vypočtené souřadnice. Jména souborů nastavíte tímto postupem:

  • Ukažte kamkoli do okna se souborem, který chcete zvolit.

  • Přetáhnete libovolnou položku myší (při stisknutém levém tlačítku) do výpočetního okna do oblasti nadepsané Soubory. V dialogovém okně se zobrazí název souboru.

Soubory můžete vybrat také pomocí tlačítek se třemi tečkami, která se nacházejí vedle okének pro názvy souborů.

Jestliže nenastavíte název výstupního souboru, program automaticky použije aktivní seznam souřadnic. Vstupní soubor musí být nastaven vždy.

Okamžitý stav výpočtu

Po spuštění tlačítkem Výpočet program v dialogovém okně zobrazuje okamžitý stav výpočtu:

  • Stanovisko: právě počítané stanovisko,

  • Bod: právě určovaný bod,

  • Metoda: metoda, kterou je bod určován (polární, volné stanovisko, protínání ze směrů), nebo jiná akce, která je právě prováděna (orientace osnov).

Celkový stav výpočtu

V této části okna program podává informace o tom, kolik stanovisek a podrobných bodů již bylo vypočteno, a kolik nepoužitých položek v seznamu naměřených hodnot ještě zbývá. Po ukončení výpočtu zde získáte informaci o počtu měřených hodnot, které z nějakého důvodu nemohly být použity.

Při dávkovém výpočtu program počítá polární metodu, volné stanovisko (i protínání zpět) a protínání ze směrů. Všechny tyto úlohy počítá program i výškově, má-li k tomu všechny nezbytné údaje v seznamech (výška stanoviska, výška stroje, převýšení nebo zenitový úhel a výška cíle). Při výpočtu protínání ze směrů vypočte výšku dvakrát (z obou stanovisek), do seznamu souřadnic uloží průměrnou hodnotu a do protokolu zapíše obě hodnoty, jejich rozdíl a průměr.

Dávkový výpočet umožňuje zpracování seznamů měření ve více průchodech. Tento způsob zpracování umožňuje výpočet i v případě, že data nejsou v souboru seřazena v takové posloupnosti, aby mohla být zpracována při jednom průchodu. Tato situace vznikne např. zaměříte-li podrobné body ze stanoviska, které ještě nebylo určeno, a určíte-li jej dodatečně, např. z následujícího stanoviska jako rajon. V takovém případě program při prvním průchodu neurčené stanovisko vynechá, z dalšího bodu určí jeho souřadnice, a při dalším průchodu toto stanovisko dopočítá. Maximální počet průchodů je 5, ale program výpočet sám ukončí v případě, že při posledním průchodu žádný bod nevypočetl.

Po výpočtu je k dispozici protokol se všemi údaji o výpočtu. Nechcete-li do protokolu ukládat všechny vypočtené podrobné body, můžete jejich ukládání vypnout v Soubor → Nastavení → Výpočty.

Předcházející | Nahoru | Další
Ortogonální metoda | Domů | Ortogonální metoda dávkou


Ortogonální metoda dávkou
Předcházející Kapitola 28. Menu Výpočty Další

Ortogonální metoda dávkou

Tato úloha zpracovává dávkově celý seznam naměřených ortogonálních hodnot nebo jeho část.

Ortogonální metoda dávkou

Příprava pro výpočet

Před zahájením výpočtu musíte provést některá přípravná nastavení:

  • Otevřete soubor se seznamem ortogonálního měření.

  • Otevřete seznam souřadnic, v němž jsou body nutné pro výpočet (body bodového pole apod.).

  • Zajistěte, aby program Groma při výpočtu mohl souřadnice z tohoto souboru nalézt. Toho můžete dosáhnout dvěma způsoby:

    • V dialogovém okně Soubor → Nastavení → Prostředí zapněte volbu Hledat ve všech otevřených souborech, nebo
    • nastavte tento seznam souřadnic jako aktivní (Soubor → Aktivní seznam souřadnic).

  • V dialogovém okně Soubor → Nastavení → Výpočty zvolte způsob vyhledávání orientací (všechny body o známých souřadnicích nebo pouze body s atributem Orientace. V tomtéž dialogovém okně nebo přímo ve výpočetním okně pro polární metodu dávkou zvolte pomocí položky Editovat orientace, zda chcete, aby program před výpočtem každého stanoviska zobrazil seznam orientací a umožnil vám jeho editaci.

  • Zvolte vstupní a výstupní soubor pro výpočet (viz níže).

Tabulka 28.3. Volby výpočtu ortogonální metody dávkou

Použít pouze označené hodnoty | Je-li zapnut tento přepínač, budou při zpracování použity pouze položky označené v zápisníku. Týká se to orientací i určovaných bodů.
Editovat orientace | Je-li zapnut tento přepínač, program na začátku každého stanoviska zobrazí ke kontrole dialogové okno s orientací osnovy na stanovisku. V okně jsou zobrazeny opravy na jednotlivé orientace, orientace lze jednotlivě vypínat a zapínat.

Soubory

V této části dialogového okna musíte zvolit, ze kterého otevřeného souboru mají být čtena naměřená data, a do kterého souboru mají být ukládány vypočtené souřadnice. Jména souborů nastavíte tímto postupem:

  • Ukažte kamkoli do okna se souborem, který chcete zvolit.

  • Přetáhnete libovolnou položku myší (při stisknutém levém tlačítku) do výpočetního okna do oblasti nadepsané Soubory. V dialogovém okně se zobrazí název souboru.

Soubory můžete vybrat také pomocí tlačítek se třemi tečkami, která se nacházejí vedle okének pro názvy souborů.

Jestliže nenastavíte název výstupního souboru, program automaticky použije aktivní seznam souřadnic. Vstupní soubor musí být nastaven vždy.

Okamžitý stav výpočtu

Po spuštění tlačítkem Výpočet program v dialogovém okně zobrazuje okamžitý stav výpočtu:

  • Přímka: právě počítaná ortogonální přímka,

  • Bod: právě určovaný bod,

Celkový stav výpočtu

V této části okna program podává informace o tom, kolik přímek a podrobných bodů již bylo vypočteno, a kolik nepoužitých položek v seznamu naměřených hodnot ještě zbývá. Po ukončení výpočtu zde získáte informaci o tom, kolik měřených hodnot z nějakého důvodu nemohlo být použito.

Dávkový výpočet umožňuje zpracování seznamů měření ve více průchodech. Tento způsob zpracování umožňuje výpočet i v případě, že data nejsou v souboru seřazena v takové posloupnosti, aby mohla být zpracována při jednom průchodu. Tato situace vznikne např. zaměříte-li podrobné body z přímky, která ještě nebyla určeno, a určíte-li její koncové body dodatečně, např. z následující přímky. V takovém případě program při prvním průchodu neurčenou přímku vynechá, z další přímky určí souřadnice jejích koncových bodů, a při dalším průchodu tuto přímku dopočítá. Maximální počet průchodů je 5, ale program výpočet sám ukončí v případě, že při posledním průchodu žádný bod nevypočetl.

Po výpočtu je k dispozici protokol se všemi údaji o výpočtu. Nechcete-li do protokolu ukládat všechny vypočtené podrobné body, můžete jejich ukládání vypnout v Soubor → Nastavení → Výpočty.

Předcházející | Nahoru | Další
Polární metoda dávkou | Domů | Volné stanovisko


Volné stanovisko
Předcházející Kapitola 28. Menu Výpočty Další

Volné stanovisko

Tato úloha slouží k výpočtu polohy a výšky stanoviska z měření, která proběhla přímo na něm.

Volné stanovisko

Z hlediska zpracování se jedná o více různých způsobů výpočtu.

Metody výpočtu volného stanoviska

  • Protínání zpět: jsou-li zadány pouze směry, bude proveden výpočet stanoviska pomocí úhlového protínání zpět. Je-li měřeno více než tři směry (což je nutný počet), bude proveden výpočet s vyrovnáním MNČ.

  • Volné stanovisko: jsou-li zadány směry i délky, bude proveden výpočet volného stanoviska. Můžete si zvolit, zda má být vyrovnán transformací nebo modulem Vyrovnání sítí MNČ jako vázaná síť:

    • Vyrovnání transformací: Program vypočte souřadnice orientačních bodů v místní soustavě a pomocí transformace umístí síť bodů na dané identické body. Lze použít shodnostní transformaci (bez změny měřítka) nebo podobnostní transformaci (se změnou měřítka). Po stisknutí tlačítka Klíč lze prohlédnout výsledný transformační klíč.

      Důležité

      Jestliže byly na některé body zaměřeny směry a délky, a na některé pouze směry, program při výpočtu chybějící délky dopočte z měřených hodnot, a dále je použije pro vlastní výpočet volného stanoviska. Pokud si nepřejete, aby program chybějící délky dopočítával, můžete tuto vlastnost vypnout v Soubor → Nastavení → Výpočty.

    • Vyrovnání jako vázaná síť: Program úlohu vypočte jako vyrovnání vázané sítě MNČ. Z matematického hlediska je vyrovnání nestejnorodých měření na základě středních chyb směrů a délek nejkorektnější způsob výpočtu volného stanoviska. Je ale třeba mít správně nastaveny apriorní střední chyby směrů a délek, jinak bude výsledek vyrovnání zkreslen. Podrobnosti k vyrovnání sítí MNČ lze nalézt v popisu k modulu Vyrovnání sítí MNČ.

  • Rajón s orientací na určovaném bodě: jsou-li zadány pouze dva orientační směry a délka pouze na jednu orientaci, bude proveden výpočet stanoviska pomocí metody Rajón na určovaném bodě. Jedná se o minimální určení stanoviska (žádná nadbytečná měření), takže je výsledek bez jakékoli kontroly. Pokud je to možné, je vhodnější se tomuto způsobu určení vyhnout.

    Poznámka

    V některých konfiguracích tato úloha vede ke dvěma řešením, mezi nimiž nelze automatizovaně rozhodnout (obě jsou geometricky správná). V takovém případě bude zobrazen přepínač pro výběr správného řešení a rozhodnutí bude ponecháno na uživateli. Rozhodnout lze buď podle konfigurace v kontrolní kresbě, nebo podle kritéria která orientace je vzdálenější, zda orientace s měřenou délkou, nebo orientace bez délky.

Volba využití orientací pro určení polohy a výšky

Pro jednotlivé body v seznamu orientací lze v seznamu orientací volit, zda mají být použity pro výpočet polohy, pro výpočet výšky, pro obojí, nebo vůbec. Volba se provádí pomocí přepínačů na začátku řádku s orientací v seznamu orientací. Prvním přepínačem lze bod úplně vypnout/zapnout, druhým lze vypínat/zapínat jeho využití pro polohový výpočet, a třetím využití pro výškový výpočet. Lze tedy nezávisle některé orientace použít pouze pro výpočet polohy a některé pouze pro výpočet výšky volného stanoviska.

Přenesení zadání do modulu pro vyrovnání sítí MNČ

Po stisknutí tlačítka Do vyrovnání bude celé zadání přeneseno do modulu Vyrovnání sítí MNČ. Zde je potom možno provést podrobnější analýzu výpočtu, nastavit apriorní střední chyby měřených směrů a délek, případně další parametry vyrovnání.

Výsledné hodnoty

Po výpočtu program zobrazí výsledné vyrovnané souřadnice a v seznamu orientací zobrazí opravy směrů, popř. i vzdáleností na orientační směry.

Předcházející | Nahoru | Další
Ortogonální metoda dávkou | Domů | Protínání z délek


Protínání z délek
Předcházející Kapitola 28. Menu Výpočty Další

Protínání z délek

V tomto dialogovém okně můžete počítat souřadnice bodů protínáním z délek.

Protínání z délek

Zadávání vstupních hodnot je obdobné jako u ostatních úloh. Je třeba zadat souřadnice obou stanovisek, z nichž byly měřeny délky na určovaný bod, a obě určující délky.

Jestliže zadané údaje nesplňují podmínku trojúhelníkové nerovnosti, program zobrazí chybové hlášení Neřešitelná konfigurace.

Výpočet souřadnic protínáním z délek je nejednoznačný (zadání má dvě řešení, symetrická k základně). Při zadávání je tedy třeba dodržet konvenci danou popisem dialogového okna (levé stanovisko - pravé stanovisko při pohledu směrem k určovanému bodu). Polohu vypočteného bodu si můžete ověřit pomocí kontrolní kresby.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Volné stanovisko | Domů | Protínání z orientovaných směrů


Protínání z orientovaných směrů
Předcházející Kapitola 28. Menu Výpočty Další

Protínání z orientovaných směrů

Úloha slouží k výpočtu souřadnic protínáním z orientovaných směrů, tedy bodů zaměřených ze dvou stanovisek pouze směrově, bez měřených délek. S výhodou lze tuto metodu použít tam, kde nelze měřit délky např. z důvodu nemožnosti osazení hranolem, například na fasádách domů, na mostních konstrukcích, a podobně.

Protínání z orientovaných směrů

Před výpočtem musíte zorientovat osnovy na obou stanoviskách postupem podrobně popsaným u polární metody. V dialogovém okně jsou vždy zobrazeny údaje pouze o jednom stanovisku, na druhé se můžete přepnout pomocí záložky Stanovisko A/B. Jestliže jsou obě osnovy zorientovány, můžete počítat jednotlivé určované body přetažením měřených směrů ze seznamu měření a stisknutím tlačítka Výpočet.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Protínání z délek | Domů | Hromadné protínání z orientovaných směrů


Hromadné protínání z orientovaných směrů
Předcházející Kapitola 28. Menu Výpočty Další

Hromadné protínání z orientovaných směrů

Úloha slouží k hromadnému výpočtu souřadnic protínáním z orientovaných směrů, tedy bodů zaměřených ze dvou stanovisek pouze směrově, bez měřených délek. S výhodou lze tuto metodu použít tam, kde nelze měřit délky např. z důvodu nemožnosti osazení hranolem, například na fasádách domů, na mostních konstrukcích, a podobně.

Hromadné protínání z orientovaných směrů

Postup zadávání je obdobný, jako u úlohy Protínání z orientovaných směrů. Rozdíl je v tom, že v této úloze lze s orientačními body zadávat zároveň i body měřené (není tedy nutno u všech zadávaných směrů vyplňovat souřadnice orientace). Zadávají se opět orientace zvlášť pro stanovisko A a pro stanovisko B. Mezi oběma stanovisky se můžete přepínat pomocí záložky Stanovisko A/B.

V této úloze lze opět s výhodou využít automatického zadávání směrů při orientaci osnov. Pokud do výpočetního okna do oblasti pro orientaci osnovy směrů přetáhnete myší ze seznamu měření stanovisko (řádek s červeným číslem stanoviska), program automaticky do seznamu načte všechny měřené směry. Pokud k nim nalezne v seznamech příslušné souřadnice orientačních bodů, bude je považovat za orientace, směry, k nimž souřadnice nenalezne, bude považovat za určované body.

V seznamu orientací lze snadno odlišit orientace od určovaných bodů podle toho, že u orientací je zobrazeno standardní zaškrtávací okénko pro jejich vypínání a zapínání. Je-li orientace osnovy spočtena, jsou u orientací zobrazeny též úhlové odchylky.

Zadáte-li tímto způsobem orientace a určované body pro obě stanoviska, můžete pomocí tlačítka Výpočet spustit výpočet souřadnic určovaných bodů. Program postupně prochází oba seznamy určovaných bodů a hledá body stejného čísla. Pokud takovouto dvojici nalezne, spočte souřadnice bodu protínáním vpřed z orientovaných směrů. Jsou-li zadány i zenitové úhly, resp. převýšení, program automaticky určí i výšku bodu. Byly-li zenitové úhly či převýšení měřeny z obou stanovisek, výška bude určena dvakrát. V takovém případě se v protokolu objeví obě výšky, jejich rozdíl a průměrná výška.

Určované body mohou být v obou seznamech seřazeny v libovolném pořadí, jediná podmínka pro výpočet je, že se musí shodovat čísla bodů při měření z obou stanovisek. Pokud jsou na jednom ze stanovisek zadány body, které na druhém stanovisku zadány nejsou, program je při výpočtu bude ignorovat.

Výsledné souřadnice přetáhněte myší do seznamu souřadnic stejným způsobem, jako u ostatních úloh. Při přenášení ukažte myší do výsledkové části výpočetního okna (ale nikoli na plochu vlastního seznamu vypočtených bodů).

Před výpočtem musíte zorientovat osnovy na obou stanoviskách postupem podrobně popsaným u polární metody. V dialogovém okně jsou vždy zobrazeny údaje pouze o jednom stanovisku, na druhé se můžete přepnout pomocí záložky Stanovisko A/B. Jestliže jsou obě osnovy zorientovány, můžete počítat jednotlivé určované body přetažením měřených směrů ze seznamu měření a stisknutím tlačítka Výpočet.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Nahoru | Další
Protínání z orientovaných směrů | Domů | Průsečík přímek


Průsečík přímek
Předcházející Kapitola 28. Menu Výpočty Další

Průsečík přímek

Úloha slouží k výpočtu průsečíku dvou přímek zadaných koncovými body. Průsečík lze spočítat, i když se úsečky reálně neprotnou (průsečík leží na přímce mimo koncové body úsečky).

Průsečík přímek

Po zadání čtyř bodů program vypočte souřadnice jejich průsečíku, a vypíše informaci o jeho poloze (zda leží na některé ze zadaných úseček, nebo na obou).

Pro obě přímky lze zadat odsazení. Je-li zadáno, bude vypočten průsečík s odsazenou přímkou. Logika zadávání je taková, že je-li přímka v pohledu od počátečního ke koncovému bodu vlevo, zadává se odsazení záporné. Znaménko odsazení lze snadno změnit tlačítkem ±

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Výškový výpočet

Protože obě přímky jsou obecně v prostoru mimoběžné a skutečný průsečík nemají, vypočtený průsečík je definován jako průsečík první přímky se svislou rovinou proloženou druhou přímkou. To znamená, že výška průsečíku se přebírá z první přímky. Pro výškový výpočet je tedy třeba zadat výšky koncových bodů první přímky. Výška průsečíku je potom vypočtena tak, že je vyinterpolována jako kdyby průsečík ležel na první přímce.

Předcházející | Nahoru | Další
Hromadné protínání z orientovaných směrů | Domů | Průsečík přímka - směr


Průsečík přímka - směr
Předcházející Kapitola 28. Menu Výpočty Další

Průsečík přímka - směr

Úloha slouží k výpočtu průsečíku vodorovného směru měřeného ze stanoviska a zadané úsečky.

Průsečík přímka - směr

V této úloze můžete zadat měřený směr pomocí osnovy směrů, stejně jako např. u polární metody, a druhou přímku zadanou dvěma koncovými body. Program vypočte průsečík orientovaného směru se zadanou přímkou.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Výškový výpočet

Protože obě linie jsou obecně v prostoru mimoběžné a skutečný průsečík nemají, vypočtený průsečík je definován jako průsečík směrového paprsku se svislou rovinou proloženou body A a B. Jsou-li zadány všechny potřebné údaje pro výškový výpočet (výška stanoviska, výška stroje a zenitový úhel), bude vypočtena i výška průsečíku. Výška se tedy přebírá ze směrového paprsku, nikoli z linie dané body A a B.

Předcházející | Nahoru | Další
Průsečík přímek | Domů | Průsečík přímka - kružnice


Průsečík přímka - kružnice
Předcházející Kapitola 28. Menu Výpočty Další

Průsečík přímka - kružnice

Tato úloha slouží k výpočtu souřadnic průsečíku přímky a kružnice. Přímka se zadává dvěma koncovými body, kružnice třemi body.

Průsečík přímka - kružnice

Kružnici pro výpočet zadejte třemi body (z klávesnice nebo přetažením myší) v rámečku Kružnice. Po zadání každého bodu stiskněte tlačítko pro následující bod.

Potom zadejte oba koncové body přímky do oblasti Přímka.

Zadáte-li číslo vypočteného bodu a stisknete-li tlačítko Výpočet, program vypočte souřadnice průsečíku. V závislosti na konfiguraci mohou existovat průsečíky dva, jeden nebo žádný (je uvažována přímka, nikoli úsečka). V kontrolní kresbě se zobrazí vypočtené průsečíky. Aktivní, tj. ten, který je ve výpočetním okně zvolen, je v kontrolní kresbě zobrazen červeně. Druhé řešení, existuje-li, je zobrazeno zeleně.

Výsledné souřadnice lze přetáhnout pomocí myši do seznamu souřadnic.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Průsečík přímka - směr | Domů | Vyrovnávací přímka


Vyrovnávací přímka
Předcházející Kapitola 28. Menu Výpočty Další

Vyrovnávací přímka

Tato úloha slouží k výpočtu vyrovnávací přímky, definované množinou zadaných bodů. Rovnice přímky je vypočtena za podmínky minimálního součtu čtverců vzdáleností daných bodů od přímky.

Vyrovnávací přímka

Přímku definujete zadáním dvou a více bodů. Je-li bodů více než dva, je rovnice přímky určena metodou nejmenších čtverců za podmínky minimálního součtu čtverců vzdáleností daných bodů od přímky.

Postup výpočtu:

  1. Označte v seznamu souřadnic body, pomocí nichž má být přímka definována.

  2. Je-li ve výpočetním okně vypnutý přepínač Použít přidávaný bod pro určení přímky, zapněte jej.

  3. Přetáhněte označené body do rámečku Definiční body. Body budou automaticky přidány do seznamu vstupních bodů. Je-li definičních bodů menší množství, lze je samozřejmě přetahovat i jednotlivě.

  4. Automaticky bude vypočtena rovnice vyrovnávací přímky a v seznamu bodů budou zobrazeny vzdálenosti bodů od vyrovnávací přímky. V rámečku Koncové body vyrovnávací přímky budou zobrazeny koncové body vypočtené přímky. Lze je jednotlivě (pomocí tlačítek pro uložení) nebo oba najednou (přetažením) uložit do seznamu souřadnic.

  5. V seznamu bodů můžete zkontrolovat vzdálenosti bodů od přímky a případné chybné nebo nechtěné body buď úplně vypustit, nebo pomocí přepínače v seznamu vypnout jejich použití pro určení přímky. Případně můžete přetažením ze seznamu kdykoli doplnit další definiční body.

  6. Přejete-li si do zpracování přidat ještě další body, u nichž chcete určit vzdálenost od vyrovnávací přímky, ale nechcete, aby byly použity pro výpočet rovnice přímky (tedy nepřejete-li si, aby ovlivnily polohu vyrovnávací přímky), vypněte přepínač Použít přidávaný bod pro určení přímky a poté přetáhněte označené body do rámečku Definiční body. Body budou přidány do seznamu vstupních bodů, budou pro ně vypočteny vzdálenosti od vyrovnávací přímky, ale pro určení přímky použity nebudou.

  7. Přetažením nebo pomocí tlačítka pro uložení lze uložit průměty zadaných bodů na vyrovnávací přímku do seznamu souřadnic.

  8. V protokolu bude uvedena tabulka definičních bodů přímky a jejich vzdáleností od přímky, a tabulka průmětů zadaných bodů na vyrovnávací přímku (opět včetně vzdáleností). Pomocí přepínače Vyrovnat i body nepoužité pro určení přímky můžete zvolit, zda mají být v druhé tabulce (průměty bodů na přímku) uvedeny všechny body, nebo pouze body definiční. Dále bude uvedena tabulka s parametry vyrovnávací přímky.

Tabulka 28.4. Volby výpočtu vyrovnávací přímky

Použít přidávaný bod pro určení přímky | Pomocí tohoto přepínače definujete u každého vstupního bodu (ještě před přidáním bodu do seznamu), zda má být použit pro výpočet rovnice přímky. Tuto vlastnost lze nastavit i přepínačem přímo v seznamu bodů. U bodů, které nejsou zapnuty jako definiční, bude vypočtena a zobrazena jejich vzdálenost od přímky, ale pro výpočet rovnice přímky použity nebudou.
Vyrovnat i body nepoužité pro určení přímky | Je-li tento přepínač zapnut, budou na výslednou vyrovnávací přímku promítnuty a zaprotokolovány i nedefiniční body, tj. body nepoužité pro výpočet rovnice přímky. Je-li přepínač vypnut, budou nedefiniční body zcela ignorovány.

Předcházející | Nahoru | Další
Průsečík přímka - kružnice | Domů | Vyrovnávací kružnice


Vyrovnávací kružnice
Předcházející Kapitola 28. Menu Výpočty Další

Vyrovnávací kružnice

Tato úloha slouží k výpočtu vyrovnávací kružnice, definované množinou zadaných bodů. Rovnice kružnice je vypočtena za podmínky minimálního součtu čtverců vzdáleností daných bodů od kružnice.

Vyrovnávací kružnice

Kružnici definujete zadáním třech a více bodů. Je-li bodů více než tři, je rovnice kružnice určena metodou nejmenších čtverců za podmínky minimálního součtu čtverců vzdáleností bodů od vyrovnávací kružnice.

Postup výpočtu:

  1. Označte v seznamu souřadnic body, pomocí nichž má být kružnice definována.

  2. Je-li ve výpočetním okně vypnutý přepínač Použít přidávaný bod pro určení kružnice, zapněte jej.

  3. Přetáhněte označené body do rámečku Definiční body. Body budou automaticky přidány do seznamu vstupních bodů. Je-li definičních bodů menší množství, lze je samozřejmě přetahovat i jednotlivě.

  4. Automaticky bude vypočtena rovnice vyrovnávací kružnice a v seznamu bodů budou zobrazeny vzdálenosti bodů od vyrovnávací kružnice. V rámečku Parametry kružnice bude zobrazen střed a poloměr vypočtené kružnice. Střed lze pomocí tlačítka pro uložení nebo přetažením uložit do seznamu souřadnic.

  5. Přejete-li si, aby měla výsledná vyrovnávací kružnice vámi požadovaný poloměr, můžete jej zadat jako fixní poloměr. Při vyrovnání budou určeny pouze souřadnice středu vyrovnávací kružnice, její poloměr bude převzat ze zadání.

    Varování

    Při zadání fixního poloměru výrazně odlišného od poloměru, který by odpovídal rozmístění bodů, může dojít k nečekaným výsledkům. Souřadnice středu kružnice jsou určeny za podmínky nejmenšího součtu čtverců oprav (vzdáleností od kružnice), což může být (při zadání výrazně většího poloměru) splněno i v případě, že bude střed kružnice ležet mimo oblast zadaných bodů a body se budou k výsledné kružnici přimykat pouze v její malé části. Také může být úloha nespočitatelná (iterační proces vyrovnání nebude konvergovat), což bude signalizováno chybovým hlášením.

    Při zadání fixního poloměru je tedy třeba vždy postupovat obezřetně, ověřit výsledek pohledově, a především nezadávat fixní poloměr výrazně odlišný od poloměru přirozeně odpovídajícího rozmístění bodů (od poloměru, který by byl určen bez zadání fixního poloměru).

  6. V seznamu bodů můžete zkontrolovat vzdálenosti bodů od kružnice a případné chybné nebo nechtěné body buď úplně vypustit, nebo pomocí přepínače v seznamu vypnout jejich použití pro určení kružnice. Případně můžete přetažením ze seznamu kdykoli doplnit další definiční body.

  7. Přejete-li si do zpracování přidat ještě další body, u nichž chcete určit vzdálenost od vyrovnávací kružnice, ale nechcete, aby byly použity pro výpočet rovnice kružnice (tedy nepřejete-li si, aby ovlivnily rovnici vyrovnávací kružnice), vypněte přepínač Použít přidávaný bod pro určení kružnice a poté přetáhněte označené body do rámečku Definiční body. Body budou přidány do seznamu vstupních bodů, budou pro ně vypočteny vzdálenosti od vyrovnávací kružnice, ale pro určení kružnice použity nebudou.

  8. Přetažením nebo pomocí tlačítka pro uložení lze uložit průměty zadaných bodů na vyrovnávací kružnici do seznamu souřadnic.

  9. V protokolu bude uvedena tabulka definičních bodů kružnice a jejich vzdáleností od kružnice, a tabulka průmětů zadaných bodů na vyrovnávací kružnici (opět včetně vzdáleností). Pomocí přepínače Vyrovnat i body nepoužité pro určení kružnice můžete zvolit, zda mají být v druhé tabulce (průměty bodů na kružnici) uvedeny všechny body, nebo pouze body definiční. Dále bude uvedena tabulka s parametry vyrovnávací kružnice.

Tabulka 28.5. Volby výpočtu vyrovnávací kružnice

Použít přidávaný bod pro určení kružnice | Pomocí tohoto přepínače definujete u každého vstupního bodu (ještě před přidáním bodu do seznamu), zda má být použit pro výpočet rovnice kružnice. Tuto vlastnost lze nastavit i přepínačem přímo v seznamu bodů. U bodů, které nejsou zapnuty jako definiční, bude vypočtena a zobrazena jejich vzdálenost od kružnice, ale pro výpočet rovnice kružnice použity nebudou.
Vyrovnat i body nepoužité pro určení kružnice | Je-li tento přepínač zapnut, budou na výslednou vyrovnávací kružnice promítnuty a zaprotokolovány i nedefiniční body, tj. body nepoužité pro výpočet rovnice kružnice. Je-li přepínač vypnut, budou nedefiniční body zcela ignorovány.

Předcházející | Nahoru | Další
Vyrovnávací přímka | Domů | Polygonový pořad


Polygonový pořad
Předcházející Kapitola 28. Menu Výpočty Další

Polygonový pořad

Dialogové okno Polygonový pořad umožňuje výpočet kteréhokoli typu polygonového pořadu, případně jeho uložení na disk nebo načtení z disku.

Okno se skládá z pěti částí volitelných pomocí záložek.

Počáteční a koncový bod

Polygonový pořad - koncové body

Tato část obsahuje souřadnice připojovacích bodů a měřené osnovy směrů na nich. Zadání probíhá stejně, jako u ostatních výpočetních úloh.

Jestliže na počátečním nebo koncovém bodě bylo měřeno, zadejte celou orientaci osnovy směrů (podrobně popsáno u polární metody). Jestliže na bodě měřeno nebylo (vetknutý pořad bez orientace, jednostranně orientovaný pořad), zadejte pouze jeho souřadnice. Obdobně postupujte u koncového bodu.

Podle zadaných údajů o připojení je pro kontrolu vypisován typ pořadu.

Měřená data

Polygonový pořad - měřená data

Po zadání orientací zde postupně zadávejte naměřené hodnoty. Do seznamu je můžete přidávat nebo je z něj vypouštět tlačítky Přidat a Odebrat.

Důležité

Z důvodu jednotnosti zadávání se u všech typů pořadů do seznamu měřených bodů zadává počáteční i koncový bod pořadu, a to i v případě, že na nich nebyly měřeny žádné hodnoty (např. u vetknutého polygonového pořadu bez orientace).

U bodů, na nichž bylo měřeno, zadejte měřený směr a délku zpět, měřený směr a délku vpřed a číslo stanoviska. Jsou-li délky měřeny obousměrně, program vypočte průměrnou hodnotu a do protokolu zobrazí rozdíl délek. Jsou-li měřeny pouze jednosměrně, je lhostejno, zda délku zadáte z jednoho bodu jako délku vpřed, nebo z následujícího bodu jako délku zpět.

Na počátečním bodě, bylo-li na něm měřeno, zadáváte pouze směr vpřed. Orientaci osnovy směrů (tj. směrník nulového směru) program určí pomocí samostatné orientace osnovy směrů na počátečním bodě (viz výše).

Obdobně zadáváte na koncovém bodě, bylo-li na něm měřeno, pouze směr zpět.

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Výsledky

Polygonový pořad - výsledky

V této části okna jsou po výpočtu pořadu zobrazeny výsledné hodnoty. Je zde zobrazen seznam souřadnic výsledných bodů a informace o dosažených odchylkách. Tato část okna obsahuje i volbu typu vyrovnání a tlačítko pro zapnutí výškového výpočtu.

Program umožňuje dva způsoby vyrovnání:

  • Klasicky

  • Transformací

Uzavřený pořad

Program umožňuje i výpočet uzavřeného pořadu, i když je tento typ pořadu z hlediska vyrovnání velice nevhodný. Uzavřený pořad se zadává stejně, jako pořad vetknutý oboustranně orientovaný. Počáteční a koncový bod je shodný, orientaci osnovy směrů je třeba zadat na počátečním i koncovém bodě. Je-li uzavřený pořad zadán správně, program to indikuje zobrazením typu pořadu Uzavřený. Tento typ pořadu z důvodu totožnosti koncových bodů nelze vyrovnávat transformací.

Jste-li s vypočtenými souřadnicemi spokojeni, můžete je ze seznamu přetáhnout do libovolného okna se seznamem souřadnic. Stejným způsobem lze polygonový pořad přetáhnout do okna s projektem. Do projektu může být přidán pouze pořad, kterému již bylo přiděleno jméno souboru, tj. pořad, který již byl uložen do souboru, nebo který byl ze souboru načten.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Důležité

Při přetahování musíte ukázat kamkoli do části Výsledky mimo plochu seznamu bodů.

Vstupy / Výstupy

Polygonový pořad - volby

Tato část okna obsahuje vstupní řádek pro název pořadu, seznam typů pořadů pro výpočet mezní odchylky a tlačítka pro načtení a uložení pořadu.

Nastavení typu pořadu

V seznamu typů pořadů zvolte správný typ dle platné vyhlášky. V závislosti na nastaveném typu budou vypočteny mezní odchylky v úhlovém a polohovém uzávěru a mezní geometrické parametry pořadu, které musí být splněny.

Načtení pořadu ze souboru měření

Kromě ručního zadávání program nabízí také možnost načíst měřená data pro polygonový pořad ze seznamu měření. Chcete-li tuto možnost použít, postupujte takto:

  1. Otevřete si seznam měření, v němž byl zaměřen polygonový pořad. Je-li měření uloženo ve více souborech, spojte je příkazem Měření → Připoj soubor nebo zkopírováním přes schránku. Otevřete seznam (seznamy) souřadnic s koncovými body.

  2. Aktivujte seznam měření (např. ukázáním myší na libovolnou položku).

  3. V dialogovém okně pro výpočet polygonového pořadu stiskněte tlačítko Načíst pořad ze zápisníku.

  4. Zobrazí se dialogové okno se seznamem všech stanovisek ze seznamu měření.

    Načtení polygonového pořadu ze zápisníku

    Bylo-li na počátečním bodě pořadu měřeno (pořad volný, jednostranně nebo oboustranně orientovaný), bude uveden v tomto seznamu. Zvolte jej myší a stiskněte tlačítko Přidat.

    Jestliže na počátečním bodě měřeno nebylo (vetknutý pořad), napište jeho číslo do editačního okna pro číslo bodu a stiskněte tlačítko Přidat.

    Bylo-li na některém ze stanovisek měřeno vícekrát, v seznamu je číslo tohoto stanoviska uvedeno vícekrát. Jednotlivá postavení stroje jsou identifikována pomocí pořadového čísla uvedeného na konci čísla bodu za tečkou (např. 5001.1, 5001.2 atd.).

  5. Program bod přidá do seznamu bodů pořadu a nabídne vám seznam dalších stanovisek, přes které může pořad jít. Jako další stanoviska vám program nabídne všechna stanoviska, která byla zaměřena z předchozího bodu pořadu, a z nichž byl předchozí bod zaměřen jako orientace.

    Jestliže těmto podmínkám vyhoví pouze jeden bod, program jej automaticky přidá do seznamu bodů pořadu. Jestliže vyhoví více bodů, program vám nabídne jejich seznam k výběru.

    Poznámka

    Pokud si nepřejete, aby byly body automaticky do seznamu přidávány (např. pokud máte v seznamu měření dlouhou posloupnost stanovisek, kterou ale chcete rozdělit na více pořadů, a tedy nemá být načten celý seznam jako jeden dlouhý pořad), vypněte přepínač Automaticky přidávat body.

  6. Tímto postupem zadejte celý polygonový pořad. Jestliže na koncovém bodě pořadu nebylo měřeno (pořad jednostranně orientovaný nebo bez orientace), zadejte číslo koncového bodu v editačním okénku a přidejte jej do seznamu tlačítkem Přidat.

  7. Je-li zadán celý polygonový pořad, stiskněte tlačítko OK. Program doplní všechny údaje ze seznamu měření a seznamů souřadnic do dialogového okna pro výpočet polygonového pořadu. Před výpočtem se přesvědčte, zda jsou načtena všechna data správně.

Jsou-li zadány všechny vstupní hodnoty, můžete výpočet spustit tlačítkem Výpočet. Program vypočte souřadnice bodů polygonového pořadu, vypíše je v seznamu Výsledky, a informuje vás o dosažených odchylkách. Byl-li pořad vyrovnán transformací, můžete si její parametry prohlédnout po stisknutí tlačítka Klíč.

Uložení a načtení pořadu

Zadaný polygonový pořad můžete uložit do souboru stisknutím tlačítka Uložit pořad do souboru. Dříve uložený pořad můžete ze souboru načíst po stisknutí tlačítka Načíst pořad ze souboru.

Předcházející | Nahoru | Další
Vyrovnávací kružnice | Domů | Výškový pořad


Výškový pořad
Předcházející Kapitola 28. Menu Výpočty Další

Výškový pořad

Výškový pořad - koncové body
Výškový pořad - měřené hodnoty
Výškový pořad - výsledky

Dialogové okno slouží pro výpočet výškového pořadu. Vzhled okna i zadávání je obdobné jako u polygonového pořadu, zadávají se však pouze údaje nutné pro výškový výpočet. Polohový výpočet se neprovádí.

Budou-li uloženy výsledné vypočtené výšky do seznamu souřadnic, kde již body daných čísel existují, bude existujícím bodům pouze doplněna nová výška. Budou-li uloženy do seznamu, kde body daných čísel neexistují, budou zapsány jako nové body bez polohy, pouze s výškou.

Předcházející | Nahoru | Další
Polygonový pořad | Domů | Transformace souřadnic


Transformace souřadnic
Předcházející Kapitola 28. Menu Výpočty Další

Transformace souřadnic

Toto okno umožňuje dávkově transformovat souřadnice bodů ze seznamů souřadnic. Můžete transformovat celý seznam, nebo pouze označené body. Metody transformace jsou popsány v kapitole Transformace souřadnic

Transformace souřadnic

Typ transformace

Program umožňuje počítat tři typy transformace:

  • Shodnostní transformace

    Lineární transformace souřadnic, která zachovává měřítko (měřítkový koeficient je roven jedné). Transformace má tedy tři parametry (dvě translace a rotaci), pro určení transformačního klíče jsou třeba alespoň dva identické body.

  • Podobnostní transformace

    Transformační klíč bude mít ve směru osy X a Y stejné měřítkové koeficienty (transformace mění rozměr objektů ve všech směrech stejně, zachovává tedy podobnost obrazců). Pro tuto transformaci stačí dva identické body.

  • Afinní transformace (6 parametrů)

    Bude vypočtena přímo transformační matice. Její prvky již nejsou vázány geometrickými vztahy, jako je tomu u pětiparametrové afinní transformace. Transformační klíč bude mít různé měřítkové koeficienty pro směr osy X a Y. Při transformaci se tedy mění rozměry v závislosti na směru, podobnost obrazců obecně není zachována. Tento typ transformace vyžaduje alespoň tři identické body.

  • Uživatelská transformace

    Zvolíte-li tento typ transformace, není třeba zadávat identické body, ale můžete přímo zadat výsledné transformační vztahy. Po stisknutí tlačítka ... se zobrazí dialogové okno, kam lze zadat transformační rovnice pro výpočet jednotlivých souřadnic. Ve funkčních vztazích lze používat matematické operace, číselné konstanty a proměnné X, Y a Z. Funkční vztahy mohou vypadat např. takto:

    Transformační vztahy uživatelské transformace

Je-li určen transformační klíč, můžete jej pro další použití uložit do souboru pomocí tlačítka Uložit klíč. Zobrazit jej můžete pomocí tlačítka Zobrazit klíč:

Transformační klíč

Identické body

Před zahájením transformace souřadnic musíte nejprve definovat transformační klíč. Způsobem obvyklým u ostatních úloh přidejte všechny identické body i se souřadnicemi v obou soustavách do seznamu. Program automaticky přepočítává transformační klíč a zobrazuje souřadnicové opravy na jednotlivých bodech. Identické body můžete do seznamu libovolně přidávat nebo je z něj vypouštět.

Počet identických bodů není omezen.

Poznámka

Transformační klíč je počítán metodou nejmenších čtverců iteračním postupem. Je-li mezi souřadnicemi v obou soustavách příliš velký nesoulad, může dojít k situaci, že iterační proces nebude konvergovat k výsledné vyrovnané hodnotě. V tomto případě bude zobrazeno varovné hlášení. Toto se vztahuje i na všechny ostatní úlohy, které jsou řešeny pomocí transformace souřadnic.

Automatické vyhledání identických bodů

Máte-li identické body umístěny ve dvou souborech, a mají-li dvojice bodů shodná čísla, můžete nechat program automaticky vyhledat odpovídající dvojice bodů. Zadejte soubory s identickými body do okének Vstup a Výstup, a stiskněte tlačítko Vyhledat identické body. Program vyhledá dvojice identických bodů a automaticky je přidá do seznamu. Zapnete-li přepínač Ignorovat předčíslí, při vyhledávání identických bodů bude program brát v úvahu pouze vlastní čísla bodů a předčíslí bude ignorovat.

Aktualizace souřadnic identických bodů

Změnily-li se souřadnice identických bodů a přejete-li si aktualizovat transformační klíč, není třeba identické body znovu zadávat a přidávat do klíče. Pomocí tlačítka Aktualizovat cílové souřadnice a Aktualizovat místní souřadnice můžete aktualizovat zadané souřadnice z otevřených seznamů souřadnic.

Záměna souřadnic identických bodů

Po stisknutí tlačítka XY <-> x'y' program zamění souřadnice identických bodů v obou soustavách. Tuto možnost lze využít např. v případě, že jste omylem při zadávání identických bodů zaměnili obě souřadnicové soustavy. Touto funkcí souřadnice zaměníte, aniž byste museli identické body zadávat znovu.

Nastavení statistického testování identických bodů

Dialogové okno slouží k nastavení parametrů statistického testování identických bodů.

Nastavení statistického testu transformace souřadnic

Nastavení tohoto okna jsou podrobně popsána u úlohy Porovnání souřadnic.

Transformace bodů

Transformace bodů probíhá vždy z jednoho souboru do druhého souboru. Vstupní a výstupní soubor zadejte v části Seznamy souřadnic. Jsou-li ve vstupním souboru některé body označené, program transformuje pouze je. Nejsou-li označené žádné položky, program transformuje celý seznam souřadnic.

Tabulka 28.6. Volby výpočtu transformace souřadnic

Statistický test identických bodů | Přejete-li si provést statistický test zbytkových chyb na identických bodech, zapněte volbu Statistický test. Program provede analýzu zbytkových chyb a výsledky uloží do protokolu. Podrobný popis statistického testu je uveden u úlohy Porovnání souřadnic. Po stisknutí tlačítka ... můžete nastavit parametry testování (požadovanou střední chybu a koeficient konfidence).
Protokolovat i vypnuté body | Body transformačního klíče, které jsou v seznamu bodů vypnuty, tudíž nejsou použity pro výpočet transformačního klíče, budou pro informaci zaprotokolovány (včetně souřadnicových oprav).
Protokolovat oboje čísa bodů | Po zapnutí této volby budou do protokolu zapsána čísla identických bodů v obou soustavách. Pokud vám v protokolu postačují čísla bodů v cílové soustavě, nebo pokud jsou čísla bodů v obou soustavách shodná, můžete přepínač vypnout.
Protokol o přiřazení změny | Po zapnutí této volby bude mít protokol vzhled protokolu o přiřazení změny dle platné vyhlášky.
Testovat rozmístění bodů | Při zapnutí tohoto přepínače bude při zadání identických bodů určena testovací kružnice dle § 70 odst. 2 katastrální vyhlášky (["Pro připojení měření na identické body platí, že zaměřované podrobné body musí být uvnitř kružnice se středem v polovině spojnice navzájem nejvzdálenějších identických bodů, jejíž poloměr je roven 3/4 délky takové spojnice."]). Pro všechny transformované body bude proveden test, zda leží v této kružnici, a pokud bude výsledek negativní, bude zaprotokolován.
Transformovat i identické body | Je-li tento přepínač zapnut, budou transformovány všechny body ze vstupního souboru. Je-li vypnut, budou při transformaci vynechány body s čísly, která se vyskytují mezi čísly identických bodů v cílové soustavě.
Inverzní (zpětná) transformace | Po zaškrtnutí tohoto přepínače bude program namísto zadané transformace počítat inverzní (zpětnou) transformaci. Tuto volbu nelze použít pro uživatelskou transformaci.

Předcházející | Nahoru | Další
Výškový pořad | Domů | Směrník a délka


Směrník a délka
Předcházející Kapitola 28. Menu Výpočty Další

Směrník a délka

Dialogové okno slouží k výpočtu směrníku a délky ze souřadnic bodů.

Směrník a délka

Po zadání souřadnic obou koncových bodů program vypočte jejich vzdálenost a směrník z prvního bodu na druhý bod.

Pomocí této úlohy lze kromě směrníku a délky určit také prostorovou vzdálenost, sklon ve stupních a spád v procentech. Pro získání těchto údajů je třeba zadat oba koncové body i s výškami.

Předcházející | Nahoru | Další
Transformace souřadnic | Domů | Kontrolní oměrné


Kontrolní oměrné
Předcházející Kapitola 28. Menu Výpočty Další

Kontrolní oměrné

Dialogové okno slouží k výpočtu kontrolních oměrných ze souřadnic a k porovnání s měřenými hodnotami.

Kontrolní oměrné

V dialogovém okně se postupně zadávají souřadnice bodů a vzdálenosti od předchozího bodu. Program zobrazí a uloží do protokolu seznam bodů, vzdálenosti měřené a vypočtené ze souřadnic a jejich rozdíly.

Tip

Stisknete-li klávesu Enter na vstupním řádku s délkou, program automaticky zadané údaje přidá do seznamu a pro další vstup nastaví jako aktivní řádek s číslem bodu.

Tip

Ponecháte-li okénko pro měřenou délku prázdné, nebo zadáte-li místo měřené délky hodnotu 0, oměrná nebude kontrolována a v protokolu se u ní objeví text "Nelze měřit".

Tabulka 28.7. Volby výpočtu kontrolních oměrných

Použít kód kvality z redukcí Je-li zapnut tento přepínač, bude program při výpočtu ignorovat kódy kvality koncových bodů oměrných, a mezní odchylky pro testování dle předpisů pro katastr nemovitostí vypočte podle kódu kvality, nastaveného v liště nastavení v hlavním okně aplikace. Je-li přepínač vypnutý, počítá se mezní odchylka v závislosti na kódu kvality koncového bodu s nižší kvalitou.

Po zadání bodu program vypočte hodnotu oměrné ze souřadnic a zobrazí ji v editačním okně.

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Přejete-li si provést kontrolu celého souboru kontrolních oměrných, stiskněte po výpočtu tlačítko Přidat do souboru. Zobrazené kontrolní oměrné budou přidány do seznamu oměrných v níže popsané úloze Seznam kontrolních oměrných (pokud tato úloha nebyla otevřena, program ji automaticky otevře).

Předcházející | Nahoru | Další
Směrník a délka | Domů | Soubor kontrolních oměrných


Soubor kontrolních oměrných
Předcházející Kapitola 28. Menu Výpočty Další

Soubor kontrolních oměrných

Dialogové okno slouží k otestování celého souboru kontrolních oměrných najednou. Do okna se jednotlivé oměrné přidávají z úlohy Kontrolní oměrné tlačítkem Přidat do souboru.

Soubor kontrolních oměrných

Jednotlivé oměrné lze vypouštět tlačítkem Odebrat. Po stisknutí tlačítka Výpočet program zpracuje celý soubor oměrných a výsledek zpracování (skutečné a mezní rozdíly, celkové vyhodnocení souboru) uloží do protokolu. Při výpočtu jsou oměrné seřazeny podle čísel bodů a soubor je zkontrolován, zda neobsahuje duplicitní oměrné.

Seznam oměrných lze řadit kliknutím na záhlaví libovolného sloupce. Po prvním kliknutí bude seznam seřazen podle zvoleného sloupce vzestupně, při druhém sestupně. Při řazení podle velikosti odchylky je seznam seřazen podle absolutních hodnot, takže lze snadno seznam seřadit podle velikosti odchylek bez ohledu na jejich znaménko. Snadno lze takto v seznamu najít oměrné s největšími rozdíly.

Pomocí tlačítka Zapsat zápisník do protokolu bude v protokolu vytvořen zápisník měření kontrolních oměrných, vygenerovaný dle zadaných oměrných.

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Tabulka 28.8. Volby výpočtu souboru kontrolních oměrných

Použít kód kvality z redukcí Je-li zapnut tento přepínač, bude program při výpočtu ignorovat kódy kvality koncových bodů oměrných, a mezní odchylky pro testování dle předpisů pro katastr nemovitostí vypočte podle kódu kvality, nastaveného v liště nastavení v hlavním okně aplikace. Je-li přepínač vypnutý, počítá se mezní odchylka v závislosti na kódu kvality koncového bodu s nižší kvalitou.

Celý soubor lze uložit na disk po stisknutí tlačítka Uložit a později načíst z disku pomocí tlačítka Načíst.

Předcházející | Nahoru | Další
Kontrolní oměrné | Domů | Konstrukční oměrné


Konstrukční oměrné
Předcházející Kapitola 28. Menu Výpočty Další

Konstrukční oměrné

V této úloze lze určovat souřadnice bodů zaměřených pomocí konstrukčních oměrných.

Konstrukční oměrné

Do seznamu v horní části dialogového okna postupně zadáváte zaměřené body, kolmice k nim, a případně i jejich souřadnice. Kolmice vpravo od předchozí spojnice mají znaménko plus, kolmice vlevo minus. Kolmici u prvního bodu program ignoruje (implicitně nabízí nulovou hodnotu). Při přidávání bodů program okamžitě dopočítává jejich souřadnice.

Tip

Stisknete-li klávesu Enter na vstupním řádku s délkou, program automaticky zadané údaje přidá do seznamu a pro další vstup nastaví jako aktivní řádek s číslem bodu.

Chcete-li do seznamu přidat nový bod (např. bod, který jste při zadávání omylem vynechali), označte kurzorem položku, před kterou chcete nový bod vložit, a přidejte jej obvyklým způsobem.

Mezi zaměřenými body musí být alespoň dva body o známých souřadnicích. Tyto body mohou být mezi zaměřenými body v libovolném místě (nemusí být na začátku ani na konci). Maximální počet identických bodů není omezen.

Je-li počáteční bod totožný s koncovým bodem, je objekt považován za uzavřený a před výpočtem jsou protilehlé oměrné vyrovnány tak, aby se objekt uzavřel. Výsledek vyrovnání (uzávěr obrazce v podélném a příčném směru) je zobrazen a zapsán do protokolu.

Souřadnice bodů jsou určeny pomocí shodnostní nebo podobnostní transformace. Při použití shodnostní transformace jsou zachovány rozměry objektu, při použití podobnostní transformace je upraveno měřítko dle souřadnic identických bodů. Transformační parametry lze nalézt v protokolu.

Důležité

Při nadbytečném počtu daných veličin (tři a více identických bodů pro podobnostní transformaci, při shodnostní transformaci vždy) transformace obě soustavy v identických bodech neztotožní, z čehož plyne, že výpočet změní souřadnice identických bodů. Na tuto skutečnost jste upozorněni při ukládání vypočtených bodů (ukládáte-li je do seznamu, v němž se použité identické body již nacházejí) - program vás upozorní, že body již v seznamu existují, a zobrazí rozdíly mezi původními a novými souřadnicemi.

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Před uložením vypočtených souřadnic lze pomocí zaškrtávacích okének v seznamu bodů zvolit, které body mají být uloženy. Není-li žádný bod zvolen, budou uloženy všechny. Pomocí přepínače Označit pouze nově určené body lze docílit toho, že program po výpočtu automaticky označí pro uložení pouze nově vypočtené body, tj. body, které nemají ve výpočtu zadány vstupní souřadnice.

Vypočtené souřadnice uložíte do libovolného seznamu přetažením ze seznamu vypočtených hodnot pomocí myši (kurzorem myši při tom musíte ukázat kamkoli do oblasti s výsledky mimo seznam vypočtených hodnot).

Tabulka 28.9. Volby výpočtu konstrukčních oměrných

Označit pouze nově určené body Je-li zapnut tento přepínač, budou v seznamu vypočtených bodů označeny pouze nově určené body, nikoli identické (vstupní) body. Při ukládání výsledných souřadnic tedy nebudou identické body (s potenciálně změněnými souřadnicemi, viz poznámka výše) ukládány zpět.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Soubor kontrolních oměrných | Domů | Vyrovnání na přímku


Vyrovnání na přímku
Předcházející Kapitola 28. Menu Výpočty Další

Vyrovnání na přímku

V této úloze lze určovat souřadnice pravoúhlého průmětu bodu na přímku (patu kolmice spuštěné ze zadaného bodu na přímku).

Vyrovnání na přímku

Do výpočetního okna zadáte souřadnice počátečního a koncového bodu přímky a souřadnice vyrovnávaného bodu. Program spustí z vyrovnávaného bodu normálu na danou přímku, vypočte souřadnice průsečíku této normály a dané přímky (paty kolmice), a vzdálenost promítaného bodu od tohoto průsečíku (vzdálenost bodu od přímky).

Numerický vliv zaokrouhlování

Při vyrovnání bodu na přímku může dojít k situaci, že vzdálenost výsledného vyrovnaného bodu od přímky, která by na první pohled měla být nulová, vyjde nenulová, obvykle jedna jednotka posledního desetinného místa (tedy při zaokrouhlování na cm bude 0.01m). Na první pohled se to zdá být chyba, protože bod vyrovnaný na přímku by na přímce měl ležet, tudíž by vzdálenost od přímky měla být nulová.

Není to ale tak. Při výpočtu na dvě desetinná místa se de facto pohybujeme po centimetrové mřížce. Každý bod, bez ohledu na jeho přesnou polohu, bude zaokrouhlením umístěn na tuto mřížku. Při umístění (zaokrouhlení) může v nejnepříznivějším případě nastat chyba max. 5mm v každé souřadnici (viz výše poznámky k zaokrouhlování). Tím vznikne chyba přibližně 7mm v poloze, což po zaokrouhlení dá 1cm. Vzdálenost takto umístěného bodu od přímky tedy tedy může vyjít (při posunu zaokrouhlením přibližně ve směru normály k přímce) po zaokrouhlení na cm až 0.01m, a výpočet je přitom správně. Nejedná se tedy o chybu, ale o nevyhnutelný vliv zaokrouhlení souřadnic.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Konstrukční oměrné | Domů | Vyrovnání na kružnici


Vyrovnání na kružnici
Předcházející Kapitola 28. Menu Výpočty Další

Vyrovnání na kružnici

V této úloze lze určovat souřadnice středového průmětu bodu na kružnici (bod na kružnici nejbližší zadanému bodu neboli průsečík spojnice zadaný bod - střed kružnice s kružnicí).

Vyrovnání na kružnici

Do výpočetního okna zadáte postupně tři body definující kružnici a souřadnice vyrovnávaného bodu. Program vypočte souřadnice středového průmětu zadaného bodu na kružnici a vzdálenost promítaného bodu od kružnice.

Vypočtený bod můžete běžným způsobem přenést do seznamu souřadnic.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Vyrovnání na přímku | Domů | Výpočet výměr


Výpočet výměr
Předcházející Kapitola 28. Menu Výpočty Další

Výpočet výměr

Toto dialogové okno umožňuje počítat výměry ze souřadnic lomových bodů obvodu obrazce.

Výpočet výměr

Body se do seznamu přidávají způsobem obvyklým u ostatních úloh. Jsou-li souřadnice bodu přetaženy myší, program je do seznamu přidá automaticky, bez stisknutí tlačítka Přidat. Máte-li lomové body označeny v seznamu souřadnic (a jsou-li ve správném pořadí), můžete je přetáhnout všechny najednou jako blok (prostředním tlačítkem myši).

Tabulka 28.10. Volby výpočtu výměr

Vrchol oblouku Je-li zapnut tento přepínač, bude bod přidaný s tímto přepínačem zapnutým považován za vrchol oblouku. Oblouk je vždy zadáván třemi body, z nichž prostřední musí mít zapnutý tento přepínač.

Ve spodní části dialogového okna můžete sčítat nebo odečítat výměry pomocí tlačítek + a -. Registr pro sčítání můžete vynulovat tlačítkem Smazat.

Pro kontrolu předpisu výměry můžete použít modul pro kontrolní kresbu.

Tip

Stisknete-li klávesu Enter na vstupním řádku s číslem bodu, program automaticky vyhledá jeho souřadnice a přidá jej do seznamu.

Předpis plochy můžete uložit do souboru po stisknutí tlačítka Uložit. Načíst ze souboru jej můžete pomocí tlačítka Načíst. Načtete-li dříve zadaný předpis plochy ze souboru, načte se i se zadanými souřadnicemi.

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Předcházející | Nahoru | Další
Vyrovnání na kružnici | Domů | Polární vytyčovací prvky


Polární vytyčovací prvky
Předcházející Kapitola 28. Menu Výpočty Další

Polární vytyčovací prvky

Úloha umožňuje vypočítat polární vytyčovací prvky (směry a délky) pro vytyčení daných bodů z daného stanoviska.

Polární vytyčovací prvky mohou být počítány pro jednotlivé body, nebo dávkou. Při obou typech výpočtu je nejprve třeba zadat souřadnice stanoviska a orientace.

Při výpočtu lze použít více orientací. V takovém případě je třeba postupně zadat všechny orientace včetně orientačních směrů a přidat je do seznamu orientací. Orientace lze zadávat přetažením myší ze seznamu souřadnic.

Varování

Vypočtené délky jsou automaticky opraveny o nastavené měřítko, aby reprezentovaly skutečné délky v terénu, nikoli zkreslené délky v rovině zobrazení. Před výpočtem je tedy nutno nastavit správný měřítkový koeficient pro dané území.

Pro výpočet včetně výšek je třeba zadat výšku stroje na stanovisku a výšku cíle.

Výpočet jednotlivých bodů

Při výpočtu jednotlivých bodů přetahujete do oblasti Vytyčovaný bod jednotlivé body ze seznamu souřadnic. Program okamžitě po přetažení vypočte příslušné vytyčovací prvky. Tento způsob lze použít i při výpočtu do zápisníku, jednotlivé vypočtené body jsou automaticky ukládány.

Polární vytyčovací prvky - jednotlivé body

Hromadný výpočet do souboru

Přejete-li si provést dávkový výpočet celého seznamu souřadnic do zápisníku, zadejte název vstupního seznamu souřadnic do okénka Vstup, výsledného seznamu měření do okénka Výstup a program vypočte vytyčovací prvky všech bodů v souboru a vytvoří z vytyčovacích prvků nový seznam měření.

Polární vytyčovací prvky - hromadně

Při dávkovém výpočtu postupujete stejně, ale místo jednotlivých bodů můžete přetáhnout celý blok označených bodů. V dialogovém okně zůstanou zobrazeny vytyčovací prvky pouze pro poslední bod, v protokolu jsou však uloženy všechny.

Volba počítaných údajů

Před výpočtem zvolte typ vytyčovacích prvků:

  • Orientace + směry

    Program vypočte vodorovné směry od směru na zadanou orientaci. Do protokolu uloží vytyčovací prvky (směr a délku) ze stanoviska, tytéž vytyčovací prvky z orientačního bodu a směrník spojnice stanovisko - vytyčovaný bod.

  • Orientace + směrníky

    Program vypočte délku a směrník spojnice stanovisko-vytyčovaný bod a spojnice orientace-vytyčovaný bod.

  • Směrníky

    Program nevyžaduje zadání stanoviska a počítá pouze směrníky a délky spojnice stanovisko-vytyčovaný bod.

Orientační směr

Přejete-li si, aby na orientační bod byl nenulový orientační směr, zadejte hodnotu orientačního směru do okénka Vodorovný směr na orientaci.

Předcházející | Nahoru | Další
Výpočet výměr | Domů | Ortogonální vytyčovací prvky


Ortogonální vytyčovací prvky
Předcházející Kapitola 28. Menu Výpočty Další

Ortogonální vytyčovací prvky

Úloha umožňuje vypočítat ortogonální vytyčovací prvky (staničení a kolmice) pro vytyčení daných bodů z dané měřické přímky.

Ortogonální vytyčovací prvky

Toto dialogové okno slouží pro výpočet ortogonálních vytyčovacích prvků jednotlivých bodů. Chcete-li počítat více bodů, můžete použít výpočet do zápisníku, případně do výpočetního okna přetáhnout více označených bodů najednou.

Vstupní hodnoty se zadávají stejně, jako u ostatních výpočetních úloh. Nejprve zadejte koncové body přímky, potom zadávejte jednotlivé vytyčované body. Můžete přetahovat ze seznamů souřadnic jednotlivé body i celé skupiny označených bodů. Přetáhnete-li celou skupinu bodů, v dialogovém okně zůstanou vytyčovací prvky pouze pro poslední bod, v protokolu jsou však uloženy všechny.

V protokolu jsou vždy nejprve uloženy vytyčovací prvky identických bodů, a potom jednotlivých vytyčovaných bodů. Kromě kolmice a staničení je vypočten i doměrek, což je staničení z koncového bodu přímky.

Ortogonální vytyčovací prvky lze vypočíst dávkově do souboru, čímž vznikne ortogonální zápisník.

Varování

Vypočtené kolmice a staničení jsou automaticky opraveny o nastavené měřítko, aby reprezentovaly skutečné délky v terénu, nikoli zkreslené délky v rovině zobrazení. Před výpočtem je tedy nutno nastavit správný měřítkový koeficient pro dané území.

Předcházející | Nahoru | Další
Polární vytyčovací prvky | Domů | Výpočet trasy


Výpočet trasy
Předcházející Kapitola 28. Menu Výpočty Další

Výpočet trasy

Pomocí této úlohy lze vypočíst prvky trasy, dané posloupností linií. Úloha vypočte délky segmentů, směrníky, úhly a převýšení mezi body.

Výpočet trasy

Při zadání vzdáleností pro odsazení jsou navíc vypočteny souřadnice odsazených bodů.

Vstupní hodnoty se zadávají stejně, jako u ostatních výpočetních úloh. Postupně se zadávají jednotlivé body trasy a pomocí tlačítka Přidat se přidávají do seznamu. Ze seznamů souřadnic lze přetahovat jednotlivé body i celé skupiny označených bodů.

Po zadání celé trasy stiskněte tlačítko Výpočet a program vypočte prvky trasy. Máte-li zapnutu kontrolní kresbu, bude trasa i zobrazena. Vypočtené prvky trasy jsou zapsány do protokolu.

Pokud jste zadali i odsazení trasy, můžete si zvolit, jakým způsobem mají být nově vypočtené body očíslovány. Můžete ponechat odsazeným bodům původní čísla a pouze doplnit jiná předčíslí, nebo je můžete nechat nově očíslovat, a to buď průběžně (nejprve body vlevo, potom vpravo), nebo střídavě. Po výpočtu můžete body uložit tak, že je myší přetáhnete do seznamu souřadnic (kurzorem myši při tom musíte ukázat kamkoli do oblasti s výsledky mimo editační okénka).

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Ortogonální vytyčovací prvky | Domů | Fasáda


Fasáda
Předcházející Kapitola 28. Menu Výpočty Další

Fasáda

Pomocí této úlohy lze body, zaměřené na svislé rovině (např. na fasádě domu) sklopit do roviny, aby je bylo možno načíst do 2D výkresu v CADu nebo jiném kreslicím programu, a vykreslit tak pohled na fasádu.

Fasáda

Zadává se pouze levý a pravý bod na fasádě. Program transformuje souřadnice do místní soustavy určené těmito dvěma body, a poté fasádu sklopí do vodorovné roviny nahrazením souřadnice X výškou bodu. Vypočtené body jsou uloženy do výstupního seznamu souřadnic, vstupní seznam zůstává nezměněn.

Předcházející | Nahoru | Další
Výpočet trasy | Domů | Rozbití oblouku


Rozbití oblouku
Předcházející Kapitola 28. Menu Výpočty Další

Rozbití oblouku

Pomocí této úlohy lze na kruhovém oblouku definovaném třemi body spočítat dané množství mezilehlých bodů. Pomocí nich lze oblouk rozložit na posloupnost linií, pro potřeby dalšího zpracování v systémech nepodporujících kruhové oblouky.

Rozbití oblouku

Je-li alespoň jeden definiční bod oblouku zadán bez výšek, jsou mezilehlé body vypočteny také bez výšek.

Mají-li všechny tři definični body zadánu výšku, je oblouk vypočten v rovině proložené definičními body. Pokud mají definiční body různou výšku, tato rovina není horizontální, takže bude mít každý vypočtený mezilehlý bod jinou výšku. Průmět kruhového oblouku do vodorovné roviny v takovém případě bude tvořit část elipsy, půdorys vypočtených bodů tedy bude eliptický.

Definice kruhového oblouku

Kruhový oblouk je definován třemi body (počáteční bod, mezilehlý bod na oblouku a koncový bod). Body se postupně zadávají v horní části výpočetního okna.

Definice způsobu rozložení

Kruhový oblouk lze na liniové prvky rozložit několika způsoby:

  • Pevný počet segmentů: Zadejte požadovaný počet liniových segmentů, na které má být kruhový oblouk rozložen.

  • Maximální délka oblouku: Zadejte maximální délku segmentu oblouku, který má být nahrazena linií.

  • Maximální délka tětivy: Zadejte maximální délku liniového segmentu, který má nahradit část oblouku.

  • Maximální vzepětí: Zadejte maximální délku vzepětí oblouku (maximální kolmá vzdálenost mezi nahrazující tětivou a nahrazovanou částí oblouku). Jedná se tedy zároveň o maximální polohovou chybu, ke které dojde aproximací oblouku liniemi.

Ve všech případech rozložení oblouku je nejprve podle zadaných kritérií určen nutný počet liniových segmentů, a poté jsou délky segmentů upraveny tak, aby byl oblouk rozložen rovnoměrně, tedy aby byly všechny segmenty stejně dlouhé. Je tedy zaručeno, že zadaná kritéria (délka oblouku/tětivy/vzepětí) nebudou překročena, ale ani nebudou přesně dodržena (při rovnoměrném rozdělení budou výsledné délky menší).

Počáteční číslo bodu

V této části výpočetního okna můžete zadat počáteční číslo, od něhož budou vypočtené lomové body číslovány.

Vypočtené body

V této části výpočetního okna budou vypsány vypočtené lomové body oblouku. Na příslušné pozice seznamu budou zařazeny zadané definiční body oblouku.

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Předcházející | Nahoru | Další
Fasáda | Domů | Kubatury


Kubatury
Předcházející Kapitola 28. Menu Výpočty Další

Kubatury

Toto dialogové okno slouží k výpočtu kubatur trojúhelníkovou metodou.

Kubatury

Do dialogového okna se jednotlivě nebo hromadně přetažením ze seznamu souřadnic zadají body, definující povrch tělesa, jehož objem má být spočten.

Po stisknutí tlačítka Vytvořit trojúhelníkovou síť bude na zadaných bodech automaticky vytvořena síť trojúhelníků. Při jejím generování je použita Delaunayova triangulace, zajišťující optimální tvar trojúhelníků. Je-li zapnuta kontrolní kresba, bude trojúhelníková síť automaticky zobrazena.

Trojúhelníková síť

Delaunayova triangulace vždy vytvoří kolem zadaných bodů konvexní obal, tj. vygeneruje všechny vnější obvodové spojnice. Pokud chcete některé spojnice na obvodu odstranit, máte dvě možnosti:

  • Automatické odstranění štíhlých obvodových trojúhelníků

    Po stisknutí tlačítka Odstranit obvodové trojúhelníky budou automaticky odstraněny všechny vnější trojúhelníky, pro něž platí, že maximální poměr délky strany a k ní příslušné výšky je větší než zadaná hodnota. Při zadání hodnoty 20 tedy budou odstraněny ty trojúhelníky, jejichž maximální poměr stany a k ní příslušné výšky je větší než 20.

  • Ruční odstranění štíhlých obvodových trojúhelníků

    V seznamu trojúhelníků můžete vyhledat trojúhelník, který chcete odstranit, a můžete jej odstranit stisknutím tlačítka Ubrat.

Trojúhelníková síť s odstraněnými obvodovými trojúhelníky

Před výpočtem musíte zadat výšku srovnávací roviny, od níž má být kubatura vypočtena, a popis kubatury (pro uložení do protokolu). Po stisknutí tlačítka Výpočet program vypočte kubaturu, plochu území promítnutou do roviny a povrch (s ohledem na sklon trojúhelníků).

Po stisknutí tlačítka Aktualizovat souřadnice program aktualizuje všechny vstupní souřadnice z otevřených seznamů souřadnic (v závislosti na nastaveném způsobu vyhledávání bodů v seznamech). Při změně vstupních souřadnic tedy není třeba zadávat celou úlohu znovu, lze v hotovém zadání pouze doplnit aktuální souřadnice.

Předcházející | Nahoru | Další
Rozbití oblouku | Domů | Výpočet výšky stanoviska


Výpočet výšky stanoviska
Předcházející Kapitola 28. Menu Výpočty Další

Výpočet výšky stanoviska

Dialogové okno slouží pro samostatný trigonometrický výpočet výšky stanoviska.

Výpočet výšky stanoviska

Výpočetní okno se ovládá stejně, jako okno pro výpočet volného stanoviska, zadávají se však do něj pouze údaje pro výškový výpočet (souřadnice stanoviska, výška stroje souřadnice a výšky orientací, výšky cíle na orientacích a převýšení nebo zenitové úhly).

Dialogové okno umožňuje zadávat zenitové úhly (Z) i převýšení (dH), pro každou orientaci zadejte pouze ten údaj, který máte k dispozici.

Předcházející | Nahoru | Další
Kubatury | Domů | Výpočet výšek


Výpočet výšek
Předcházející Kapitola 28. Menu Výpočty Další

Výpočet výšek

Tato úloha pracuje stejně, jako polární metoda dávkou, ale u zaměřených bodů o známých souřadnicích pouze dopočítává výšky. Ovládání je stejné, jako u polární metody dávkou.

Výpočet výšek

Ovládání okna je stejné, jako u polární metody dávkou.

Předcházející | Nahoru | Další
Výpočet výšky stanoviska | Domů | Napojení změny do KM-D v dosavadním bodu


Napojení změny do KM-D v dosavadním bodu
Předcházející Kapitola 28. Menu Výpočty Další

Napojení změny do KM-D v dosavadním bodu

Úloha slouží k napojení změny do KM-D v dosavadním bodu. Tato problematika je popsána v bodě 16.27 příloh ke katastrální vyhlášce.

Tato metoda se použije v případě, že se nová hranice napojuje přímo do stávajícího bodu dosavadního stavu (dle bodu 16.27 b) 1 KatV).

Napojení změny do KM-D v dosavadním bodu

Postup výpočtu je následující:

  1. Na liště nastavení si nastavte kód kvality, pro který si přejete počítat mezní odchylky.

  2. Do dialogového okna zadejte bod na dosavadní hranici, jeho nově určenou polohu a druhý koncový bod nové hranice.

  3. Ve vstupním okně pro zadání délky měřené v terénu program nabídne délku vypočtenou ze vstupních souřadnic nových bodů. Tuto délku upravte na délku skutečně měřenou v terénu, aby program mohl vypočíst odchylku a porovnat ji s mezní odchylkou.

  4. Je-li vše zadáno správně, přidejte bod do seznamu vyrovnaných bodů tlačítkem Přidat.

  5. Po zadání všech vyrovnávaných bodů můžete zobrazit a uložit protokol.

Ukázkové zadání:

V ukázce je nová hranice napojována v dosavadním bodě č. 705-114. Nově zaměřená poloha tohoto bodu je v seznamu souřadnic uložena pod číslem 170, sousední bod na nové hranici má číslo 169.

Ukázková konfigurace pro napojení v dosavadním bodě

Souřadnice bodů pro napojení v dosavadním bodě:

Souřadnice bodů pro napojení v dosavadním bodě

Zadání výpočtu pro napojení v dosavadním bodě:

Zadání výpočtu pro napojení v dosavadním bodě

Výsledný protokol pro napojení v dosavadním bodě:

Výsledný protokol pro napojení v dosavadním bodě
Předcházející | Nahoru | Další
Výpočet výšek | Domů | Napojení změny do KM-D v novém bodu


Napojení změny do KM-D v novém bodu
Předcházející Kapitola 28. Menu Výpočty Další

Napojení změny do KM-D v novém bodu

Úloha slouží k napojení změny do KM-D v novém bodu. Tato problematika je popsána v bodě 16.27 příloh ke katastrální vyhlášce.

Tato úloha se použije v případě, že se nová hranice nenapojuje přímo do stávajícího bodu dosavadního stavu, ale připojuje se na stávající hranici. Na stávající hranici tím vzniká nový lomový bod (dle bodu 16.27 b) 2 KatV).

Napojení změny do KM-D v novém bodu

Nově zaměřený bod se do stávající hranice vyrovná, a to jedním ze dvou způsobů, v závislosti na úhlu protnutí dosavadní a nové hranice:

  1. Průsečík dosavadní a nové hranice (dle bodu 16.27 b) 2.1 KatV)

    Tento způsob vyrovnání je použit v případě, že menší z úhlů protnutí dosavadní a nové hranice je větší než 50gon.

  2. Kolmý průmět koncového bodu nové hranice na dosavadní hranici (dle bodu 16.27 b) 2.2 KatV)

    Tento způsob vyrovnání je použit v případě, že menší z úhlů protnutí dosavadní a nové hranice je menší než 50gon. V takovém případě obě hranice vůči sobě svírají malý úhel a výpočet průsečíku by mohl způsobit nepřiměřený posun nového bodu ve směru dosavadní hranice.

Při zadání všech bodů do výpočetního okna program zobrazí úhel protnutí a automaticky navrhne správný způsob vyrovnání.

Postup výpočtu je následující:

  1. Na liště nastavení si nastavte kód kvality, pro který si přejete počítat mezní odchylky.

  2. Do dialogového okna postupně zadejte oba koncové body dosavadní hranice a oba koncové body nové hranice.

  3. Program vypočte a zobrazí úhel protnutí obou hranic, podle jeho velikosti automaticky zvolí správný způsob vyrovnání nového bodu na dosavadní hranici, a zobrazí délku nové hranice vypočtenou z vyrovnaných souřadnic. Pokud je zvolen způsob výpočtu kolmým průmětem, program zobrazí i vzdálenost nového bodu od dosavadní hranice, tj. délku, o kterou bude bod promítnutím na hranici posunut.

  4. Ve vstupním okně pro zadání délky měřené v terénu nabídne délku vypočtenou ze vstupních souřadnic nových bodů. Tuto délku upravte na délku skutečně měřenou v terénu, aby program mohl vypočíst odchylku a porovnat ji s mezní odchylkou.

  5. Je-li vše zadáno správně, přidejte bod do seznamu vyrovnaných bodů tlačítkem Přidat.

  6. Po zadání všech vyrovnávaných bodů můžete zobrazit a uložit protokol. Protože výpočet probíhá dvěma výše uvedenými způsoby v závislosti na úhlu protnutí, jsou před výpočtem body seřazeny podle způsobu výpočtu tak, aby se v protokolu zbytečně neopakovaly hlavičky. Nejprve jsou zpracovány body, které se počítají průsečíkem, a poté body, které se počítají kolmým průmětem.

Ukázková varianta pro výpočet průsečíkem:

V ukázce je napojována změna v nově vznikajícím bodě č. 114, který je vkládán do dosavadní hranice 705-6 - 705-7.

Ukázková konfigurace pro napojení průsečíkem

Souřadnice bodů pro napojení průsečíkem:

Souřadnice bodů pro napojení průsečíkem

Zadání výpočtu pro napojení průsečíkem:

Zadání výpočtu pro napojení průsečíkem

Výsledný protokol pro napojení průsečíkem:

Výsledný protokol pro napojení průsečíkem

Ukázková varianta pro výpočet kolmým průmětem:

V ukázce je napojována změna v nově vznikajícím bodě č. 167, který je vkládán do dosavadní hranice 705-3 - 705-4.

Ukázková konfigurace pro napojení kolmým průmětem

Souřadnice bodů pro napojení kolmým průmětem:

Souřadnice bodů pro napojení kolmým průmětem

Zadání výpočtu pro napojení kolmým průmětem:

Zadání výpočtu pro napojení kolmým průmětem

Výsledný protokol pro napojení kolmým průmětem:

Výsledný protokol pro napojení kolmým průmětem
Předcházející | Nahoru | Další
Napojení změny do KM-D v dosavadním bodu | Domů | Dávkový výpočet souboru MAPA2


Dávkový výpočet souboru MAPA2
Předcházející Kapitola 28. Menu Výpočty Další

Dávkový výpočet souboru MAPA2

Tato úloha umožňuje dávkový výpočet textového souboru ve formátu MAPA2.

Systém podporuje dvě úlohy:

  • Typ 0: Ortogonální metoda

  • Typ 1: Polární metoda

Postup výpočtu:

  1. Otevřete textový soubor se zadáním výpočtu ve formátu MAPA2 příkazem Soubor → Otevři.

  2. S aktivovaným textovým oknem vyvolejte příkaz Výpočty → Dávkový výpočet souboru MAPA2.

Program dávkově zpracuje otevřený soubor, uloží vypočtené souřadnice a vytvoří protokol o výpočtu.

Vstupní soubor může obsahovat libovolné množství jednotlivých úloh. Úlohy jsou zpracovávány postupně v takovém pořadí, jak jsou zadány v souboru.

Na rozdíl od výpočtu polární metody dávkou je proveden výpočet pouze na jeden průchod souborem. Předpokládá se tedy, že všechny dané body, které jsou použity v hlavičkách úloh, jsou v době, kdy jsou pro výpočet potřeba, již známy (z předchozích výpočtů nebo ze vstupního seznamu souřadnic).

Vzorový soubor s polární metodou

512
360607101
660205
1
3
0
0

1  6600004059
6600004055 68.32 0.
6600000548 93.39 201.433
0924222160 0. 105.01
6600004064 82.33 325.943
6600004065 30.15 215.670
-1
6600004066 18.25 231.754
6600004067 48.22 320.479
1 13.74 275.01
2 19.52 244.74
3 16.77 287.41
4 21.68 290.175
5 28.67 291.44
6 24.29 290.17 : 0. -0.15
7 27.55 305.12
8 22.23 229.19
9 29.28 228.40
10 8.10 260.83
11 7.16 282.34
12 8.71 306.23
13 12.71 314.10
14 9.82 300.33
15 27.95 312.26 : 1.05 -0.35
16 37.01 318.25
/
1 6600004066
6600004059 18.26 0.
-1
19 10.93 215.35
20 15.48 233.25
21 20.10 234.07
22 13.40 249.67 : 1.62 0.
9 11.08 191.09
2 4.01 286.33
23 13.27 258.11
24 17.32 258.07
/
-2

Vzorový soubor s ortogonální metodou

512
360600102
430114
1
3
0
0

0 4300000517 0. 0.
4300005001 63.72 0.
4300000518 125.57 0.
-1
1 0.52 3.10
2 10.73 2.03
3 22.86 -8.90
4 32.42 -7.27
5 43.86 -7.18
6 45.62 2.86
7 52.77 -10.46
8 53.72 -6.77
9 57.13 -6.73
10 58.91 -10.22
/

0 4300005012 0. 0.
4300000517 101.89 0.
-1
44 35.73 9.70
45 45.52 10.91
46 54.83 5.11
47 57.23 3.12
48 61.20 -2.19
49 61.20 -4.40
50 98.55 10.37
51 37.85 -5.26
52 38.32 -11.30
/
-2

Předcházející | Nahoru | Další
Napojení změny do KM-D v novém bodu | Domů | Kapitola 29. Menu Okno


Kapitola 29. Menu Okno
Předcházející Část II. Referenční příručka Další

Kapitola 29. Menu Okno

Obsah

Zavři
Mozaika horizontálně - vertikálně
Kaskáda
Srovnání ikon
Parametry zobrazení

Položky tohoto menu slouží k manipulaci s otevřenými okny.

Zavři

Tímto příkazem můžete zavřít aktuální okno. Jedná-li se o seznam souřadnic nebo seznam naměřených hodnot, a je-li toto okno poslední otevřené okno příslušného seznamu, program automaticky zapíše na disk i aktualizovaný indexový soubor.

Předcházející | Nahoru | Další
Dávkový výpočet souboru MAPA2 | Domů | Mozaika horizontálně - vertikálně


Mozaika horizontálně - vertikálně
Předcházející Kapitola 29. Menu Okno Další

Mozaika horizontálně - vertikálně

Okna budou na obrazovce uspořádána tak, aby se nepřekrývala, tj. budou naskládána horizontálně nebo vertikálně vedle sebe.

Předcházející | Nahoru | Další
Kapitola 29. Menu Okno | Domů | Kaskáda


Kaskáda
Předcházející Kapitola 29. Menu Okno Další

Kaskáda

Okna budou uspořádána přes sebe tak, aby byl z každého okna viditelný alespoň jeden roh.

Předcházející | Nahoru | Další
Mozaika horizontálně - vertikálně | Domů | Srovnání ikon


Srovnání ikon
Předcházející Kapitola 29. Menu Okno Další

Srovnání ikon

Jsou-li některá okna minimalizována, tj. zobrazena jako ikony na pracovní ploše programu, můžete je tímto příkazem urovnat podél jejího spodního okraje.

Aby byl tento příkaz funkční, musí být jedna z ikon zvolena jako aktivní okno.

Předcházející | Nahoru | Další
Kaskáda | Domů | Parametry zobrazení


Parametry zobrazení
Předcházející Kapitola 29. Menu Okno Další

Parametry zobrazení

V tomto dialogovém okně můžete nastavit různé parametry pro zobrazení údajů. Možnosti nastavení závisí na typu okna:

  • Seznam souřadnic

  • Seznam měření

Předcházející | Nahoru | Další
Srovnání ikon | Domů | Kapitola 30. Menu Editace


Kapitola 30. Menu Editace
Předcházející Část II. Referenční příručka Další

Kapitola 30. Menu Editace

Obsah

Krok zpět
Přenes
Zkopíruj
Vlož
Vymaž

Toto menu obsahuje příkazy pro editaci seznamů. Při kopírování nebo přenášení do schránky program použije formát definovaný v Soubor → Nastavení → Vstupní/výstupní formát souřadnic nebo Soubor → Nastavení → Vstupní/výstupní formát měření. Jestliže není definován žádný formát, program vytvoří formát standardní.

Krok zpět

Pomocí tohoto příkazu můžete vrátit zpět poslední operaci v seznamu souřadnic nebo seznamu měření.

Předcházející | Nahoru | Další
Parametry zobrazení | Domů | Přenes


Přenes
Předcházející Kapitola 30. Menu Editace Další

Přenes

Příkaz slouží pro přenesení údajů ze seznamu do schránky (data jsou v seznamu vymazána). Není-li v seznamu nic označeno, program přenese aktuální položku (položku, na níž je právě kurzor). Jsou-li některé položky označeny, program přenese je.

Při kopírování ze seznamů jsou data do schránky uložena ve dvou formátech:

  1. Interní formát systému Groma: tento formát slouží ke kopírování mezi seznamy v rámci systému Groma. Využívá se proto, aby při kopírování nedošlo ke ztrátě žádné informace.

  2. Textový formát: tento formát slouží ke kopírování dat do jiných aplikací. Data jsou do textové podoby převedeny pomocí uživatelského formátu.

    Předpis uživatelského formátu můžete nastavit v dialogovém okně Soubor → Nastavení → Vstupní/výstupní formát souřadnic nebo Soubor → Nastavení → Vstupní/výstupní formát měření, podrobný popis formátu je uveden v Přílohách.

    Tip

    Při kopírování záznamů do tabulkových editorů (např. MS Excel) je výhodné nastavit v uživatelském formátu jako oddělovač znak Tabulátor. Při vkládání do tabulky je potom záznam podle tabulátorů automaticky rozdělen do sloupců (při oddělení položek mezerami by byl celý řádek vložen do jedné buňky).

Předcházející | Nahoru | Další
Kapitola 30. Menu Editace | Domů | Zkopíruj


Zkopíruj
Předcházející Kapitola 30. Menu Editace Další

Zkopíruj

Tento příkaz pracuje stejně jako příkaz Přenes, pouze s tím rozdílem, že jsou údaje pouze zkopírovány (v seznamu zůstávají).

Předcházející | Nahoru | Další
Přenes | Domů | Vlož


Vlož
Předcházející Kapitola 30. Menu Editace Další

Vlož

Tímto příkazem můžete do seznamu vložit data ze schránky. V seznamu souřadnic jsou body zařazeny podle čísel. V seznamu měření jsou přidány před položku označenou kurzorem.

Předcházející | Nahoru | Další
Zkopíruj | Domů | Vymaž


Vymaž
Předcházející Kapitola 30. Menu Editace Další

Vymaž

Tento příkaz slouží k vymazání zvolené položky nebo označených položek ze seznamu.

Předcházející | Nahoru | Další
Vlož | Domů | Kapitola 31. Menu Databáze


Kapitola 31. Menu Databáze
Předcházející Část II. Referenční příručka Další

Kapitola 31. Menu Databáze

Obsah

Připojit k databázi
Nastavení projektu
Výběr katastrálního území
Vytvořit databázi a uživatele
Inicializace databáze

Toto menu obsahuje příkazy pro práci s databází.

Připojit k databázi

Přihlášení k databázi

Před prací s body a grafikou v databázi je třeba se připojit prostřednictvím ODBC driverů k databázi. Veškeré parametry pro připojení lze přednastavit v konfiguračním souboru, při vlastním přihlašování pak stačí vyplnit pouze přihlašovací jméno a heslo. Po vyvolání příkazu se zobrazí dialogové okno, v němž je třeba zadat přihlašovací jméno, heslo, a ze seznamu vybrat příslušný databázový profil. Ostatní parametry jsou přednastaveny na hodnoty definované v konfiguračním souboru, ale lze je změnit.

Po stisknutí tlačítka Přihlásit se systém Groma prostřednictvím ODBC driveru přihlásí k databázovému serveru. Proběhne-li přihlášení bez chyb, je automaticky zobrazen manažer projektů. Pokud jste se přihlásili k databázi poprvé po instalaci, systém vám oznámí, že databáze ještě nebyla inicializována, a nabídne vám inicializaci. Při inicializaci jsou vytvořeny všechny potřebné tabulky a naplněny systémové číselníky.

Předcházející | Nahoru | Další
Vymaž | Domů | Nastavení projektu


Nastavení projektu
Předcházející Kapitola 31. Menu Databáze Další

Nastavení projektu

Pomocí tohoto příkazu otevřete manažer projektů, pomocí něhož lze vytvářet, upravovat a mazat projekty. Po otevření budou zobrazeny všechny dostupné projekty a bude vysvícen aktivní nebo naposledy použitý projekt.

Tučně uvedené položky jsou povinné, ostatní jsou volitelné a mohou zůstat nevyplněné. Některé položky, např. typ GP, jsou velmi důležité pro další zpracování geometrického plánu v grafickém modulu.

Katastrální území lze zvolit pomocí dialogového okna pro výběr katastrálního území. Po zvolení katastrálního území se většina povinných údajů v nastavení projektu vyplní automaticky.

Změny provedené v definici projektu lze uložit tlačítkem Uložit nebo OK.

  • Nový projekt Tímto tlačítkem vyčistíte formulář pro zadání nového projektu.

  • Kopie projektu Tímto tlačítkem vytvoříte kopii definice zvoleného projektu. Všechny položky nastavení zůstanou zachovány, ale při uložení bude projekt uložen jako nová definice. Ze zdrojového projektu bude zkopírována pouze definice projektu, nikoli uložená data.

  • Importovat projekt Tímto tlačítkem lze importovat projekt ze zálohy, aniž by bylo třeba jej předem zakládat v nastavení projektu. Po stisknutí tohoto tlačítka budete vyzváni k výběru souboru se zálohou (soubor .EXP). Po jeho zvolení bude založen nový projekt a do něj bude záloha naimportována.

  • Odstranit projekt(y) Tímto tlačítkem lze úplně odstranit celý projekt včetně všech grafických i negrafických dat. Přejete-li si odstranit najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

  • Odložit projekt(y) Obsahuje-li databáze velké množství dat, práce s ní se výrazně zpomaluje. Je proto vhodné starší projekry, s nimiž se již nepracuje, uložit do zálohy a z databáze odstranit. Pomocí tohoto příkazu lze odložit projekt do zálohy s tím, že v databázi zůstane definice projektu, ale data budou odstraněna. Pokud takovýto odložený projekt v seznamu vyberete, všechna nastavení projektu se zobrazí, ale jsou nepřístupná. Pokud jej potvrdíte tlačítkem OK, program vás upozorní, že se jedná o odložený projekt, a dotáže se, zda jej má naimportovat zpět do databáze. Po potvrzení se dotáže na cestu k záloze, a nabídne automaticky tu cestu, kam byla záloha uložena při odkládání projektu. Po zpětném načtení lze s projektem již normálně pracovat. Přejete-li si odložit najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

  • Exportovat projekt(y) Obsahuje-li databáze velké množství dat, práce s ní se výrazně zpomaluje. Je proto vhodné starší projekty, s nimiž se již nepracuje, uložit do zálohy a z databáze odstranit. Před příštím použitím je třeba data opět naimportovat ze zálohy zpět do databáze. Přejete-li si exportovat najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

Předcházející | Nahoru | Další
Kapitola 31. Menu Databáze | Domů | Výběr katastrálního území


Výběr katastrálního území
Předcházející Kapitola 31. Menu Databáze Další

Výběr katastrálního území

Výběr katastrálního území

Dialogové okno slouží k volbě katastrálního území z číselníku.

Katastrální území můžete zvolit jedním ze tří způsobů:

  • Z projektu: Pomocí tohoto seznamu můžete vybírat z katastrálních území, do nichž zasahují data naimportovaná do aktivního projektu. Pokud nejste připojeni k databázi, je tato možnost nepřístupná.

  • Vyhledáváním: Při zadávání počátečních písmen názvu katastrálního území do vstupního řádku bude níže uvedený seznam katastrálních území přefiltrován a bude obsahovat pouze ta území, jejichž název začíná zadaným textem.

  • Ze seznamu: Je-li řádek pro vyhledávání prázdný, je v okně zobrazen kompletní seznam všech katastrálních území. Ve stromu lze rozbalit jednotlivé skupiny sestavené podle prvního písmena názvu a vybírat v seznamu. Katastrální území lze zvolit poklepáním nebo označením a potvrzením tlačítkem OK.

Předcházející | Nahoru | Další
Nastavení projektu | Domů | Vytvořit databázi a uživatele


Vytvořit databázi a uživatele
Předcházející Kapitola 31. Menu Databáze Další

Vytvořit databázi a uživatele

Pomocí tohoto příkazu otevřete dialogové okno, pomocí něhož můžete vytvářet databáze a uživatele. Obvykle lze toto provést i pomocí nástrojů dodávaných výrobcem k databázovému serveru, tento způsob je ale nejjednodušší.

Vytvoření databáze a uživatele

V horní části okna je třeba zadat přihlašovací údaje k administrátorskému účtu (pro MySQL je název administrátorského účtu root) Dále zvolíte adresu serveru (obvykle localhost pro lokální připojení nebo IP adresu vzdáleného serveru pro síťové připojení). Dále zvolíte typ databáze.

V dalším oddíle zadáte jméno databáze, kterou chcete vytvořit nebo odstranit. U některých typů databáze je třeba zadat i velikost databáze a umístění datových souborů. Přednastavená velikost databáze je 1 GB, přednastavená cesta k datovým souborům je převzata z registru systému Windows.

V posledním oddíle vyplňte jméno a heslo k uživatelskému účtu, který vytváříte.

Poznámka

Doporučujeme nastavit stejné jméno uživatele i databáze. Pokud se jména liší, budete muset upravit konfigurační soubor databáze.

Poznámka

Při vytváření uživatele musí být vyplněno i jméno databáze, protože jsou uživateli po vytvoření automaticky nastavována práva k příslušné databázi.

Předcházející | Nahoru | Další
Výběr katastrálního území | Domů | Inicializace databáze


Inicializace databáze
Předcházející Kapitola 31. Menu Databáze Další

Inicializace databáze

Tímto příkazem spustíte nástroj pro poinstalační inicializaci databáze. Při inicializaci jsou vytvořeny všechny potřebné tabulky a naplněny systémové číselníky.

Jako součást inicializace databáze máte možnost načíst zálohu databáze (soubor s příponou .EXD. Zálohu celé databáze lze importovat pouze v tomto kroku, později to již není možné (pouze při opětovné inicializaci databáze).

Předcházející | Nahoru | Další
Vytvořit databázi a uživatele | Domů | Kapitola 32. Menu Projekt


Kapitola 32. Menu Projekt
Předcházející Část II. Referenční příručka Další

Kapitola 32. Menu Projekt

Obsah

Přidej soubor
Odeber soubor
Otevři soubor
Nastavení

Toto menu obsahuje příkazy pro práci s projekty.

Přidej soubor

Tímto příkazem můžete přidávat soubory do aktivního projektu. Po vyvolání příkazu je zobrazeno dialogové okno, v němž jsou zobrazeny názvy všech otevřených souborů, které nejsou zahrnuty do projektu. V něm můžete označit jeden nebo více souborů, které budou po stisknutí tlačítka OK přidány do projektu.

Seznamy souřadnic a seznamy měření můžete do projektu přidat i pouhým přetažením myší.

Předcházející | Nahoru | Další
Inicializace databáze | Domů | Odeber soubor


Odeber soubor
Předcházející Kapitola 32. Menu Projekt Další

Odeber soubor

Tímto příkazem můžete odebrat soubor z aktivního projektu. Soubor nejprve označte v okně s projektem.

Soubor bude pouze vypuštěn z projektu, na disku zůstane beze změny.

Předcházející | Nahoru | Další
Kapitola 32. Menu Projekt | Domů | Otevři soubor


Otevři soubor
Předcházející Kapitola 32. Menu Projekt Další

Otevři soubor

Tímto příkazem můžete otevřít soubor z aktivního projektu. Soubor nejprve označte v okně s projektem.

Soubor můžete otevřít také dvojitým kliknutím na jeho název v okně s projektem.

Předcházející | Nahoru | Další
Odeber soubor | Domů | Nastavení


Nastavení
Předcházející Kapitola 32. Menu Projekt Další

Nastavení

V tomto dialogovém okně můžete nastavit první řádek hlavičky tisku pro seznamy souřadnic a seznamy měření.

Předcházející | Nahoru | Další
Otevři soubor | Domů | Kapitola 33. Dialogové okno Nastavení


Kapitola 33. Dialogové okno Nastavení
Předcházející Část II. Referenční příručka Další

Kapitola 33. Dialogové okno Nastavení

Obsah

Prostředí
Řazení:
Pořadí souřadnic:
Seznamy:
Vyhledávání bodů:
Nastavení internetu:
Další volby:
Zakládací soubory
Formát nově zakládaných datových souborů
Vzhled aplikace
Vstup/výstup
Počet desetinných míst:
Čísla bodů
Měřítkový koeficient pro převod délek do roviny zobrazení:
Délkové jednotky:
Úhlové jednotky:
Zeměpisné souřadnice:
Ukládání bodů do seznamů souřadnic
Přenos bodů do databáze
Výpočty
Dávkový výpočet:
Volné stanovisko
Nabízet jako orientace:
Různé:
Váhy směrů při orientaci osnov
Váhy převýšení
Tolerance
Redukce
Redukce:
Charakteristiky bodů
Přičítání redukce:
Záznamník
Záznamník:
Měřená data:
Souřadnice:
Volby:
Kódování souboru:
Teodolit
Název teodolitu:
Střední chyby:
Kolimační chyba:
Indexová chyba:
Kódování bodů
Kódovací tabulka:
Nastavení:
Tabulka typů:
Protokol
Volby:
Font na obrazovku / pro tisk
Vstupní / výstupní formát souřadnic
Vstupní / výstupní formát měření
DXF
Hlavička:
Zaměnit X a Y:
3D:
Redukovat:
Koeficient X/Y/Z:
Vrstvy:
Výška textu:
Font pro čísla bodů/ výšky / popisy:
Aktualizace číselníků

Toto dialogové okno se vyvolá příkazem Soubor → Nastavení. Nastavují se v něm všechny parametry programu Groma (parametry prostředí, vstupní/výstupní formáty, tolerance atd.)

Prostředí

Pod touto záložkou lze nastavit různé parametry pro práci programu. Údaje jsou organizovány do logických skupin.

Nastavení - Prostředí

Řazení:

Zde lze nastavit, jakým způsobem mají být řazeny položky v seznamu souřadnic.

  • Netřídit

    V tomto případě body v seznamech souřadnic řazeny nejsou, v seznamu jsou uvedeny v takovém pořadí, v jakém byly do souboru přidávány. Toto pořadí se však poruší např. při kompresi souboru, pokud je v okamžiku komprese nastaven jiný způsob řazení (při kompresi souboru je vytvořen nový soubor, do něhož jsou všechny body zapsány v takovém pořadí, jak jsou v okamžiku komprese zobrazeny).

  • Předčíslí

    Body jsou v seznamu seřazeny primárně podle předčíslí a sekundárně podle čísla bodu. V souboru jsou tedy řazeny za sebe body se stejným předčíslím a různým číslem bodu. Toto je nejběžnější způsob řazení.

  • Číslo

    Body jsou seřazeny primárně podle čísla bodu a sekundárně podle předčíslí. V souboru jsou tedy řazeny za sebe body se stejným číslem a různým předčíslím.

Dále lze v možnostech řazení zaškrtnout volbu Zvýrazněné napřed, čímž zajistíte, že zvýrazněné položky seznamu souřadnic jsou uvedeny před běžnými položkami.

Pořadí souřadnic:

Můžete zvolit pořadí, v jakém mají být zobrazovány a zadávány souřadnice X a Y v seznamech a v dialogových oknech. Tato volba nemá vliv na ukládání seznamů souřadnic do textových souborů, tam je pořadí dáno použitým předpisem formátu.

Důležité

Změna nastavení pořadí souřadnic se projeví až po ukončení programu a jeho opětovném spuštění.

Seznamy:

  • Povolit duplicitní body v seznamech souřadnic

    Jestliže je tato volba zapnuta, můžete do jednoho seznamu souřadnic uložit více bodů téhož čísla. Dodatečně je možno tyto duplicity zpracovat např. dávkovým průměrováním souřadnic.

  • Označování položek v seznamech dle Windows

    Jestliže je tato volba zapnuta, pracuje systém Groma při označování položek v seznamech stejně jako ostatní seznamy ve Windows (ukážete-li myší do seznamu, je označení položek zrušeno). Je-li tato volba vypnuta, označování pracuje jako v předchozích verzích.

  • Rychlé zamykání/odemykání bodů myší

    Jestliže je tato volba zapnuta, můžete jednotlivé body zamykat a odemykat kliknutím myši u levého okraje seznamu (před číslem bodu).

  • Zvýraznit aktivní seznam souřadnic

    Jestliže je tato volba zapnuta, bude aktivní seznam souřadnic zvýrazněn tím, že bude záhlaví sloupců zobrazeno na světle modrém pozadí.

  • Zvýraznit celou plochu aktivního seznamu

    Jestliže je zapnuta tato i předchozí volba, bude zobrazeno zvýrazněné pozadí pod celým aktivním seznamem souřadnic.

  • Zvýraznit body s odlišným SOBR a SPOL

    Zapnutím této volby můžete nechat v seznamech souřadnic zvýraznit body s odlišnými souřadnicemi obrazu a polohy. Body jsou zobrazeny červeně. Zvýraznění se týká pouze zobrazení bodů v okně, při tisku budou všechny body vypsány černě.

  • Font pro seznamy

    Po stisknutí tohoto tlačítka lze nastavit font, kterým jsou zobrazovány seznamy souřadnic a seznamy měření na obrazovce.

Vyhledávání bodů:

  • Hledat podle předčíslí

    Při této volbě jsou body vyhledávány podle čísla i předčíslí, tj. aby byl bod v seznamu nalezen, musí mít shodné číslo i předčíslí. Pokud tato volba není zvolena, budou při hledání nalezeny všechny body daného čísla, bez ohledu na předčíslí.

    Toto nastavení může mít, zvláště u rozsáhlých seznamů souřadnic, značný vliv na rychlost vyhledávání. Obecně platí, že hledání podle čísla i předčíslí je rychlejší než hledání pouze podle čísla.

  • Hledat ve všech otevřených souborech

    Je-li tato volba zapnuta, program hledá body nejen v aktivním seznamu, ale ve všech otevřených seznamech. Je-li nalezeno více bodů, splňujících kritéria, program zobrazí jejich seznam v dialogovém okně a umožní vám si z nich vybrat.

  • Zvukový signál při nenalezení

    Jestliže není bod nalezen, program vás upozorní zvukovým signálem.

Nastavení internetu:

  • Stahovat informace z internetu

    Po spuštění si aplikace stáhne aktuální informace z informačního kanálu. Pokud je k dispozici nějaká zpráva, která ještě nebyla zobrazena, zobrazí ji. Opakované zobrazení starších zpráv si můžete vyžádat příkazem Nápověda → Opakované zobrazení všech zpráv z informačního kanálu.

  • Stahovat aktualizace z internetu

    Je-li tato volba, systém Groma po spuštění kontroluje, zda nejsou k dispozici nové aktualizace. Pokud ano, nabídne jejich stažení a automatickou instalaci.

  • Nastavení proxy serveru

    Je-li váš počítač připojen k internetu prostřednictvím proxy serveru, můžete zde zadat buď přesnou adresu a port proxy serveru, nebo nechat převzít nastavení proxy serveru z nastavení internetu pro celý počítač.

Další volby:

  • Automaticky otevřít kontrolní kresbu

    Jestliže je tato volba zapnuta, po prvním výpočtu nebo jiné úloze, která zobrazuje kontrolní kresbu, bude okno s kontrolní kresbou automaticky otevřeno.

  • Zobrazovat bublinovou nápovědu

    Je-li tato volba, v dialogových oknech systému Groma je po najetí kurzorem myši na některé ovládací prvky zobrazena bublinová nápověda s vysvětlením příslušného prvku.

Zakládací soubory

Pokud si přejete, aby měly nově založené soubory nějaké specifické vlastnosti (nastaven určitý souřadnicový a výškový systém, definovány použité sloupce). můžete si založit prázdný seznam souřadnic nebo měření, všechny požadované vlastnosti v něm nastavit, a definovat jej zde jako zakládací. Všechny nově založené seznamy tato nastavení převezmou.

  • Výběr souboru (...)

    Po stisknutí tohoto tlačítka můžete zvolit soubor, který má být použit jako zakládací.

  • Otevřít

    Po stisku tohoto tlačítka bude zakládací soubor otevřen, takže jej můžete snadno upravovat.

  • Odpojit

    Tímto příkazem ukončíte používání nastaveného zakládacího souboru.

Formát nově zakládaných datových souborů

Systém Groma umí pracovat se dvěma typy datových souborů. Zde si můžete zvolit, jaký typ souboru bude vytvořen při automatickém zakládání souboru (při importech apod.).

  • Starý formát

    Aplikace bude vytvářet soubory typu .crd, .mes, kompatibilními se všemi verzemi Gromy od v.5). a novými typy (.crds, .mess kompatibilními s verzemi 13 a dále).

    Jedná se o binární soubory ve vnitřním formátu systému Groma, nelze s nimi tedy pracovat mimo prostředí systému Groma.

  • Nový formát

    Aplikace bude vytvářet soubory typu .crds, .mess, kompatibilními s verzemi 13 a dále).

    Jedná se o binární soubory ve formátu SQLite, k jejich zpracování lze tedy použít celou škálu aplikací třetích stran nebo vývojářských knihoven.

Poznámka

Při ručním vytváření nového souboru pomocí dialogového okna pro založení souboru můžete zvolit formát zakládaného souboru přímo v dialogovém okně.

Vzhled aplikace

Zde si můžete zvolit typ ovládání hlavního okna aplikace:

  • Nový vzhled (pás karet)

    V horní části hlavního okna aplikace bude jako hlavní ovládací prvek zobrazen pás karet.

  • Starý vzhled (roletové menu)

    V horní části hlavního okna aplikace bude zobrazeno klasické roletové menu a pod ním lišta nástrojů a lišta výpočetních funkcí.

Předcházející | Nahoru | Další
Nastavení | Domů | Vstup/výstup


Vstup/výstup
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Vstup/výstup

Pod touto záložkou se zadávají parametry pro vstup a výstup číselných hodnot (jednotky, počet desetinných míst apod.)

Nastavení - Vstup/výstup

Počet desetinných míst:

V těchto vstupních řádcích se zadává požadovaný počet desetinných míst pro výstup souřadnic, úhlů, délek, výšek a ploch.

Čísla bodů

Zde můžete definovat, jakým způsobem se mají v seznamech zobrazovat čísla bodů:

  • Úplná čísla v seznamech

    Po zapnutí této volby bude program v seznamech zobrazovat celá úplná čísla bodů namísto rozdělení na čísla a předčíslí.

  • Čísla doplnit nulami

    Zapnete-li tuto volbu, budou čísla bodů zleva doplněny nulami na plný počet číslic.

  • Oddělit předčíslí pomlčkou

    Zapnete-li tuto volbu, budou předčíslí bodů oddělena od čísel pomlčkou.

  • Rozdělit předčíslí na části

    Po zapnutí této volby budou předčíslí rozdělena pomlčkami na číslo katastrálního území a číslo ZPMZ

  • Redukovat předčíslí

    Po zapnutí této volby nebude v seznamech zobrazeno předčíslí bodů, bude-li shodné s předčíslím nastaveným na liště nastavení. Bude-li se shodovat číslo katastrálního území, ale bude rozdílné číslo ZPMZ, bude se zobrazovat pouze číslo ZPMZ.

  • Zobrazovat ZPMZ vždy

    Zapnete-li tuto volbu, bude i při zapnuté redukci čísla bodu zobrazeno číslo ZPMZ vždy, i v případě, že je shodné s číslem přednastaveným na liště nastavení.

Měřítkový koeficient pro převod délek do roviny zobrazení:

Tímto koeficientem jsou vynásobeny všechny délky vstupující do programu, a to ihned při importu naměřených dat nebo při zadávání délek. Naopak všechny vypisované délky (např. při výpočtu vytyčovacích prvků) jsou tímto koeficientem vyděleny.

Délkové jednotky:

Lze volit mezi metry a stopami.

Úhlové jednotky:

Jednotky, v nichž jsou zadávány a vypisovány úhlové údaje. Bez ohledu na nastavení je vždy úhel vypisován jako desetinné číslo. Při nastavení na stupně jsou první dvě číslice za desetinnou tečkou desítky minut a minuty, potom následují desítky vteřin, vteřiny, desetiny vteřin atd.

Zeměpisné souřadnice:

Zde můžete nastavit jednotky a počet desetinných míst pro zobrazování zeměpisných souřadnic. Při nastavení jednotek na stupně, minuty a vteřiny tento údaj znamená počet desetinných míst u vteřin. Při nastavení na stupně desetinné znamená počet desetinných míst u stupňů.

Ukládání bodů do seznamů souřadnic

  • Body automaticky přenášet do řídící aplikace

    Po zapnutí této volby bude systém Groma, je-li spuštěn v rámci nějaké řídící aplikace (např. MicroStation), posílat do řídící aplikace automaticky všechny body ukládané do seznamu souřadnic. Tyto body tedy budou automaticky vytvářeny ve výkresu řídící aplikace.

  • Zaokrouhlovat souřadnic dle zadaného počtu desetinných míst

    Je-li tato volba zapnuta, budou souřadnice všech bodů ukládaných do seznamu souřadnic automaticky zaokrouhlovány dle nastaveného počtu desetinných míst.

  • V seznamu souřadnic s dvojími souřadnicemi třídit ukládané souřadnice dle kódu kvality

    Je-li tato volba zapnuta, budou vypočtené souřadnice bodů vkládaných do seznamu souřadnic uloženy s ohledem na kód kvality bodu. Souřadnice body s kódem kvality 4-8 budou uloženy do souřadnic obrazu, souřadnice bodů s kódem kvality 3 budou uloženy do souřadnic polohy.

Přenos bodů do databáze

  • Kontrolovat duplicitní souřadnice

    Po zapnutí této volby bude systém Groma před každým vložením bodu do databáze kontrolovat, zda databáze již neobsahuje jiný bod o stejných souřadnicích. Pokud takový bod nalezne, nový bod nebude do databáze uložen.

  • Kontrolovat duplicitní čísla bodů

    Po zapnutí této volby bude systém Groma před každým vložením bodu do databáze kontrolovat, zda databáze již neobsahuje jiný bod téhož čísla. Pokud takový bod nalezne, nový bod nebude do databáze uložen.

  • Automaticky doplnit KATUZE_MER a ZPMZ_MER

    Při doplňování souřadnic polohy ke stávajícím bodům je třeba vyplnit KATUZE_MER a ZPMZ_MER. Na některých katastrálních pracovištích vyžadují vyplnit tyto údaje i pro nově pořizované body. V takovém případě stačí zapnout tuto volbu, a KATUZE_MER a ZPMZ_MER bude bodům při ukládání do databáze automaticky doplněno.

Předcházející | Nahoru | Další
Kapitola 33. Dialogové okno Nastavení | Domů | Výpočty


Výpočty
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Výpočty

Zde jsou shromážděna všechna nastavení týkající se výpočtů.

Nastavení - Výpočty

Dávkový výpočet:

  • Použít pouze označené hodnoty

    Pokud nechcete v dávkových výpočtech počítat celý soubor s naměřenými daty najednou, označte si pouze tu část, kterou chcete vypočítat, a zapněte tuto volbu. Program bude neoznačené údaje ignorovat.

  • Editovat orientace

    Když program na začátku každého stanoviska počítá orientaci osnov vodorovných směrů, použije k tomu všechny měřené směry, u nichž najde souřadnice orientace. Pokud chcete mít přehled o tom, které směry použil, případně pokud je chcete ještě editovat (vypouštět apod.), zapněte tuto volbu, a program vám vždy orientace nabídne ke kontrole a editaci.

    Jestliže je tato volba vypnuta, program vám orientace nabídne pouze v případě, že je u některé z nich překročena mezní oprava orientace, nastavená v Nastavení → Tolerance.

  • Počítat polární metodu

  • Počítat volná stanoviska

  • Počítat protínání ze směrů

    Těmito přepínači lze volit, které metody mají být použity při dávkovém výpočtu.

  • Zaokrouhlovat vstupní hodnoty

    V případě, že jsou údaje v seznamech měření a souřadnic uloženy s vyšší přesností, než je nastavena pro zobrazování (např. když jsou délky v zápisníku uloženy na milimetry, ale zobrazování je nastaveno na centimetry), může nastat situace, že dávkový výpočet dá nepatrně odlišné výsledky od ručního výpočtu. Je to způsobeno tím, že dávkový výpočet přebírá přímo hodnoty ze seznamů, zatímco při ručním výpočtu všechny hodnoty projdou zobrazením v dialogových oknech, čímž dojde k jejich zaokrouhlení dle nastaveného počtu desetinných míst. Někdy je přesnější výpočet z uložených hodnot vhodnější, někdy je naopak třeba, aby se dávkový výpočet přesně shodoval s ručním výpočtem. Má-li se přesně shodovat, zapněte tuto volbu, a při dávkovém výpočtu budou všechny vstupní hodnoty zaokrouhlovány dle nastaveného počtu desetinných míst. Dávkový výpočet potom bude dávat stejné výsledky, jako ruční výpočet.

  • Nepočítat výšky u bodů s kódem

    Nechcete-li u bodů s určitým kódem počítat výšky, nastavte zde příslušný kód. Jestliže je tento kód pouze součást celého popisu bodu, musí být navíc správně nastaven oddělovač kódů v dialogovém okně Soubor → Nastavení → Kódování.

Volné stanovisko

  • Dopočítat neznámé délky

    Tímto přepínačem lze volit, zda mají být neznámé (neměřené) délky na volném stanovisku dopočítány z trojúhelníků. Podrobnější informace viz Volné stanovisko.

  • Typ transformace

    Zde lze zvolit, jaký typ transformace je použit při výpočtu volného stanoviska v dávce. Při otevření výpočetního okna pro ruční výpočet volného stanoviska v něm bude zde zvolený typ transformace přednastaven.

Nabízet jako orientace:

  • Všechny body o známých souřadnicích

    Program při orientacích osnov vodorovných směrů nabídne jako orientace všechny směry, jejichž cílové body byly nalezeny v seznamech souřadnic. Při hledání program postupuje podle parametrů nastavených v Soubor → Nastavení → Prostředí.

  • Body s atributem Orientace

    Při této volbě program jako orientace nabízí pouze body, které mají v seznamu měření nastaven atribut Orientace (byly-li nalezeny v seznamech souřadnic).

Různé:

  • Provádět zpětnou kontrolu výpočtů

    Je-li tato volba zapnuta, většina výpočetních funkcí je kontrolována zpětným výpočtem vstupních dat z výsledků. Pokud vypočtená vstupní data neodpovídají s určitou tolerancí původním datům, je výpočet přerušen a program zobrazí chybové hlášení.

  • Dotázat se před uzavřením neuloženého výpočtu

    Je-li tato volba zapnuta, při zavírání výpočetních oken s komplikovanějšími výpočty, která umožňují uložit zadání do souboru (např. polygonový pořad) budete dotázáni, zda chcete skutečně okno zavřít bez uložení zadání. Je to ochrana proti tomu, abyste si nechtěným stisknutím klávesy Esc nebo jiným způsobem omylem nezavřeli výpočetní okno s komplikovaným zadáním.

Váhy směrů při orientaci osnov

Zde lze zvolit, jaké váhy mají být přisouzeny měřeným směrům při výpočtu orientace osnovy směrů. Můžete si zvolit ze dvou předdefinovaných variant, nebo můžete zadat libovolný vztah pro výpočet váhy. Pro délku se ve výpočetním vztahu použije symbol S. Podrobnější popis viz Orientace vodorovných směrů.

Váhy převýšení

Zde lze zvolit, jaké váhy mají být přisouzeny měřeným převýšením. Můžete si zvolit ze tří předdefinovaných variant, nebo můžete zadat libovolný vztah pro výpočet váhy v závislosti na délce. Pro délku se ve výpočetním vztahu použije symbol S.

Předcházející | Nahoru | Další
Vstup/výstup | Domů | Tolerance


Tolerance
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Tolerance

Zde můžete definovat různé sady tolerancí, které jsou používány při výpočtech. Při překročení příslušné tolerance je zobrazeno dialogové okno s dosaženou hodnotou, tolerancí a nabídkou volby, zda má program ve výpočtu pokračovat, nebo jej přerušit. Zároveň zde můžete zvolit, se kterou sadou tolerancí má program dále pracovat.

Nastavení - Tolerance

Necháte-li vstupní řádek pro některou z tolerancí nevyplněný, znamená to, že program při tomto výpočtu nemá překročení tolerance testovat. Program po instalaci obsahuje mimo jiné i předdefinovanou sadu nazvanou Netestovat, ve které není žádná tolerance vyplněna. Zvolíte-li jako aktivní tuto sadu, program nebude překročení tolerancí testovat nikde.

Novou sadu tolerancí můžete založit tak, že změníte název některé ze stávajících sad tolerancí a stisknete tlačítko Uložit. Tím bude do seznamu přidána nová sada tolerancí, jejíž parametry můžete následně libovolně měnit.

Předcházející | Nahoru | Další
Výpočty | Domů | Redukce


Redukce
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Redukce

Pod touto záložkou můžete definovat implicitní předčíslí a souřadnicové redukce.

Nastavení - Redukce

Redukce:

V editačních řádcích můžete zadat implicitní předčíslí a redukce souřadnic. Jestliže potom nezadáte např. ve výpočetních dialogových oknech předčíslí, je použito předčíslí implicitní. Souřadnicové redukce jsou použity podle nastaveného režimu.

Implicitní předčíslí můžete zadat také přímo na liště nastavení. Zadáte-li v některém dialogovém okně samotné číslo bodu bez předčíslí, bude mu toto předčíslí doplněno. Zadáte-li do předčíslí pouze ZPMZ, bude k němu z implicitního předčíslí doplněno pouze číslo katastrálního území.

Charakteristiky bodů

Zde můžete zadat standardní nastavení popisných údajů o bodech, které program automaticky doplňuje všem bodům ukládaným do seznamů souřadnic. Obě charakteristiky jsou jednoznakové alfanumerické údaje. Lze je použít pro další rozlišení bodů, pro hromadné označování apod.

Přičítání redukce:

Zde můžete zvolit režim práce s redukcemi:

  • Inteligentní

    Program automaticky odhaduje podle velikosti příslušné souřadnice a nastavené redukce, zda se jedná o souřadnici redukovanou nebo neredukovanou.

  • Vždy

    Program přičte redukci k zadané souřadnici vždy.

  • Nikdy

    Program zadanou redukci nepřičítá.

Předcházející | Nahoru | Další
Tolerance | Domů | Záznamník


Záznamník
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Záznamník

V tomto dialogovém okně musíte nastavit typ použitého záznamníku a další údaje.

Nastavení - Záznamník

Záznamník:

  • Typ

    Podle toho, jaký je nastaven typ záznamníku, je prováděna konverze naměřených dat při importu z textového souboru. Před importem je tedy třeba nastavit, odkud data pocházejí.

  • Formát

    Některé typy záznamníků umožňují zaznamenávat data ve více různých formátech. Aby program data správně zpracoval, musí být nastaven použitý formát.

  • Vynechat řádků v hlavičce

    Některé formáty obsahují hlavičku, která nemusí mít vždy stejný počet řádků. Skutečný počet řádků hlavičky v použitém formátu musí být nastaven v tomto vstupním řádku.

  • Maska datových souborů

    Pokud u datových souborů používáte nestandardní příponu, můžete ji zde nastavit. Při otevírání souborů pak bude v dialogovém okně tato přípona přednastavena jako filtr.

Měřená data:

  • Typ délek

    Zde je třeba nastavit, zda jsou délky v souboru, odkud budou importovány naměřené údaje, vodorovné nebo šikmé. Jestliže formát záznamníku umožňuje automaticky rozpoznat typ délek, není tato volba dostupná.

    Lze nastavit i možnost Neredukovat. Potom budou v seznamu měření uvedeny neredukované šikmé délky, které lze redukovat dodatečně zpracováním zápisníku. Veškeré výpočetní úlohy očekávají redukované vodorovné délky, takže takovéto neredukované délky nelze ve výpočetních oknech použít. Při pokusu o přetažení neredukované délky myší do výpočetního okna jste na tuto skutečnost upozorněni.

    Dále zde lze nastavit vlastní vzorec pro přepočet délky na vodorovnou. Jsou přednastaveny standardní výpočetní vztahy pro některé historické typy dálkoměrů. Ponecháte-li vstupní řádek pro vzorec prázdný, bude přepočet proveden podle standardních vztahů s použitím převýšení nebo zenitového úhlu.

  • Úhlové jednotky

    Zde můžete nastavit, v jakých úhlových jednotkách jsou zapsány úhlové údaje v datových souborech přenesených ze stroje. Úhlové jednotky stroje se nemusí shodovat s úhlovými jednotkami, s nimiž pracuje systém Groma.

  • Kontroly

    Zde můžete nastavit podmínku, pomocí níž je testována výška cíle. Pokud je výsledek uvedeného vztahu nenulový, je podmínka považována za splněnou. V podmínce lze použít logické operátory & (logický součin) a | (logický součet) a relační operátory <, >, <=, >=, ==, <>.

    Podmínka může vypadat např. takto:

    (SIGNAL > 0.5) & (SIGNAL < 3) & (SIGNAL <> 1)

    nebo

    (SIGNAL == 0) | ((SIGNAL >= 1.3) & (SIGNAL <= 2.1))

Souřadnice:

  • Koeficient X/Y/Z

    Jsou-li importovány ze záznamníku souřadnice bodů, program je při importu těmito koeficienty vynásobí.

  • Zaměnit souřadnice X a Y

    Při importu program zamění souřadnici X a Y.

Volby:

  • Nulové výšky cíle

    Tuto volbu zapněte, chcete-li, aby po importu naměřených dat zůstala u bodů, u nichž byla registrována nulová výška cíle, výška cíle 0.00m. Má-li nulová výška cíle signalizovat, že je příslušný bod bez výšky, vypněte tuto volbu, a bod bude po importu bez výšky cíle a jeho výška nebude při výpočtech počítána.

  • Standardní výška cíle

    Přejete-li si, aby byla u každého měření, kde není výška cíle explicitně uvedena, použita standardní hodnota, zadejte tuto hodnotu výšky cíle zde.

Kódování souboru:

Používáte-li při registraci kódů ve stroji znaky s diakritikou v jiném kódování, než Windows 1250, zvolte zde typ kódování, aby mohl systém Groma při importu kódy správně převést.

Předcházející | Nahoru | Další
Redukce | Domů | Teodolit


Teodolit
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Teodolit

Tento příkaz slouží pro definici teodolitů, jejich přístrojových chyb a tolerancí.

Nastavení - Teodolit

Název teodolitu:

Ve vstupním okně zadejte název, pod kterým se má teodolit objevit v seznamu teodolitů. V seznamu nemohou být dva teodolity stejného jména.

Střední chyby:

Zde zadejte odhad střední chyby měřeného směru v jedné poloze dalekohledu a odhad střední chyby měřené délky.

Důležité

Apriorní střední chyby udávané výrobci strojů se mohou vztahovat na některé speciální situace, pro běžné měřené jsou často příliš optimistické. Před zadáním se tedy pokud možno přesvědčte o jejich reálnosti.

Kolimační chyba:

Zde nastavte skutečnou kolimační chybu teodolitu a tolerance pro její testování. Jestliže program při zpracování zápisníku narazí na měření v obou polohách, určí z nich velikost kolimační chyby a porovná ji s nastavenou hodnotou. Překročí-li rozdíl nastavené a vypočtené chyby hodnotu nastavenou jako Chybný, v protokolu je měření v protokolu označeno za chybné a výpočet vyrovnaného měření neproběhne. Překročí-li rozdíl hodnotu nastavenou jako Podezřelý, výpočet proběhne, ale směry jsou v protokolu označeny jako podezřelé.

Program porovnává s tolerancemi rozdíl nastavené a vypočtené kolimační chyby, nikoli celou vypočtenou chybu. Skutečná kolimační chyba tedy může mít libovolnou hodnotu, a není třeba nastavovat tolerance s ohledem na její velikost.

Důležité

Nastavená hodnota kolimační chyby není používána pro opravu měření, ale pouze pro testování tolerancí. Při výpočtu zápisníku je skutečná kolimační chyba odstraněna použitím měření v I. i II. poloze dalekohledu.

Indexová chyba:

Zde nastavte skutečnou indexovou chybu teodolitu a tolerance pro její testování. Jestliže program při zpracování zápisníku narazí na měření v obou polohách, určí z nich velikost indexové chyby a porovná ji s nastavenou hodnotou. Překročí-li rozdíl nastavené a vypočtené chyby hodnotu nastavenou jako Chybný, v protokolu je měření v protokolu označeno za chybné a výpočet vyrovnaného měření neproběhne. Překročí-li rozdíl hodnotu nastavenou jako Podezřelý, výpočet proběhne, ale měření jsou v protokolu označeny jako podezřelá.

Program porovnává s tolerancemi rozdíl nastavené a vypočtené indexové chyby, nikoli celou vypočtenou chybu. Skutečná indexová chyba tedy může mít libovolnou hodnotu, a není třeba nastavovat tolerance s ohledem na její velikost.

Důležité

Nastavená hodnota indexové chyby je použita pouze při hromadné opravě indexové chyby. Při výpočtu vyrovnaných měření z měření v I. a II. poloze je použita pouze pro testování tolerancí, při výpočtu vyrovnaného měření je skutečná indexová chyba odstraněna použitím měření v I. i II. poloze dalekohledu.

Předcházející | Nahoru | Další
Záznamník | Domů | Kódování bodů


Kódování bodů
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Kódování bodů

V tomto dialogovém okně se nastavují parametry týkající se kódování bodů.

Nastavení - Kódování

Kódovací tabulka:

Program umožňuje použití tzv. kódovací tabulky, která slouží pro převod registrovaných kódů na popisy.

  • Připojit

    Tímto tlačítkem můžete vybrat požadovanou kódovací tabulku (soubory typu .cod) a připojit ji. Od okamžiku připojení program všechny kódy v seznamech transformuje podle tabulky.

  • Editovat

    Připojenou kódovací tabulku můžete editovat.

  • Odpojit

    Nechcete-li již nadále připojenou kódovací tabulku používat, můžete ji tímto tlačítkem odpojit.

  • Použít kódovací tabulku

    Pomocí tohoto přepínače lze snadno zapínat a vypínat překódování bodů podle tabulky, aniž by bylo třeba tabulku připojovat a odpojovat.

    Tato funkce je přístupná přímo z lišty nástrojů.

Nastavení:

  • Rozdělit kódy na části

    Pomocí tohoto nastavení lze rozdělit kód bodu na části po zadaném počtu znaků. Např. kód 23014512 bude při zapnutí této volby a nastavení rozdělení po dvou znacích rozdělen na 23 01 45 12. Dílčí kódy budou odděleny prvním znakem, který je uveden v Oddělovačích kódů (viz dále).

  • Překódovat při importu

    Program převádí popisy v importovaných souborech na kódy podle připojené kódovací tabulky. Jestliže popis v kódovací tabulce nenalezne, zobrazí chybové hlášení.

  • Akceptovat body bez kódu

    Jestliže je tato volba zapnuta, program umožňuje import bodů bez kódu nebo popisu. Vypnete-li tuto volbu, program u bodů bez kódu zobrazí chybové hlášení.

  • Oddělovače kódů

    Je-li u bodů registrováno více kódů, musí být odděleny oddělovacím znakem (např. "X"). Oddělovací znak musí být nastaven v tomto vstupním řádku.

  • Kód orientace

    Označujete-li orientace kódem, můžete zde tento kód zadat, a program při importu automaticky označí jako orientace všechna měření, která mají tento kód. Používáte-li pro označení orientací více kódů, můžete je zde zadat všechny, oddělené znakem nastaveným jako Oddělovač kódů.

Tabulka typů:

Tabulka typů slouží k převodu typu bodu na popis. Při práci v katastru nemovitostí se používá k převodu číselného vyjádření stavu bodu (0 = dosavadní, 2 = nový) na textový popis.

Předcházející | Nahoru | Další
Teodolit | Domů | Protokol


Protokol
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Protokol

Pod touto záložkou můžete nastavit některé parametry pro práci s protokoly.

Nastavení - Protokol

Volby:

  • Vytvářet protokol

    Tímto vypínačem lze zapnout nebo vypnout vytváření lokálního protokolu. Protokol se ukládá do paměti, a při některých rozsáhlých výpočtech (např. dávkový výpočet velkého souboru měření) může dosáhnout značné velikosti. Navíc jeho vytváření výpočet poněkud zpomaluje. V některých případech tedy může být výhodné protokol dočasně vypnout.

  • Automaticky zapisovat protokol

    Je-li zapnuta tato volba, program automaticky zapíše protokol na disk vždy, když je do něj přidán lokální protokol. Navíc automaticky uloží protokol při ukončení programu. Není-li tato volba zapnuta, je při ukončení programu zobrazeno varovné hlášení s dotazem, zda má být protokol uložen.

  • Zapisovat souřadnice vstupních bodů

    Je-li tato volba zapnuta, do protokolu jsou zapisovány souřadnice vstupních bodů.

  • Zapisovat body vypočtené v dávce

    Zapnete-li tuto volbu, program při dávkovém výpočtu ukládá do protokolu informace o všech vypočtených bodech. Jestliže tuto volbu vypnete, do protokolu jsou uloženy pouze informace o orientacích osnov vodorovných směrů, o výpočtu volných stanovisek a o protínání ze směrů.

  • Neprotokolovat souřadnici Z

    Zapnete-li tuto volbu, program při výpočtech nebude protokolovat výškové informace.

  • Oddělit číslo k.ú. pomlčkou

    Zapnete-li tuto volbu, bude při výstupech do protokolu úplné číslo bodu rozděleno pomlčkou tak, že bude odděleno číslo katastrálního území.

  • Zapisovat názvy souborů bez cesty

    Zapnete-li tuto volbu, při výpisech názvů souborů do protokolu bude uveden pouze vlastní název souboru bez cesty.

Font na obrazovku / pro tisk

Po stisknutí těchto tlačítek můžete nastavit font, kterým má být protokol zobrazen na obrazovce, a font, kterým má být protokol vytištěn na tiskárně.

Předcházející | Nahoru | Další
Kódování bodů | Domů | Vstupní / výstupní formát souřadnic


Vstupní / výstupní formát souřadnic
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Vstupní / výstupní formát souřadnic

Pod touto záložkou můžete definovat nebo editovat vstupní/výstupní formát souřadnic pro zapisování a čtení z textového souboru.

Nastavení - Vstupní / výstupní formát souřadnic

Postup při definování vstupního/výstupního formátu je podrobně popsán v příloze.

Předcházející | Nahoru | Další
Protokol | Domů | Vstupní / výstupní formát měření


Vstupní / výstupní formát měření
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Vstupní / výstupní formát měření

Obdobně jako u souřadnic je zde možno definovat nebo editovat vstupní/výstupní formát naměřených hodnot pro zapisování a čtení z textového souboru.

Nastavení - Vstupní / výstupní formát měření

Postup při definování vstupního/výstupního formátu je podrobně popsán v příloze.

Předcházející | Nahoru | Další
Vstupní / výstupní formát souřadnic | Domů | DXF


DXF
Předcházející Kapitola 33. Dialogové okno Nastavení Další

DXF

Zde můžete nastavit parametry pro export seznamu souřadnic do souboru formátu DXF.

Nastavení DXF

Hlavička:

Tímto tlačítkem můžete zapnout ukládání hlavičky do DXF souboru. V hlavičce jsou uloženy informace o vrstvách, které jsou pro některé programy nezbytné (např. MicroStation, pokud hlavičku nenalezne, umístí všechny elementy do vrstvy 1).

Zaměnit X a Y:

Zapnete-li tuto volbu, program Groma při exportu zamění souřadnice X a Y (u některých systémů je to nezbytné pro správné umístění souřadnicových os).

3D:

Tímto tlačítkem můžete zapnout export bodů ve třech souřadnicích pro zpracování v třírozměrném grafickém systému. Je-li tato volba vypnuta, výška je exportována jako textový popis.

Redukovat:

Zapnete-li tuto volbu, souřadnice jsou při exportu redukovány o redukce nastavené v Soubor → Nastavení → Redukce.

Koeficient X/Y/Z:

Zde můžete nastavit koeficienty, kterými jsou při výstupu vynásobeny příslušné souřadnice. U matematického souřadnicového systému, se kterým pracuje většina CAD systémů, je třeba pro správné umístění souřadnicových os nastavit koeficienty pro X a Y na hodnotu -1.

Vrstvy:

Zde můžete zadat názvy vrstev, do nichž mají být příslušné prvky uloženy.

Výška textu:

Zde musíte nastavit požadovanou výšku textů. Výška se zadává ve skutečné velikosti v metrech (např. pro zobrazení znaků vysokých 2 mm v měřítku 1:1000 zde musíte nastavit 2 m).

Font pro čísla bodů/ výšky / popisy:

Chcete-li, aby soubor DXF obsahoval u textových elementů název fontu, můžete jej zde zadat. Necháte-li tyto vstupní řádky prázdné, položka s názvem fontu nebude v souboru DXF obsažena.

Předcházející | Nahoru | Další
Vstupní / výstupní formát měření | Domů | Aktualizace číselníků


Aktualizace číselníků
Předcházející Kapitola 33. Dialogové okno Nastavení Další

Aktualizace číselníků

Tato karta umožňuje aktualizovat on-line číselníky katastrálních území.

Aktualizace číselníků

Narazíte-li na nějaký nesoulad v seznamu katastrálních území (chybějící nebo nesprávně zařazené území), můžete z tohoto okna aktualizovat číselníky přímo ze serverů ČÚZK.

U číselníků je uvedeno datum poslední aktualizace. Při aktualizaci budou současné verze číselníků zazálohovány a systém se pokusí ze serverů ČÚZK stáhnout jejich nové verze. Pokud se aktualizace nezdaří, budou v systému ponechány současné verze. Po úspěšné aktualizaci bude zobrazeno informační hlášení a změní se datum poslední aktualizace uvedené u číselníků.

Předcházející | Nahoru | Další
DXF | Domů | Kapitola 34. Menu Přehledka


Kapitola 34. Menu Přehledka
Předcházející Část II. Referenční příručka Další

Kapitola 34. Menu Přehledka

Obsah

Atributy zobrazení
Vrstvy
Vše
Zvětšit
Zmenšit
Výřez
Vybrat prvek
Smazat prvrek
Umístit linii

Příkazy tohoto menu slouží k manipulaci s grafickým oknem.

Atributy zobrazení

V tomto dialogovém okně se nastavují atributy kresby.

Můžete zde nastavit do které vrstvy se mají které prvky zobrazovat, a u textových prvků zvolit font, kterým mají být prvky zobrazeny.

Zvolené vrstvy lze vypínat a zapínat ve Správci vrstev.

Atributy zobrazení
Předcházející | Nahoru | Další
Aktualizace číselníků | Domů | Vrstvy


Vrstvy
Předcházející Kapitola 34. Menu Přehledka Další

Vrstvy

V dialogovém okně zvolte, které vrstvy chcete mít v aktuálním pohledu zapnuté (tj. viditelné).

Správce vrstev
Předcházející | Nahoru | Další
Kapitola 34. Menu Přehledka | Domů | Vše


Vše
Předcházející Kapitola 34. Menu Přehledka Další

Vše

Měřítko zobrazení je upraveno tak, aby byl plán v okně viditelný celý najednou.

Předcházející | Nahoru | Další
Vrstvy | Domů | Zvětšit


Zvětšit
Předcházející Kapitola 34. Menu Přehledka Další

Zvětšit

Měřítko zobrazení j 1.5x zvětšeno.

Předcházející | Nahoru | Další
Vše | Domů | Zmenšit


Zmenšit
Předcházející Kapitola 34. Menu Přehledka Další

Zmenšit

Měřítko zobrazení j 1.5x zmenšeno.

Předcházející | Nahoru | Další
Zvětšit | Domů | Výřez


Výřez
Předcházející Kapitola 34. Menu Přehledka Další

Výřez

Obsah ohrady je zvětšen na celou plochu okna. Jestliže ohrada ještě nebyla vytvořena, můžete ji po vyvolání tohoto příkazu umístit. Nastavte kurzor na jeden roh požadované ohrady, stiskněte levé tlačítko myši, podržte jej a přejeďte na druhý roh. Tam levé tlačítko myši uvolněte.

Předcházející | Nahoru | Další
Zmenšit | Domů | Vybrat prvek


Vybrat prvek
Předcházející Kapitola 34. Menu Přehledka Další

Vybrat prvek

Tímto příkazem zrušíte předchozí režim (kreslení, mazání elementů apod.). Režim výběru elementů je vhodný pro ukazování bodů pro výpočetní dialogová okna.

Předcházející | Nahoru | Další
Výřez | Domů | Smazat prvrek


Smazat prvrek
Předcházející Kapitola 34. Menu Přehledka Další

Smazat prvrek

Po této volbě je (není-li označen žádný element) zobrazen lokaační kurzor s kroužkem. Když pomocí levého tlačítka myši označíte prvek, který chcete smazat,bude prvek zvýrazněn červeně. Chcete-li prvek skutečně smazat, stiskněte levé tlačítko myši. Nechcete-li jej smazat, stiskněte pravé tlačítko.

Předcházející | Nahoru | Další
Vybrat prvek | Domů | Umístit linii


Umístit linii
Předcházející Kapitola 34. Menu Přehledka Další

Umístit linii

Spojovat linií můžete pouze již existující body, konec čáry nemůžete umístit mimo bod. Nemusíte mít tedy obavy o správné "chycení na bod", program jiné umístění čar neumožňuje. Po chycení na bod program začne kreslit čáru od bodu k okamžité pozici kurzoru. Při pohybu kurzorem se čára automaticky mění. Umístíte ji chycením na koncový bod, kreslení ukončíte stisknutím pravého tlačítka myši.

Předcházející | Nahoru | Další
Smazat prvrek | Domů | Kapitola 35. Menu DTM (Digitální technická mapa)


Kapitola 35. Menu DTM (Digitální technická mapa)
Předcházející Část II. Referenční příručka Další

Kapitola 35. Menu DTM (Digitální technická mapa)

Obsah

Importovat body
Uložit body
Uložit změny
Synchronizovat
Odstranit smazané body
Kontrola identických bodů

Příkazy tohoto menu slouží k manipulaci s body pro DTM a ke spouštění grafického modulu pro DTM.

Importovat body

Tímto příkazem lze načíst všechny nebo vybrané body z databáze grafického modulu DTM do seznamu souřadnic. Po vyvolání příkazu je zobrazeno dialogové okno, v němž je možno sadat kritéria pro filtrování importovaných bodů.

Předcházející | Nahoru | Další
Umístit linii | Domů | Uložit body


Uložit body
Předcházející Kapitola 35. Menu DTM (Digitální technická mapa) Další

Uložit body

Tímto příkazem lze uložit všechny nebo označené body ze seznamu souřadnic do databáze grafického modulu DTM pro další zpracování kresby.

Podrobný popis nástroje je uveden v Uživatelské příručce.

Předcházející | Nahoru | Další
Kapitola 35. Menu DTM (Digitální technická mapa) | Domů | Uložit změny


Uložit změny
Předcházející Kapitola 35. Menu DTM (Digitální technická mapa) Další

Uložit změny

Tímto příkazem lze do databáze uložit změny provedené v seznamu souřadnic propojeném s databází.

Podrobný popis nástroje je uveden v Uživatelské příručce.

Předcházející | Nahoru | Další
Uložit body | Domů | Synchronizovat


Synchronizovat
Předcházející Kapitola 35. Menu DTM (Digitální technická mapa) Další

Synchronizovat

Tímto příkazem lze do databáze uložit změny provedené v seznamu souřadnic nepropojeném s databází. Synchronizace probíhá na základě čísel bodů nebo souřadnic.

Podrobný popis nástroje je uveden v Uživatelské příručce.

Předcházející | Nahoru | Další
Uložit změny | Domů | Odstranit smazané body


Odstranit smazané body
Předcházející Kapitola 35. Menu DTM (Digitální technická mapa) Další

Odstranit smazané body

Tímto příkazem lze z databáze odstranit body odstraněné ze seznamu souřadnic propojeného s databází.

Podrobný popis nástroje je uveden v Uživatelské příručce.

Předcházející | Nahoru | Další
Synchronizovat | Domů | Kontrola identických bodů


Kontrola identických bodů
Předcházející Kapitola 35. Menu DTM (Digitální technická mapa) Další

Kontrola identických bodů

Tímto příkazem lze otevřít nástroj pro kontrolu homogenity GAD DTM pro vytvoření protokolu o testování homogenity.

Podrobný popis nástroje je uveden v Uživatelské příručce.

Předcházející | Nahoru | Další
Odstranit smazané body | Domů | Část III. Přílohy


Část III. Přílohy
Předcházející Další

Část III. Přílohy

Obsah

36. Parametry při spuštění
37. Instalace v síti
Instalace v síti
Konfigurační soubor
Standardní umístění konfiguračního souboru
Vynucené umístění konfiguračního souboru
Kontrola umístění konfiguračního souboru
Vzorový konfigurační soubor
38. Síťový konfigurační soubor
39. Typy datových souborů
40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK
Popis transformace ETRS89 - S-JTSK
Lokální transformace na blízké identické body
Globální transformace s odstraněním lokálních deformací pomocí korekcí
Použití transformace ETRS89 - S-JTSK
41. Struktura souboru pro nastavení databází
Prvek <profile>
Prvek <server>
Prvek <table>
Prvek <column>
42. Komunikace se systémem MicroStation
Konfigurace systému MicroStation
Konfigurační soubory MDL modulů
Spuštění systému Groma z MicroStation
Komunikace Groma - MicroStation
Přetahování bodů
Ukazování bodů ve výkresu
Spojování podle čísel bodů
Informace o bodech
Dynamické zobrazování čísel bodů
Výpis seznamu souřadnic
Vygenerování popisů
Kódování bodů
Konfigurace komunikačního modulu
Atributy zobrazení
Nastavení souřadnic
Další funkce modulů
Načtení seznamu souřadnic
Vytvoření bodu ve výkresu
Editace bodu
Vytvoření popisů
Export seznamu souřadnic
Přenos bodů do systému Groma
Vyhledávání bodů
Dynamické zobrazování čísel bodů
43. Formáty vstupních souborů s naměřenými údaji
44. Vstupní / výstupní textový formát
Princip uživatelského textového formátu
Alfanumerické znaky
Datové položky
Identifikátory
Volby hodnoty datových položek
Šířka formátovaných údajů
Počet desetinných míst
Další nastavení
Příklady výstupního formátu
Import pomocí pevného formátu
Import pomocí volného formátu
Kopírování do schránky pomocí uživatelského formátu
Předcházející |  | Další
Kontrola identických bodů | Domů | Kapitola 36. Parametry při spuštění


Kapitola 36. Parametry při spuštění
Předcházející Část III. Přílohy Další

Kapitola 36. Parametry při spuštění

Při spouštění programu Groma můžete specifikovat na příkazové řádce různé parametry. Parametry jsou odděleny mezerou a označeny znakem - nebo /.

Tabulka 36.1. Parametry při spuštění

Parametr | Význam
-u | Název konfiguračního souboru i s cestou. Příklad: -u=h:\cfg\groma.ini
-s | Nezobrazí při spouštění obrázek.
-parent | Spustí systém Groma jako aplikaci specifikovaného systému. Příklad: -parent=MicroStation
-nochild | Aplikace nebude spuštěna jako potomek řídící aplikace (MicroStation). Její okno tedy nebude stále na vrchu řídící aplikace, ale bude se chovat jako nezávislá aplikace (takže po kliknutí do řídící aplikace Groma zmizí pod ni, jako je to běžné u jiných aplikací). Tento režim snižuje riziko nekompatibility Gromy s řídící aplikací a z ní vyplývajících problémů, např. se správou oken MicroStatuionu apod.
-log | V adresáři pro dočasné soubory, do něhož ukazuje proměnná TEMP, bude vytvořen protokol o spuštění systému Groma. Pomocí něho lze diagnostikovat případné problémy při spouštění.
-demo | Spustí systém v demonstračním režimu.
-net | Spustí Gromu jako síťovou (bude hledán síťový hardwarový klíč).

Všechny parametry na příkazové řádce, které nejsou uvozeny znaky - nebo /, jsou chápány jako názvy souborů, které mají být otevřeny.

Předcházející | Nahoru | Další
Část III. Přílohy | Domů | Kapitola 37. Instalace v síti


Kapitola 37. Instalace v síti
Předcházející Část III. Přílohy Další

Kapitola 37. Instalace v síti

Obsah

Instalace v síti
Konfigurační soubor
Standardní umístění konfiguračního souboru
Vynucené umístění konfiguračního souboru
Kontrola umístění konfiguračního souboru
Vzorový konfigurační soubor

Systém Groma je navržen pro bezproblémovou instalaci a chod v prostředí počítačových sítí. Program lze instalovat z libovolné stanice nebo serveru v síti na sdílený disk a spouštět z libovolné jiné stanice.

Instalace v síti

Systém Groma lze instalovat z libovolné síťové stanice nebo serveru na kterýkoli sdílený disk. Instalační program neukládá žádné informace do registry ani do systému Windows. Jediná úprava na stanici, z níž je Groma instalována, je vytvoření položky ve Start menu.

Při instalaci lze použít standardní označení cesty pomocí namapovaného síťového disku označeného písmenem jednotky, stejně jako standardní UNC cesty (definice pomocí názvu síťového serveru, např. \\server\c\Groma14).

Systém Groma lze spouštět z kterékoli stanice v síti, z níž je přístupný sdílený adresář, v němž je Groma instalována. Při spouštění lze použít standardní označení cesty pomocí namapovaného síťového disku označeného písmenem jednotky (např. x:\Groma14\groma.exe), stejně jako standardní UNC cesty (definice pomocí názvu síťového serveru, např. \\server\c\Groma14\groma.exe).

Jediná úprava, kterou je vhodné provést na stanicích, odkud má být Groma spouštěna, je vytvoření ikony, případně položky v nabídce Start.

Předcházející | Nahoru | Další
Kapitola 36. Parametry při spuštění | Domů | Konfigurační soubor


Konfigurační soubor
Předcházející Kapitola 37. Instalace v síti Další

Konfigurační soubor

Systém Groma si veškerá nastavení ukládá do textového konfiguračního souboru. Konfigurační soubor je umístěn na standardní místo dané typem operačního systému nebo lze jeho umístění definovat explicitně.

Standardní umístění konfiguračního souboru

Systém Groma si veškerá nastavení ukládá do textového konfiguračního souboru. Není-li umístění souboru explicitně určeno, bude umístěn na standardní místo dané typem operačního systému:

  • Windows NT, 2000, XP, Vista: V těchto operačních systémech je pro umístění konfiguračního souboru použita systémová proměnná %USERPROFILE%. Tato proměnná ukazuje do privátního adresáře přihlášeného uživatele, je tedy zaručeno, že má každý uživatel systému vlastní konfiguraci.

  • Windows 95, 98 a ME: V těchto operačních systémech není systémová proměnná %USERPROFILE% nastavena, konfigurační soubor tedy bude umístěn přímo do systému Windows.

Vynucené umístění konfiguračního souboru

Pokud z nějakého důvodu nevyhovuje standardní umístění konfiguračního souboru, lze explicitně stanovit jiné umístění. Důvodem může být např. potřeba umístit konfigurační soubor na síťový disk do domovského adresáře uživatele, aby měl stejnou konfiguraci při přihlášení z libovolné stanice v síti. Umístění konfiguračního souboru lze nastavit dvěma způsoby:

Definice konfiguračního souboru pomocí parametru při spouštění

Umístění souboru lze nastavit pomocí parametru -u=nazevsouboruscestou. Tento parametr je třeba zadat v definici příkazové řádky ikony nebo záznamu v nabídce start. Parametry se oddělují alespoň jednou mezerou od názvu programu.

Obsahuje-li cesta ke konfiguračnímu souboru mezery, je třeba ji (nebo celý parametr) uzavřít do uvozovek (např. -u="nazev souboru s cestou a mezerami" nebo "-u=nazev souboru s cestou a mezerami")

Při definici cesty lze použít systémových proměnných nebo položek z registry. Názvy proměnných se uzavírají mezi znaky %%, položky registry do lomených závorek < a >. Tyto názvy budou nahrazeny příslušnými hodnotami.

Poznámka

Položky registry jsou brány z HKEY_CURRENT_USER.

Příklady:

c:\Groma14\Groma.exe -u=h:\Konfigurace\groma.ini

c:\Groma14\Groma.exe -u=%USERPREFS%\groma.ini

c:\Groma14\Groma.exe -u="<Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Local Settings>\groma.ini"

Vynucené umístění konfiguračního souboru v souboru network.ini

Namísto parametru při spouštění lze umístění konfiguračního souboru definovat v souboru network.ini, který se nachází v adresáři systému Groma. Výhoda tohoto způsobu nastavení spočívá v tom, že není třeba upravovat všechny ikony na všech počítačích v síti (soubor network.ini je společný pro celou instalaci). Další výhodou tohoto způsobu je to, že se nastavení vztahuje i na všechny rozšiřující moduly systému Groma.

Vzhledem k tomu, že se toto nastavení vztahuje i na všechny moduly systému Groma, které používají vlastní konfigurační soubory, lze tímto způsobem definovat pouze cestu ke konfiguračnímu souboru, nikoli jeho název (který je pro každou komponentu systému jiný).

Umístění souboru se definuje pomocí proměnné ConfigFilePath souboru network.ini . V této proměnné se zadává cesta, kam má být konfigurační soubor umístěn. Je lhostejno, zda je cesta ukončena zpětným lomítkem, nebo ne. K této cestě systém doplní konkrétní název konfiguračního souboru pro příslušnou komponentu.

Zásady použití systémových proměnných a položek z registry jsou shodné, jako při definici na příkazové řádce.

Kontrola umístění konfiguračního souboru

Chcete-li zjistit aktuální umístění konfiguračního souboru, postupujte následujícím způsobem:

  1. V nabídce systému Groma zvolte příkaz Nápověda - O programu.

  2. V zobrazeném dialogovém okně stiskněte tlačítko Další. Pokud v okně toto tlačítko není, stiskněte kombinaci kláves Shift-Ctrl a dvakrát klepněte do obrázku.

    V dalším zobrazeném dialogovém okně naleznete název konfiguračního souboru pod položkou Preference File. Bude-li název s cestou delší, nezobrazí se celý. Potom je třeba ukázat do okénka myší a posouvat kurzorem tak, aby bylo možno celou cestu přečíst.

Vzorový konfigurační soubor

Pokud systém Groma nenalezne konfigurační soubor uživatele na příslušném místě (na standardním místě nebo na místě určeném některým z výše uvedených způsobů), zkopíruje uživateli základní soubor s nastaveními. Tento soubor je umístěn v adresáři s instalací systému Groma a má název groma.ini.

Pokud chcete některá základní nastavení změnit, můžete vzorový konfigurační soubor upravit, nebo do systému Groma zkopírovat jako vzorový soubor některého uživatele. Všichni uživatelé, kteří ještě vlastní konfiguraci nemají, dostanou potom kopii této základní konfigurace.

Předcházející | Nahoru | Další
Kapitola 37. Instalace v síti | Domů | Kapitola 38. Síťový konfigurační soubor


Kapitola 38. Síťový konfigurační soubor
Předcházející Část III. Přílohy Další

Kapitola 38. Síťový konfigurační soubor

Pokud provozujete systém Groma v prostředí počítačové sítě, některá nastavení, zejména týkající se síťového provozu, lze nastavit centrálně v souboru network.ini. Jedná se o textový soubor, který lze editovat libovolným textovým editorem. Program bere v úvahu pouze řádky, které nezačínají středníkem. Řádky začínající středníkem jsou považovány za komentáře a jsou ignorovány. Tyto řádky obsahují stručný popis a možnosti nastavení jednotlivých parametrů. Řádky s nastaveními mají strukturu Název=hodnota.

Tabulka 38.1. Seznam proměnných souboru network.ini

Název | Popis
Network | Nastavte hodnotu 1 pro hledání síťového klíče nebo 0 pro hledání lokálního klíče.
KeyType | Typ síťového klíče. Možné hodnoty jsou SPRO nebo C. Klíč typu C již není podporován, všechny současné klíče, bez ohledu na provedení (paralelní nebo USB) jsou typo SPRO.
ServerName | Zde lze zadat IP adresu nebo název počítače, na němž běží licenční server. Běžně by tento parametr neměl být potřeba, licenční server by měl být nalezen automaticky. Toto nastavení ale může vyřešit problém s hledáním klíče v síti, kde se automatické vyhledávání nepodaří, nebo může vyhledávání licenčního serveru výrazně urychlit. V případě použití IP adresy je ale třeba zajistit, aby byla adresa pevná a neměnila se (buď nastavením pevné adresy nebo vhodnou konfigurací DHCP serveru tak, aby přiděloval stále stejnou adresu).
DepartmentName | Tento parametr lze použít v případě více licenčních serverů v jedné síti. Licenční server lze pojmenovat, a pak se lze k němu cíleně připojovat pomocí tohoto názvu. Jednodušší je ale směrování dotazů pomocí IP adresy serveru.
TransportProtocol | Zde lze nastavit, jaký síťový protokol se používá pro hledání licenčního serveru. Standardně je nastaven TCP/IP, který se dnes v sítích využívá téměř výhradně. Další možnosti jsou uvedeny v popisu tohoto parametru přímo v konfiguračním souboru.
ConfigFileLocation | Zde lze centrálně nastavit umístění konfiguračního souboru pro celou sdílenou instalaci. Lze jej umístit např. na soukromý uživatelský disk nebo do uživatelského adresáře. V cestě je možno se odkázat na systémovou proměnnou nebo na položku z regustru. Ukázková nastavení jsou uvedena v konfiguračním souboru.
TcpIpRetryCount | Zde lze nastavit počet pokusů kontaktovat licenční server na protokolu TCP/IP.
TcpIpTimeout | Zde lze nastavit časovou prodlevu v sekunách, jak dlouho systém čeká na odezvu z licenčního serveru.
BlockLiveUpdate | Tímto parametrem lze zakázat funkci automatické aktualizace. Pokud si přejete aktualizovat systém ručně, nikoli automatickými aktualizacemi, nastavte tuto proměnnou na hodnotu 1, a systém nebude po spuštění vyhledávat aktualizace.
DatabaseBackupPath | Tímto parametrem lze nastavit adresář, do něhož budou ukládány zálohy databáze při automatických aktualizacích databáze. Standardně jsou zálohy ukládány do adresáře zalohy_db, který je umístěn v hlavním adresáři aplikace. Při některých typech instalace však může být tento adresář chráněn proti zápisu, nebo nemusí být z hlediska správy systému vhodné do něj zálohy ukládat. V takovém případě lze pomocí tohoto parametru umístit zálohy jinam. po spuštění vyhledávat aktualizace.

Předcházející | Nahoru | Další
Konfigurační soubor | Domů | Kapitola 39. Typy datových souborů


Kapitola 39. Typy datových souborů
Předcházející Část III. Přílohy Další

Kapitola 39. Typy datových souborů

Program Groma používá k práci různé typy datových souborů. Některé z nich jsou uloženy ve vnitřním formátu programu, některé mají formát univerzální, používaný i jinými programy.

Tabulka 39.1. Přípony souborů používaných v systému Groma

Přípona souboru | Obsah souboru | Formát
.crds | Souřadnicový soubor - nový formát | Binární, SQLite
.mess | Seznam měřených hodnot - nový formát | Binární, SQLite
.crd | Souřadnicový soubor - starý formát | Binární, vlastní formát
.mes | Seznam měřených hodnot - starý formát | Binární, vlastní formát
.crx | Indexový soubor k souřadnicovému souboru | Binární, vlastní formát
.mex | Indexový soubor k seznamu měřených hodnot | Binární, vlastní formát
.txt | Textový soubor | Textový
.cod | Kódovací tabulka | Textový
.par | Výměra | Textový
.vol | Kubatura | Textový
.dst | Soubor kontrolních oměrných | Textový
.key | Transformační klíč | Textový
.pol | Polygonový pořad | Textový
.net | Vyrovnání sítí MNČ | Textový
.arc | Výpočet trasy komunikace | Textový
.gp | Geometrický plán | Textový

V některých situacích program Groma automaticky vytváří záložní kopie souborů (např. před kompresí atd.). Vzhledem k tomu, že obvykle pracujete s více soubory stejného jména, rozlišenými pouze příponou, nelze všechny záložní soubory pojmenovávat příponou .bak. Z tohoto důvodu je název záložního souboru vytvořen tak, že se ponechá jméno původního souboru, jako první znak přípony se použije znak "~", a ostatní znaky přípony se posunou o jednu pozici doprava (poslední znak přípony při tom zanikne).

Předcházející | Nahoru | Další
Kapitola 38. Síťový konfigurační soubor | Domů | Kapitola 40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK


Kapitola 40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK
Předcházející Část III. Přílohy Další

Kapitola 40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK

Obsah

Popis transformace ETRS89 - S-JTSK
Lokální transformace na blízké identické body
Globální transformace s odstraněním lokálních deformací pomocí korekcí
Použití transformace ETRS89 - S-JTSK

Popis transformace ETRS89 - S-JTSK

Vzhledem k tomu, že je souřadnicový systém S-JTSK zatížen lokálními deformacemi vzniklými nepřesnostmi při původním zaměřování a vyrovnávání sítě pevných bodů, nelze provést přímý přepočet mezi oběma soustavami. Lokální deformace dosahují velikosti až téměř 0.5 m, přímý přepočet by tedy měl přesnost nedostatečnou pro téměř jakoukoli geodetickou práci.

Existují dva způsoby, jak se s těmito deformacemi vypořádat:

Lokální transformace na blízké identické body

Máme-li v okolí měření dostatečný počet bodů určených v obou soustavách, lze pomocí nich určit lokální transformační klíč mezi oběma soustavami. Transformace nově určených bodů pomocí takto určeného klíče ztotožní obě soustavy v daném místě (v těžišti identických bodů) co nejlepším možným způsobem a eliminuje lokální deformaci S-JTSK.

  • Výhody: nejlepší možné ztotožnění obou soustav, při použití vhodných bodů poskytuje nejpřesnější výsledky.

  • Nevýhody: je třeba znát dostatečné množství vhodně rozmístěných identických bodů v okolí měření.

Tento typ transformace systém Groma neumožňuje.

Globální transformace s odstraněním lokálních deformací pomocí korekcí

Při tomto způsobu transformace se body transformují přímo mezi oběma soustavami a lokální deformace S-JTSK se odstraní pomocí předem určených korekcí. Korekce jsou určeny na základě mnoha měření v síti cca. 45.000 bodů bodového pole po celé České republice. Korekce jsou tabelovány v síti cca. 2x2km (přepočet ETRS89 -> S-JTSK) a 1.5x2km (přepočet S-JTSK -> ETRS89).

Obdobným způsobem je mezi oběma systémy přepočítáván výška. Pro přechod z elipsoidické výšky na systém Balt po vyrovnání je opět využita korekční tabulka, v níž jsou podle polohy tabelovány výšky kvazigeoidu.

Varování

Přímý přepočet pomocí korekčních tabulek nedosahuje takové přesnosti, jako lokální transformace na vhodně zvolené identické body. Přesnost transformace je dána střední souřadnicovou mxy = 0.028 m (mp = 0.036 m). Lze ji tedy bez problému použít při všech pracích v katastru nemovitostí, a to při měření podrobných bodů i bodů bodového pole (s výjimkou vybraných oblastí, více zde). Při speciálních pracích, kde je vyžadována vysoká přesnost (měření na železnici, ve stavebnictví, a obecně práce v inženýrské geodézii) je často přesnost globální transformace nedostatečná a je třeba použít transformaci na lokální body, nebo jinou metodu (například předem určené lokální transformační klíče při práci v železničním koridoru).

  • Výhody: pro přepočet nejsou třeba žádné další identické body.

  • Nevýhody: nižší přesnost než při lokální transformaci na vhodně zvolené identické body.

Tento typ transformace je integrován do systému Groma.

Pro práci v katastru nemovitostí musí být transformační programy otestovány a schváleny Českým úřadem zeměměřickým a katastrálním. Transformace v systému Groma byla otestována a schválena pro obousměrnou transformaci mezi systémy ETRS89 a S-JTSK. Aplikace je uvedena na oficiálním seznamu schválených transformačních programů, zveřejněném na stránkách ČÚZK.

Osvědčení ČÚZK o schválení globální zpřesněné transformace ETRS89 - S-JTSK v systému Groma:

Osvědčení ČÚZK o schválení globální zpřesněné transformace ETRS89 - S-JTSK

Další informace o transformaci mezi ETRS89 a S-JTSK jsou uvedeny zde .

Korekční tabulky

Korekční tabulky publikuje na svých stránkách ČÚZK. V současné době se užívá tabulka polohových korekcí platná od 1.1.2018 a závazná od 1.7.2018 (table_yx_3_v1710.dat) a tabulka výšek kvazigeoidu CR-2005_v1005.dat.

Obecný přehled o průběhu deformací lze získat z následujících obrázků, znázorňujících velikosti korekcí pro souřadnice Y a X pro celé území České republiky.

Průběh korekcí souřadnice Y pro převod ETRS89 - S-JTSK [v metrech]:

Průběh korekcí souřadnice Y pro převod ETRS89 - S-JTSK

Průběh korekcí souřadnice X pro převod ETRS89 - S-JTSK [v metrech]:

Průběh korekcí souřadnice X pro převod ETRS89 - S-JTSK
Předcházející | Nahoru | Další
Kapitola 39. Typy datových souborů | Domů | Použití transformace ETRS89 - S-JTSK


Použití transformace ETRS89 - S-JTSK
Předcházející Kapitola 40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK Další

Použití transformace ETRS89 - S-JTSK

Program Groma obsahuje obousměrnou globální zpřesněnou transformaci mezi systémy ETRS89 a S-JTSK .

Transformace je plně integrována do seznamů souřadnic. Stačí tedy v okně se seznamem souřadnic zapnout příslušné sloupce a tím si zobrazit příslušné souřadnice (XYZ a BLH).

Každý bod seznamu souřadnic má nastavenu platnou geometrii, tj. má určeno, které souřadnice bodu jsou považovány za výchozí. Tato geometrie je fixní a je uložena v seznamu souřadnic jako určení polohy. Druhá geometrie je z ní průběžně dopočítávána a zobrazována v seznamech. Výchozí geometrie je v seznamech uvedena normálním písmem, dopočítávaná geometrie je uvedena kurzívou:

Geometrie v seznamu souřadnic

To, která geometrie je nastavena jako výchozí, lze určit v dialogovém okně pro editaci bodu.

Stejně tak jsou dopočtené souřadnice použity při exportech seznamu souřadnic, ať do předdefinovaných formátů nebo pomocí uživatelského formátu.

Důležité

Do transformačních vztahů vstupuje i výška bodu, i když má při přepočtu polohy pouze nepatrný vliv. Body, které jsou v seznamu uvedeny bez výšky, proto nelze transformovat. Potřebujete-li transformovat body určené pouze polohově, můžete jim nastavit přibližnou střední výšku daného území.

Poznámka

ETRS89 výšky se od S-JTSK výšek liší přibližně o 36 m - 46 m (ETRS89 výšky jsou větší).

Předcházející | Nahoru | Další
Kapitola 40. Transformace souřadnic mezi systémy ETRS89 a S-JTSK | Domů | Kapitola 41. Struktura souboru pro nastavení databází


Kapitola 41. Struktura souboru pro nastavení databází
Předcházející Část III. Přílohy Další

Kapitola 41. Struktura souboru pro nastavení databází

Obsah

Prvek <profile>
Prvek <server>
Prvek <table>
Prvek <column>

V systému Groma si můžete přednastavit parametry připojení k různým databázím, a při připojování pouze vybírat ze seznamu přednastavených připojení. Jediný údaj, který nelze přednastavit a který je třeba vždy zadat ručně, je přihlašovací heslo.

Soubor, který obsahuje všechna nastavení, je uložen v podadresáři sql hlavního adresáře systému Groma a má název db.ini. Soubor je ve formátu XML (Extensible Markup Language). Podrobný popis jazyka XML je mimo rozsah této příručky. Veškeré informace o jazyce XML lze nalézt na stránkách mezinárodního konsorcia W3C, které se zabývá standardizací na internetu (http://www.w3.org/XML/). Pro potřeby systému Groma však podrobná znalost jazyka XML není nezbytná. Instalace obsahuje ukázkový soubor db.ini, který lze pouze upravovat.

Při upravování je třeba zachovat strukturu souboru. Zejména je třeba dodržet podmínku, že všechny elementy souboru musí být správně uzavřeny. To znamená, že ke každé otevírací značce ve formátu

<znacka>

musí být v dokumentu na odpovídajícím místě i uzavírací značka

</znacka>

Pokud prvek neobsahuje žádné další prvky, ale pouze atributy, lze jej uzavřít i zkráceným způsobem, tj. zapsáním znaku / přímo do otevírací značky prvku:

<znacka atribut1="data" atribut2="data" />

Struktura souboru je následující:

  • <groma_db>

    • <structures>

      • <structure>

        • <table type="project">

          • <column />

          • <column />

          • ...

        • </table>

        • <table type="points">

          • <column />

          • <column />

          • ...

        • </table>

      • </structure>

    • </structures>

    • <profiles>

      • <profile>

        • <server />

        • <schema />

      • </profile>

    • </profiles>

  • </groma_db>

Definice struktury databázových tabulek jsou popsány v sekci <structures>. Každá definice databázového připojení je popsána v prvku <profile>. Prvek <profile> obsahuje prvek <server>, v jehož atributech je popsáno připojení k serveru a prvek <scdialogovém hema>, v němž je připojení přiřazena příslušná databázoví struktura.

Prvek <profile>

Tabulka 41.1. Atributy prvku <profile>

Název atributu | Popis
name= | Název profilu. Tento název se zobrazí v dialogovém okně systému Groma při připojování k databázi. Pomocí tohoto názvu si vybíráte ze seznamu přednastavených připojení.
descrip= | Popis připojení. Zde lze zadat podrobnější popisné informace i připojení, které budou zobrazeny v dialogovém okně při připojování.

Tabulka 41.2. Struktura prvku <profile>

Název prvku | Popis
<server> | Tento prvek obsahuje parametry připojení k databázovému serveru. Prvek profile musí obsahovat právě jeden prvek server. Prvek je prázdný, veškeré nastavení je obsaženo v jeho atributech.
<table> | Tento prvek obsahuje popis struktury databázové tabulky. Definice profilu musí obsahovat dvě tabulky: tabulku projektů a tabulku bodů.

Předcházející | Nahoru | Další
Použití transformace ETRS89 - S-JTSK | Domů | Prvek <server>


Prvek <server>
Předcházející Kapitola 41. Struktura souboru pro nastavení databází Další

Prvek <server>

Tabulka 41.3. Atributy prvku <server>

Název atributu | Popis
type= Typ databázového serveru. Lze nastavit tyto hodnoty:

  • oracle - Oracle 8i, 9, 9i

  • oracle_cuzk - Oracle ISKN (pro ČÚZK)

  • mysql - MySQL server

db= | Název databáze nebo služby, ke které se má systém Groma připojit. V připojovacím řetězci lze použít pod proměnnou db
driver= | Název ODBC driveru, tak, jak je definován v nastavení ODBC v ovládacích panelech. V připojovacím řetězci lze použít pod proměnnou driver
connect= Připojovací řetězec pro připojení k databázi. Syntaxe připojovacího řetězce je závislá na typu databázového serveru, podrobnosti lze nalézt v dokumentaci k příslušnému ODBC driveru. V připojovacím řetězci lze použít proměnné zastupující některé hodnoty. Název proměnné je třeba v řetězci uzavřít mezi znaky #. Lze použít tyto proměnné:

  • driver - Název ODBC driveru (atribut driver prvku server)

  • db - Název databáze nebo databázové služby (atribut db prvku server)

  • uid - Přihlašovací jméno (zadává se v přihlašovacím dialogu)

  • pwd - Přihlašovací heslo (zadává se v přihlašovacím dialogu)

Příklad:
connect="DRIVER={#driver#};
DBQ=#db#;UID=#uid#;
PWD=#pwd#;DBA=W"

Tabulka 41.4. Struktura prvku <server>

Prvek <server> obsahuje pouze atributy.

Předcházející | Nahoru | Další
Kapitola 41. Struktura souboru pro nastavení databází | Domů | Prvek <table>


Prvek <table>
Předcházející Kapitola 41. Struktura souboru pro nastavení databází Další

Prvek <table>

Tabulka 41.5. Atributy prvku <table>

Název atributu | Popis
type= Typ tabulky. Systém Groma podporuje následující typy tabulek:

  • project - Tabulka s definicí projektů

  • points - Tabulka s body

def_table_name= | Název tabulky v databázi.

Tabulka 41.6. Struktura prvku <table>

Název prvku | Popis
<column> | Tento prvek obsahuje informace o příslušném sloupci v databázi.

Předcházející | Nahoru | Další
Prvek <server> | Domů | Prvek <column>


Prvek <column>
Předcházející Kapitola 41. Struktura souboru pro nastavení databází Další

Prvek <column>

Tabulka 41.7. Atributy prvku <column>

Název atributu | Popis
type= Typ údaje, který je ve sloupečku uveden. Údaje uvedené tučně jsou povinné.

Údaje pro tabulku bodů:

  • id - identifikátor položky v databázi

  • number - úplné číslo bodu

  • project_id - identifikátor projektu

  • x - souřadnice X

  • y - souřadnice Y

  • z - souřadnice Z

  • num - číslo bodu

  • zpmz - číslo ZPMZ

  • tl - číslo TL

  • prec - kód kvality

  • created - datum vytvoření

  • updated - datum modifikace

  • ku - kód KÚ

  • pnt_state - stav dat

Údaje pro tabulku projektů:

  • id - identifikátor položky v databázi

  • name - název projektu

  • ...dále lze definovat libovolné další údaje. Příklad je uveden ve vzorovém souboru db.ini dodaném s instalací systému Groma.

name= | Název sloupečku v databázi.
descrip= | Popis údaje. Tyto popisy se objevují např. v dialogovém okně pro zadávání a editaci projektů.
source=

Pokud má být položka v definici projektu převzata z číselníku a nabídnuta ve formě seznamu (např. definice seznamu souřadnic), lze všechny přípustné hodnoty uložit do samostatné tabulky v databázi a zde zadat SQL příkaz, kterým lze seznam hodnot z databáze načíst. SQL příkaz musí vrátit pro každou položku dvě hodnoty - identifikátor a popis. Popis je zobrazen v nabídce, identifikátor bude uložen do databáze.

Např. pro definici souřadnicové soustavy lze vytvořit tabulku SOURSYST (ID, POPIS), do ní vložit hodnoty (1, "S-JTSK") a (2, "místní"). Potom lze v definici projektu u položky souřadnicového systému nastavit atribut source="SELECT ID,POPIS FROM SOURSYST". V dialogovím okně s definicí projektu bude na místě souřadnicového systému zobrazen seznam všech položek z tabulky SOURSYST, v tomto případě S-JTSK a místní.

value= | Způsob přiřazení hodnoty. Tento atribut se může objevit pouze ve sloupečku typu id. Je-li nastaven na hodnotu auto, znamená to, že přidělování hodnot do této položky je řešeno automaticky na úrovni databáze (např. pomocí triggerů, sekvencí nebo AutoIncrement). Podrobnější informace lze nalézt v Uživatelské příručce.

Tabulka 41.8. Struktura prvku <column>

Prvek <column> obsahuje pouze atributy.

Předcházející | Nahoru | Další
Prvek <table> | Domů | Kapitola 42. Komunikace se systémem MicroStation


Kapitola 42. Komunikace se systémem MicroStation
Předcházející Část III. Přílohy Další

Kapitola 42. Komunikace se systémem MicroStation

Obsah

Konfigurace systému MicroStation
Konfigurační soubory MDL modulů
Spuštění systému Groma z MicroStation
Komunikace Groma - MicroStation
Přetahování bodů
Ukazování bodů ve výkresu
Spojování podle čísel bodů
Informace o bodech
Dynamické zobrazování čísel bodů
Výpis seznamu souřadnic
Vygenerování popisů
Kódování bodů
Konfigurace komunikačního modulu
Atributy zobrazení
Nastavení souřadnic
Další funkce modulů
Načtení seznamu souřadnic
Vytvoření bodu ve výkresu
Editace bodu
Vytvoření popisů
Export seznamu souřadnic
Přenos bodů do systému Groma
Vyhledávání bodů
Dynamické zobrazování čísel bodů

Systém Groma obsahuje podporu komunikace s grafickým systémem MicroStation, resp. PowerDraft. Tato komunikace probíhá na základě DDE (Dynamic Data Exchange), je tedy přístupná pouze ve verzích pro MS Windows. V dalším textu budou oba tyto grafické systémy společně označovány názvem MicroStation.

Konfigurace systému MicroStation

Před zahájením komunikace je třeba zkonfigurovat systém MicroStation tak, aby byl s programem Groma schopen spolupracovat. Tato konfigurace se skládá ze tří částí:

  1. Zkopírujte konfigurační soubor GROMA.CFG z adresáře Groma14\SUPPORT do adresáře CONFIG\APPL systému MicroStation, do něhož se ukládají konfigurace aplikací. Celá cesta závisí na názvu adresáře, kde je MicroStation instalován. Může vypadat např. takto:

    C:\USTATION\CONFIG\APPL\

  2. Pokud jste instalovali systém Groma jinam, než do nabízeného implicitního adresáře C:\Groma14, v konfiguračním souboru GROMA.CFG upravte proměnnou GROMA tak, aby obsahovala cestu do tohoto adresáře. (např. C:/Groma14/)

    Důležité

    Tato cesta musí být vždy ukončena znakem lomeno.

    Chcete-li systém Groma spustit s nějakým parametrem na příkazové řádce, uveďte tento parametr do proměnné GROMA_CMDLINE před nebo za již existující parametry, oddělený mezerou. Napíšete-li parametr přímo k názvu souboru GROMA.EXE, bude celý název chápán jako název souboru a systém Groma nepůjde spustit.

  3. Z adresáře Groma14\SUPPORT zkopírujte MDL moduly (soubory s příponou .MA) do adresáře MDLAPPS systému MicroStation (adresář, v němž jsou uloženy aplikace).

Předcházející | Nahoru | Další
Prvek <column> | Domů | Konfigurační soubory MDL modulů


Konfigurační soubory MDL modulů
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Konfigurační soubory MDL modulů

MDL moduly systému Groma si automaticky ukládají konfiguraci na disk. Konfigurační soubory mají název shodný s názvem modulu a příponu .UPF. Standardně jsou tyto soubory ukládány do adresáře, do něhož ukazuje proměnná systému MicroStation _USTN_USER (obvykle se jedná o adresář USTATION\CONFIG\USER\). Přejete-li si ukládat konfigurační soubory někam jinam (např. aby měl každý uživatel při víceuživatelské konfiguraci svoje nastavení), definujte v systému MicroStation proměnnou GROMA_USERPREFS a nastavte v ní cestu do požadovaného adresáře. Všechny konfigurace potom budou ukládány tam.

Předcházející | Nahoru | Další
Kapitola 42. Komunikace se systémem MicroStation | Domů | Spuštění systému Groma z MicroStation


Spuštění systému Groma z MicroStation
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Spuštění systému Groma z MicroStation

Jestliže byla správně provedena instalace a konfigurace podle předchozího odstavce, můžete systém Groma spustit z MicroStation příkazem MDL LOAD GROMA. Tento příkaz můžete doplnit jako položku do menu nebo paletu systému MicroStation. Po vyvolání tohoto příkazu je zobrazeno malé komunikační okno systému MicroStation s názvem Groma a je automaticky spuštěn systém Groma, který se chová jako aplikace pro MicroStation (je stále navrchu, i když pracujete v systému MicroStation). Podle potřeby můžete hlavní okno programu Groma zvětšit na celou obrazovku nebo minimalizovat na ikonu.

Systém PowerDraft bohužel neumožňuje spouštění externích aplikací, je tedy nutno spustit systém Groma ve dvou krocích:

  1. Spusťte komunikační modul ze systému Groma výše uvedeným způsobem.

  2. Spusťte systém Groma s parametrem /parent=PowerDraft. Můžete si vytvořit ikonu pro spouštění s tímto parametrem.

Po spuštění Groma automaticky naváže komunikaci s modulem v systému PowerDraft. Dále se již vše chová stejně jako v systému MicroStation.

Předcházející | Nahoru | Další
Konfigurační soubory MDL modulů | Domů | Komunikace Groma - MicroStation


Komunikace Groma - MicroStation
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Komunikace Groma - MicroStation

Přetahování bodů

Chcete-li zobrazit body ve výkresu, můžete je přetahovat myší na plochu okna MicroStation stejně, jako se přetahují mezi datovými okny a do výpočtů. Můžete přetahovat jednotlivé body i skupiny označených bodů. Po přetažení jsou body okamžitě zobrazeny ve výkresu.

Ukazování bodů ve výkresu

Pro výpočetní úlohy nebo při ukládání bodů do seznamu souřadnic můžete body ukazovat myší ve výkresu. Postupujte podle těchto bodů:

  1. Zvolte požadovanou úlohu (výpočetní funkce, přidávání bodů do seznamu apod.).

  2. U položky, kterou chcete ukázat ve výkresu, stiskněte tlačítko se šipkou. Tlačítko zůstane stisknuté a zobrazí se červeně. V komunikačním okně MicroStation se objeví hlášení Odečítání souřadnic.

  3. Ukažte bod ve výkresu stisknutím tlačítka Tentative a potvrďte tlačítkem Data. Souřadnice budou automaticky přeneseny do dialogového okna systému Groma.

Spojování podle čísel bodů

Chcete-li spojovat body ze seznamu souřadnic podle čísel, postupujte takto:

  1. Otevřete v systému Groma příslušný seznam souřadnic.

  2. Příkazem Souřadnice → Spojování podle čísel otevřete dialogové okno pro spojování bodů.

  3. V systému MicroStation zvolte kreslení elementu, kterým chcete body spojovat (obvykle Line, Line String, ale může být obecně cokoli - oblouk, křivka nebo i umisťování značek).

  4. Do dialogového okna pro spojování bodů zadávejte postupně čísla bodů, které chcete spojit. Po stisknutí klávesy Enter program vyhledá souřadnice v seznamu (seznamech) souřadnic a odešle je do systému MicroStation, jehož další chování závisí na zvolené funkci (kreslení čáry, křivky, umístění značky apod.).

Předcházející | Nahoru | Další
Spuštění systému Groma z MicroStation | Domů | Informace o bodech


Informace o bodech
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Informace o bodech

Systém Groma umožňuje přímo do výkresu ukládat informace o bodech. Tyto informace se ukládají pomocí tzv. User Data Linkage do zvláštních prvků typu PointString. Tyto informace mohou být využity pro některé další funkce:

Dynamické zobrazování čísel bodů

Čísla, výšky a kódy bodů, uložené v těchto prvcích, mohou být dynamicky zobrazovány na obrazovce. Je-li toto zobrazování zapnuto, je u každého bodu zobrazeno dle nastavení číslo, popř. i výška a kód. Tyto informace nejsou součástí výkresu, zmizí tedy automaticky po smazání bodu, a při jeho přesouvání se pohybují automaticky s ním. Navíc mají tyto popisy stále konstantní velikost, která se nemění při zvětšování a zmenšování.

Výpis seznamu souřadnic

Na základě těchto informací lze kdykoli vygenerovat textový seznam souřadnic s původními čísly bodů a aktuálními souřadnicemi převzatými z kresby. Při tom se zachovávají i původní výšky bodů, a to i v 2D výkresech.

Vygenerování popisů

Při importu ze seznamu souřadnic je často výhodné vytvořit ve výkresu pouze prvky typu PointString s informacemi o bodech. Je-li kresba hotova, lze dávkově k těmto prvkům vygenerovat popisy dle nastavených atributů.

Předcházející | Nahoru | Další
Komunikace Groma - MicroStation | Domů | Kódování bodů


Kódování bodů
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Kódování bodů

Systém Groma umožňuje při importu souřadnic do výkresu kromě textových popisů automaticky umisťovat bodové značky. Připojíte-li si v systému Groma kódovací tabulku, která převádí vámi registrované kódy na názvy značek (buněk) systému MicroStation, budou při importu nalezené značky automaticky umístěny na body. Značky jsou vytvořeny dle atributů nastavených v dialogovém okně Nastavení → Atributy. Přejete-li si pro každou značku samostatné nastavení (např. chcete-li umístit značky do různých vrstev), připojte v kódovací tabulce další atributy za název značky oddělené znakem & v tomto pořadí:

Název_značky&vrstva&barva&tloušťka&styl

Vynecháte-li některý z atributů (znak & musí být uveden), bude příslušný atribut převzat ze standardního nastavení.

Příklad:

soupe&21&1&2&0

značka soupe, vrstva 21, barva 1, tloušťka 2 a styl 0,

soupe&21&&2&0

značka soupe, vrstva 21, barva dle nastavení atributů, tloušťka 2 a styl 0.

Předcházející | Nahoru | Další
Informace o bodech | Domů | Konfigurace komunikačního modulu


Konfigurace komunikačního modulu
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Konfigurace komunikačního modulu

Atributy zobrazení bodů ve výkresu lze nastavit pomocí příkazu Nastavení → Atributy a Nastavení → Souřadnice.

Atributy zobrazení

Atributy zobrazení

V tomto dialogovém okně můžete definovat, jakými atributy budou body ve výkresu zobrazeny. Můžete vypínat a zapínat zobrazení bodu, předčíslí, čísla, výšky, kódu (textového) a značky na bodě (dle kódu). Pro každý tento prvek můžete zvolit vrstvu, barvu, popř. velikost, font a umístění.

Můžete si sestavit až 20 pojmenovaných sad konfigurací. Chcete-li definovat sadu konfigurací, nastavte všechny atributy, zadejte název konfigurace do okénka Název a stiskněte tlačítko Uložit. Sada nastavení bude přidána do seznamu. Chcete-li některou sadu nastavení smazat, ukažte na ni v seznamu a stiskněte tlačítko Smazat. Aktivní sadu nastavení zvolíte ukázáním myší v seznamu.

Poznámka

Poslední sadu nastavení nelze smazat, vždy musí být definována alespoň jedna sada.

Zvolíte-li pro předčíslí i číslo stejné umístění (např. uprostřed nahoře), bude ve výkresu zobrazeno úplné číslo ve formě předčíslí-číslo (oddělené pomlčkou).

Velikosti textů se zadávají v milimetrech na výsledné kresbě, skutečná velikost ve výkresu je vypočtena dle měřítka nastaveného v tomto dialogovém okně.

Zapnete-li volbu Připojit informace o bodu, je při importu na každém bodě vytvořen zvláštní element typu PointString. Tento element má pomocí User Data Linkage připojeny informace o bodě, tj. číslo, předčíslí a výšku. Jsou-li tyto informace ve výkresu uloženy, lze je s výhodou využít pro další práci. Mohou být dynamicky zobrazovány čísla bodů a výšky, a může být dodatečně vygenerován seznam souřadnic, který obsahuje původní čísla bodů a aktuální souřadnice z výkresu.

Volbu Texty nezávislé na pohledu lze s výhodou použít při práci v 3D. Je-li zapnuta, jsou vytvořené textové elementy nezávislé na natočení pohledu, tj. jsou vždy čitelné ve všech pohledech (v půdorysu, bokorysu i obecných pohledech).

Nastavení souřadnic

V tomto dialogovém okně můžete nastavit, jakým způsobem mají být skutečné souřadnice převedeny na výkresové. Lze nastavit redukci souřadnic, koeficienty, kterými budou souřadnice vynásobeny, popř. záměnu X a Y. Implicitně je modul přednastaven pro způsob běžný při práci v MicroStation (aby se dosáhlo správné orientace os, je zaměněna souřadnice X a Y a obě jsou přenásobeny koeficientem -1).

Předcházející | Nahoru | Další
Kódování bodů | Domů | Další funkce modulů


Další funkce modulů
Předcházející Kapitola 42. Komunikace se systémem MicroStation Další

Další funkce modulů

Kromě vlastního přetahování bodů do výkresu lze využít i další funkce, které komunikační moduly nabízejí. Tyto funkce jsou dostupné z nabídky Soubor.

Načtení seznamu souřadnic

Kromě přetahování bodů myší ze systému Groma můžete pomocí tohoto modulu přímo načíst seznam souřadnic v textovém tvaru. Po vyvolání příkazu Soubor → Načíst je zobrazeno dialogové okno, v němž nastavíte typ textového souboru (pořadí souřadnic). Po stisknutí tlačítka Vybrat můžete zvolit soubor pro import. Jestliže vypnete tlačítko Zapsat do výkresu, budou body pouze zobrazeny na obrazovce, a po jejím překreslení zmizí. Tuto volbu lze použít pro kontrolu správnosti nastavených parametrů apod.

Vytvoření bodu ve výkresu

Chcete-li vytvářet jednotlivé body ve výkresu, zvolte příkaz Soubor → Vytvořit bod. Program zobrazí dialogové okno, v němž můžete zadat číslo bodu a výšku, a pomocí tlačítka Data můžete vytvářet body ve výkresu. Po vytvoření bodu je automaticky zvýšeno číslo bodu o jedničku.

Editace bodu

Pomocí této funkce můžete editovat popisné údaje (předčíslí, číslo, výška, popis) bodů ve výkresu.

Vytvoření popisů

Při importu ze seznamu souřadnic je často výhodné zapnout pouze informaci o bodech, a všechny ostatní položky vypnout. Ve výkresu budou tedy vytvořeny pouze prvky typu PointString. K nim lze zapnout dynamické zobrazování čísel bodů. Při manipulaci s body tedy stačí pohybovat pouze s jedním elementem, popisy se automaticky pohybují s ním. Je-li kresba hotova, lze tímto příkazem dávkově k bodům vygenerovat popisy dle nastavených atributů.

Důležité

Generování popisů se řídí nastavenými atributy. Před dávkovým vygenerováním je tedy třeba nejprve v nastavení atributů požadované prvky (čísla, výšky) zapnout.

Export seznamu souřadnic

Po vyvolání příkazu Soubor → Exportovat seznam souřadnic je zobrazeno dialogové okno, které vám umožní zvolit typ a název výsledného textového seznamu souřadnic. Po stisknutí tlačítka Zápis a potvrzení tlačítkem Data v příslušném pohledu je vytvořen seznam souřadnic, do něhož jsou zapsány všechny body, u nichž je připojena informace o bodu (viz Atributy zobrazení). Bodu zůstane zachováno původní číslo a dostane aktuální souřadnice z kresby. Tak lze tedy vytvořit aktualizovaný seznam souřadnic, bylo-li s body během tvorby kresby ve výkresu manipulováno

Do souboru budou zapsány pouze ty body, u nichž je informace (PointString) uložena ve vrstvě, která je v daném pohledu zapnutá. Body z vypnutých vrstev do souboru zapsány nebudou.

Je-li ve výkresu umístěna ohrada (Fence), budou do souboru vypsány pouze body ležící v ohradě, jinak bude vypsán obsah celého výkresu.

Přenos bodů do systému Groma

Pomocí této funkce můžete přenést hromadně body z výkresu do systému Groma. V systému Groma zvolte funkci přidání bodu do seznamu, zapněte tlačítko pro grafické odečítání a v systému MicroStation spusťte tuto funkci. Funkci potvrďte stisknutím tlačítka Data. Máte-li umístěnu ohradu, budou do seznamu přeneseny body z ohrady, jinak budou přeneseny body z celého výkresu.

Vyhledávání bodů

Tento modul slouží pro vyhledávání bodů ve výkresu pomocí čísel. Zadejte předčíslí a číslo bodu, číslo pohledu, v němž má být nalezený bod zobrazen a velikost hrany pohledu, která definuje zvětšení. Zvolíte-li předem v systému MicroStation nebo v tomto dialogovém okně některou kreslicí funkci (např. kreslení linie), bude požadovaný prvek automaticky kreslen přes vyhledané body.

Dynamické zobrazování čísel bodů

Máte-li na bodech vytvořen prvek typu PointString (byla-li při importu zapnuta volba Připojit informace o bodu), lze zapínat/vypínat dynamické zobrazování popisů. Při dynamickém zobrazování jsou popisy zobrazeny pouze na obrazovce a nejsou uloženy ve výkresu. Pohybujete-li tedy s daným bodem, pohybují se s ním i popisy. Smažete-li bod, zmizí popisy také. Navíc mají popisy konstantní velikost bez ohledu na aktuální měřítko výřezu v okně, nemění se tedy při zvětšování / zmenšování. Toto dynamické zobrazování můžete zapínat / vypínat příkazem Nastavení → Zobrazit body, resp. Nastavení → Skrýt body nebo v příkazové řádce příkazem DISP ON, resp. DISP OFF. Parametry zobrazení můžete nastavit pomocí příkazu Nastavení → Zobrazení bodů. Zde můžete zvolit velikost textů v pixelech a barvu. Navíc můžete zapnout zobrazování čtverečků na koncových bodech liniových elementů.

Předcházející | Nahoru | Další
Konfigurace komunikačního modulu | Domů | Kapitola 43. Formáty vstupních souborů s naměřenými údaji


Kapitola 43. Formáty vstupních souborů s naměřenými údaji
Předcházející Část III. Přílohy Další

Kapitola 43. Formáty vstupních souborů s naměřenými údaji

Program Groma umožňuje import naměřených dat z většiny běžně používaných záznamníků. Datové soubory však musí mít určitou strukturu, aby byl program schopen je akceptovat.

Formáty se postupně vyvíjejí, případně se objevují formáty zcela nové, nejsou tedy v této příručce popsány. Při instalaci programu jsou instalovány i vzorové datové soubory, z nichž je obvykle formát patrný. V případě nejasností zodpovíme dotazy telefonicky nebo e-mailem.

Předcházející | Nahoru | Další
Další funkce modulů | Domů | Kapitola 44. Vstupní / výstupní textový formát


Kapitola 44. Vstupní / výstupní textový formát
Předcházející Část III. Přílohy Další

Kapitola 44. Vstupní / výstupní textový formát

Obsah

Princip uživatelského textového formátu
Alfanumerické znaky
Datové položky
Identifikátory
Volby hodnoty datových položek
Šířka formátovaných údajů
Počet desetinných míst
Další nastavení
Příklady výstupního formátu
Import pomocí pevného formátu
Import pomocí volného formátu
Kopírování do schránky pomocí uživatelského formátu

Pro vstup/výstup seznamu souřadnic a seznamu naměřených hodnot je použit volně definovatelný textový formát. Předpis formátu můžete definovat v Soubor → Nastavení → Vstupní/výstupní formát souřadnic a Soubor → Nastavení → Vstupní/výstupní formát měření.

Formát se definuje ve víceřádkovém editačním okně.

Princip uživatelského textového formátu

Předpisy formátu se ukládají do konfiguračního souboru systému Groma. Pokud používáte sdílenou instalaci systému Groma pro více uživatelů, můžete společné formáty uložit do konfiguračního souboru formats.ini, který je umístěn v hlavním adresáři systému Groma. Takto definované předpisy formátu budou mít k dispozici všichni uživatelé sdílené instalace, ale nebudou je moci upravovat.

Vstupní / Výstupní formát je tvořen dvěma typy údajů:

  • Alfanumerické znaky

    Znaky, které mají být pouze přepsány na příslušné pozice do výstupního souboru. Program je pouze přepíše do výsledného exportovaného řádku (oddělovací mezery, čárky, tabulátory apod.), v případě speciálních formátů i o libovolný jiný text.

  • Datové položky

    Symboly, místo kterých program Groma do výsledného formátovaného řádku zapíše příslušné hodnoty (číslo bodu, souřadnice atd.). Zapisují se do lomených závorek ve tvaru např. "<X:15:3>"

Předcházející | Nahoru | Další
Kapitola 43. Formáty vstupních souborů s naměřenými údaji | Domů | Alfanumerické znaky


Alfanumerické znaky
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Alfanumerické znaky

Alfanumerické znaky jsou při formátování pouze zkopírovány do výstupního souboru. Obvykle se jedná o oddělovací znaky (mezery, čárky, tabulátory atd.), v případě speciálních formátů i o libovolný jiný text.

V předpisu formátu "N=<NUM:1>,Y=<Y:1>,X=<X:1>" budou alfanumerické části "N=", ",Y=" a ",X=" překopírovány do výstupního souboru, a výsledek bude tedy vypadat např. takto:

N=8,Y=1045656.121,X=740143.450
N=9,Y=1045778.312,X=740227.664
N=10,Y=1045771.135,X=740439.012

Všechny alfanumerické znaky lze do předpisu formátu zapsat přímo, kromě znaků Tabulátor a znak "<". Je to způsobeno zvláštním posláním těchto znaků (tabulátorem se posouváte z editoru formátů na tlačítka v dialogovém okně, a znak "<" slouží k definici symbolů datových položek). Z tohoto důvodu je nutno zapisovat tyto znaky speciálním způsobem:

  • Tabulátor: "\t"

  • Lomená závorka: "<<"

Předcházející | Nahoru | Další
Kapitola 44. Vstupní / výstupní textový formát | Domů | Datové položky


Datové položky
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Datové položky

Symboly datových položek jsou textové řetězce, reprezentující příslušné údaje. Při výstupu jsou nahrazeny konkrétními daty ze seznamu.

Zapisují se do lomených závorek ("<" a ">"), čímž jsou jednoznačně odděleny od ostatních alfanumerických znaků.

Zapisují se v následující struktuře:

<identifikátor[,volby hodnoty][:[volby zobrazení]šířka[:počet desetinných míst]]>

Položky zapsané v hranatých závorkách jsou nepovinné. Jediný povinný údaj je tedy identifikátor datové položky, vše ostatní je volitelné.

  • Identifikátor: Definuje, která hodnota záznamu má být na příslušnou pozici zapsána.

  • Volby hodnoty: Definují vlastnosti číselné hodnoty. V současné době lze nastavit pouze jednotky pro úhlové hodnoty (úhly, zeměpisné souřadnice).

  • Volby zobrazení: Definují způsob zobrazení číselné hodnoty. Lze nastavit například zarovnání zleva/zprava, doplnění zleva nulami atd.

  • Šířka: Definuje požadovaný počet znaků pro příslušný údaj. Jedná se o celkovou šířku údaje, včetně desetinné části a případných mezer a jednotek.

  • Počet desetinných míst: Definuje požadovaný počet desetinných míst. Není-li zadán, bude přebrán z aktuálního nastavení systému Groma.

Úplný zápis může tedy vypadat např. takto: <B,DMS:U15:8>. Jedná se o výpis zeměpisné souřadnice ETRS B, ve stupních, minutách a vteřinách, v šířce 15 znaků, na 8 desetinných míst, včetně symbolů jednotek.

Identifikátory

Některé symboly jsou společné pro formáty souřadnicových souborů a souborů s měřenými daty (číslo bodu atd.), většina jich je však specifických (viz následující tabulky).

Tabulka 44.1. Symboly datových položek pro seznam souřadnic

Symbol | Popis
<P> | Předčíslí
<N> | Vlastní číslo
<NUM> | Úplné číslo (číslo i předčíslí)
<CODE> | Kód (popis) bodu
<NOTE> | Poznámka u bodu
<X> | Souřadnice X
<Y> | Souřadnice Y
<Z> | Souřadnice Z
<PREC> | Kód charakteristiky přesnosti
<TYPE> | Typ bodu
<ORIGIN> | Kód pořízení bodu
<X2> | Vedlejší souřadnice X
<Y2> | Vedlejší souřadnice Y
<Z2> | Vedlejší souřadnice Z
<PREC2> | Kód charakteristiky přesnosti vedlejších souřadnic
<INFO1> | Doplňující údaj číslo 1
<INFO2> | Doplňující údaj číslo 2
<INFO3> | Doplňující údaj číslo 3
<INFO4> | Doplňující údaj číslo 4
<TYPE> | Typ bodu
<B> | Souřadnice B v systému ETRS89
<BD> | Souřadnice B v systému ETRS89 - část stupně
<BM> | Souřadnice B v systému ETRS89 - část minuty
<BS> | Souřadnice B v systému ETRS89 - část vteřiny
<L> | Souřadnice L v systému ETRS89
<LD> | Souřadnice L v systému ETRS89 - část stupně
<LM> | Souřadnice L v systému ETRS89 - část minuty
<LS> | Souřadnice L v systému ETRS89 - část vteřiny
<H> | Souřadnice H
<LINE> | Číslo řádku ve vyexportovaném souboru
<FSU> | Šestimístné číslo katastrálního území
<ZPMZ> | Číslo ZPMZ bodu
<FSU_MER> | Šestimístné číslo katastrálního území FSU_MER
<ZPMZ_MER> | Číslo ZPMZ_MER bodu

Tabulka 44.2. Symboly datových položek pro seznam měření

Symbol | Popis
<P> | Předčíslí
<N> | Vlastní číslo
<NUM> | Úplné číslo (číslo i předčíslí)
<CODE> | Kód (popis) bodu
<NOTE> | Poznámka u bodu
<HZ> | Vodorovný úhel
<V> | Zenitový úhel
<D> | Délka
<DH> | Převýšení
<SIG> | Výška cíle (výška stroje)
<LINE> | Číslo řádku ve vyexportovaném souboru
<FSU> | Šestimístné číslo katastrálního území
<ZPMZ> | Číslo ZPMZ bodu

Volby hodnoty datových položek

Tabulka 44.3. Volby hodnoty datových položek

Volba | Popis
DEG | Úhlová hodnota bude vyexportována ve stupních desetinných (stupně jako desetinné číslo)
DMS | Úhlová hodnota bude vyexportována ve stupních, minutách a vteřinách (v závislosti na nastavení výpisu jednotek)
RAD | Úhlová hodnota bude vyexportována v radiánech
GON | Úhlová hodnota bude vyexportována v grádech

Šířka formátovaných údajů

Za označení datové položky lze do lomených závorek zadat požadovanou šířku formátované hodnoty (požadovaný počet znaků). Nezadáte-li šířku, údaj bude mít minimální nutný počet znaků.

Obsahuje-li předpis formátu text <X:12>, bude výsledný zformátovaný text na příslušné pozici obsahovat souřadnici X v šířce 12 znaků. Údaj bude zarovnán zprava a zleva doplněn mezerami.

Bezprostředně před šířku lze zapsat speciální znaky podrobněji upravující způsob zobrazení:

Tabulka 44.4. Volby zobrazení datových položek

Volba | Znak | Ukázka | Popis
Doplnění zleva nulami | 0 | <X:012> | Údaj bude zleva doplněn na plnou šířku nulami namísto mezer
Přesná šířka (oříznutí) | # | <X:#8:4> | Pokud šířka formátovaného údaje překročí počet znaků zadaný v předpisu formátu, šířka formátu bude automaticky zvětšena a údaj bude zobrazen celý. Přejete-li si z nějakého důvodu striktně zachovat definovanou šířku, použijte tuto volbu. Potom bude údaj oříznut zleva nebo zprava (dle způsobu zarovnání) na požadovanou šířku.
Znaménko | + | <X:+12:4> | Tuto volbu použijte přejete-li si, aby bylo u hodnoty uvedeno vždy znaménko, a to i v případě kladných hodnot.
Zarovnání zleva | L nebo - | <X:L12:4> | Údaj bude zarovnán zleva.
Zarovnání zprava | R | <CODE:R20> | Údaj bude zarovnán zprava.
Doplnění jednotek | U | <B,DMS:U15:8> | Údaj bude doplněn o symboly jednotek (zde stupně, minuty, vteřiny)

Počet desetinných míst

Za šířku údaje můžete za další dvojtečku nebo tečku definovat požadovaný počet desetinných míst.

Chcete-li tedy formátovat souřadnici X na šířku 12 znaků a 4 desetinná místa, napište do předpisu formátu text <X:12:4>.

Nedefinujete-li počet desetinných míst, program Groma použije implicitní formát, tj. čísla a předčíslí celočíselně, ostatní dle nastavení v Soubor → Nastavení → Vstup/Výstup.

Předcházející | Nahoru | Další
Alfanumerické znaky | Domů | Další nastavení


Další nastavení
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Další nastavení

Dialogové okno umožňuje nastavit pro každý formát další parametry:

  • Nedefinované nahradit nulami

    Jestliže není příslušná položka v datech definována, program by na její místo při formátování dosadil mezery. Jestliže vám to nevyhovuje (např. pro další načítání dat jinými programy), můžete zapnout toto nastavení, a program údaje nahradí nulami.

  • Redukovat souřadnice při výstupu

    Při zapnutí této volby program redukuje všechny souřadnice o hodnoty nastavené v Soubor → Nastavení → Redukce.

  • Oddělit řády

    Při zapnutí této volby jsou vždy každé tři řády souřadnice odděleny mezerou.

  • Oddělovač desetinné části dle Windows

    Program použije místo desetinné tečky symbol definovaný v nastavení MS Windows.

Předcházející | Nahoru | Další
Datové položky | Domů | Příklady výstupního formátu


Příklady výstupního formátu
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Příklady výstupního formátu

Tabulka 44.5. Příklady výstupního formátu pro seznam souřadnic

Formát | Výsledek
<N> <X> <Y> | 1 1044109.820 750010.900
<N:4> <X:14:4> <Y:14:4> | 1 1044109.8200 750010.9000
<N:04>, <X>, <Y> | 0001, 1044109.820, 750010.900
<P:6><N:04>, X=<X>, Y=<Y> | 1000010001, X=1044109.820, Y=750010.900
<NUM:15> <B,DMS:10:8> <L,DMS:10:8> <H:9.3> | 1 50.06274267 14.26331413 150.445
<NUM:15> <B,DMS:U10:8> <L,DMS:U10:8> <H:9.3> | 1 50°06’27.4267” 14°26’33.1413” 150.445
<NUM:15> <B,DEG:10:8> <L,DEG:10:8> <H:9.3> | 1 50.10761854 14.44253924 150.445

Tabulka 44.6. Příklady výstupního formátu pro seznam měření

Formát | Výsledek
<N> <HZ> <D> <DH> <SIG> <CODE> | 1 28.7894 14.370 0.588 1.300 PBPP

Předcházející | Nahoru | Další
Další nastavení | Domů | Import pomocí pevného formátu


Import pomocí pevného formátu
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Import pomocí pevného formátu

Při načítání podle pevného formátu je vstupní řádka rozdělována pouze podle předpisu formátu. Údaje ve vstupních řádcích tedy musí být na pevných pozicích, určených v předpisu formátu.

Pozice každé položky je definována součtem šířek předchozích položek na řádku a počtu všech oddělovacích alfanumerických znaků.

Při předpisu formátu

<P:6><N:04>, X=<X>, Y=<Y>

musí tedy předčíslí začínat ve sloupci 1, číslo ve sloupci 7, souřadnice X ve sloupci 15 a souřadnice Y ve sloupci 30.

Program přitom netestuje, zda jsou oddělovací znaky shodné se znaky definovanými v předpisu formátu (zde po čísle bodu čtyři znaky vynechá, a netestuje, zda jsou to skutečně znaky ", X=").

  • Výhody:

    Import pomocí pevného formátu umožňuje odfiltrovat ze souboru nepoužitelné alfanumerické údaje. Navíc je možno údaje zapsané bezprostředně za sebou rozdělit.

  • Nevýhody:

    Textový soubor musí mít pevný formát, tj. datové položky musí být umístěny ve všech řádcích na stejných pozicích.

Předcházející | Nahoru | Další
Příklady výstupního formátu | Domů | Import pomocí volného formátu


Import pomocí volného formátu
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Import pomocí volného formátu

Ačkoli jsou v programu Groma formáty definovány zároveň pro vstup i výstup dat, má výstupní formát oproti formátu vstupnímu některé zvláštnosti.

Kdyby byl formát pro vstup definován stejně jako formát pro výstup, umožňoval by načítat data z jakéhokoli souboru o pevném formátu, tj. ze souboru, v němž jsou příslušná data na každém řádku umístěna na pevných pozicích (tj. např. souřadnice X na pozicích 10-22 atd.).

Obecně však textový soubor tomuto požadavku vyhovovat nemusí. Může vypadat např. takto:

8 1045656.12 740143.45
9 1045778.3 740227.66
10 1045771.13 740439.01

V tomto případě nemají údaje na řádku pevnou pozici, nelze je tedy načítat pevným formátem (např. souřadnice X začíná na pozici 3 až 4, podle velikosti čísla bodu).

Z tohoto důvodu byla do programu zařazena i možnost tzv. Volného formátu, který nevyžaduje údaje na pevných pozicích, ale načítá je podle umístění oddělovacích znaků (mezery, tabulátory a jiné nečíselné znaky).

Předcházející | Nahoru | Další
Import pomocí pevného formátu | Domů | Kopírování do schránky pomocí uživatelského formátu


Kopírování do schránky pomocí uživatelského formátu
Předcházející Kapitola 44. Vstupní / výstupní textový formát Další

Kopírování do schránky pomocí uživatelského formátu

Při kopírování ze seznamů do schránky jsou data do schránky kromě interního formátu ukládána i v textové podobě. Textová podoba kopírovaných dat je vytvořena podle právě nastaveného uživatelského formátu. Změnou formátu lze tedy ovlivnit, v jaké formě mají být záznamy ze seznamů vkládány do schránky.

Tip

Při kopírování záznamů do tabulkových editorů (např. MS Excel) je výhodné nastavit v uživatelském formátu jako oddělovač znak Tabulátor. Při vkládání do tabulky je potom záznam podle tabulátorů automaticky rozdělen do sloupců (při oddělení položek mezerami by byl celý řádek vložen do jedné buňky).

Předcházející | Nahoru | Další
Import pomocí volného formátu | Domů | Část IV. Rozšiřující moduly


Část IV. Rozšiřující moduly
Předcházející Další

Část IV. Rozšiřující moduly

Obsah

45. Rozšiřující moduly
46. Kontrolní kresba k výpočtům
Zobrazení celé kresby
Výřez
Zvětšení
Zmenšení
Smazání
Font
Tisk
Export do DXF
47. Zkreslení v Křovákově zobrazení
48. Trojúhelníková kalkulačka
49. Vyrovnávací rovina
Zadání roviny
Poloha roviny
Rovnice roviny
Výsledné hodnoty
50. Geometrické plány
Úvod
Ovládání programu
Editace tabulek
Přepínače
Filtry
Označování buněk
Kontextové menu
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Změna pořadí řádků
Změna atributů buněk
Zpracování geometrického plánu
Popisové pole
Logika zadávání dat
Údaje katastru nemovitostí
Dosavadní stav KN
Nový stav KN
Parcely a díly KN
Údaje dřívější pozemkové evidence
Stav dřívější pozemkové evidence
Díly parcel dřívější pozemkové evidence
Údaje pro BPEJ
Geometrický plán pro jednoho nabyvatele
Doplňující údaje a dodatečné úpravy
Vkládané texty
Dodatečné údaje
Dodatečné úpravy
Práce s databází
Načtení zadání z databáze
Doplnění nebo aktualizace dosavadního nebo nového stavu z databáze
Uložení aktualizovaného stavu do databáze
Výsledné tabulky
Přímé vyplňování tabulky Výkaz výměr
Nastavení modulu
Typ mapy
Kód kvality
Písmo
Volby
Výpočet výměr
Výkaz výměr
BPEJ
Žádost
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF
Import údajů z jiného geometrického plánu
Tipy a postupy
Načtení zadání z databáze
Uložení změn SPI do databáze
Vyrovnání dílů v ručně definované skupině (např. v GP pro jednoho nabyvatele)
Věcné břemeno
Parcely se zpřesněnou hranicí
Dodatečná úprava tabulek
Načtení informací z jiného souboru
Přednastavené informace
51. Nivelace
Úvod
Ovládání programu
Načtení vstupních dat
Editace tabulek
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Zpracování nivelace
Logika zadávání dat
Načtení dat ze souboru s nivelací
Rozdělení na jednotlivé pořady
Fixace výšek přestavových bodů
Testování mezních odchylek
Obrácení směru pořadu
Výsledná tabulka
Uložení vypočtených výšek
Nastavení modulu
Písmo
Počet desetinných míst
Vzorec pro výpočet mezní odchylky
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF
52. Výpočet trasy komunikace
Úvod
Ovládání programu
Definování trasy
Návrh oblouku
Výpočetní kontroly
Kontrola délky prvku
Kontrola poloměrů křivosti
Kontrola spojitosti
Výpočet bodů v ose komunikace
Výpočet bodů na normálách
Uložení vypočtených bodů trasy
Spuštění normály na osu
Výpočet vytyčovacích prvků
53. Vyrovnání sítě
Úvod
Ovládání programu
Varianty vyrovnání a připojení sítě
Helmertova transformace
Výběrová Helmertova transformace
Pevný bod a pevný směrník
Pevný bod a pevná souřadnice
Vázaná síť
Charakteristiky bodů
Charakteristiky pro polohové vyrovnání
Charakteristiky pro výškové vyrovnání
Změna charakteristiky bodů pro polohové nebo výškové vyrovnání
Parametry sítě
Vstupní data
Zapínání a vypínání položek
Vstupní body a jejich přibližné souřadnice
Seznam měřených směrů
Seznam měřených délek
Seznam měřených převýšení
Vyrovnání sítě
Uložení vyrovnaných souřadnic
Matematický model vyrovnání
Porovnání etap
Analýza sítě
Menu SOUBOR
Otevři
Ulož
Ulož jako
Konec
Menu SÍŤ
Parametry sítě
Nastavení protokolu
Smazat síť
Vypustit bod
Upravit střední chyby směrů
Upravit střední chyby délek
Upravit přibližné souřadnice podle vyrovnání
Upravit přibližné souřadnice ze seznamu souřadnic
Upravit střední chyby směrů
Upravit střední chyby délek
Zobrazit kontrolní kresbu
Porovnání etap
Vyrovnat síť
Analyzovat síť
Předcházející |  | Další
Kopírování do schránky pomocí uživatelského formátu | Domů | Kapitola 45. Rozšiřující moduly


Kapitola 45. Rozšiřující moduly
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 45. Rozšiřující moduly

Systém Groma umožňuje práci s rozšiřujícími moduly, které jsou integrovány do prostředí aplikace. Tyto moduly se aktivují pomocí menu Nástroje. Některé moduly jsou obsaženy v základní instalaci (Kontrolní kresba, Výpočet zkreslení v Křovákově zobrazení). Ostatní moduly se prodávají samostatně.

Samostatně prodávané moduly jsou v základní instalaci obsaženy jako demonstrační verze.

Předcházející | Nahoru | Další
Část IV. Rozšiřující moduly | Domů | Kapitola 46. Kontrolní kresba k výpočtům


Kapitola 46. Kontrolní kresba k výpočtům
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 46. Kontrolní kresba k výpočtům

Obsah

Zobrazení celé kresby
Výřez
Zvětšení
Zmenšení
Smazání
Font
Tisk
Export do DXF
Kontrolní kresba

Tento modul zobrazí okno, v němž je zobrazována konfigurace naposledy provedeného výpočtu. Lze je použít i při zadávání bodů z klávesnice pro odstranění hrubých chyb v zadání. Vstupní body výpočtů jsou zobrazeny černě, vypočtené červeně. Pomocné informace jsou zobrazeny zeleně. Obsah okna je vymazán při každém novém výpočtu.

Funkce pro ovládání modulu se nacházejí v systémovém menu dialogového okna (menu pod ikonou Windows v záhlaví okna). Většina z nich je také k dispozici na liště s tlačítky.

Zobrazení celé kresby

Po zadání tohoto příkazu je zobrazena kresba v takovém měřítku, aby se do okna s kontrolní kresbou vešla celá.

Předcházející | Nahoru | Další
Kapitola 45. Rozšiřující moduly | Domů | Výřez


Výřez
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Výřez

Po zadání tohoto příkazu můžete pomocí levého tlačítka myši zvolit výřez kresby, který má být zobrazen.

Předcházející | Nahoru | Další
Kapitola 46. Kontrolní kresba k výpočtům | Domů | Zvětšení


Zvětšení
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Zvětšení

Tento příkaz zvětší kresbu zobrazeno v okně na dvojnásobek.

Zvětšit lze kresbu i pomocí kolečka myši. Při zvětšování kolečkem je kresba zvětšována kolem bodu, na němž je umístěn kurzor.

Předcházející | Nahoru | Další
Výřez | Domů | Zmenšení


Zmenšení
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Zmenšení

Tento příkaz zmenší měřítko zobrazené kresby na polovinu.

Zmenšit lze kresbu i pomocí kolečka myši. Při zmenšování kolečkem je kresba zmenšována kolem bodu, na němž je umístěn kurzor.

Předcházející | Nahoru | Další
Zvětšení | Domů | Smazání


Smazání
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Smazání

Tímto příkazem je okno s kontrolní kresbou vyprázdněno.

Předcházející | Nahoru | Další
Zmenšení | Domů | Font


Font
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Font

Tímto tlačítkem lze nastavit font, kterým jsou zobrazovány textové informace.

Předcházející | Nahoru | Další
Smazání | Domů | Tisk


Tisk
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Tisk

Tímto tlačítkem lze kontrolní kresbu vytisknout na tiskárně, která je v systému Groma zvolena pro grafický tisk.

Předcházející | Nahoru | Další
Font | Domů | Export do DXF


Export do DXF
Předcházející Kapitola 46. Kontrolní kresba k výpočtům Další

Export do DXF

Tímto příkazem lze kontrolní kresbu exportovat ve formátu DXF, který lze načíst do téměř libovolného grafického systému. Pomocí tohoto příkazu lze vytvářet např. přehledky bodů při vyrovnání sítě a jinou dokumentaci.

Předcházející | Nahoru | Další
Tisk | Domů | Kapitola 47. Zkreslení v Křovákově zobrazení


Kapitola 47. Zkreslení v Křovákově zobrazení
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 47. Zkreslení v Křovákově zobrazení

Zkreslení v Křovákově zobrazení

Tento modul vám umožní podle souřadnic a výšky vztažného bodu vypočíst koeficient pro opravu kartografického zkreslení a pro opravu z nadmořské výšky.

Jestliže zde zadáte souřadnice vztažného bodu, nebo je přetáhnete ze seznamu souřadnic, a stisknete tlačítko Výpočet, program vypočte měřítkový koeficient pro opravu kartografického zkreslení. Má-li bod i souřadnici Z, je vypočten i koeficient pro opravu z nadmořské výšky.

Pomocí zaškrtávacích okének zvolte, které opravy chcete zavést, a stiskněte tlačítko Nastavit. Vypočtený měřítkový koeficient bude uložen v nastavení programu Groma a při importu seznamu měření budou všechny importované délky tímto koeficientem vynásobeny.

Předcházející | Nahoru | Další
Export do DXF | Domů | Kapitola 48. Trojúhelníková kalkulačka


Kapitola 48. Trojúhelníková kalkulačka
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 48. Trojúhelníková kalkulačka

Trojúhelníková kalkulačka

Tento modul umožňuje výpočet prvků v obecném rovinném trojúhelníku

Po zadání nutného počtu vstupních hodnot (alespoň tři údaje, nikoli však tři úhly) program dopočítá zbývající hodnoty. Vypočtené údaje zapíše do protokolu a zobrazí tvar trojúhelníka.

Chcete-li zadat jinou kombinaci vstupních hodnot, musíte nejprve nepotřebné (resp. určované) hodnoty vypnout pomocí přepínačů - program neumožňuje zadat více než tři vstupní hodnoty.

Předcházející | Nahoru | Další
Kapitola 47. Zkreslení v Křovákově zobrazení | Domů | Kapitola 49. Vyrovnávací rovina


Kapitola 49. Vyrovnávací rovina
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 49. Vyrovnávací rovina

Obsah

Zadání roviny
Poloha roviny
Rovnice roviny
Výsledné hodnoty
Vyrovnávací rovina

Modul slouží k výpočtu vyrovnávací roviny metodou nejmenších čtverců. Rovnice roviny je vypočtena za podmínky minimálního součtu čtverců vzdáleností jednotlivých bodů od roviny. K této podmínce lze přidat dodatečnou podmínku svislosti roviny.

Zadání roviny

Rovina se zadává pomocí prostorových souřadnic bodů. Body lze do modulu zadat z klávesnice, nebo přetáhnout myší ze seznamu souřadnic. Do seznamu bodů se body přidávají stisknutím tlačítka Přidat, ze seznamu se vypouštějí tlačítkem Odebrat.

Pokud je při přidávání bodu do seznamu zaškrtnuta volba Použít pro rovnici roviny, bude přidávaný bod použit pro definici rovnice roviny. Je-li tato volba vypnuta, bude pro příslušný bod vypočtena vzdálenost od roviny, pro vlastní definici roviny však použit nebude. Body použité pro definování roviny jsou v protokolu označeny hvězdičkou.

Po výpočtu roviny jsou vypočteny vzdálenosti všech zadaných bodů od roviny.

Předcházející | Nahoru | Další
Kapitola 48. Trojúhelníková kalkulačka | Domů | Poloha roviny


Poloha roviny
Předcházející Kapitola 49. Vyrovnávací rovina Další

Poloha roviny

Zde lze definovat požadovanou polohu výsledné roviny:

  • Obecná

    Rovina je vypočtena v obecné poloze, tak, aby se co nejlépe přimykala k zadaným bodům.

  • Svislá

    Rovnice vyrovnávací roviny je vypočtena za podmínky svislosti.

    Důležité

    Při této poloze roviny nelze pro vypočtené body zvolit svislý průmět. Nelze promítat body do svislé roviny po vertikále.

  • Vodorovná

    Rovnice vyrovnávací roviny je vypočtena za podmínky vodorovnosti. Všechny body vyrovnávací roviny mají tedy stejnou výšku, rovnou průměrné výšce definičních bodů.

Předcházející | Nahoru | Další
Kapitola 49. Vyrovnávací rovina | Domů | Rovnice roviny


Rovnice roviny
Předcházející Kapitola 49. Vyrovnávací rovina Další

Rovnice roviny

Rovnici výsledné roviny lze prohlédnout po stisknutí tlačítka Rovnice. Rovnice je uvedena v protokolu.

Předcházející | Nahoru | Další
Poloha roviny | Domů | Výsledné hodnoty


Výsledné hodnoty
Předcházející Kapitola 49. Vyrovnávací rovina Další

Výsledné hodnoty

V dialogovém okně lze zvolit požadované údaje:

  • Původní: V seznamu jsou uvedeny původní souřadnice vstupních a jejich normálové odchylky od roviny.

  • Normálový průmět: V seznamu jsou uvedeny souřadnice normálových průmětů zadaných bodů (průmětů po kolmici k rovině) do vyrovnané roviny (všechny tyto body tedy leží ve výsledné rovině).

  • Svislý průmět: V seznamu jsou uvedeny souřadnice vertikálních průmětů zadaných bodů (průmětů po svislici) do vyrovnané roviny (všechny tyto body tedy leží ve výsledné rovině a mají souřadnice X, Y shodné se vstupními body).

    Důležité

    Svislý průmět nelze vypočíst při volbě svislé vyrovnávací roviny. Nelze promítat body do svislé roviny po vertikále.

  • Sklopit: Rovina je sklopena do XY, takže výsledné souřadnice XY jsou souřadnice bodů v této rovině a souřadnice Z je vzdálenost zadaných bodů od roviny. Tyto souřadnice lze použít např. pro tvorbu vrstevnicového obrazu při proměřování deformací rovinných ploch.

  • Sklopit Z=0: Výsledné souřadnice XY jsou shodné s předchozími, ale souřadnice Z je u všech bodů nulová (body leží ve sklopené rovině).

Předcházející | Nahoru | Další
Rovnice roviny | Domů | Kapitola 50. Geometrické plány


Kapitola 50. Geometrické plány
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 50. Geometrické plány

Obsah

Úvod
Ovládání programu
Editace tabulek
Přepínače
Filtry
Označování buněk
Kontextové menu
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Změna pořadí řádků
Změna atributů buněk
Zpracování geometrického plánu
Popisové pole
Logika zadávání dat
Údaje katastru nemovitostí
Dosavadní stav KN
Nový stav KN
Parcely a díly KN
Údaje dřívější pozemkové evidence
Stav dřívější pozemkové evidence
Díly parcel dřívější pozemkové evidence
Údaje pro BPEJ
Geometrický plán pro jednoho nabyvatele
Doplňující údaje a dodatečné úpravy
Vkládané texty
Dodatečné údaje
Dodatečné úpravy
Práce s databází
Načtení zadání z databáze
Doplnění nebo aktualizace dosavadního nebo nového stavu z databáze
Uložení aktualizovaného stavu do databáze
Výsledné tabulky
Přímé vyplňování tabulky Výkaz výměr
Nastavení modulu
Typ mapy
Kód kvality
Písmo
Volby
Výpočet výměr
Výkaz výměr
BPEJ
Žádost
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF
Import údajů z jiného geometrického plánu
Tipy a postupy
Načtení zadání z databáze
Uložení změn SPI do databáze
Vyrovnání dílů v ručně definované skupině (např. v GP pro jednoho nabyvatele)
Věcné břemeno
Parcely se zpřesněnou hranicí
Dodatečná úprava tabulek
Načtení informací z jiného souboru
Přednastavené informace

Úvod

Program slouží k poloautomatickému vytváření formulářů Výpočet výměr, Výkaz dosavadního a nového stavu údajů katastru nemovitostí, Výkaz údajů o BPEJ, Záznam podrobného měření změn, Žádost o potvrzení geometrického plánu a Vytyčovací náčrt.

Na základě vstupních hodnot, zadaných ručně nebo načtených z databáze jako vedlejší produkt vytvoření geometrického plánu v grafickém modulu, program vygeneruje návrhy tabulek geometrického plánu.

Tyto tabulky lze vytisknout, exportovat do DXF nebo MS Excel, načíst do grafického modulu, případně ručně nebo automatizovaně upravovat.

Předcházející | Nahoru | Další
Výsledné hodnoty | Domů | Ovládání programu


Ovládání programu
Předcházející Kapitola 50. Geometrické plány Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna. Dialogové okno je pomocí záložek členěno na jednotlivé logické celky. První tři záložky slouží pro zadávání vstupních dat, pod zbývajícími záložkami jsou zobrazeny výsledné formuláře.

Geometrické plány

Vstupní hodnoty se zadávají do tabulek. Některé položky je třeba vyplnit ručně, některé jsou zadávány výběrem z nabídky.

Editace tabulek

Při zadávání údajů stačí umístit kurzor na příslušnou buňku a začít psát. Pokud buňka již nějaký údaj obsahovala, bude přepsána. Chcete-li původní údaj pouze upravit, můžete režim editace vyvolat dvojitým kliknutím na buňku.

Chcete-li obsah buňky vymazat, umístěte na ni kurzor a stiskněte klávesy Shift-Del.

Chcete-li v tabulce vymazat celý řádek, umístěte kurzor do kterékoli buňky příslušného řádku a stiskněte klávesy Ctrl-Del.

Chcete-li do tabulky vložit řádek, umístěte kurzor do kterékoli buňky řádku, před který si přejete nový řádek vložit, a stiskněte klávesy Ctrl-Ins.

Přepínače

Vstupní tabulky pro zadávání dat obsahují kromě informací o parcelách i různé přepínače. Program se při zpracování geometrického plánu pokouší automaticky určit vše, co automaticky určit lze. Někdy však automatické určení není možné, nebo je třeba z nějakých zvláštních důvodů vynutit jiné zpracování. K tomuto účelu slouží přepínače ve vstupních tabulkách.

Většina přepínačů je třístavových. Ve stavu Neurčeno je volba ponechána na rozhodnutí programu. Ve stavu Zapnuto nebo Vypnuto je volba vynucena uživatelem. V obrázku jsou ve sloupci Zánik přepínače postupně ve stavu Neurčeno (parcela 688/1), Zapnuto (parcela 688/7), Vypnuto (parcela 688/14):

Nastavení třístavových přepínačů

V tomto případě se program pokusí u parcely č. 688/1 automaticky rozhodnout, zda má u ní být uvedeno, že zaniká. U parcely 688/7 uvede, že zaniká, v každém případě; u parcely 688/14 nikoli.

Filtry

Vstupní tabulky pro rozsáhlé geometrické plány mohou být velmi dlouhé. Přestože program vstupní data při zpracování seřadí podle parcelních čísel, i tak může být obtížné v nich vyhledávat konkrétní údaje, zejména je-li třeba vyhledávat podle jiného sloupce, než podle kterého je tabulka řazena. Z toho důvodu je ve vstupních tabulkách možnost filtrování dat. Při nastavení filtru jsou zobrazovány pouze řádky, které vyhovují nastaveným filtrům.

V prvním řádku všech tabulek, které slouží k zadávání vstupních hodnot, lze definovat filtry, které program používá při zobrazování zadaných hodnot. Položky, které zadanému filtru nevyhovují, nebudou zobrazeny.

Filtry jsou ve formě seznamů, v nichž jsou uvedeny hodnoty, které se v příslušném sloupečku zadávací tabulky vyskytují. Kromě toho seznamy navíc obsahují prázdnou položku pro zrušení filtru a položku [Nezadáno] pro výběr řádků, v nichž je příslušná buňka prázdná.

Filtry lze libovolně kombinovat, tj. lze nastavit více výběrových kritérií, a v seznamu zadaných hodnot budou zobrazeny pouze položky vyhovující všem kritériím.

Příklad použití filtrů ve vstupních tabulkách - filtrování parcelních dílů dle dosavadního čísla

Označování buněk

Pro některé úpravy tabulek (kopírování, změna atributů) je vhodné nejprve označit oblasti, které si přejete upravovat.

Označit oblasti lze následujícími způsoby:

  1. Označení obdélníkové oblasti z klávesnice: umístěte kurzor na jeden roh označované oblasti. Potom stiskněte na klávesnici klávesu Shift a kurzorovými klávesami (šipky) přesuňte kurzor na protilehlý roh označované oblasti.

    Příklad označení oblasti tabulky

  2. Označení obdélníkové oblasti myší: ukažte myší na jeden roh označované oblasti. Potom stiskněte levé tlačítko myši a přetažením kurzoru do protilehlého rohu při stisknutém levém tlačítku oblast označte.

    Tip

    Přejete-li si označit více nesouvisejících bloků, postupujte při označování dalších bloků stejně, ale se stisknutou klávesou Ctrl. Takto označený blok bude přidán k blokům označeným dříve, viz obrázek.

    Příklad označení více nesouvisejících oblastí tabulky

  3. Označení celého řádku nebo sloupce tabulky myší: klikněte myší na záhlaví řádku nebo sloupce, a bude označen celý řádek nebo sloupec. Pokud u tabulky nejsou záhlaví zobrazena, lze je zobrazit příkazem Úpravy → Řádek → Záhlaví.

  4. Označení celé tabulky myší: klikněte myší do prázdného políčka v levém horním rohu tabulky. Pokud u tabulky nejsou záhlaví zobrazena, lze je zobrazit příkazem Úpravy → Řádek → Záhlaví.

Kontextové menu

Kliknutím pravým tlačítkem myši na plochu tabulky vyvoláte kontextové menu. Pomocí jeho nabídky můžete vkládat a odstraňovat řádky, editovat a mazat buňky, v tabulce Výkaz dosavadního a nového stavu můžete pomocí vstupní tabulky vkládat přímo vyplněné řádky.

Vkládání řádků

Pokud vyplňujete tabulku obvyklým způsobem, tj. postupně shora dolů, nemusíte se o přidávání řádků starat. Program přidává prázdné řádky na konec tabulky automaticky. Chcete-li vložit prázdný řádek jinam než na konec tabulky, přemístěte kurzor na řádek, před nějž má být nový řádek vložen, a zvolte v nabídce Editace → Vložit řádek, nebo stiskněte kombinaci kláves Ctrl-Ins. Před řádek, na němž je kurzor, bude vložen prázdný řádek.

Odstraňování řádků

Přejete-li si odstranit celý řádek, umístěte na něj kurzor, a zvolte v nabídce Editace → Zrušit řádek, nebo stiskněte kombinaci kláves Ctrl-Del. Celý řádek bude z tabulky odstraněn.

Kopírování údajů

Přejete-li si zkopírovat některý údaj nebo blok údajů na jiné místo tabulky, postupujte následujícím způsobem:

  1. Označte blok, který chcete kopírovat.

    Tip

    Přejete-li si označit celý řádek, stačí pouze ukázat myší na první buňku (buňku, v níž je zobrazeno číslo řádku).

  2. Zkopírujte označený blok buněk do schránky kombinací kláves Ctrl-C.

  3. Na jiném místě tabulky označte blok, kam mají být data vložena.

    Důležité

    Označená oblast, do níž mají být data zkopírována, musí mít stejné rozměry (stejný počet řádků a sloupců), jako kopírovaná oblast.

  4. Vložte blok buněk ze schránky do tabulky kombinací kláves Ctrl-V.

Změna pořadí řádků

Přejete-li si zaměnit pořadí řádků ve vstupních tabulkách (tj. v tabulkách, v nichž jsou zobrazena záhlaví řádků), postupujte, prosím, takto:

Změna pořadí řádků

  1. Ukažte myší na záhlaví řádku, který si přejete přesunout.

  2. Stiskněte levé tlačítko myši a přesuňte řádek na požadovanou pozici.

  3. Je-li řádek na pozici, na níž jej chcete ponechat (nová pozice je indikována červenou šipkou), uvolněte tlačítko myši.

Změna atributů buněk

Atributy buněk (barva, tloušťka, způsob zarovnání, okraje) program u vygenerovaných tabulek nastavuje automaticky. Pokud si ale přejete výsledné tabulky upravit, máte možnost atributy buněk měnit i ručně.

Chcete-li změnit atributy některých buněk, postupujte takto:

  1. Vyberte buňku nebo označte blok buněk, v němž si přejete změnit atributy buněk.

  2. Zvolte příkaz Úpravy → Tloušťka, Úpravy → Zarovnání, Úpravy → Ohraničení, nebo jiný atribut, který si přejete změnit.

    Tip

    Tímto postupem můžete také hromadně měnit stav přepínačů. Stačí přepínače označit a zvolit požadovaný stav přepínačů v příkazu Úpravy → Přepínače.

    Tip

    Pokud si přejete, aby úprava byla provedena vždy po zpracování geometrického plánu, lze ji zadat do tabulky Dodatečné úpravy. Úpravy zapsané v této tabulce jsou automaticky provedeny vždy po zpracování geometrického plánu. Abyste úpravu nemuseli do tabulky dodatečných úprav vkládat ručně, stačí před provedením úpravy zapnout zaznamenávání úprav. Tím budou do tabulky dodatečných úprav zaznamenány všechny úpravy výsledných formulářů.

Zpracování geometrického plánu

Po zadání vstupních dat (případně jejich načtení ze souboru) lze zpracování geometrického plánu spustit příkazem Soubor → Zpracovat nebo klávesou F4.

Předcházející | Nahoru | Další
Kapitola 50. Geometrické plány | Domů | Popisové pole


Popisové pole
Předcházející Kapitola 50. Geometrické plány Další

Popisové pole

Údaje, které mají být vyplněny v tabulce geometrického plánu (popisové pole) se vyplňují v dialogovém okně, které lze vyvolat příkazem Geometrický plán → Popisové pole.

Měřítko grafických podkladů slouží k výpočtu mezních odchylek ve výměrách.

Srážka mapového listu bude uvedena na začátku výpočetního protokolu.

Varování

Program srážku pouze vyplní do formuláře, ale předpokládá, že jsou výměry již opraveny, a žádnou opravu ze srážky mapových listů do výpočtu nezavádí.

Do hlavičky popisového pole lze umístit logo zpracovatele. Logo vyberete p stisknutí tlačítka Logo..., jeho zobrazení můžete zapínat a vypínat přepínačem vedle tlačítka. Logo musí být ve formátu BMP.

Zapnete-li zobrazení loga, bude jím nahrazen text zadaný v okně Zhotovitel. V případě použití loga je tedy třeba, aby obrázek obsahoval všechny potřebné údaje o zhotoviteli.

Předcházející | Nahoru | Další
Ovládání programu | Domů | Logika zadávání dat


Logika zadávání dat
Předcházející Kapitola 50. Geometrické plány Další

Logika zadávání dat

Data potřebná pro zpracování geometrického plánu se zadávají do vstupních tabulek. Odděleně se zadávají data pro zpracování parcel katastru nemovitostí (první záložka), a data pro parcely dřívější pozemkové evidence (druhá záložka).

Vazba mezi jednotlivými vstupními tabulkami je realizována pouze pomocí parcelních čísel. Program si při zpracování vyhledává potřebné údaje o parcelách a dílech pomocí jejich identifikátorů, což jsou parcelní čísla.

Tip

Zpracováváte-li geometrický plán zasahující do více katastrálních území, je třeba od sebe parcely z různých katastrálních území odlišit. Parcely se odliší tak, že se před parcelní čísla z druhého kú doplní před dvojtečku číslo kú. Parcely z hlavního kú, v němž se plán zpracovává, se číslem kú neoznačují. Toto označení mimo jiné slouží k odstranění možných duplicit v parcelních číslech dotčených kú. Na závěr zpracování jsou čísla kú z parcelních čísel odstraněna.

Při načtení vstupních dat z databáze po zpracování geometrického plánu v grafickém modulu se parcelní čísla takto označí automaticky.

V tabulce dosavadního stavu KN je tedy třeba zadat seznam všech dotčených parcel dosavadního stavu.

V tabulce nového stavu je třeba vyplnit všechny parcely nového stavu, tak, jak bude nový stav vypadat po změnách obsažených v geometrickém plánu. Nevyplňují se tedy pouze nově vzniklé parcely, ale i dosavadní parcely geometrickým plánem změněné. Jinými slovy, seznam parcel nového stavu by měl souvisle a bez děr pokrývat oblast změny definovanou parcelami dosavadního stavu.

V tabulce dílů KN musejí být uvedeny všechny části, kterými je nový stav tvořen, bez ohledu na to, zda se jedná o celé nové parcely, nebo díly, oddělené z dosavadních parcel a tvořící parcely nové. Opět platí jako u nového stavu, že zde uvedený seznam parcel a dílů musí souvisle a bez děr pokrývat oblast změny definovanou parcelami dosavadního (a nového) stavu.

Používáte-li modul pro geometrické plány ve spojení s grafickým modulem, můžete po vytvoření geometrického plánu v grafickém modulu přímo načíst zadání plánu z databáze.

Předcházející | Nahoru | Další
Popisové pole | Domů | Údaje katastru nemovitostí


Údaje katastru nemovitostí
Předcházející Kapitola 50. Geometrické plány Další

Údaje katastru nemovitostí

Údaje pro katastr nemovitostí se zadávají na prvních třech záložkách dialogového okna.

Dosavadní stav KN

V této tabulce je třeba zadat parcely dosavadního stavu katastru nemovitostí, včetně výměr a způsobu jejich určení. Zadané parcely musí souvisle pokrývat oblast změny dotčenou geometrickým plánem.

Zadávání dosavadního stavu KN

Zadávají se následující údaje:

  • Dosavadní číslo

    Dosavadní parcelní číslo dle katastru nemovitostí.

  • Výměra

    Výměra parcely v m2.

  • Kvalita

    Způsob určení výměry pozemku. Můžete jej zvolit z nabízeného seznamu.

  • Druh pozemku

    Druh pozemku lze zvolit z nabízeného seznamu.

  • Způsob využití

    Doplňující nepovinný údaj k druhu pozemku. Bude-li zadán, bude ve výsledném výkazu výměr zobrazen spolu s druhem pozemku ve formě zlomku.

    Je-li vyplněn druh pozemku, v seznamu program nabízí pouze způsoby využití pro daný druh pozemku přípustné.

  • Číslo LV

    Číslo listu vlastnictví.

  • Opravit

    Pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výslednéčíso m výkazu výměr. Je-li tento přepínač vypnut, budete v případě překročení mezní odchylky dotázáni, zda si přejete odchylku vyrovnat, nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.

  • Zpřesnění

    Pomocí tohoto přepínače lze pro jednotlivé parcely nastavit, zda vstupují do geometrického plánu z důvodu jejich zpřesnění.

    Parcely označené jako zpřesňované jsou zcela vynechány z výpočetního protokolu.

    Je-li přepínač nastaven na neurčený stav, program se pokusí odkaz na tuto parcelu dosavadního stavu nalézt mezi díly KN a DPE. Pokud na ni žádný odkaz nenalezne, znamená to, že parcela není součástí žádné změny, a program usoudí, že je parcela v seznamu dosavadních parcel uvedena pouze z důvodu jejího zpřesnění (ovšem pouze v případě, že se jedná o geometrický plán pro zpřesnění, tj. v nastavení plánu je zapnuta volba GP pro upřesnění hranice).

  • Zánik

    Pomocí tohoto přepínače lze vynutit zánik parcely. Pokud ponecháte přepínač ve stavu Neurčeno, pokusí se program o zániku parcely rozhodnout automaticky. Ve zvláštních případech můžete zánik parcely nastavit ručně. Při zapnutí přepínače se parcela objeví v seznamu zanikajících parcel.

  • Identifikátor paragrafu (§ Id)

    Zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.

    Požadovaný identifikátor lze zjistit (případně celé znění paragrafu zadat nebo upravit) po stisknutí následujícího tlačítka ....

  • Paragraf (§)

    Po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách.

    Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu. Pokud je v nich uveden znak #, bude v tabulkách nahrazen pořadovým číslem odkazu.

    Je-li ve znění textu uveden symbol <1>, bude v tabulkách nahrazen odpovídajícím parametrem (obvykle rozdílem ve výměře).

Nový stav KN

Zde se vyplní parcely nového stavu katastru nemovitostí. Opět, stejně jako u dosavadního stavu, by měly zadané parcely souvisle pokrývat oblast změny dotčenou geometrickým plánem.

Zadávání nového stavu KN

Zadávají se následující údaje:

  • Nové číslo

    Nové parcelní číslo.

  • Výměra

    Nově určená výměra parcely. Pokud je možno výměru odvodit z dále zadaných parcelních dílů, není třeba ji zde vyplňovat.

  • Způsob určení

    Způsob, kterým byla nová výměra určena. Způsob lze zvolit z nabízeného seznamu.

  • Druh pozemku

    Druh pozemku lze zvolit z nabízeného seznamu.

  • Způsob využití

    Doplňující nepovinný údaj k druhu pozemku. Bude-li zadán, bude ve výsledném výkazu výměr zobrazen spolu s druhem pozemku ve formě zlomku.

    Je-li vyplněn druh pozemku, v seznamu program nabízí pouze způsoby využití pro daný druh pozemku přípustné.

  • Typ stavby

    Typ stavby lze zvolit z nabízeného seznamu.

  • Způsob využití

    Doplňující nepovinný údaj k typu stavby. Bude-li zadán, bude ve výsledném výkazu výměr zobrazen spolu s druhem pozemku ve formě zlomku.

  • Nevyrovnávat

    Tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.

  • Nevyrovnávat DPE

    Tímto přepínačem lze ručně ovlivňovat vyrovnání dílů DPE. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů DPE na celkovou výměru KN parcely.

  • Rozdíl ze zaokrouhlení

    Tímto přepínačem lze ručně ovlivňovat doplnění rozdílu ze zaokrouhlení. Pokud přepínač vypnete, nebude při sestavování nové parcely z dílů v případě potřeby doplněn rozdíl ze zaokrouhlení.

  • Nová výměra

    Pokud v procesu zpracování plánu dostane parcela z nějakého důvodu jinou novou výměru, než byla uvedena ve sloupci Výměra, bude uvedena v tomto sloupci. Údaj slouží pro případnou aktualizaci nových výměr v databázi.

  • DB ID

    Jsou-li parcely načteny z databáze, bude zde uveden jejich databázový identifikátor. Údaj slouží pro případnou aktualizaci nových výměr v databázi.

Parcely a díly KN

V této tabulce se definují všechny parcely a parcelní díly, které mají ve výsledných tabulkách figurovat.

Zadávání dílů KN parcel

Opět, jako v případě dosavadního a nového stavu, by měly všechny zde zadané parcely a díly souvisle pokrývat oblast změny dotčenou geometrickým plánem.

Zadávají se následující údaje:

  • Dosavadní číslo

    Dosavadní číslo dílu dle platného stavu katastru nemovitostí. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených v tabulce dosavadního stavu.

  • Nové číslo

    Nové číslo parcely, do níž příslušný díl dle geometrického plánu připadne. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených ve novém stavu.

  • Nový díl

    Označení dílu, které příslušnému dílu připadne dle geometrického plánu. Uvádí se pouze jedná-li se o parcelní díl, pokud se jedná o celou novou parcelu, políčko se ponechává prázdné.

  • Výměra a způsob určení

    Výměra dílu a způsob, jakým byla výměra určena. Způsob určení lze volit ze seznamu. Lze zadat zvlášť údaje pro 1. a 2. určení výměry.

  • Kód kvality parcely/dílu

    Při výpočtu mezních odchylek se vychází z kódu kvality parcely nebo parcelního dílu. Základní kód kvality se nastavuje v nastavení geometrického plánu. Ten bude použit pro všechny parcely a díly, u nichž v tomto sloupečku není kód kvality nastaven. U parcel a dílů, které mají být zpracovány v jiném kódu kvality, než je kód nastavený v Nastavení GP, nastavte jejich kód kvality v tomto sloupečku.

  • Mapový list

    Označení mapového listu, na němž příslušný díl leží.

  • Skupina

    Při vyrovnávání parcel a dílů program automaticky vytváří výpočetní skupiny podle parcel dosavadního stavu. V některých případech může být vhodné definovat výpočetní skupiny jinak. V tom případě stačí u parcelních dílů, které mají být vyrovnány v rámci jedné skupiny, zadat v tomto sloupečku shodné označení skupiny (libovolné číslo nebo alfanumerický identifikátor, program si při sestavování výpočetního protokolu skupiny přečísluje podle pořadí).

    Tato možnost se využívá při sestavování GP pro jednoho nabyvatele, kde se obvykle všechny parcely a díly vyrovnávají dohromady v jedné skupině. V takovém případě stačí v Nastavení GP zaškrtnout volbu, že se jedná o GP pro jednoho nabyvatele, a zde všem dílům nastavit stejné označení skupiny.

  • Vyrovnávat

    Pomocí tohoto přepínače lze volit, zda má být dílu při vyrovnání dílů číselně určené výměry přiřazena oprava. Tento přepínač je třístavový:

    • Neutrální stav

      V tomto stavu není explicitně definováno, zda má být díl opravován. Program o opravě dílu rozhodne automaticky podle způsobu určení výměry. Na tento stav je přepínač přednastaven automaticky.

    • Vypnuto

      Je-li přepínač v tomto stavu, nedostane díl při vyrovnání opravu. Stav je indikován prázdným světle šedým čtverečkem.

    • Zapnuto

      Je-li přepínač v tomto stavu, dostane díl při vyrovnání opravu bez ohledu na ostatní okolnosti. Stav je indikován červeným zaškrtnutím.

  • Identifikovat

    Pomocí tohoto přepínače lze volit, zda má být díl zobrazen ve výsledné tabulce dílu při vyrovnání dílů číselně určené výměry přiřazena oprava. Tento přepínač je třístavový:

    • Neutrální stav

      V tomto stavu není explicitně definováno, zda má být díl identifikován. Program rozhodne na základě dalších okolností (např. je-li uveden list vlastnictví, jedná-li se o geometrický plán pro jednoho nabyvatele). Na tento stav je přepínač přednastaven automaticky.

    • Vypnuto

      Je-li přepínač v tomto stavu, bude díl při identifikaci vynechán.

    • Zapnuto

      Je-li přepínač v tomto stavu, bude díl uveden v identifikaci.

  • Vyrovnat díly BPEJ

    Pomocí tohoto přepínače lze volit, zda mají být díly BPEJ vyrovnány na výměru nového stavu parcelního dílu.

BPEJ

Bonitní díly, které leží na tomto parcelním dílu nebo parcele, lze zadat v sousední tabulce:

Zadávání bonit k parcelním dílům KN
Předcházející | Nahoru | Další
Logika zadávání dat | Domů | Údaje dřívější pozemkové evidence


Údaje dřívější pozemkové evidence
Předcházející Kapitola 50. Geometrické plány Další

Údaje dřívější pozemkové evidence

Stav dřívější pozemkové evidence

V tomto okně se zadávají údaje dřívější pozemkové evidence, které slouží pro porovnání se stavem evidence právních vztahů.

Zadávání stavu dřívější pozemkové evidence

  • Číslo, výměra a list vlastnictví

    Zde se vyplní parcelní čísla a výměry všech parcel, které vstupují do porovnání. Pokud jako číslo listu vlastnictví uvedete nulu, tato parcela nebude v porovnání uvedena.

  • Podklad

    Zde se uvede označení druhu evidence, odkud údaje pocházejí (např. PK).

  • Opravit

    Pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výsledném výkazu výměr. Je-li tento přepínač vypnut, budete v případě překročení mezní odchylky dotázáni, zda si přejete odchylku vyrovnat, nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.

  • Nevyrovnávat

    Tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.

  • Část

    Pokud nejsou v seznamu dílů DPE zadány všechny díly příslušné parcely, byla by ve výkazu výměr zobrazena chybně zbytková výměra parcely. V takovém případě lze zapnout tento přepínač, a program určí zbytkovou výměru odpočtem jednotlivých zadaných dílů od celkové výměry.

  • Zánik

    Pomocí tohoto přepínače lze vynutit zánik parcely. Takto označená parcela se objeví v seznamu zanikajících parcel.

  • Identifikátor paragrafu (§ Id)

    Zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.

  • Paragraf (§)

    Po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách.

    Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu. Pokud je v nich uveden znak #, bude v tabulkách nahrazen pořadovým číslem odkazu.

    Je-li ve znění textu uveden symbol <1>, bude v tabulkách nahrazen odpovídajícím parametrem (obvykle rozdílem ve výměře).

Díly parcel dřívější pozemkové evidence

Zde se zadají všechny díly parcel dřívější pozemkové evidence pro porovnání se stavem evidence právních vztahů.

Zadávání dílů parcel dřívější pozemkové evidence

  • Dosavadní číslo, nové číslo, nový díl

    Tyto tři údaje slouží pro jednoznačné přiřazení dílu dřívější pozemkové evidence k dílu KN. Údaje jsou voleny ze seznamů, které přebírají hodnoty zadané v dílech parcel KN.

  • Číslo DPE, díl

    Zde se vyplní parcelní číslo a označení dílu dle dřívější pozemkové evidence.

  • Výměra a způsob určení

    Výměra dílu a způsob, jakým byla výměra určena. Způsob určení lze volit ze seznamu. Lze zadat zvlášť údaje pro 1. a 2. určení výměry.

  • Vyrovnávat

    Pomocí tohoto přepínače lze volit, zda má být dílu při vyrovnání dílů číselně určené výměry přiřazena oprava. Přepínač je třístavový, při nastavení na Neurčeno rozhodne program o vyrovnání dílu automaticky.

  • Identifikovat

    Pomocí tohoto přepínače lze volit, zda má být díl zobrazen v Porovnání se stavem evidence právních vztahů v tabulce Výkaz výměr. Přepínač je třístavový, při nastavení na Neurčeno rozhodne program o identifikaci automaticky.

  • Vyrovnat díly BPEJ

    Pomocí tohoto přepínače lze volit, zda mají být díl BPEJ vyrovnány na výměru nového stavu parcelního dílu.

Předcházející | Nahoru | Další
Údaje katastru nemovitostí | Domů | Údaje pro BPEJ


Údaje pro BPEJ
Předcházející Kapitola 50. Geometrické plány Další

Údaje pro BPEJ

Údaje pro sestavení výkazu o bonitovaných půdně-ekologických jednotkách se zadávají v tabulce BPEJ, která je umístěna vpravo od vstupní tabulky pro díly KN nebo vstupní tabulky pro díly DPE.

Zadávání bonit k parcelním dílům KN
Předcházející | Nahoru | Další
Údaje dřívější pozemkové evidence | Domů | Geometrický plán pro jednoho nabyvatele


Geometrický plán pro jednoho nabyvatele
Předcházející Kapitola 50. Geometrické plány Další

Geometrický plán pro jednoho nabyvatele

Modul umožňuje zpracovávat geometrické plány i ve zjednodušené podobě ve variantě pro jednoho nabyvatele. Při zpracování plánu v této variantě se nepracuje s díly parcel, pouze s celými parcelami. Ve výsledné tabulce výkazu výměr nejsou parcely dosavadního a nového stavu uspořádány obvyklým způsobem, tak, aby bylo zjevné, která nová parcela vzniká z které dosavadní. Namísto toho jsou ve výkazu výměr vypsány nejprve dosavadní parcely (měněné i zanikající), a následně nově vznikající parcely.

Zadání plánu, konkrétně sezam parcel a dílů, může být po načtení z databáze (kde je zadání připraveno pro standardní způsob zpracování) pro tuto variantu plánu zbytečně složité. V takovém případě lze tabulku Parcely a díly ručně zjednodušit odstraněním případných parcelních dílů, nebo ji nechat celou automatizovaně připravit/upravit na základě zadaných dosavadních a nových parcel. Postup bude uveden dále.

Výsledný zjednodušený stav zadání by měl vypadat tak, že v tabulce Parcely a díly budou uvedeny pouze nové parcely s vazbou na dosavadní parcelu, ze které vznikají. Dosavadní parcely, z nichž žádné nové nevznikají (tedy zanikající parcely) by měly být v seznamu parcel a dílů uvedeny pouze s vyplněným označením dosavadní parcely a s nevyplněným označením nové parcely. Tím je zajištěno, že se ve výsledných tabulkách tyto parcely objeví jako zanikající.

Ukázkový fragment zadání může vypadat takto:

Zadáví parcel a dílů v plánu pro jednoho nabyvatele

Pro tento způsob zpracování je třeba postupovat jedním z následujících způsobů:

  • Nechat aplikaci automatizovaně upravit zadání tabulky Parcely a díly do zjednodušené formy vhodné pro zpracování plánu pro jednoho nabyvatele.

    Toto lze udělat příkazem Připravit díly pro zjednodušené zpracování. Tento způsob je doporučovaný pro většinu standardních plánů.

  • Připravit zadání ručně. Pomocí tohoto způsobu můžete ručně definovat obsah tabulky Parcely a díly, včetně nastavení skupin. Tento způsob je vhodný při komplikovaných plánech, které obsahují více typů zpracování dohromady.

    Při ruční přípravě je třeba provést následující kroky:

    1. Zapnout volbu GP pro jednoho nabyvatele v nastavení modulu.

      Po zapnutí této volby vám aplikace automaticky nabídne nejprve kompletní úpravu tabulky Parcely a díly dle předchozího odstavce. Pokud tuto úpravu odmítnete, nabídne vám dále automatické nastavení označení skupiny všem dílům. Pokud toto také odmítnete, je třeba skupinu dílům nastavit ručně (nebo hromadně), viz následující odstavec.

    2. Nastavit všem parcelám, které mají být zpracovány v bloku pro jednoho nabyvatele, v tabulce Parcely a díly KN číslo skupiny. Toto lze udělat ruční editací jednotlivých řádků, nebo hromadně označením příslušných řádků nebo buněk v nich a následně příkazem Nastavit skupinu. Označení skupiny, které zadáte v následně zobrazeném dialogovém okně, bude nastaveno všem záznamům na označených řádcích. Není třeba označovat celé řádky, stačí označit libovolný blok zasahující do řádků, které si přejete upravit.

      Poznámka

      Zpracováváte-li v rámci jednoho plánu více logických typů zadání, např. skupinu pro jednoho nabyvatele zároveň s jinými skupinami, je třeba, aby skupiny zpracovávané v režimu jednoho nabyvatele měly jako první znak označení skupiny znak "1". Pokud je taková skupina pouze jedna, postačí označení "1", pokud by jich bylo více, mohou být označeny např. jako "1A", "1B" atd.

Předcházející | Nahoru | Další
Údaje pro BPEJ | Domů | Doplňující údaje a dodatečné úpravy


Doplňující údaje a dodatečné úpravy
Předcházející Kapitola 50. Geometrické plány Další

Doplňující údaje a dodatečné úpravy

Vkládané texty

V této tabulce můžete zadat libovolné texty pro doplnění geometrického plánu.

Je-li to možné, je zadání textů pomocí této tabulky vždy vhodnější než jejich přímé vepsání do výsledných tabulek. Při novém zpracování geometrického plánu jsou totiž ručně provedené změny ve výstupních tabulkách přepsány, zatímco texty zadané pomocí této tabulky jsou vždy opět do výstupu zapsány.

  • Zobrazovat

    Pomocí tohoto přepínače můžete zapnout nebo vypnout umisťování příslušného textu, aniž by bylo třeba jej mazat a znovu zadávat.

  • Tabulka

    Zde si zvolíte, do které výstupní tabulky má být text umístěn.

  • Pozice

    V seznamu zvolte požadovanou pozici pro umístění textu.

  • Umístění

    Zvolte typ relativního umístění vzhledem k zadané pozici (Před nebo Za)

  • Text

    Do tohoto řádku zadejte požadovaný text. Přejete-li si vložit víceřádkový text, rozepište jej na více položek, a jednotlivé položky zadejte do seznamu textů (všechny se stejným umístěním).

    Přejete-li si do textu dosadit nějaký údaj ze zadání geometrického plánu, lze to udělat pomocí symbolického zápisu s označením příslušné proměnné, v níž je údaj obsažen. Např. pro zobrazení čísla ZPMZ lze zapsat tento symbolický zápis: <CisloZpmz>

    tedy např. zápis Číslo ZPMZ: <CisloZpmz>

    vytvoří po zpracování text

    Číslo ZPMZ: 601365

    Seznam všech proměnných, které lze v textu použít, je uveden v následující tabulce:

    Tabulka 50.1. Proměnné pro použití ve vložených textech

    Název proměnné | Obsah
    Nazev | Název geometrického plánu
    Cislo | Číslo geometrického plánu
    Zhotovil | Název zhotovitele - firma
    Okres | Název okresu
    Obec | Název obce
    Ku | Název katastrálního území
    CisloKu | Šestimístné číslo katastrálního území
    Ml | Označení mapového listu
    Hranice | Způsob označení hranic
    KatPracoviste | Název katastrálního pracoviště
    KuPro | Katastrální úřad pro
    CisloZpmz | Číslo ZPMZ
    CisloPM | Číslo PM
    ZadostDatum | Datum žádosti
    ZamerilDatum | Datum zaměření
    OverilDatum | Datum ověření
    OverilCislo | Číslo ověření
    PotvrdilDatum | Datum potvrzení
    PotvrdilCislo | Číslo potvrzení
    VypocetlDatum | Datum zpracování
    DuvodZmeny | Důvod změny
    Pristroj | Přístroj použitý při zaměření

Ukázkové zadání vkládaných textů:

Zadávání vkládaných textů

Ukázkový výstup (doplněné údaje jsou zvýrazněny):

Výsledné tabulky po zadání vkládaných textů

Dodatečné údaje

V této tabulce můžete ručně zadat další dodatečné údaje pro výsledné tabulky. Můžete zde zadat ručně např. další dotčené parcely (například v případě vytyčení, když na katastrálním pracovišti chtějí mít v seznamu dotčených parcel uvedeny i sousední parcely), nebo seznam osob seznámených s novými hranicemi.

Je-li v tabulce některý údaj uveden vícekrát (např. v ukázce více osob seznámených s průběhem nových hranic), budou ve výsledných tabulkách uvedeny všechny hodnoty, a to s ohledem na typ údaje buď za sebou v jedné buňce, nebo na řádcích pod sebou.

  • Zobrazovat

    Pomocí tohoto přepínače můžete zapnout nebo vypnout příslušný text, aniž by bylo třeba jej mazat a znovu zadávat.

  • Parametr

    Zde si zvolíte typ parametru, který nastavujete.

  • Hodnota

    Zvolte nebo zadejte hodnotu parametru - text, který má být uveden ve výsledných tabulkách.

    V textu lze opět použít proměnné definované v tabulce uvedené u vkládání textů (jako například datum zaměření v následující ukázce).

Ukázkové zadání dodatečných údajů:

Zadávání dodatečných údajů

Ukázkový výstup (doplněné údaje jsou zvýrazněny):

Výsledné tabulky po zadání dodatečných údajů

Dodatečné úpravy

V této tabulce můžete definovat dodatečné úpravy výsledných tabulek, které se mají provést po zpracování geometrického plánu. Lze zde zadat většinu úprav, které lze ve výsledných tabulkách provést ručně.

Ručně provedené úpravy výsledných tabulek budou po příštím zpracování plánu ztraceny. Pokud je zadáte do této tabulky, budou po zpracování vždy automaticky provedeny.

Každá úprava je definována tabulkou, pozicí, rozsahem buněk, požadovanou akcí a případným doplňujícím parametrem:

  • Zobrazovat

    Pomocí tohoto přepínače můžete zapnout nebo vypnout příslušnou úpravu, aniž by bylo třeba ji mazat a znovu zadávat.

  • Tabulka

    Zde si zvolíte, ve které výstupní tabulce má být úprava provedena.

  • Řádek

    Číslo řádku, v němž má být úprava provedena. Číslování řádků lze v tabulce zapnout přepínačem Záhlaví na liště Úpravy. Ponecháte-li tuto buňku prázdnou, budou úpravy provedeny v celém sloupci.

  • Sloupec

    Číslo sloupce, v němž má být úprava provedena. Označení sloupců lze v tabulce zapnout přepínačem Záhlaví na liště Úpravy. Ponecháte-li tuto buňku prázdnou, budou úpravy provedeny v celém řádku.

  • Řádků

    Počet řádků, v nichž má být úprava provedena. Pokud počet řádků nevyplníte, bude úprava provedena pouze v zadaném řádku.

  • Sloupců

    Počet sloupců, v nichž má být úprava provedena. Pokud počet sloupců nevyplníte, bude úprava provedena pouze v zadaném sloupci.

  • Akce

    Zvolte požadovaný typ úpravy tabulky.

  • Parametr

    Zvolte nebo zadejte parametr pro úpravu tabulky (text v případě vkládání textu, typ zarovnání v případě zarovnání textu atd.).

    Vkládáte-li text, lze opět použít proměnné definované v tabulce uvedené u vkládání textů.

Ukázka nastavení dodatečných úprav:

Zadávání dodatečných úprav tabulek

Výsledná tabulka ZPMZ po provedení dodatečných úprav uvedených na řádcích 4-5 (nastavení tučného písma pro seznam dotčených parcel a označení mapového listu):

Dodatečné úpravy tabulky

K buňkám, upraveným pomocí automatických dodatečných úprav, je připojena poznámka, aby bylo po zpracování na první pohled zřetelné, které buňky byly dodatečně upraveny. Přítomnost poznámky je signalizována červeným čtverečkem v pravém horním rohu buňky. Po najetí kurzorem myši na čtvereček se zobrazí celý text poznámky.

Předcházející | Nahoru | Další
Geometrický plán pro jednoho nabyvatele | Domů | Práce s databází


Práce s databází
Předcházející Kapitola 50. Geometrické plány Další

Práce s databází

Používáte-li modul pro geometrické plány ve spojení s grafickým modulem, můžete po vytvoření geometrického plánu v grafickém modulu přímo načíst zadání plánu z databáze. Pokud při zpracování plánu dojde ke změnám nových výměr oproti hodnotám uloženým v databázi, lze takto změněné výměry uložit zpět do databáze.

Načtení zadání z databáze

Zadání geometrického plánu z databáze lze načíst příkazem Načíst z DB.

Poznámka

Před načtením je v grafickém modulu automaticky spuštěna funkce pro přípravu SPI, je tedy třeba, aby byl grafický modul v okamžiku načtení spuštěn. Není-li spuštěn, bude zobrazeno chybové hlášení, a zadání bude z databáze načteno v posledním stavu, který byl v grafickém modulu vytvořen, aniž by bylo aktualizováno.

Při načtení zadání máte ještě tyto možnosti:

  • Načíst z databáze: celé stávající zadání geometrického plánu bude smazáno a data budou nově načtena z databáze.

  • Načíst z databáze a přidat: stávající zadání geometrického plánu bude zachováno a z databáze budou přidána nová data.

  • Načíst z databáze bez BPEJ: celé stávající zadání geometrického plánu bude smazáno a data budou nově načtena z databáze, ale bez informací o BPEJ.

Doplnění nebo aktualizace dosavadního nebo nového stavu z databáze

Z databáze lze doplnit pouze některé údaje. Při doplňování a aktualizaci údajů máte následující možnosti:

  • Doplnit chybějící informace: z databáze budou doplněny pouze údaje, které ve stávajícím zadání chybějí (tj. budou načteny pouze buňky, které jsou momentálně prázdné). Lze označit pouze některé buňky, které mají být načteny.

  • Aktualizovat všechny informace: z databáze budou aktualizovány všechny údaje. Pokud jsou již nějaké hodnoty v příslušných buňkách vyplněny, budou přepsány. Lze označit pouze některé buňky, které mají být načteny.

Tip

V obou variantách máte možnost označit pouze vybrané buňky, které chcete načíst. Není-li v příslušné vstupní tabulce žádná buňka označena, budou doplněny/aktualizovány všechny údaje. Jsou-li některé buňky označeny, budou doplněny/aktualizovány pouze údaje v označených buňkách.

Uložení aktualizovaného stavu do databáze

Pokud při zpracování plánu dojde ke změně nového stavu oproti zadání, lze tuto změnu uložit zpět do databáze. Takto aktualizovaná výměra bude následně vyexportována do výměnného formátu.

Změna výměry je signalizována v tabulce nového stavu ve sloupci Výsl. výměra. Údaj je uveden tučně červeně:

Změna výměry v novém stavu

Pokud jste v zadání plánu v tabulce nového stavu změnili také druh pozemku nebo způsob využití, bude do databáze uložena i tato změna.

Kromě změněných výměr parcel nového stavu lze do databáze uložit i výměry bonitních dílů parcel nového stavu, pokud při jejich vyrovnání došlo ke změně.

Změněné hodnoty lze příkazem Uložit do DB zapsat do výsledných tabulek SPI, odkud budou data dále exportována do výměnného formátu. Do protokolu budou zapsány informace o změněných výměrách.

Tip

Pokud si přejete nejprove zaprotokolovat a zkontrolovat změny, můžete to udělat pomocí příkazu Pouze simulovat a zaprotokolovat. V protokolu můžete zkontrolovat změny, a pokud budou v pořádku, můžete nechat změny skutečně provést.

Tip

Před uložením máte možnost označit pouze vybrané řádky, které chcete uložit. Stačí označit libovolné buňky v řádku s parcelou, u níž si přejete aktualizovat novou výměru, není třeba označovat přesně buňku s výslednou výměrou. Není-li v tabulce žádná buňka označena, budou uloženy všechny opravené výměry.

Předcházející | Nahoru | Další
Doplňující údaje a dodatečné úpravy | Domů | Výsledné tabulky


Výsledné tabulky
Předcházející Kapitola 50. Geometrické plány Další

Výsledné tabulky

Zadané vstupní hodnoty zpracujete pomocí příkazu Soubor → Zpracovat nebo stiskem klávesy F4. Program vygeneruje výsledné tabulky, které si můžete prohlédnout přímo v dialogovém okně, nebo pomocí náhledu před tiskem (Soubor → Náhled).

Předcházející | Nahoru | Další
Práce s databází | Domů | Přímé vyplňování tabulky Výkaz výměr


Přímé vyplňování tabulky Výkaz výměr
Předcházející Kapitola 50. Geometrické plány Další

Přímé vyplňování tabulky Výkaz výměr

V případě, že zpracováváte nějaký speciální případ geometrického plánu, nebo potřebujete ručně vložit část výsledné tabulky, můžete (kromě editace tabulky standardními editačními nástroji) data vložit přímým zadáváním do speciálního dialogového okna:

Přímé zadávání do tabulky Výkaz výměr

Dialogové okno se vyvolává z kontextového menu, zobrazeného po kliknutí pravým tlačítkem do tabulky.

Do dialogového okna lze přímo zadat údaje, které budou umístěny do příslušných sloupců a správně zarovnány.

Tip

Zadáte-li jako první znak parcelního čísla dosavadního stavu podtržítko ('_'), bude ve formuláři před zadávaným řádkem vytvořena oddělovací horizontální čára. Zadáte-li podtržítko na konci parcelního čísla, bude horizontální čára vytvořena až za zadávaným řádkem.

Pokud zadáte podtržítko před nebo za parcelním číslem KN pro porovnání se stavem KN, bude vytvořena také horizontální oddělovací čára, ale pouze přes oblast Porovnání se stavem KN.

Zadáte-li podtržítko před nebo za výměrou dílu v porovnání, bude vytvořena horizontální oddělovací čára pouze přes sloupce pro výměru dílu.

Předcházející | Nahoru | Další
Výsledné tabulky | Domů | Nastavení modulu


Nastavení modulu
Předcházející Kapitola 50. Geometrické plány Další

Nastavení modulu

Dialogové okno s nastavením se vyvolá příkazem Geometrický plán → Volby. V okně můžete měnit následující parametry:

Typ mapy

Zde můžete zvolit, zda požadujete standardní zpracování plánu, nebo specifické zpracování pro DKM nebo KM-D.

Kód kvality

Mezní odchylky při výpočtu výměr jsou počítány dle kódu kvality parcely. Zde můžete nastavit implicitní kód kvality pro celý geometrický plán. Pokud se v plánu vyskytnou parcely nebo díly v jiné kvalitě, můžete jim odlišný kód kvality zadat v tabulce Díly KN. Pro parcely a díly, které v této tabulce kód kvality nastaven nemají, bude použit zde nastavený implicitní kód kvality.

Písmo

Zde můžete zvolit typ písma, který bude použit pro výsledné tabulky. Těmito přepínači můžete volit velikost písma pro výsledné tabulky.

Dále můžete zvolit velikost písma v rozmezí 6 - 9 bodů.

Varování

Výsledné formuláře jsou velmi pečlivě zformátovány tak, aby se vešly na stránku a aby se všechny údaje vešly do příslušných buněk. Vzhledem k množství sloupců je v tabulkách velmi malý prostor pro rezervu. Při změně fontu na jiný typ s rozdílnými šířkami znaků se může stát, že se údaje do některých buněk nevejdou.

Volby

  • Geometrický plán pro jednoho nabyvatele

    Tímto přepínačem volíte, zda se jedná o plán pro jednoho nabyvatele. Takovéto plány jsou zjednodušené - neobsahují například vůbec identifikaci dílů v tabulce Výkaz dosavadního a nového stavu.

    Pokud stav tohoto přepínače změníte, nabídne vám aplikace při potvrzení nastavení úpravu zadání, konkrétně úpravu tabulky Parcely a díly.

    • Pokud tuto volbu zapnete, aplikace vám nabídne kompletní úpravu nebo vytvoření obsahu tabulky Parcely a díly ve zjednodušené formě. Akceptujete-li tuto nabídku, bude celý obsah tabulky Parcely a díly upraven do zjednodušené podoby včetně nastavení označení skupiny všem dílům tak, aby byly zpracovány všechny společně.

      Pokud nabídku zjednodušení celé tabulky odmítnete, nabídne vám aplikace alespoň nastavení označení skupiny všem dílům. I toto můžete odmítnout a skupinu u dílů označit ručně nebo hromadně, např. pokud GP obsahuje kromě části pro jednoho nabyvatele i jiné části.

    • Pokud tuto volbu vypnete, nabídne vím aplikace odstranění označení skupiny u všech dílů. Pokud tuto nabídku odmítnete, můžete dodatečně upravit označení skupiny v tabulce Parcely a díly ručně.

      Podrobnosti o zpracování geometrického plánu pro jednoho nabyvatele jsou uvedeny v kapitole Geometrický plán pro jednoho nabyvatele.

  • Geometrický plán pro věcné břemeno

    Tímto přepínačem volíte, zda se jedná o plán pro zápis věcného břemene.

  • Geometrický plán pro upřesnění hranice

    Tímto přepínačem volíte, zda se jedná o plán pro upřesnění hranice. V tomto typu plánu je mimo jiné nad rozpiskou uveden text o zpřesnění geometrického a polohového určení pozemků.

  • Seřadit parcely

    Je-li tento přepínač zapnut, budou vždy před zpracováním plánu parcely dosavadního stavu, nového stavu, díly KN a parcely stavu DPE seřazeny vzestupně dle parcelních čísel.

  • Seřadit díly parcel DPE

    Je-li tento přepínač zapnut, budou vždy před zpracováním plánu seřazeny díly parcel DPE.

    • Seřadit díly parcel DPE dle čísla KN

      Je-li tento přepínač zapnut, budou vždy před zpracováním plánu díly DPE setříděny primárně dle čísel KN a sekundárně dle čísel KN, což ovlivní pořadí ve výsledných formulářích. Je-li tento přepínač vypnut, jsou díly DPE tříděny primárně dle čísel DPE a sekundárně dle čísel KN.

Výpočet výměr

Zde jsou uvedeny volby, které ovlivňují vzhled výsledného formuláře Výpočet výměr parcel (dílů).

  • Do součtu dosavadního stavu opravené výměry

    Tímto přepínačem volíte, zda mají být ve výpočtu výměr v součtu dosavadního stavu uvedeny původní nebo opravené výměry.

  • V DKM a KMD rozdíly ze zaorouhlení jako opravy

    Požadavky na způsob zavedení oprav rozdílů ze zaokrouhlení se různí. Tímto přepínačem lze zvolit, zda mají být zpracovány jako samostatná položka Rozdíl ze zaokrouhlení, nebo jako běžná oprava.

  • V porovnání DPE závorkovat čísla KN parcel

    Zde lze zvolit, zda v sekci Výpočet pro porovnání se stavem evidence právních vztahů mají být v závorkách uvedena čísla parcel evidence nemovitostí, nebo naopak čísla parcel DPE.

Výkaz výměr

Zde jsou uvedeny volby, které ovlivňují vzhled výsledného formuláře Výkaz dosavadního a nového stavu údajů katastru nemovitostí.

  • Do součtu dosavadního stavu opravené výměry

    Tímto přepínačem volíte, zda mají být ve výpočtu výměr v součtu dosavadního stavu uvedeny původní nebo opravené výměry.

  • Identifikovat parcely s LV vždy

    Je-li tento přepínač zapnut, objeví se v identifikaci všechny díly, u nichž je uveden list vlastnictví.

  • Opravy dosavadního stavu

    Tímto přepínačem volíte, zda mají být ve výkazu výměr uvedeny opravy dosavadního stavu (škrtnutí dosavadního stavu a nadepsání nového stavu, tak, jak se uvádí ve výpočtu výměr).

  • Opravit součet dosavadního stavu

    Tímto přepínačem volíte, zda mají být ve výkazu výměr opravy dosavadního stavu zobrazeny i v součtu dosavadního stavu. Pokud ano, objeví se u nich i odkaz na příslušný paragraf, který zde lze zadat.

  • Opravy výměr v porovnání

    Tímto přepínačem volíte, zda mají být ve výkazu výměr opravy zobrazeny i v porovnání se stavem DPE. Pokud ano, objeví se u nich i odkaz na příslušný paragraf, který zde lze zadat.

  • V porovnání spojit díly stejné parcely

    Je-li tato volba zapnuta, budou v porovnání výměr spojeny všechny díly jedné parcely a výměra bude uvedena součtem. Např. obsahuje-li zadání díly a a b téže parcely, bude v porovnání uveden pouze součet jejich výměr a v označení dílu bude uveden text a+b.

  • V porovnání uvádět rozdíly ze zaokrouhlení

    Je-li tato volba zapnuta, budou v porovnání výměr uvedeny i rozdíly ze zaokrouhlení, tak, jak jsou uvedeny ve výpočetním protokolu.

  • Opravy dosavadního stavu v seznamu parcel ZE

    Je-li tato volba zapnuta, budou v seznamu parcel zjednodušené evidence, uvedeném na konci výkazu výměr, uvedeny i opravy výměr dosavadního stavu.

BPEJ

  • Soutisk výkazu a BPEJ na jedné straně

    V případě krátkého geometrického plánu s malým počtem bonitních dílů lze touto volbou zapnout soutisk geometrického plánu a BPEJ. Tabulka BPEJ bude vytištěna mezi Výkazem dosavadního a nového stavu a rozpiskou geometrického plánu:

    Soutisk geometrického plánu a BPEJ

  • Vybalancovat sloupce

    Údaje v tabulce BPEJ jsou uvedeny ve dvou sloupcích. Nejprve jsou údaje vypisovány do levého sloupce, po jeho zaplnění se začnou vypisovat do pravého sloupce:

    Bonitní díly v nevybalancovaných sloupcích

    Zapnete-li tuto volbu, sloupce budou upraveny tak, aby byly přibližně stejně dlouhé (v závislosti na nastavení dalších přepínačů, viz dále):

  • Stránkovat: kdekoli

    Při stránkování aplikace rozdělí seznam bonitních dílů kdekoli, bez ohledu na parcely a identifikátory bonit:

    Stránkování bonit kdekoli

  • Stránkovat: na bonitách

    Při stránkování aplikace rozdělí seznam bonitních dílů pouze mezi jednotlivými parcelami nebo bonitami, všechny bonitní díly téhož identifikátoru ponechá pohromadě:

    Stránkování bonit po bonitách

    Poznámka

    Pokud bonita obsahuje příliš mnoho dílů, nelze tento způsob stránkování dodržet a program může odstránkovat i v jiném místě.

  • Stránkovat: na parcelách

    Při stránkování aplikace rozdělí seznam bonitních dílů pouze mezi jednotlivými parcelami, všechny bonitní díly jedné parcely ponechá pohromadě:

    Stránkování bonit po parcelách

    Poznámka

    Pokud parcela obsahuje příliš mnoho bonitních dílů, nelze tento způsob stránkování dodržet a program může odstránkovat i v jiném místě.

Žádost

  • Tisknout žádanku černobíle

    Po zapnutí tohoto přepínače bude formulář Žádost o potvrzení geometrického plánu před tiskem převeden do černobílé podoby.

  • Tisknout 2. stranu žádanky

    Tímto přepínačem lze zapnout tisk druhé strany žádanky. Na ní je uveden pouze vysvětlující text k obsahu první strany, který obvykle není třeba tisknout.

Předcházející | Nahoru | Další
Přímé vyplňování tabulky Výkaz výměr | Domů | Tisk, vstupy a výstupy


Tisk, vstupy a výstupy
Předcházející Kapitola 50. Geometrické plány Další

Tisk, vstupy a výstupy

Ukládání dat do souboru

Příkazem Uložit, Uložit jako nebo kombinací kláves Ctrl-S lze celé zadání geometrického plánu zapsat do souboru. Soubory s geometrickým plánem mají příponu .gp.

Kromě vlastního zadání plánu se vytvoří soubory se jménem shodným s názvem plánu a s příponami .vkz, .vpz, .zaz a .zmz. Tyto soubory obsahují výsledné výstupní formuláře, včetně případných změn, které v nich byly dodatečně provedeny. Po opětovném otevření geometrického plánu jsou automaticky načteny, takže nedošlo-li ke změně zadání, není třeba plán znovu generovat.

Čtení dat ze souboru

Geometrický plán dříve uložený do souboru lze ze souboru opět načíst příkazem Otevřít nebo kombinací kláves Ctrl-O.

Náhled před tiskem

Výsledné tabulky lze před tiskem zkontrolovat přímo v dialogovém okně programu, nebo v tiskovém náhledu, vyvolaném příkazem Soubor → Náhled nebo kombinací kláves Ctrl-V. V okně s náhledem lze volit, která strana má být zobrazena, a lze nastavovat zvětšení zobrazení.

Tisk

Vlastní tisk tabulky se spustí příkazem Tisk nebo kombinací kláves Ctrl-P. Před tiskem je zobrazeno dialogové okno, v němž lze volit výstupní zařízení.

Export do Excelu / OpenOffice

Tabulky lze pomocí příkazu Export/Import → OpenXML uložit do souboru ve formátu OpenXML. Tento formát lze otevřít v novějších verzích MS Excel a v OpenOffice, kde lze případně tabulky dále doupravit. Můžete si zvolit, zda má být vyexportován pouze aktivní list, nebo všechny listy.

Přímý přenos do Excelu

Je-li na počítači nainstalován MS Excel, lze příkazem Export/Import → Přímý přenos do Excelu exportovat vybraný list nebo všechny listy přímo do MS Excel, aniž by bylo třeba data ukládat do souboru. Výsledné tabulky budou v MS Excel dynamicky vytvořeny pomocí technologie OLE Automation.

Varování

Tato technologie je bohužel z principu velmi pomalá, nelze ji tedy doporučit pro rutinní práci, ale pouze pro malé geometrické plány nebo jako jako nouzové řešení ve speciálních případech.

Export do DXF

Tabulky lze pomocí příkazu Export/Import → DXF uložit do souboru ve formátu DXF, který lze načíst do dalších aplikací (MicroStation, AutoCAD apod.). Vzhled tabulky lze definovat v dialogovém okně Zpracování → Nastavení DXF.

Import údajů z jiného geometrického plánu

Pomocí příkazu Export/Import → Načíst informace můžete importovat některé informace z jiného geometrického plánu.

Po vyvolání příkazu se zobrazí dialogové okno, v němž si můžete zvolit, které informace si přejete načíst:

Volba informací načtených z jiného souboru

  • Popisové pole: Budou načteny popisné informace o geometrickém plánu (obsah rozpisky).

  • Automaticky vkládané texty: Budou načteny texty zadané v tabulce Texty - Vkládané texty.

  • Dodatečné údaje: Budou načteny texty zadané v tabulce Texty - Dodatečné údaje.

  • Dodatečné úpravy: Budou načteny texty zadané v tabulce Texty - Dodatečné úpravy.

Předcházející | Nahoru | Další
Nastavení modulu | Domů | Tipy a postupy


Tipy a postupy
Předcházející Kapitola 50. Geometrické plány Další

Tipy a postupy

Načtení zadání z databáze

Používáte-li modul pro geometrické plány ve spojení s grafickým modulem, lze celé zadání plánu hromadně načíst z databáze, kde vznikne jako vedlejší produkt při tvorbě geometrického plánu. Data se načtou příkazem Načíst z databáze.

Uložení změn SPI do databáze

Pokud byla při zpracování plánu některým parcelám změněna výměra, bude nová výměra zapsána v tabulce dosavadního stavu červeně ve sloupci Výsl. výměra. Byla-li data načtena z databáze, a existuje-li vazba na novou parcelu v databázi (je vyplněn její databázový identifikátor ve sloupci DB ID), lze příkazem Uložit do databáze zapsat do databáze nové výměry. Tyto výměry budou potom vyexportovány do výměnného formátu.

Vyrovnání dílů v ručně definované skupině (např. v GP pro jednoho nabyvatele)

Aplikace standardně sestavuje výpočetní skupiny po parcelách, tj. seskupí dohromady do jedné výpočetní skupiny všechny díly, které patří do jedné parcely dosavadního stavu. Přejete-li si ručně definovat skupiny, v nichž má vyrovnání proběhnout, můžete ve vstupní tabulce s díly KN u každého dílu ručně definovat skupinu, v níž se má vyrovnat. Pro definici skupiny lze použít libovolný alfanumerický identifikátor. Společně budou vyrovnány všechny díly se stejným identifikátorem skupiny. Identifikátor se zadává ve sloupci Skupina.

Je-li třeba nastavit označení skupiny více dílům najednou, lze to namísto ručního zadávání do tabulky provést příkazem Úpravy → Výpočetní skupina. Pomocí zobrazeného dialogového okna lze hromadně zadat výpočetní skupinu všem označeným dílům. Stačí označit libovolné buňky v příslušných řádcích, výpočetní skupina bude nastavena všem parcelám a dílům, na jejichž řádcích jsou nějaké označené buňky.

Zadání vyrovnání dílů v jedné skupině

Věcné břemeno

Je-li v zadání GP vyplněn pouze dosavadní a nový stav, ale nikoli díly KN, je zadání považováno za věcné břemeno, a podle toho je zpracováno.

Parcely se zpřesněnou hranicí

Jsou-li v geometrickém plánu parcely, u nichž byla pouze zpřesněna hranice, ale ostatní údaje se nemění, stačí je uvést do seznamu parcel dosavadního stavu a vypnout u nich přepínač Zánik (jinak by při absenci v novém stavu byly označeny jako zanikající). Potom se ve výpočtu výměr neobjeví vůbec a ve výkazu se objeví v dosavadním a v novém stavu, bez porovnání se stavem evidence právních vztahů, pouze s uvedením kvality a LV.

Dodatečná úprava tabulek

Pokud je třeba po zpracování tabulky ručně upravit, lze na to použít editační nástroje modulu GP. Po příštím zpracování se ovšem ručně provedené úpravy ztratí. Pro tento případ jsou v modulu připraveny dva nástroje:

  • Automatické vkládání textů: Ve vstupní tabulce Texty lze definovat texty, které mají být během zpracování vloženy na definovaná místa výstupních tabulek. Postup je popsán v kapitole Doplňující údaje a dodatečné úpravy.

  • Automatické dodatečné úpravy tabulek: V modulu lze zadat automatické opravy a úpravy výstupních tabulek. Tyto opravy budou provedeny vždy po zpracování geometrického plánu. Opravy lze zadat buď ručně, nebo nahráváním skutečně provedených ručních editací a úprav. Postup je popsán v kapitole Doplňující údaje a dodatečné úpravy.

Načtení informací z jiného souboru

Chcete-li převzít informace z dřívějšího geometrického plánu (např. údaje o geometrickém plánu, texty, automatické opravy), lze do již zadaného plánu načíst část z jiného plánu. Po zadání příkazu Export/Import → Načíst informace si můžete zvolit, která skupina informací má být převzata, a následně můžete zvolit soubor, ze kterého se informace převezmou.

Přednastavené informace

Přejete-li si, aby při založení nového geometrického plánu byly některé informace (např. texty nebo automatické opravy) automaticky přednastaveny, stačí založit nový geometrický plán, nastavit v něm vše potřebné, uložit jej, a pak jej v nastavení (Zpracování → Volby) vybrat jako šablonu. Při každém založení nového plánu bude šablona použita a informace z ní budou převzaty.

Předcházející | Nahoru | Další
Tisk, vstupy a výstupy | Domů | Kapitola 51. Nivelace


Kapitola 51. Nivelace
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 51. Nivelace

Obsah

Úvod
Ovládání programu
Načtení vstupních dat
Editace tabulek
Vkládání řádků
Odstraňování řádků
Kopírování údajů
Zpracování nivelace
Logika zadávání dat
Načtení dat ze souboru s nivelací
Rozdělení na jednotlivé pořady
Fixace výšek přestavových bodů
Testování mezních odchylek
Obrácení směru pořadu
Výsledná tabulka
Uložení vypočtených výšek
Nastavení modulu
Písmo
Počet desetinných míst
Vzorec pro výpočet mezní odchylky
Tisk, vstupy a výstupy
Ukládání dat do souboru
Čtení dat ze souboru
Náhled před tiskem
Tisk
Export do Excelu / OpenOffice
Přímý přenos do Excelu
Export do DXF

Úvod

Modul slouží ke zpracování nivelačního měření, ručně zadaného nebo importovaného z digitálního nivelačního přístroje.

Na základě vstupních hodnot, zadaných ručně nebo načtených ze seznamu nivelačního měření, program vygeneruje tabulku Nivelační zápisník se zpracovanými a vyrovnanými nivelačními pořady.

Tuto tabulku lze přímo vytisknout nebo exportovat do DXF nebo aplikace MS Excel.

Předcházející | Nahoru | Další
Tipy a postupy | Domů | Ovládání programu


Ovládání programu
Předcházející Kapitola 51. Nivelace Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna. Dialogové okno je pomocí záložek členěno na formulář pro zadávání vstupních dat a výsledný zpracovaný nivelační zápisník.

Nivelace

Vstupní hodnoty se zadávají do vstupního formuláře. Lze je zadávat buď ručně, nebo nechat načíst data ze seznamu nivelačního měření otevřeného v systému Groma.

Načtení vstupních dat

Přejete-li si načíst data ze zápisníku nivelačního měření, postupujte, prosím, takto:

  1. Otevřete nivelační zápisník v systému Groma (případně jej importujte ze souboru načteného z nivelačního přístroje).

  2. Přetáhněte otevřený nivelační zápisník do modulu Nivelace do oblasti Vstupní soubor s měřením.

  3. Stisknutím tlačítka Načíst data načtěte nivelační zápisník do vstupní tabulky.

Editace tabulek

Při zadávání údajů stačí umístit kurzor na příslušnou buňku a začít psát. Pokud buňka již nějaký údaj obsahovala, bude přepsána. Chcete-li původní údaj pouze upravit, můžete režim editace vyvolat dvojitým kliknutím na buňku.

Chcete-li obsah buňky vymazat, umístěte na ni kurzor a stiskněte klávesy Shift-Del.

Chcete-li v tabulce vymazat celý řádek, umístěte kurzor do kterékoli buňky příslušného řádku a stiskněte klávesy Ctrl-Del.

Chcete-li do tabulky vložit řádek, umístěte kurzor do kterékoli buňky řádku, před který si přejete nový řádek vložit, a stiskněte klávesy Ctrl-Ins.

Vkládání řádků

Pokud vyplňujete tabulku obvyklým způsobem, tj. postupně shora dolů, nemusíte se o přidávání řádků starat. Program přidává prázdné řádky na konec tabulky automaticky. Chcete-li vložit prázdný řádek jinam než na konec tabulky, přemístěte kurzor na řádek, před nějž má být nový řádek vložen, a zvolte v nabídce Úpravy → Vložit řádek, nebo stiskněte kombinaci kláves Ctrl-Ins. Před řádek, na němž je kurzor, bude vložen prázdný řádek.

Odstraňování řádků

Přejete-li si odstranit celý řádek, umístěte na něj kurzor, a zvolte v nabídce Úpravy → Odstranit řádek, nebo stiskněte kombinaci kláves Ctrl-Del. Celý řádek bude z tabulky odstraněn.

Kopírování údajů

Přejete-li si zkopírovat některý údaj nebo blok údajů na jiné místo tabulky, postupujte následujícím způsobem:

  1. Označte blok, který chcete kopírovat.

    Tip

    Přejete-li si označit celý řádek, stačí pouze ukázat myší na první buňku (buňku, v níž je zobrazeno číslo řádku).

  2. Zkopírujte označený blok buněk do schránky kombinací kláves Ctrl-C.

  3. Na jiném místě tabulky označte blok, kam mají být data vložena.

    Důležité

    Označená oblast, do níž mají být data zkopírována, musí mít stejné rozměry (stejný počet řádků a sloupců), jako kopírovaná oblast.

  4. Vložte blok buněk ze schránky do tabulky kombinací kláves Ctrl-V.

Zpracování nivelace

Po zadání vstupních dat (případně jejich načtení ze souboru) lze zpracování nivelace spustit příkazem Soubor → Zpracovat nebo klávesou F4.

Předcházející | Nahoru | Další
Kapitola 51. Nivelace | Domů | Logika zadávání dat


Logika zadávání dat
Předcházející Kapitola 51. Nivelace Další

Logika zadávání dat

Data potřebná pro zpracování nivelace se zadávají do tabulky Vstupní data.

Do vstupní tabulky se postupně zadávají měřená data:

  • Číslo bodu

  • Čtení na lati zpět/vpřed/bočně (vždy pouze jeden z těchto údajů)

  • Délka záměry (pro výpočet délky pořadu, nepovinná)

  • Daná výška (vstupní výška koncových bodů pořadu)

  • Poznámka (volitelná poznámka k bodu)

Do sloupce Vypočtená výška bude po výpočtu doplněna vypočtená a případně vyrovnaná výška bodu. Z tohoto sloupce je potom výška přebrána při ukládání výšek do seznamu souřadnic v systému Groma.

Pro správné zpracování pořadu je třeba vyplnit danou výšku alespoň pro první bod pořadu. Vyplníte-li danou výšku i u koncového bodu pořadu, bude pořad během výpočtu i vyrovnán a dosažená odchylka ve výšce bude ve výsledném formuláři uvedena.

Do vstupní tabulky lze zadat více nivelačních pořadů. Jednotlivé pořady se oddělují prázdným řádkem. Po zpracování budou pro přehlednost první řádky pořadů zobrazeny tučně a červenou barvou.

Předcházející | Nahoru | Další
Ovládání programu | Domů | Načtení dat ze souboru s nivelací


Načtení dat ze souboru s nivelací
Předcházející Kapitola 51. Nivelace Další

Načtení dat ze souboru s nivelací

Do modulu lze načíst data ze souboru s nivelací otevřeného v systému Groma.

Při načtení postupujte takto:

  1. Importujte soubor s nivelačním měřením do systému Groma, případně otevřete soubor dříve importovaný.

  2. Otevřete seznam souřadnic obsahující výšky nivelačních bodů. Nastavte jej jako aktivní nebo nastavte vyhledávání bodů tak, aby byly výšky při importu nalezeny. Nastavení vyhledávání bodů je popsáno v kapitole vyhledávání bodů.

  3. Přetáhněte nivelační zápisník do modulu Nivelace na kartu Vstupní data do oblasti Vstupní soubor s měřením.

  4. Stiskněte tlačítko Načíst data. Modul načte všechna nivelační data ze zadného souboru do vstupní tabulky a pokusí se dohledat výšky všech bodů.

Předcházející | Nahoru | Další
Logika zadávání dat | Domů | Rozdělení na jednotlivé pořady


Rozdělení na jednotlivé pořady
Předcházející Kapitola 51. Nivelace Další

Rozdělení na jednotlivé pořady

Datové formáty nivelačních přístrojů obvykle neumožňují odlišení jednotlivých nivelačních pořadů. Celý soubor měření se obvykle načte jako jeden nivelační pořad. Rozdělení na pořady je tedy třeba udělat až po načtení.

Rozdělení lze dělat dvěma způsoby:

  1. Vložením prázdného řádku mezi pořady

    Na místo, kde má začínat nový pořad, vložte prázdný řádek. Postupujte takto:

    • Umístěte kurzor do kterékoli buňky na prvním řádku nového pořadu.

    • Vložte prázdný řádek příkazem Úpravy → Vložit řádek, nebo kombinací kláves Ctrl-Ins. Před řádek, na němž je kurzor, bude vložen prázdný řádek. Zároveň bude řádek s kurzorem označen jako první řádek nového pořadu (červeně tučně).

  2. Fixací výšky mezilehlého (přestavového) bodu

    Má-li některý z mezilehlých (přestavových) bodů danou výšku, a přejete-li si ji zafixovat, můžete toho dosáhnout pomocí přepínače Fix ve vstupní tabulce s měřenými daty. Na tomto bodě bude stávající nivelační pořad ukončen a zahájen nový. Podrobněji je použití fixace bodu popsáno v samostatné kapitole.

Předcházející | Nahoru | Další
Načtení dat ze souboru s nivelací | Domů | Fixace výšek přestavových bodů


Fixace výšek přestavových bodů
Předcházející Kapitola 51. Nivelace Další

Fixace výšek přestavových bodů

Při importu dat se modul pokusí v otevřených seznamech souřadnic dohledat výšky bodů nivelačního pořadu. Vyhledávání probíhá podle nastavení, podrobnosti jsou uvedeny v kapitole vyhledávání bodů.

Po vyrovnání nivelačního pořadu jsou do vstupní tabulky doplněny vypočtené výšky bodů, které slouží pro následné uložení výšek do seznamu souřadnic. Pokud je u příslušného bodu uvedena i daná výška, která byla načtena ze seznamů v rámci načtení nivelace, bude ve vstupní tabulce uvedeno i porovnání obou výšek.

Na řádcích, kde je uvedeno čtení vpřed a zároveň i daná výška načtená ze seznamu souřadnic, máte možnost nivelační pořad přerušit a rozdělit na dvě samostatně vyrovnávané části. Pokud jsou splněny tyto dvě podmínky, je ve sloupci Fix zobrazen přepínač, jehož zapnutím dojde po příštím zpracování pořadu k rozdělení na dvě části.

Pokud byste toto rozdělení chtěli vzít zpět a oba pořady opět spojit, stačí následně ve vstupním formuláři odstranit prázdný řádek mezi oběma pořady, čímž dojde opět ke spojení do jednoho pořadu.

Předcházející | Nahoru | Další
Rozdělení na jednotlivé pořady | Domů | Testování mezních odchylek


Testování mezních odchylek
Předcházející Kapitola 51. Nivelace Další

Testování mezních odchylek

Při vyrovnání nivelačního pořadu modul automaticky kontroluje dodržení mezní odchylky v uzávěru pořadu.

Vzorec pro výpočet mezní odchylky se zadává v dialogovém okně Volby. Ve vzorci lze použít tyto proměnné:

Tabulka 51.1. Proměnné ve vzorci pro výpočet mezní odchylky

Název proměnné | Obsah proměnné
L | Délka nivelačního pořadu v metrech
L_KM | Délka nivelačního pořadu v kilometrech

Výsledná mezní odchylka vypočtená ze zadaného vztahu musí být v metrech.

Nenastavíte-li vzorec pro výpočet mezní odchylky, bude použit tento standardní vzorec: 20*SQRT(L_KM)/1000

Namísto vzorce pro výpočet mezní odchylky lze zadat přímo číselnou hodnotu odchylky v metrech, např. 0.01.

Pokud bude vypočtená hodnota mezní odchylky menší nebo rovna nule, nebude odchylka testována. Přejete-li si tedy testování odchylek vypnout, stačí v nastavení vzorce zadat hodnotu 0. Pokud byste nechali editační okno pro zadání vzorce prázdné, použije se standardní vzorec, viz výše.

Hodnota mezní odchylky se vypisuje vždy na konci pořadu ve sloupci Poznámka.

Je-li mezní odchylka překročena, bude ve formuláři zobrazena tučně červeně a během zpracování bude zobrazeno hlášení o jejím překročení.

Vzorec pro mezní odchylku se ukládá do souboru se zadáním nivelačního pořadu, můžete tedy nastavit v různých souborech se zadáním různé mezní odchylky.

Předcházející | Nahoru | Další
Fixace výšek přestavových bodů | Domů | Obrácení směru pořadu


Obrácení směru pořadu
Předcházející Kapitola 51. Nivelace Další

Obrácení směru pořadu

Přejete-li si pro další zpracování obrátit směr pořadu, a zpracovat jej opačným směrem, než byl zaměřen, lze to udělat tímto postupem:

  1. Umístěte kurzor v tabulce se vstupními daty na libovolný řádek pořadu, který chcete obrátit.

  2. Zvolte příkaz Nastavení → Obrátit pořad. Pořadí bodů nivelačního pořadu, v němž je umístěn kurzor, bude obráceno.

Předcházející | Nahoru | Další
Testování mezních odchylek | Domů | Výsledná tabulka


Výsledná tabulka
Předcházející Kapitola 51. Nivelace Další

Výsledná tabulka

Zadané vstupní hodnoty zpracujete pomocí příkazu Soubor → Zpracovat nebo stiskem klávesy F4. Program vygeneruje výsledné tabulky, které si můžete prohlédnout přímo v dialogovém okně, nebo pomocí náhledu před tiskem (Soubor → Náhled).

Nivelace - výsledná tabulka
Předcházející | Nahoru | Další
Obrácení směru pořadu | Domů | Uložení vypočtených výšek


Uložení vypočtených výšek
Předcházející Kapitola 51. Nivelace Další

Uložení vypočtených výšek

Po zpracování nivelace a kontrole výsledného formuláře můžete uložit vypočtené výšky do systému Groma. Postupujte, prosím, takto:

  1. V systému Groma otevřete seznam souřadnic, do něhož si přejete výšky uložit, nebo založte nový seznam.

  2. Tento seznam souřadnic označte jako aktivní.

  3. Zvolte příkaz Zpracování → Uložit vyrovnané výšky. Vypočtené výšky budou přeneseny do aktivního seznamu souřadnic.

    Pokud v aktivním seznamu souřadnic již body těchto čísel budou, bude zobrazeno dialogové okno pro průměrování bodů.

    Pokud v aktivním seznamu souřadnic body těchto čísel nebudou, budou do něj uloženy nové body pouze s výškou, bez definované polohy.

Předcházející | Nahoru | Další
Výsledná tabulka | Domů | Nastavení modulu


Nastavení modulu
Předcházející Kapitola 51. Nivelace Další

Nastavení modulu

Dialogové okno s nastavením se vyvolá příkazem Nastavení → Volby. V okně můžete měnit následující parametry:

Písmo

Zde můžete zvolit typ písma, který bude použit pro výsledné tabulky. Těmito přepínači můžete volit velikost písma pro výsledné tabulky.

Dále můžete zvolit velikost písma v rozmezí 6 - 8 bodů.

Počet desetinných míst

Zde můžete nastavit na kolik desetinných míst mají být výšky uváděny.

Vzorec pro výpočet mezní odchylky

Zde můžete zadat výpočetní vztah, pomocí něhož jsou počítány mezní odchylky v uzávěru pořadu.

Podrobnosti o testování odchylek jsou uvedeny v kapitole Testování mezních odchylek.

Předcházející | Nahoru | Další
Uložení vypočtených výšek | Domů | Tisk, vstupy a výstupy


Tisk, vstupy a výstupy
Předcházející Kapitola 51. Nivelace Další

Tisk, vstupy a výstupy

Ukládání dat do souboru

Příkazem Uložit, Uložit jako nebo kombinací kláves Ctrl-S lze celé zadání nivelace zapsat do souboru. Soubory s nivelací mají příponu .lvl.

Kromě vlastního zadání nivelace se vytvoří soubor se jménem shodným s názvem plánu a s příponou .frz. Tento soubor obsahuje výsledný výstupní formulář, včetně případných změn, které v něm byly dodatečně provedeny. Po opětovném otevření nivelace je automaticky načten, takže nedošlo-li ke změně zadání, není třeba nivelaci znovu zpracovávat.

Čtení dat ze souboru

Nivelaci dříve uloženou do souboru lze ze souboru opět načíst příkazem Otevřít nebo kombinací kláves Ctrl-O.

Náhled před tiskem

Výslednou tabulku lze před tiskem zkontrolovat přímo v dialogovém okně programu, nebo v tiskovém náhledu, vyvolaném příkazem Soubor → Náhled nebo kombinací kláves Ctrl-V. V okně s náhledem lze volit, která strana má být zobrazena, a lze nastavovat zvětšení zobrazení.

Tisk

Vlastní tisk tabulky se spustí příkazem Tisk nebo kombinací kláves Ctrl-P. Před tiskem je zobrazeno dialogové okno, v němž lze volit výstupní zařízení.

Export do Excelu / OpenOffice

Tabulky lze pomocí příkazu Export/Import → OpenXML uložit do souboru ve formátu OpenXML. Tento formát lze otevřít v novějších verzích MS Excel a v OpenOffice, kde lze případně tabulky dále doupravit. Můžete si zvolit, zda má být vyexportován pouze aktivní list, nebo všechny listy.

Přímý přenos do Excelu

Je-li na počítači nainstalován MS Excel, lze příkazem Export/Import → Přímý přenos do Excelu exportovat vybraný list nebo všechny listy přímo do MS Excel, aniž by bylo třeba data ukládat do souboru. Výsledné tabulky budou v MS Excel dynamicky vytvořeny pomocí technologie OLE Automation.

Varování

Tato technologie je bohužel z principu velmi pomalá, nelze ji tedy doporučit pro rutinní práci, ale pouze pro malé geometrické plány nebo jako jako nouzové řešení ve speciálních případech.

Export do DXF

Tabulky lze pomocí příkazu Export/Import → DXF uložit do souboru ve formátu DXF, který lze načíst do dalších aplikací (MicroStation, AutoCAD apod.). Vzhled tabulky lze definovat v dialogovém okně Zpracování → Nastavení DXF.

Předcházející | Nahoru | Další
Nastavení modulu | Domů | Kapitola 52. Výpočet trasy komunikace


Kapitola 52. Výpočet trasy komunikace
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 52. Výpočet trasy komunikace

Obsah

Úvod
Ovládání programu
Definování trasy
Návrh oblouku
Výpočetní kontroly
Kontrola délky prvku
Kontrola poloměrů křivosti
Kontrola spojitosti
Výpočet bodů v ose komunikace
Výpočet bodů na normálách
Uložení vypočtených bodů trasy
Spuštění normály na osu
Výpočet vytyčovacích prvků

Úvod

Program slouží k výpočtu rovinných souřadnic bodů na trase komunikace a bodů na normálách k trase.

Předcházející | Nahoru | Další
Tisk, vstupy a výstupy | Domů | Ovládání programu


Ovládání programu
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna, stejně jako všechna standardní výpočetní okna systému Groma.

Výpočet trasy komunikace

Vstupní hodnoty můžete zadávat přímo z klávesnice, nebo přetahovat myší ze seznamů souřadnic otevřených v programu Groma. Všechny hodnoty můžete v seznamech editovat, přidávat a ubírat.

Před výpočtem můžete v systému Groma spustit modul pro kontrolní kresbu. Okamžitě po skončení výpočtu trasy v něm bude zobrazen průběh trasy včetně podrobných bodů v ose komunikace. Bodů na normálách může být velké množství, proto nejsou zobrazeny automaticky všechny, ale zobrazují se postupně pro příslušné normály, které zvolíte kliknutím myší v seznamu podrobných bodů trasy.

Předcházející | Nahoru | Další
Kapitola 52. Výpočet trasy komunikace | Domů | Definování trasy


Definování trasy
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Definování trasy

Trasa komunikace je určena seznamem prvků trasy a informacemi o nich. Každý prvek je definován těmito údaji:

  • Typ prvku (přímá, klotoida, kruhový oblouk).

  • Souřadnice X, Y počátku prvku.

  • Staničení počátku prvku.

  • Doplňující údaje o prvku (poloměr, parametr).

Tento seznam prvků je obvykle výsledkem zpracování projektu některým ze specializovaných systémů, např. ROADPAC.

Jednotlivé prvky se do seznamu zadávají tak, že v dialogovém okně vyplníte všechny potřebné údaje a stisknete tlačítko Přidat. Nový prvek se přidá před prvek, na němž je zobrazen kurzor.

Po zadání trasy je vhodné ji ihned uložit do souboru příkazem Soubor → Ulož.

Předcházející | Nahoru | Další
Ovládání programu | Domů | Návrh oblouku


Návrh oblouku
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Návrh oblouku

Vytváříte-li projekt trasy, modul umožňuje navrhnout nový přechodnicový oblouk a přidat jej do seznamu prvků.

Pro návrh oblouku slouží dialogové okno Trasa → Návrh oblouku:

Návrh oblouku

Postup zadávání oblouku:

  1. Zadejte body tečnového polygonu.

    Je třeba zadat libovolný bod na první tečně, vrchol tečnového polygonu (průsečík tečen), a libovolný bod na druhé tečně. Body lze přetáhnout ze seznamu souřadnic.

  2. Zadejte parametry oblouku.

    Dále je třeba zadat staničení bodu na první tečně, zadaného v předchozím kroku, poloměr oblouku a parametr přechodnice.

  3. Vypočtěte oblouk.

    Stisknutím tlačítka Výpočet nechte aplikaci vypočítat oblouk dle zadání.

  4. Přidejte oblouk do trasy.

    Stisknutím tlačítka Přidat do trasy bude nově zadaný oblouk přidán do seznamu prvků.

    Prvek bude přidán na pozici kurzoru v seznamu prvků trasy.

Předcházející | Nahoru | Další
Definování trasy | Domů | Výpočetní kontroly


Výpočetní kontroly
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Výpočetní kontroly

Před výpočtem podrobných bodů je zadaná trasa podrobena důkladným testům. Jestliže některému z testů nevyhoví, je zobrazeno chybové hlášení a výpočet je ukončen.

Program provádí tyto kontroly:

Kontrola délky prvku

Program kontroluje, zda skutečná délka prvku, daná souřadnicemi jeho koncových bodů a ostatními parametry, odpovídá rozdílu staničení mezi koncovými body. Jestliže velikost rozdílu těchto dvou údajů překročí hodnotu 0.05m, je zobrazeno chybové hlášení a výpočet je ukončen.

Kontrola poloměrů křivosti

Na styku každých dvou sousedních prvků je kontrolován poloměr křivosti, který by v těchto bodech měl být pro oba prvky shodný. Jestliže velikost rozdílu těchto dvou údajů překročí hodnotu 0.50m, je zobrazeno chybové hlášení a výpočet je ukončen.

Kontrola spojitosti

Na styku každých dvou sousedních prvků je kontrolována spojitost trasy pomocí směrníků tečen. V každém stykovém bodě je vypočten směrník tečny k předchozímu i následujícímu prvku. Tečny v těchto bodech by měly být totožné. Jestliže velikost úhlu sevřeného těmito dvěma tečnami překročí hodnotu 1c, je zobrazeno chybové hlášení a výpočet je ukončen.

Předcházející | Nahoru | Další
Návrh oblouku | Domů | Výpočet bodů v ose komunikace


Výpočet bodů v ose komunikace
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Výpočet bodů v ose komunikace

Je-li zadána celá trasa, můžete přistoupit k výpočtu podrobných bodů. V dialogovém okně zadejte počáteční staničení, od něhož chcete body počítat, a interval staničení mezi jednotlivými body. Po stisknutí tlačítka Výpočet jsou vypočteny všechny podrobné body, jsou zařazeny do seznamu podrobných bodů, kde si je můžete prohlédnout, a je vytvořen protokol o výpočtu.

Body jsou číslovány průběžně od čísla 1 ve směru rostoucího staničení.

Máte-li v systému Groma spuštěn modul pro kontrolní kresbu, je ihned zobrazen průběh trasy, v němž jsou hlavní body trasy zobrazeny černě a podrobné body červeně.

Chcete-li vypočtené body uložit do seznamu souřadnic, přetáhněte je do něj myší z výpočetního dialogového okna, obdobně jako jinde v systému Groma. Program se vás dotáže, zda chcete uložit body v ose komunikace i na normálách.

Předcházející | Nahoru | Další
Výpočetní kontroly | Domů | Výpočet bodů na normálách


Výpočet bodů na normálách
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Výpočet bodů na normálách

Chcete-li počítat souřadnice podrobných bodů na normálách ke komunikaci, zadejte v dialogovém okně postupně jednotlivé vzdálenosti od osy (délky normál) oddělené čárkou. Body vlevo od osy vzhledem ke směru staničení se zadávají se zápornou vzdáleností, body vpravo s kladnou. Zadáte-li tedy např. -5,-2,0,2,5, program vypočte body na normálách k trase ve vzdálenostech -5m, -2m, 0m, 2m a 5m.

Po stisknutí tlačítka Výpočet jsou vypočtené souřadnice podrobných bodů uloženy do protokolu o výpočtu. Chcete-li body zobrazit v dialogovém okně nebo v kontrolní kresbě, vyberte v seznamu podrobných bodů ten bod, v němž chcete normálu vypočíst, a ukažte na něj myší. Ve spodní části dialogového okna, v seznamu bodů na normálách, budou příslušné body okamžitě zobrazeny.

Máte-li v systému Groma spuštěn modul pro kontrolní kresbu, budou v něm body na normálách zobrazeny zeleně.

Body jsou číslovány průběžně od čísla 1 ve směru rostoucího staničení. V předčíslí bodů na normále je číslo bodu v ose komunikace, v němž je normála vztyčena.

Chcete-li vypočtené body uložit do seznamu souřadnic, přetáhněte je do něj myší z výpočetního dialogového okna, obdobně jako jinde v systému Groma. Program se vás dotáže, zda chcete uložit body v ose komunikace i na normálách.

Předcházející | Nahoru | Další
Výpočet bodů v ose komunikace | Domů | Uložení vypočtených bodů trasy


Uložení vypočtených bodů trasy
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Uložení vypočtených bodů trasy

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Před uložením bodů bude zobrazeno dialogové okno s dotazem, které typy vypočtených bodů mají být uloženy:

Typy vypočtených bodů pro uložení

Po potvrzení budou zvolené typy bodů hromadně přeneseny do aktivního seznamu souřadnic.

Předcházející | Nahoru | Další
Výpočet bodů na normálách | Domů | Spuštění normály na osu


Spuštění normály na osu
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Spuštění normály na osu

V kterémkoli bodě zadaném souřadnicemi lze vypočítat normálu k ose trasy a souřadnice průmětu zadaného bodu na osu.

Pro spuštění normály slouží dialogové okno Trasa → Spustit normálu:

Spuštění normály na osu

Do dialogov0ho okna lze zadat nebo přetáhnout souřadnice bodu, z něhož má být spuštěna normála na osu komunikace.

Po přetažení bodu nebo stisknutí tlačítka Výpočet bude vypočtena normála k ose komunikace, průmět zadaného bodu na osu a jeho vzdálenost od osy. Všechny údaje budou zaprotokolovány, vypočtený bod lze přetáhnout do seznamu souřadnic.

Přejete-li si promítnout na osu více bodů a stačí-li vám pouze zápis do protokolu, lze body v seznamu souřadnic označit a přetáhnout všechny najednou.

Předcházející | Nahoru | Další
Uložení vypočtených bodů trasy | Domů | Výpočet vytyčovacích prvků


Výpočet vytyčovacích prvků
Předcházející Kapitola 52. Výpočet trasy komunikace Další

Výpočet vytyčovacích prvků

Chcete-li vypočíst vytyčovací prvky podrobných bodů, můžete k tomu použít systém Groma. Uložte vypočtené body do seznamu souřadnic a použijte úlohu Polární vytyčovací prvky nebo Ortogonální vytyčovací prvky.

Předcházející | Nahoru | Další
Spuštění normály na osu | Domů | Kapitola 53. Vyrovnání sítě


Kapitola 53. Vyrovnání sítě
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 53. Vyrovnání sítě

Obsah

Úvod
Ovládání programu
Varianty vyrovnání a připojení sítě
Helmertova transformace
Výběrová Helmertova transformace
Pevný bod a pevný směrník
Pevný bod a pevná souřadnice
Vázaná síť
Charakteristiky bodů
Charakteristiky pro polohové vyrovnání
Charakteristiky pro výškové vyrovnání
Změna charakteristiky bodů pro polohové nebo výškové vyrovnání
Parametry sítě
Vstupní data
Zapínání a vypínání položek
Vstupní body a jejich přibližné souřadnice
Seznam měřených směrů
Seznam měřených délek
Seznam měřených převýšení
Vyrovnání sítě
Uložení vyrovnaných souřadnic
Matematický model vyrovnání
Porovnání etap
Analýza sítě
Menu SOUBOR
Otevři
Ulož
Ulož jako
Konec
Menu SÍŤ
Parametry sítě
Nastavení protokolu
Smazat síť
Vypustit bod
Upravit střední chyby směrů
Upravit střední chyby délek
Upravit přibližné souřadnice podle vyrovnání
Upravit přibližné souřadnice ze seznamu souřadnic
Upravit střední chyby směrů
Upravit střední chyby délek
Zobrazit kontrolní kresbu
Porovnání etap
Vyrovnat síť
Analyzovat síť

Úvod

Program slouží k polohovému a výškovému vyrovnání geodetických sítí. Vyrovnání probíhá na základě metody nejmenších čtverců. Polohové a výškové vyrovnání je prováděno odděleně. Kromě vyrovnaných souřadnic poskytuje program mnoho charakteristik přesnosti a kontrolních údajů jak pro kontrolu výpočtu, tak pro vyhledávání hrubých chyb v měřených údajích.

Předcházející | Nahoru | Další
Výpočet vytyčovacích prvků | Domů | Ovládání programu


Ovládání programu
Předcházející Kapitola 53. Vyrovnání sítě Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna, stejně jako všechna standardní výpočetní okna systému Groma.

Modul Vyrovnání sítě MNČ

Vstupní hodnoty můžete zadávat přímo z klávesnice, nebo přetahovat myší ze seznamů otevřených v programu Groma. Všechny hodnoty můžete v seznamech editovat, přidávat a ubírat.

Chcete-li hodnotu uloženou v seznamu změnit, postupujte takto:

  • Ukažte na příslušnou položku v seznamu. Měřené údaje nebo souřadnice budou vypsány v editačních řádkách.

  • Opravte údaje na požadované hodnoty.

  • Stiskněte tlačítko Uložit.

Program neumožňuje uložit do seznamu více údajů se stejnými čísly bodů. Existuje-li již příslušný údaj v seznamu, je pouze aktualizován podle zadaných hodnot. Jestliže v seznamu není, program jej do seznamu přidá. Při editaci údajů ze seznamu tedy nemusíte používat tlačítko Odebrat, program provede aktualizaci automaticky.

Předcházející | Nahoru | Další
Kapitola 53. Vyrovnání sítě | Domů | Varianty vyrovnání a připojení sítě


Varianty vyrovnání a připojení sítě
Předcházející Kapitola 53. Vyrovnání sítě Další

Varianty vyrovnání a připojení sítě

Program umožňuje několik variant připojení vyrovnané sítě do referenčního systému.

Helmertova transformace

Mají-li všechny body vyrovnávané sítě charakteristiku Volný, proběhne vyrovnání za podmínky pro opravy přibližné konfigurace

[(dx2 + dy2)] = min

pro všechny body sítě. Vyrovnaná síť je umístěna Helmertovou transformací na všechny body sítě.

Výběrová Helmertova transformace

V této variantě musí mít alespoň dva body charakteristiku Helmert a ostatní Volný. Vyrovnání sítě proběhne za stejné podmínky, jako u předchozí varianty. Pro umístění vyrovnané sítě do referenčního systému jsou použity pouze body s charakteristikou Helmert.

Pevný bod a pevný směrník

V této variantě jsou při vyrovnání zachovány souřadnice pevného bodu a směrník z pevného bodu na bod s pevným směrníkem. Právě jeden bod v síti musí mít charakteristiku Pevný bod, jeden Pevný směrník, a ostatní body sítě musí mít charakteristiku Volný.

Pevný bod a pevná souřadnice

V této variantě jsou při vyrovnání zachovány obě souřadnice jednoho pevného bodu a jedna (zvolená) souřadnice druhého bodu. Právě jeden bod v síti musí mít charakteristiku Pevný bod, jeden Pevné X (Pevné Y), a ostatní body sítě musí mít charakteristiku Volný.

Vázaná síť

Vázaná síť obsahuje dva a více bodů s charakterem Pevný. Souřadnice těchto bodů nebudou vyrovnáním změněny. Měření mezi pevnými body nemají vliv na výsledky vyrovnání, ovlivní pouze výsledné charakteristiky přesnosti. Ostatní body mají charakter Volný.

Ukázky připojení sítě v závislosti na charakteristikách připojovacích bodů jsou uvedeny v kapitole Charakteristiky bodů.

Předcházející | Nahoru | Další
Ovládání programu | Domů | Charakteristiky bodů


Charakteristiky bodů
Předcházející Kapitola 53. Vyrovnání sítě Další

Charakteristiky bodů

Body vstupující do vyrovnání sítě mohou mít různé charakteristiky, v závislosti na tom, jakým způsobem se mají na vyrovnání sítě podílet. Charakteristiky se nastavují nezávisle pro polohové a výškové vyrovnání.

Charakteristiky pro polohové vyrovnání

Pro názornou ukázku typů připojení sítě byla připravena ukázková síť tvořená čtvercem. Rozměr sítě je o 20% větší, než by odpovídalo poloze připojovacích bodů, aby se zbytkových posunů na bodech bylo jasně vidět, jaký vliv na připojení sítě mají charakteristiky připojovacích bodů. Vstupní soubory se všemi variantami připojení sítě naleznete v adresáři Demodata/Sit/Zpusoby pripojeni

  • Pevné body

    Pevné body mají fixní, vyrovnáním nezměnitelné souřadnice. Po vyrovnání sítě budou mít výsledné pevné body stejné souřadnice, jaké měly při vstupu.

    Tabulka 53.1. Připojení sítě - 2 pevné body

    Obrázek | Charakteristiky bodů
    Připojení sítě - 2 pevné body
            Bod Způsob připojení
    1 | Pevný bod
    2 | Pevný bod
    3 | Volný
    4 | Volný

    Tabulka 53.2. Připojení sítě - 3 pevné body

    Obrázek | Charakteristiky bodů
    Připojení sítě - 2 pevné body
            Bod Způsob připojení
    1 | Pevný bod
    2 | Pevný bod
    3 | Pevný bod
    4 | Volný

    Důležité

    Mezi pevnými body by neměly být měřeny délky ani směry. Měření mezi pevnými body nemají vliv na výsledné vyrovnané souřadnice, ale negativné ovlivňují střední chyby.

  • Volná síť

    Volné body jsou všechny běžné body sítě, jejichž souřadnice mají být vyrovnány. Souřadnice všech volných bodů budou vyrovnáním změněny. Obsahuje-li síť pouze body tohoto typu, bude síť zároveň umístěna pomocí Helmertovy transformace na všechny body sítě.

    Tabulka 53.3. Připojení sítě - Volná síť

    Obrázek | Charakteristiky bodů
    Připojení sítě - volná síť
            Bod Způsob připojení
    1 | Volný
    2 | Volný
    3 | Volný
    4 | Volný

  • Helmert

    Chcete-li po vyrovnání umístit síť Helmertovou transformací pouze na zvolené body sítě, označte zvolené body charakteristikou Helmert a ostatní charakteristikou Volný.

    Tabulka 53.4. Připojení sítě - Helmert 2 body

    Obrázek | Charakteristiky bodů
    Připojení sítě - Helmert 2 body
            Bod Způsob připojení
    1 | Helmert
    2 | Helmert
    3 | Volný
    4 | Volný

    Tabulka 53.5. Připojení sítě - Helmert 3 body

    Obrázek | Charakteristiky bodů
    Připojení sítě - Helmert 3 body
            Bod Způsob připojení
    1 | Helmert
    2 | Helmert
    3 | Helmert
    4 | Volný

  • Pevné X, Pevné Y

    U bodů s touto charakteristikou se vyrovnáním nemění souřadnice X resp. Y.

    Tabulka 53.6. Připojení sítě - Pevné X na bodě 2

    Obrázek | Charakteristiky bodů
    Připojení sítě - Pevné X na bodě 2
            Bod Způsob připojení
    1 | Pevný bod
    2 | Pevné X
    3 | Volný
    4 | Volný

    Tabulka 53.7. Připojení sítě - Pevné X na bodě 3

    Obrázek | Charakteristiky bodů
    Připojení sítě - Pevné X na bodě 3
            Bod Způsob připojení
    1 | Pevný bod
    2 | Volný
    3 | Pevné X
    4 | Volný

    Tabulka 53.8. Připojení sítě - Pevné Y na bodě 3

    Obrázek | Charakteristiky bodů
    Připojení sítě - Pevné Y na bodě 2
            Bod Způsob připojení
    1 | Pevný bod
    2 | Volný
    3 | Pevné Y
    4 | Volný

    Tabulka 53.9. Připojení sítě - Pevné Y na bodě 4

    Obrázek | Charakteristiky bodů
    Připojení sítě - Pevné Y na bodě 4
            Bod Způsob připojení
    1 | Pevný bod
    2 | Volný
    3 | Volný
    4 | Pevné Y

  • Pevný směrník

    Tato charakteristika se používá ve spojení s pevným bodem. Má-li jeden z bodů charakteristiku Pevný bod a jeden Pevný směrník, pak budou po vyrovnání zachovány souřadnice pevného bodu a směrník z pevného bodu na bod s charakteristikou Pevný směrník.

    Tabulka 53.10. Připojení sítě - Pevný směrník

    Obrázek | Charakteristiky bodů
    Připojení sítě - Pevný směrník
            Bod Způsob připojení
    1 | Pevný bod
    2 | Volný
    3 | Pevný směrník
    4 | Volný

Charakteristiky pro výškové vyrovnání

  • Pevné body

    Pevné body mají fixní, vyrovnáním nezměnitelnou výšku. Po vyrovnání sítě budou mít výsledné pevné body stejnou výšku, jakou měly při vstupu.

  • Volná síť

    Volné body jsou všechny běžné body sítě, jejichž výška má být vyrovnána. Výšky všech volných bodů budou vyrovnáním změněny. Obsahuje-li síť pouze body tohoto typu, bude síť zároveň výškově umístěna pomocí Helmertovy transformace na všechny body sítě.

  • Helmert

    Chcete-li po vyrovnání umístit síť výškově Helmertovou transformací pouze na zvolené body sítě, označte výšku zvolených bodů charakteristikou Helmert a ostatních bodů charakteristikou Volná.

Změna charakteristiky bodů pro polohové nebo výškové vyrovnání

Přejete-li si změnit typ vyrovnání u některých bodů, postupujte podle postupu Změna typu polohového nebo výškového vyrovnání bodu.

Předcházející | Nahoru | Další
Varianty vyrovnání a připojení sítě | Domů | Parametry sítě


Parametry sítě
Předcházející Kapitola 53. Vyrovnání sítě Další

Parametry sítě

V dialogovém okně Nastavení → Parametry sítě můžete nastavit některé parametry. Některé z parametrů slouží pouze k dokumentačním účelům (správní údaje), zatímco některé jsou nezbytné pro vlastní vyrovnání (střední chyby, statistické testy). Podrobněji jsou tyto parametry popsány v referenční příručce.

Předcházející | Nahoru | Další
Charakteristiky bodů | Domů | Vstupní data


Vstupní data
Předcházející Kapitola 53. Vyrovnání sítě Další

Vstupní data

Jako vstupní údaje do vyrovnání slouží přibližné souřadnice bodů sítě, měřené vodorovné směry, měřené vodorovné délky a jejich střední chyby, a v případě výškového vyrovnání měřená převýšení mezi body (dále jen geometrické veličiny). O geometrických veličinách předpokládáme, že jsou opraveny o všechny matematické a fyzikální redukce a převedeny na spojnici středů stabilizačních značek. Tento převod lze provést pomocí nástrojů systému Groma, zejména pomocí nástroje Měření → Zpracování zápisníku.

Zapínání a vypínání položek

Před jednotlivými položkami v seznamech je zobrazeno zaškrtávací okénko, pomocí něhož lze údaje dočasně zapínat a vypínat, aniž by musely být odstraňovány ze seznamu a případně opět přidávány.

V některých případech program může nepoužitelné položky automaticky vypnout. Jedná se zejména o tyto případy:

  • Body, na nichž neproběhlo žádné měření.

  • Měření, které proběhla na bodech, jež nejsou uvedeny v seznamu bodů, nebo jsou v seznamu bodů vypnuté.

  • Měřené směry na stanovisku, které obsahuje pouze jedno měření.

Vstupní body a jejich přibližné souřadnice

Vyrovnání sítě - seznam bodů a jejich přibližných souřadnic

Pro všechny body zahrnuté do sítě musí být zadány přibližné souřadnice. Přibližné souřadnice můžete zadat ručně, přetáhnout ze seznamu souřadnic programu Groma (např. z předchozího vyrovnání, z předchozí etapy), nebo můžete nechat systém vypočítat přibližné souřadnice dávkově na základě seznamu měření.

Přetažení souřadnic z programu Groma

Chcete-li jako přibližné souřadnice pro vyrovnání použít souřadnice, které již máte v některém seznamu souřadnic v programu Groma, stačí je pouze označit a přetáhnout jako blok na tu část dialogového okna pro vyrovnání sítě, do níž se přibližné souřadnice zadávají (viz popis přetahování). Všechny body jsou automaticky přidány do seznamu souřadnic.

Důležité

Takto přidané body budou mít všechny charakteristiku, která byla nastavena v seznamu charakteristik před přetažením bloku. Chcete-li u některých bodů změnit charakteristiku, můžete buď změnu provést dodatečně, nebo body přetáhnout po částech, a požadovanou charakteristiku nastavit vždy před přetažením příslušného bloku.

Dávkový výpočet přibližných souřadnic

Nemáte-li k dispozici přibližné souřadnice bodů sítě, můžete je nechat programem dávkově spočítat. Aby dávkový výpočet správně proběhl, musíte dodržet určitý postup:

  1. V programu Groma otevřete všechny seznamy souřadnic, které potřebujete pro dávkový výpočet.

  2. Otevřete seznam měření, ze kterého chcete přibližné souřadnice počítat.

  3. V seznamu měření označte všechna měření, která mají vstupovat do vyrovnání, jako orientace. Měření na body označené jako podrobné jsou ignorována.

  4. V Nastavení → Prostředí zapněte volbu Hledat ve všech otevřených souborech.

  5. Přetáhněte název vstupního souboru s měřeními do dialogového okna pro vyrovnání sítě (do části pro zadávání přibližných souřadnic bodů). Název souboru se objeví v položce Vstupní soubor s měřením.

  6. V nastavení charakterisitik bodů pro polohové a výškové vyrovnání nastavte charakteristiku, kterou bude mít v síti nejvíce bodů.

  7. V Nastavení → Parametry sítě nastavte střední chybu měřeného směru a měřené délky.

  8. Stiskněte tlačítko Načíst data.

Program dávkově vypočte souřadnice všech stanovisek ze seznamu měření, přidá je do seznamu přibližných souřadnic, a zároveň do seznamu měřených směrů a délek přidá všechna měření, o nichž se domnívá, že budou použita pro vyrovnání sítě. Podrobné body v souboru s měřením vynechá. Doplní-li do seznamu měřených hodnot některé měření, které pro výpočet nechcete použít, nebo chcete-li ještě některé měření přidat, musíte příslušné změny provést ručně přidáním nebo ubráním jednotlivých údajů.

Po dávkovém načtení upravte charakteristiky bodů (pevné body, volné body atd.). Hromadná změna charakteristiky bodů je popsána v kapitole o Charakteristiky bodů.

Program pro výpočet souřadnic bodů využívá dávkový výpočet polární metody z programu Groma. Při výpočtu umí zpracovat polární metodu, volné stanovisko a protínání z orientovaných směrů. Před zahájením výpočtu tedy musí být k dispozici souřadnice alespoň nejnutnějších bodů, ze kterých lze ostatní body odvodit podle měřených údajů. V některých konfiguracích (např. pouze délkově zaměřené trojúhelníkové řetězce, nebo nebylo-li mezi známými body přímo měřeno) může dávkový výpočet selhat. V takovém případě můžete pro výpočet přibližných souřadnic použít jednotlivé výpočetní úlohy systému Groma.

Důležité

Jsou-li v síti některé délky měřeny obousměrně, musíte nejprve zpracovat seznam měření tak, aby obsahoval pouze jednu průměrnou hodnotu. Ve vstupních datech pro vyrovnání sítě se žádná geometrická veličina nemůže vyskytovat vícekrát. Ke zpracování seznamu měření můžete použít nástroj Měření → Zpracování zápisníku systému Groma.

Změna typu polohového nebo výškového vyrovnání bodu

Přejete-li si u některého bodu nebo u více bodů změnit charakteristiky pro vyrovnání, postupujte takto:

Změna typu vyrovnání pro jeden bod

  1. Zvolte příslušný bod v seznamu přibližných souřadnic.

  2. Změňte charakteristiku bodu pro polohové a/nebo výškové vyrovnání. Zároveň můžete změnit i kterýkoli další údaj.

  3. Stiskněte tlačítko Uložit. Má-li přidávaný bod stejné číslo, jako existující bod v seznamu přibližných souřadnic, nebude do seznamu přidán, ale pouze upraven dle zadaných údajů.

Změna typu vyrovnání hromadně pro více bodů

  1. Vyberte v seznamu přibližných souřadnic požadované body. Při výběru můžete používat klávesy Shift a Ctrl, tak, jak je ve Windows běžné.

  2. Je-li vybráno v seznamu více bodů, budou v dialogu zobrazeny pouze nabídky charakteristik bodů pro polohové a výškové vyrovnání (jiné údaje hromadně měnit nelze). Ostatní vstupní pole budou skryta:

    Vyrovnání sítě - hromadná změna charakterisitik bodů

    Ponecháte-li některou charakteristiku jako neurčenou ([-]), nebude u označených bodů měněna. Nastavíte-li nějakou jinou hodnotu, bude po stisknutí tlačítka Je-li vybráno v seznamu více bodů, budou ve vstupních okénkách zobrazeny pouze nabídky charakteristik bodů pro polohové a výškové vyrovnání (jiné údaje hromadně měnit nelze). Ostatní vstupní pole budou skryta. Změňte charakteristiku bodů pro polohové a/nebo výškové vyrovnání. Pokud jednu z charakteristik nechcete měnit, nechte ji neurčenou.

    Zobrazeným ukázkovým nastavením tedy změníte pro body čísla 4004 a vyššího typ polohového vyrovnání bodů na Volný bod, typ výškového vyrovnání zůstane nezměněn.

  3. Stiskněte tlačítko Uložit. Označeným bodům budou charakteristiky pro polohové a výškové vyrovnání upraveny.

Seznam měřených směrů

Vyrovnání sítě - seznam měřených směrů

Do seznamu měřených směrů zadejte všechny směry, které chcete využít při vyrovnání sítě. Obdobně jako u přibližných souřadnic, směry můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Dávkový výpočet přibližných souřadnic). U každého měřeného směru musí být zadán odhad jeho střední chyby. Při přetahování nebo dávkovém výpočtu program doplní střední chybu směru, nastavenou v Nastavení → Parametry sítě.

Poznámka

Každá geometrická veličina může být v seznamu vstupních hodnot uvedena pouze jednou. Pokud přidáte do seznamu měření mezi dvěma body, mezi nimiž je měření již v seznamu uloženo, nová položka nebude přidána, bude pouze aktualizována stávající.

Seznam měřených délek

Vyrovnání sítě - seznam měřených délek

Do seznamu měřených délek zadejte všechny délky, které chcete využít při vyrovnání sítě. Obdobně jako u přibližných souřadnic, délky můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Dávkový výpočet přibližných souřadnic). U každé měřené délky musí být zadán odhad její střední chyby. Při přetahování nebo dávkovém výpočtu program doplní střední chybu délky, nastavenou v Nastavení → Parametry sítě.

Program předpokládá, že jsou vstupující délky vodorovné a po všech potřebných matematických a fyzikálních redukcích.

Poznámka

Každá geometrická veličina může být v seznamu vstupních hodnot uvedena pouze jednou. Pokud přidáte do seznamu měření mezi dvěma body, mezi nimiž je měření již v seznamu uloženo, nová položka nebude přidána, bude pouze aktualizována stávající.

Seznam měřených převýšení

Vyrovnání sítě - seznam měřených převýšení

Do seznamu měřených převýšení zadejte všechna převýšení mezi body sítě, která chcete využít při vyrovnání. Obdobně jako u ostatních údajů, převýšení můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Dávkový výpočet přibližných souřadnic). U každého měřeného převýšení musí být zadána přibližná délka, ze které je odvozena váha pro vyrovnání. Pokud délku nezadáte, program si ji před výpočtem určí z přibližných souřadnic. V nastavení parametrů sítě musíte před výpočtem nastavit jednotkovou střední chybu převýšení, a zvolit, jakým způsobem jsou počítány váhy jednotlivých převýšení. Váhy mohou být počítány podle vztahu

pi = 1/si,

nebo

pi = m0/si2

kde pi je váha příslušného převýšení, m0 je jednotková střední chyba, a si je délka v kilometrech.

Varování

Program předpokládá, že jsou vstupující převýšení přepočtena na spojnici stabilizačních značek (tj. opravena o výšku stroje a signálu). Tuto opravu lze provést nástrojem Měření → Zpracování zápisníku přímo v systému Groma.

Poznámka

Každá geometrická veličina může být v seznamu vstupních hodnot uvedena pouze jednou. Pokud přidáte do seznamu měření mezi dvěma body, mezi nimiž je měření již v seznamu uloženo, nová položka nebude přidána, bude pouze aktualizována stávající.

Předcházející | Nahoru | Další
Parametry sítě | Domů | Vyrovnání sítě


Vyrovnání sítě
Předcházející Kapitola 53. Vyrovnání sítě Další

Vyrovnání sítě

Máte-li správně zadány všechny vstupní hodnoty, můžete nechat síť vyrovnat stisknutím tlačítka Výpočet. Program na obrazovku zobrazuje postup výpočtu a po jeho dokončení ve výsledkové části dialogového okna zobrazí vyrovnané souřadnice a jejich střední chyby. Podrobný protokol o výpočtu se zobrazí po stisknutí tlačítka Protokol.

Vyrovnání sítě - výsledné souřadnice

Varování

Pro správnou interpretaci výsledků vyrovnání, zejména charakteristik přesnosti, musíte mít alespoň základní znalosti z teorie vyrovnávacího počtu a statistiky. Také je třeba mít na paměti, že při malém počtu nadbytečných pozorování jsou charakteristiky přesnosti poměrně nespolehlivé a mají malou vypovídací schopnost.

Předcházející | Nahoru | Další
Vstupní data | Domů | Uložení vyrovnaných souřadnic


Uložení vyrovnaných souřadnic
Předcházející Kapitola 53. Vyrovnání sítě Další

Uložení vyrovnaných souřadnic

Vypočtené body lze uložit do libovolného seznamu souřadnic přetažením nebo do aktivního seznamu souřadnic stisknutím tlačítka pro uložení vypočtených souřadnic.

Poznámka

Při přetahování musíte ukázat kamkoli do části dialogového okna, kde jsou zobrazeny vyrovnané souřadnice, mimo vlastní seznam souřadnic. Při ukázání přímo do seznamu výsledných souřadnic je v něm zobrazen kurzor na příslušné položce, ale není možno ji přetáhnout do seznamu souřadnic programu Groma.

Předcházející | Nahoru | Další
Vyrovnání sítě | Domů | Matematický model vyrovnání


Matematický model vyrovnání
Předcházející Kapitola 53. Vyrovnání sítě Další

Matematický model vyrovnání

Síť je vyrovnávána metodou vyrovnání měření zprostředkujících s podmínkami. Jako zprostředkující veličiny jsou použity vodorovné délky a vodorovné úhly. Linearizovaný model vyrovnání je dán vztahem

D v = A h - l,

kde D je matice lineárního operátoru transformace měřených veličin na veličiny zprostředkující, v je vektor oprav geometrických veličin, A je matice lineárního operátoru designu sítě h je vektor oprav konfigurace a l je vektor pravých stran linearizovaného modelu sítě

za podmínky

vT* P v = min

Model se řeší za doplňujících podmínek na opravu přibližné konfigurace, které je možno zapsat ve tvaru

G h = 0

Řešení oprav konfigurace je pak dáno vztahem

h = (AT P A + GT G)-1 AT P l = N-1 AT P l

V průběhu výpočtu program provádí řadu kontrol, jejichž výsledky ukládá do protokolu. Mezi tyto kontroly patří:

  • kontrola inverze (dvojí norma matice reziduí),

  • kontrola podmínky G h = 0,

  • norma vektoru AT P w = 0,

  • dvojí výpočet oprav geometrických veličin,

  • dvojí výpočet oprav zprostředkujících veličin,

  • dvojí výpočet [pvv],

  • kontrolní výpočet wT P w.

Kromě toho program ještě provádí řadu interních kontrol na konzistentnost vstupních dat.

Velikosti vypočtených oprav geometrických veličin jsou testovány na odlehlost podle nastavených rizik (alfa a beta). Při překročení testu program vypočte odhad chyby v geometrické veličině. Tento odhad je poměrně spolehlivý za předpokladu ojedinělosti chyby v souboru měření.

Předcházející | Nahoru | Další
Uložení vyrovnaných souřadnic | Domů | Porovnání etap


Porovnání etap
Předcházející Kapitola 53. Vyrovnání sítě Další

Porovnání etap

Program vám umožňuje porovnat jednotlivé etapy vyrovnání sítě. Jestliže již proběhlo vyrovnání dané sítě, program se dotáže na název souboru s referenční sítí (soubor typu .net), a jestliže jsou v něm uloženy vyrovnané souřadnice, sestaví do tabulky v protokolu složky, velikosti a směrníky posunů mezi oběma etapami.

Předcházející | Nahoru | Další
Matematický model vyrovnání | Domů | Analýza sítě


Analýza sítě
Předcházející Kapitola 53. Vyrovnání sítě Další

Analýza sítě

Program umožňuje provést analýzu konfigurace sítě ještě před jejím zaměřením. Tuto funkci lze použít při plánování měření, zejména pro předběžné odhady přesnosti.

Do analýzy vstupují pouze přibližné souřadnice bodů, ostatní geometrické veličiny jsou v zadání pouze z důvodu definice rozsahu měřených prvků (definice spojnic), vlastní číselné hodnoty jsou při analýze ignorovány.

Výsledkem analýzy je odhad chybových charakteristik bodů sítě (odhad středních chyb a chybových elips). Na základě těchto výsledků lze případně ještě před měřením konfiguraci sítě upravit, například změnou tvaru nebo doplněním spojnic.

Předcházející | Nahoru | Další
Porovnání etap | Domů | Menu SOUBOR


Menu SOUBOR
Předcházející Kapitola 53. Vyrovnání sítě Další

Menu SOUBOR

Příkazy menu Soubor slouží k manipulaci se soubory a ukončení programu.

Otevři

Tímto příkazem můžete načíst data pro vyrovnání sítě ze souboru. Program umí pracovat se dvěma typy souborů:

  • Groma: Vlastní formát systému Groma

  • ČVUT: Textový formát používaný na ČVUT Praha

Ulož

Příkaz slouží pro uložení sítě do souboru. Je-li síť již pojmenována (byla-li již uložena, nebo byla-li načtena ze souboru), program síť uloží bez dalšího dotazu pod starým jménem. Nebylo-li ještě jméno sítě zadáno, program se na něj před uložením dotáže.

Ulož jako

Příkaz slouží k uložení sítě do souboru. Od předchozího příkazu se liší tím, že se na název souboru dotáže vždy.

Konec

Tímto příkazem ukončíte práci s programem. Byla-li síť po posledním uložení změněna, program se dotáže, zda ji chcete uložit.

Předcházející | Nahoru | Další
Analýza sítě | Domů | Menu SÍŤ


Menu SÍŤ
Předcházející Kapitola 53. Vyrovnání sítě Další

Menu SÍŤ

Parametry sítě

V tomto dialogovém okně je nutno nastavit některé parametry vyrovnávané sítě.

Vyrovnání sítě - nastavení parametrů

Lokalita

Název lokality, který je ukládán do protokolu.

Datum

Datum měření v síti.

Etapa

Název etapy, který je ukládán do protokolu.

Jednotková střední chyba - polohový výpočet

Apriorní jednotková chyba m0, která bude použita při vyrovnání. Nejsou-li měřeny délky, zadejte zde jednotkovou střední chybu směru, jsou-li měřeny délky, zadejte jednotkovou střední chybu délky. Po vyrovnání je testován poměr této apriorní jednotkové střední chyby a jednotkové střední chyby aposteriorní, určené na základě vyrovnání. Tento poměr by se měl co nejvíce blížit hodnotě 1.

Jednotková střední chyba - výškový výpočet

Apriorní jednotková chyba m0, která bude použita při vyrovnání. Po vyrovnání je testován poměr této apriorní jednotkové střední chyby a jednotkové střední chyby aposteriorní, určené na základě vyrovnání. Tento poměr by se měl co nejvíce blížit hodnotě 1.

Střední chyba směru

Odhad střední chyby měřeného směru [cc].

Počet měření směrů (skupin)

Měříte-li směry opakovaně, případně v řadách a skupinách, můžete zde zadat počet měření, z nichž je každý vstupní směr zprůměrován. Střední chyba směru bude vypočtena podle vztahu mi = m0 / sqrt(počet měření směrů).

Střední chyba délky

Odhad střední chyby měřené délky. Střední chyba se zadává ve tvaru A + B ppm, kde A je součtová část a B násobná část střední chyby, obdobně jako je charakterizována přesnost elektronických dálkoměrů. Např. při nastavení 3+2ppm bude pro délku 2000 m nabídnuta střední chyba 3 mm + 2*2 mm = 7 mm.

Načíst váhy směrů a délek ze zápisníku měření

Byl-li zápisník měření před načtením dávkově zpracován a obsahoval-li opakovaná měření, pravděpodobně mají po zpracování jednotlivé směry a délky nastavenu váhu v závislosti na počtu opakovaných měření. Tímto přepínačem volíte, zda mají být takto vzniklé váhy zahrnuty do výpočtu.

Při zapnutí tohoto přepínače budou při načítání zápisníku váhy směrů a délek u jednotlivých měření použity. Vstupní střední chyby směrů a délek budou pro jednotlivá měření přizpůsobeny váhám. Střední chyby směrů a délek budou vypočteny podle vztahu mi = m0 / sqrt(váha).

Je-li přepínač vypnut, budou při načítání váhy měření ignorovány.

Váha převýšení

Váhy převýšení jsou vypočteny dle vztahů uvedených v uživatelské příručce.

Alfa, Beta

Parametry Alfa a Beta (v procentech) pro testování statistických hypotéz o dodržení přesnosti měření.

Tolerance přibližných souřadnic

Zde můžete zadat mezní rozdíly mezi měřenými veličinami a jejich ekvivalenty vypočtenými z přibližných souřadnic. Kontrola se provádí ze dvou důvodů:

  1. Odstranění hrubých chyb před vyrovnáním: Pokud některé měření nevyhoví kritériím, je pravděpodobné, že je zatíženo hrubou chybou. Může se jednat o chybu při měření, při přípravě dat, nebo např. omyl v čísle bodu.

  2. Kontrola přesnosti přibližných souřadnic: Vyrovnání sítě probíhá na linearizovaném modelu sítě. Proto by se měly přibližné souřadnice co nejvíce blížit výsledným vyrovnaným souřadnicím, jinak existuje riziko, že se při velkých souřadnicových opravách dostaneme mimo oblast linearizace. Ve výjimečných případech lze dočasně tyto limity zvětšit, provést předběžné vyrovnání, vyrovnané souřadnice použít jako nové přibližné, a vyrovnání zopakovat. Postup je uveden u příkazu Upravit přibližné souřadnice podle vyrovnání.

Nastavení protokolu

V tomto dialogovém okně lze nastavit podrobnost výpisu vyrovnání do protokolu.

Vyrovnání sítě - nastavení protokolu

Pomocí přepínače Jednoduchý protokol / Úplný protokol lze udělat základní nastavení protokolování. Ve variantě jednoduchého protokolu jsou některé tabulky zkráceny a nezobrazují všechny podrobné údaje, které je možno zobrazit v úplném protokolu. Pro běžné práce obvykle tyto údaje nejsou nezbytné.

Dále lze pomocí zaškrtávacích polí volit které součásti protokolu mohou být vynechány. Obvykle není třeba např. informace o kovarianční matici a výpis využití paměti.

Smazat síť

Tímto příkazem můžete smazat celou síť. Byla-li síť po posledním uložení změněna, program se dotáže, zda ji chcete uložit.

Vypustit bod

Chcete-li vypustit bod ze sítě, označte jej kurzorem v seznamu přibližných souřadnic, a zvolte tento příkaz. Po jeho vyvolání je zobrazeno dialogové okno, kde můžete potvrdit nebo změnit číslo bodu, který chcete smazat.

Vyrovnání sítě - vypuštění bodu

Rozdíl oproti stisknutí tlačítka Odebrat spočívá v tom, že tento příkaz vypustí ze sítě nejen přibližné souřadnice zvoleného bodu, ale i všechna měření, v nichž daný bod figuruje.

Upravit střední chyby směrů

Tímto příkazem můžete hromadně změnit střední chyby všech měřených směrů v síti. Všem měřeným směrům bude nastavena střední chyba dle nastavení v Parametrech sítě.

Upravit střední chyby délek

Tímto příkazem můžete hromadně změnit střední chyby všech měřených délek v síti. Všem měřeným délkám bude nastavena střední chyba dle nastavení v Parametrech sítě.

Upravit přibližné souřadnice podle vyrovnání

Vyrovnání sítě probíhá na linearizovaném modelu sítě. Proto by se měly přibližné souřadnice co nejvíce blížit výsledným vyrovnaným souřadnicím, jinak existuje riziko, že se při velkých souřadnicových opravách dostaneme mimo oblast linearizace modelu. Pokud by bylo podezření, že se tak stalo (při velkých souřadnicových opravách), lze první vyrovnání brát jako předběžné, vyrovnané souřadnice použít jako nové přibližné, a vyrovnání zopakovat. V ideálním případě by souřadnicové opravy z druhého vyrovnání měly být blízké nule, což by znamenalo, že již první vyrovnání příliš nevybočilo z mezí linearizace.

Tento příkaz slouží k nastavení vyrovnaných souřadnic jako nové přibližné.

Poznámka

Tento příkaz je dostupný až po vyrovnání sítě. Před vyrovnáním nejsou vyrovnané souřadnice k dispozici.

Upravit přibližné souřadnice ze seznamu souřadnic

Máte-li v seznamu souřadnic v Gromě k dispozici přesnější přibližné souřadnice, než jaké jsou zadané v síti, lze tímto příkazem nechat přibližné souřadnice aktualizovat.

Před spuštěním příkazu je třeba zajistit, aby byly souřadnice v systému nalezeny (tj. otevřít příslušné soubory a nastavit vlastnosti vyhledávání bodů).

Po provedení příkazu budou změny zaznamenány v protokolu.

Upravit střední chyby směrů

Po zadání tohoto příkazu je všem měřeným směrům nastavena apriorní střední chyba směru nastavená v parametrech sítě. Tento příkaz použijte, chcete-li dodatečně (např. na základě protokolu z předchozího výpočtu) hromadně upravit střední chyby všech směrů.

Upravit střední chyby délek

Po zadání tohoto příkazu je všem měřeným délkám nastavena apriorní střední chyba směru podle nastavení v parametrech sítě. Tento příkaz použijte, chcete-li dodatečně (např. na základě protokolu z předchozího výpočtu) hromadně upravit střední chyby všech délek.

Zobrazit kontrolní kresbu

Pomocí tohoto příkazu lze v systému Groma zobrazit kontrolní kresbu sítě, aniž by síť musela být počítána. Tuto kontrolní kresbu je možné vytisknout. Po výpočtu je kontrolní kresba zobrazena automaticky.

Porovnání etap

Jestliže již proběhlo vyrovnání dané sítě, program se vás po volbě tohoto příkazu dotáže na název souboru s referenční sítí (soubor typu .net), a jestliže jsou v něm uloženy vyrovnané souřadnice, sestaví do tabulky v protokolu složky, velikosti a směrníky posunů mezi oběma etapami.

Vyrovnat síť

Tímto příkazem se spustí vyrovnání sítě. Dle nastavení v Parametrech sítě bude provedeno polohové a/nebo výškové vyrovnání.

Po dokončení výpočtu bude zobrazena záložka s vyrovnanými souřadnicemi.

Podrobnosti o vyrovnání budou uvedeny v protokolu.

Analyzovat síť

Příkaz slouží k analýze sítě. Analýza slouží k chybovému rozboru konfigurace sítě ještě před měřením.

Předcházející | Nahoru | Další
Menu SOUBOR | Domů | Část V. Informace o databázových serverech podporovaných systémem Groma


Část V. Informace o databázových serverech podporovaných systémem Groma
Předcházející Další

Část V. Informace o databázových serverech podporovaných systémem Groma

Obsah

54. Obecný postup při nastavení databází
55. Instalace a konfigurace databázových serverů
MySQL
1. Stažení instalačních souborů
2. Instalace serveru a ODBC driveru
3. Samostatná instalace ODBC driveru
4. Konfigurace pro vzdálený přístup
Oracle
1. Stažení
2. Instalace
56. Poinstalační konfigurace databáze
Spuštění postalační konfigurace databáze
Ovládání nástroje pro konfiguraci databáze
Vytvoření databáze
Vytvoření uživatele
57. Připojení systému Groma k databázi
58. Inicializace databáze
59. Založení projektu
60. Import dat z výměnného formátu nebo vzorových dat
Předcházející |  | Další
Menu SÍŤ | Domů | Kapitola 54. Obecný postup při nastavení databází


Kapitola 54. Obecný postup při nastavení databází
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 54. Obecný postup při nastavení databází

Před zahájením práce s databází je třeba naistalovat databázový server, který bude sloužit jako úložiště dat. Systém Groma v současné době podporuje databáze Oracle a MySQL . K databázím se připojuje prostřednictvím ODBC driverů. Postup instalace je pro každý typ databáze jiný, budou zde tedy popsány všechny postupně.

Bez ohledu na typ použitého serveru je třeba postupně provést tyto kroky:

  • Instalace databázového serveru

    Na jednom z počítačů v síti je třeba instalovat databázový server, na němž budou ukládána všechna data. K serveru se mohou připojovat všechny stanice, na nichž běží systém Groma. Data jsou tedy sdílená a uložená centrálně, což je výhodné z důvodu administrace a zálohování.

  • Instalace ODBC driveru

    Prostřednictvím ODBC driveru se systém Groma připojuje k databázi. ODBC driver je třeba instalovat na každé stanici, na níž má běžet systém Groma. ODBC drivery ke svým databázím poskytují jejich výrobci.

  • Poinstalační konfigurace databázového serveru

    Některé servery vyžadují po instalaci úpravu nastavení. Zejména bývá třeba explicitně povolit vzdálený přístup k databázi. S tím souvisí i nastavení pravidel firewallu systému Windows na klientské i serverové straně tak, aby byla povolena komunikace se serverem. Obecně se jedná o povolení TCP komunikace na příslušném portu, na němž databáze běží.

    Dále je třeba vytvořit prázdnou databázi, do níž budou data ukládána, a uživatelský účet, pod nímž se budou uživatelé systému Groma k serveru přihlašovat. Oba tyto kroky lze provést přímo ze systému Groma.

  • Připojení systému Groma k databázi

    Po všech předchozích krocích je možno se systémem Groma připojit k databázi.

  • Inicializace databáze (vytvoření tabulek, import systémových číselníků)

    Před zahájením práce na nové zakázce je třeba založit projekt a nastavit všechny potřebné údaje.

  • Založení projektu

  • Import dat z výměnného formátu nebo vzorových dat

    Po provedení všech předchozích kroků je možno naimportovat do databáze data, a to v podobě souboru s výměnným formátem, zálohy projektu atd.

Předcházející | Nahoru | Další
Část V. Informace o databázových serverech podporovaných systémem Groma | Domů | Kapitola 55. Instalace a konfigurace databázových serverů


Kapitola 55. Instalace a konfigurace databázových serverů
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 55. Instalace a konfigurace databázových serverů

Obsah

MySQL
1. Stažení instalačních souborů
2. Instalace serveru a ODBC driveru
3. Samostatná instalace ODBC driveru
4. Konfigurace pro vzdálený přístup
Oracle
1. Stažení
2. Instalace

MySQL

MySQL je open-source databáze, která je velmi často využívána ve spojení s webovými aplikacemi, ale lze ji velmi dobře využít i v jiných oblastech. Je relativně malá a jednoduchá, ale dostatečně výkonná a poskytuje všechno, co je pro systém Groma třeba. Lze ji provozovat, mimo jiné, na platformách Windows i Linux.

1. Stažení instalačních souborů

Informace o stažení databáze MySQL naleznete zde. V následující ukázce instalace byl použit server verze 5.6.22 a ODBC driver verze 5.3.

2. Instalace serveru a ODBC driveru

Instalační program je dodáván ve formě MSI balíčku pro službu Windows Installer. Po jeho spuštění se objeví úvodní tabulka:

Po stisknutí tlačítka Next budete dotázáni na typ instalace. Protože standardní instalace instaluje mnoho komponent, které pro systém Groma nejsou potřebné, je vhodnější zvolit uživatelskou instalaci a vybrat pouze nezbytné součásti:

V dalším dialogovém okně vám vyberete komponenty, které chcete nainstalovat. Požadované komponenty vyberete ve stromě v levém panelu a pomocí zelené šipky je přemístíte do pravého panelu.

Nejprve je třeba vybrat vlastní databázový server. Při instalaci v 64bitové verzi Windows můžete použít jak 32bitovou, tak 64bitovou verzi serveru. Doporučujeme použít 64bitovou verzi:

Dále vyberte ODBC driver pro připojení k serveru. Na rozdíl od databázového serveru, zde musíte zvolit 32bitovou verzi (musí se shodovat s architekturou aplikace, která driver využívá. Groma je 32bitová, je tedy třeba zvolit 32bitový driver):

Po stisknutí tlačítka Next bude zobrazen seznam komponent zvolených k instalaci:

Po potvrzení proběhne instalace serveru.

Po dokončení instalace je zobrazeno okno, v němž zobrazen výsledek instalace:

Dále je zobrazeno okno s přípravou ke konfiguraci:

V prvním okně s nastaveními můžete ponechat následující přednastavené hodnoty:

V tomto okně budete požádáni o zadání hesla k administrátorskému účtu. Zvolené heslo si pečlivě poznamenejte a uschovejte, bez něj nelze dělat další operace s databází (zakládání databáze, uživatelů atd.).

Další uživatelské účty v tomto kroku vytvářet nemusíme, vytvářejí se až později pomocí nástrojů systému Groma:

Volby v dalším okně opět mohou zůstat nezměněné:

Dále se zobrazí okno, v němž lze sledovat postup konfigurace:

Výsledek by měl vypadat takto:

Dále už se zobrazí pouze dvě okna potvrzující úspěšnou instalaci:

3. Samostatná instalace ODBC driveru

ODBC driver lze nainstalovat i samostatně. Samostatná instalace se použije v případě, že se připojujete z více klientských stanic k jednomu serveru. V takovém případě se server instaluje pouze jednou a na klientských stanicích stačí nainstalovat pouze ODBC driver.

Bez ohledu na architekturu instalovaných Windows je nutno v každém případě použít 32bitovou verzi (musí se shodovat s architekturou aplikace, která driver využívá - Groma je 32bitová, je tedy třeba zvolit 32bitový driver).

Po spuštění instalačního programu je zobrazena úvodní obrazovka:

V dalším dialogovém okně je třeba potvrdit souhlas s licenčními podmínkami:

V dalším dialogovém okně můžete zvolit typickou instalaci:

Další dialogové okno zobrazí seznam komponent k instalaci:

Pokud při instalaci nenastane nějaká chyba, bude na závěr zobrazena informace o dokončení instalace:

4. Konfigurace pro vzdálený přístup

Přejete-li si přistupovat k databázi z jiného počítače, je třeba ještě provést několik úprav konfigurace:

  • Povolení komunikace na firewallu: Ujistěte se, že jsou na obou počítačích nastavena pravidla ve firewallu (je-li zapnut) tak, aby byla umožněna komunikace na TCP portu 3306.

  • Nastavení adresy serveru v konfiguraci Gromy: V konfiguračním souboru pro práci s databázemi Groma8\sql\db.ini je třeba v příslušném databázovém profilu (viz Uživatelská příručka systému Groma) upravit v položce "server" atribut "server=" tak, aby byl nastaven na název nebo IP adresu počítače, na němž běží databázový server. Standardně je tento atribut nastaven na hodnotu "localhost".

Předcházející | Nahoru | Další
Kapitola 54. Obecný postup při nastavení databází | Domů | Oracle


Oracle
Předcházející Kapitola 55. Instalace a konfigurace databázových serverů Další

Oracle

Oracle je v současné době jeden z nejpropracovanějších databázových systémů. Jediná jeho nevýhoda je, že neexistuje žádná bezplatná verze, a ceny komerčních licencí jsou poměrně vysoké.

1. Stažení

Systém lze bezplatně stáhnout a nainstalovat, ale pouze pro testovací účely - pro komerční nasazení je třeba platná licence. Instalační CD lze stáhnout přímo ze stránek Oracle (http://www.oracle.com)

2. Instalace

Instalace se spustí automaticky po vložení instalačního média. Při instalaci je použit průvodce, takže by měla být jasná a bezproblémová.

Předcházející | Nahoru | Další
Kapitola 55. Instalace a konfigurace databázových serverů | Domů | Kapitola 56. Poinstalační konfigurace databáze


Kapitola 56. Poinstalační konfigurace databáze
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 56. Poinstalační konfigurace databáze

Obsah

Spuštění postalační konfigurace databáze
Ovládání nástroje pro konfiguraci databáze
Vytvoření databáze
Vytvoření uživatele

Systém Groma obsahuje funkce, které zjednodušují poinstalační konfiguraci databáze.

Spuštění postalační konfigurace databáze

Funkci pro konfiguraci databáze naleznete v nabídce systému Groma, v menu Databáze - Vytvoření databáze a uživatele.

Předcházející | Nahoru | Další
Oracle | Domů | Ovládání nástroje pro konfiguraci databáze


Ovládání nástroje pro konfiguraci databáze
Předcházející Kapitola 56. Poinstalační konfigurace databáze Další

Ovládání nástroje pro konfiguraci databáze

Po spuštění se zobrazí dialogové okno, v němž je třeba zadat přihlašovací údaje:

  • Jméno: přihlašovací jméno

  • Heslo: heslo pro přihlášení k serveru

  • Instance/server: název nebo IP adresa databázového serveru, v případě Oracle název instance

  • Ovladač: ODBC ovladač příslušné databáze (musí být nainstalován, lze najít v ovládacích panelech)

  • Typ DB: typ databázového serveru (název ODBC driveru)

Tyto přihlašovací údaje systém používá při vytváření databáze a uživatele. Musí se tedy jednat o přihlašovací údaje k účtu, který má práva tyto administrativní úkony provádět.

Vytvoření databáze

  • Jméno: název databáze, která má být vytvořena

  • Velikost (pouze pro Oracle a SQL Server): implicitní velikost databáze

  • Cesta k databázovým souborům (pouze pro Oracle a SQL Server): adresář, v němž budou datové soubory umístěny. Implicitní hodnota je převzatá z registru pro zvolený typ databáze (je-li tento nástroj spuštěn přímo na serveru)

Po stisknutí tlačítka Vytvořit program vytvoří dle zadaných parametrů databázi. V systému Oracle je navíc vytvořen tablespace stejného jména, jako je název vytvářené databáze. K takto vytvořené databázi se lze připojit systémem Groma, který po připojení k prázdné databázi automaticky nabídne vytvoření všech potřebných tabulek.

Po stisknutí tlačítka Odstranit program odstraní databázi zadaného jména.

Poznámka

V systému Oracle byl při vytváření databáze vytvořen i příslušný tablespace, který ale při odstranění databáze tímto příkazem odstraněn nebude - pokud si přejete jej odstranit, musíte k tomu použít některý z nástrojů dodávaných k systému Oracle (např. Enterprise Manager).

Varování

V systému Oracle je odstraněn uživatel i s databází a veškerými daty v jednom kroku.

Vytvoření uživatele

  • Jméno: název uživatelského účtu, který má být vytvořen

  • Heslo: heslo k uživatelskému účtu

Po stisknutí tlačítka Vytvořit program vytvoří dle zadaných parametrů uživatelský účet.

Poznámka

Pro správnou funkčnost je třeba účtu nastavit práva k příslušné databázi, takže je třeba mít vyplněn i název datamáze v rámečku Databáze.

Po stisknutí tlačítka Odstranit program odstraní uživatelský účet zadaného jména.

Varování

V systému Oracle je odstraněn uživatel i s databází a veškerými daty v jednom kroku.

Předcházející | Nahoru | Další
Kapitola 56. Poinstalační konfigurace databáze | Domů | Kapitola 57. Připojení systému Groma k databázi


Kapitola 57. Připojení systému Groma k databázi
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 57. Připojení systému Groma k databázi

K databázi se připojíte ze systému Groma pomocí příkazu Databáze - Připojit k databázi. Máte-li server nainstalován lokálně, a neměnili-li jste při inicializaci databáze přednastavené parametry (zejména název databáze), není třeba dělat žádné další změny, a připojení by mělo úspěšně proběhnout.

V případě, že jste v přednastavených hodnotách něco změnili, bude pravděpodobně třeba upravit soubor sql/db.ini systému Groma. V něm je nastaven název databáze a název/adresa serveru. Podrobně je struktura souboru popsána v Uživatelské příručce systému Groma.

Předcházející | Nahoru | Další
Ovládání nástroje pro konfiguraci databáze | Domů | Kapitola 58. Inicializace databáze


Kapitola 58. Inicializace databáze
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 58. Inicializace databáze

Po prvním připojení k databázi je třeba ji inicializovat. Při tomto procesu jsou vytvořeny všechny nezbytné tabulky a naimportovány systémové číselníky. Dialogové okno pro inicializaci databáze se zobrazí automaticky po připojení k prázdné databázi. Proces spustíte stisknutím tlačítka OK.

Tento nástroj můžete kdykoli vyvolat v systému Groma příkazem Databáze - Inicializovat databázi.

Varování

Spustíte-li tento nástroj na databázi s daty, všechna data budou ztracena. Program smaže a znovu vytvoří všechny potřebné tabulky.

Předcházející | Nahoru | Další
Kapitola 57. Připojení systému Groma k databázi | Domů | Kapitola 59. Založení projektu


Kapitola 59. Založení projektu
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 59. Založení projektu

Po přípravě databáze je třeba založit projekt. Dialogové okno pro nastavení projektu se vyvolá příkazem Databáze - Nastavení projektu. V okně vyplňte údaje o zakázce, projekt uložte tlačítkem Uložit a okno zavřete tlačítkem OK.

Předcházející | Nahoru | Další
Kapitola 58. Inicializace databáze | Domů | Kapitola 60. Import dat z výměnného formátu nebo vzorových dat


Kapitola 60. Import dat z výměnného formátu nebo vzorových dat
Předcházející Část V. Informace o databázových serverech podporovaných systémem Groma Další

Kapitola 60. Import dat z výměnného formátu nebo vzorových dat

Po založení projektu můžete otevřít grafické prostředí příkazem Nástroje - Grafika. Pomocí nabídky Projekt - Manažer projektu můžete do zvoleného projektu naimportovat data z výměnného formátu nebo celou zálohu projektu.

Předcházející | Nahoru | Další
Kapitola 59. Založení projektu | Domů | Část VI. Změny v nových verzích


Část VI. Změny v nových verzích
Předcházející Další

Část VI. Změny v nových verzích

Obsah

61. Změny mezi verzemi 9 a 10
62. Změny mezi verzemi 10 a 11
63. Změny mezi verzemi 11 a 12
Změny mezi verzemi 12 a 12.1
Změny mezi verzemi 12.1 a 12.2
Změny mezi verzemi 12.2 a 12.3
64. Změny mezi verzemi 12 a 13
65. Změny mezi verzemi 13 a 14
Předcházející |  | Další
Kapitola 60. Import dat z výměnného formátu nebo vzorových dat | Domů | Kapitola 61. Změny mezi verzemi 9 a 10


Kapitola 61. Změny mezi verzemi 9 a 10
Předcházející Část VI. Změny v nových verzích Další

Kapitola 61. Změny mezi verzemi 9 a 10

  • Manažer lokálních protokolů

    Protokoly z jednotlivých výpočtů či jiných operací nyní nejsou ihned přepisovány. Program uchovává historii 50 posledních výpočtů, které jsou zobrazeny při zobrazení dialogového okna s lokálním protokolem. Protokoly lze prohlížet a jednotlivě nebo hromadně mazat nebo ukládat do hlavního protokolu. Uložené protokoly jsou ze seznamu automaticky odstraňovány.

  • Manažer hlášení a komentářů

    Hlášení o překročených mezních odchylkách jsou spolu s dalšími informacemi archivovány a lze zpětně zobrazit jejich seznam. Do seznamu se také ukládají různé komentáře vysvětlující chování programu (např. proč nejsou v protokolu uvedeny některé informace, proč nemohla být na bodě zpracována obousměrná měření, a další komentáře). Nejsou-li výstupy z programu přesně takové, jaké očekáváte, lze často v seznamu komentářů nalézt vysvětlení.

  • Určování kódů kvality vypočtených bodů dle vstupních bodů

    Některé výpočetní úlohy nyní automaticky nabízejí kód kvality vypočtených bodů na základě kódů kvality vstupních bodů. Jedná se o úlohy Ortogonální metoda, Polární metoda a Protínání z délek.

  • Volba aktivních souřadnic

    Při práci se seznamem souřadnic s dvojími souřadnicemi lze nyní nastavit, které souřadnice jsou aktivní, tj. které souřadnice se použijí ve výpočetních úlohách.

    Aktivní souřadnice lze volit buď přímo výběrem konkrétní sady souřadnic, nebo nepřímo volbou První definované (nejsou-li definovány první souřadnice, použijí se druhé) nebo Platné GPU (platné geometrické a polohové určení bodu, tj. souřadnice, u nichž je nastaven kód kvality).

  • Ukládání vypočtených souřadnic do zvolené sady souřadnic

    Zvolíte-li si v nastavení seznamu souřadnic konkrétní sadu souřadnic (např. souřadnice obrazu nebo souřadnice polohy), budou souřadnice, vypočtené v jednotlivých výpočetních úlohách a uložené tlačítkem pro ukládání výsledků, uloženy do zvolené sady souřadnic.

  • Nové dialogové okno pro průměrování bodů v seznamech souřadnic

    Dialogové okno, které program zobrazí při ukládání bodu, který již v seznamu existuje, bylo přepracováno. Nyní máte možnost ukládat jednotlivé geometrie (sady souřadnic) vkládaného bodu do libovolných geometrií bodu existujícího, a to odděleně pro polohu i pro výšku. Popisné údaje (typ bodu, poznámka atd.) lze nyní buď ponechat z původního bodu, nebo převzít z nového, nebo sloučit (údaje neuvedené u jednoho bodu doplnit z druhého). Možnosti uložení bodu pod novým číslem nebo do nového souboru byly nyní sloučeny tak, že je lze použít současně, tedy uložit bod pod novým číslem do jiného souboru.

  • Krok vpřed

    Funkce Krok zpět, kterou program nabízí pro změny v datových souborech, byla doplněna o funkci Krok vpřed, pomocí níž lze opět vrátit změny, které byly funkcí Krok zpět zrušeny.

  • Zachovávání souřadnic při editaci bodu

    Editujete-li u bodu pouze popisné informace a souřadnice ponecháváte beze změny, program je v datovém souboru neaktualizuje. Tím je zamezeno situaci, kdy při editaci popisných informací může dojít při nastaveném menším počtu desetinných míst ke ztrátě přesnosti souřadnic. Např. máte-li nastavena dvě desetinná místa a souřadnice byly v seznamu na milimetry, byly dříve při editaci bodu zaokrouhleny na centimetry. Nyní nejsou aktualizovány, pokud nebyly v editačním okně změněny.

  • Označování bodů podle kódu kvality druhých souřadnic

    Pomocí nástroje pro hromadné označování bodů v seznamu souřadnic lze nyní označovat body i podle kódu kvality u druhých souřadnic.

    Automatické stahování aktualizací lze v nastavení programu vypnout. Administrátoři síťových instalací mohou automatické aktualizace vypnout centrálně pro celou sdílenou instalaci a instalovat je ručně.

  • Výpočetní úloha Vyrovnání bodu na kružnici

    Byla doplněna nová výpočetní úloha pro výpočet průmětu zadaného bodu na kružnici danou třemi body. Úloha vypočte bod na kružnici nejbližší zadanému bodu a jeho vzdálenost od zadaného bodu.

  • Označení délek v seznamu měření

    Protože systém Groma umožňuje vést u bodu jak vodorovnou, tak šikmou délku, byl příslušný sloupeček ve výpisu nadepsán pouze Délka. Nyní je nadepsán Délka pouze v případě, že seznam obsahuje alespoň jednu šikmou délku (šikmé délky jsou zobrazeny kurzívou). Jsou-li v seznamu pouze vodorovné délky, je sloupec nadepsán Vod. délka.

  • Transformace souřadnic: dvojí čísla identických bodů

    Při zadávání identických bodů v transformaci souřadnic se nyní ukládají a protokolují čísla bodů v obou soustavách. Lze tedy snáze dokumentovat, které identické body vedlejší soustavy byly při zadávání transformačního klíče použity.

  • Transformace souřadnic: transformace identických bodů

    V úloze Transformace souřadnic lze nyní volit, zda mají být transformovány body zadané jako identické.

  • Transformace souřadnic: označení nepoužitých bodů

    V protokolu jsou označeny body, které nebyly použity pro výpočet transformačního klíče.

  • Transformace souřadnic: identické body z dvojích souřadnic

    Úloha Transformace souřadnic nyní umožňuje automatické vyhledání identických bodů v seznamu s dvojími souřadnicemi. Zadáte-li pouze vstupní seznam souřadnic a nikoli výstupní, po stisknutí tlačítka Vyhledat identické body budou jako identické body načteny všechny body, které mají ve vstupním souboru dvoje souřadnice, přičemž první souřadnice jsou použity jako cílové (X, Y) a druhé jako výchozí (x', y'). Přejete-li si zadat souřadnice naopak, lze je přehodit pomocí tlačítka XY <-> x'y'.

  • Polygonové pořady: zachování popisu bodů

    Výpočetní úloha Polygonový pořad nyní přebírá ze zápisníku popisy polygonových bodů a uloží je spolu s vypočtenými souřadnicemi.

  • Modul Geometrické plány: ruční definice výpočetních skupin

    Nyní lze ručně k parcelám zadat označení výpočetní skupiny, čímž lze zajistit, že se skupina parcel zpracuje společně. Lze to použít např. pro zpracování skupiny parcel v GP pro jednoho nabyvatele. Označení výpočetní skupiny lze nastavit i hromadně, označením příslušných řádků nebo buněk ve vstupní tabulce a nastavením označení v nabídce Editace.

  • Modul Geometrické plány: kód kvality parcel

    Nyní lze k parcelám zadat jejich kód kvality, tj. kód kvality nejhoršího bodu na parcelní hranici. Dle zadaného kódu kvality jsou určovány mezní odchylky. Není-li kód kvality u parcely zadán, použije se přednastavený kód z nastavení geometrického plánu.

  • Modul Geometrické plány: způsob využití dle druhu pozemku

    Program nyní v rozbalovacích nabídkách nabízí pouze ty způsoby využití, které jsou přípustné pro zadaný druh pozemku.

  • Modul Geometrické plány: tisk žádanek na formát A3

    Tiskne-li se výstupní tabulka, která má pouze jednu stránku, a je-li výstupní formát nastaven na A3 našíř, bude tištěná tabulka posunuta k pravému okraji papíru tak, aby po přeložení papíru na formát dvojlistu A4 byla navrchu. Toto lze použít např. při tisku ZPMZ nebo žádanek o potvrzení plánu (tiskne-li se pouze jejich čelní strana, tj. bez vysvětlivek).

    Pozor, některé tiskárny takovýto tisk nepodporují - pokud je před tištěným textem vlevo prázdný sloupec A4, tiskárna automaticky výstup posune k levému kraji.

  • Modul Geometrické plány: načítání z databáze

    Načítání zadání z databáze grafického modulu bylo opět zdokonaleno, čímž se zmenšila pravděpodobnost potřeby dodatečných úprav zadání.

  • Modul Geometrické plány: kompletní výpis dotčených parcel

    U rozsáhlejších plánů se nevejde seznam dotčených parcel do tabulky ZPMZ. Dříve byl seznam zkrácen, nyní se v tabulce zobrazí ta část parcel, která se do ní vejde, a všechny zbývající jsou zobrazeny pod tabulkou, a to i na více řádcích, je-li to třeba.

  • Modul Geometrické plány: zvětšení pole Geometrický plán pro:

    Nyní zde lze zadat čtyři řádky textu, font je v případě potřeby automaticky zmenšen, aby se do pole vešlo textu více.

  • Komunikační moduly pro MicroStation: chytání na body

    Při odečítání bodů, u nichž je uložena informace o bodu, lze nyní zapnout zámek na body. Potom není třeba se chytat tlačítkem tentative, je možno přímo odečítat body datovým tlačítkem myši.

  • Komunikační moduly pro MicroStation: dynamické zobrazování bodů

    V modulu pro dynamické zobrazování informací o bodech byly doplněny další možnosti, např. rozdělení předčíslí na jednotlivé části. Dále je možno nastavit hraniční rozměr okna, při jehož překročení nejsou informace o bodech zobrazovány (nemá význam je zobrazovat např. je-li v pohledu zobrazeno celé katastrální území).

  • Komunikační moduly pro MicroStation: konfigurační soubory

    Konfigurační soubory jsou nyní ukládány v textové podobě. Při budoucích změnách tedy již nehrozí ztráta nastavení. Navíc je lze ručně editovat, např. kopírovat nastavení z jednoho souboru do druhého. Zároveň s tím byla změněna některá omezení, např. na délku názvu vrstvy a na počet nastavených konfigurací.

Předcházející | Nahoru | Další
Část VI. Změny v nových verzích | Domů | Kapitola 62. Změny mezi verzemi 10 a 11


Kapitola 62. Změny mezi verzemi 10 a 11
Předcházející Část VI. Změny v nových verzích Další

Kapitola 62. Změny mezi verzemi 10 a 11

  • Podpora nové katastrální vyhlášky

    Do systému je zapracována podpora nové katastrální vyhlášky platné od 1.1.2014. Jedná se zejména o změnu v číslování bodů. Předčíslí bodů nyní obsahuje šestimístné číslo katastrálního území a pětimístné číslo ZPMZ. Vlastní číslo bodu zůstává čtyřmístné. Kompletní číslo bodu má tedy délku 15 číslic. ZPMZ_MER, vedené u souřadnic polohy, má nyní také délku 5 znaků.

  • Práce se zeměpisnými souřadnicemi

    U bodů lze nyní v seznamu souřadnic vést zeměpisné souřadnice. Lze nastavit jednotky pro zobrazování, lze je exportovat a importovat.

  • Certifikovaná globální transformace mezi S-JTSK a ETRS89

    Systém obsahuje integrovanou globální transformaci mezi soustavami S-JTSK a ETRS89 dle metodiky doporučené ČÚZK. Souřadnice lze dynamicky transformovat oběma směry, jsou-li v seznamu souřadnic zadány v jedné soustavě, lze je automaticky využívat i v druhé soustavě. Transformace byla schválena ČÚZK pro použití při měření podrobných bodů i pro práce v PBPP.

  • Manažer tiskových sestav

    Systém nově obsahuje manažer tiskových sestav, pomocí něhož lze skládat dohromady různé tiskové výstupy do finální podoby. Jednotlivé dokumenty se vytisknou do formátu XPS (XML Paper Specification) pomocí tiskového driveru standardně dodávaného s MS Windows. Následně se tyto dokumenty načtou do tiskového manažeru, v němž je lze posouvat, ořezávat a měnit měřítko zobrazení. Výsledný dokument lze uložit opět do XPS nebo vytisknout na libovolné zařízení, včetně tisku do PDF, je-li nainstalován příslušný tiskový driver).

  • Přečíslování podle seznamu bodů

    Při přečíslování lze nyní využít seznam přiřazení bodů. Podle téhož seznamu lze přečíslovat opakovaně, v různých souborech, i zpětně. Seznam lze vytvořit buď ručně, nebo lze použít seznam automaticky vygenerovaný při předchozím přečíslování.

  • Přečíslování protokolu

    Nově lze přečíslovat i v protokolu o výpočtu. Při přečíslování je použit seznam přiřazení čísel bodů, který vznikne přečíslováním seznamu souřadnic nebo zápisníku.

  • Kubatury - automatické generování trojúhelníkové sítě

    Na základě zadaných bodů lze nyní automaticky vygenerovat trojúhelníkovou síť. Není již tedy třeba zadávat ručně jednotlivé trojúhelníky. Vygenerovanou síť lze automaticky i ručně doupravit, např. odebráním štíhlých obalových trojúhelníků.

  • Kubatury - výpočet povrchu

    Kromě plochy zadané oblasti, promítnuté do vodorovné roviny, lze nyní vypočítat i skutečný povrch, se zohledněním sklonu trojúhelníků.

  • Zobrazení KATUZE_MER a ZPMZ_MER v seznamu souřadnic

    Pro větší přehlednost a snadnější orientaci lze nyní v seznamech souřadnic zapnout zobrazení sloupců s KATUZE_MER a ZPMZ_MER.

  • Zvýraznění bodů s odlišnými SOBR a SPOL

    Body, u nichž se liší souřadnice polohy od souřadnic obrazu, jsou nyní v seznamu souřadnic zobrazeny červeně. Týká se to pouze zobrazení na obrazovce, při tisku jsou všechny body černě.

  • Označení bodů s odlišnými SOBR a SPOL

    Nástroj pro práci s dvojími souřadnicemi nyní obsahuje možnost označit v seznamu body, které mají odlišné souřadnice obrazu a souřadnice polohy.

  • Sloučení platných GPÚ do hlavních souřadnic

    Nástroj pro práci s dvojími souřadnicemi nyní obsahuje funkci pro přesun vedlejších souřadnic, které jsou platným geometrickým a polohovým určením (mají uveden kód kvality), do hlavních. Lze tak vytvořit seznam, v němž jsou platná GPÚ sloučena do hlavních souřadnic.

  • Možnost zobrazování redukovaných čísel bodů v seznamech

    Lze zapnout automatické redukování čísel bodů v seznamech souřadnic a měření. Pokud se číslo katastrálního území bodu shoduje s číslem přednastaveným v redukcích, bude číslo bodu zobrazeno bez čísla k.ú. Totéž platí i pro ZPMZ - shoduje-li se s přednastaveným, nebude zobrazeno.

  • Přebírání části čísla bodu z redukcí

    Bude-li zadáno číslo bodu bez čísla katastrálního území, bude číslo k.ú. převzato z čísla nastaveného v redukcích. Bude-li číslo bodu zadáno i bez čísla ZPMZ, bude převzato i číslo ZPMZ.

  • Zadávání předčíslí ze seznamu katastrálních území

    Při zadávání předčíslí na liště nastavení lze nyní zobrazit seznam katastrálních území a nastavit číslo katastrálního území výběrem podle názvu. Potom stačí k němu doplnit číslo ZPMZ.

  • Zobrazení názvu katastrálního území v historii předčíslí

    Vybíráte-li předčíslí v seznamu naposledy použitých předčíslí na liště nastavení, je v seznamu pro snadnější orientaci za předčíslím uveden i název katastrálního území.

  • Vylepšený výběr katastrálního území

    Dialogové okno pro výběr katastrálního území nyní obsahuje dvě další možnosti:

    • Možnost zadání začátku názvu území, program potom filtruje seznam a zobrazuje pouze území začínající zadaným textem.

    • Možnost výběru ze seznamu katastrálních území použitých v aktuálně nastaveném projektu. Toto okno lze navíc nyní použít i při volbě předčíslí na liště nastavení.

  • Zadávání neúplného čísla bodu při vyhledávání

    Při vyhledávání v seznamech lze nyní zadat neúplné číslo bodu. Program vyhledává podle zadané části úplného čísla. Při zadání samotného čísla bodu tedy nabízí všechny body daného čísla, při zadání ZPMZ a čísla nabízí pouze body daného čísla a ZPMZ.

  • Zachovávání hodnot při editaci měření

    Editujete-li u měření pouze popisné informace a naměřené hodnoty ponecháváte beze změny, program je v datovém souboru neaktualizuje. Tím je zamezeno situaci, kdy při editaci popisných informací může dojít při nastaveném menším počtu desetinných míst ke ztrátě přesnosti, např. u délek. Máte-li nastavena dvě desetinná místa a délky byly v seznamu na milimetry, byly dříve při editaci měření zaokrouhleny na centimetry. Nyní nejsou aktualizovány, pokud nebyly v editačním okně změněny.

  • Tlačítko pro práci s dvojími souřadnicemi

    Protože je nástroj pro práci s dvojími souřadnicemi využíván velmi často, byl doplněn na lištu nástrojů.

  • Automatické vykreslení měřické sítě v náčrtu

    Stanoviska, orientace a měřené body lze nyní označit v zápisníku a hromadně z nich nechat v grafickém modulu v náčrtu vykreslit měřickou síť.

  • Zobrazování počtu systémových hlášení

    V levém okraji stavového okna se nyní zobrazuje počet hlášení v seznamu systémových hlášení. Pokud je v seznamu nějaké nové, ještě nepřečtené hlášení, je číslo zobrazeno tučně a červeně. Seznam systémových hlášení lze zobrazit poklepáním na okénko s počtem hlášení.

  • Polární vytyčovací prvky s výškami

    Při výpočtu polárních vytyčovacích prvků do souboru jsou nyní uloženy i výškové údaje, tedy výšky stanovisek, výšky hranolu a zenitové úhly nebo převýšení.

  • Polární metoda - protokolování výšky cíle

    Při výpočtu polární metody jsou nyní protokolovány i výšky cíle.

  • Typ transformace při dávkovém výpočtu volných stanovisek

    Při výpočtu volných stanovisek v polární metodě dávkou bude použit typ transformace zadaný v nastavení výpočtů. Lze si tedy použitý typ transformace zvolit, stejně jako je tomu u jednotlivého výpočtu volného stanoviska.

  • Řazení seznamu kontrolních oměrných

    Seznam kontrolních oměrných lze řadit podle libovolného sloupce vzestupně i sestupně. Lze jej tedy seřadit např. podle velikosti odchylky.

  • Vypínače při ukládání vypočtených bodů

    V úloze Konstrukční oměrné a Polygonový pořad jsou nyní v seznamu vypočtených bodů zobrazeny přepínače, pomocí nichž lze zvolit, které body mají být uloženy. O konstrukčních oměrných lze navíc výpočet nastavit tak, že se automaticky označí pouze nově určené body.

  • Zrychlená kontrolní kresba

    Okno pro zobrazení kontrolní kresby bylo nyní integrováno přímo do aplikace, čímž se jeho otevírání, překreslování a přenášení bodů výrazně zrychlilo.

  • Zoomování kresby kolečkem

    Kontrolní kresba a grafické zobrazení lze nyní zoomovat kolečkem myši.

  • Soubor kontrolních oměrných do protokolu

    Ze zadaného souboru kontrolních oměrných lze nyní vygenerovat zápisník měření kontrolních oměrných.

  • Upravené porovnání seznamů souřadnic

    Doposud bylo možno v porovnání seznamů souřadnic testovat souřadnicové rozdíly pouze proti fixně nastavené střední souřadnicové chybě. Nyní lze testovat body podle jejich kódů kvality, takže lze najednou otestovat seznam souřadnic s body různé kvality. Požadovaná střední souřadnicová chyba je pro každý bod určena podle jeho kódu kvality.

  • Přepínač výpočtu výšek na liště

    Na liště nastavení je nyní umístěn přepínač výpočtu výšek, který umožňuje kompletně vypnout výpočet a protokolování výškových výpočtů.

  • Polygonové pořady: přepínač automatického načítání pořadu

    Při automatickém načítání polygonového pořadu ze zápisníku lze nyní vypnout automatické přidávání bodů. Lze to využít např. v případě, že je v zápisníku několik pořadů za sebou, ale vypočteny mají být postupně po částech. Při automatickém načítání by do zadání byl zápisník načten celý, a bylo by třeba odebrat z konce pořadu body, které mají být počítány v jiném pořadu.

  • Export seznamu souřadnic ve formátu pro katastrální úřady

    Do exportů seznamu souřadnic byl doplněn textový formát, který je obvykle vyžadován na katastrálních pracovištích. Jedná se o prostý textový soubor, v němž jsou uloženy souřadnice platného geometrického a polohového určení (souřadnice, u nichž je uveden kód kvality) a kód kvality bodu.

  • Dotaz na typ souboru při otevírání přetažením myší

    Při otevírání souboru přetažením myší např. z Průzkumníka byly dříve otevřeny pouze soubory, u nichž bylo možno jednoznačně určit typ (seznam souřadnic, zápisníky atd.). Nyní program v případě, že nedokáže typ souboru detekovat automaticky, zobrazí okno pro otevírání souboru, v němž je možno typ souboru zvolit ručně.

  • Seznam katastrálních pracovišť

    V dialogovém okně s nastavením projektu v databázi lze nyní zobrazit kompletní seznam katastrálních pracovišť včetně kontaktních údajů.

  • Filtrování seznamu profilů při připojování k databázi

    V dialogovém okně pro připojení k databázi nejsou nyní zobrazeny ty profily, které obsahují odkaz na ODBC driver, který není na počítači nainstalován. V seznamu jsou tedy uvedeny pouze profily, které lze na příslušném počítači použít.

  • MicroStation: Komunikační moduly s podporou nových čísel bodů

    Komunikační moduly pro MicroStation byly doplněny o podporu práce s 15místnými čísly bodů. Nová čísla bodů lze použít jak při připojování informací o bodu, tak při jejich dynamickém zobrazování.

  • MicroStation: Kontrola dávkového přenosu bodů

    Před dávkovým přenosem bodů z výkresu do seznamu souřadnic je zobrazeno okno s upozorněním, v němž je uvedeno, kolik bodů bude přeneseno. Tím lze zamezit nechtěnému opakovanému přenosu bodů z celého souboru nebo ohrady do seznamu.

    Po přenosu bude pro kontrolu zobrazena informace o výsledku přenosu, tj. zda byly body přeneseny všechny, případně kolik bodů nebylo přeneseno.

  • Modul Geometrické plány: Nové formuláře

    Modul obsahuje nové rozpisky dle nové katastrální vyhlášky.

  • Modul Geometrické plány: Přepracovaný tisk

    Tisk tabulek byl kompletně přepracován. Nemělo by již docházet např. k nedokonalostem v tisku rámečků v PDF.

  • Modul Geometrické plány: Nastavení písma

    V modulu lze nyní zvolit i velikost písma 9 bodů. Navíc lze nastavit použitý font, v předchozích verzích vyl napevno nastaven font Arial.

  • Modul Geometrické plány: Další změny a úpravy

    Do zpracování tabulek bylo doplněno množství dalších úprav, aby automaticky vygenerovaný výstup co nejvíce odpovídal požadavkům a bylo do něj třeba co nejméně zasahovat.

Předcházející | Nahoru | Další
Kapitola 61. Změny mezi verzemi 9 a 10 | Domů | Kapitola 63. Změny mezi verzemi 11 a 12


Kapitola 63. Změny mezi verzemi 11 a 12
Předcházející Část VI. Změny v nových verzích Další

Kapitola 63. Změny mezi verzemi 11 a 12

Obsah

Změny mezi verzemi 12 a 12.1
Změny mezi verzemi 12.1 a 12.2
Změny mezi verzemi 12.2 a 12.3

  • Nová výpočetní úloha - Vyrovnávací přímka

    Doplněna výpočetní úloha pro výpočet vyrovnávací přímky metodou nejmenších čtverců. Úloha vypočte vyrovnávací přímku za podmínky minimálního součtu čtverců vzdáleností bodů od přímky. Po výpočtu přímky jsou vypočteny i průměty bodů na přímku a vzdálenosti bodů od přímky. Pro vstupní body lze zadat, zda mají být definiční pro výpočet přímky, nebo zda nemají rovnici přímky ovlivnit a mají být na přímku pouze promítnuty.

  • Nová úloha - Vyhledání identických bodů ve dvou souborech

    Úloha slouží k vyhledávání identických bodů, obdobně jako stávající funkce Odstranění identických bodů, ale pracuje se dvěma souřadnicovými soubory.

  • Porovnání seznamů souřadnic - volba protokolování

    V porovnání seznamů souřadnic postupně narůstal počet požadovaných informací v protokolu, až délka řádku přesáhla hranici, kterou lze vytisknout na stránku standardního formátu na výšku. Obvykle ale nejsou potřeba všechny informace najednou, takže je nyní možno přesně zvolit, které informace má výstupní protokol obsahovat.

  • Porovnání seznamů souřadnic - typ testování

    Do protokolu v porovnání seznamů souřadnic se nyní vypisuje i typ testování - zda je testován celý soubor pro konkrétní požadovanou střední chybu, nebo celý soubor pro jeden kód kvality, nebo každý bod pro individuální kód kvality.

  • Porovnání seznamů souřadnic - možnost testovat seznamy pouze s výškami

    Nyní lze touto úlohou testovat i seznamy bodů, u nichž jsou uvedeny pouze výšky bez polohy.

  • Kontrolní oměrné - kódy kvality v protokolu

    Do protokolu jsou nyní vypisovány kódy kvality obou koncových bodů i v případě, že je vypnuto vypisování souřadnic.

  • Průsečík přímek - výpočet s výškou

    Jsou-li koncové body první přímky zadány včetně výšek, program vypočte i výšku průsečíku, a to tak, že ji vyinterpoluje jako kdyby průsečík ležel na první přímce.

  • Průsečík přímek - tlačítko pro změnu znaménka odsazení

    U vstupního pole pro odsazení přímek je nyní tlačítko ±, pomocí něhož lze měnit znaménko odsazení přímky.

  • Porovnání seznamů souřadnic - kód kvality v protokolu

    Do protokolu jsou nyní vypisovány kódy kvality obou bodů.

  • Označování bodů v seznamech měření - podrobné body

    V dialogovém okně pro označování měření je nyní tlačítko, kterým lze přímo označit měřené podrobné body.

  • Protokol - vkládání protokolu na místo kurzoru

    V dialogovém okně s lokálními protokoly je nyní tlačítko, jímž lze vložit zvolený protokol do hlavního protokolu na místo kurzoru, nikoli na konec souboru, kam se normálně přidává.

  • Protokol - kopírování do schránky

    V dialogovém okně s lokálními protokoly je nyní tlačítko, jímž lze zvolený protokol přímo zkopírovat do schránky, aniž by bylo třeba jej ručně označovat v dialogovém okně.

  • Polární vytyčovací prvky - jednotlivé body do zápisníku

    Ve výpočetním okně pro polární vytyčovací prvky lze nyní při výpočtu do zápisníku počítat i jednotlivé body (ručně zadané, přetažené ze seznamu souřadnic i ukázané v grafice).

  • Polární vytyčovací prvky - jednotlivé body do zápisníku

    Ve výpočetním okně pro polární vytyčovací prvky lze nyní při výpočtu do zápisníku počítat i jednotlivé body (ručně zadané, přetažené ze seznamu souřadnic i ukázané v grafice).

  • Odečítání souřadnic ve výpočetních úlohách

    U některých výpočetních úloh (Průsečík přímek, Průsečík přímka-kružnice, Směrník a délka, Napojení změny do KMD) se nyní po grafickém odečtení všech vstupních bodů nepřepne odečítání zpět na první bod, ale vypne se. Zamezí se tím nechtěnému opakovanému odečtení prvního bodu, ke kterému občas dochází při odečítání z výkresu MicroStation.

  • Nastavení projektu - zvýšení počtu viditelných projektů

    Dialogové okno pro nastavení projektu bylo upraveno tak, aby v něm bylo vidět více projektů.

  • Přečíslování souřadnic - uložení původního čísla bodu

    Při přečíslování seznamů souřadnic lze nyní původní číslo bodu uložit kromě poznámky i do uživatelských informací INFO1 - INFO4.

  • Hromadné změny souřadnic - úplné číslo bodu

    V preprocesoru pro výpočty v dialogovém okně pro hromadné změny v seznamu souřadnic je nyní definována i konstanta NUMBER, obsahující úplné číslo bodu. Tuto konstantu lze použít ve zpracování ostatních číselných polí.

  • Modul Geometrické plány: Ukládání BPEJ do databáze

    Pokud při zpracování GP dojde ke změně výměr BPEJ, lze nové výměry nyní hromadně zapsat zpět do databáze, takže není třeba před exportem VFK editovat SPI ručně.

  • Modul Geometrické plány: Zobrazení BPEJ u nového stavu

    U vstupní tabulky nového stavu je tabulka s výslednými bonitami. Hodnoty jsou určeny při zpracování bonitních dílů a jsou použity při zpětném ukládání bonit do databáze.

  • Modul Geometrické plány: Výběr účelu geometrického plánu

    Standardní varianty účelu geometrického plánu, definované ve vyhlášce, lze nyní b popisovém poli vybírat z nabídky, není třeba je vypisovat ručně. Je možno i zkombinovat více možností.

  • MicroStation: Spojování podle čísel bodů

    Nástroj pro spojování podle čísel bodů nyní umožňuje automatické spojení bodů s po sobě následujícími čísly. Automatické spojování je ukončeno na zadané horní hranici čísla bodu, nebo při nalezené mezeře v číslování.

Změny mezi verzemi 12 a 12.1

  • Nová transformace JTSK - ETRS89

    Byla aktualizována a Českým úřadem zeměměřickým a katastrálním nově certifikována globální transformace mezi S-JTSK a ETRS89. Stará transformace z předchozích verzí Gromy smí být používána pouze do 30.6.2018. Od 1.1.2018 smí být využívána pouze nová transformace, která je součástí Gromy v.12.1.

Předcházející | Nahoru | Další
Kapitola 62. Změny mezi verzemi 10 a 11 | Domů | Změny mezi verzemi 12.1 a 12.2


Změny mezi verzemi 12.1 a 12.2
Předcházející Kapitola 63. Změny mezi verzemi 11 a 12 Další

Změny mezi verzemi 12.1 a 12.2

  • Spuštění nápovědy ze síťového disku

    Z důvodu zabezpečení Windows nezobrazují nápovědu ve formátu .chm ze síťového disku. V této verzi byl způsob zobrazování nápovědy upraven tak, že se nápověda nejprve zkopíruje na lokální disk a z něj otevře, takže ji Windows zobrazí bez problémů.

  • Podpora MicroStation CONNECT Edition

    Do distribuce byly přidány komunikační moduly pro MicroStation CONNECT Edition.

Předcházející | Nahoru | Další
Kapitola 63. Změny mezi verzemi 11 a 12 | Domů | Změny mezi verzemi 12.2 a 12.3


Změny mezi verzemi 12.2 a 12.3
Předcházející Kapitola 63. Změny mezi verzemi 11 a 12 Další

Změny mezi verzemi 12.2 a 12.3

  • Import bodů z databáze - body na hranicích věcných břemen

    Při importu seznamu souřadnic z databáze lze nyní vypnout import bodů na hranicích věcných břemen. Lze samostatně vypínat body na dosavadních nebo nových hranicích.

Předcházející | Nahoru | Další
Změny mezi verzemi 12.1 a 12.2 | Domů | Kapitola 64. Změny mezi verzemi 12 a 13


Kapitola 64. Změny mezi verzemi 12 a 13
Předcházející Část VI. Změny v nových verzích Další

Kapitola 64. Změny mezi verzemi 12 a 13

  • Vyrovnání sítí MNČ - možnost ignorovat váhy

    V nastavení modulu Vyrovnání sítí MNČ lze nyní zapnout nebo vypnout volbu Načíst váhy směrů a délek ze zápisníku měření. Tuto volbu lze vypnout v případě, že při zpracování zápisníku (průměrování, zpracování měření v obou polohách dalekohledu, ...) vzniknou u měření váky, které z nějakého důvodu nebudete chtít při zpracování sítě využít.

  • Pentax DC1

    Byl doplněn import měřených dat z formátu Pentax DC1.

  • Vyrovnání sítí - příčné odchylky

    Modul Vyrovnání sítí MNČ nyní v protokolu uvádí opravy směrů přepočtené na příčnou odchylku.

  • Detekce kódování souborů měření

    Při importu souborů ze záznamníků se nyní systém pokusí automaticky detekovat kódování znaků s diakritikou.

  • Geometrické plány: Úprava zpracování GP pro jednoho nabyvatele

    Při zpracování GP pro jednoho nabyvatele bylo vylepšeno generování zjednodušeného zadání z dosavadního a nového stavu a generování výsledných tabulek.

  • Zpracování měření v řadách a skupinách - zrychlené měření

    Nástroj pro zpracování měření v řadách a skupinách nyní umožňuje zpracovat směry zaměřené zrychleným způsobem tak, že měření 2. skupiny je zahájeno v II. poloze dalekohledu, aby nebylo nutno dalekohled prokládat po dokončení 1. skupiny.

  • Doplněn formát LandXML

    Do importních filtrů pro měřená polární data byl doplněn formát LandXML.

  • Hromadné průměrování bodů - vyhledávání duplicit podle kódů

    Nástroj pro hromadné průměrování souřadnic nyní nabízí možnost vyhledávání duplicitních bodů podle kódu. Do každé skupiny pro průměrování jsou zahrnuty všechny body se shodným kódem, který je zároveň použit jako nové číslo bodu.

  • Vyhledání identických bodů - označování

    Nástroj pro vyhledání identických bodů nyní nabízí různé možnosti označení nalezených bodů. Lze nechat označit první z nalezených bodů, poslední z nalezených bodů, všechny nalezené body, všechny kromě prvního nebo všechny kromě posledního.

  • Editace bodu - odstranění druhých souřadnic

    Dialogové okno pro editaci bodu nyní obsahuje tlačítko pro odstranění druhých souřadnic, takže není třeba je jednotlivě mazat ručně.

  • Export seznamu souřadnic do DXF

    Seznam souřadnic lze nyní exportovat ve formátu DXF. Do nastavení aplikace byla doplněna karta s nastavením DXF.

  • Umisťováni výpočetních dialogových oken

    Od této verze lze v nastavení aplikace zvolit, zda mají být výpočetní dialogová okna otevírána v levém dolním rohu obrazovky (jak tomu bylo doposud), nebo v levém dolním rohu hlavního okna Gromy.

  • Hromadné zaokrouhlování souřadnic - zaokrouhlení SPOL

    Nástroj pro hromadné zaokrouhlování souřadnic nyní zaokrouhluje hlavní i vedlejší souřadnice, tedy SOBR i SPOL.

  • Manažer protokolů - mazání

    Okno manažeru protokolů bylo doplněno o tlačítko, kterým lze najednou smazat všechny lokální protokoly.

  • Textový editor - kopírování formátovaného a neformátovaného textu

    Kontextové menu v textových oknech nyní umožňuje kopírovat do schránky text jako formátovaný i neformátovaný. Formátování se používá například v protokolech pro zvýraznění nadpisů.

  • Nastavení počtu desetinných míst pro objemy

    Pro objemy (např. ve výpočtu kubatur) lze nyní uživatelsky nastavit požadovaný počet desetinných míst.

  • Ukládání bodů do protokolu - redukce čísla bodu

    Při ukládání seznamu souřadnic do protokolu je nyní respektována volba Nezobrazovat číslo k.ú. Je-li tato volba zapnuta, bude u všech bodů, jejichž číslo k.ú. se shoduje s číslem k.ú. nastaveným v předčíslí na liště nastavení, číslo k.ú. vynecháno.

  • Textový editor - doplněno kontextové menu

    V okně s textovým editorem (protokoly, textové soubory) bylo doplněno kontextové menu pro práci se schránkou na pravé tlačítko myši.

  • Export do uživatelského textového formátu - doplněna volba formátu

    Při exportu do uživatelského textového formátu je po zvolení výstupního souboru zobrazeno dialogové okno, v němž lze zvolit požadovaný výstupní formát, a případně přejít do nastavení formátu.

  • Porovnání seznamů souřadnic - doplnění protokolu

    Do protokolu úlohy Porovnat seznam souřadnic byl doplněn způsob stanovení požadované střední souřadnicové chyby mxy.

  • Modul Vyrovnání sítí MNČ - zobrazení typů bodů

    Na kartě se souřadnicemi vstupních bodů je nyní zobrazen pro jednotlivé body typ polohového a výškového vyrovnání přímo v seznamu bodů.

  • Nahrazování částí kódu

    Nástroj Hromadná změna souřadnic nyní umožňuje nahrazování částí kódu bodů.

  • Export všech / označených položek

    Do nabídky Export byly doplněny další dvě funkce: export všech položek seznamu a export pouze označených položek. Nadále zůstává i automatická varianta, která exportuje pouze označené položky v případě, že seznam obsahuje označené položky, jinax exportuje vše.

  • Samostatné zadávání masky v přečíslování

    V dialogových oknech pro přečíslování seznamů bylo pro větší přehlednost zadávání doplněno samostatné vstupní okénko pro masku předčíslí a čísla bodu.

  • Doplnění potokolu vyrovnání osnovy směrů

    V testování mezních odchylek v úloze Orientace směrů bylo u kontrol orientačních délek pro přehlednost doplněno číslo orientačního bodu.

  • Vylepšen import bodů z databáze

    Importujete-li seznam souřadnic z databáze bez propojení s databází (tak, že po importu vznikne samostatný seznam souřadnic nepropojený s databází), nebudou v něm uzamčeny body s atributem Dosavadní.

  • Informace o porovnání bodů uloženy v protokolu výpočetní úlohy

    Pokud v průběhu ukládání výsledků výpočetní úlohy dojde k potovnání souřadnic s existujícími, bude protokol o porovnání uložen k příslušné úloze, nikoli samostatně.

  • Usnadnění spuštění grafického modulu a modulu Geometrické plány

    Tlačítko pro spuštění grafického modulu a modulu Geometrické plány bylo doplněno i do nabídky Databáze na ovládací liště, aby nebylo třeba po připojení k databázi přecházet do jiné nabídky.

  • Vylepšena práce se předčíslími bodů v hromadných změnách a přečíslování

    V dialogových oknech Hromadná změna a Přečíslování byla vylepšena práce s předčíslími bodů (rušení předčíslí, přebírání předčíslí z redukcí).

  • Modul Nivelace - možnost zaokrouhlení vstupních dat

    Při načtení nivelačních dat do modulu Nivelace lze nyní nechat měřená data zaokrouhlit podle nastaveného počtu desetinných míst.

  • Doplnění odečítání druhých souřadnic z grafického modulu

    Při odečítání bodů s dvojími souřadnicemi z grafického modulu jsou nyní uloženy obě sady souřadnic, SOBR i SPOL.

  • Tlačítko pro zapnutí/vypnutí překódování

    Na ovládací lištu bylo přidáno tlačítko, kterým lze zapínat a vypínat překódování kódů na popisy pomocí kódovací tabulky, aniž by bylo nutno otevírat dialogové okno s nastavením kódování.

  • Ovládání manažeru protokolů a kontrolní kresby tlačítky

    Tlačítka na ovládací liště signalizují otevření nástrojů Kontrolní kresba a Manažer protokolů. Opakovaným stiskem tlačítka lze oba nástroje otevírat a zavírat.

  • Hromadné odstranění vah ze seznamu měření

    Ze seznamu měření lze nyní pomocí nástroje Hromadná změna hromadně odstranit váhy, které vznikly např. zpracováním zápisníku, a s nimiž nechcete pracovat. Po odstranění vah je s měřeními počítáno jako kdyby měly všechny hodnoty stejnou váhu.

  • Export nivelačního a ortogonálního zápisníku do .XLSX

    Pomocí šablon lze nyní do formátu .XLSX exportovat i nivelační a ortogonální zápisníky.

  • Zvýrazněné body - barevné označení

    Body s atributem Zvýrazněné jsou nyní v okně se seznamem souřadnic zobrazeny na podbarveném pozadí.

  • Hromadné průměrování - souvislé bloky bodů

    Nástroj pro hromadné průměrování nyní umožňuje průměrovat celé souvislé bloky bodů. V rámci jednoho bloku bodů budou zprůměrovány všechny body s po sobě jdoucími čísly až do první mezery v číslování (prvního vynechaného čísla bodu).

  • Hromadné průměrování - označené body

    Nástroj pro hromadné průměrování nyní umožňuje průměrovat celý blok označených bodů, bez ohledu na jejich čísla.

  • HW klíč na vzdálené ploše

    Nyní je HW klíč správně detekován i při spuštění aplikace v jiném počítači pomocí Vzdálené plochy.

  • Záložní soubory

    Automatické vytváření záloh datových souborů (.backup) při otevření souboru lze nyní v nastavení aplikace vypnout.

  • Porovnání seznamů souřadnic - rozšířené možnosti protokolování

    Při porovnání seznamů souřadnic lze nyní zvolit, zda mají být protokolovány všechny body, pouze body s odlišnými souřadnicemi, nebo pouze body s rozdíly souřadnic přesahujícími mezní odchylku.

  • Výpočet trasy komunikace - čísla bodů

    Do zadání modulu lze nyní ukládat i čísla hlavních bodů trasy. Zobrazují se v protokolu o výpočtu i v kontrolní kresbě.

  • Porovnání seznamů souřadnic - protokolovat pouze překročené odchylky

    Při porovnání seznamů souřadnic lze nyní zapnout možnost protokolování pouze bodů s překročenými mezními odchylkami. Ve velkých souborech bodů tak lze snáze nalézt body s velkými rozdíly souřadnic.

  • Polární a ortogonální metoda - přímé zadání výstupního souboru

    V úlohách Polární metoda a Ortogonální metoda lze nyní přímo zadat výstupní soubor, do něhož mají být ukládány vypočtené souřadnice. Pokud jej nezadáte, úlohy pracují stejně jako v dřívějších verzích, tj. ukládají vypočtené body do aktivního seznamu souřadnic.

  • Geometrické plány - zjednodušená varianta GP pro jednoho nabyvatele

    Do zpracování GP pro jednoho nabyvatele byla doplněna možnost zjednodušeného zadání. Zjednodušené zadání lze vygenerovat pouze z dosavadního a nového stavu, nebo do něj nechat automaticky upravit standardní zadání načtené z databáze z grafického modulu. Ve zjednodušeném zadání jsou ve výpočtu výměr pouze sestaveny a do skupiny vyrovnány celé parcely dosavadního a nového stavu, čímž je zpracování výrazně zjednodušeno.

  • Zdokonalené otevírání souborů přetažením

    Při přetažení souborů na plochu hlavního okna se aplikace pokusí rozpoznat typ souboru. Pokud se podaří typ souboru jednoznačně určit podle obsahu nebo podle přípony, bude soubor automaticky otevřen nebo importován. Pokud se určení typu nezdaří nebo je nejednoznačné, bude zobrazeno dialogové okno s nabídkami typů souborů. Po zvolení typu souboru budou automaticky stejným způsobem otevřeny všechny další soubory se stejnou příponou. Při odlišné příponě nebo při novém přetažení bude dotaz na typ souboru znovu zobrazen (s předvoleným naposledy použitým typem souboru).

  • Kontrola duplicit po importu souřadnic

    Při importu souřadnic již není zobrazováno dialogové okno pro průměrování v případě duplicitních čísel bodů. Do seznamu jsou načteny všechny body a po importu je automaticky spuštěna kontrola duplicit. Výsledek kontroly je připojen k protokolu o importu a v případě nalezených duplicit je zobrazeno hlášení. Po importu lze duplicity hromadně zpracovat standardními nástroji, které jsou flexibilnější než opakované dialogové okno při importu (nástroj Hromadné průměrování nebo Odstranění identických bodů (v případě identických souřadnic).

  • Procesy na pozadí - indikace stavu

    U procesů běžících na pozadí byla doplněna indikace stavu (progressbar). Jedná se o stahování aktualizací a přenos bodů do MicroStation, nově používající přenosovou frontu.

  • Zdokonalený přenos bodů do výkresu v MicroStationu

    Při přenosu bodů do MicroStationu jsou nyní při zahájení přenosu všechny body uloženy do přenosové fronty, z níž jsou potom postupně na pozadí odesílány. Díky tomu je aplikace celkově pružnější a lépe reaguje. Zařazení bodů do fronty je velmi rychlé, vlastní přenos, probíhající na pozadí, již aplikaci nijak neblokuje. Lze s ní tedy i během přenosu dále pracovat a není třeba čekat na dokončení přenosu, stejně jako lze v omezené míře pracovat s výkresem (nastavení pohledu, výřezu atd.). I v průběhu přenosu lze do přenosové fronty přidávat další body. Ukončení každého bloku přenosu je signalizováno volitelným hlášením o počtu přenesených bodů.

  • Modul Nivelace - nový náhled tisku a tisk

    V modulu Nivelace byl zcela přepracován náhled tisku a tisk.

  • Modul Nivelace - nový export do DXF

    V modulu Nivelace byl přepracován export výsledného formuláře do formátu DXF.

  • Vylepšené licencování rozšiřujících modulů

    Licencování rozšiřujících modulů při provozu ze síťového klíče bylo upraveno tak, aby bylo možno z jedné instance Gromy spustit více instancí modulů, které jsou všechny počítány za jednu licenci. V rámci jedné instance Gromy tedy můžete spustit např. libovolný počet dialogů s vyrovnáním sítě, a budou počítány jako jedna licence.

  • Import souřadnic a měření do otevřeného souboru

    Importovaný seznam souřadnic nebo měření lze přímo připojit k již otevřenému souboru. Pokud chcete spojit více importovaných souborů, není třeba je importovat samostatně a následně kopírovat do jednoho, lze je načíst přímo do jednoho souboru. Pokud je souborů více, lze je všechny označit v dialogovém okně pro výběr souborů a importovat najednou.

  • Přímé vkládání bodů v textovém formátu ze schránky do seznamů souřadnic

    Body (jednotlivé i celé seznamy) lze nyní vkládat do seznamů souřadnic přímo ze schránky z textového formátu zkopírovaného z jiné aplikace (textové soubory, protokoly atd.). Po vložení textu (z nabídky nebo kombinací kláves Ctrl-V) bude zobrazeno dialogové okno s nastavením konfigurovatelného textového formátu. Po nastavení formátu a potvrzení bude text ve schránce zpracován a body budou vloženy do seznamu souřadnic.

  • Import ETRS souřadnic pomocí konfigurovatelného formátu

    Konfigurovatelný formát nyní umožňuje import ETRS souřadnic z textového souboru. Lze importovat souřadnice zapsané jako celé číslo i souřadnice rozdělené oddělovači na stupně, minuty a vteřiny.

  • Spojování popisů bodů při importu konfigurovatelným formátem

    Při importu souřadnic z textového souboru pomocí konfigurovatelného formátu lze nyní označit jako kód bodu více sloupců. K importovanému bodu budou doplněny kódy ze všech zvolených sloupců. Jako oddělovač bude použit první oddělovač nastavený v Nastavení - Kódování.

  • Doplnění jednotek u exportu do uživatelského textového formátu

    V definici uživatelského formátu lze nyní pro úhlové veličiny (vodorovné směry, zenitové úhly, zeměpisné souřadnice) nastavit jednotky, ve kterých má být údaj exportován. Formát je tak nezávislý na nastavení úhlových jednotek v konfiguraci systému.

  • Volba formátu nově zakládaných souborů

    V nastavení aplikace lze nyní zvolit formát nově zakládaných souborů. Lze volit mezi starým formátem (.crd, .mes) a novým formátem (.crds, .mess). Toto nastavení se týká všech zakládaných souborů, i automaticky vytvářených (importy atd.).

  • Zlepšena diagnostika chyb při automatické aktualizaci

    Byla vylepšena dialogová okna pro automatickou aktualizaci. Nyní obsahují více informací, možnost přímého zobrazení protokolu a možnost přímého stažení kompletní instalace při neúspěšné aktualizaci.

  • Porovnání jednotlivých bodů

    Nástroj pro porovnání souřadnic nyní umožňuje porovnat ručně zadané dvojice bodů. Body mohou mít různá čísla. Zaprotokolovány jsou souřadnicové rozdíly, odhady výběrových středních chyb, a hodnoty jsou porovnány s požadovanými mezemi dle zadaného kódu kvality nebo požadované střední souřadnicové chyby.

  • Kód kvality v porovnání při ukládání existujícího bodu

    Při ukládání již existujícího bodu do seznamu souřadnic jsou nyní v tabulce s porovnáním dosavadního a nového bodu zaprotokolovány i kódy kvality.

  • Modul Nivelace - načtení výšek bodů

    Při importu měření do modulu Nivelace jsou nyní načteny i výšky bodů, jsou-li nalezeny v seznamech souřadnic.

  • Modul Nivelace - načtení kódů/popisů bodů

    Při importu měření do modulu Nivelace jsou nyní načteny i kódy bodů.

  • Modul Nivelace - kontrola výšek přestavových bodů

    Pokud jsou při importu nalezeny výšky přestavových bodů, jsou uloženy do tabulky se vstupními daty a po vyrovnání jsou porovnány s vypočtenými výškami.

  • Modul Nivelace - fixace výšek přestavových bodů

    Pokud jsou při importu nalezeny výšky přestavových bodů, lze je jedním přepínačem zafixovat a rozdělit tak nivelační pořad na více částí.

  • Modul Nivelace - mezní odchylka

    Do modulu Nivelace byla doplněna možnost zadat vzorec pro výpočet a mezní odchylky. Dodržení zadané mezní odchylky je automaticky testováno.

  • Dvojí uživatelské rozhraní

    V nastavení aplikace lze nyní zvolit, zda si přejete používat nové uživatelské rozhraní (karty nabídek), nebo staré, stejné jako v předchozích verzích (roletové menu a lišty s tlačítky).

  • Protokol a kontrolní kresba na lištách nástrojů

    Na liště výpočetních funkcí a nástrojů pro práci se souřadnicemi a s měřením jsou nyní tlačítka pro zobrazení a uložení protokolu a pro zobrazení kontrolní kresby, aby nebylo třeba během výpočtů přepínat kartu s nabídkami.

  • Vyrovnání sítí - automatický test intervalu spolehlivosti

    Při polohovém i výškovém vyrovnání je nyní automaticky testován poměr aposteriorní a apriorní střední chyby, zda příliš nevybočuje z intervalu spolehlivosti. Pokud ano, je zobrazeno varovné hlášení. Zobrazované údaje jsou pro rychlý přehled barevně rozlišeny podle dosažených výsledků.

  • Vyrovnání sítí - zobrazování parametrů vyrovnání přímo v dialogovém okně

    V dialogovém okně jsou nyní na záložce s vyrovnanými body přímo zobrazovány některé parametry (maximální mxy a mz, poměr aposteriorní/apriorní střední chyby, intervaly spolehlivosti) aby bylo možno snadno ověřit výsledky vyrovnání bez nutnosti procházení protokolu.

  • Výpočet vyrovnávací přímky - zobrazení koncových bodů

    V dialogovém okně pro výpočet vyrovnávací přímky jsou nyní zobrazeny koncové body vypočtené vyrovnávací přímky, lze je tedy přímo z dialogového okna uložit do seznamu souřadnic.

  • Výpočet vyrovnávací kružnice MNČ

    Byla doplněna nová úloha Výpočet vyrovnávací kružnice. Úloha umožňuje vypočíst střed a poloměr kružnice, která se nejlépe přimyká k zadaným bodům. Parametry kružnice jsou určeny metodou nejmenších čtverců za podmínky minimalizace čtverců vzdáleností bodů od vyrovnávací kružnice.

  • Pojmenované měřítko

    Nastavené měřítko zkreslení lze pro snazší orientaci v historii použitých měřítek pojmenovat. Název lze zapsat oddělený od měřítka dvojtečkou nebo mezerou přímo v editačním okně na liště nastavení, nebo jej lze zadat v dialogovém okně pro výpočet zkreslení.

  • Lišta nastavení

    Při zmenšování okna aplikace mizí položky na liště nastavení postupně. Měřítko zůstává zobrazeno vždy.

  • Možnost přímého zadání data zaměření

    Datum a čas zaměření bodu lze zadat přímo při vkládání bodu do seznamu souřadnic nebo zápisníku (platí pouze pro nové typy souborů).

  • Doplněný protokol k porovnání seznamů souřadnic

    Výpočet charakteristik přesnosti v úloze Porovnání seznamů souřadnic se liší v závislosti na tom, zda se jedná o porovnání dvou souborů stejné váhy, nebo zda je referenční soubor výrazně přesnější (případně zda se porovnává nové zaměření se stávajícími souřadnicemi uloženými v ISKN). Pro přehlednost je nyní volba typu porovnání zapsána do protokolu.

  • Možnost změny poznámky u bodu hromadnou změnou

    Nový údaj Poznámka, který je k dispozici v nových typech souborů, lze nyní měnit i pomocí hromadné změny.

  • Možnost přímého načtení konfiguračního souboru

    V předchozích verzích bylo možno ve správci konfigurací vybírat konfiguraci z konfiguračního adresáře. Změna cesty ke konfiguracím ale byla možná pouze pomocí parametru na příkazovém řádku. Nyní lze v manažeru konfigurací přímo načíst konfiguraci i z jiného adresáře (a tím nastavit tento adresář jako aktivní konfigurační adresář).

  • Nový konfigurovatelný import souřadnic

    Byl doplněn nový způsob importu souřadnic. V dialogovém okně lze libovolně definovat oddělovače datových položek, šířky sloupců a rozmístění dat na řádku. Nástroj lze použít pro import textových souborů v běžných i nestandardních formátech, CSV souborů i seznamů souřadnic bez čísel bodů.

  • Geometrické plány pro jednoho nabyvatele ve více skupinách

    Modul Geometrické plány nyní umožňuje zpracovat kombinovaný plán obsahující více skupin pro jednoho nabyvatele (pro několik nabyvatelů), případně i v kombinaci se standardními skupinami.

  • Geometrické plány - rozdělení seznamu dílů na více řádků

    Je-li výsledná parcela složena z více dílů, a přesáhne-li délka celého označení šířku sloupce Označení dílu (např.

                                f1+i1+l1+c1+z+v

    ), je seznam dílů rozdělen na více řádků.

  • Časový test GPS měření v hromadném průměrování

    V úloze Hromadné průměrování bodů lze nyní zapnout časový test nezávislosti měření. Testování probíhá dle odst. 9.5 přílohy k vyhl. 31/1995 Sb. Testovat lze pro systém GPS-NAVSTAR i GLONASS. Výsledky časového testu jsou zapsány do protokolu.

  • Editace data zaměření a data vytvoření bodu

    V editaci bodu a měření lze nyní upravit datum a čas zaměření a vytvoření bodu.

  • Původní číslo bodu při přečíslování do poznámky

    V úloze Přečíslování bodů v seznamu souřadnic lze nyní zvolit, zda má být původní číslo bodu uloženo do kódu bodu nebo do poznámky. Nadále lze volit, zda má být připojeno před stávající hodnotu, za stávající hodnotu, nebo zda má stávající hodnotu nahradit. Možnost zapsat původní číslo do poznámky je dostupná pouze při přečíslování do seznamu souřadnic nového typu, který umožňuje poznámky ukládat.

  • Poznámka u bodu

    K bodu v seznamu souřadnic i v seznamu měření byla doplněna položka Poznámka. Jedná se o textový údaj libovolné délky. Tento údaj je k dispozici pouze u nového typu souborů (.crds, .mess).

  • Uvozovací znak při ukládání původního čísla bodu při přečíslování

    Při ukládání původního čísla bodu do poznámky v úloze Přečíslování bodů v seznamu souřadnic lze nyní zadat uvozovací znak. Přednastaven je na znak '=', po přečíslování bude tedy do poznámky uloženo např.

    =2310009

    . Lze ale zadat jakýkoli jiný znak nebo řetězec znaků.

  • Možnost vypínání jednotlivých bodů v hromadném průměrování

    V dialogovém okně pro dálkové průměrování bodů lze nyní jednotlivé body vypínat. Lze vypnout buď celý bod, čímž je pro něj průměrování zcela vypnuto, nebo jednotlivé body vstupující do průměrování (např. při velkých odchylkách), čímž je z průměrování vypuštěn pouze jednotlivý vypnutý bod.

  • Souhrnné informace o seznamech

    Byl doplněn nový nástroj, který umožňuje zobrazit statistické informace o seznamech. Vypíše všechna katastrální území použitá v číslech bodů, všechna použitá předčíslí a ZPMZ, všechny použité popisy bodů a kódy kvality. Přímo z tohoto dialogu lze jednotlivé skupiny bodů označovat v seznamu.

  • Povolení/zakázání duplicit pro soubor

    Nyní lze explicitně povolit/zakázat vkládání duplicitních bodů pro konkrétní seznam souřadnic. Není tedy třeba povolovat tuto možnost v nastavení aplikace pro všechny soubory, čímž se snižuje možnost neúmyslného zanesení souborů duplicitami při opomenutí tohoto nastavení. Nastavení na úrovni souboru má před globálním nastavením vždy přednost, takže je možno také tuto volbu na globální úrovni povolit, ale pro konkrétní soubory zakázat.

  • Zvyšování čísla bodu zprava

    Při zvyšování alfanumerického identifikátoru (automaticky při vkládání bodů, ručně pomocí klávesy <+> atd.) je nyní v případě, že identifikátor obsahuje více číselných částí, zvyšována poslední z nich, nikoli první. Např. identifikátor L05_P07_A bude po zvýšení o 1 nastaven na hodnotu L05_P08_A (na rozdíl od předchozí verze, kde by byl nastaven na hodnotu L06_P07_A). Zkušenosti ukazují, že se identifikátor obvykle mění nejdříve na posledních místech.

  • Nastavení předčíslí do redukcí přetažením ze seznamu souřadnic

    Předčíslí do redukcí lze nastavit přetažením bodu ze seznamu souřadnic na políčko Předčíslí na liště nastavení.

  • Indexování seznamů podle různých údajů

    Seznamy souřadnic mohou mít nyní souběžně více indexů. I při řazení podle čísla bodu mohou mít index podle polohy, což násobně zrychluje některé úlohy závislé na poloze, např. vyhledávání identických bodů.

  • V hromadném průměrování lze průměrovat body s různým postfixem

    Nástroj pro hromadné průměrování nyní umožňuje vyhledávat nejen body s identickým číslem, ale i body se stejným základem čísla a různými postfixy (např. 4001, 4001.1, 4001.2, ...)

  • Zpracování měření v řadách a skupinách

    Byla doplněna nová úloha umožňující zpracovat zápisník měření v řadách a skupinách. Výstup je v podobě tabulky, kterou lze uložit ve formátu .xlsx.

  • V porovnání seznamů souřadnic lze označit body s odlišným kódem kvality

    Nástroj pro porovnání seznamů souřadnic nyní umožňuje označit body s odlišným kódem kvality.

  • Kontrola ztráty informací při exportech

    Při exportech seznamu souřadnic nebo seznamu měření do různých formátů (včetně ukládání z nového formátu .crds, mess do .crd, .mes) probíhá kontrola, zda cílový formát podporuje všechny údaje uložené v souboru. Při oříznutí některé informace (např. zkrácení kódu bodu při ukládání do starého formátu), nebo úplné ztrátě informace (např. data a času měření při ukládání do starého formátu) je po exportu zobrazeno varování, že byly některé údaje oříznuty nebo ztraceny, a podrobný protokol se seznamem ztracených informací.

  • Přesná oprava o měřítko

    Byla doplněna nová funkce umožňující opravu měřených délek o chybu z kartografického zkreslení a z nadmořské výšky s použitím přibližných souřadnic koncových bodů délky. V případě rozsáhlého měření lze takto opravu zpřesnit.

  • Vynucené alfanumerické identifikátory

    Aplikaci lze přepnout do režimu, v němž jsou všechny identifikátory považovány za alfanumerické, i v případě, že obsahují pouze číslo. Tuto možnost lze použít například při práci na projektech, kde mají body číselné identifikátory s pevnou strukturou, u nichž je třeba zachovat i nuly na začátku čísla.

  • Vyrovnání volného stanoviska MNČ

    V úloze Výpočet volného stanoviska lze nyní kromě shodnostní a podobnostní transformace zvolit způsob výpočtu Vyrovnání MNČ. Pro případné podrobnější nastavení výpočtu lze jedním tlačítkem celé zadání výpočtu přenést do modulu Vyrovnání sítí MNČ.

  • Nastavení počtu desetinných míst pro seznam souřadnic

    Kromě globálního nastavení lze nyní nastavit i počet desetinných míst pro konkrétní seznam souřadnic. Toto nastavení má přednost před globálním nastavením.

  • Zdokonalené zobrazování překročených mezních odchylek

    Zobrazování překročených mezních odchylek je nyní přehlednější, pro celý výpočet se zobrazují ve společném dialogovém okně, včetně citací příslušných pasáží z předpisů.

  • Řazení seznamů podle různých údajů

    Seznamy souřadnic lze nyní (dvojklikem na záhlaví příslušného sloupce) řadit podle různých údajů (podle kódu, souřadnice, výšky, kódu kvality...). Řadit lze vzestupně i sestupně.

  • Doplněn import textového seznamu .xyz bez čísel bodů

    Byl doplněn import textového seznamu souřadnic ve formátu .xyz (obvykle výsledek laserového skenování). Soubor obsahuje pouze souřadnice bodů bez čísel, a to v matematické souřadnicové soustavě.

  • Ukládání seznamů do SQLite

    Od této verze lze zvolit nový způsob ukládání seznamů souřadnic i měření do formátu SQLite. Tím je umožněno vytváření/zpracování datových souborů externími aplikacemi. Formát SQLite má širokou softwarovou podporu na většině platforem, k datům lze tedy přistupovat jak ručně pomocí některého z datových manažerů, nebo automatizovaně téměř z libovolného programovacího jazyka.

  • Nová položka Datum zaměření

    Do datových souborů byla doplněna nová položka Datum zaměření. Tento údaj se přebírá z registrovaných dat, pokud jej obsahují. Je k dispozici pouze v nových typech souborů ukládaných do formátu SQLite.

  • Neomezená délka popisu bodu

    Do datových souborů v novém formátu lze ukládat neomezeně dlouhé popisy bodů.

  • Neomezená délka alfanumerického identifikátoru bodu

    Do datových souborů v novém formátu lze ukládat neomezeně dlouhé alfanumerické identifikátory bodů.

  • Deaktivované položky

    V seznamech (v seznamu souřadnic i měření) lze nyní položky označit jako deaktivované. Deaktivované položky v seznamech zůstávají, ale aplikace je ignoruje. Deaktivované měření tedy není zpracováváno ani nabízeno jako orientace, deaktivovaný bod v seznamu souřadnic není nalezen při vyhledávání bodů.

  • Export do formátu XLSX

    Byl doplněn export seznamů do novějšího formátu XLSX.

  • Online aktualizace číselníků

    Doplněna možnost online aktualizace číselníků katastrálních území z webu ČÚZK.

  • Oddělené funkce Ulož jako a Export

    Nyní jsou odděleny funkce seznamů Ulož jako a Export. Pomocí funkce Ulož jako jsou soubory ukládány ve formátu, v němž je Groma schopna s nimi přímo pracovat (.crd, .crds, .mes, .mess). Po uložení zůstane v Gromě otevřen nově uložený soubor. Příkazem Export je vytvořen nový soubor v požadovaném formátu, ale v Gromě zůstává nadále otevřen původní soubor. Tento příkaz se používá pro export do formátů, s nimiž Groma nemůže přímo pracovat (.txt, .csv, ...).

  • Hromadné označování v nivelačním a ortogonálním zápisníku

    V nivelačním a ortogonálním zápisníku je nyní k dispozici nástroj pro hromadné změny.

  • Export souřadnic do GPX, KML

    Seznamy souřadnic lze nyní exportovat ve formátu geografických souřadnic GPX a KML. Takto exportované soubory lze nahrát do většiny mapových serverů a navigací, což umožňuje mimo jiné použití mnoha různých nástrojů pro vyhledávání bodů v terénu, např. s použitím mobilu.

  • Možnost zobrazení/exportu WGS souřadnic i u bodů bez výšky

    Nyní lze přepočítat souřadnice S-JTSK na geografické souřadnice i u bodů, u nichž není uvedena výška. Pokud je v daném souboru výška uvedena alespoň u některých bodů, použije se pro převod průměrná výška. Pokud není výška uvedena u žádného z bodů, použije se průměrná výška ČR. Výška se na přepočtu podílí jenom nevýznamně, chyba ve výšce při přepočtu způsobí chybu polohy max. v jednotkách mm. Přesto i nadále platí, že pro přesný přepočet je třeba mít body v seznamech včetně výšek.

  • Posouvání při hledání bodů podle čísla šipkou obousměrně

    Při vyhledávání bodu v seznamu zadáním čísla lze nyní kromě šipky dolů pro nalezení následujícího bodu použít i šipku nahoru pro nalezení předchozího bodu.

  • Možnost označení orientací v nivelačním zápisníku

    Nástroj pro hromadné označení orientací podle různých kritérií lze nyní použít i v nivelačním zápisníku.

  • Možnost zadání alfanumerického identifikátoru apostrofem

    Pokud je z nějakého důvodu třeba, aby byl identifikátor bodu vynuceně použit jako alfanumerický (třeba při potřebě zachovat číselný identifikátor včetně počátečních nul), lze jej uvést znakem apostrof.

  • V porovnání seznamů souřadnic lze protokolovat pouze rozdílné body

    Nástroj pro porovnání seznamů souřadnic nyní umožňuje zapisovat do protokolu pouze odlišné body. Body, u nichž nebyly nalezeny žádné rozdíly, se neprotokolují, což zlepšuje orientaci v protokolu při porovnávání rozsáhlých seznamů.

  • V hromadném průměrování výpočet empirických středních chyb jednoho měření i průměru

    Do nástroje pro hromadné průměrování souřadnic byl doplněn výpočet empirických středních chyb jednoho měření i průměru.

  • Možnost kroku zpět při přečíslování seznamu souřadnic

    Funkci Krok zpět lze nyní použít i po přečíslování seznamu.

  • Dialogová okna s možností změny velikosti

    Všechna dialogová okna, modální i nemodální, nyní umožňují změnu velikosti. Vnitřní komponenty oken se při změně velikosti okna automaticky přizpůsobují novým rozměrům.

  • Barevné rozlišení vstupních polí

    Vstupní editační pole jsou pro přehlednost barevně rozlišena. Jinou barvu mají souřadnice, jinou měřené hodnoty pro polohu, jinou měřené hodnoty pro výšku, jinou popisné informace a další položky.

  • Barevné odlišení a vysvěcování aktivních oblastí při přetahování

    Oblasti, do nichž lze přetáhnout myší nějaké údaje, mají barevné pozadí, takže jsou na první pohled zřetelné. Při přetahování údajů myší jsou vysvěcovány oblasti pod kurzorem, do nichž lze přetahovanou hodnotu vložit. Přímo při přetahování má tak uživatel vizuální kontrolu, kam všude lze údaje vložit.

  • Syntaktická kontrola vstupních polí

    Vstupní políčka pro číselné údaje jsou kontrolována, zda neobsahují nepovolené znaky. Pokud obsahují syntakticky chybný údaj, je obsah vysvícen červeně.

  • Vysvětlení důvodu u nepřístupných tlačítek a editačních oken

    Je-li nějaký ovládací prvek (tlačítko, editační okno) z nějakého důvodu nepřístupný, je na něm zobrazeno tlačítko, po jehož stisknutí aplikace zobrazí důvod nepřístupnosti prvku.

  • Názvy souborů zarovnané zprava

    Názvy souborů s dlouhou cestou jsou v dialogových oknech posunuty tak, aby byla viditelná jejich pravá část (vlastní název souboru).

  • Kód kvality výběrem z nabídky

    Kód kvality lze nyní kromě ručního zadání vybírat z nabídky.

  • Tlačítko pro uložení vypočtených souřadnic

    Výpočetní okna nyní obsahují tlačítko pro uložení vypočtených souřadnic. Lze je použít namísto obvyklého přetažení myší do seznamu. Po jeho stisknutí je vypočtený bod/body uložen do aktivního seznamu souřadnic.

  • Označení nepoužitých měření v Polární metodě dávkou

    V úloze Polární metoda dávkou lze nyní zvolit, zda mají být po výpočtu označeny nepoužité hodnoty.

  • Nezávislý výpočet polohy/výšky ve Volném stanovisku

    V úloze Volné stanovisko lze nyní nezávisle zapínat/vypínat orientace pro určení polohy a výšky. Lze tedy použít jiné orientace pro polohový a jiné pro výškový výpočet.

  • Aktualizace cílových i místních souřadnic v Transformaci souřadnic

    V úloze Transformace souřadnic lze nyní hromadně aktualizovat souřadnice místních i cílových souřadnic ze seznamu souřadnic.

  • V transformaci souřadnic a ortogonální metodě zobrazena polohová odchylka

    V úlohách Transformace souřadnic a Ortogonální metoda je nyn9í u identických bodů kromě souřadnicových odchylek zobrazována i polohová odchylka.

  • Možnost řazení bodů podle různých kritérií

    Ve vybraných dialogových oknech je nyní možnost řazení bodů podle různých kritérií (čísla bodů, opravy, délky, vzdálenosti atd.)

  • Ve výpisu tolerancí v protokolu značeny překročené tolerance

    V tabulce s výpisem testovaných tolerancí v protokolu (např. u polygonového pořadu) jsou nyní překročené tolerance přehledně označeny na začátku řádku.

  • Ve výpisu tolerancí v protokolu uvedeny i nepřekročené tolerance

    V tabulce s výpisem testovaných tolerancí v protokolu (např. u polygonového pořadu) jsou nyní uvedeny i testované, ale nepřekročené tolerance.

  • Ortogonální měření a nivelace - Do protokolu

    Ortogonální měřená data a soubor s nivelačním měřením lze nyní vypsat do protokolu.

  • Zvýrazněné nadpisy v okně s protokolem

    Editační okno s protokolem nyní zobrazuje nadpisy úloh zvýrazněné, tak, jak se v předchozích verzích zvýrazňovaly až při tisku.

  • Volba, zda zapisovat názvy souborů i s cestou

    V nastavení protokolu lze nyní zvolit, že se mají názvy souborů do protokolu zapisovat bez cesty (pouze vlastní název souboru).

  • Vylepšená diagnostika chyb při importu souborů

    Chyby při importu souborů jsou nyní lépe diagnostikovány a přehledněji zobrazovány.

  • Import Trimble JXL - souřadnice i měření

    Byl doplněn import formátu Trimble JXL (XML formát, souřadnice i měření).

  • Import nivelace Sokkia SDR

    Byl doplněn import nivelace ve formátu Sokkia SDR.

  • Možnost otevřít více oken jednoho modulu najednou

    Nyní je možno otevřít najednou více oken od každého rozšiřujícího modulu (Vyrovnání sítí MNČ, Výpočet trasy komunikace).

  • Možnost změny rozměru dialogového okna

    Všechny rozšiřující moduly nyní umožňují změnu velikosti dialogového okna.

  • Aktualizace souřadnic ze seznamů

    Modul Vyrovnání sítí MNČ nyní umožňuje aktualizaci souřadnic ze seznamů.

  • Možnost řazení vyrovnaných bodů podle středních chyb

    Modul Vyrovnání sítí MNČ nyní umožňuje řazení vyrovnaných bodů podle středních chyb.

  • Nové uživatelské rozhraní modulu Nivelace

    Modul Nivelace má nyní nové uživatelské rozhraní.

  • Export do XLSX

    Modul Nivelace nyní umožňuje export do formátu XLSX.

  • Podpora displejů s vysokým rozlišením

    Systém nyní podporuje displeje s vysokým rozlišením (4K a lepší). Ikony jsou vektorové, takže jsou ostré a správně veliké na všech rozlišeních.

  • Při hromadné změně možnost použít v kódu symboly datových položek

    Při hromadné změně v seznamech lze nyní při změně kódu bodu použít symboly datových položek, tedy ostatní údaje o bodu.

  • Odečítání limitů pro označování souřadnic

    Limity souřadnic v dialogovém okně pro označování lze přetáhnout ze seznamu nebo odečíst z grafiky.

  • Délka s měřítkem/bez měřítka u polárních vytyčovacích prvků

    v úloze Polární vytyčovací prvky jsou v protokolu uvedeny obě délky, s měřítkem i bez měřítka.

  • Barevné zvýraznění syntaxe v textových souborech

    Některé typy textových souborů jsou zobrazovány s barevným zvýrazněním syntaxe. Jedná se o některé vyexportované soubory, předpisy formátu, mapu přiřazení čísel bodů a kódovací tabulky.

  • Uložení seznamu označených bodů

    Nyní lze uložit seznam čísel označených bodů do souboru a opět jej ze souboru načíst. Pomocí seznamu lze v dialogovém okně Označit body opakovaně označit body podle čísel. Takto lze označit body shodných čísel i v jiných seznamech.

  • Systémová hlášení

    Vylepšená diagnostika problémů pomocí systémových hlášení popisujících problém.

Předcházející | Nahoru | Další
Změny mezi verzemi 12.2 a 12.3 | Domů | Kapitola 65. Změny mezi verzemi 13 a 14


Kapitola 65. Změny mezi verzemi 13 a 14
Předcházející Část VI. Změny v nových verzích Další

Kapitola 65. Změny mezi verzemi 13 a 14

  • Podpora nového grafického modulu pro DTM

    Do Gromy byla doplněna kompletní komunikace s novým grafickým modulem pro Digitální technickou mapu. Lze přenášet body z/do projektu grafického modulu, synchronizovat seznam souřadnic Gromy a grafického modulu pomocí čísel i polohy bodů, upravovat a odstraňovat body z projektu grafického modulu.

  • Doplněna podpora nových atributů bodů, potřebných pro práci s Digitální technickou mapou.

    Do souborů typu .crds lze nyní k bodům ukládat třídu přesnosti výšky a úroveň umístění.

  • Doplněna nová úloha Ověření homogenity GAD DTM

    Do Gromy byla doplněna nová úloha pro ověření homogenity GAD DTM pomocí identických bodů.

  • Doplněna nová úloha Rozložení oblouků

    Do Gromy byla doplněna nová výpočetní úloha pro rozložení oblouků na linie (výpočet bodů na oblouku dle zadaných kritérií). Tato úloha slouží pro vytváření kresby v Digitální technické mapě, v níž nejsou oblouky povoleny.

  • Doplněna přehledová kresba seznamu souřadnic

    Byla doplněna možnost zobrazit seznam souřadnic v přehledové kresbě včetně jednoduché liniové kresby (spojování bodů).

  • Vylepšeno otevírání souborů přetažením myší

    Otevírání souborů přetažením myší na plochu hlavního okna aplikace bylo vylepšeno.

Předcházející | Nahoru | Další
Kapitola 64. Změny mezi verzemi 12 a 13 | Domů | Část VII. Závěr


Část VII. Závěr
Předcházející Další

Část VII. Závěr

Obsah

66. Závěr, kontakt
Předcházející |  | Další
Kapitola 65. Změny mezi verzemi 13 a 14 | Domů | Kapitola 66. Závěr, kontakt


Kapitola 66. Závěr, kontakt
Předcházející Část VII. Závěr Další

Kapitola 66. Závěr, kontakt

Přejeme vám snadnou a příjemnou práci s programem Groma. V případě jakékoli nejasnosti nebo závady se s námi můžete spojit na adrese

GEOLINE, spol. s r.o.
Na Křivce 1374/96
101 00 Praha 101
775 563 736
<https://www.groma.cz>
<info@groma.cz>

Rádi vám podáme jakékoli informace o programu Groma, o tom, co je nového v poslední verzi programu i o případných podmínkách upgrade.

Předcházející | Nahoru | Další
Část VII. Závěr | Domů | Seznam odkazů


Seznam odkazů
Předcházející

Seznam odkazů

[StavZ] Zákon č. 283/2021 Sb. — stavební zákon Sbírka zákonů, 2021.

[ZemZ] Zákon č. 200/1994 Sb. o zeměměřictví a o změně a doplnění některých zákonů souvisejících s jeho zavedením, Sbírka zákonů, 1994.

[DtmZ] Vyhláška č. 140/2024 Sb. O digitální technické mapě kraje, Sbírka zákonů, 2024.

[ČSN 01 3410] Mapy velkých měřítek — Základní a účelové mapy, Úřad pro technickou normalizaci, metrologii a státní zkušebnictví, 2014.

[Metodika] Metodika pro geodetické zaměřování základní prostorové situace DTM kraje a pro práci s dokumentací, ČÚZK, 2024.

[Ověřování] Ověřování výsledků zeměměřických činností v elektronické podobě, ČÚZK, 2024.

[Slovník DTM] Slovník datového modelu DTM, Institut plánování a rozvoje hlavního města Prahy, 2024.

[DTMWiki] Metodická pracovní skupina DTM, Zlínský kraj, 2024.

[Požadavky DTM] Systém na řešení požadavků při pořizování dat pro DTM, Metodická pracovní skupina DTM, 2024.

[JVF-DTM] Jednotný výměnný formát DTM, ČÚZK, 2024.

Předcházející |
Kapitola 66. Závěr, kontakt | Domů